/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.15.5(3d42593a5844407ab71d47b348ea3a8de5fec848)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
(function(){
var e,t=["require","exports","vs/base/common/lifecycle","vs/editor/common/core/range","vs/nls!vs/editor/editor.main","vs/nls","vs/base/common/event","vs/base/browser/dom","vs/base/common/strings","vs/css!vs/editor/editor.main","vs/editor/browser/editorExtensions","vs/base/common/errors","vs/editor/common/core/position","vs/platform/theme/common/themeService","vs/editor/common/modes","vs/platform/instantiation/common/instantiation","vs/base/common/async","vs/base/common/platform","vs/platform/contextkey/common/contextkey","vs/editor/common/editorContextKeys","vs/platform/theme/common/colorRegistry","vs/editor/common/core/selection","vs/base/common/arrays","vs/base/browser/fastDomNode","vs/base/common/cancellation","vs/base/common/uri","vs/editor/common/model/textModel","vs/base/common/objects","vs/base/common/color","vs/base/browser/browser","vs/editor/browser/services/codeEditorService","vs/platform/commands/common/commands","vs/base/common/types","vs/editor/browser/view/viewPart","vs/editor/common/view/editorColorRegistry","vs/platform/notification/common/notification","vs/base/common/keyCodes","vs/platform/actions/common/actions","vs/editor/common/controller/cursorCommon","vs/editor/common/modes/languageConfigurationRegistry","vs/base/browser/mouseEvent","vs/platform/registry/common/platform","vs/editor/common/services/modelService","vs/base/browser/ui/aria/aria","vs/editor/common/model","vs/platform/configuration/common/configuration","vs/base/browser/ui/widget","vs/platform/keybinding/common/keybinding","vs/editor/common/config/editorOptions","vs/editor/common/core/editOperation","vs/base/common/network","vs/editor/common/modes/nullMode","vs/base/browser/keyboardEvent","vs/base/common/winjs.base","vs/editor/common/editorCommon","vs/base/browser/ui/scrollbar/scrollableElement","vs/base/common/actions","vs/editor/browser/config/configuration","vs/base/common/paths","vs/editor/common/viewModel/viewModel","vs/platform/contextview/browser/contextView","vs/editor/browser/view/dynamicViewOverlay","vs/platform/opener/common/opener","vs/editor/common/services/modeService","vs/editor/common/services/editorWorkerService","vs/base/common/map","vs/editor/browser/core/editorState","vs/base/browser/ui/actionbar/actionbar","vs/base/common/htmlContent","vs/editor/common/view/viewEvents","vs/platform/telemetry/common/telemetry","vs/platform/storage/common/storage","vs/base/browser/event","vs/base/browser/globalMouseMoveMonitor","vs/editor/common/modes/languageConfiguration","vs/base/browser/touch","vs/platform/markers/common/markers","vs/editor/common/commands/replaceCommand","vs/editor/standalone/common/standaloneThemeService","vs/editor/common/viewModel/viewEventHandler","vs/editor/common/controller/wordCharacterClassifier","vs/editor/common/core/characterClassifier","vs/platform/configuration/common/configurationRegistry","vs/editor/common/view/renderingContext","vs/base/common/resources","vs/editor/contrib/suggest/suggest","vs/platform/theme/common/styler","vs/base/common/iterator","vs/base/parts/tree/browser/treeDefaults","vs/platform/progress/common/progress","vs/editor/common/model/wordHelper","vs/editor/common/core/token","vs/editor/common/services/resolverService","vs/editor/common/core/lineTokens","vs/editor/common/modes/supports","vs/platform/keybinding/common/keybindingsRegistry","vs/editor/common/modes/supports/richEditBrackets","vs/editor/common/config/editorZoom","vs/platform/instantiation/common/serviceCollection","vs/editor/browser/widget/codeEditorWidget","vs/base/common/filters","vs/editor/common/core/uint","vs/base/browser/ui/sash/sash","vs/editor/common/viewLayout/viewLineRenderer","vs/editor/common/modes/modesRegistry","vs/editor/browser/editorBrowser","vs/editor/common/services/resourceConfiguration","vs/editor/common/view/minimapCharRenderer","vs/editor/contrib/codeAction/codeActionTrigger","vs/editor/contrib/folding/foldingRanges","vs/base/common/idGenerator","vs/editor/contrib/snippet/snippetParser","vs/editor/common/model/textModelSearch","vs/base/browser/ui/scrollbar/scrollbarArrow","vs/base/common/severity","vs/base/common/range","vs/platform/log/common/log","vs/base/browser/ui/inputbox/inputBox","vs/base/browser/ui/iconLabel/iconLabel","vs/base/parts/quickopen/browser/quickOpenModel","vs/editor/contrib/markdown/markdownRenderer","vs/editor/common/core/stringBuilder","vs/editor/common/config/fontInfo","vs/editor/contrib/referenceSearch/referencesModel","vs/editor/common/standalone/standaloneEnums","vs/editor/common/config/commonEditorConfig","vs/editor/browser/services/bulkEditService","vs/editor/browser/view/viewLayer","vs/base/common/decorators","vs/editor/common/viewLayout/lineDecorations","vs/base/common/diff/diff","vs/editor/common/viewModel/prefixSumComputer","vs/editor/browser/controller/coreCommands","vs/base/browser/htmlContentRenderer","vs/editor/browser/editorDom","vs/base/common/assert","vs/editor/browser/viewParts/glyphMargin/glyphMargin","vs/editor/common/controller/cursorTypeOperations","vs/editor/common/controller/cursorWordOperations","vs/editor/browser/widget/embeddedCodeEditorWidget","vs/editor/contrib/find/findModel","vs/editor/contrib/message/messageController","vs/editor/contrib/referenceSearch/peekViewWidget","vs/editor/contrib/snippet/snippetController2","vs/editor/standalone/browser/quickOpen/editorQuickOpen","vs/platform/list/browser/listService","vs/editor/contrib/referenceSearch/referencesController","vs/editor/standalone/browser/simpleServices","vs/base/common/worker/simpleWorker","vs/base/browser/ui/scrollbar/scrollbarState","vs/editor/browser/controller/textAreaInput","vs/editor/standalone/browser/standaloneServices","vs/base/browser/ui/findinput/findInputCheckboxes","vs/editor/common/standalone/standaloneBase","vs/base/common/keybindingLabels","vs/platform/keybinding/common/keybindingResolver","vs/platform/label/common/label","vs/editor/common/view/overviewZoneManager","vs/base/common/labels","vs/base/browser/ui/highlightedlabel/highlightedLabel","vs/base/common/linkedList","vs/base/parts/tree/browser/treeImpl","vs/platform/files/common/files","vs/css!vs/editor/contrib/goToDefinition/goToDefinitionMouse","vs/base/browser/iframe","vs/editor/common/editorAction","vs/base/browser/ui/scrollbar/abstractScrollbar","vs/base/common/glob","vs/editor/browser/viewParts/margin/margin","vs/base/common/scrollable","vs/base/common/winjs.polyfill.promise","vs/editor/contrib/comment/blockCommentCommand","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeBase","vs/editor/browser/controller/textAreaState","vs/editor/contrib/colorPicker/color","vs/editor/contrib/colorPicker/colorDetector","vs/editor/contrib/goToDefinition/goToDefinition","vs/editor/contrib/parameterHints/provideSignatureHelp","vs/editor/common/commands/shiftCommand","vs/editor/contrib/toggleTabFocusMode/toggleTabFocusMode","vs/editor/contrib/wordOperations/wordOperations","vs/editor/common/controller/cursorMoveOperations","vs/editor/common/controller/cursorDeleteOperations","vs/editor/contrib/goToDefinition/clickLinkGesture","vs/editor/browser/viewParts/lines/viewLine","vs/editor/browser/controller/mouseTarget","vs/editor/contrib/hover/hoverOperation","vs/editor/browser/viewParts/lineNumbers/lineNumbers","vs/editor/common/controller/cursorMoveCommands","vs/editor/browser/widget/diffEditorWidget","vs/editor/common/modes/textToHtmlTokenizer","vs/editor/contrib/hover/hoverWidgets","vs/editor/contrib/smartSelect/tokenTree","vs/editor/common/services/editorWorkerServiceImpl","vs/editor/browser/widget/diffNavigator","vs/editor/common/viewModel/splitLinesCollection","vs/editor/contrib/zoneWidget/zoneWidget","vs/editor/contrib/referenceSearch/referencesWidget","vs/editor/standalone/common/monarch/monarchCommon","vs/editor/contrib/goToDefinition/goToDefinitionCommands","vs/editor/contrib/find/findController","vs/platform/workspace/common/workspace","vs/platform/clipboard/common/clipboardService","vs/editor/contrib/folding/syntaxRangeProvider","vs/css!vs/base/browser/ui/iconLabel/iconlabel","vs/base/common/stopwatch","vs/css!vs/base/browser/ui/inputbox/inputBox","vs/editor/browser/viewParts/lines/rangeUtil","vs/editor/common/view/viewContext","vs/editor/common/view/viewEventDispatcher","vs/css!vs/base/browser/ui/keybindingLabel/keybindingLabel","vs/css!vs/base/browser/ui/list/list","vs/css!vs/base/browser/ui/menu/menu","vs/editor/common/viewLayout/viewLinesViewportData","vs/editor/common/viewLayout/whitespaceComputer","vs/editor/common/viewLayout/linesLayout","vs/css!vs/base/browser/ui/progressbar/progressbar","vs/editor/common/model/mirrorTextModel","vs/editor/common/services/editorSimpleWorker","vs/base/browser/ui/progressbar/progressbar","vs/css!vs/base/browser/ui/sash/sash","vs/editor/editor.api","vs/editor/browser/viewParts/contentWidgets/contentWidgets","vs/editor/browser/viewParts/decorations/decorations","vs/css!vs/base/browser/ui/scrollbar/media/scrollbars","vs/editor/browser/viewParts/linesDecorations/linesDecorations","vs/base/common/collections","vs/editor/browser/viewParts/marginDecorations/marginDecorations","vs/editor/browser/viewParts/overlayWidgets/overlayWidgets","vs/editor/browser/viewParts/overviewRuler/overviewRuler","vs/editor/browser/viewParts/viewZones/viewZones","vs/base/browser/ui/list/listView","vs/editor/common/viewLayout/viewLayout","vs/editor/common/viewModel/viewModelDecorations","vs/editor/contrib/caretOperations/moveCaretCommand","vs/base/parts/tree/browser/treeView","vs/editor/contrib/codeAction/codeActionWidget","vs/editor/contrib/colorPicker/colorPickerModel","vs/css!vs/base/parts/quickopen/browser/quickopen","vs/editor/contrib/comment/lineCommentCommand","vs/editor/contrib/dnd/dragAndDropCommand","vs/editor/contrib/find/findState","vs/editor/contrib/find/replaceAllCommand","vs/editor/contrib/find/replacePattern","vs/css!vs/base/parts/tree/browser/tree","vs/editor/contrib/folding/foldingModel","vs/editor/contrib/folding/hiddenRangeModel","vs/base/browser/ui/octiconLabel/octiconLabel","vs/editor/contrib/folding/intializingRangeProvider","vs/editor/contrib/format/formattingEdit","vs/css!vs/editor/browser/controller/textAreaHandler","vs/css!vs/editor/browser/viewParts/currentLineHighlight/currentLineHighlight","vs/css!vs/editor/browser/viewParts/currentLineMarginHighlight/currentLineMarginHighlight","vs/editor/contrib/hover/modesGlyphHover","vs/editor/contrib/inPlaceReplace/inPlaceReplaceCommand","vs/editor/contrib/indentation/indentUtils","vs/editor/contrib/linesOperations/copyLinesCommand","vs/editor/contrib/linesOperations/deleteLinesCommand","vs/editor/contrib/linesOperations/sortLinesCommand","vs/css!vs/editor/browser/viewParts/decorations/decorations","vs/css!vs/editor/browser/viewParts/glyphMargin/glyphMargin","vs/editor/contrib/suggest/wordDistance","vs/css!vs/editor/browser/viewParts/indentGuides/indentGuides","vs/editor/standalone/common/monarch/monarchCompile","vs/nls!vs/base/browser/ui/actionbar/actionbar","vs/css!vs/editor/browser/viewParts/lineNumbers/lineNumbers","vs/css!vs/editor/browser/viewParts/lines/viewLines","vs/css!vs/editor/browser/viewParts/linesDecorations/linesDecorations","vs/nls!vs/base/browser/ui/aria/aria","vs/css!vs/editor/browser/viewParts/marginDecorations/marginDecorations","vs/nls!vs/base/browser/ui/findinput/findInput","vs/nls!vs/base/browser/ui/findinput/findInputCheckboxes","vs/css!vs/editor/browser/viewParts/minimap/minimap","vs/nls!vs/base/browser/ui/inputbox/inputBox","vs/css!vs/editor/browser/viewParts/overlayWidgets/overlayWidgets","vs/base/browser/ui/findinput/findInput","vs/nls!vs/base/browser/ui/list/listWidget","vs/base/browser/ui/list/listWidget","vs/nls!vs/base/browser/ui/menu/menu","vs/base/browser/ui/menu/menu","vs/nls!vs/base/common/keybindingLabels","vs/css!vs/editor/browser/viewParts/rulers/rulers","vs/base/browser/ui/keybindingLabel/keybindingLabel","vs/nls!vs/base/common/severity","vs/css!vs/editor/browser/viewParts/scrollDecoration/scrollDecoration","vs/nls!vs/base/parts/quickopen/browser/quickOpenModel","vs/css!vs/editor/browser/viewParts/selections/selections","vs/nls!vs/base/parts/quickopen/browser/quickOpenWidget","vs/base/parts/quickopen/browser/quickOpenWidget","vs/nls!vs/editor/browser/controller/coreCommands","vs/nls!vs/editor/browser/widget/codeEditorWidget","vs/nls!vs/editor/browser/widget/diffEditorWidget","vs/nls!vs/editor/browser/widget/diffReview","vs/nls!vs/editor/common/config/commonEditorConfig","vs/nls!vs/editor/common/config/editorOptions","vs/css!vs/editor/browser/viewParts/viewCursors/viewCursors","vs/css!vs/editor/browser/widget/media/diffEditor","vs/nls!vs/editor/common/controller/cursor","vs/nls!vs/editor/common/modes/modesRegistry","vs/nls!vs/editor/common/services/modelServiceImpl","vs/nls!vs/editor/common/view/editorColorRegistry","vs/nls!vs/editor/contrib/bracketMatching/bracketMatching","vs/nls!vs/editor/contrib/caretOperations/caretOperations","vs/nls!vs/editor/contrib/caretOperations/transpose","vs/nls!vs/editor/contrib/clipboard/clipboard","vs/nls!vs/editor/contrib/codeAction/codeActionCommands","vs/nls!vs/editor/contrib/comment/comment","vs/nls!vs/editor/contrib/contextmenu/contextmenu","vs/nls!vs/editor/contrib/cursorUndo/cursorUndo","vs/nls!vs/editor/contrib/find/findController","vs/nls!vs/editor/contrib/find/findWidget","vs/nls!vs/editor/contrib/folding/folding","vs/nls!vs/editor/contrib/fontZoom/fontZoom","vs/nls!vs/editor/contrib/format/formatActions","vs/nls!vs/editor/contrib/goToDefinition/goToDefinitionCommands","vs/nls!vs/editor/contrib/goToDefinition/goToDefinitionMouse","vs/nls!vs/editor/contrib/gotoError/gotoError","vs/nls!vs/editor/contrib/gotoError/gotoErrorWidget","vs/nls!vs/editor/contrib/hover/hover","vs/nls!vs/editor/contrib/hover/modesContentHover","vs/nls!vs/editor/contrib/inPlaceReplace/inPlaceReplace","vs/nls!vs/editor/contrib/linesOperations/linesOperations","vs/nls!vs/editor/contrib/links/links","vs/nls!vs/editor/contrib/message/messageController","vs/nls!vs/editor/contrib/multicursor/multicursor","vs/nls!vs/editor/contrib/parameterHints/parameterHints","vs/nls!vs/editor/contrib/parameterHints/parameterHintsWidget","vs/nls!vs/editor/contrib/referenceSearch/peekViewWidget","vs/nls!vs/editor/contrib/referenceSearch/referenceSearch","vs/nls!vs/editor/contrib/referenceSearch/referencesController","vs/nls!vs/editor/contrib/referenceSearch/referencesModel","vs/css!vs/editor/browser/widget/media/diffReview","vs/nls!vs/editor/contrib/referenceSearch/referencesWidget","vs/nls!vs/editor/contrib/rename/rename","vs/nls!vs/editor/contrib/rename/renameInputField","vs/nls!vs/editor/contrib/smartSelect/smartSelect","vs/nls!vs/editor/contrib/snippet/snippetVariables","vs/editor/contrib/snippet/snippetVariables","vs/nls!vs/editor/contrib/suggest/suggestController","vs/nls!vs/editor/contrib/suggest/suggestWidget","vs/nls!vs/editor/contrib/toggleTabFocusMode/toggleTabFocusMode","vs/nls!vs/editor/contrib/wordHighlighter/wordHighlighter","vs/nls!vs/editor/standalone/browser/accessibilityHelp/accessibilityHelp","vs/nls!vs/editor/standalone/browser/inspectTokens/inspectTokens","vs/nls!vs/editor/standalone/browser/quickOpen/gotoLine","vs/nls!vs/editor/standalone/browser/quickOpen/quickCommand","vs/nls!vs/editor/standalone/browser/quickOpen/quickOutline","vs/nls!vs/editor/standalone/browser/simpleServices","vs/nls!vs/editor/standalone/browser/standaloneCodeEditor","vs/nls!vs/editor/standalone/browser/toggleHighContrast/toggleHighContrast","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/keybinding/common/abstractKeybindingService","vs/nls!vs/platform/list/browser/listService","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/theme/common/colorRegistry","vs/css!vs/editor/browser/widget/media/editor","vs/platform/instantiation/common/descriptors","vs/platform/instantiation/common/graph","vs/css!vs/editor/browser/widget/media/tokens","vs/css!vs/editor/contrib/bracketMatching/bracketMatching","vs/css!vs/editor/contrib/clipboard/clipboard","vs/css!vs/editor/contrib/codeAction/lightBulbWidget","vs/css!vs/editor/contrib/codelens/codelensWidget","vs/css!vs/editor/contrib/colorPicker/colorPicker","vs/editor/common/modes/languageFeatureRegistry","vs/css!vs/editor/contrib/dnd/dnd","vs/css!vs/editor/contrib/find/findWidget","vs/css!vs/editor/contrib/folding/folding","vs/editor/common/model/textModelTokens","vs/base/browser/ui/list/rowCache","vs/css!vs/editor/contrib/gotoError/gotoErrorWidget","vs/css!vs/editor/contrib/hover/hover","vs/editor/common/controller/cursorColumnSelection","vs/css!vs/editor/contrib/links/links","vs/css!vs/editor/contrib/message/messageController","vs/css!vs/editor/contrib/parameterHints/parameterHints","vs/css!vs/editor/contrib/referenceSearch/media/peekViewWidget","vs/css!vs/editor/contrib/referenceSearch/media/referencesWidget","vs/editor/common/controller/oneCursor","vs/editor/common/controller/cursorCollection","vs/editor/common/controller/cursor","vs/css!vs/editor/contrib/rename/renameInputField","vs/css!vs/editor/contrib/snippet/snippetSession","vs/css!vs/editor/contrib/suggest/media/suggest","vs/css!vs/editor/contrib/zoneWidget/zoneWidget","vs/editor/common/services/webWorker","vs/css!vs/editor/standalone/browser/accessibilityHelp/accessibilityHelp","vs/editor/common/view/runtimeMinimapCharRenderer","vs/css!vs/editor/standalone/browser/iPadShowKeyboard/iPadShowKeyboard","vs/editor/common/viewModel/characterHardWrappingLineMapper","vs/editor/common/viewModel/viewModelImpl","vs/editor/contrib/codeAction/lightBulbWidget","vs/editor/contrib/folding/foldingDecorations","vs/editor/contrib/folding/indentRangeProvider","vs/editor/contrib/linesOperations/moveLinesCommand","vs/editor/contrib/smartSelect/tokenSelectionSupport","vs/css!vs/editor/standalone/browser/inspectTokens/inspectTokens","vs/editor/standalone/browser/colorizer","vs/editor/standalone/common/monarch/monarchLexer","vs/css!vs/editor/standalone/browser/quickOpen/editorQuickOpen","vs/css!vs/editor/standalone/browser/quickOpen/gotoLine","vs/css!vs/editor/standalone/browser/quickOpen/quickOutline","vs/editor/contrib/links/getLinks","vs/css!vs/editor/standalone/browser/standalone-tokens","vs/css!vs/platform/contextview/browser/contextMenuHandler","vs/editor/contrib/suggest/suggestAlternatives","vs/editor/contrib/suggest/wordContextKey","vs/editor/browser/config/charWidthReader","vs/platform/actions/common/menu","vs/editor/browser/config/elementSizeObserver","vs/platform/dialogs/common/dialogs","vs/base/browser/ui/scrollbar/scrollbarVisibilityController","vs/platform/instantiation/common/instantiationService","vs/platform/keybinding/common/abstractKeybindingService","vs/base/common/functional","vs/editor/browser/services/abstractCodeEditorService","vs/platform/keybinding/common/resolvedKeybindingItem","vs/platform/keybinding/common/usLayoutResolvedKeybinding","vs/base/common/hash","vs/base/browser/ui/list/splice","vs/base/browser/ui/scrollbar/horizontalScrollbar","vs/platform/markers/common/markerService","vs/base/browser/ui/scrollbar/verticalScrollbar","vs/base/browser/dnd","vs/base/common/mime","vs/editor/common/commands/trimTrailingWhitespaceCommand","vs/editor/common/core/rgba","vs/base/common/numbers","vs/editor/common/services/getIconClasses","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/base/common/marshalling","vs/base/common/diff/diffChange","vs/editor/common/commands/surroundSelectionCommand","vs/editor/browser/view/viewOverlays","vs/editor/browser/viewParts/viewCursors/viewCursor","vs/editor/common/services/languagesRegistry","vs/editor/common/services/modeServiceImpl","vs/base/parts/quickopen/browser/quickOpenViewer","vs/platform/configuration/common/configurationModels","vs/platform/contextkey/browser/contextKeyService","vs/base/parts/tree/browser/tree","vs/base/common/history","vs/editor/contrib/suggest/suggestMemory","vs/base/parts/tree/browser/treeDnd","vs/base/parts/tree/browser/treeModel","vs/base/parts/tree/browser/treeViewModel","vs/editor/browser/view/viewController","vs/editor/contrib/caretOperations/caretOperations","vs/editor/contrib/caretOperations/transpose","vs/editor/contrib/clipboard/clipboard","vs/editor/contrib/codeAction/codeAction","vs/editor/contrib/codeAction/codeActionModel","vs/editor/contrib/codelens/codelens","vs/editor/common/diff/diffComputer","vs/base/worker/defaultWorkerFactory","vs/editor/contrib/comment/comment","vs/editor/contrib/contextmenu/contextmenu","vs/editor/contrib/cursorUndo/cursorUndo","vs/editor/contrib/dnd/dnd","vs/editor/contrib/folding/folding","vs/editor/contrib/fontZoom/fontZoom","vs/editor/contrib/format/format","vs/editor/contrib/format/formatActions","vs/css!vs/base/browser/ui/actionbar/actionbar","vs/editor/contrib/hover/getHover","vs/editor/contrib/linesOperations/linesOperations","vs/base/browser/ui/list/rangeMap","vs/editor/contrib/quickOpen/quickOpen","vs/editor/contrib/smartSelect/smartSelect","vs/css!vs/base/browser/ui/aria/aria","vs/editor/contrib/suggest/completionModel","vs/editor/common/model/editStack","vs/editor/common/model/indentationGuesser","vs/editor/contrib/wordPartOperations/wordPartOperations","vs/editor/standalone/browser/iPadShowKeyboard/iPadShowKeyboard","vs/editor/standalone/browser/toggleHighContrast/toggleHighContrast","vs/platform/contextview/browser/contextViewService","vs/platform/telemetry/common/telemetryUtils","vs/editor/browser/services/openerService","vs/editor/common/model/intervalTree","vs/editor/common/model/pieceTreeTextBuffer/rbTreeBase","vs/editor/standalone/browser/quickOpen/quickOpenEditorWidget","vs/platform/contextview/browser/contextMenuHandler","vs/editor/common/model/textModelEvents","vs/editor/browser/services/codeEditorServiceImpl","vs/editor/browser/viewParts/editorScrollbar/editorScrollbar","vs/css!vs/base/browser/ui/checkbox/checkbox","vs/base/browser/ui/checkbox/checkbox","vs/editor/browser/controller/mouseHandler","vs/editor/browser/controller/pointerHandler","vs/editor/browser/view/viewOutgoingEvents","vs/editor/browser/viewParts/lines/viewLines","vs/editor/browser/viewParts/minimap/minimap","vs/editor/browser/viewParts/scrollDecoration/scrollDecoration","vs/editor/browser/viewParts/selections/selections","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeTextBuffer","vs/editor/browser/viewParts/currentLineHighlight/currentLineHighlight","vs/editor/browser/viewParts/currentLineMarginHighlight/currentLineMarginHighlight","vs/editor/browser/viewParts/indentGuides/indentGuides","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeTextBufferBuilder","vs/editor/browser/controller/textAreaHandler","vs/editor/browser/viewParts/overviewRuler/decorationsOverviewRuler","vs/editor/browser/viewParts/rulers/rulers","vs/editor/browser/viewParts/viewCursors/viewCursors","vs/editor/browser/view/viewImpl","vs/css!vs/base/browser/ui/contextview/contextview","vs/editor/browser/widget/diffReview","vs/editor/common/modes/abstractMode","vs/base/browser/ui/contextview/contextview","vs/editor/common/services/modelServiceImpl","vs/editor/contrib/bracketMatching/bracketMatching","vs/editor/contrib/codelens/codelensWidget","vs/editor/contrib/codelens/codelensController","vs/editor/contrib/colorPicker/colorPickerWidget","vs/editor/contrib/find/findDecorations","vs/editor/common/modes/languageSelector","vs/editor/contrib/find/findOptionsWidget","vs/editor/contrib/gotoError/gotoErrorWidget","vs/editor/contrib/gotoError/gotoError","vs/editor/contrib/hover/modesContentHover","vs/editor/contrib/hover/hover","vs/editor/contrib/inPlaceReplace/inPlaceReplace","vs/editor/contrib/links/links","vs/editor/common/modes/linkComputer","vs/editor/contrib/codeAction/codeActionCommands","vs/editor/contrib/codeAction/codeActionContributions","vs/editor/contrib/parameterHints/parameterHintsWidget","vs/editor/contrib/parameterHints/parameterHints","vs/css!vs/base/browser/ui/countBadge/countBadge","vs/editor/contrib/rename/renameInputField","vs/editor/contrib/rename/rename","vs/editor/contrib/snippet/snippetSession","vs/editor/common/modes/supports/characterPair","vs/editor/contrib/suggest/suggestModel","vs/editor/contrib/suggest/suggestWidget","vs/editor/contrib/suggest/suggestController","vs/editor/contrib/wordHighlighter/wordHighlighter","vs/editor/standalone/browser/accessibilityHelp/accessibilityHelp","vs/editor/standalone/browser/inspectTokens/inspectTokens","vs/editor/common/modes/supports/indentRules","vs/editor/standalone/browser/quickOpen/gotoLine","vs/editor/standalone/browser/quickOpen/quickCommand","vs/editor/standalone/browser/quickOpen/quickOutline","vs/editor/standalone/browser/standaloneCodeServiceImpl","vs/editor/standalone/common/themes","vs/editor/standalone/browser/standaloneThemeServiceImpl","vs/platform/contextview/browser/contextMenuService","vs/editor/common/modes/supports/inplaceReplaceSupport","vs/editor/common/modes/supports/onEnter","vs/base/browser/ui/countBadge/countBadge","vs/editor/common/modes/supports/electricCharacter","vs/editor/contrib/goToDefinition/goToDefinitionMouse","vs/editor/contrib/referenceSearch/referenceSearch","vs/editor/standalone/browser/referenceSearch/standaloneReferenceSearch","vs/platform/widget/common/contextScopedWidget","vs/platform/widget/browser/contextScopedHistoryWidget","vs/editor/contrib/find/findWidget","vs/css!vs/base/browser/ui/findinput/findInput","vs/editor/contrib/multicursor/multicursor","vs/editor/editor.all","vs/editor/common/modes/supports/tokenization","vs/editor/common/modes/tokenizationRegistry","vs/editor/standalone/browser/standaloneCodeEditor","vs/css!vs/base/browser/ui/findinput/findInputCheckboxes","vs/editor/standalone/browser/standaloneEditor","vs/editor/standalone/browser/standaloneLanguages","vs/base/common/marked/marked","vs/editor/edcore.main"],n=function(e){
for(var n=[],i=0,o=e.length;i<o;i++)n[i]=t[e[i]];return n};!function(e){var t=function(){function e(){this._pendingLoads=0}return e.prototype.attachListeners=function(e,t,n,i){var o=function(){t.removeEventListener("load",r),t.removeEventListener("error",s)},r=function(e){o(),n()},s=function(e){o(),i(e)};t.addEventListener("load",r),t.addEventListener("error",s)},e.prototype._onLoad=function(e,t){this._pendingLoads--,t()},e.prototype._onLoadError=function(e,t,n){this._pendingLoads--,t(n)},e.prototype._insertLinkNode=function(e){this._pendingLoads++;var t=document.head||document.getElementsByTagName("head")[0],n=t.getElementsByTagName("link")||document.head.getElementsByTagName("script");n.length>0?t.insertBefore(e,n[n.length-1]):t.appendChild(e)},e.prototype.createLinkTag=function(e,t,n,i){var o=this,r=document.createElement("link");r.setAttribute("rel","stylesheet"),r.setAttribute("type","text/css"),r.setAttribute("data-name",e);return this.attachListeners(e,r,function(){return o._onLoad(e,n)},function(t){
return o._onLoadError(e,i,t)}),r.setAttribute("href",t),r},e.prototype._linkTagExists=function(e,t){var n,i,o,r,s=document.getElementsByTagName("link");for(n=0,i=s.length;n<i;n++)if(o=s[n].getAttribute("data-name"),r=s[n].getAttribute("href"),o===e||r===t)return!0;return!1},e.prototype.load=function(e,t,n,i){if(this._linkTagExists(e,t))n();else{var o=this.createLinkTag(e,t,n,i);this._insertLinkNode(o)}},e}(),n=function(){function e(){this._cssLoader=new t}return e.prototype.load=function(e,t,n){var i=t.toUrl(e+".css");this._cssLoader.load(e,i,function(e){n({})},function(e){"function"==typeof n.error&&n.error("Could not find "+i+" or it was empty")})},e}();e.CSSPlugin=n,define("vs/css",new n)}(e||(e={}));var i;!function(e){function t(e,t,n){var i;return i=0===t.length?e:e.replace(/\{(\d+)\}/g,function(e,n){var i=n[0],o=t[i],r=e;return"string"==typeof o?r=o:"number"!=typeof o&&"boolean"!=typeof o&&void 0!==o&&null!==o||(r=String(o)),r}),n.isPseudo&&(i="［"+i.replace(/[aouei]/g,"$&$&")+"］"),i}function n(e,n){
return function(i,o){var r=Array.prototype.slice.call(arguments,2);return t(e[i],r,n)}}var i=function(){function e(){this._detected=!1,this._isPseudo=!1}return Object.defineProperty(e.prototype,"isPseudo",{get:function(){return this._detect(),this._isPseudo},enumerable:!0,configurable:!0}),e.prototype._detect=function(){this._detected||(this._detected=!0,this._isPseudo="undefined"!=typeof document&&document.location&&document.location.hash.indexOf("pseudo=true")>=0)},e}(),o=function(){function e(e){var n=this;this._env=e,this.localize=function(e,i){for(var o=[],r=2;r<arguments.length;r++)o[r-2]=arguments[r];return function(e,n,i){for(var o=[],r=3;r<arguments.length;r++)o[r-3]=arguments[r];return t(i,o,e)}.apply(void 0,[n._env,e,i].concat(o))}}return e.prototype.setPseudoTranslation=function(e){this._env._isPseudo=e},e.prototype.create=function(e,t){return{localize:n(t[e],this._env)}},e.prototype.load=function(t,i,o,r){var s=this;if(r=r||{},t&&0!==t.length){
var a=r["vs/nls"]||{},l=a.availableLanguages?function(e,t){var n=e[t];return n||(n=e["*"])||null}(a.availableLanguages,t):null,u=".nls";null!==l&&l!==e.DEFAULT_TAG&&(u=u+"."+l);var d=function(e){Array.isArray(e)?e.localize=n(e,s._env):e.localize=n(e[t],s._env),o(e)};"function"==typeof a.loadBundle?a.loadBundle(t,l,function(e,n){e?i([t+".nls"],d):d(n)}):i([t+u],d)}else o({localize:this.localize})},e.DEFAULT_TAG="i-default",e}();e.NLSPlugin=o,define("vs/nls",new o(new i))}(i||(i={})),define(t[423],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DataTransfers={RESOURCES:"ResourceURLs",DOWNLOAD_URL:"DownloadURL",FILES:"Files",TEXT:"text/plain"}}),define(t[164],n([0,1]),function(e,t){"use strict";function n(e){if(!e.parent||e.parent===e)return null;try{var t=e.location,n=e.parent.location;if(t.protocol!==n.protocol||t.hostname!==n.hostname||t.port!==n.port)return o=!0,null}catch(e){return o=!0,null}return e.parent}function i(e,t){
for(var n,i=e.document.getElementsByTagName("iframe"),o=0,r=i.length;o<r;o++)if((n=i[o]).contentWindow===t)return n;return null}Object.defineProperty(t,"__esModule",{value:!0});var o=!1,r=null,s=function(){function e(){}return e.getSameOriginWindowChain=function(){if(!r){r=[];var e,t=window;do{(e=n(t))?r.push({window:t,iframeElement:i(e,t)}):r.push({window:t,iframeElement:null}),t=e}while(t)}return r.slice(0)},e.hasDifferentOriginAncestor=function(){return r||this.getSameOriginWindowChain(),o},e.getPositionOfChildWindowRelativeToAncestorWindow=function(e,t){if(!t||e===t)return{top:0,left:0};for(var n=0,i=0,o=this.getSameOriginWindowChain(),r=0;r<o.length;r++){var s=o[r];if(s.window===t)break;if(!s.iframeElement)break;var a=s.iframeElement.getBoundingClientRect();n+=a.top,i+=a.left}return{top:n,left:i}},e}();t.IframeUtils=s}),define(t[419],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e){this.spliceables=e}
return e.prototype.splice=function(e,t,n){this.spliceables.forEach(function(i){return i.splice(e,t,n)})},e}();t.CombinedSpliceable=n}),define(t[149],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n){this._scrollbarSize=Math.round(t),this._oppositeScrollbarSize=Math.round(n),this._arrowSize=Math.round(e),this._visibleSize=0,this._scrollSize=0,this._scrollPosition=0,this._computedAvailableSize=0,this._computedIsNeeded=!1,this._computedSliderSize=0,this._computedSliderRatio=0,this._computedSliderPosition=0,this._refreshComputedValues()}return e.prototype.clone=function(){var t=new e(this._arrowSize,this._scrollbarSize,this._oppositeScrollbarSize);return t.setVisibleSize(this._visibleSize),t.setScrollSize(this._scrollSize),t.setScrollPosition(this._scrollPosition),t},e.prototype.setVisibleSize=function(e){var t=Math.round(e);return this._visibleSize!==t&&(this._visibleSize=t,this._refreshComputedValues(),!0)},
e.prototype.setScrollSize=function(e){var t=Math.round(e);return this._scrollSize!==t&&(this._scrollSize=t,this._refreshComputedValues(),!0)},e.prototype.setScrollPosition=function(e){var t=Math.round(e);return this._scrollPosition!==t&&(this._scrollPosition=t,this._refreshComputedValues(),!0)},e._computeValues=function(e,t,n,i,o){var r=Math.max(0,n-e),s=Math.max(0,r-2*t),a=i>0&&i>n;if(!a)return{computedAvailableSize:Math.round(r),computedIsNeeded:a,computedSliderSize:Math.round(s),computedSliderRatio:0,computedSliderPosition:0};var l=Math.round(Math.max(20,Math.floor(n*s/i))),u=(s-l)/(i-n),d=o*u;return{computedAvailableSize:Math.round(r),computedIsNeeded:a,computedSliderSize:Math.round(l),computedSliderRatio:u,computedSliderPosition:Math.round(d)}},e.prototype._refreshComputedValues=function(){var t=e._computeValues(this._oppositeScrollbarSize,this._arrowSize,this._visibleSize,this._scrollSize,this._scrollPosition);this._computedAvailableSize=t.computedAvailableSize,this._computedIsNeeded=t.computedIsNeeded,
this._computedSliderSize=t.computedSliderSize,this._computedSliderRatio=t.computedSliderRatio,this._computedSliderPosition=t.computedSliderPosition},e.prototype.getArrowSize=function(){return this._arrowSize},e.prototype.getScrollPosition=function(){return this._scrollPosition},e.prototype.getRectangleLargeSize=function(){return this._computedAvailableSize},e.prototype.getRectangleSmallSize=function(){return this._scrollbarSize},e.prototype.isNeeded=function(){return this._computedIsNeeded},e.prototype.getSliderSize=function(){return this._computedSliderSize},e.prototype.getSliderPosition=function(){return this._computedSliderPosition},e.prototype.getDesiredScrollPositionFromOffset=function(e){if(!this._computedIsNeeded)return 0;var t=e-this._arrowSize-this._computedSliderSize/2;return Math.round(t/this._computedSliderRatio)},e.prototype.getDesiredScrollPositionFromDelta=function(e){if(!this._computedIsNeeded)return 0;var t=this._computedSliderPosition+e;return Math.round(t/this._computedSliderRatio)},e}()
;t.ScrollbarState=n}),define(t[22],n([0,1]),function(e,t){"use strict";function n(e,t){return i(e,t,0,e.length-1,[]),e}function i(e,t,n,o,r){if(!(o<=n)){var s=n+(o-n)/2|0;i(e,t,n,s,r),i(e,t,s+1,o,r),t(e[s],e[s+1])<=0||function(e,t,n,i,o,r){for(var s=n,a=i+1,l=n;l<=o;l++)r[l]=e[l];for(l=n;l<=o;l++)s>i?e[l]=r[a++]:a>o?e[l]=r[s++]:t(r[a],r[s])<0?e[l]=r[a++]:e[l]=r[s++]}(e,t,n,s,o,r)}}function o(e,t){for(var n=0;n<e.length;n++){if(t(e[n]))return n}return-1}Object.defineProperty(t,"__esModule",{value:!0}),t.tail=function(e,t){return void 0===t&&(t=0),e[e.length-(1+t)]},t.tail2=function(e){if(0===e.length)throw new Error("Invalid tail call");return[e.slice(0,e.length-1),e[e.length-1]]},t.equals=function(e,t,n){if(void 0===n&&(n=function(e,t){return e===t}),e===t)return!0;if(!e||!t)return!1;if(e.length!==t.length)return!1;for(var i=0,o=e.length;i<o;i++)if(!n(e[i],t[i]))return!1;return!0},t.binarySearch=function(e,t,n){for(var i=0,o=e.length-1;i<=o;){var r=(i+o)/2|0,s=n(e[r],t);if(s<0)i=r+1;else{if(!(s>0))return r
;o=r-1}}return-(i+1)},t.findFirstInSorted=function(e,t){var n=0,i=e.length;if(0===i)return 0;for(;n<i;){var o=Math.floor((n+i)/2);t(e[o])?i=o:n=o+1}return n},t.mergeSort=n,t.groupBy=function(e,t){for(var i=[],o=void 0,r=0,s=n(e.slice(0),t);r<s.length;r++){var a=s[r];o&&0===t(o[0],a)?o.push(a):(o=[a],i.push(o))}return i},t.coalesce=function(e){return e?e.filter(function(e){return!!e}):e},t.isFalsyOrEmpty=function(e){return!Array.isArray(e)||0===e.length},t.distinct=function(e,t){if(!t)return e.filter(function(t,n){return e.indexOf(t)===n});var n=Object.create(null);return e.filter(function(e){var i=t(e);return!n[i]&&(n[i]=!0,!0)})},t.firstIndex=o,t.first=function(e,t,n){void 0===n&&(n=null);var i=o(e,t);return i<0?n:e[i]},t.flatten=function(e){var t;return(t=[]).concat.apply(t,e)},t.range=function(e,t){var n="number"==typeof t?e:0;"number"==typeof t?n=e:(n=0,t=e);var i=[];if(n<=t)for(o=n;o<t;o++)i.push(o);else for(var o=n;o>t;o--)i.push(o);return i},t.arrayInsert=function(e,t,n){var i=e.slice(0,t),o=e.slice(t)
;return i.concat(n,o)}}),define(t[135],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ok=function(e,t){if(!e||null===e)throw new Error(t?"Assertion failed ("+t+")":"Assertion Failed")}}),define(t[226],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=Object.prototype.hasOwnProperty;t.forEach=function(e,t){var i=function(i){if(n.call(e,i)&&!1===t({key:i,value:e[i]},function(){delete e[i]}))return{value:void 0}};for(var o in e){var r=i(o);if("object"==typeof r)return r.value}}}),define(t[28],n([0,1]),function(e,t){"use strict";function n(e,t){var n=Math.pow(10,t);return Math.round(e*n)/n}Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,i,o){void 0===o&&(o=1),this.r=0|Math.min(255,Math.max(0,e)),this.g=0|Math.min(255,Math.max(0,t)),this.b=0|Math.min(255,Math.max(0,i)),this.a=n(Math.max(Math.min(1,o),0),3)}return e.equals=function(e,t){return e.r===t.r&&e.g===t.g&&e.b===t.b&&e.a===t.a},e}();t.RGBA=i
;var o=function(){function e(e,t,i,o){this.h=0|Math.max(Math.min(360,e),0),this.s=n(Math.max(Math.min(1,t),0),3),this.l=n(Math.max(Math.min(1,i),0),3),this.a=n(Math.max(Math.min(1,o),0),3)}return e.equals=function(e,t){return e.h===t.h&&e.s===t.s&&e.l===t.l&&e.a===t.a},e.fromRGBA=function(t){var n=t.r/255,i=t.g/255,o=t.b/255,r=t.a,s=Math.max(n,i,o),a=Math.min(n,i,o),l=0,u=0,d=(a+s)/2,c=s-a;if(c>0){switch(u=Math.min(d<=.5?c/(2*d):c/(2-2*d),1),s){case n:l=(i-o)/c+(i<o?6:0);break;case i:l=(o-n)/c+2;break;case o:l=(n-i)/c+4}l*=60,l=Math.round(l)}return new e(l,u,d,r)},e._hue2rgb=function(e,t,n){return n<0&&(n+=1),n>1&&(n-=1),n<1/6?e+6*(t-e)*n:n<.5?t:n<2/3?e+(t-e)*(2/3-n)*6:e},e.toRGBA=function(t){var n,o,r,s=t.h/360,a=t.s,l=t.l,u=t.a;if(0===a)n=o=r=l;else{var d=l<.5?l*(1+a):l+a-l*a,c=2*l-d;n=e._hue2rgb(c,d,s+1/3),o=e._hue2rgb(c,d,s),r=e._hue2rgb(c,d,s-1/3)}return new i(Math.round(255*n),Math.round(255*o),Math.round(255*r),u)},e}();t.HSLA=o;var r=function(){function e(e,t,i,o){this.h=0|Math.max(Math.min(360,e),0),
this.s=n(Math.max(Math.min(1,t),0),3),this.v=n(Math.max(Math.min(1,i),0),3),this.a=n(Math.max(Math.min(1,o),0),3)}return e.equals=function(e,t){return e.h===t.h&&e.s===t.s&&e.v===t.v&&e.a===t.a},e.fromRGBA=function(t){var n,i=t.r/255,o=t.g/255,r=t.b/255,s=Math.max(i,o,r),a=s-Math.min(i,o,r),l=0===s?0:a/s;return n=0===a?0:s===i?((o-r)/a%6+6)%6:s===o?(r-i)/a+2:(i-o)/a+4,new e(Math.round(60*n),l,s,t.a)},e.toRGBA=function(e){var t=e.h,n=e.s,o=e.v,r=e.a,s=o*n,a=s*(1-Math.abs(t/60%2-1)),l=o-s,u=[0,0,0],d=u[0],c=u[1],h=u[2];return t<60?(d=s,c=a):t<120?(d=a,c=s):t<180?(c=s,h=a):t<240?(c=a,h=s):t<300?(d=a,h=s):t<360&&(d=s,h=a),d=Math.round(255*(d+l)),c=Math.round(255*(c+l)),h=Math.round(255*(h+l)),new i(d,c,h,r)},e}();t.HSVA=r;var s=function(){function e(e){if(!e)throw new Error("Color needs a value");if(e instanceof i)this.rgba=e;else if(e instanceof o)this._hsla=e,this.rgba=o.toRGBA(e);else{if(!(e instanceof r))throw new Error("Invalid color ctor argument");this._hsva=e,this.rgba=r.toRGBA(e)}}
return e.fromHex=function(t){return e.Format.CSS.parseHex(t)||e.red},Object.defineProperty(e.prototype,"hsla",{get:function(){return this._hsla?this._hsla:o.fromRGBA(this.rgba)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"hsva",{get:function(){return this._hsva?this._hsva:r.fromRGBA(this.rgba)},enumerable:!0,configurable:!0}),e.prototype.equals=function(e){return!!e&&i.equals(this.rgba,e.rgba)&&o.equals(this.hsla,e.hsla)&&r.equals(this.hsva,e.hsva)},e.prototype.getRelativeLuminance=function(){return n(.2126*e._relativeLuminanceForComponent(this.rgba.r)+.7152*e._relativeLuminanceForComponent(this.rgba.g)+.0722*e._relativeLuminanceForComponent(this.rgba.b),4)},e._relativeLuminanceForComponent=function(e){var t=e/255;return t<=.03928?t/12.92:Math.pow((t+.055)/1.055,2.4)},e.prototype.isLighter=function(){return(299*this.rgba.r+587*this.rgba.g+114*this.rgba.b)/1e3>=128},e.prototype.isLighterThan=function(e){return this.getRelativeLuminance()>e.getRelativeLuminance()},
e.prototype.isDarkerThan=function(e){return this.getRelativeLuminance()<e.getRelativeLuminance()},e.prototype.lighten=function(t){return new e(new o(this.hsla.h,this.hsla.s,this.hsla.l+this.hsla.l*t,this.hsla.a))},e.prototype.darken=function(t){return new e(new o(this.hsla.h,this.hsla.s,this.hsla.l-this.hsla.l*t,this.hsla.a))},e.prototype.transparent=function(t){var n=this.rgba,o=n.r,r=n.g,s=n.b,a=n.a;return new e(new i(o,r,s,a*t))},e.prototype.isTransparent=function(){return 0===this.rgba.a},e.prototype.isOpaque=function(){return 1===this.rgba.a},e.prototype.opposite=function(){return new e(new i(255-this.rgba.r,255-this.rgba.g,255-this.rgba.b,this.rgba.a))},e.prototype.toString=function(){return""+e.Format.CSS.format(this)},e.getLighterColor=function(e,t,n){if(e.isLighterThan(t))return e;n=n||.5;var i=e.getRelativeLuminance(),o=t.getRelativeLuminance();return n=n*(o-i)/o,e.lighten(n)},e.getDarkerColor=function(e,t,n){if(e.isDarkerThan(t))return e;n=n||.5;var i=e.getRelativeLuminance()
;return n=n*(i-t.getRelativeLuminance())/i,e.darken(n)},e.white=new e(new i(255,255,255,1)),e.black=new e(new i(0,0,0,1)),e.red=new e(new i(255,0,0,1)),e.blue=new e(new i(0,0,255,1)),e.cyan=new e(new i(0,255,255,1)),e.lightgrey=new e(new i(211,211,211,1)),e.transparent=new e(new i(0,0,0,0)),e}();t.Color=s,function(e){!function(t){!function(t){function n(e){var t=e.toString(16);return 2!==t.length?"0"+t:t}function o(e){switch(e){case 48:return 0;case 49:return 1;case 50:return 2;case 51:return 3;case 52:return 4;case 53:return 5;case 54:return 6;case 55:return 7;case 56:return 8;case 57:return 9;case 97:case 65:return 10;case 98:case 66:return 11;case 99:case 67:return 12;case 100:case 68:return 13;case 101:case 69:return 14;case 102:case 70:return 15}return 0}t.formatRGB=function(t){return 1===t.rgba.a?"rgb("+t.rgba.r+", "+t.rgba.g+", "+t.rgba.b+")":e.Format.CSS.formatRGBA(t)},t.formatRGBA=function(e){return"rgba("+e.rgba.r+", "+e.rgba.g+", "+e.rgba.b+", "+ +e.rgba.a.toFixed(2)+")"},t.formatHSL=function(t){
return 1===t.hsla.a?"hsl("+t.hsla.h+", "+(100*t.hsla.s).toFixed(2)+"%, "+(100*t.hsla.l).toFixed(2)+"%)":e.Format.CSS.formatHSLA(t)},t.formatHSLA=function(e){return"hsla("+e.hsla.h+", "+(100*e.hsla.s).toFixed(2)+"%, "+(100*e.hsla.l).toFixed(2)+"%, "+e.hsla.a.toFixed(2)+")"},t.formatHex=function(e){return"#"+n(e.rgba.r)+n(e.rgba.g)+n(e.rgba.b)},t.formatHexA=function(t,i){return void 0===i&&(i=!1),i&&1===t.rgba.a?e.Format.CSS.formatHex(t):"#"+n(t.rgba.r)+n(t.rgba.g)+n(t.rgba.b)+n(Math.round(255*t.rgba.a))},t.format=function(t){return t?t.isOpaque()?e.Format.CSS.formatHex(t):e.Format.CSS.formatRGBA(t):null},t.parseHex=function(t){if(!t)return null;var n=t.length;if(0===n)return null;if(35!==t.charCodeAt(0))return null;if(7===n){var r=16*o(t.charCodeAt(1))+o(t.charCodeAt(2)),s=16*o(t.charCodeAt(3))+o(t.charCodeAt(4)),a=16*o(t.charCodeAt(5))+o(t.charCodeAt(6));return new e(new i(r,s,a,1))}if(9===n){
var r=16*o(t.charCodeAt(1))+o(t.charCodeAt(2)),s=16*o(t.charCodeAt(3))+o(t.charCodeAt(4)),a=16*o(t.charCodeAt(5))+o(t.charCodeAt(6)),l=16*o(t.charCodeAt(7))+o(t.charCodeAt(8));return new e(new i(r,s,a,l/255))}if(4===n){var r=o(t.charCodeAt(1)),s=o(t.charCodeAt(2)),a=o(t.charCodeAt(3));return new e(new i(16*r+r,16*s+s,16*a+a))}if(5===n){var r=o(t.charCodeAt(1)),s=o(t.charCodeAt(2)),a=o(t.charCodeAt(3)),l=o(t.charCodeAt(4));return new e(new i(16*r+r,16*s+s,16*a+a,(16*l+l)/255))}return null}}(t.CSS||(t.CSS={}))}(e.Format||(e.Format={}))}(s=t.Color||(t.Color={})),t.Color=s}),define(t[128],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.memoize=function(e,t,n){var i=null,o=null;if("function"==typeof n.value?(i="value",0!==(o=n.value).length&&console.warn("Memoize should only be used in functions with zero parameters")):"function"==typeof n.get&&(i="get",o=n.get),!o)throw new Error("not supported");var r="$memoize$"+t;n[i]=function(){
for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return this.hasOwnProperty(r)||Object.defineProperty(this,r,{configurable:!1,enumerable:!1,writable:!1,value:o.apply(this,e)}),this[r]}}}),define(t[431],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n,i){this.originalStart=e,this.originalLength=t,this.modifiedStart=n,this.modifiedLength=i}return e.prototype.getOriginalEnd=function(){return this.originalStart+this.originalLength},e.prototype.getModifiedEnd=function(){return this.modifiedStart+this.modifiedLength},e}();t.DiffChange=n}),define(t[130],n([0,1,431]),function(e,t,n){"use strict";function i(e){return{getLength:function(){return e.length},getElementAtIndex:function(t){return e.charCodeAt(t)}}}Object.defineProperty(t,"__esModule",{value:!0}),t.stringDiff=function(e,t,n){return new a(i(e),i(t)).ComputeDiff(n)};var o=function(){function e(){}return e.Assert=function(e,t){if(!e)throw new Error(t)},e}();t.Debug=o
;var r=function(){function e(){}return e.Copy=function(e,t,n,i,o){for(var r=0;r<o;r++)n[i+r]=e[t+r]},e}();t.MyArray=r;var s=function(){function e(){this.m_changes=[],this.m_originalStart=Number.MAX_VALUE,this.m_modifiedStart=Number.MAX_VALUE,this.m_originalCount=0,this.m_modifiedCount=0}return e.prototype.MarkNextChange=function(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new n.DiffChange(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=Number.MAX_VALUE,this.m_modifiedStart=Number.MAX_VALUE},e.prototype.AddOriginalElement=function(e,t){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,t),this.m_originalCount++},e.prototype.AddModifiedElement=function(e,t){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,t),this.m_modifiedCount++},e.prototype.getChanges=function(){
return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes},e.prototype.getReverseChanges=function(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes},e}(),a=function(){function e(e,t,n){void 0===n&&(n=null),this.OriginalSequence=e,this.ModifiedSequence=t,this.ContinueProcessingPredicate=n,this.m_forwardHistory=[],this.m_reverseHistory=[]}return e.prototype.ElementsAreEqual=function(e,t){return this.OriginalSequence.getElementAtIndex(e)===this.ModifiedSequence.getElementAtIndex(t)},e.prototype.OriginalElementsAreEqual=function(e,t){return this.OriginalSequence.getElementAtIndex(e)===this.OriginalSequence.getElementAtIndex(t)},e.prototype.ModifiedElementsAreEqual=function(e,t){return this.ModifiedSequence.getElementAtIndex(e)===this.ModifiedSequence.getElementAtIndex(t)},e.prototype.ComputeDiff=function(e){return this._ComputeDiff(0,this.OriginalSequence.getLength()-1,0,this.ModifiedSequence.getLength()-1,e)
},e.prototype._ComputeDiff=function(e,t,n,i,o){var r=this.ComputeDiffRecursive(e,t,n,i,[!1]);return o?this.PrettifyChanges(r):r},e.prototype.ComputeDiffRecursive=function(e,t,i,r,s){for(s[0]=!1;e<=t&&i<=r&&this.ElementsAreEqual(e,i);)e++,i++;for(;t>=e&&r>=i&&this.ElementsAreEqual(t,r);)t--,r--;if(e>t||i>r){var a=void 0;return i<=r?(o.Assert(e===t+1,"originalStart should only be one more than originalEnd"),a=[new n.DiffChange(e,0,i,r-i+1)]):e<=t?(o.Assert(i===r+1,"modifiedStart should only be one more than modifiedEnd"),a=[new n.DiffChange(e,t-e+1,i,0)]):(o.Assert(e===t+1,"originalStart should only be one more than originalEnd"),o.Assert(i===r+1,"modifiedStart should only be one more than modifiedEnd"),a=[]),a}var l=[0],u=[0],d=this.ComputeRecursionPoint(e,t,i,r,l,u,s),c=l[0],h=u[0];if(null!==d)return d;if(!s[0]){var p=this.ComputeDiffRecursive(e,c,i,h,s),f=[];return f=s[0]?[new n.DiffChange(c+1,t-(c+1)+1,h+1,r-(h+1)+1)]:this.ComputeDiffRecursive(c+1,t,h+1,r,s),this.ConcatenateChanges(p,f)}
return[new n.DiffChange(e,t-e+1,i,r-i+1)]},e.prototype.WALKTRACE=function(e,t,i,o,r,a,l,u,d,c,h,p,f,g,m,v,_,y){var C,b=null,S=null,w=new s,E=t,L=i,x=f[0]-v[0]-o,I=Number.MIN_VALUE,N=this.m_forwardHistory.length-1;do{(C=x+e)===E||C<L&&d[C-1]<d[C+1]?(g=(h=d[C+1])-x-o,h<I&&w.MarkNextChange(),I=h,w.AddModifiedElement(h+1,g),x=C+1-e):(g=(h=d[C-1]+1)-x-o,h<I&&w.MarkNextChange(),I=h-1,w.AddOriginalElement(h,g+1),x=C-1-e),N>=0&&(e=(d=this.m_forwardHistory[N])[0],E=1,L=d.length-1)}while(--N>=-1);if(b=w.getReverseChanges(),y[0]){var D=f[0]+1,M=v[0]+1;if(null!==b&&b.length>0){var k=b[b.length-1];D=Math.max(D,k.getOriginalEnd()),M=Math.max(M,k.getModifiedEnd())}S=[new n.DiffChange(D,p-D+1,M,m-M+1)]}else{w=new s,E=a,L=l,x=f[0]-v[0]-u,I=Number.MAX_VALUE,N=_?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do{(C=x+r)===E||C<L&&c[C-1]>=c[C+1]?(g=(h=c[C+1]-1)-x-u,h>I&&w.MarkNextChange(),I=h+1,w.AddOriginalElement(h+1,g+1),x=C+1-r):(g=(h=c[C-1])-x-u,h>I&&w.MarkNextChange(),I=h,w.AddModifiedElement(h+1,g+1),
x=C-1-r),N>=0&&(r=(c=this.m_reverseHistory[N])[0],E=1,L=c.length-1)}while(--N>=-1);S=w.getChanges()}return this.ConcatenateChanges(b,S)},e.prototype.ComputeRecursionPoint=function(e,t,i,o,s,a,l){var u,d=0,c=0,h=0,p=0,f=0,g=0;e--,i--,s[0]=0,a[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];var m=t-e+(o-i),v=m+1,_=new Array(v),y=new Array(v),C=o-i,b=t-e,S=e-i,w=t-o,E=(b-C)%2==0;_[C]=e,y[b]=t,l[0]=!1;var L,x;for(u=1;u<=m/2+1;u++){var I=0,N=0;for(h=this.ClipDiagonalBound(C-u,u,C,v),p=this.ClipDiagonalBound(C+u,u,C,v),L=h;L<=p;L+=2){for(c=(d=L===h||L<p&&_[L-1]<_[L+1]?_[L+1]:_[L-1]+1)-(L-C)-S,x=d;d<t&&c<o&&this.ElementsAreEqual(d+1,c+1);)d++,c++;if(_[L]=d,d+c>I+N&&(I=d,N=c),!E&&Math.abs(L-b)<=u-1&&d>=y[L])return s[0]=d,a[0]=c,x<=y[L]&&u<=1448?this.WALKTRACE(C,h,p,S,b,f,g,w,_,y,d,t,s,c,o,a,E,l):null}var D=(I-e+(N-i)-u)/2;if(null!==this.ContinueProcessingPredicate&&!this.ContinueProcessingPredicate(I,this.OriginalSequence,D))return l[0]=!0,s[0]=I,a[0]=N,
D>0&&u<=1448?this.WALKTRACE(C,h,p,S,b,f,g,w,_,y,d,t,s,c,o,a,E,l):(e++,i++,[new n.DiffChange(e,t-e+1,i,o-i+1)]);for(f=this.ClipDiagonalBound(b-u,u,b,v),g=this.ClipDiagonalBound(b+u,u,b,v),L=f;L<=g;L+=2){for(c=(d=L===f||L<g&&y[L-1]>=y[L+1]?y[L+1]-1:y[L-1])-(L-b)-w,x=d;d>e&&c>i&&this.ElementsAreEqual(d,c);)d--,c--;if(y[L]=d,E&&Math.abs(L-C)<=u&&d<=_[L])return s[0]=d,a[0]=c,x>=_[L]&&u<=1448?this.WALKTRACE(C,h,p,S,b,f,g,w,_,y,d,t,s,c,o,a,E,l):null}if(u<=1447){var M=new Array(p-h+2);M[0]=C-h+1,r.Copy(_,h,M,1,p-h+1),this.m_forwardHistory.push(M),(M=new Array(g-f+2))[0]=b-f+1,r.Copy(y,f,M,1,g-f+1),this.m_reverseHistory.push(M)}}return this.WALKTRACE(C,h,p,S,b,f,g,w,_,y,d,t,s,c,o,a,E,l)},e.prototype.PrettifyChanges=function(e){for(a=0;a<e.length;a++){
for(var t=e[a],n=a<e.length-1?e[a+1].originalStart:this.OriginalSequence.getLength(),i=a<e.length-1?e[a+1].modifiedStart:this.ModifiedSequence.getLength(),o=t.originalLength>0,r=t.modifiedLength>0;t.originalStart+t.originalLength<n&&t.modifiedStart+t.modifiedLength<i&&(!o||this.OriginalElementsAreEqual(t.originalStart,t.originalStart+t.originalLength))&&(!r||this.ModifiedElementsAreEqual(t.modifiedStart,t.modifiedStart+t.modifiedLength));)t.originalStart++,t.modifiedStart++;var s=[null];a<e.length-1&&this.ChangesOverlap(e[a],e[a+1],s)&&(e[a]=s[0],e.splice(a+1,1),a--)}for(var a=e.length-1;a>=0;a--){var t=e[a],n=0,i=0;if(a>0){var l=e[a-1];l.originalLength>0&&(n=l.originalStart+l.originalLength),l.modifiedLength>0&&(i=l.modifiedStart+l.modifiedLength)}for(var o=t.originalLength>0,r=t.modifiedLength>0,u=0,d=this._boundaryScore(t.originalStart,t.originalLength,t.modifiedStart,t.modifiedLength),c=1;;c++){var h=t.originalStart-c,p=t.modifiedStart-c;if(h<n||p<i)break
;if(o&&!this.OriginalElementsAreEqual(h,h+t.originalLength))break;if(r&&!this.ModifiedElementsAreEqual(p,p+t.modifiedLength))break;var f=this._boundaryScore(h,t.originalLength,p,t.modifiedLength);f>d&&(d=f,u=c)}t.originalStart-=u,t.modifiedStart-=u}return e},e.prototype._OriginalIsBoundary=function(e){if(e<=0||e>=this.OriginalSequence.getLength()-1)return!0;var t=this.OriginalSequence.getElementAtIndex(e);return"string"==typeof t&&/^\s*$/.test(t)},e.prototype._OriginalRegionIsBoundary=function(e,t){if(this._OriginalIsBoundary(e)||this._OriginalIsBoundary(e-1))return!0;if(t>0){var n=e+t;if(this._OriginalIsBoundary(n-1)||this._OriginalIsBoundary(n))return!0}return!1},e.prototype._ModifiedIsBoundary=function(e){if(e<=0||e>=this.ModifiedSequence.getLength()-1)return!0;var t=this.ModifiedSequence.getElementAtIndex(e);return"string"==typeof t&&/^\s*$/.test(t)},e.prototype._ModifiedRegionIsBoundary=function(e,t){if(this._ModifiedIsBoundary(e)||this._ModifiedIsBoundary(e-1))return!0;if(t>0){var n=e+t
;if(this._ModifiedIsBoundary(n-1)||this._ModifiedIsBoundary(n))return!0}return!1},e.prototype._boundaryScore=function(e,t,n,i){return(this._OriginalRegionIsBoundary(e,t)?1:0)+(this._ModifiedRegionIsBoundary(n,i)?1:0)},e.prototype.ConcatenateChanges=function(e,t){var n=[];if(0===e.length||0===t.length)return t.length>0?t:e;if(this.ChangesOverlap(e[e.length-1],t[0],n)){i=new Array(e.length+t.length-1);return r.Copy(e,0,i,0,e.length-1),i[e.length-1]=n[0],r.Copy(t,1,i,e.length,t.length-1),i}var i=new Array(e.length+t.length);return r.Copy(e,0,i,0,e.length),r.Copy(t,0,i,e.length,t.length),i},e.prototype.ChangesOverlap=function(e,t,i){if(o.Assert(e.originalStart<=t.originalStart,"Left change is not less than or equal to right change"),o.Assert(e.modifiedStart<=t.modifiedStart,"Left change is not less than or equal to right change"),e.originalStart+e.originalLength>=t.originalStart||e.modifiedStart+e.modifiedLength>=t.modifiedStart){var r=e.originalStart,s=e.originalLength,a=e.modifiedStart,l=e.modifiedLength
;return e.originalStart+e.originalLength>=t.originalStart&&(s=t.originalStart+t.originalLength-e.originalStart),e.modifiedStart+e.modifiedLength>=t.modifiedStart&&(l=t.modifiedStart+t.modifiedLength-e.modifiedStart),i[0]=new n.DiffChange(r,s,a,l),!0}return i[0]=null,!1},e.prototype.ClipDiagonalBound=function(e,t,n,i){if(e>=0&&e<i)return e;var o=i-n-1,r=t%2==0;if(e<0){return r===(n%2==0)?0:1}return r===(o%2==0)?i-1:i-2},e}();t.LcsDiff=a}),define(t[414],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.once=function(e){var t,n=this,i=!1;return function(){return i?t:(i=!0,t=e.apply(n,arguments))}}}),define(t[418],n([0,1]),function(e,t){"use strict";function n(e,t){switch(void 0===t&&(t=0),typeof e){case"object":return null===e?i(349,t):Array.isArray(e)?function(e,t){return t=i(104579,t),e.reduce(function(e,t){return n(t,e)},t)}(e,t):function(e,t){return t=i(181387,t),Object.keys(e).sort().reduce(function(t,i){return t=o(i,t),n(e[i],t)},t)}(e,t);case"string":return o(e,t)
;case"boolean":return function(e,t){return i(e?433:863,t)}(e,t);case"number":return i(e,t);case"undefined":return i(0,937);default:return i(0,617)}}function i(e,t){return(t<<5)-t+e|0}function o(e,t){t=i(149417,t);for(var n=0,o=e.length;n<o;n++)t=i(e.charCodeAt(n),t);return t}Object.defineProperty(t,"__esModule",{value:!0}),t.hash=n}),define(t[68],n([0,1,22]),function(e,t,n){"use strict";function i(e){return o(e)?!e.value:!Array.isArray(e)||e.every(i)}function o(e){return e instanceof s||!(!e||"object"!=typeof e)&&("string"==typeof e.value&&("boolean"==typeof e.isTrusted||void 0===e.isTrusted))}function r(e,t){return e===t||!(!e||!t)&&(e.value===t.value&&e.isTrusted===t.isTrusted)}Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){void 0===e&&(e=""),this.value=e}return e.prototype.appendText=function(e){return this.value+=e.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&"),this},e.prototype.appendMarkdown=function(e){return this.value+=e,this},e.prototype.appendCodeblock=function(e,t){
return this.value+="\n```",this.value+=e,this.value+="\n",this.value+=t,this.value+="\n```\n",this},e}();t.MarkdownString=s,t.isEmptyMarkdownString=i,t.isMarkdownString=o,t.markedStringsEquals=function(e,t){return!e&&!t||!(!e||!t)&&(Array.isArray(e)&&Array.isArray(t)?n.equals(e,t,r):!(!o(e)||!o(t))&&r(e,t))},t.removeMarkdownEscapes=function(e){return e?e.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1"):e}}),define(t[110],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e){this._prefix=e,this._lastId=0}return e.prototype.nextId=function(){return this._prefix+ ++this._lastId},e}();t.IdGenerator=n,t.defaultGenerator=new n("id#")});var o=this&&this.__extends||function(){var e=function(t,n){return(e=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(t,n)};return function(t,n){function i(){this.constructor=t}e(t,n),
t.prototype=null===n?Object.create(n):(i.prototype=n.prototype,new i)}}();define(t[87],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FIN={done:!0,value:void 0};!function(e){function n(e,t){for(var n=e.next();!n.done;n=e.next())t(n.value)}var i={next:function(){return t.FIN}};e.empty=function(){return i},e.fromArray=function(e,n,i){return void 0===n&&(n=0),void 0===i&&(i=e.length),{next:function(){return n>=i?t.FIN:{done:!1,value:e[n++]}}}},e.from=function(t){return t?Array.isArray(t)?e.fromArray(t):t:e.empty()},e.map=function(e,n){return{next:function(){var i=e.next();return i.done?t.FIN:{done:!1,value:n(i.value)}}}},e.filter=function(e,n){return{next:function(){for(;;){var i=e.next();if(i.done)return t.FIN;if(n(i.value))return{done:!1,value:i.value}}}}},e.forEach=n,e.collect=function(e){var t=[];return n(e,function(e){return t.push(e)}),t}}(t.Iterator||(t.Iterator={}));var n=function(){function e(e,t,n,i){void 0===t&&(t=0),void 0===n&&(n=e.length),void 0===i&&(i=t-1),
this.items=e,this.start=t,this.end=n,this.index=i}return e.prototype.next=function(){return this.index=Math.min(this.index+1,this.end),this.current()},e.prototype.current=function(){return this.index===this.start-1||this.index===this.end?null:this.items[this.index]},e}();t.ArrayIterator=n;var i=function(e){function t(t,n,i,o){return void 0===n&&(n=0),void 0===i&&(i=t.length),void 0===o&&(o=n-1),e.call(this,t,n,i,o)||this}return o(t,e),t.prototype.current=function(){return e.prototype.current.call(this)},t.prototype.previous=function(){return this.index=Math.max(this.index-1,this.start-1),this.current()},t.prototype.first=function(){return this.index=this.start,this.current()},t.prototype.last=function(){return this.index=this.end-1,this.current()},t.prototype.parent=function(){return null},t}(n);t.ArrayNavigator=i;var r=function(){function e(e,t){this.iterator=e,this.fn=t}return e.prototype.next=function(){return this.fn(this.iterator.next())},e}();t.MappedIterator=r}),
define(t[441],n([0,1,87]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){void 0===e&&(e=[]),void 0===t&&(t=10),this._initialize(e),this._limit=t,this._onChange()}return e.prototype.add=function(e){this._history.delete(e),this._history.add(e),this._onChange()},e.prototype.next=function(){return this._navigator.next()},e.prototype.previous=function(){return this._navigator.previous()},e.prototype.current=function(){return this._navigator.current()},e.prototype.parent=function(){return null},e.prototype.first=function(){return this._navigator.first()},e.prototype.last=function(){return this._navigator.last()},e.prototype.has=function(e){return this._history.has(e)},e.prototype._onChange=function(){this._reduceToLimit(),this._navigator=new n.ArrayNavigator(this._elements,0,this._elements.length,this._elements.length)},e.prototype._reduceToLimit=function(){var e=this._elements;e.length>this._limit&&this._initialize(e.slice(e.length-this._limit))},
e.prototype._initialize=function(e){this._history=new Set;for(var t=0,n=e;t<n.length;t++){var i=n[t];this._history.add(i)}},Object.defineProperty(e.prototype,"_elements",{get:function(){var e=[];return this._history.forEach(function(t){return e.push(t)}),e},enumerable:!0,configurable:!0}),e}();t.HistoryNavigator=i}),define(t[36],n([0,1]),function(e,t){"use strict";function n(e,t){var n=!!(2048&e),i=!!(256&e);return new a(2===t?i:n,!!(1024&e),!!(512&e),2===t?n:i,255&e)}Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}return e.prototype.define=function(e,t){this._keyCodeToStr[e]=t,this._strToKeyCode[t.toLowerCase()]=e},e.prototype.keyCodeToStr=function(e){return this._keyCodeToStr[e]},e.prototype.strToKeyCode=function(e){return this._strToKeyCode[e.toLowerCase()]||0},e}(),o=new i,r=new i,s=new i;!function(){function e(e,t,n,i){void 0===n&&(n=t),void 0===i&&(i=n),o.define(e,t),r.define(e,n),s.define(e,i)}e(0,"unknown"),
e(1,"Backspace"),e(2,"Tab"),e(3,"Enter"),e(4,"Shift"),e(5,"Ctrl"),e(6,"Alt"),e(7,"PauseBreak"),e(8,"CapsLock"),e(9,"Escape"),e(10,"Space"),e(11,"PageUp"),e(12,"PageDown"),e(13,"End"),e(14,"Home"),e(15,"LeftArrow","Left"),e(16,"UpArrow","Up"),e(17,"RightArrow","Right"),e(18,"DownArrow","Down"),e(19,"Insert"),e(20,"Delete"),e(21,"0"),e(22,"1"),e(23,"2"),e(24,"3"),e(25,"4"),e(26,"5"),e(27,"6"),e(28,"7"),e(29,"8"),e(30,"9"),e(31,"A"),e(32,"B"),e(33,"C"),e(34,"D"),e(35,"E"),e(36,"F"),e(37,"G"),e(38,"H"),e(39,"I"),e(40,"J"),e(41,"K"),e(42,"L"),e(43,"M"),e(44,"N"),e(45,"O"),e(46,"P"),e(47,"Q"),e(48,"R"),e(49,"S"),e(50,"T"),e(51,"U"),e(52,"V"),e(53,"W"),e(54,"X"),e(55,"Y"),e(56,"Z"),e(57,"Meta"),e(58,"ContextMenu"),e(59,"F1"),e(60,"F2"),e(61,"F3"),e(62,"F4"),e(63,"F5"),e(64,"F6"),e(65,"F7"),e(66,"F8"),e(67,"F9"),e(68,"F10"),e(69,"F11"),e(70,"F12"),e(71,"F13"),e(72,"F14"),e(73,"F15"),e(74,"F16"),e(75,"F17"),e(76,"F18"),e(77,"F19"),e(78,"NumLock"),e(79,"ScrollLock"),e(80,";",";","OEM_1"),e(81,"=","=","OEM_PLUS"),
e(82,",",",","OEM_COMMA"),e(83,"-","-","OEM_MINUS"),e(84,".",".","OEM_PERIOD"),e(85,"/","/","OEM_2"),e(86,"`","`","OEM_3"),e(110,"ABNT_C1"),e(111,"ABNT_C2"),e(87,"[","[","OEM_4"),e(88,"\\","\\","OEM_5"),e(89,"]","]","OEM_6"),e(90,"'","'","OEM_7"),e(91,"OEM_8"),e(92,"OEM_102"),e(93,"NumPad0"),e(94,"NumPad1"),e(95,"NumPad2"),e(96,"NumPad3"),e(97,"NumPad4"),e(98,"NumPad5"),e(99,"NumPad6"),e(100,"NumPad7"),e(101,"NumPad8"),e(102,"NumPad9"),e(103,"NumPad_Multiply"),e(104,"NumPad_Add"),e(105,"NumPad_Separator"),e(106,"NumPad_Subtract"),e(107,"NumPad_Decimal"),e(108,"NumPad_Divide")}();!function(e){e.toString=function(e){return o.keyCodeToStr(e)},e.fromString=function(e){return o.strToKeyCode(e)},e.toUserSettingsUS=function(e){return r.keyCodeToStr(e)},e.toUserSettingsGeneral=function(e){return s.keyCodeToStr(e)},e.fromUserSettings=function(e){return r.strToKeyCode(e)||s.strToKeyCode(e)}}(t.KeyCodeUtils||(t.KeyCodeUtils={})),t.KeyChord=function(e,t){return(e|(65535&t)<<16>>>0)>>>0},t.createKeybinding=function(e,t){
if(0===e)return null;var i=(65535&e)>>>0,o=(4294901760&e)>>>16;return 0!==o?new l(n(i,t),n(o,t)):n(i,t)},t.createSimpleKeybinding=n;var a=function(){function e(e,t,n,i,o){this.type=1,this.ctrlKey=e,this.shiftKey=t,this.altKey=n,this.metaKey=i,this.keyCode=o}return e.prototype.equals=function(e){return 1===e.type&&(this.ctrlKey===e.ctrlKey&&this.shiftKey===e.shiftKey&&this.altKey===e.altKey&&this.metaKey===e.metaKey&&this.keyCode===e.keyCode)},e.prototype.isModifierKey=function(){return 0===this.keyCode||5===this.keyCode||57===this.keyCode||6===this.keyCode||4===this.keyCode},e.prototype.isDuplicateModifierCase=function(){return this.ctrlKey&&5===this.keyCode||this.shiftKey&&4===this.keyCode||this.altKey&&6===this.keyCode||this.metaKey&&57===this.keyCode},e}();t.SimpleKeybinding=a;var l=function(){return function(e,t){this.type=2,this.firstPart=e,this.chordPart=t}}();t.ChordKeybinding=l;var u=function(){return function(e,t,n,i,o,r){this.ctrlKey=e,this.shiftKey=t,this.altKey=n,this.metaKey=i,this.keyLabel=o,
this.keyAriaLabel=r}}();t.ResolvedKeybindingPart=u;var d=function(){return function(){}}();t.ResolvedKeybinding=d}),define(t[2],n([0,1]),function(e,t){"use strict";function n(e){for(var t=[],i=1;i<arguments.length;i++)t[i-1]=arguments[i];return Array.isArray(e)?(e.forEach(function(e){return e&&e.dispose()}),[]):0!==t.length?(n(e),n(t),[]):e?(e.dispose(),e):void 0}Object.defineProperty(t,"__esModule",{value:!0}),t.isDisposable=function(e){return"function"==typeof e.dispose&&0===e.dispose.length},t.dispose=n,t.combinedDisposable=function(e){return{dispose:function(){return n(e)}}},t.toDisposable=function(e){return{dispose:function(){e()}}};var i=function(){function e(){this._toDispose=[]}return e.prototype.dispose=function(){this._toDispose=n(this._toDispose)},e.prototype._register=function(e){return this._toDispose.push(e),e},e.None=Object.freeze({dispose:function(){}}),e}();t.Disposable=i;var o=function(){function e(e){this.object=e}return e.prototype.dispose=function(){},e}();t.ImmortalReference=o}),
define(t[160],n([0,1,87]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){return function(e){this.element=e}}(),o=function(){function e(){}return e.prototype.isEmpty=function(){return!this._first},e.prototype.unshift=function(e){return this.insert(e,!1)},e.prototype.push=function(e){return this.insert(e,!0)},e.prototype.insert=function(e,t){var n=this,o=new i(e);if(this._first)if(t){var r=this._last;this._last=o,o.prev=r,r.next=o}else{var s=this._first;this._first=o,o.next=s,s.prev=o}else this._first=o,this._last=o;return function(){for(var e=n._first;e instanceof i;){if(e===o){if(e.prev&&e.next){var t=e.prev;t.next=e.next,e.next.prev=t}else e.prev||e.next?e.next?e.prev||(n._first=n._first.next,n._first.prev=void 0):(n._last=n._last.prev,n._last.next=void 0):(n._first=void 0,n._last=void 0);break}e=e.next}}},e.prototype.iterator=function(){var e,t=this._first;return{next:function(){return t?(e?e.value=t.element:e={done:!1,value:t.element},t=t.next,e):n.FIN}}},e
}();t.LinkedList=o}),define(t[65],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.values=function(e){var t=[];return e.forEach(function(e){return t.push(e)}),t},t.keys=function(e){var t=[];return e.forEach(function(e,n){return t.push(n)}),t};var n=function(){function e(){this._value="",this._pos=0}return e.prototype.reset=function(e){return this._value=e,this._pos=0,this},e.prototype.next=function(){return this._pos+=1,this},e.prototype.hasNext=function(){return this._pos<this._value.length-1},e.prototype.cmp=function(e){return e.charCodeAt(0)-this._value.charCodeAt(this._pos)},e.prototype.value=function(){return this._value[this._pos]},e}();t.StringIterator=n;var i=function(){function e(){}return e.prototype.reset=function(e){return this._value=e.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()},e.prototype.hasNext=function(){return this._to<this._value.length},e.prototype.next=function(){this._from=this._to;for(var e=!0;this._to<this._value.length;this._to++){
var t=this._value.charCodeAt(this._to);if(47===t||92===t){if(!e)break;this._from++}else e=!1}return this},e.prototype.cmp=function(e){for(var t=0,n=e.length,i=this._from;t<n&&i<this._to;){var o=e.charCodeAt(t)-this._value.charCodeAt(i);if(0!==o)return o;t+=1,i+=1}return n===this._to-this._from?0:t<n?-1:1},e.prototype.value=function(){return this._value.substring(this._from,this._to)},e}();t.PathIterator=i;var r=function(){return function(){}}(),s=function(){function e(e){this._iter=e}return e.forPaths=function(){return new e(new i)},e.forStrings=function(){return new e(new n)},e.prototype.clear=function(){this._root=void 0},e.prototype.set=function(e,t){var n,i=this._iter.reset(e);for(this._root||(this._root=new r,this._root.segment=i.value()),n=this._root;;){var o=i.cmp(n.segment);if(o>0)n.left||(n.left=new r,n.left.segment=i.value()),n=n.left;else if(o<0)n.right||(n.right=new r,n.right.segment=i.value()),n=n.right;else{if(!i.hasNext())break;i.next(),n.mid||(n.mid=new r,n.mid.segment=i.value()),n=n.mid}}
var s=n.value;return n.value=t,n.key=e,s},e.prototype.get=function(e){for(var t=this._iter.reset(e),n=this._root;n;){var i=t.cmp(n.segment);if(i>0)n=n.left;else if(i<0)n=n.right;else{if(!t.hasNext())break;t.next(),n=n.mid}}return n?n.value:void 0},e.prototype.findSubstr=function(e){for(var t=this._iter.reset(e),n=this._root,i=void 0;n;){var o=t.cmp(n.segment);if(o>0)n=n.left;else if(o<0)n=n.right;else{if(!t.hasNext())break;t.next(),i=n.value||i,n=n.mid}}return n&&n.value||i},e.prototype.forEach=function(e){this._forEach(this._root,e)},e.prototype._forEach=function(e,t){e&&(this._forEach(e.left,t),e.value&&t(e.value,e.key),this._forEach(e.mid,t),this._forEach(e.right,t))},e}();t.TernarySearchTree=s;var a=function(){function e(){this.map=new Map,this.ignoreCase=!1}return e.prototype.set=function(e,t){this.map.set(this.toKey(e),t)},e.prototype.get=function(e){return this.map.get(this.toKey(e))},e.prototype.toKey=function(e){var t=e.toString();return this.ignoreCase&&(t=t.toLowerCase()),t},e}();t.ResourceMap=a
;var l=function(){function e(){this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0}return e.prototype.clear=function(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0},Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.get=function(e,t){void 0===t&&(t=0);var n=this._map.get(e);if(n)return 0!==t&&this.touch(n,t),n.value},e.prototype.set=function(e,t,n){void 0===n&&(n=0);var i=this._map.get(e);if(i)i.value=t,0!==n&&this.touch(i,n);else{switch(i={key:e,value:t,next:void 0,previous:void 0},n){case 0:this.addItemLast(i);break;case 1:this.addItemFirst(i);break;case 2:default:this.addItemLast(i)}this._map.set(e,i),this._size++}},e.prototype.forEach=function(e,t){for(var n=this._head;n;)t?e.bind(t)(n.value,n.key,this):e(n.value,n.key,this),n=n.next},e.prototype.trimOld=function(e){if(!(e>=this.size))if(0!==e){for(var t=this._head,n=this.size;t&&n>e;)this._map.delete(t.key),t=t.next,n--;this._head=t,this._size=n,
t&&(t.previous=void 0)}else this.clear()},e.prototype.addItemFirst=function(e){if(this._head||this._tail){if(!this._head)throw new Error("Invalid list");e.next=this._head,this._head.previous=e}else this._tail=e;this._head=e},e.prototype.addItemLast=function(e){if(this._head||this._tail){if(!this._tail)throw new Error("Invalid list");e.previous=this._tail,this._tail.next=e}else this._head=e;this._tail=e},e.prototype.touch=function(e,t){if(!this._head||!this._tail)throw new Error("Invalid list");if(1===t||2===t)if(1===t){if(e===this._head)return;var n=e.next,i=e.previous;e===this._tail?(i.next=void 0,this._tail=i):(n.previous=i,i.next=n),e.previous=void 0,e.next=this._head,this._head.previous=e,this._head=e}else if(2===t){if(e===this._tail)return;var n=e.next,i=e.previous;e===this._head?(n.previous=void 0,this._head=n):(n.previous=i,i.next=n),e.next=void 0,e.previous=this._tail,this._tail.next=e,this._tail=e}},e.prototype.toJSON=function(){var e=[];return this.forEach(function(t,n){e.push([n,t])}),e},e}()
;t.LinkedMap=l;var u=function(e){function t(t,n){void 0===n&&(n=1);var i=e.call(this)||this;return i._limit=t,i._ratio=Math.min(Math.max(0,n),1),i}return o(t,e),t.prototype.get=function(t){return e.prototype.get.call(this,t,2)},t.prototype.set=function(t,n){e.prototype.set.call(this,t,n,2),this.checkTrim()},t.prototype.checkTrim=function(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))},t}(l);t.LRUCache=u});/**
 * marked - a markdown parser
 * Copyright (c) 2011-2014, Christopher Jeffrey. (MIT Licensed)
 * https://github.com/markedjs/marked
 */
var r;(function(e){"use strict";function t(e){this.tokens=[],this.tokens.links=Object.create(null),this.options=e||g.defaults,this.rules=m.normal,this.options.pedantic?this.rules=m.pedantic:this.options.gfm&&(this.options.tables?this.rules=m.tables:this.rules=m.gfm)}function n(e,t){if(this.options=t||g.defaults,this.links=e,this.rules=v.normal,this.renderer=this.options.renderer||new i,this.renderer.options=this.options,!this.links)throw new Error("Tokens array requires a `links` property.");this.options.pedantic?this.rules=v.pedantic:this.options.gfm&&(this.options.breaks?this.rules=v.breaks:this.rules=v.gfm)}function i(e){this.options=e||g.defaults}function o(){}function s(e){this.tokens=[],this.token=null,this.options=e||g.defaults,this.options.renderer=this.options.renderer||new i,this.renderer=this.options.renderer,this.renderer.options=this.options}function a(e,t){return e.replace(t?/&/g:/&(?!#?\w+;)/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")}
function l(e){return e.replace(/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/gi,function(e,t){return"colon"===(t=t.toLowerCase())?":":"#"===t.charAt(0)?"x"===t.charAt(1)?String.fromCharCode(parseInt(t.substring(2),16)):String.fromCharCode(+t.substring(1)):""})}function u(e,t){return e=e.source||e,t=t||"",{replace:function(t,n){return n=n.source||n,n=n.replace(/(^|[^\[])\^/g,"$1"),e=e.replace(t,n),this},getRegex:function(){return new RegExp(e,t)}}}function d(e,t){return _[" "+e]||(/^[^:]+:\/*[^/]*$/.test(e)?_[" "+e]=e+"/":_[" "+e]=f(e,"/",!0)),e=_[" "+e],"//"===t.slice(0,2)?e.replace(/:[\s\S]*/,":")+t:"/"===t.charAt(0)?e.replace(/(:\/*[^/]*)[\s\S]*/,"$1")+t:e+t}function c(){}function h(e){for(var t,n,i=1;i<arguments.length;i++){t=arguments[i];for(n in t)Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n])}return e}function p(e,t){var n=e.replace(/\|/g,function(e,t,n){for(var i=!1,o=t;--o>=0&&"\\"===n[o];)i=!i;return i?"|":" |"}).split(/ \|/),i=0;if(n.length>t)n.splice(t);else for(;n.length<t;)n.push("")
;for(;i<n.length;i++)n[i]=n[i].trim().replace(/\\\|/g,"|");return n}function f(e,t,n){if(0===e.length)return"";for(var i=0;i<e.length;){var o=e.charAt(e.length-i-1);if(o!==t||n){if(o===t||!n)break;i++}else i++}return e.substr(0,e.length-i)}function g(e,n,i){if(void 0===e||null===e)throw new Error("marked(): input parameter is undefined or null");if("string"!=typeof e)throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(e)+", string expected");if(i||"function"==typeof n){i||(i=n,n=null);var o,r,l=(n=h({},g.defaults,n||{})).highlight,u=0;try{o=t.lex(e,n)}catch(e){return i(e)}r=o.length;var d=function(e){if(e)return n.highlight=l,i(e);var t;try{t=s.parse(o,n)}catch(t){e=t}return n.highlight=l,e?i(e):i(null,t)};if(!l||l.length<3)return d();if(delete n.highlight,!r)return d();for(;u<o.length;u++)!function(e){"code"!==e.type?--r||d():l(e.text,e.lang,function(t,n){return t?d(t):null==n||n===e.text?--r||d():(e.text=n,e.escaped=!0,void(--r||d()))})}(o[u])}else try{
return n&&(n=h({},g.defaults,n)),s.parse(t.lex(e,n),n)}catch(e){if(e.message+="\nPlease report this to https://github.com/markedjs/marked.",(n||g.defaults).silent)return"<p>An error occurred:</p><pre>"+a(e.message+"",!0)+"</pre>";throw e}}var m={newline:/^\n+/,code:/^( {4}[^\n]+\n*)+/,fences:c,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ *(#{1,6}) *([^\n]+?) *(?:#+ *)?(?:\n+|$)/,nptable:c,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( *)(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?!\1bull )\n*|\s*$)/,html:"^ {0,3}(?:<(script|pre|style)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?\\?>\\n*|<![A-Z][\\s\\S]*?>\\n*|<!\\[CDATA\\[[\\s\\S]*?\\]\\]>\\n*|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:\\n{2,}|$)|<(?!script|pre|style)([a-z][\\w-]*)(?:attribute)*? */?>(?=\\h*\\n)[\\s\\S]*?(?:\\n{2,}|$)|</(?!script|pre|style)[a-z][\\w-]*\\s*>(?=\\h*\\n)[\\s\\S]*?(?:\\n{2,}|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,
table:c,lheading:/^([^\n]+)\n *(=|-){2,} *(?:\n+|$)/,paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading| {0,3}>|<\/?(?:tag)(?: +|\n|\/?>)|<(?:script|pre|style|!--))[^\n]+)*)/,text:/^[^\n]+/};m._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,m._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,m.def=u(m.def).replace("label",m._label).replace("title",m._title).getRegex(),m.bullet=/(?:[*+-]|\d+\.)/,m.item=/^( *)(bull) [^\n]*(?:\n(?!\1bull )[^\n]*)*/,m.item=u(m.item,"gm").replace(/bull/g,m.bullet).getRegex(),m.list=u(m.list).replace(/bull/g,m.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+m.def.source+")").getRegex(),
m._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",m._comment=/<!--(?!-?>)[\s\S]*?-->/,m.html=u(m.html,"i").replace("comment",m._comment).replace("tag",m._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),m.paragraph=u(m.paragraph).replace("hr",m.hr).replace("heading",m.heading).replace("lheading",m.lheading).replace("tag",m._tag).getRegex(),m.blockquote=u(m.blockquote).replace("paragraph",m.paragraph).getRegex(),m.normal=h({},m),m.gfm=h({},m.normal,{fences:/^ *(`{3,}|~{3,})[ \.]*(\S+)? *\n([\s\S]*?)\n? *\1 *(?:\n+|$)/,paragraph:/^/,heading:/^ *(#{1,6}) +([^\n]+?) *#* *(?:\n+|$)/}),
m.gfm.paragraph=u(m.paragraph).replace("(?!","(?!"+m.gfm.fences.source.replace("\\1","\\2")+"|"+m.list.source.replace("\\1","\\3")+"|").getRegex(),m.tables=h({},m.gfm,{nptable:/^ *([^|\n ].*\|.*)\n *([-:]+ *\|[-| :]*)(?:\n((?:.*[^>\n ].*(?:\n|$))*)\n*|$)/,table:/^ *\|(.+)\n *\|?( *[-:]+[-| :]*)(?:\n((?: *[^>\n ].*(?:\n|$))*)\n*|$)/}),m.pedantic=h({},m.normal,{html:u("^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:\"[^\"]*\"|'[^']*'|\\s[^'\"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))").replace("comment",m._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/}),t.rules=m,t.lex=function(e,n){return new t(n).lex(e)},t.prototype.lex=function(e){return e=e.replace(/\r\n|\r/g,"\n").replace(/\t/g,"    ").replace(/\u00a0/g," ").replace(/\u2424/g,"\n"),this.token(e,!0)},
t.prototype.token=function(e,t){e=e.replace(/^ +$/gm,"");for(var n,i,o,r,s,a,l,u,d,c,h,g,v,_,y,C;e;)if((o=this.rules.newline.exec(e))&&(e=e.substring(o[0].length),o[0].length>1&&this.tokens.push({type:"space"})),o=this.rules.code.exec(e))e=e.substring(o[0].length),o=o[0].replace(/^ {4}/gm,""),this.tokens.push({type:"code",text:this.options.pedantic?o:f(o,"\n")});else if(o=this.rules.fences.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"code",lang:o[2],text:o[3]||""});else if(o=this.rules.heading.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"heading",depth:o[1].length,text:o[2]});else if(t&&(o=this.rules.nptable.exec(e))&&(a={type:"table",header:p(o[1].replace(/^ *| *\| *$/g,"")),align:o[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:o[3]?o[3].replace(/\n$/,"").split("\n"):[]}).header.length===a.align.length){for(e=e.substring(o[0].length),
h=0;h<a.align.length;h++)/^ *-+: *$/.test(a.align[h])?a.align[h]="right":/^ *:-+: *$/.test(a.align[h])?a.align[h]="center":/^ *:-+ *$/.test(a.align[h])?a.align[h]="left":a.align[h]=null;for(h=0;h<a.cells.length;h++)a.cells[h]=p(a.cells[h],a.header.length);this.tokens.push(a)}else if(o=this.rules.hr.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"hr"});else if(o=this.rules.blockquote.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"blockquote_start"}),o=o[0].replace(/^ *> ?/gm,""),this.token(o,t),this.tokens.push({type:"blockquote_end"});else if(o=this.rules.list.exec(e)){for(e=e.substring(o[0].length),l={type:"list_start",ordered:_=(r=o[2]).length>1,start:_?+r:"",loose:!1},this.tokens.push(l),u=[],n=!1,v=(o=o[0].match(this.rules.item)).length,h=0;h<v;h++)c=(a=o[h]).length,~(a=a.replace(/^ *([*+-]|\d+\.) +/,"")).indexOf("\n ")&&(c-=a.length,a=this.options.pedantic?a.replace(/^ {1,4}/gm,""):a.replace(new RegExp("^ {1,"+c+"}","gm"),"")),
this.options.smartLists&&h!==v-1&&(r===(s=m.bullet.exec(o[h+1])[0])||r.length>1&&s.length>1||(e=o.slice(h+1).join("\n")+e,h=v-1)),i=n||/\n\n(?!\s*$)/.test(a),h!==v-1&&(n="\n"===a.charAt(a.length-1),i||(i=n)),i&&(l.loose=!0),C=void 0,(y=/^\[[ xX]\] /.test(a))&&(C=" "!==a[1],a=a.replace(/^\[[ xX]\] +/,"")),d={type:"list_item_start",task:y,checked:C,loose:i},u.push(d),this.tokens.push(d),this.token(a,!1),this.tokens.push({type:"list_item_end"});if(l.loose)for(v=u.length,h=0;h<v;h++)u[h].loose=!0;this.tokens.push({type:"list_end"})}else if(o=this.rules.html.exec(e))e=e.substring(o[0].length),this.tokens.push({type:this.options.sanitize?"paragraph":"html",pre:!this.options.sanitizer&&("pre"===o[1]||"script"===o[1]||"style"===o[1]),text:o[0]});else if(t&&(o=this.rules.def.exec(e)))e=e.substring(o[0].length),o[3]&&(o[3]=o[3].substring(1,o[3].length-1)),g=o[1].toLowerCase().replace(/\s+/g," "),this.tokens.links[g]||(this.tokens.links[g]={href:o[2],title:o[3]});else if(t&&(o=this.rules.table.exec(e))&&(a={
type:"table",header:p(o[1].replace(/^ *| *\| *$/g,"")),align:o[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:o[3]?o[3].replace(/(?: *\| *)?\n$/,"").split("\n"):[]}).header.length===a.align.length){for(e=e.substring(o[0].length),h=0;h<a.align.length;h++)/^ *-+: *$/.test(a.align[h])?a.align[h]="right":/^ *:-+: *$/.test(a.align[h])?a.align[h]="center":/^ *:-+ *$/.test(a.align[h])?a.align[h]="left":a.align[h]=null;for(h=0;h<a.cells.length;h++)a.cells[h]=p(a.cells[h].replace(/^ *\| *| *\| *$/g,""),a.header.length);this.tokens.push(a)}else if(o=this.rules.lheading.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"heading",depth:"="===o[2]?1:2,text:o[1]});else if(t&&(o=this.rules.paragraph.exec(e)))e=e.substring(o[0].length),this.tokens.push({type:"paragraph",text:"\n"===o[1].charAt(o[1].length-1)?o[1].slice(0,-1):o[1]});else if(o=this.rules.text.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"text",text:o[0]});else if(e)throw new Error("Infinite loop on byte: "+e.charCodeAt(0))
;return this.tokens};var v={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:c,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(href(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,strong:/^__([^\s])__(?!_)|^\*\*([^\s])\*\*(?!\*)|^__([^\s][\s\S]*?[^\s])__(?!_)|^\*\*([^\s][\s\S]*?[^\s])\*\*(?!\*)/,em:/^_([^\s_])_(?!_)|^\*([^\s*"<\[])\*(?!\*)|^_([^\s][\s\S]*?[^\s_])_(?!_)|^_([^\s_][\s\S]*?[^\s])_(?!_)|^\*([^\s"<\[][\s\S]*?[^\s*])\*(?!\*)|^\*([^\s*"<\[][\s\S]*?[^\s])\*(?!\*)/,code:/^(`+)\s*([\s\S]*?[^`]?)\s*\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:c,text:/^[\s\S]+?(?=[\\<!\[`*]|\b_| {2,}\n|$)/};v._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,v._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,
v._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,v.autolink=u(v.autolink).replace("scheme",v._scheme).replace("email",v._email).getRegex(),v._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,v.tag=u(v.tag).replace("comment",m._comment).replace("attribute",v._attribute).getRegex(),v._label=/(?:\[[^\[\]]*\]|\\[\[\]]?|`[^`]*`|[^\[\]\\])*?/,v._href=/\s*(<(?:\\[<>]?|[^\s<>\\])*>|(?:\\[()]?|\([^\s\x00-\x1f\\]*\)|[^\s\x00-\x1f()\\])*?)/,v._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,v.link=u(v.link).replace("label",v._label).replace("href",v._href).replace("title",v._title).getRegex(),v.reflink=u(v.reflink).replace("label",v._label).getRegex(),v.normal=h({},v),v.pedantic=h({},v.normal,{strong:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,em:/^_(?=\S)([\s\S]*?\S)_(?!_)|^\*(?=\S)([\s\S]*?\S)\*(?!\*)/,
link:u(/^!?\[(label)\]\((.*?)\)/).replace("label",v._label).getRegex(),reflink:u(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",v._label).getRegex()}),v.gfm=h({},v.normal,{escape:u(v.escape).replace("])","~|])").getRegex(),url:u(/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/).replace("email",v._email).getRegex(),_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^~+(?=\S)([\s\S]*?\S)~+/,text:u(v.text).replace("]|","~]|").replace("|","|https?://|ftp://|www\\.|[a-zA-Z0-9.!#$%&'*+/=?^_`{\\|}~-]+@|").getRegex()}),v.breaks=h({},v.gfm,{br:u(v.br).replace("{2,}","*").getRegex(),text:u(v.gfm.text).replace("{2,}","*").getRegex()}),n.rules=v,n.output=function(e,t,i){return new n(t,i).output(e)},n.prototype.output=function(e){for(var t,i,o,r,s,l,u="";e;)if(s=this.rules.escape.exec(e))e=e.substring(s[0].length),u+=s[1];else if(s=this.rules.autolink.exec(e))e=e.substring(s[0].length),o="@"===s[2]?"mailto:"+(i=a(this.mangle(s[1]))):i=a(s[1]),
u+=this.renderer.link(o,null,i);else if(this.inLink||!(s=this.rules.url.exec(e))){if(s=this.rules.tag.exec(e))!this.inLink&&/^<a /i.test(s[0])?this.inLink=!0:this.inLink&&/^<\/a>/i.test(s[0])&&(this.inLink=!1),e=e.substring(s[0].length),u+=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(s[0]):a(s[0]):s[0];else if(s=this.rules.link.exec(e))e=e.substring(s[0].length),this.inLink=!0,o=s[2],this.options.pedantic?(t=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(o))?(o=t[1],r=t[3]):r="":r=s[3]?s[3].slice(1,-1):"",o=o.trim().replace(/^<([\s\S]*)>$/,"$1"),u+=this.outputLink(s,{href:n.escapes(o),title:n.escapes(r)}),this.inLink=!1;else if((s=this.rules.reflink.exec(e))||(s=this.rules.nolink.exec(e))){if(e=e.substring(s[0].length),t=(s[2]||s[1]).replace(/\s+/g," "),!(t=this.links[t.toLowerCase()])||!t.href){u+=s[0].charAt(0),e=s[0].substring(1)+e;continue}this.inLink=!0,u+=this.outputLink(s,t),this.inLink=!1}else if(s=this.rules.strong.exec(e))e=e.substring(s[0].length),
u+=this.renderer.strong(this.output(s[4]||s[3]||s[2]||s[1]));else if(s=this.rules.em.exec(e))e=e.substring(s[0].length),u+=this.renderer.em(this.output(s[6]||s[5]||s[4]||s[3]||s[2]||s[1]));else if(s=this.rules.code.exec(e))e=e.substring(s[0].length),u+=this.renderer.codespan(a(s[2].trim(),!0));else if(s=this.rules.br.exec(e))e=e.substring(s[0].length),u+=this.renderer.br();else if(s=this.rules.del.exec(e))e=e.substring(s[0].length),u+=this.renderer.del(this.output(s[1]));else if(s=this.rules.text.exec(e))e=e.substring(s[0].length),u+=this.renderer.text(a(this.smartypants(s[0])));else if(e)throw new Error("Infinite loop on byte: "+e.charCodeAt(0))}else{do{l=s[0],s[0]=this.rules._backpedal.exec(s[0])[0]}while(l!==s[0]);e=e.substring(s[0].length),"@"===s[2]?o="mailto:"+(i=a(s[0])):(i=a(s[0]),o="www."===s[1]?"http://"+i:i),u+=this.renderer.link(o,null,i)}return u},n.escapes=function(e){return e?e.replace(n.rules._escapes,"$1"):e},n.prototype.outputLink=function(e,t){var n=t.href,i=t.title?a(t.title):null
;return"!"!==e[0].charAt(0)?this.renderer.link(n,i,this.output(e[1])):this.renderer.image(n,i,a(e[1]))},n.prototype.smartypants=function(e){return this.options.smartypants?e.replace(/---/g,"—").replace(/--/g,"–").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1‘").replace(/'/g,"’").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1“").replace(/"/g,"”").replace(/\.{3}/g,"…"):e},n.prototype.mangle=function(e){if(!this.options.mangle)return e;for(var t,n="",i=e.length,o=0;o<i;o++)t=e.charCodeAt(o),Math.random()>.5&&(t="x"+t.toString(16)),n+="&#"+t+";";return n},i.prototype.code=function(e,t,n){if(this.options.highlight){var i=this.options.highlight(e,t);null!=i&&i!==e&&(n=!0,e=i)}return t?'<pre><code class="'+this.options.langPrefix+a(t,!0)+'">'+(n?e:a(e,!0))+"</code></pre>\n":"<pre><code>"+(n?e:a(e,!0))+"</code></pre>"},i.prototype.blockquote=function(e){return"<blockquote>\n"+e+"</blockquote>\n"},i.prototype.html=function(e){return e},i.prototype.heading=function(e,t,n){
return this.options.headerIds?"<h"+t+' id="'+this.options.headerPrefix+n.toLowerCase().replace(/[^\w]+/g,"-")+'">'+e+"</h"+t+">\n":"<h"+t+">"+e+"</h"+t+">\n"},i.prototype.hr=function(){return this.options.xhtml?"<hr/>\n":"<hr>\n"},i.prototype.list=function(e,t,n){var i=t?"ol":"ul";return"<"+i+(t&&1!==n?' start="'+n+'"':"")+">\n"+e+"</"+i+">\n"},i.prototype.listitem=function(e){return"<li>"+e+"</li>\n"},i.prototype.checkbox=function(e){return"<input "+(e?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},i.prototype.paragraph=function(e){return"<p>"+e+"</p>\n"},i.prototype.table=function(e,t){return t&&(t="<tbody>"+t+"</tbody>"),"<table>\n<thead>\n"+e+"</thead>\n"+t+"</table>\n"},i.prototype.tablerow=function(e){return"<tr>\n"+e+"</tr>\n"},i.prototype.tablecell=function(e,t){var n=t.header?"th":"td";return(t.align?"<"+n+' align="'+t.align+'">':"<"+n+">")+e+"</"+n+">\n"},i.prototype.strong=function(e){return"<strong>"+e+"</strong>"},i.prototype.em=function(e){
return"<em>"+e+"</em>"},i.prototype.codespan=function(e){return"<code>"+e+"</code>"},i.prototype.br=function(){return this.options.xhtml?"<br/>":"<br>"},i.prototype.del=function(e){return"<del>"+e+"</del>"},i.prototype.link=function(e,t,n){if(this.options.sanitize){try{var i=decodeURIComponent(l(e)).replace(/[^\w:]/g,"").toLowerCase()}catch(e){return n}if(0===i.indexOf("javascript:")||0===i.indexOf("vbscript:")||0===i.indexOf("data:"))return n}this.options.baseUrl&&!y.test(e)&&(e=d(this.options.baseUrl,e));try{e=encodeURI(e).replace(/%25/g,"%")}catch(e){return n}var o='<a href="'+a(e)+'"';return t&&(o+=' title="'+t+'"'),o+=">"+n+"</a>"},i.prototype.image=function(e,t,n){this.options.baseUrl&&!y.test(e)&&(e=d(this.options.baseUrl,e));var i='<img src="'+e+'" alt="'+n+'"';return t&&(i+=' title="'+t+'"'),i+=this.options.xhtml?"/>":">"},i.prototype.text=function(e){return e},o.prototype.strong=o.prototype.em=o.prototype.codespan=o.prototype.del=o.prototype.text=function(e){return e},
o.prototype.link=o.prototype.image=function(e,t,n){return""+n},o.prototype.br=function(){return""},s.parse=function(e,t){return new s(t).parse(e)},s.prototype.parse=function(e){this.inline=new n(e.links,this.options),this.inlineText=new n(e.links,h({},this.options,{renderer:new o})),this.tokens=e.reverse();for(var t="";this.next();)t+=this.tok();return t},s.prototype.next=function(){return this.token=this.tokens.pop()},s.prototype.peek=function(){return this.tokens[this.tokens.length-1]||0},s.prototype.parseText=function(){for(var e=this.token.text;"text"===this.peek().type;)e+="\n"+this.next().text;return this.inline.output(e)},s.prototype.tok=function(){switch(this.token.type){case"space":return"";case"hr":return this.renderer.hr();case"heading":return this.renderer.heading(this.inline.output(this.token.text),this.token.depth,l(this.inlineText.output(this.token.text)));case"code":return this.renderer.code(this.token.text,this.token.lang,this.token.escaped);case"table":var e,t,n,i,o="",r="";for(n="",
e=0;e<this.token.header.length;e++)n+=this.renderer.tablecell(this.inline.output(this.token.header[e]),{header:!0,align:this.token.align[e]});for(o+=this.renderer.tablerow(n),e=0;e<this.token.cells.length;e++){for(t=this.token.cells[e],n="",i=0;i<t.length;i++)n+=this.renderer.tablecell(this.inline.output(t[i]),{header:!1,align:this.token.align[i]});r+=this.renderer.tablerow(n)}return this.renderer.table(o,r);case"blockquote_start":for(r="";"blockquote_end"!==this.next().type;)r+=this.tok();return this.renderer.blockquote(r);case"list_start":r="";for(var s=this.token.ordered,a=this.token.start;"list_end"!==this.next().type;)r+=this.tok();return this.renderer.list(r,s,a);case"list_item_start":r="";var u=this.token.loose;for(this.token.task&&(r+=this.renderer.checkbox(this.token.checked));"list_item_end"!==this.next().type;)r+=u||"text"!==this.token.type?this.tok():this.parseText();return this.renderer.listitem(r);case"html":return this.renderer.html(this.token.text);case"paragraph":
return this.renderer.paragraph(this.inline.output(this.token.text));case"text":return this.renderer.paragraph(this.parseText())}};var _={},y=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;c.exec=c,g.options=g.setOptions=function(e){return h(g.defaults,e),g},g.getDefaults=function(){return{baseUrl:null,breaks:!1,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:new i,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tables:!0,xhtml:!1}},g.defaults=g.getDefaults(),g.Parser=s,g.parser=s.parse,g.Renderer=i,g.TextRenderer=o,g.Lexer=t,g.lexer=t.lex,g.InlineLexer=n,g.inlineLexer=n.output,g.parse=g,r=g}).call(this),define("vs/base/common/marked/marked",function(){return r}),define(t[50],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e.inMemory="inmemory",e.vscode="vscode",e.internal="private",e.walkThrough="walkThrough",e.walkThroughSnippet="walkThroughSnippet",e.http="http",e.https="https",e.file="file",
e.mailto="mailto",e.untitled="untitled",e.data="data"}(t.Schemas||(t.Schemas={}))}),define(t[427],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.clamp=function(e,t,n){return Math.min(Math.max(e,t),n)}}),define(t[17],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=!1,i=!1,o=!1,r=!1,s=!1;t.LANGUAGE_DEFAULT="en";var a="undefined"!=typeof process&&void 0!==process.versions&&void 0!==process.versions.electron&&"renderer"===process.type;if("object"!=typeof navigator||a){if("object"==typeof process){n="win32"===process.platform,i="darwin"===process.platform,o="linux"===process.platform,t.LANGUAGE_DEFAULT,t.LANGUAGE_DEFAULT;var l=process.env.VSCODE_NLS_CONFIG;if(l)try{var u=JSON.parse(l),d=u.availableLanguages["*"];u.locale,d||t.LANGUAGE_DEFAULT,u._translationsConfigFile}catch(e){}r=!0}}else{var c=navigator.userAgent;n=c.indexOf("Windows")>=0,i=c.indexOf("Macintosh")>=0,o=c.indexOf("Linux")>=0,s=!0,navigator.language}t.isWindows=n,
t.isMacintosh=i,t.isLinux=o,t.isNative=r,t.isWeb=s;var h="object"==typeof self?self:"object"==typeof global?global:{};t.globals=h;var p=null;t.setImmediate=function(e){return null===p&&(p=t.globals.setImmediate?t.globals.setImmediate.bind(t.globals):"undefined"!=typeof process&&"function"==typeof process.nextTick?process.nextTick.bind(process):t.globals.setTimeout.bind(t.globals)),p(e)},t.OS=i?2:n?1:3}),define(t[115],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){function t(e,t){if(e.start>=t.end||t.start>=e.end)return{start:0,end:0};var n=Math.max(e.start,t.start),i=Math.min(e.end,t.end);return i-n<=0?{start:0,end:0}:{start:n,end:i}}function n(e){return e.end-e.start<=0}e.intersect=t,e.isEmpty=n,e.intersects=function(e,i){return!n(t(e,i))},e.relativeComplement=function(e,t){var i=[],o={start:e.start,end:Math.min(t.start,e.end)},r={start:Math.max(t.end,e.start),end:e.end};return n(o)||i.push(o),n(r)||i.push(r),i}}(t.Range||(t.Range={}))}),
define(t[466],n([0,1,115]),function(e,t,n){"use strict";function i(e,t){for(var i=[],o=0,r=t;o<r.length;o++){var s=r[o];if(!(e.start>=s.range.end)){if(e.end<s.range.start)break;var a=n.Range.intersect(e,s.range);n.Range.isEmpty(a)||i.push({range:a,size:s.size})}}return i}function o(e,t){return{start:e.start+t,end:e.end+t}}function r(e){for(var t=[],n=null,i=0,o=e;i<o.length;i++){var r=o[i],s=r.range.start,a=r.range.end,l=r.size;n&&l===n.size?n.range.end=a:(n={range:{start:s,end:a},size:l},t.push(n))}return t}Object.defineProperty(t,"__esModule",{value:!0}),t.groupIntersect=i,t.shift=o,t.consolidate=r;var s=function(){function e(){this.groups=[],this._size=0}return e.prototype.splice=function(e,t,n){void 0===n&&(n=[]);var s=n.length-t,a=i({start:0,end:e},this.groups),l=i({start:e+t,end:Number.POSITIVE_INFINITY},this.groups).map(function(e){return{range:o(e.range,s),size:e.size}}),u=n.map(function(t,n){return{range:{start:e+n,end:e+n+1},size:t.size}});this.groups=function(){
for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return r(e.reduce(function(e,t){return e.concat(t)},[]))}(a,u,l),this._size=this.groups.reduce(function(e,t){return e+t.size*(t.range.end-t.range.start)},0)},Object.defineProperty(e.prototype,"count",{get:function(){var e=this.groups.length;return e?this.groups[e-1].range.end:0},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.indexAt=function(e){if(e<0)return-1;for(var t=0,n=0,i=0,o=this.groups;i<o.length;i++){var r=o[i],s=r.range.end-r.range.start,a=n+s*r.size;if(e<a)return t+Math.floor((e-n)/r.size);t+=s,n=a}return t},e.prototype.indexAfter=function(e){return Math.min(this.indexAt(e)+1,this.count)},e.prototype.positionAt=function(e){if(e<0)return-1;for(var t=0,n=0,i=0,o=this.groups;i<o.length;i++){var r=o[i],s=r.range.end-r.range.start,a=n+s;if(e<a)return t+(e-n)*r.size;t+=s*r.size,n=a}return-1},e.prototype.dispose=function(){this.groups=null},e}()
;t.RangeMap=s}),define(t[205],n([0,1,17]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=n.globals.performance&&"function"==typeof n.globals.performance.now,o=function(){function e(e){this._highResolution=i&&e,this._startTime=this._now(),this._stopTime=-1}return e.create=function(t){return void 0===t&&(t=!0),new e(t)},e.prototype.elapsed=function(){return-1!==this._stopTime?this._stopTime-this._startTime:this._now()-this._startTime},e.prototype._now=function(){return this._highResolution?n.globals.performance.now():(new Date).getTime()},e}();t.StopWatch=o}),define(t[8],n([0,1]),function(e,t){"use strict";function n(e){return e.replace(/[\-\\\{\}\*\+\?\|\^\$\.\[\]\(\)\#]/g,"\\$&")}function i(e,t){if(!e||!t)return e;var n=t.length;if(0===n||0===e.length)return e;for(var i=0;e.indexOf(t,i)===i;)i+=n;return e.substring(i)}function o(e,t){if(!e||!t)return e;var n=t.length,i=e.length;if(0===n||0===i)return e;for(var o=i,r=-1;;){if(-1===(r=e.lastIndexOf(t,o-1))||r+n!==o)break
;if(0===r)return"";o=r}return e.substring(0,o)}function r(e){return e>=97&&e<=122}function s(e){return e>=65&&e<=90}function a(e){return r(e)||s(e)}function l(e,t,n){if(void 0===n&&(n=e.length),"string"!=typeof e||"string"!=typeof t)return!1;for(var i=0;i<n;i++){var o=e.charCodeAt(i),r=t.charCodeAt(i);if(o!==r)if(a(o)&&a(r)){var s=Math.abs(o-r);if(0!==s&&32!==s)return!1}else if(String.fromCharCode(o).toLowerCase()!==String.fromCharCode(r).toLowerCase())return!1}return!0}function u(e){return(e=+e)>=11904&&e<=55215||e>=63744&&e<=64255||e>=65281&&e<=65374}Object.defineProperty(t,"__esModule",{value:!0}),t.empty="",t.isFalsyOrWhitespace=function(e){return!e||"string"!=typeof e||0===e.trim().length},t.pad=function(e,t,n){void 0===n&&(n="0");for(var i=""+e,o=[i],r=i.length;r<t;r++)o.push(n);return o.reverse().join("")};var d=/{(\d+)}/g;t.format=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return 0===t.length?e:e.replace(d,function(e,n){var i=parseInt(n,10)
;return isNaN(i)||i<0||i>=t.length?e:t[i]})},t.escape=function(e){return e.replace(/[<|>|&]/g,function(e){switch(e){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return e}})},t.escapeRegExpCharacters=n,t.trim=function(e,t){return void 0===t&&(t=" "),o(i(e,t),t)},t.ltrim=i,t.rtrim=o,t.convertSimple2RegExpPattern=function(e){return e.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")},t.startsWith=function(e,t){if(e.length<t.length)return!1;if(e===t)return!0;for(var n=0;n<t.length;n++)if(e[n]!==t[n])return!1;return!0},t.endsWith=function(e,t){var n=e.length-t.length;return n>0?e.indexOf(t,n)===n:0===n&&e===t},t.createRegExp=function(e,t,i){if(void 0===i&&(i={}),!e)throw new Error("Cannot create regex from empty string");t||(e=n(e)),i.wholeWord&&(/\B/.test(e.charAt(0))||(e="\\b"+e),/\B/.test(e.charAt(e.length-1))||(e+="\\b"));var o="";return i.global&&(o+="g"),i.matchCase||(o+="i"),i.multiline&&(o+="m"),new RegExp(e,o)},t.regExpLeadsToEndlessLoop=function(e){
return"^"!==e.source&&"^$"!==e.source&&"$"!==e.source&&"^\\s*$"!==e.source&&!(!e.exec("")||0!==e.lastIndex)},t.firstNonWhitespaceIndex=function(e){for(var t=0,n=e.length;t<n;t++){var i=e.charCodeAt(t);if(32!==i&&9!==i)return t}return-1},t.getLeadingWhitespace=function(e,t,n){void 0===t&&(t=0),void 0===n&&(n=e.length);for(var i=t;i<n;i++){var o=e.charCodeAt(i);if(32!==o&&9!==o)return e.substring(t,i)}return e.substring(t,n)},t.lastNonWhitespaceIndex=function(e,t){void 0===t&&(t=e.length-1);for(var n=t;n>=0;n--){var i=e.charCodeAt(n);if(32!==i&&9!==i)return n}return-1},t.compare=function(e,t){return e<t?-1:e>t?1:0},t.isLowerAsciiLetter=r,t.isUpperAsciiLetter=s,t.equalsIgnoreCase=function(e,t){return(e?e.length:0)===(t?t.length:0)&&l(e,t)},t.startsWithIgnoreCase=function(e,t){var n=t.length;return!(t.length>e.length)&&l(e,t,n)},t.commonPrefixLength=function(e,t){var n,i=Math.min(e.length,t.length);for(n=0;n<i;n++)if(e.charCodeAt(n)!==t.charCodeAt(n))return n;return i},t.commonSuffixLength=function(e,t){
var n,i=Math.min(e.length,t.length),o=e.length-1,r=t.length-1;for(n=0;n<i;n++)if(e.charCodeAt(o-n)!==t.charCodeAt(r-n))return n;return i},t.isHighSurrogate=function(e){return 55296<=e&&e<=56319},t.isLowSurrogate=function(e){return 56320<=e&&e<=57343};var c=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;t.containsRTL=function(e){return c.test(e)};var h=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEF8]|\uD83E[\uDD00-\uDDE6])/;t.containsEmoji=function(e){return h.test(e)};var p=/^[\t\n\r\x20-\x7E]*$/
;t.isBasicASCII=function(e){return p.test(e)},t.containsFullWidthCharacter=function(e){for(var t=0,n=e.length;t<n;t++)if(u(e.charCodeAt(t)))return!0;return!1},t.isFullWidthCharacter=u,t.UTF8_BOM_CHARACTER=String.fromCharCode(65279),t.startsWithUTF8BOM=function(e){return!!(e&&e.length>0&&65279===e.charCodeAt(0))},t.safeBtoa=function(e){return btoa(encodeURIComponent(e))},t.repeat=function(e,t){for(var n="",i=0;i<t;i++)n+=e;return n}}),define(t[247],n([0,1,8]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.renderOcticons=function(e){return n.escape(e)}}),define(t[100],n([0,1,65,8]),function(e,t,n,i){"use strict";function o(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return function(t,n){for(var i=0,o=e.length;i<o;i++){var r=e[i](t,n);if(r)return r}return null}}function r(e,t){var n=t.toLowerCase().indexOf(e.toLowerCase());return-1===n?null:[{start:n,end:n+e.length}]}function s(e,t){return a(e.toLowerCase(),t.toLowerCase(),0,0)}function a(e,t,n,i){
if(n===e.length)return[];if(i===t.length)return null;if(e[n]===t[i]){var o=null;return(o=a(e,t,n+1,i+1))?p({start:i,end:i+1},o):null}return a(e,t,n,i+1)}function l(e){return 97<=e&&e<=122}function u(e){return 65<=e&&e<=90}function d(e){return 48<=e&&e<=57}function c(e){return 32===e||9===e||10===e||13===e}function h(e){return l(e)||u(e)||d(e)}function p(e,t){return 0===t.length?t=[e]:e.end===t[0].start?t[0].start=e.start:t.unshift(e),t}function f(e,t){for(var n=t;n<e.length;n++){var i=e.charCodeAt(n);if(u(i)||d(i)||n>0&&!h(e.charCodeAt(n-1)))return n}return e.length}function g(e,t,n,i){if(n===e.length)return[];if(i===t.length)return null;if(e[n]!==t[i].toLowerCase())return null;var o=null,r=i+1;for(o=g(e,t,n+1,i+1);!o&&(r=f(t,r))<t.length;)o=g(e,t,n+1,r),r++;return null===o?null:p({start:i,end:i+1},o)}function m(e,t){if(!t)return null;if(0===(t=t.trim()).length)return null;if(!function(e){for(var t=0,n=0,i=0,o=0,r=0;r<e.length;r++)u(i=e.charCodeAt(r))&&t++,l(i)&&n++,c(i)&&o++
;return 0!==t&&0!==n||0!==o?t<=5:e.length<=30}(e))return null;if(t.length>60)return null;var n=function(e){for(var t=0,n=0,i=0,o=0,r=0,s=0;s<e.length;s++)u(r=e.charCodeAt(s))&&t++,l(r)&&n++,h(r)&&i++,d(r)&&o++;return{upperPercent:t/e.length,lowerPercent:n/e.length,alphaPercent:i/e.length,numericPercent:o/e.length}}(t);if(!function(e){var t=e.upperPercent,n=e.lowerPercent,i=e.alphaPercent,o=e.numericPercent;return n>.2&&t<.8&&i>.6&&o<.2}(n)){if(!function(e){var t=e.upperPercent;return 0===e.lowerPercent&&t>.6}(n))return null;t=t.toLowerCase()}var i=null,o=0;for(e=e.toLowerCase();o<t.length&&null===(i=g(e,t,0,o));)o=f(t,o+1);return i}function v(){for(var e=[],t=[0],n=1;n<=100;n++)t.push(-n);for(n=0;n<=100;n++){var i=t.slice(0);i[0]=-n,e.push(i)}return e}function _(e,t,n,i,o){function r(e,t,n){for(void 0===n&&(n=" ");e.length<t;)e=n+e;return e}for(var s=" |   |"+i.split("").map(function(e){return r(e,3)}).join("|")+"\n",a=0;a<=n;a++)s+=0===a?" |":t[a-1]+"|",s+=e[a].slice(0,o+1).map(function(e){
return r(e.toString(),3)}).join("|")+"\n";return s}function y(e,t){if(t<0||t>=e.length)return!1;switch(e.charCodeAt(t)){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:return!0;default:return!1}}function C(e,t){if(t<0||t>=e.length)return!1;switch(e.charCodeAt(t)){case 32:case 9:return!0;default:return!1}}function b(e,t,n,i,o,r,s){var a=e.length>100?100:e.length,l=i.length>100?100:i.length;if(!(n>=a||r>=l||a>l)){for(var u=n,d=r;n<a&&r<l;)t[n]===o[r]&&(n+=1),r+=1;if(n===a){for(n=u,r=d,n=u+1;n<=a;n++)for(r=1;r<=l;r++){var c=-1,h=o[r-1];t[n-1]===h&&(c=r===n-u?e[n-1]===i[r-1]?7:5:h===i[r-1]||1!==r&&o[r-2]!==i[r-2]?y(o,r-2)||C(o,r-2)?5:1:e[n-1]===i[r-1]?7:5),I[n][r]=c;var p=x[n-1][r-1]+(c>1?1:c),f=x[n-1][r]+-1,g=x[n][r-1]+-1;g>=f?g>p?(x[n][r]=g,N[n][r]=4):g===p?(x[n][r]=g,N[n][r]=6):(x[n][r]=p,N[n][r]=2):f>p?(x[n][r]=f,N[n][r]=1):f===p?(x[n][r]=f,N[n][r]=3):(x[n][r]=p,N[n][r]=2)}if(D&&(console.log(_(x,e,a,i,l)),console.log(_(N,e,a,i,l)),console.log(_(I,e,a,i,l))),k=0,T=-100,R=u,O=s,
S(a,l,a===l?1:0,new P,!1),0!==k)return[T,M.toArray()]}}}function S(e,t,n,i,o){if(!(k>=10||n<-25)){for(var r=0;e>R&&t>0;){var s=I[e][t],a=N[e][t];if(4===a)t-=1,o?n-=5:i.isEmpty()||(n-=1),o=!1,r=0;else{if(!(2&a))return;if(4&a&&S(e,t-1,i.isEmpty()?n:n-1,i.slice(),o),n+=s,e-=1,t-=1,i.unshift(t),o=!0,1===s){if(r+=1,e===R&&!O)return}else n+=1+r*(s-1),r=0}}k+=1,(n-=t>=3?9:3*t)>T&&(T=n,M=i)}}function w(e,t,n,i,o,r,s){return function(e,t,n,i,o,r,s,a){var l=b(e,t,n,i,o,r,a);if(l&&!s)return l;if(e.length>=3)for(var u=Math.min(7,e.length-1),d=n+1;d<u;d++){var c=function(e,t){if(t+1>=e.length)return;var n=e[t],i=e[t+1];if(n===i)return;return e.slice(0,t)+i+n+e.slice(t+2)}(e,d);if(c){var h=b(c,c.toLowerCase(),n,i,o,r,a);h&&(h[0]-=3,(!l||h[0]>l[0])&&(l=h))}}return l}(e,t,n,i,o,r,!0,s)}Object.defineProperty(t,"__esModule",{value:!0}),t.or=o,t.matchesPrefix=function(e,t,n){return!n||n.length<t.length?null:(e?i.startsWithIgnoreCase(n,t):0===n.indexOf(t))?t.length>0?[{start:0,end:t.length}]:[]:null}.bind(void 0,!0),
t.matchesContiguousSubString=r,t.matchesSubString=s,t.isUpper=u,t.matchesCamelCase=m,t.fuzzyContiguousFilter=o(t.matchesPrefix,m,r);var E=o(t.matchesPrefix,m,s),L=new n.LRUCache(1e4);t.matchesFuzzy=function(e,n,o){if(void 0===o&&(o=!1),"string"!=typeof e||"string"!=typeof n)return null;var r=L.get(e);r||(r=new RegExp(i.convertSimple2RegExpPattern(e),"i"),L.set(e,r));var s=r.exec(n);return s?[{start:s.index,end:s.index+s[0].length}]:o?E(e,n):t.fuzzyContiguousFilter(e,n)},t.anyScore=function(e,t,n){e=e.toLowerCase(),t=t.toLowerCase();for(var i=[],o=0,r=0;r<e.length;++r){var s=t.indexOf(e.charAt(r),o);s>=0&&(i.push(s),o=s+1)}return[i.length,i]},t.createMatches=function(e){var t=[];if(!e)return t;for(var n,i,o=0,r=n=Array.isArray(e[1])?e[1]:e;o<r.length;o++){var s=r[o];i&&i.end===s?i.end+=1:(i={start:s,end:s+1},t.push(i))}return t};var x=v(),I=v(),N=v(),D=!1;t.fuzzyScore=b;var M,k=0,T=0,R=0,O=!1,P=function(){function e(){}return e.prototype.isEmpty=function(){
return!this._data&&(!this._parent||this._parent.isEmpty())},e.prototype.unshift=function(e){this._data?this._data.unshift(e):this._data=[e]},e.prototype.slice=function(){var t=new e;return t._parent=this,t._parentLen=this._data?this._data.length:0,t},e.prototype.toArray=function(){if(!this._data)return this._parent.toArray();for(var e=[],t=this;t;)t._parent&&t._parent._data&&e.push(t._parent._data.slice(t._parent._data.length-t._parentLen)),t=t._parent;return Array.prototype.concat.apply(this._data,e)},e}();t.fuzzyScoreGracefulAggressive=w}),define(t[58],n([0,1,17,8]),function(e,t,n,i){"use strict";function o(e,i){void 0===i&&(i=t.nativeSep);var r=~e.lastIndexOf("/")||~e.lastIndexOf("\\");if(0===r)return".";if(0==~r)return e[0];if(~r==e.length-1)return o(e.substring(0,e.length-1));var s=e.substring(0,~r);return n.isWindows&&":"===s[s.length-1]&&(s+=i),s}function r(e){var t=~e.lastIndexOf("/")||~e.lastIndexOf("\\");return 0===t?e:~t==e.length-1?r(e.substring(0,e.length-1)):e.substr(1+~t)}function s(e,t){
if(null===e||void 0===e)return e;var i=e.length;if(0===i)return".";var o=!(!n.isWindows||!t);if(function(e,t){return t?!d.test(e):!u.test(e)}(e,o))return e;for(var r=o?"\\":"/",s=l(e,r),c=s.length,h=!1,p="",f=s.length;f<=i;f++)if(f===i||47===e.charCodeAt(f)||92===e.charCodeAt(f)){if(a(e,c,f,"..")){var g=p.lastIndexOf(r),m=p.slice(g+1);(s||m.length>0)&&".."!==m&&(p=-1===g?"":p.slice(0,g),h=!0)}else a(e,c,f,".")&&(s||p||f<i-1)&&(h=!0);if(!h){var v=e.slice(c,f);""!==p&&p[p.length-1]!==r&&(p+=r),p+=v}c=f+1,h=!1}return s+p}function a(e,t,n,i){return t+i.length===n&&e.indexOf(i,t)===t}function l(e,t){if(void 0===t&&(t="/"),!e)return"";var n=e.length,i=e.charCodeAt(0);if(47===i||92===i){if((47===(i=e.charCodeAt(1))||92===i)&&47!==(i=e.charCodeAt(2))&&92!==i){for(var o=3,r=o;o<n&&(47!==(i=e.charCodeAt(o))&&92!==i);o++);if(i=e.charCodeAt(o+1),r!==o&&47!==i&&92!==i)for(o+=1;o<n;o++)if(47===(i=e.charCodeAt(o))||92===i)return e.slice(0,o+1).replace(/[\\/]/g,t)}return t}
if((i>=65&&i<=90||i>=97&&i<=122)&&58===e.charCodeAt(1))return 47===(i=e.charCodeAt(2))||92===i?e.slice(0,2)+t:e.slice(0,2);var s=e.indexOf("://");if(-1!==s)for(s+=3;s<n;s++)if(47===(i=e.charCodeAt(s))||92===i)return e.slice(0,s+1);return""}Object.defineProperty(t,"__esModule",{value:!0}),t.sep="/",t.nativeSep=n.isWindows?"\\":"/",t.dirname=o,t.basename=r,t.extname=function(e){var t=~(e=r(e)).lastIndexOf(".");return t?e.substring(~t):""};var u=/(\/\.\.?\/)|(\/\.\.?)$|^(\.\.?\/)|(\/\/+)|(\\)/,d=/(\\\.\.?\\)|(\\\.\.?)$|^(\.\.?\\)|(\\\\+)|(\/)/;t.normalize=s,t.getRoot=l,t.join=function(){for(var e="",n=0;n<arguments.length;n++){var i=arguments[n];if(n>0){var o=e.charCodeAt(e.length-1);if(47!==o&&92!==o){var r=i.charCodeAt(0);47!==r&&92!==r&&(e+=t.sep)}}e+=i}return s(e)},t.isEqualOrParent=function(e,n,o,r){if(void 0===r&&(r=t.nativeSep),e===n)return!0;if(!e||!n)return!1;if(n.length>e.length)return!1;if(o){if(!i.startsWithIgnoreCase(e,n))return!1;if(n.length===e.length)return!0;var s=n.length
;return n.charAt(n.length-1)===r&&s--,e.charAt(s)===r}return n.charAt(n.length-1)!==r&&(n+=r),0===e.indexOf(n)}}),define(t[32],n([0,1]),function(e,t){"use strict";function n(e){return typeof e===l.string||e instanceof String}function i(e){return!(typeof e!==l.object||null===e||Array.isArray(e)||e instanceof RegExp||e instanceof Date)}function o(e){return typeof e===l.undefined}function r(e){return o(e)||null===e}function s(e){return typeof e===l.function}function a(e,t){if(n(t)){if(typeof e!==t)throw new Error("argument does not match constraint: typeof "+t)}else if(s(t)){if(e instanceof t)return;if(!r(e)&&e.constructor===t)return;if(1===t.length&&!0===t.call(void 0,e))return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}Object.defineProperty(t,"__esModule",{value:!0});var l={number:"number",string:"string",undefined:"undefined",object:"object",function:"function"};t.isArray=function(e){
return Array.isArray?Array.isArray(e):!(!e||typeof e.length!==l.number||e.constructor!==Array)},t.isString=n,t.isObject=i,t.isNumber=function(e){return(typeof e===l.number||e instanceof Number)&&!isNaN(e)},t.isBoolean=function(e){return!0===e||!1===e},t.isUndefined=o,t.isUndefinedOrNull=r;var u=Object.prototype.hasOwnProperty;t.isEmptyObject=function(e){if(!i(e))return!1;for(var t in e)if(u.call(e,t))return!1;return!0},t.isFunction=s,t.validateConstraints=function(e,t){for(var n=Math.min(e.length,t.length),i=0;i<n;i++)a(e[i],t[i])},t.validateConstraint=a,t.create=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var i=Object.create(e.prototype);return e.apply(i,t),i}}),define(t[27],n([0,1,32]),function(e,t,n){"use strict";function i(e){if(!e||"object"!=typeof e)return e;if(e instanceof RegExp)return e;var t=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(n){e[n]&&"object"==typeof e[n]?t[n]=i(e[n]):t[n]=e[n]}),t}function o(e,t,i){return void 0===i&&(i=!0),
n.isObject(e)?(n.isObject(t)&&Object.keys(t).forEach(function(r){r in e?i&&(n.isObject(e[r])&&n.isObject(t[r])?o(e[r],t[r],i):e[r]=t[r]):e[r]=t[r]}),e):t}function r(e,t){if(e===t)return!0;if(null===e||void 0===e||null===t||void 0===t)return!1;if(typeof e!=typeof t)return!1;if("object"!=typeof e)return!1;if(Array.isArray(e)!==Array.isArray(t))return!1;var n,i;if(Array.isArray(e)){if(e.length!==t.length)return!1;for(n=0;n<e.length;n++)if(!r(e[n],t[n]))return!1}else{var o=[];for(i in e)o.push(i);o.sort();var s=[];for(i in t)s.push(i);if(s.sort(),!r(o,s))return!1;for(n=0;n<o.length;n++)if(!r(e[o[n]],t[o[n]]))return!1}return!0}function s(e){for(var t={},n=0;n<e.length;++n)t[e[n]]=!0;return t}Object.defineProperty(t,"__esModule",{value:!0}),t.deepClone=i,t.deepFreeze=function(e){if(!e||"object"!=typeof e)return e;for(var t=[e];t.length>0;){var n=t.shift();Object.freeze(n);for(var i in n)if(a.call(n,i)){var o=n[i];"object"!=typeof o||Object.isFrozen(o)||t.push(o)}}return e};var a=Object.prototype.hasOwnProperty
;t.mixin=o,t.assign=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.forEach(function(t){return Object.keys(t).forEach(function(n){return e[n]=t[n]})}),e},t.equals=r,t.arrayToHash=s,t.createKeywordMatcher=function(e,t){void 0===t&&(t=!1),t&&(e=e.map(function(e){return e.toLowerCase()}));var n=s(e);return t?function(e){return void 0!==n[e.toLowerCase()]&&n.hasOwnProperty(e.toLowerCase())}:function(e){return void 0!==n[e]&&n.hasOwnProperty(e)}},t.getOrDefault=function(e,t,n){void 0===n&&(n=null);var i=t(e);return void 0===i?n:i}}),define(t[25],n([0,1,17]),function(e,t,n){"use strict";function i(e,t){for(var n=void 0,i=-1,o=0;o<e.length;o++){var r=e.charCodeAt(o);if(r>=97&&r<=122||r>=65&&r<=90||r>=48&&r<=57||45===r||46===r||95===r||126===r||t&&47===r)-1!==i&&(n+=encodeURIComponent(e.substring(i,o)),i=-1),void 0!==n&&(n+=e.charAt(o));else{void 0===n&&(n=e.substr(0,o));var s=v[r];void 0!==s?(-1!==i&&(n+=encodeURIComponent(e.substring(i,o)),i=-1),n+=s):-1===i&&(i=o)}}
return-1!==i&&(n+=encodeURIComponent(e.substring(i))),void 0!==n?n:e}function r(e){var t;return t=e.authority&&e.path.length>1&&"file"===e.scheme?"//"+e.authority+e.path:47===e.path.charCodeAt(0)&&(e.path.charCodeAt(1)>=65&&e.path.charCodeAt(1)<=90||e.path.charCodeAt(1)>=97&&e.path.charCodeAt(1)<=122)&&58===e.path.charCodeAt(2)?e.path[1].toLowerCase()+e.path.substr(2):e.path,n.isWindows&&(t=t.replace(/\//g,"\\")),t}function s(e,t){var n=t?function(e){for(var t=void 0,n=0;n<e.length;n++){var i=e.charCodeAt(n);35===i||63===i?(void 0===t&&(t=e.substr(0,n)),t+=v[i]):void 0!==t&&(t+=e[n])}return void 0!==t?t:e}:i,o="",r=e.scheme,s=e.authority,a=e.path,l=e.query,u=e.fragment;if(r&&(o+=r,o+=":"),(s||"file"===r)&&(o+=p,o+=p),s){var d=s.indexOf("@");if(-1!==d){var c=s.substr(0,d);s=s.substr(d+1),-1===(d=c.indexOf(":"))?o+=n(c,!1):(o+=n(c.substr(0,d),!1),o+=":",o+=n(c.substr(d+1),!1)),o+="@"}-1===(d=(s=s.toLowerCase()).indexOf(":"))?o+=n(s,!1):(o+=n(s.substr(0,d),!1),o+=s.substr(d))}if(a){
if(a.length>=3&&47===a.charCodeAt(0)&&58===a.charCodeAt(2)){(h=a.charCodeAt(1))>=65&&h<=90&&(a="/"+String.fromCharCode(h+32)+":"+a.substr(3))}else if(a.length>=2&&58===a.charCodeAt(1)){var h=a.charCodeAt(0);h>=65&&h<=90&&(a=String.fromCharCode(h+32)+":"+a.substr(2))}o+=n(a,!0)}return l&&(o+="?",o+=n(l,!1)),u&&(o+="#",o+=t?u:i(u,!1)),o}Object.defineProperty(t,"__esModule",{value:!0});var a,l=/^\w[\w\d+.-]*$/,u=/^\//,d=/^\/\//,c=!0,h="",p="/",f=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/,g=function(){function e(e,t,n,i,o){"object"==typeof e?(this.scheme=e.scheme||h,this.authority=e.authority||h,this.path=e.path||h,this.query=e.query||h,this.fragment=e.fragment||h):(this.scheme=e||h,this.authority=t||h,this.path=function(e,t){switch(e){case"https":case"http":case"file":t?t[0]!==p&&(t=p+t):t=p}return t}(this.scheme,n||h),this.query=i||h,this.fragment=o||h,function(e){if(!e.scheme){
if(c)throw new Error('[UriError]: Scheme is missing: {scheme: "", authority: "'+e.authority+'", path: "'+e.path+'", query: "'+e.query+'", fragment: "'+e.fragment+'"}');console.warn('[UriError]: Scheme is missing: {scheme: "", authority: "'+e.authority+'", path: "'+e.path+'", query: "'+e.query+'", fragment: "'+e.fragment+'"}')}if(e.scheme&&!l.test(e.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(e.path)if(e.authority){if(!u.test(e.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(d.test(e.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}(this))}return e.isUri=function(t){return t instanceof e||!!t&&("string"==typeof t.authority&&"string"==typeof t.fragment&&"string"==typeof t.path&&"string"==typeof t.query&&"string"==typeof t.scheme)},
Object.defineProperty(e.prototype,"fsPath",{get:function(){return r(this)},enumerable:!0,configurable:!0}),e.prototype.with=function(e){if(!e)return this;var t=e.scheme,n=e.authority,i=e.path,o=e.query,r=e.fragment;return void 0===t?t=this.scheme:null===t&&(t=h),void 0===n?n=this.authority:null===n&&(n=h),void 0===i?i=this.path:null===i&&(i=h),void 0===o?o=this.query:null===o&&(o=h),void 0===r?r=this.fragment:null===r&&(r=h),t===this.scheme&&n===this.authority&&i===this.path&&o===this.query&&r===this.fragment?this:new m(t,n,i,o,r)},e.parse=function(e){var t=f.exec(e);return t?new m(t[2]||h,decodeURIComponent(t[4]||h),decodeURIComponent(t[5]||h),decodeURIComponent(t[7]||h),decodeURIComponent(t[9]||h)):new m(h,h,h,h,h)},e.file=function(e){var t=h;if(n.isWindows&&(e=e.replace(/\\/g,p)),e[0]===p&&e[1]===p){var i=e.indexOf(p,2);-1===i?(t=e.substring(2),e=p):(t=e.substring(2,i),e=e.substring(i)||p)}return new m("file",t,e,h,h)},e.from=function(e){return new m(e.scheme,e.authority,e.path,e.query,e.fragment)},
e.prototype.toString=function(e){return void 0===e&&(e=!1),s(this,e)},e.prototype.toJSON=function(){return this},e.revive=function(t){if(t){if(t instanceof e)return t;var n=new m(t);return n._fsPath=t.fsPath,n._formatted=t.external,n}return t},e}();t.URI=g;var m=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t._formatted=null,t._fsPath=null,t}return o(t,e),Object.defineProperty(t.prototype,"fsPath",{get:function(){return this._fsPath||(this._fsPath=r(this)),this._fsPath},enumerable:!0,configurable:!0}),t.prototype.toString=function(e){return void 0===e&&(e=!1),e?s(this,!0):(this._formatted||(this._formatted=s(this,!1)),this._formatted)},t.prototype.toJSON=function(){var e={$mid:1};return this._fsPath&&(e.fsPath=this._fsPath),this._formatted&&(e.external=this._formatted),this.path&&(e.path=this.path),this.scheme&&(e.scheme=this.scheme),this.authority&&(e.authority=this.authority),this.query&&(e.query=this.query),this.fragment&&(e.fragment=this.fragment),e},t}(g),v=(a={},
a[58]="%3A",a[47]="%2F",a[63]="%3F",a[35]="%23",a[91]="%5B",a[93]="%5D",a[64]="%40",a[33]="%21",a[36]="%24",a[38]="%26",a[39]="%27",a[40]="%28",a[41]="%29",a[42]="%2A",a[43]="%2B",a[44]="%2C",a[59]="%3B",a[61]="%3D",a[32]="%20",a)}),define(t[430],n([0,1,25]),function(e,t,n){"use strict";function i(e,t){if(!e||t>200)return e;if("object"==typeof e){switch(e.$mid){case 1:return n.URI.revive(e);case 2:return new RegExp(e.source,e.flags)}for(var o in e)Object.hasOwnProperty.call(e,o)&&(e[o]=i(e[o],t+1))}return e}Object.defineProperty(t,"__esModule",{value:!0}),t.parse=function(e){var t=JSON.parse(e);return t=i(t,0)},t.revive=i}),define(t[84],n([0,1,58,25,8,50,17]),function(e,t,n,i,o,r,s){"use strict";function a(e){return!e||e.scheme!==r.Schemas.file||!s.isLinux}function l(e){return n.basename(e.path)}function u(e){var t
;return t=e.authority&&e.path.length>1&&"file"===e.scheme?"//"+e.authority+e.path:s.isWindows&&47===e.path.charCodeAt(0)&&(e.path.charCodeAt(1)>=65&&e.path.charCodeAt(1)<=90||e.path.charCodeAt(1)>=97&&e.path.charCodeAt(1)<=122)&&58===e.path.charCodeAt(2)?e.path.substr(1):e.path,s.isWindows&&(t=t.replace(/\//g,"\\")),t}Object.defineProperty(t,"__esModule",{value:!0}),t.hasToIgnoreCase=a,t.basenameOrAuthority=function(e){return l(e)||e.authority},t.isEqual=function(e,t,n){return void 0===n&&(n=a(e)),!(e!==t)||!(!e||!t)&&(n?o.equalsIgnoreCase(e.toString(),t.toString()):e.toString()===t.toString())},t.basename=l,t.dirname=function(e){if(e.scheme===r.Schemas.file)return i.URI.file(n.dirname(u(e)));var t=n.dirname(e.path,"/");return e.authority&&t.length&&47!==t.charCodeAt(0)?null:e.with({path:t})},t.joinPath=function(e,t){var o;return o=e.scheme===r.Schemas.file?i.URI.file(n.join(u(e),t)).path:n.join(e.path,t),e.with({path:o})},t.normalizePath=function(e){var t
;return t=e.scheme===r.Schemas.file?i.URI.file(n.normalize(u(e))).path:n.normalize(e.path),e.with({path:t})},t.fsPath=u;!function(e){e.META_DATA_LABEL="label",e.META_DATA_DESCRIPTION="description",e.META_DATA_SIZE="size",e.META_DATA_MIME="mime",e.parseMetaData=function(t){var n=new Map;t.path.substring(t.path.indexOf(";")+1,t.path.lastIndexOf(";")).split(";").forEach(function(e){var t=e.split(":"),i=t[0],o=t[1];i&&o&&n.set(i,o)});var i=t.path.substring(0,t.path.indexOf(";"));return i&&n.set(e.META_DATA_MIME,i),n}}(t.DataUri||(t.DataUri={}))}),define(t[158],n([0,1,25,58,8,50,17,84]),function(e,t,n,i,o,r,s,a){"use strict";function l(e){return!(!s.isWindows||!e||":"!==e[1])}function u(e){return l(e)?e.charAt(0).toUpperCase()+e.slice(1):e}function d(e,t){if(s.isWindows||!e||!t)return e;var n=c.original===t?c.normalized:void 0;return n||(n=""+o.rtrim(t,i.sep)+i.sep,c={original:t,normalized:n}),(s.isLinux?o.startsWith(e,n):o.startsWithIgnoreCase(e,n))&&(e="~/"+e.substr(n.length)),e}
Object.defineProperty(t,"__esModule",{value:!0}),t.getPathLabel=function(e,t,c){if("string"==typeof e&&(e=n.URI.file(e)),c){var h=c.getWorkspaceFolder(e);if(h){var p=c.getWorkspace().folders.length>1,f=void 0;if(f=a.isEqual(h.uri,e,!s.isLinux)?"":i.normalize(o.ltrim(e.path.substr(h.uri.path.length),i.sep),!0),p){var g=h&&h.name?h.name:i.basename(h.uri.fsPath);f=f?g+" • "+f:g}return f}}if(e.scheme!==r.Schemas.file&&e.scheme!==r.Schemas.untitled)return e.with({query:null,fragment:null}).toString(!0);if(l(e.fsPath))return i.normalize(u(e.fsPath),!0);var m=i.normalize(e.fsPath,!0);return!s.isWindows&&t&&(m=d(m,t.userHome)),m},t.getBaseLabel=function(e){if(e){"string"==typeof e&&(e=n.URI.file(e));var t=i.basename(e.path)||(e.scheme===r.Schemas.file?e.fsPath:e.path);return l(t)?u(t):t}},t.normalizeDriveLetter=u;var c=Object.create(null);t.tildify=d});var s;!function(){var e=Object.create(null);e["WinJS/Core/_WinJS"]={};var t=function(t,n,i){var o={},r=!1,s=n.map(function(t){return"exports"===t?(r=!0,o):e[t]
}),a=i.apply({},s);e[t]=r?o:a};t("WinJS/Core/_Global",[],function(){"use strict";return"undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:{}}),t("WinJS/Core/_BaseCoreUtils",["WinJS/Core/_Global"],function(e){"use strict";var t=null;return{hasWinRT:!!e.Windows,markSupportedForProcessing:function(e){return e.supportedForProcessing=!0,e},_setImmediate:function(n){null===t&&(t=e.setImmediate?e.setImmediate.bind(e):"undefined"!=typeof process&&"function"==typeof process.nextTick?process.nextTick.bind(process):e.setTimeout.bind(e)),t(n)}}}),t("WinJS/Core/_WriteProfilerMark",["WinJS/Core/_Global"],function(e){"use strict";return e.msWriteProfilerMark||function(){}}),t("WinJS/Core/_Base",["WinJS/Core/_WinJS","WinJS/Core/_Global","WinJS/Core/_BaseCoreUtils","WinJS/Core/_WriteProfilerMark"],function(e,t,n,i){"use strict";function o(e,t,n){var i,o,r,s=Object.keys(t),a=Array.isArray(e);for(o=0,r=s.length;o<r;o++){var l=s[o],u=95!==l.charCodeAt(0),d=t[l]
;!d||"object"!=typeof d||void 0===d.value&&"function"!=typeof d.get&&"function"!=typeof d.set?u?a?e.forEach(function(e){e[l]=d}):e[l]=d:(i=i||{})[l]={value:d,enumerable:u,configurable:!0,writable:!0}:(void 0===d.enumerable&&(d.enumerable=u),n&&d.setName&&"function"==typeof d.setName&&d.setName(n+"."+l),(i=i||{})[l]=d)}i&&(a?e.forEach(function(e){Object.defineProperties(e,i)}):Object.defineProperties(e,i))}return function(){function n(n,i){var o=n||{};if(i){var r=i.split(".");o===t&&"WinJS"===r[0]&&(o=e,r.splice(0,1));for(var s=0,a=r.length;s<a;s++){var l=r[s];o[l]||Object.defineProperty(o,l,{value:{},writable:!1,enumerable:!0,configurable:!0}),o=o[l]}}return o}function r(e,t,i){var r=n(e,t);return i&&o(r,i,t||"<ANONYMOUS>"),r}var s=e;s.Namespace||(s.Namespace=Object.create(Object.prototype));var a={uninitialized:1,working:2,initialized:3};Object.defineProperties(s.Namespace,{defineWithParent:{value:r,writable:!0,enumerable:!0,configurable:!0},define:{value:function(e,n){return r(t,e,n)},writable:!0,
enumerable:!0,configurable:!0},_lazy:{value:function(e){var t,n,o=a.uninitialized;return{setName:function(e){t=e},get:function(){switch(o){case a.initialized:return n;case a.uninitialized:o=a.working;try{i("WinJS.Namespace._lazy:"+t+",StartTM"),n=e()}finally{i("WinJS.Namespace._lazy:"+t+",StopTM"),o=a.uninitialized}return e=null,o=a.initialized,n;case a.working:throw"Illegal: reentrancy on initialization";default:throw"Illegal"}},set:function(e){switch(o){case a.working:throw"Illegal: reentrancy on initialization";default:o=a.initialized,n=e}},enumerable:!0,configurable:!0}},writable:!0,enumerable:!0,configurable:!0},_moduleDefine:{value:function(e,i,r){var s=[e],a=null;return i&&(a=n(t,i),s.push(a)),o(s,r,i||"<ANONYMOUS>"),a},writable:!0,enumerable:!0,configurable:!0}})}(),function(){function t(e,t,i){return e=e||function(){},n.markSupportedForProcessing(e),t&&o(e.prototype,t),i&&o(e,i),e}e.Namespace.define("WinJS.Class",{define:t,derive:function(e,i,r,s){if(e){i=i||function(){};var a=e.prototype
;return i.prototype=Object.create(a),n.markSupportedForProcessing(i),Object.defineProperty(i.prototype,"constructor",{value:i,writable:!0,configurable:!0,enumerable:!0}),r&&o(i.prototype,r),s&&o(i,s),i}return t(i,r,s)},mix:function(e){e=e||function(){};var t,n;for(t=1,n=arguments.length;t<n;t++)o(e.prototype,arguments[t]);return e}})}(),{Namespace:e.Namespace,Class:e.Class}}),t("WinJS/Core/_ErrorFromName",["WinJS/Core/_Base"],function(e){"use strict";var t=e.Class.derive(Error,function(e,t){this.name=e,this.message=t||e},{},{supportedForProcessing:!1});return e.Namespace.define("WinJS",{ErrorFromName:t}),t}),t("WinJS/Core/_Events",["exports","WinJS/Core/_Base"],function(e,t){"use strict";function n(e){var t="_on"+e+"state";return{get:function(){var e=this[t];return e&&e.userHandler},set:function(n){var i=this[t];n?(i||(i={wrapper:function(e){return i.userHandler(e)},userHandler:n},Object.defineProperty(this,t,{value:i,enumerable:!1,writable:!0,configurable:!0}),this.addEventListener(e,i.wrapper,!1)),
i.userHandler=n):i&&(this.removeEventListener(e,i.wrapper,!1),this[t]=null)},enumerable:!0}}var i=t.Class.define(function(e,t,n){this.detail=t,this.target=n,this.timeStamp=Date.now(),this.type=e},{bubbles:{value:!1,writable:!1},cancelable:{value:!1,writable:!1},currentTarget:{get:function(){return this.target}},defaultPrevented:{get:function(){return this._preventDefaultCalled}},trusted:{value:!1,writable:!1},eventPhase:{value:0,writable:!1},target:null,timeStamp:null,type:null,preventDefault:function(){this._preventDefaultCalled=!0},stopImmediatePropagation:function(){this._stopImmediatePropagationCalled=!0},stopPropagation:function(){}},{supportedForProcessing:!1}),o={_listeners:null,addEventListener:function(e,t,n){n=n||!1,this._listeners=this._listeners||{};for(var i=this._listeners[e]=this._listeners[e]||[],o=0,r=i.length;o<r;o++){var s=i[o];if(s.useCapture===n&&s.listener===t)return}i.push({listener:t,useCapture:n})},dispatchEvent:function(e,t){var n=this._listeners&&this._listeners[e];if(n){
for(var o=new i(e,t,this),r=0,s=(n=n.slice(0,n.length)).length;r<s&&!o._stopImmediatePropagationCalled;r++)n[r].listener(o);return o.defaultPrevented||!1}return!1},removeEventListener:function(e,t,n){n=n||!1;var i=this._listeners&&this._listeners[e];if(i)for(var o=0,r=i.length;o<r;o++){var s=i[o];if(s.listener===t&&s.useCapture===n){i.splice(o,1),0===i.length&&delete this._listeners[e];break}}}};t.Namespace._moduleDefine(e,"WinJS.Utilities",{_createEventProperty:n,createEventProperties:function(){for(var e={},t=0,i=arguments.length;t<i;t++){var o=arguments[t];e["on"+o]=n(o)}return e},eventMixin:o})}),t("WinJS/Core/_Trace",["WinJS/Core/_Global"],function(e){"use strict";function t(e){return e}return{_traceAsyncOperationStarting:e.Debug&&e.Debug.msTraceAsyncOperationStarting&&e.Debug.msTraceAsyncOperationStarting.bind(e.Debug)||t,_traceAsyncOperationCompleted:e.Debug&&e.Debug.msTraceAsyncOperationCompleted&&e.Debug.msTraceAsyncOperationCompleted.bind(e.Debug)||t,
_traceAsyncCallbackStarting:e.Debug&&e.Debug.msTraceAsyncCallbackStarting&&e.Debug.msTraceAsyncCallbackStarting.bind(e.Debug)||t,_traceAsyncCallbackCompleted:e.Debug&&e.Debug.msTraceAsyncCallbackCompleted&&e.Debug.msTraceAsyncCallbackCompleted.bind(e.Debug)||t}}),t("WinJS/Promise/_StateMachine",["WinJS/Core/_Global","WinJS/Core/_BaseCoreUtils","WinJS/Core/_Base","WinJS/Core/_ErrorFromName","WinJS/Core/_Events","WinJS/Core/_Trace"],function(e,t,n,i,o,r){"use strict";function s(){}function a(e,t){var n;n=t&&"object"==typeof t&&"function"==typeof t.then?k:P,e._value=t,e._setState(n)}function l(e,t,n,i,o,r){return{exception:e,error:t,promise:n,handler:r,id:i,parent:o}}function u(e,t,n,i){var o=n._isException,r=n._errorId;return l(o?t:null,o?null:t,e,r,n,i)}function d(e,t,n){var i=n._isException,o=n._errorId;return C(e,o,i),l(i?t:null,i?null:t,e,o,n)}function c(e,t){var n=++V;return C(e,n),l(null,t,e,n)}function h(e,t){var n=++V;return C(e,n,!0),l(t,null,e,n)}function p(e,t,n,i){y(e,{c:t,e:n,p:i,
asyncOpID:r._traceAsyncOperationStarting("WinJS.Promise.done")})}function f(e,t,n,i){e._value=t,v(e,t,n,i),e._setState(F)}function g(t,n){var i=t._value,o=t._listeners;if(o){t._listeners=null;var s,a;for(s=0,a=Array.isArray(o)?o.length:1;s<a;s++){var l=1===a?o:o[s],u=l.c,d=l.promise;if(r._traceAsyncOperationCompleted(l.asyncOpID,e.Debug&&e.Debug.MS_ASYNC_OP_STATUS_SUCCESS),d){r._traceAsyncCallbackStarting(l.asyncOpID);try{d._setCompleteValue(u?u(i):i)}catch(e){d._setExceptionValue(e)}finally{r._traceAsyncCallbackCompleted()}d._state!==k&&d._listeners&&n.push(d)}else j.prototype.done.call(t,u)}}}function m(t,n){var i=t._value,o=t._listeners;if(o){t._listeners=null;var s,a;for(s=0,a=Array.isArray(o)?o.length:1;s<a;s++){var l=1===a?o:o[s],d=l.e,c=l.promise,h=e.Debug&&(i&&i.name===x?e.Debug.MS_ASYNC_OP_STATUS_CANCELED:e.Debug.MS_ASYNC_OP_STATUS_ERROR);if(r._traceAsyncOperationCompleted(l.asyncOpID,h),c){var p=!1;try{d?(r._traceAsyncCallbackStarting(l.asyncOpID),p=!0,d.handlesOnError||v(c,i,u,t,d),
c._setCompleteValue(d(i))):c._setChainedErrorValue(i,t)}catch(e){c._setExceptionValue(e)}finally{p&&r._traceAsyncCallbackCompleted()}c._state!==k&&c._listeners&&n.push(c)}else K.prototype.done.call(t,null,d)}}}function v(e,t,n,i,o){if(E._listeners[L]){if(t instanceof Error&&t.message===x)return;E.dispatchEvent(L,n(e,t,i,o))}}function _(e,t){var n=e._listeners;if(n){var i,o;for(i=0,o=Array.isArray(n)?n.length:1;i<o;i++){var r=1===o?n:n[i],s=r.p;if(s)try{s(t)}catch(e){}r.c||r.e||!r.promise||r.promise._progress(t)}}}function y(e,t){var n=e._listeners;n?(n=Array.isArray(n)?n:[n]).push(t):n=t,e._listeners=n}function C(e,t,n){e._isException=n||!1,e._errorId=t}function b(e,t,n,i){e._value=t,v(e,t,n,i),e._setState(W)}function S(e,t){var n;n=t&&"object"==typeof t&&"function"==typeof t.then?k:A,e._value=t,e._setState(n)}function w(e,t,n,i){var o=new z(e);return y(e,{promise:o,c:t,e:n,p:i,asyncOpID:r._traceAsyncOperationStarting("WinJS.Promise.then")}),o}e.Debug&&(e.Debug.setNonUserCodeExceptions=!0)
;var E=new(n.Class.mix(n.Class.define(null,{},{supportedForProcessing:!1}),o.eventMixin));E._listeners={};var L="error",x="Canceled",I=!1,N={promise:1,thenPromise:2,errorPromise:4,exceptionPromise:8,completePromise:16};N.all=N.promise|N.thenPromise|N.errorPromise|N.exceptionPromise|N.completePromise;var D,M,k,T,R,O,P,A,F,W,V=1;D={name:"created",enter:function(e){e._setState(M)},cancel:s,done:s,then:s,_completed:s,_error:s,_notify:s,_progress:s,_setCompleteValue:s,_setErrorValue:s},M={name:"working",enter:s,cancel:function(e){e._setState(R)},done:p,then:w,_completed:a,_error:f,_notify:s,_progress:_,_setCompleteValue:S,_setErrorValue:b},k={name:"waiting",enter:function(e){var t=e._value;if(t instanceof z&&t._state!==W&&t._state!==A)y(t,{promise:e});else{var n=function(i){t._errorId?e._chainedError(i,t):(v(e,i,u,t,n),e._error(i))};n.handlesOnError=!0,t.then(e._completed.bind(e),n,e._progress.bind(e))}},cancel:function(e){e._setState(T)},done:p,then:w,_completed:a,_error:f,_notify:s,_progress:_,
_setCompleteValue:S,_setErrorValue:b},T={name:"waiting_canceled",enter:function(e){e._setState(O);var t=e._value;t.cancel&&t.cancel()},cancel:s,done:p,then:w,_completed:a,_error:f,_notify:s,_progress:_,_setCompleteValue:S,_setErrorValue:b},R={name:"canceled",enter:function(e){e._setState(O),e._cancelAction()},cancel:s,done:p,then:w,_completed:a,_error:f,_notify:s,_progress:_,_setCompleteValue:S,_setErrorValue:b},O={name:"canceling",enter:function(e){var t=new Error(x);t.name=t.message,e._value=t,e._setState(F)},cancel:s,done:s,then:s,_completed:s,_error:s,_notify:s,_progress:s,_setCompleteValue:s,_setErrorValue:s},P={name:"complete_notify",enter:function(e){if(e.done=j.prototype.done,e.then=j.prototype.then,e._listeners)for(var t,n=[e];n.length;)(t=n.shift())._state._notify(t,n);e._setState(A)},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:g,_progress:s,_setCompleteValue:s,_setErrorValue:s},A={name:"success",enter:function(e){e.done=j.prototype.done,e.then=j.prototype.then,e._cleanupAction()},
cancel:s,done:null,then:null,_completed:s,_error:s,_notify:g,_progress:s,_setCompleteValue:s,_setErrorValue:s},F={name:"error_notify",enter:function(e){if(e.done=K.prototype.done,e.then=K.prototype.then,e._listeners)for(var t,n=[e];n.length;)(t=n.shift())._state._notify(t,n);e._setState(W)},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:m,_progress:s,_setCompleteValue:s,_setErrorValue:s},W={name:"error",enter:function(e){e.done=K.prototype.done,e.then=K.prototype.then,e._cleanupAction()},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:m,_progress:s,_setCompleteValue:s,_setErrorValue:s};var H,B=n.Class.define(null,{_listeners:null,_nextState:null,_state:null,_value:null,cancel:function(){this._state.cancel(this),this._run()},done:function(e,t,n){this._state.done(this,e,t,n)},then:function e(t,n,i){if(this.then===e)return this._state.then(this,t,n,i);this.then(t,n,i)},_chainedError:function(e,t){var n=this._state._error(this,e,d,t);return this._run(),n},_completed:function(e){
var t=this._state._completed(this,e);return this._run(),t},_error:function(e){var t=this._state._error(this,e,c);return this._run(),t},_progress:function(e){this._state._progress(this,e)},_setState:function(e){this._nextState=e},_setCompleteValue:function(e){this._state._setCompleteValue(this,e),this._run()},_setChainedErrorValue:function(e,t){var n=this._state._setErrorValue(this,e,d,t);return this._run(),n},_setExceptionValue:function(e){var t=this._state._setErrorValue(this,e,h);return this._run(),t},_run:function(){for(;this._nextState;)this._state=this._nextState,this._nextState=null,this._state.enter(this)}},{supportedForProcessing:!1}),z=n.Class.derive(B,function(e){I&&(!0===I||I&N.thenPromise)&&(this._stack=q._getStack()),this._creator=e,this._setState(D),this._run()},{_creator:null,_cancelAction:function(){this._creator&&this._creator.cancel()},_cleanupAction:function(){this._creator=null}},{supportedForProcessing:!1}),K=n.Class.define(function(e){
I&&(!0===I||I&N.errorPromise)&&(this._stack=q._getStack()),this._value=e,v(this,e,c)},{cancel:function(){},done:function(e,t){var n=this._value;if(t)try{t.handlesOnError||v(null,n,u,this,t);var i=t(n);return void(i&&"object"==typeof i&&"function"==typeof i.done&&i.done())}catch(e){n=e}n instanceof Error&&n.message===x||q._doneHandler(n)},then:function(e,t){if(!t)return this;var n,i=this._value;try{t.handlesOnError||v(null,i,u,this,t),n=new j(t(i))}catch(e){n=e===i?this:new U(e)}return n}},{supportedForProcessing:!1}),U=n.Class.derive(K,function(e){I&&(!0===I||I&N.exceptionPromise)&&(this._stack=q._getStack()),this._value=e,v(this,e,h)},{},{supportedForProcessing:!1}),j=n.Class.define(function(e){if(I&&(!0===I||I&N.completePromise)&&(this._stack=q._getStack()),e&&"object"==typeof e&&"function"==typeof e.then){var t=new z(null);return t._setCompleteValue(e),t}this._value=e},{cancel:function(){},done:function(e){if(e)try{var t=e(this._value);t&&"object"==typeof t&&"function"==typeof t.done&&t.done()}catch(e){
q._doneHandler(e)}},then:function(e){try{var t=e?e(this._value):this._value;return t===this._value?this:new j(t)}catch(e){return new U(e)}}},{supportedForProcessing:!1}),q=n.Class.derive(B,function(e,t){I&&(!0===I||I&N.promise)&&(this._stack=q._getStack()),this._oncancel=t,this._setState(D),this._run();try{e(this._completed.bind(this),this._error.bind(this),this._progress.bind(this))}catch(e){this._setExceptionValue(e)}},{_oncancel:null,_cancelAction:function(){try{if(!this._oncancel)throw new Error("Promise did not implement oncancel");this._oncancel()}catch(e){e.message,e.stack;E.dispatchEvent("error",e)}},_cleanupAction:function(){this._oncancel=null}},{addEventListener:function(e,t,n){E.addEventListener(e,t,n)},any:function(e){return new q(function(t,n){var i=Object.keys(e);0===i.length&&t();var o=0;i.forEach(function(r){q.as(e[r]).then(function(){t({key:r,value:e[r]})},function(s){s instanceof Error&&s.name===x?++o===i.length&&t(q.cancel):n({key:r,value:e[r]})})})},function(){
Object.keys(e).forEach(function(t){var n=q.as(e[t]);"function"==typeof n.cancel&&n.cancel()})})},as:function(e){return e&&"object"==typeof e&&"function"==typeof e.then?e:new j(e)},cancel:{get:function(){return H=H||new K(new i(x))}},dispatchEvent:function(e,t){return E.dispatchEvent(e,t)},is:function(e){return e&&"object"==typeof e&&"function"==typeof e.then},join:function(e){return new q(function(t,n,i){var o=Object.keys(e),r=Array.isArray(e)?[]:{},s=Array.isArray(e)?[]:{},a=0,l=o.length,u=function(e){if(0==--l){var a=Object.keys(r).length;if(0===a)t(s);else{var u=0;o.forEach(function(e){var t=r[e];t instanceof Error&&t.name===x&&u++}),u===a?t(q.cancel):n(r)}}else i({Key:e,Done:!0})};o.forEach(function(t){var n=e[t];void 0===n?a++:q.then(n,function(e){s[t]=e,u(t)},function(e){r[t]=e,u(t)})}),0!==(l-=a)||t(s)},function(){Object.keys(e).forEach(function(t){var n=q.as(e[t]);"function"==typeof n.cancel&&n.cancel()})})},removeEventListener:function(e,t,n){E.removeEventListener(e,t,n)},supportedForProcessing:!1,
then:function(e,t,n,i){return q.as(e).then(t,n,i)},thenEach:function(e,t,n,i){var o=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(r){o[r]=q.as(e[r]).then(t,n,i)}),q.join(o)},timeout:function(n,i){var o=function(n){var i;return new q(function(o){n?i=e.setTimeout(o,n):t._setImmediate(o)},function(){i&&e.clearTimeout(i)})}(n);return i?function(e,t){var n=function(){e.cancel()};return e.then(function(){t.cancel()}),t.then(n,n),t}(o,i):o},wrap:function(e){return new j(e)},wrapError:function(e){return new K(e)},_veryExpensiveTagWithStack:{get:function(){return I},set:function(e){I=e}},_veryExpensiveTagWithStack_tag:N,_getStack:function(){if(e.Debug&&e.Debug.debuggerEnabled)try{throw new Error}catch(e){return e.stack}},_cancelBlocker:function(e,t){if(!q.is(e))return q.wrap(e);var n,i,o=new q(function(e,t){n=e,i=t},function(){n=null,i=null,t&&t()});return e.then(function(e){n&&n(e)},function(e){i&&i(e)}),o}});return Object.defineProperties(q,o.createEventProperties(L)),q._doneHandler=function(e){
t._setImmediate(function(){throw e})},{PromiseStateMachine:B,Promise:q,state_created:D}}),t("WinJS/Promise",["WinJS/Core/_Base","WinJS/Promise/_StateMachine"],function(e,t){"use strict";return e.Namespace.define("WinJS",{Promise:t.Promise}),t.Promise}),(s=e["WinJS/Core/_WinJS"]).TPromise=s.Promise,s.PPromise=s.Promise,"undefined"==typeof exports&&"function"==typeof define&&define.amd?define("vs/base/common/winjs.base",[],s):module.exports=s}(),define(t[11],n([0,1,53]),function(e,t,n){"use strict";function i(e){o(e)||t.errorHandler.onUnexpectedError(e)}function o(e){return e instanceof Error&&e.name===a&&e.message===a}Object.defineProperty(t,"__esModule",{value:!0});var r={};n.TPromise.addEventListener("error",function(e){var t=e.detail,n=t.id;t.parent?t.handler&&r&&delete r[n]:(r[n]=t,1===Object.keys(r).length&&setTimeout(function(){var e=r;r={},Object.keys(e).forEach(function(t){var n=e[t];n.exception?i(n.exception):n.error&&i(n.error),console.log("WARNING: Promise with no error callback:"+n.id),
console.log(n),n.exception&&console.log(n.exception.stack)})},0))});var s=function(){function e(){this.listeners=[],this.unexpectedErrorHandler=function(e){setTimeout(function(){if(e.stack)throw new Error(e.message+"\n\n"+e.stack);throw e},0)}}return e.prototype.emit=function(e){this.listeners.forEach(function(t){t(e)})},e.prototype.onUnexpectedError=function(e){this.unexpectedErrorHandler(e),this.emit(e)},e.prototype.onUnexpectedExternalError=function(e){this.unexpectedErrorHandler(e)},e}();t.ErrorHandler=s,t.errorHandler=new s,t.onUnexpectedError=i,t.onUnexpectedExternalError=function(e){o(e)||t.errorHandler.onUnexpectedExternalError(e)},t.transformErrorForSerialization=function(e){if(e instanceof Error)return{$isError:!0,name:e.name,message:e.message,stack:e.stacktrace||e.stack};return e};var a="Canceled";t.isPromiseCanceledError=o,t.canceled=function(){var e=new Error(a);return e.name=e.message,e},t.illegalArgument=function(e){return e?new Error("Illegal argument: "+e):new Error("Illegal argument")},
t.illegalState=function(e){return e?new Error("Illegal state: "+e):new Error("Illegal state")}}),define(t[6],n([0,1,11,414,2,160]),function(e,t,n,i,o,r){"use strict";function s(e,t){return function(n,i,o){return void 0===i&&(i=null),e(function(e){return n.call(i,t(e))},null,o)}}function a(e,t){return function(n,i,o){return void 0===i&&(i=null),e(function(e){return t(e)&&n.call(i,e)},null,o)}}Object.defineProperty(t,"__esModule",{value:!0});var l;!function(e){var t={dispose:function(){}};e.None=function(){return t}}(l=t.Event||(t.Event={}));var u=function(){function e(e){void 0===e&&(e=null),this._options=e,this._event=null,this._disposed=!1,this._deliveryQueue=null,this._listeners=null}return Object.defineProperty(e.prototype,"event",{get:function(){var t=this;return this._event||(this._event=function(n,i,o){t._listeners||(t._listeners=new r.LinkedList);var s=t._listeners.isEmpty();s&&t._options&&t._options.onFirstListenerAdd&&t._options.onFirstListenerAdd(t);var a=t._listeners.push(i?[n,i]:n)
;s&&t._options&&t._options.onFirstListenerDidAdd&&t._options.onFirstListenerDidAdd(t),t._options&&t._options.onListenerDidAdd&&t._options.onListenerDidAdd(t,n,i);var l;return l={dispose:function(){if(l.dispose=e._noop,!t._disposed&&(a(),t._options&&t._options.onLastListenerRemove)){t._listeners&&!t._listeners.isEmpty()||t._options.onLastListenerRemove(t)}}},Array.isArray(o)&&o.push(l),l}),this._event},enumerable:!0,configurable:!0}),e.prototype.fire=function(e){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=[]);for(var t=this._listeners.iterator(),i=t.next();!i.done;i=t.next())this._deliveryQueue.push([i.value,e]);for(;this._deliveryQueue.length>0;){var o=this._deliveryQueue.shift(),r=o[0],s=o[1];try{"function"==typeof r?r.call(void 0,s):r[0].call(r[1],s)}catch(i){n.onUnexpectedError(i)}}}},e.prototype.dispose=function(){this._listeners&&(this._listeners=null),this._deliveryQueue&&(this._deliveryQueue.length=0),this._disposed=!0},e._noop=function(){},e}();t.Emitter=u;var d=function(){
function e(){var e=this;this.hasListeners=!1,this.events=[],this.emitter=new u({onFirstListenerAdd:function(){return e.onFirstListenerAdd()},onLastListenerRemove:function(){return e.onLastListenerRemove()}})}return Object.defineProperty(e.prototype,"event",{get:function(){return this.emitter.event},enumerable:!0,configurable:!0}),e.prototype.add=function(e){var t=this,n={event:e,listener:null};this.events.push(n),this.hasListeners&&this.hook(n);return o.toDisposable(i.once(function(){t.hasListeners&&t.unhook(n);var e=t.events.indexOf(n);t.events.splice(e,1)}))},e.prototype.onFirstListenerAdd=function(){var e=this;this.hasListeners=!0,this.events.forEach(function(t){return e.hook(t)})},e.prototype.onLastListenerRemove=function(){var e=this;this.hasListeners=!1,this.events.forEach(function(t){return e.unhook(t)})},e.prototype.hook=function(e){var t=this;e.listener=e.event(function(e){return t.emitter.fire(e)})},e.prototype.unhook=function(e){e.listener&&e.listener.dispose(),e.listener=null},
e.prototype.dispose=function(){this.emitter.dispose()},e}();t.EventMultiplexer=d,t.once=function(e){return function(t,n,i){void 0===n&&(n=null);var o=!1,r=e(function(e){if(!o)return r?r.dispose():o=!0,t.call(n,e)},null,i);return o&&r.dispose(),r}},t.anyEvent=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return function(t,n,i){return void 0===n&&(n=null),o.combinedDisposable(e.map(function(e){return e(function(e){return t.call(n,e)},null,i)}))}},t.debounceEvent=function(e,t,n,i){void 0===n&&(n=100),void 0===i&&(i=!1);var o,r=void 0,s=void 0,a=0,l=new u({onFirstListenerAdd:function(){o=e(function(e){a++,r=t(r,e),i&&!s&&l.fire(r),clearTimeout(s),s=setTimeout(function(){var e=r;r=void 0,s=void 0,(!i||a>1)&&l.fire(e),a=0},n)})},onLastListenerRemove:function(){o.dispose()}});return l.event};var c=function(){function e(){this.buffers=[]}return e.prototype.wrapEvent=function(e){var t=this;return function(n,i,o){return e(function(e){var o=t.buffers[t.buffers.length-1];o?o.push(function(){
return n.call(i,e)}):n.call(i,e)},void 0,o)}},e.prototype.bufferEvents=function(e){var t=[];this.buffers.push(t);var n=e();return this.buffers.pop(),t.forEach(function(e){return e()}),n},e}();t.EventBufferer=c,t.mapEvent=s,t.filterEvent=a;var h=function(){function e(e){this._event=e}return Object.defineProperty(e.prototype,"event",{get:function(){return this._event},enumerable:!0,configurable:!0}),e.prototype.map=function(t){return new e(s(this._event,t))},e.prototype.filter=function(t){return new e(a(this._event,t))},e.prototype.on=function(e,t,n){return this._event(e,t,n)},e}();t.chain=function(e){return new h(e)};var p=function(){function e(){var e=this;this.listening=!1,this.inputEvent=l.None,this.inputEventListener=o.Disposable.None,this.emitter=new u({onFirstListenerDidAdd:function(){e.listening=!0,e.inputEventListener=e.inputEvent(e.emitter.fire,e.emitter)},onLastListenerRemove:function(){e.listening=!1,e.inputEventListener.dispose()}}),this.event=this.emitter.event}
return Object.defineProperty(e.prototype,"input",{set:function(e){this.inputEvent=e,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=e(this.emitter.fire,this.emitter))},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this.inputEventListener.dispose(),this.emitter.dispose()},e}();t.Relay=p}),define(t[29],n([0,1,6]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(){this._zoomLevel=0,this._lastZoomLevelChangeTime=0,this._onDidChangeZoomLevel=new n.Emitter,this.onDidChangeZoomLevel=this._onDidChangeZoomLevel.event,this._accessibilitySupport=0,this._onDidChangeAccessibilitySupport=new n.Emitter,this.onDidChangeAccessibilitySupport=this._onDidChangeAccessibilitySupport.event}return e.prototype.getZoomLevel=function(){return this._zoomLevel},e.prototype.getTimeSinceLastZoomLevelChanged=function(){return Date.now()-this._lastZoomLevelChangeTime},e.prototype.getPixelRatio=function(){
var e=document.createElement("canvas").getContext("2d");return(window.devicePixelRatio||1)/(e.webkitBackingStorePixelRatio||e.mozBackingStorePixelRatio||e.msBackingStorePixelRatio||e.oBackingStorePixelRatio||e.backingStorePixelRatio||1)},e.prototype.getAccessibilitySupport=function(){return this._accessibilitySupport},e.INSTANCE=new e,e}();t.getZoomLevel=function(){return i.INSTANCE.getZoomLevel()},t.getTimeSinceLastZoomLevelChanged=function(){return i.INSTANCE.getTimeSinceLastZoomLevelChanged()},t.onDidChangeZoomLevel=function(e){return i.INSTANCE.onDidChangeZoomLevel(e)},t.getPixelRatio=function(){return i.INSTANCE.getPixelRatio()},t.getAccessibilitySupport=function(){return i.INSTANCE.getAccessibilitySupport()},t.onDidChangeAccessibilitySupport=function(e){return i.INSTANCE.onDidChangeAccessibilitySupport(e)};var o=navigator.userAgent;t.isIE=o.indexOf("Trident")>=0,t.isEdge=o.indexOf("Edge/")>=0,t.isEdgeOrIE=t.isIE||t.isEdge,t.isFirefox=o.indexOf("Firefox")>=0,t.isWebKit=o.indexOf("AppleWebKit")>=0,
t.isChrome=o.indexOf("Chrome")>=0,t.isSafari=-1===o.indexOf("Chrome")&&o.indexOf("Safari")>=0,t.isIPad=o.indexOf("iPad")>=0,t.isEdgeWebView=t.isEdge&&o.indexOf("WebView/")>=0,t.hasClipboardSupport=function(){if(t.isIE)return!1;if(t.isEdge){var e=o.indexOf("Edge/"),n=parseInt(o.substring(e+5,o.indexOf(".",e)),10);if(!n||n>=12&&n<=16)return!1}return!0}}),define(t[72],n([0,1,6]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.domEvent=function(e,t,i){var o=function(e){return r.fire(e)},r=new n.Emitter({onFirstListenerAdd:function(){e.addEventListener(t,o,i)},onLastListenerRemove:function(){e.removeEventListener(t,o,i)}});return r.event},t.stop=function(e){return n.mapEvent(e,function(e){return e.preventDefault(),e.stopPropagation(),e})}}),define(t[52],n([0,1,29,36,17]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=new Array(230),s=new Array(112);!function(){function e(e,t){r[e]=t,s[t]=e}for(var t=0;t<s.length;t++)s[t]=-1;e(3,7),e(8,1),
e(9,2),e(13,3),e(16,4),e(17,5),e(18,6),e(19,7),e(20,8),e(27,9),e(32,10),e(33,11),e(34,12),e(35,13),e(36,14),e(37,15),e(38,16),e(39,17),e(40,18),e(45,19),e(46,20),e(48,21),e(49,22),e(50,23),e(51,24),e(52,25),e(53,26),e(54,27),e(55,28),e(56,29),e(57,30),e(65,31),e(66,32),e(67,33),e(68,34),e(69,35),e(70,36),e(71,37),e(72,38),e(73,39),e(74,40),e(75,41),e(76,42),e(77,43),e(78,44),e(79,45),e(80,46),e(81,47),e(82,48),e(83,49),e(84,50),e(85,51),e(86,52),e(87,53),e(88,54),e(89,55),e(90,56),e(93,58),e(96,93),e(97,94),e(98,95),e(99,96),e(100,97),e(101,98),e(102,99),e(103,100),e(104,101),e(105,102),e(106,103),e(107,104),e(108,105),e(109,106),e(110,107),e(111,108),e(112,59),e(113,60),e(114,61),e(115,62),e(116,63),e(117,64),e(118,65),e(119,66),e(120,67),e(121,68),e(122,69),e(123,70),e(124,71),e(125,72),e(126,73),e(127,74),e(128,75),e(129,76),e(130,77),e(144,78),e(145,79),e(186,80),e(187,81),e(188,82),e(189,83),e(190,84),e(191,85),e(192,86),e(193,110),e(194,111),e(219,87),e(220,88),e(221,89),e(222,90),e(223,91),e(226,92),
e(229,109),n.isIE?e(91,57):n.isFirefox?(e(59,80),e(107,81),e(109,83),o.isMacintosh&&e(224,57)):n.isWebKit&&(e(91,57),o.isMacintosh?e(93,57):e(92,57))}();var a=o.isMacintosh?256:2048,l=o.isMacintosh?2048:256,u=function(){function e(e){var t=e;this.browserEvent=t,this.target=t.target,this.ctrlKey=t.ctrlKey,this.shiftKey=t.shiftKey,this.altKey=t.altKey,this.metaKey=t.metaKey,this.keyCode=function(e){if(e.charCode){var t=String.fromCharCode(e.charCode).toUpperCase();return i.KeyCodeUtils.fromString(t)}return r[e.keyCode]||0}(t),this.code=t.code,this.ctrlKey=this.ctrlKey||5===this.keyCode,this.altKey=this.altKey||6===this.keyCode,this.shiftKey=this.shiftKey||4===this.keyCode,this.metaKey=this.metaKey||57===this.keyCode,this._asKeybinding=this._computeKeybinding(),this._asRuntimeKeybinding=this._computeRuntimeKeybinding()}return e.prototype.preventDefault=function(){this.browserEvent&&this.browserEvent.preventDefault&&this.browserEvent.preventDefault()},e.prototype.stopPropagation=function(){
this.browserEvent&&this.browserEvent.stopPropagation&&this.browserEvent.stopPropagation()},e.prototype.toKeybinding=function(){return this._asRuntimeKeybinding},e.prototype.equals=function(e){return this._asKeybinding===e},e.prototype._computeKeybinding=function(){var e=0;5!==this.keyCode&&4!==this.keyCode&&6!==this.keyCode&&57!==this.keyCode&&(e=this.keyCode);var t=0;return this.ctrlKey&&(t|=a),this.altKey&&(t|=512),this.shiftKey&&(t|=1024),this.metaKey&&(t|=l),t|=e},e.prototype._computeRuntimeKeybinding=function(){var e=0;return 5!==this.keyCode&&4!==this.keyCode&&6!==this.keyCode&&57!==this.keyCode&&(e=this.keyCode),new i.SimpleKeybinding(this.ctrlKey,this.shiftKey,this.altKey,this.metaKey,e)},e}();t.StandardKeyboardEvent=u}),define(t[40],n([0,1,29,164,17]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){this.timestamp=Date.now(),this.browserEvent=e,this.leftButton=0===e.button,this.middleButton=1===e.button,this.rightButton=2===e.button,
this.target=e.target,this.detail=e.detail||1,"dblclick"===e.type&&(this.detail=2),this.ctrlKey=e.ctrlKey,this.shiftKey=e.shiftKey,this.altKey=e.altKey,this.metaKey=e.metaKey,"number"==typeof e.pageX?(this.posx=e.pageX,this.posy=e.pageY):(this.posx=e.clientX+document.body.scrollLeft+document.documentElement.scrollLeft,this.posy=e.clientY+document.body.scrollTop+document.documentElement.scrollTop);var t=i.IframeUtils.getPositionOfChildWindowRelativeToAncestorWindow(self,e.view);this.posx-=t.left,this.posy-=t.top}return e.prototype.preventDefault=function(){this.browserEvent.preventDefault&&this.browserEvent.preventDefault()},e.prototype.stopPropagation=function(){this.browserEvent.stopPropagation&&this.browserEvent.stopPropagation()},e}();t.StandardMouseEvent=s;var a=function(e){function t(t){var n=e.call(this,t)||this;return n.dataTransfer=t.dataTransfer,n}return o(t,e),t}(s);t.DragMouseEvent=a;var l=function(){function e(e,t,i){if(void 0===t&&(t=0),void 0===i&&(i=0),this.browserEvent=e||null,
this.target=e?e.target||e.targetNode||e.srcElement:null,this.deltaY=i,this.deltaX=t,e){var o=e,s=e;void 0!==o.wheelDeltaY?this.deltaY=o.wheelDeltaY/120:void 0!==s.VERTICAL_AXIS&&s.axis===s.VERTICAL_AXIS&&(this.deltaY=-s.detail/3),void 0!==o.wheelDeltaX?n.isSafari&&r.isWindows?this.deltaX=-o.wheelDeltaX/120:this.deltaX=o.wheelDeltaX/120:void 0!==s.HORIZONTAL_AXIS&&s.axis===s.HORIZONTAL_AXIS&&(this.deltaX=-e.detail/3),0===this.deltaY&&0===this.deltaX&&e.wheelDelta&&(this.deltaY=e.wheelDelta/120)}}return e.prototype.preventDefault=function(){this.browserEvent&&this.browserEvent.preventDefault&&this.browserEvent.preventDefault()},e.prototype.stopPropagation=function(){this.browserEvent&&this.browserEvent.stopPropagation&&this.browserEvent.stopPropagation()},e}();t.StandardMouseWheelEvent=l}),define(t[56],n([0,1,2,6]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t,n,o,r){void 0===t&&(t=""),void 0===n&&(n=""),void 0===o&&(o=!0),
this._onDidChange=new i.Emitter,this.onDidChange=this._onDidChange.event,this._id=e,this._label=t,this._cssClass=n,this._enabled=o,this._actionCallback=r}return Object.defineProperty(e.prototype,"id",{get:function(){return this._id},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"label",{get:function(){return this._label},set:function(e){this._setLabel(e)},enumerable:!0,configurable:!0}),e.prototype._setLabel=function(e){this._label!==e&&(this._label=e,this._onDidChange.fire({label:e}))},Object.defineProperty(e.prototype,"tooltip",{get:function(){return this._tooltip},set:function(e){this._setTooltip(e)},enumerable:!0,configurable:!0}),e.prototype._setTooltip=function(e){this._tooltip!==e&&(this._tooltip=e,this._onDidChange.fire({tooltip:e}))},Object.defineProperty(e.prototype,"class",{get:function(){return this._cssClass},set:function(e){this._setClass(e)},enumerable:!0,configurable:!0}),e.prototype._setClass=function(e){this._cssClass!==e&&(this._cssClass=e,this._onDidChange.fire({class:e
}))},Object.defineProperty(e.prototype,"enabled",{get:function(){return this._enabled},set:function(e){this._setEnabled(e)},enumerable:!0,configurable:!0}),e.prototype._setEnabled=function(e){this._enabled!==e&&(this._enabled=e,this._onDidChange.fire({enabled:e}))},Object.defineProperty(e.prototype,"checked",{get:function(){return this._checked},set:function(e){this._setChecked(e)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"radio",{get:function(){return this._radio},set:function(e){this._setRadio(e)},enumerable:!0,configurable:!0}),e.prototype._setChecked=function(e){this._checked!==e&&(this._checked=e,this._onDidChange.fire({checked:e}))},e.prototype._setRadio=function(e){this._radio!==e&&(this._radio=e,this._onDidChange.fire({radio:e}))},e.prototype.run=function(e,t){return this._actionCallback?this._actionCallback(e):Promise.resolve(!0)},e.prototype.dispose=function(){this._onDidChange.dispose()},e}();t.Action=r;var s=function(e){function t(){
var t=null!==e&&e.apply(this,arguments)||this;return t._onDidBeforeRun=t._register(new i.Emitter),t.onDidBeforeRun=t._onDidBeforeRun.event,t._onDidRun=t._register(new i.Emitter),t.onDidRun=t._onDidRun.event,t}return o(t,e),t.prototype.run=function(e,t){var n=this;return e.enabled?(this._onDidBeforeRun.fire({action:e}),this.runAction(e,t).then(function(t){n._onDidRun.fire({action:e,result:t})},function(t){n._onDidRun.fire({action:e,error:t})})):Promise.resolve(null)},t.prototype.runAction=function(e,t){var n=t?e.run(t):e.run();return Promise.resolve(n)},t}(n.Disposable);t.ActionRunner=s}),define(t[24],n([0,1,6]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i,o=Object.freeze(function(e,t){var n=setTimeout(e.bind(t),0);return{dispose:function(){clearTimeout(n)}}});!function(e){e.isCancellationToken=function(t){return t===e.None||t===e.Cancelled||t instanceof r||!(!t||"object"!=typeof t)&&"boolean"==typeof t.isCancellationRequested&&"function"==typeof t.onCancellationRequested
},e.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:n.Event.None}),e.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:o})}(i=t.CancellationToken||(t.CancellationToken={}));var r=function(){function e(){this._isCancelled=!1,this._emitter=null}return e.prototype.cancel=function(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))},Object.defineProperty(e.prototype,"isCancellationRequested",{get:function(){return this._isCancelled},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onCancellationRequested",{get:function(){return this._isCancelled?o:(this._emitter||(this._emitter=new n.Emitter),this._emitter.event)},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this._emitter&&(this._emitter.dispose(),this._emitter=null)},e}(),s=function(){function e(){}return Object.defineProperty(e.prototype,"token",{get:function(){return this._token||(this._token=new r),this._token},enumerable:!0,
configurable:!0}),e.prototype.cancel=function(){this._token?this._token instanceof r&&this._token.cancel():this._token=i.Cancelled},e.prototype.dispose=function(){this._token?this._token instanceof r&&this._token.dispose():this._token=i.None},e}();t.CancellationTokenSource=s}),define(t[16],n([0,1,24,11,2,53]),function(e,t,n,i,r,s){"use strict";function a(e){var t=new n.CancellationTokenSource,o=e(t.token),r=new Promise(function(e,n){t.token.onCancellationRequested(function(){n(i.canceled())}),Promise.resolve(o).then(function(n){t.dispose(),e(n)},function(e){t.dispose(),n(e)})});return new(function(){function e(){}return e.prototype.cancel=function(){t.cancel()},e.prototype.then=function(e,t){return r.then(e,t)},e.prototype.catch=function(e){return this.then(void 0,e)},e}())}function l(e,t){return t?new Promise(function(n,o){var r=setTimeout(n,e);t.onCancellationRequested(function(){clearTimeout(r),o(i.canceled())})}):a(function(t){return l(e,t)})}Object.defineProperty(t,"__esModule",{value:!0}),
t.isThenable=function(e){return e&&"function"==typeof e.then},t.createCancelablePromise=a;var u=function(){function e(e){this.defaultDelay=e,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.task=null}return e.prototype.trigger=function(e,t){var n=this;return void 0===t&&(t=this.defaultDelay),this.task=e,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new s.TPromise(function(e,t){n.doResolve=e,n.doReject=t}).then(function(){n.completionPromise=null,n.doResolve=null;var e=n.task;return n.task=null,e()})),this.timeout=setTimeout(function(){n.timeout=null,n.doResolve(null)},t),this.completionPromise},e.prototype.cancel=function(){this.cancelTimeout(),this.completionPromise&&(this.doReject(i.canceled()),this.completionPromise=null)},e.prototype.cancelTimeout=function(){null!==this.timeout&&(clearTimeout(this.timeout),this.timeout=null)},e.prototype.dispose=function(){this.cancelTimeout()},e}();t.Delayer=u,t.timeout=l,t.always=function(e,t){function n(){try{t()}catch(e){
i.onUnexpectedError(e)}}return e.then(function(e){return n()},function(e){return n()}),Promise.resolve(e)},t.first=function(e,t,n){void 0===t&&(t=function(e){return!!e}),void 0===n&&(n=null);var i=0,o=e.length,r=function(){if(i>=o)return Promise.resolve(n);var s=e[i++];return Promise.resolve(s()).then(function(e){return t(e)?Promise.resolve(e):r()})};return r()};var d=function(e){function t(t,n){var i=e.call(this)||this;return i._token=-1,"function"==typeof t&&"number"==typeof n&&i.setIfNotSet(t,n),i}return o(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){-1!==this._token&&(clearTimeout(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){var n=this;this.cancel(),this._token=setTimeout(function(){n._token=-1,e()},t)},t.prototype.setIfNotSet=function(e,t){var n=this;-1===this._token&&(this._token=setTimeout(function(){n._token=-1,e()},t))},t}(r.Disposable);t.TimeoutTimer=d;var c=function(e){function t(){var t=e.call(this)||this
;return t._token=-1,t}return o(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){-1!==this._token&&(clearInterval(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){this.cancel(),this._token=setInterval(function(){e()},t)},t}(r.Disposable);t.IntervalTimer=c;var h=function(){function e(e,t){this.timeoutToken=-1,this.runner=e,this.timeout=t,this.timeoutHandler=this.onTimeout.bind(this)}return e.prototype.dispose=function(){this.cancel(),this.runner=null},e.prototype.cancel=function(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)},e.prototype.schedule=function(e){void 0===e&&(e=this.timeout),this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,e)},e.prototype.isScheduled=function(){return-1!==this.timeoutToken},e.prototype.onTimeout=function(){this.timeoutToken=-1,this.runner&&this.doRun()},e.prototype.doRun=function(){this.runner&&this.runner()},e}();t.RunOnceScheduler=h,function(){
if("function"!=typeof requestIdleCallback||"function"!=typeof cancelIdleCallback){var e=Object.freeze({didTimeout:!0,timeRemaining:function(){return 15}});t.runWhenIdle=function(t,n){void 0===n&&(n=0);var i=setTimeout(function(){return t(e)},n),o=!1;return{dispose:function(){o||(o=!0,clearTimeout(i))}}}}else t.runWhenIdle=function(e,t){var n=requestIdleCallback(e,"number"==typeof t?{timeout:t}:void 0),i=!1;return{dispose:function(){i||(i=!0,cancelIdleCallback(n))}}}}();var p=function(){function e(e){var n=this;this._executor=function(){try{n._value=e()}catch(e){n._error=e}finally{n._didRun=!0}},this._handle=t.runWhenIdle(function(){return n._executor()})}return e.prototype.dispose=function(){this._handle.dispose()},e.prototype.getValue=function(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value},e}();t.IdleValue=p}),define(t[7],n([0,1,29,72,52,40,16,11,6,2,17]),function(e,t,n,i,r,s,a,l,u,d,c){"use strict";function h(e,t,n,i){return new w(e,t,n,i)}
function p(e){if(!E){E=self.requestAnimationFrame||self.msRequestAnimationFrame||self.webkitRequestAnimationFrame||self.mozRequestAnimationFrame||self.oRequestAnimationFrame||function(e){return setTimeout(function(){return e((new Date).getTime())},0)}}return E.call(self,e)}function f(e){return document.defaultView.getComputedStyle(e,null)}function g(e,t,n){var i=f(e),o="0";return i&&(o=i.getPropertyValue?i.getPropertyValue(t):i.getAttribute(n)),D(e,o)}function m(e,t){for(;e;){if(e===t)return!0;e=e.parentNode}return!1}function v(e){void 0===e&&(e=document.getElementsByTagName("head")[0]);var t=document.createElement("style");return t.type="text/css",t.media="screen",e.appendChild(t),t}function _(){return T||(T=v()),T}function y(e){if(e&&e.hasAttribute("tabIndex")){if(document.activeElement===e){var t=function(e,t){for(;e;){if(e instanceof HTMLElement&&e.hasAttribute(t))return e;e=e.parentNode}return null}(e.parentElement,"tabIndex");t&&t.focus()}e.removeAttribute("tabindex")}}
Object.defineProperty(t,"__esModule",{value:!0}),t.clearNode=function(e){for(;e.firstChild;)e.removeChild(e.firstChild)},t.removeNode=function(e){e.parentNode&&e.parentNode.removeChild(e)},t.isInDOM=function(e){for(;e;){if(e===document.body)return!0;e=e.parentNode}return!1};var C=new(function(){function e(){}return e.prototype._findClassName=function(e,t){var n=e.className;if(n){t=t.trim();var i=n.length,o=t.length;if(0!==o)if(i<o)this._lastStart=-1;else{if(n===t)return this._lastStart=0,void(this._lastEnd=i);for(var r,s=-1;(s=n.indexOf(t,s+1))>=0;){if(r=s+o,(0===s||32===n.charCodeAt(s-1))&&32===n.charCodeAt(r))return this._lastStart=s,void(this._lastEnd=r+1);if(s>0&&32===n.charCodeAt(s-1)&&r===i)return this._lastStart=s-1,void(this._lastEnd=r);if(0===s&&r===i)return this._lastStart=0,void(this._lastEnd=r)}this._lastStart=-1}else this._lastStart=-1}else this._lastStart=-1},e.prototype.hasClass=function(e,t){return this._findClassName(e,t),-1!==this._lastStart},e.prototype.addClasses=function(e){
for(var t=this,n=[],i=1;i<arguments.length;i++)n[i-1]=arguments[i];n.forEach(function(n){return n.split(" ").forEach(function(n){return t.addClass(e,n)})})},e.prototype.addClass=function(e,t){e.className?(this._findClassName(e,t),-1===this._lastStart&&(e.className=e.className+" "+t)):e.className=t},e.prototype.removeClass=function(e,t){this._findClassName(e,t),-1!==this._lastStart&&(e.className=e.className.substring(0,this._lastStart)+e.className.substring(this._lastEnd))},e.prototype.removeClasses=function(e){for(var t=this,n=[],i=1;i<arguments.length;i++)n[i-1]=arguments[i];n.forEach(function(n){return n.split(" ").forEach(function(n){return t.removeClass(e,n)})})},e.prototype.toggleClass=function(e,t,n){this._findClassName(e,t),-1===this._lastStart||void 0!==n&&n||this.removeClass(e,t),-1!==this._lastStart||void 0!==n&&!n||this.addClass(e,t)},e}()),b=new(function(){function e(){}return e.prototype.hasClass=function(e,t){return Boolean(t)&&e.classList&&e.classList.contains(t)},
e.prototype.addClasses=function(e){for(var t=this,n=[],i=1;i<arguments.length;i++)n[i-1]=arguments[i];n.forEach(function(n){return n.split(" ").forEach(function(n){return t.addClass(e,n)})})},e.prototype.addClass=function(e,t){t&&e.classList&&e.classList.add(t)},e.prototype.removeClass=function(e,t){t&&e.classList&&e.classList.remove(t)},e.prototype.removeClasses=function(e){for(var t=this,n=[],i=1;i<arguments.length;i++)n[i-1]=arguments[i];n.forEach(function(n){return n.split(" ").forEach(function(n){return t.removeClass(e,n)})})},e.prototype.toggleClass=function(e,t,n){e.classList&&e.classList.toggle(t,n)},e}()),S=n.isIE?C:b;t.hasClass=S.hasClass.bind(S),t.addClass=S.addClass.bind(S),t.addClasses=S.addClasses.bind(S),t.removeClass=S.removeClass.bind(S),t.removeClasses=S.removeClasses.bind(S),t.toggleClass=S.toggleClass.bind(S);var w=function(){function e(e,t,n,i){this._node=e,this._type=t,this._handler=n,this._useCapture=i||!1,this._node.addEventListener(this._type,this._handler,this._useCapture)}
return e.prototype.dispose=function(){this._handler&&(this._node.removeEventListener(this._type,this._handler,this._useCapture),this._node=null,this._handler=null)},e}();t.addDisposableListener=h,t.addStandardDisposableListener=function(e,t,n,i){var o=n;return"click"===t||"mousedown"===t?o=function(e){return function(t){return e(new s.StandardMouseEvent(t))}}(n):"keydown"!==t&&"keypress"!==t&&"keyup"!==t||(o=function(e){return function(t){return e(new r.StandardKeyboardEvent(t))}}(n)),h(e,t,o,i)},t.addDisposableNonBubblingMouseOutListener=function(e,t){return h(e,"mouseout",function(n){for(var i=n.relatedTarget||n.toElement;i&&i!==e;)i=i.parentNode;i!==e&&t(n)})};var E=null,L=function(){function e(e,t){void 0===t&&(t=0),this._runner=e,this.priority=t,this._canceled=!1}return e.prototype.dispose=function(){this._canceled=!0},e.prototype.execute=function(){if(!this._canceled)try{this._runner()}catch(e){l.onUnexpectedError(e)}},e.sort=function(e,t){return t.priority-e.priority},e}();!function(){
var e=[],n=null,i=!1,o=!1,r=function(){for(i=!1,n=e,e=[],o=!0;n.length>0;){n.sort(L.sort);n.shift().execute()}o=!1};t.scheduleAtNextAnimationFrame=function(t,n){void 0===n&&(n=0);var o=new L(t,n);return e.push(o),i||(i=!0,p(r)),o},t.runAtThisOrScheduleAtNextAnimationFrame=function(e,i){if(o){var r=new L(e,i);return n.push(r),r}return t.scheduleAtNextAnimationFrame(e,i)}}();var x=16,I=function(e,t){return t},N=function(e){function t(t,n,i,o,r){void 0===o&&(o=I),void 0===r&&(r=x);var s=e.call(this)||this,l=null,u=0,d=s._register(new a.TimeoutTimer),c=function(){u=(new Date).getTime(),i(l),l=null};return s._register(h(t,n,function(e){l=o(l,e);var t=(new Date).getTime()-u;t>=r?(d.cancel(),c()):d.setIfNotSet(c,r-t)})),s}return o(t,e),t}(d.Disposable);t.addDisposableThrottledListener=function(e,t,n,i,o){return new N(e,t,n,i,o)},t.getComputedStyle=f;var D=function(e,t){return parseFloat(t)||0};t.getClientArea=function(e){if(e!==document.body)return new k(e.clientWidth,e.clientHeight)
;if(window.innerWidth&&window.innerHeight)return new k(window.innerWidth,window.innerHeight);if(document.body&&document.body.clientWidth&&document.body.clientHeight)return new k(document.body.clientWidth,document.body.clientHeight);if(document.documentElement&&document.documentElement.clientWidth&&document.documentElement.clientHeight)return new k(document.documentElement.clientWidth,document.documentElement.clientHeight);throw new Error("Unable to figure out browser width and height")};var M={getBorderLeftWidth:function(e){return g(e,"border-left-width","borderLeftWidth")},getBorderRightWidth:function(e){return g(e,"border-right-width","borderRightWidth")},getBorderTopWidth:function(e){return g(e,"border-top-width","borderTopWidth")},getBorderBottomWidth:function(e){return g(e,"border-bottom-width","borderBottomWidth")},getPaddingLeft:function(e){return g(e,"padding-left","paddingLeft")},getPaddingRight:function(e){return g(e,"padding-right","paddingRight")},getPaddingTop:function(e){
return g(e,"padding-top","paddingTop")},getPaddingBottom:function(e){return g(e,"padding-bottom","paddingBottom")},getMarginLeft:function(e){return g(e,"margin-left","marginLeft")},getMarginTop:function(e){return g(e,"margin-top","marginTop")},getMarginRight:function(e){return g(e,"margin-right","marginRight")},getMarginBottom:function(e){return g(e,"margin-bottom","marginBottom")},__commaSentinel:!1},k=function(){return function(e,t){this.width=e,this.height=t}}();t.Dimension=k,t.getTopLeftOffset=function(e){for(var t=e.offsetParent,n=e.offsetTop,i=e.offsetLeft;null!==(e=e.parentNode)&&e!==document.body&&e!==document.documentElement;){n-=e.scrollTop;var o=f(e);o&&(i-="rtl"!==o.direction?e.scrollLeft:-e.scrollLeft),e===t&&(i+=M.getBorderLeftWidth(e),n+=M.getBorderTopWidth(e),n+=e.offsetTop,i+=e.offsetLeft,t=e.offsetParent)}return{left:i,top:n}},t.getDomNodePagePosition=function(e){var n=e.getBoundingClientRect();return{left:n.left+t.StandardWindow.scrollX,top:n.top+t.StandardWindow.scrollY,width:n.width,
height:n.height}},t.StandardWindow=new(function(){function e(){}return Object.defineProperty(e.prototype,"scrollX",{get:function(){return"number"==typeof window.scrollX?window.scrollX:document.body.scrollLeft+document.documentElement.scrollLeft},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"scrollY",{get:function(){return"number"==typeof window.scrollY?window.scrollY:document.body.scrollTop+document.documentElement.scrollTop},enumerable:!0,configurable:!0}),e}()),t.getTotalWidth=function(e){var t=M.getMarginLeft(e)+M.getMarginRight(e);return e.offsetWidth+t},t.getContentWidth=function(e){var t=M.getBorderLeftWidth(e)+M.getBorderRightWidth(e),n=M.getPaddingLeft(e)+M.getPaddingRight(e);return e.offsetWidth-t-n},t.getContentHeight=function(e){var t=M.getBorderTopWidth(e)+M.getBorderBottomWidth(e),n=M.getPaddingTop(e)+M.getPaddingBottom(e);return e.offsetHeight-t-n},t.getTotalHeight=function(e){var t=M.getMarginTop(e)+M.getMarginBottom(e);return e.offsetHeight+t},t.isAncestor=m,
t.findParentWithClass=function(e,n,i){for(;e;){if(t.hasClass(e,n))return e;if(i)if("string"==typeof i){if(t.hasClass(e,i))return null}else if(e===i)return null;e=e.parentNode}return null},t.createStyleSheet=v;var T=null;t.createCSSRule=function(e,t,n){void 0===n&&(n=_()),n&&t&&n.sheet.insertRule(e+"{"+t+"}",0)},t.removeCSSRulesContainingSelector=function(e,t){if(void 0===t&&(t=_()),t){for(var n=function(e){return e&&e.sheet&&e.sheet.rules?e.sheet.rules:e&&e.sheet&&e.sheet.cssRules?e.sheet.cssRules:[]}(t),i=[],o=0;o<n.length;o++)-1!==n[o].selectorText.indexOf(e)&&i.push(o);for(o=i.length-1;o>=0;o--)t.sheet.deleteRule(i[o])}},t.isHTMLElement=function(e){return"object"==typeof HTMLElement?e instanceof HTMLElement:e&&"object"==typeof e&&1===e.nodeType&&"string"==typeof e.nodeName},t.EventType={CLICK:"click",DBLCLICK:"dblclick",MOUSE_UP:"mouseup",MOUSE_DOWN:"mousedown",MOUSE_OVER:"mouseover",MOUSE_MOVE:"mousemove",MOUSE_OUT:"mouseout",MOUSE_ENTER:"mouseenter",MOUSE_LEAVE:"mouseleave",CONTEXT_MENU:"contextmenu",
WHEEL:"wheel",KEY_DOWN:"keydown",KEY_PRESS:"keypress",KEY_UP:"keyup",LOAD:"load",UNLOAD:"unload",ABORT:"abort",ERROR:"error",RESIZE:"resize",SCROLL:"scroll",SELECT:"select",CHANGE:"change",SUBMIT:"submit",RESET:"reset",FOCUS:"focus",FOCUS_IN:"focusin",FOCUS_OUT:"focusout",BLUR:"blur",INPUT:"input",STORAGE:"storage",DRAG_START:"dragstart",DRAG:"drag",DRAG_ENTER:"dragenter",DRAG_LEAVE:"dragleave",DRAG_OVER:"dragover",DROP:"drop",DRAG_END:"dragend",ANIMATION_START:n.isWebKit?"webkitAnimationStart":"animationstart",ANIMATION_END:n.isWebKit?"webkitAnimationEnd":"animationend",ANIMATION_ITERATION:n.isWebKit?"webkitAnimationIteration":"animationiteration"},t.EventHelper={stop:function(e,t){e.preventDefault?e.preventDefault():e.returnValue=!1,t&&(e.stopPropagation?e.stopPropagation():e.cancelBubble=!0)}},t.saveParentsScrollTop=function(e){for(var t=[],n=0;e&&e.nodeType===e.ELEMENT_NODE;n++)t[n]=e.scrollTop,e=e.parentNode;return t},t.restoreParentsScrollTop=function(e,t){
for(var n=0;e&&e.nodeType===e.ELEMENT_NODE;n++)e.scrollTop!==t[n]&&(e.scrollTop=t[n]),e=e.parentNode};var R=function(){function e(e){var n=this;this._onDidFocus=new u.Emitter,this.onDidFocus=this._onDidFocus.event,this._onDidBlur=new u.Emitter,this.onDidBlur=this._onDidBlur.event,this.disposables=[];var o=m(document.activeElement,e),r=!1;i.domEvent(e,t.EventType.FOCUS,!0)(function(){r=!1,o||(o=!0,n._onDidFocus.fire())},null,this.disposables),i.domEvent(e,t.EventType.BLUR,!0)(function(){o&&(r=!0,window.setTimeout(function(){r&&(r=!1,o=!1,n._onDidBlur.fire())},0))},null,this.disposables)}return e.prototype.dispose=function(){this.disposables=d.dispose(this.disposables),this._onDidFocus.dispose(),this._onDidBlur.dispose()},e}();t.trackFocus=function(e){return new R(e)},t.append=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.forEach(function(t){return e.appendChild(t)}),t[t.length-1]};var O=/([\w\-]+)?(#([\w\-]+))?((.([\w\-]+))*)/;t.$=function(e,t){
for(var n=[],i=2;i<arguments.length;i++)n[i-2]=arguments[i];var o=O.exec(e);if(!o)throw new Error("Bad use of emmet");var r=document.createElement(o[1]||"div");return o[3]&&(r.id=o[3]),o[4]&&(r.className=o[4].replace(/\./g," ").trim()),t=t||{},Object.keys(t).forEach(function(e){var n=t[e];/^on\w+$/.test(e)?r[e]=n:"selected"===e?n&&r.setAttribute(e,"true"):r.setAttribute(e,n)}),n.filter(function(e){return!!e}).forEach(function(e){e instanceof Node?r.appendChild(e):r.appendChild(document.createTextNode(e))}),r},t.show=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,i=e;n<i.length;n++){var o=i[n];o.style.display="",o.removeAttribute("aria-hidden")}},t.hide=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,i=e;n<i.length;n++){var o=i[n];o.style.display="none",o.setAttribute("aria-hidden","true")}},t.removeTabIndexAndUpdateFocus=y,t.getElementsByTagName=function(e){return Array.prototype.slice.call(document.getElementsByTagName(e),0)},
t.computeScreenAwareSize=function(e){var t=window.devicePixelRatio*e;return Math.max(1,Math.floor(t))/window.devicePixelRatio},t.windowOpenNoOpener=function(e){if(c.isNative||n.isEdgeWebView)window.open(e);else{var t=window.open();t&&(t.opener=null,t.location.href=e)}}}),define(t[23],n([0,1,7]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e){this.domNode=e,this._maxWidth=-1,this._width=-1,this._height=-1,this._top=-1,this._left=-1,this._bottom=-1,this._right=-1,this._fontFamily="",this._fontWeight="",this._fontSize=-1,this._lineHeight=-1,this._letterSpacing=-100,this._className="",this._display="",this._position="",this._visibility="",this._layerHint=!1}return e.prototype.setMaxWidth=function(e){this._maxWidth!==e&&(this._maxWidth=e,this.domNode.style.maxWidth=this._maxWidth+"px")},e.prototype.setWidth=function(e){this._width!==e&&(this._width=e,this.domNode.style.width=this._width+"px")},e.prototype.setHeight=function(e){
this._height!==e&&(this._height=e,this.domNode.style.height=this._height+"px")},e.prototype.setTop=function(e){this._top!==e&&(this._top=e,this.domNode.style.top=this._top+"px")},e.prototype.unsetTop=function(){-1!==this._top&&(this._top=-1,this.domNode.style.top="")},e.prototype.setLeft=function(e){this._left!==e&&(this._left=e,this.domNode.style.left=this._left+"px")},e.prototype.setBottom=function(e){this._bottom!==e&&(this._bottom=e,this.domNode.style.bottom=this._bottom+"px")},e.prototype.setRight=function(e){this._right!==e&&(this._right=e,this.domNode.style.right=this._right+"px")},e.prototype.setFontFamily=function(e){this._fontFamily!==e&&(this._fontFamily=e,this.domNode.style.fontFamily=this._fontFamily)},e.prototype.setFontWeight=function(e){this._fontWeight!==e&&(this._fontWeight=e,this.domNode.style.fontWeight=this._fontWeight)},e.prototype.setFontSize=function(e){this._fontSize!==e&&(this._fontSize=e,this.domNode.style.fontSize=this._fontSize+"px")},e.prototype.setLineHeight=function(e){
this._lineHeight!==e&&(this._lineHeight=e,this.domNode.style.lineHeight=this._lineHeight+"px")},e.prototype.setLetterSpacing=function(e){this._letterSpacing!==e&&(this._letterSpacing=e,this.domNode.style.letterSpacing=this._letterSpacing+"px")},e.prototype.setClassName=function(e){this._className!==e&&(this._className=e,this.domNode.className=this._className)},e.prototype.toggleClassName=function(e,t){n.toggleClass(this.domNode,e,t),this._className=this.domNode.className},e.prototype.setDisplay=function(e){this._display!==e&&(this._display=e,this.domNode.style.display=this._display)},e.prototype.setPosition=function(e){this._position!==e&&(this._position=e,this.domNode.style.position=this._position)},e.prototype.setVisibility=function(e){this._visibility!==e&&(this._visibility=e,this.domNode.style.visibility=this._visibility)},e.prototype.setLayerHinting=function(e){this._layerHint!==e&&(this._layerHint=e,this.domNode.style.willChange=this._layerHint?"transform":"auto")},
e.prototype.setAttribute=function(e,t){this.domNode.setAttribute(e,t)},e.prototype.removeAttribute=function(e){this.domNode.removeAttribute(e)},e.prototype.appendChild=function(e){this.domNode.appendChild(e.domNode)},e.prototype.removeChild=function(e){this.domNode.removeChild(e.domNode)},e}();t.FastDomNode=i,t.createFastDomNode=function(e){return new i(e)}}),define(t[73],n([0,1,7,164,40,2]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.standardMouseMoveMerger=function(e,t){var n=new r.StandardMouseEvent(t);return n.preventDefault(),{leftButton:n.leftButton,posx:n.posx,posy:n.posy}};var a=function(e){function t(){var t=e.call(this)||this;return t.hooks=[],t.mouseMoveEventMerger=null,t.mouseMoveCallback=null,t.onStopCallback=null,t}return o(t,e),t.prototype.dispose=function(){this.stopMonitoring(!1),e.prototype.dispose.call(this)},t.prototype.stopMonitoring=function(e){if(this.isMonitoring()){this.hooks=s.dispose(this.hooks),this.mouseMoveEventMerger=null,
this.mouseMoveCallback=null;var t=this.onStopCallback;this.onStopCallback=null,e&&t&&t()}},t.prototype.isMonitoring=function(){return this.hooks.length>0},t.prototype.startMonitoring=function(e,t,o){var s=this;if(!this.isMonitoring()){this.mouseMoveEventMerger=e,this.mouseMoveCallback=t,this.onStopCallback=o;for(var a=i.IframeUtils.getSameOriginWindowChain(),l=0;l<a.length;l++)this.hooks.push(n.addDisposableThrottledListener(a[l].window.document,"mousemove",function(e){return s.mouseMoveCallback(e)},function(e,t){return s.mouseMoveEventMerger(e,t)})),this.hooks.push(n.addDisposableListener(a[l].window.document,"mouseup",function(e){return s.stopMonitoring(!0)}));if(i.IframeUtils.hasDifferentOriginAncestor()){var u=a[a.length-1];this.hooks.push(n.addDisposableListener(u.window.document,"mouseout",function(e){"html"===new r.StandardMouseEvent(e).target.tagName.toLowerCase()&&s.stopMonitoring(!0)})),this.hooks.push(n.addDisposableListener(u.window.document,"mouseover",function(e){
"html"===new r.StandardMouseEvent(e).target.tagName.toLowerCase()&&s.stopMonitoring(!0)})),this.hooks.push(n.addDisposableListener(u.window.document.body,"mouseleave",function(e){s.stopMonitoring(!0)}))}}},t}(s.Disposable);t.GlobalMouseMoveMonitor=a}),define(t[133],n([0,1,7,110,8,68,566,11]),function(e,t,n,i,o,r,s,a){"use strict";function l(e){var t=e.inline?"span":"div",n=document.createElement(t);return e.className&&(n.className=e.className),n}function u(e,t){void 0===t&&(t={});var n=l(t);return d(n,function(e){var t={type:1,children:[]},n=0,i=t,o=[],r=new h(e);for(;!r.eos();){var s=r.next(),a="\\"===s&&0!==c(r.peek());if(a&&(s=r.next()),!a&&function(e){return 0!==c(e)}(s)&&s===r.peek()){r.advance(),2===i.type&&(i=o.pop());var l=c(s);if(i.type===l||5===i.type&&6===l)i=o.pop();else{var u={type:l,children:[]};5===l&&(u.index=n,n++),i.children.push(u),o.push(i),i=u}}else if("\n"===s)2===i.type&&(i=o.pop()),i.children.push({type:7});else if(2!==i.type){var d={type:2,content:s};i.children.push(d),o.push(i),i=d
}else i.content+=s}2===i.type&&(i=o.pop());o.length;return t}(e),t.actionHandler),n}function d(e,t,i){var o;if(2===t.type)o=document.createTextNode(t.content||"");else if(3===t.type)o=document.createElement("b");else if(4===t.type)o=document.createElement("i");else if(5===t.type&&i){var r=document.createElement("a");r.href="#",i.disposeables.push(n.addStandardDisposableListener(r,"click",function(e){i.callback(String(t.index),e)})),o=r}else 7===t.type?o=document.createElement("br"):1===t.type&&(o=e);o&&e!==o&&e.appendChild(o),o&&Array.isArray(t.children)&&t.children.forEach(function(e){d(o,e,i)})}function c(e){switch(e){case"*":return 3;case"_":return 4;case"[":return 5;case"]":return 6;default:return 0}}Object.defineProperty(t,"__esModule",{value:!0}),t.renderText=function(e,t){void 0===t&&(t={});var n=l(t);return n.textContent=e,n},t.renderFormattedText=u,t.renderMarkdown=function(e,t){void 0===t&&(t={});var u,d=l(t),c=new Promise(function(e){return u=e}),h=new s.Renderer;h.image=function(e,t,n){var i=[]
;if(e){var o=e.split("|").map(function(e){return e.trim()});e=o[0];var r=o[1];if(r){var s=/height=(\d+)/.exec(r),a=/width=(\d+)/.exec(r),l=s?s[1]:"",u=a?a[1]:"",d=isFinite(parseInt(u)),c=isFinite(parseInt(l));d&&i.push('width="'+u+'"'),c&&i.push('height="'+l+'"')}}var h=[];return e&&h.push('src="'+e+'"'),n&&h.push('alt="'+n+'"'),t&&h.push('title="'+t+'"'),i.length&&(h=h.concat(i)),"<img "+h.join(" ")+">"},h.link=function(t,n,i){return t===i&&(i=r.removeMarkdownEscapes(i)),n=r.removeMarkdownEscapes(n),!(t=r.removeMarkdownEscapes(t))||t.match(/^data:|javascript:/i)||t.match(/^command:/i)&&!e.isTrusted||t.match(/^command:(\/\/\/)?_workbench\.downloadResource/i)?i:'<a href="#" data-href="'+t+'" title="'+(n||t)+'">'+i+"</a>"},h.paragraph=function(e){return"<p>"+e+"</p>"},t.codeBlockRenderer&&(h.code=function(e,n){var r=t.codeBlockRenderer(n,e),s=i.defaultGenerator.nextId(),a=Promise.all([r,c]).then(function(e){var t=e[0],n=d.querySelector('div[data-code="'+s+'"]');n&&(n.innerHTML=t)}).catch(function(e){})
;return t.codeBlockRenderCallback&&a.then(t.codeBlockRenderCallback),'<div class="code" data-code="'+s+'">'+o.escape(e)+"</div>"}),t.actionHandler&&t.actionHandler.disposeables.push(n.addStandardDisposableListener(d,"click",function(e){var n=e.target;if("A"===n.tagName||(n=n.parentElement)&&"A"===n.tagName)try{var i=n.dataset.href;i&&t.actionHandler.callback(i,e)}catch(e){a.onUnexpectedError(e)}finally{e.preventDefault()}}));var p={sanitize:!0,renderer:h};return d.innerHTML=s.parse(e.value,p),u(),d};var h=function(){function e(e){this.source=e,this.index=0}return e.prototype.eos=function(){return this.index>=this.source.length},e.prototype.next=function(){var e=this.peek();return this.advance(),e},e.prototype.peek=function(){return this.source[this.index]},e.prototype.advance=function(){this.index++},e}()});var a=this&&this.__decorate||function(e,t,n,i){var o,r=arguments.length,s=r<3?t:null===i?i=Object.getOwnPropertyDescriptor(t,n):i
;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,i);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(r<3?o(s):r>3?o(t,n,s):o(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s};define(t[75],n([0,1,22,2,7,128]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l;!function(e){e.Tap="-monaco-gesturetap",e.Change="-monaco-gesturechange",e.Start="-monaco-gesturestart",e.End="-monaco-gesturesend",e.Contextmenu="-monaco-gesturecontextmenu"}(l=t.EventType||(t.EventType={}));var u=function(e){function t(){var t=e.call(this)||this;return t.activeTouches={},t.handle=null,t.targets=[],t._register(r.addDisposableListener(document,"touchstart",function(e){return t.onTouchStart(e)})),t._register(r.addDisposableListener(document,"touchend",function(e){return t.onTouchEnd(e)})),t._register(r.addDisposableListener(document,"touchmove",function(e){return t.onTouchMove(e)})),t}return o(t,e),t.addTarget=function(e){
t.isTouchDevice()&&(t.INSTANCE||(t.INSTANCE=new t),t.INSTANCE.targets.push(e))},t.isTouchDevice=function(){return"ontouchstart"in window||navigator.maxTouchPoints>0||window.navigator.msMaxTouchPoints>0},t.prototype.dispose=function(){this.handle&&(this.handle.dispose(),this.handle=null),e.prototype.dispose.call(this)},t.prototype.onTouchStart=function(e){var t=Date.now();this.handle&&(this.handle.dispose(),this.handle=null);for(var n=0,i=e.targetTouches.length;n<i;n++){var o=e.targetTouches.item(n);this.activeTouches[o.identifier]={id:o.identifier,initialTarget:o.target,initialTimeStamp:t,initialPageX:o.pageX,initialPageY:o.pageY,rollingTimestamps:[t],rollingPageX:[o.pageX],rollingPageY:[o.pageY]};var r=this.newGestureEvent(l.Start,o.target);r.pageX=o.pageX,r.pageY=o.pageY,this.dispatchEvent(r)}this.dispatched&&(e.preventDefault(),e.stopPropagation(),this.dispatched=!1)},t.prototype.onTouchEnd=function(e){for(var i=Date.now(),o=Object.keys(this.activeTouches).length,r=function(r,a){
var u=e.changedTouches.item(r);if(!s.activeTouches.hasOwnProperty(String(u.identifier)))return console.warn("move of an UNKNOWN touch",u),"continue";var d=s.activeTouches[u.identifier],c=Date.now()-d.initialTimeStamp;if(c<t.HOLD_DELAY&&Math.abs(d.initialPageX-n.tail(d.rollingPageX))<30&&Math.abs(d.initialPageY-n.tail(d.rollingPageY))<30){(h=s.newGestureEvent(l.Tap,d.initialTarget)).pageX=n.tail(d.rollingPageX),h.pageY=n.tail(d.rollingPageY),s.dispatchEvent(h)}else if(c>=t.HOLD_DELAY&&Math.abs(d.initialPageX-n.tail(d.rollingPageX))<30&&Math.abs(d.initialPageY-n.tail(d.rollingPageY))<30){var h=s.newGestureEvent(l.Contextmenu,d.initialTarget);h.pageX=n.tail(d.rollingPageX),h.pageY=n.tail(d.rollingPageY),s.dispatchEvent(h)}else if(1===o){var p=n.tail(d.rollingPageX),f=n.tail(d.rollingPageY),g=n.tail(d.rollingTimestamps)-d.rollingTimestamps[0],m=p-d.rollingPageX[0],v=f-d.rollingPageY[0],_=s.targets.filter(function(e){return d.initialTarget instanceof Node&&e.contains(d.initialTarget)})
;s.inertia(_,i,Math.abs(m)/g,m>0?1:-1,p,Math.abs(v)/g,v>0?1:-1,f)}s.dispatchEvent(s.newGestureEvent(l.End,d.initialTarget)),delete s.activeTouches[u.identifier]},s=this,a=0,u=e.changedTouches.length;a<u;a++)r(a);this.dispatched&&(e.preventDefault(),e.stopPropagation(),this.dispatched=!1)},t.prototype.newGestureEvent=function(e,t){var n=document.createEvent("CustomEvent");return n.initEvent(e,!1,!0),n.initialTarget=t,n},t.prototype.dispatchEvent=function(e){var t=this;this.targets.forEach(function(n){e.initialTarget instanceof Node&&n.contains(e.initialTarget)&&(n.dispatchEvent(e),t.dispatched=!0)})},t.prototype.inertia=function(e,n,i,o,s,a,u,d){var c=this;this.handle=r.scheduleAtNextAnimationFrame(function(){var r=Date.now(),h=r-n,p=0,f=0,g=!0;a+=t.SCROLL_FRICTION*h,(i+=t.SCROLL_FRICTION*h)>0&&(g=!1,p=o*i*h),a>0&&(g=!1,f=u*a*h);var m=c.newGestureEvent(l.Change);m.translationX=p,m.translationY=f,e.forEach(function(e){return e.dispatchEvent(m)}),g||c.inertia(e,r,i,o,s+p,a,u,d+f)})},
t.prototype.onTouchMove=function(e){for(var t=Date.now(),i=0,o=e.changedTouches.length;i<o;i++){var r=e.changedTouches.item(i);if(this.activeTouches.hasOwnProperty(String(r.identifier))){var s=this.activeTouches[r.identifier],a=this.newGestureEvent(l.Change,s.initialTarget);a.translationX=r.pageX-n.tail(s.rollingPageX),a.translationY=r.pageY-n.tail(s.rollingPageY),a.pageX=r.pageX,a.pageY=r.pageY,this.dispatchEvent(a),s.rollingPageX.length>3&&(s.rollingPageX.shift(),s.rollingPageY.shift(),s.rollingTimestamps.shift()),s.rollingPageX.push(r.pageX),s.rollingPageY.push(r.pageY),s.rollingTimestamps.push(t)}else console.warn("end of an UNKNOWN touch",r)}this.dispatched&&(e.preventDefault(),e.stopPropagation(),this.dispatched=!1)},t.SCROLL_FRICTION=-.005,t.HOLD_DELAY=700,a([s.memoize],t,"isTouchDevice",null),t}(i.Disposable);t.Gesture=u}),define(t[159],n([0,1,7,27,247]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t){this.supportOcticons=t,
this.domNode=document.createElement("span"),this.domNode.className="monaco-highlighted-label",this.didEverRender=!1,e.appendChild(this.domNode)}return Object.defineProperty(e.prototype,"element",{get:function(){return this.domNode},enumerable:!0,configurable:!0}),e.prototype.set=function(t,n,o,r){void 0===n&&(n=[]),void 0===o&&(o=""),t||(t=""),r&&(t=e.escapeNewLines(t,n)),this.didEverRender&&this.text===t&&this.title===o&&i.equals(this.highlights,n)||(Array.isArray(n)||(n=[]),this.text=t,this.title=o,this.highlights=n,this.render())},e.prototype.render=function(){n.clearNode(this.domNode);for(var e,t=[],i=0,r=0;r<this.highlights.length;r++)if((e=this.highlights[r]).end!==e.start){if(i<e.start){t.push("<span>");var s=this.text.substring(i,e.start);t.push(this.supportOcticons?o.renderOcticons(s):s),t.push("</span>"),i=e.end}t.push('<span class="highlight">');a=this.text.substring(e.start,e.end);t.push(this.supportOcticons?o.renderOcticons(a):a),t.push("</span>"),i=e.end}if(i<this.text.length){t.push("<span>")
;var a=this.text.substring(i);t.push(this.supportOcticons?o.renderOcticons(a):a),t.push("</span>")}this.domNode.innerHTML=t.join(""),this.domNode.title=this.title,this.didEverRender=!0},e.prototype.dispose=function(){this.text=null,this.highlights=null},e.escapeNewLines=function(e,t){var n=0,i=0;return e.replace(/\r\n|\r|\n/,function(e,o){i="\r\n"===e?-1:0,o+=n;for(var r=0,s=t;r<s.length;r++){var a=s[r];a.end<=o||(a.start>=o&&(a.start+=i),a.end>=o&&(a.end+=i))}return n+=i,"⏎"})},e}();t.HighlightedLabel=r}),define(t[369],n([0,1,7]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e){this.renderers=e,this.cache=new Map}return e.prototype.alloc=function(e){var t=this.getTemplateCache(e).pop();if(!t){var i=n.$(".monaco-list-row");t={domNode:i,templateId:e,templateData:this.renderers.get(e).renderTemplate(i)}}return t},e.prototype.release=function(e){e&&this.releaseRow(e)},e.prototype.releaseRow=function(e){var t=e.domNode,i=e.templateId
;t&&(n.removeClass(t,"scrolling"),function(e){try{e.parentElement&&e.parentElement.removeChild(e)}catch(e){}}(t));this.getTemplateCache(i).push(e)},e.prototype.getTemplateCache=function(e){var t=this.cache.get(e);return t||(t=[],this.cache.set(e,t)),t},e.prototype.garbageCollect=function(){var e=this;this.renderers&&(this.cache.forEach(function(t,n){for(var i=0,o=t;i<o.length;i++){var r=o[i];e.renderers.get(n).disposeTemplate(r.templateData),r.domNode=null,r.templateData=null}}),this.cache.clear())},e.prototype.dispose=function(){this.garbageCollect(),this.cache.clear(),this.renderers=null},e}();t.RowCache=i}),define(t[411],n([0,1,16,2]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(t,i,o){var r=e.call(this)||this;return r._visibility=t,r._visibleClassName=i,r._invisibleClassName=o,r._domNode=null,r._isVisible=!1,r._isNeeded=!1,r._shouldBeVisible=!1,r._revealTimer=r._register(new n.TimeoutTimer),r}return o(t,e),
t.prototype.applyVisibilitySetting=function(e){return 2!==this._visibility&&(3===this._visibility||e)},t.prototype.setShouldBeVisible=function(e){var t=this.applyVisibilitySetting(e);this._shouldBeVisible!==t&&(this._shouldBeVisible=t,this.ensureVisibility())},t.prototype.setIsNeeded=function(e){this._isNeeded!==e&&(this._isNeeded=e,this.ensureVisibility())},t.prototype.setDomNode=function(e){this._domNode=e,this._domNode.setClassName(this._invisibleClassName),this.setShouldBeVisible(!1)},t.prototype.ensureVisibility=function(){this._isNeeded?this._shouldBeVisible?this._reveal():this._hide(!0):this._hide(!1)},t.prototype._reveal=function(){var e=this;this._isVisible||(this._isVisible=!0,this._revealTimer.setIfNotSet(function(){e._domNode&&e._domNode.setClassName(e._visibleClassName)},0))},t.prototype._hide=function(e){this._revealTimer.cancel(),this._isVisible&&(this._isVisible=!1,this._domNode&&this._domNode.setClassName(this._invisibleClassName+(e?" fade":"")))},t}(i.Disposable)
;t.ScrollbarVisibilityController=r}),define(t[46],n([0,1,7,52,40,2]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.onclick=function(e,t){this._register(n.addDisposableListener(e,n.EventType.CLICK,function(e){return t(new r.StandardMouseEvent(e))}))},t.prototype.onmousedown=function(e,t){this._register(n.addDisposableListener(e,n.EventType.MOUSE_DOWN,function(e){return t(new r.StandardMouseEvent(e))}))},t.prototype.onmouseover=function(e,t){this._register(n.addDisposableListener(e,n.EventType.MOUSE_OVER,function(e){return t(new r.StandardMouseEvent(e))}))},t.prototype.onnonbubblingmouseout=function(e,t){this._register(n.addDisposableNonBubblingMouseOutListener(e,function(e){return t(new r.StandardMouseEvent(e))}))},t.prototype.onkeydown=function(e,t){this._register(n.addDisposableListener(e,n.EventType.KEY_DOWN,function(e){return t(new i.StandardKeyboardEvent(e))}))},
t.prototype.onkeyup=function(e,t){this._register(n.addDisposableListener(e,n.EventType.KEY_UP,function(e){return t(new i.StandardKeyboardEvent(e))}))},t.prototype.oninput=function(e,t){this._register(n.addDisposableListener(e,n.EventType.INPUT,t))},t.prototype.onblur=function(e,t){this._register(n.addDisposableListener(e,n.EventType.BLUR,t))},t.prototype.onfocus=function(e,t){this._register(n.addDisposableListener(e,n.EventType.FOCUS,t))},t.prototype.onchange=function(e,t){this._register(n.addDisposableListener(e,n.EventType.CHANGE,t))},t}(s.Disposable);t.Widget=a}),define(t[113],n([0,1,73,46,16]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ARROW_IMG_SIZE=11;var s=function(e){function i(i){var o=e.call(this)||this;return o._onActivate=i.onActivate,o.bgDomNode=document.createElement("div"),o.bgDomNode.className="arrow-background",o.bgDomNode.style.position="absolute",o.bgDomNode.style.width=i.bgWidth+"px",o.bgDomNode.style.height=i.bgHeight+"px",
void 0!==i.top&&(o.bgDomNode.style.top="0px"),void 0!==i.left&&(o.bgDomNode.style.left="0px"),void 0!==i.bottom&&(o.bgDomNode.style.bottom="0px"),void 0!==i.right&&(o.bgDomNode.style.right="0px"),o.domNode=document.createElement("div"),o.domNode.className=i.className,o.domNode.style.position="absolute",o.domNode.style.width=t.ARROW_IMG_SIZE+"px",o.domNode.style.height=t.ARROW_IMG_SIZE+"px",void 0!==i.top&&(o.domNode.style.top=i.top+"px"),void 0!==i.left&&(o.domNode.style.left=i.left+"px"),void 0!==i.bottom&&(o.domNode.style.bottom=i.bottom+"px"),void 0!==i.right&&(o.domNode.style.right=i.right+"px"),o._mouseMoveMonitor=o._register(new n.GlobalMouseMoveMonitor),o.onmousedown(o.bgDomNode,function(e){return o._arrowMouseDown(e)}),o.onmousedown(o.domNode,function(e){return o._arrowMouseDown(e)}),o._mousedownRepeatTimer=o._register(new r.IntervalTimer),o._mousedownScheduleRepeatTimer=o._register(new r.TimeoutTimer),o}return o(i,e),i.prototype._arrowMouseDown=function(e){var t=this;this._onActivate(),
this._mousedownRepeatTimer.cancel(),this._mousedownScheduleRepeatTimer.cancelAndSet(function(){t._mousedownRepeatTimer.cancelAndSet(function(){return t._onActivate()},1e3/24)},200),this._mouseMoveMonitor.startMonitoring(n.standardMouseMoveMerger,function(e){},function(){t._mousedownRepeatTimer.cancel(),t._mousedownScheduleRepeatTimer.cancel()}),e.preventDefault()},i}(i.Widget);t.ScrollbarArrow=s}),define(t[166],n([0,1,7,23,73,113,411,46,17]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var d=function(e){function t(t){var n=e.call(this)||this;return n._lazyRender=t.lazyRender,n._host=t.host,n._scrollable=t.scrollable,n._scrollbarState=t.scrollbarState,n._visibilityController=n._register(new a.ScrollbarVisibilityController(t.visibility,"visible scrollbar "+t.extraScrollbarClassName,"invisible scrollbar "+t.extraScrollbarClassName)),n._mouseMoveMonitor=n._register(new r.GlobalMouseMoveMonitor),n._shouldRender=!0,
n.domNode=i.createFastDomNode(document.createElement("div")),n.domNode.setAttribute("role","presentation"),n.domNode.setAttribute("aria-hidden","true"),n._visibilityController.setDomNode(n.domNode),n.domNode.setPosition("absolute"),n.onmousedown(n.domNode.domNode,function(e){return n._domNodeMouseDown(e)}),n}return o(t,e),t.prototype._createArrow=function(e){var t=this._register(new s.ScrollbarArrow(e));this.domNode.domNode.appendChild(t.bgDomNode),this.domNode.domNode.appendChild(t.domNode)},t.prototype._createSlider=function(e,t,n,o){var r=this;this.slider=i.createFastDomNode(document.createElement("div")),this.slider.setClassName("slider"),this.slider.setPosition("absolute"),this.slider.setTop(e),this.slider.setLeft(t),"number"==typeof n&&this.slider.setWidth(n),"number"==typeof o&&this.slider.setHeight(o),this.slider.setLayerHinting(!0),this.domNode.domNode.appendChild(this.slider.domNode),this.onmousedown(this.slider.domNode,function(e){e.leftButton&&(e.preventDefault(),
r._sliderMouseDown(e,function(){}))})},t.prototype._onElementSize=function(e){return this._scrollbarState.setVisibleSize(e)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender},t.prototype._onElementScrollSize=function(e){return this._scrollbarState.setScrollSize(e)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender},t.prototype._onElementScrollPosition=function(e){return this._scrollbarState.setScrollPosition(e)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender},t.prototype.beginReveal=function(){this._visibilityController.setShouldBeVisible(!0)},t.prototype.beginHide=function(){this._visibilityController.setShouldBeVisible(!1)},t.prototype.render=function(){this._shouldRender&&(this._shouldRender=!1,
this._renderDomNode(this._scrollbarState.getRectangleLargeSize(),this._scrollbarState.getRectangleSmallSize()),this._updateSlider(this._scrollbarState.getSliderSize(),this._scrollbarState.getArrowSize()+this._scrollbarState.getSliderPosition()))},t.prototype._domNodeMouseDown=function(e){e.target===this.domNode.domNode&&this._onMouseDown(e)},t.prototype.delegateMouseDown=function(e){var t=this.domNode.domNode.getClientRects()[0].top,n=t+this._scrollbarState.getSliderPosition(),i=t+this._scrollbarState.getSliderPosition()+this._scrollbarState.getSliderSize(),o=this._sliderMousePosition(e);n<=o&&o<=i?e.leftButton&&(e.preventDefault(),this._sliderMouseDown(e,function(){})):this._onMouseDown(e)},t.prototype._onMouseDown=function(e){var t,i;if(e.target===this.domNode.domNode&&"number"==typeof e.browserEvent.offsetX&&"number"==typeof e.browserEvent.offsetY)t=e.browserEvent.offsetX,i=e.browserEvent.offsetY;else{var o=n.getDomNodePagePosition(this.domNode.domNode);t=e.posx-o.left,i=e.posy-o.top}
this._setDesiredScrollPositionNow(this._scrollbarState.getDesiredScrollPositionFromOffset(this._mouseDownRelativePosition(t,i))),e.leftButton&&(e.preventDefault(),this._sliderMouseDown(e,function(){}))},t.prototype._sliderMouseDown=function(e,t){var n=this,i=this._sliderMousePosition(e),o=this._sliderOrthogonalMousePosition(e),s=this._scrollbarState.clone();this.slider.toggleClassName("active",!0),this._mouseMoveMonitor.startMonitoring(r.standardMouseMoveMerger,function(e){var t=n._sliderOrthogonalMousePosition(e),r=Math.abs(t-o);if(u.isWindows&&r>140)n._setDesiredScrollPositionNow(s.getScrollPosition());else{var a=n._sliderMousePosition(e)-i;n._setDesiredScrollPositionNow(s.getDesiredScrollPositionFromDelta(a))}},function(){n.slider.toggleClassName("active",!1),n._host.onDragEnd(),t()}),this._host.onDragStart()},t.prototype._setDesiredScrollPositionNow=function(e){var t={};this.writeScrollPosition(t,e),this._scrollable.setScrollPositionNow(t)},t}(l.Widget);t.AbstractScrollbar=d}),
define(t[420],n([0,1,40,166,113,149]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t,i,o){var a=e.call(this,{lazyRender:i.lazyRender,host:o,scrollbarState:new s.ScrollbarState(i.horizontalHasArrows?i.arrowSize:0,2===i.horizontal?0:i.horizontalScrollbarSize,2===i.vertical?0:i.verticalScrollbarSize),visibility:i.horizontal,extraScrollbarClassName:"horizontal",scrollable:t})||this;if(i.horizontalHasArrows){var l=(i.arrowSize-r.ARROW_IMG_SIZE)/2,u=(i.horizontalScrollbarSize-r.ARROW_IMG_SIZE)/2;a._createArrow({className:"left-arrow",top:u,left:l,bottom:void 0,right:void 0,bgWidth:i.arrowSize,bgHeight:i.horizontalScrollbarSize,onActivate:function(){return a._host.onMouseWheel(new n.StandardMouseWheelEvent(null,1,0))}}),a._createArrow({className:"right-arrow",top:u,left:void 0,bottom:void 0,right:l,bgWidth:i.arrowSize,bgHeight:i.horizontalScrollbarSize,onActivate:function(){return a._host.onMouseWheel(new n.StandardMouseWheelEvent(null,-1,0))}})}
return a._createSlider(Math.floor((i.horizontalScrollbarSize-i.horizontalSliderSize)/2),0,void 0,i.horizontalSliderSize),a}return o(t,e),t.prototype._updateSlider=function(e,t){this.slider.setWidth(e),this.slider.setLeft(t)},t.prototype._renderDomNode=function(e,t){this.domNode.setWidth(e),this.domNode.setHeight(t),this.domNode.setLeft(0),this.domNode.setBottom(0)},t.prototype.onDidScroll=function(e){return this._shouldRender=this._onElementScrollSize(e.scrollWidth)||this._shouldRender,this._shouldRender=this._onElementScrollPosition(e.scrollLeft)||this._shouldRender,this._shouldRender=this._onElementSize(e.width)||this._shouldRender,this._shouldRender},t.prototype._mouseDownRelativePosition=function(e,t){return e},t.prototype._sliderMousePosition=function(e){return e.posx},t.prototype._sliderOrthogonalMousePosition=function(e){return e.posy},t.prototype.writeScrollPosition=function(e,t){e.scrollLeft=t},t}(i.AbstractScrollbar);t.HorizontalScrollbar=a}),
define(t[422],n([0,1,40,166,113,149]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t,i,o){var a=e.call(this,{lazyRender:i.lazyRender,host:o,scrollbarState:new s.ScrollbarState(i.verticalHasArrows?i.arrowSize:0,2===i.vertical?0:i.verticalScrollbarSize,0),visibility:i.vertical,extraScrollbarClassName:"vertical",scrollable:t})||this;if(i.verticalHasArrows){var l=(i.arrowSize-r.ARROW_IMG_SIZE)/2,u=(i.verticalScrollbarSize-r.ARROW_IMG_SIZE)/2;a._createArrow({className:"up-arrow",top:l,left:u,bottom:void 0,right:void 0,bgWidth:i.verticalScrollbarSize,bgHeight:i.arrowSize,onActivate:function(){return a._host.onMouseWheel(new n.StandardMouseWheelEvent(null,0,1))}}),a._createArrow({className:"down-arrow",top:void 0,left:u,bottom:l,right:void 0,bgWidth:i.verticalScrollbarSize,bgHeight:i.arrowSize,onActivate:function(){return a._host.onMouseWheel(new n.StandardMouseWheelEvent(null,0,-1))}})}
return a._createSlider(0,Math.floor((i.verticalScrollbarSize-i.verticalSliderSize)/2),i.verticalSliderSize,void 0),a}return o(t,e),t.prototype._updateSlider=function(e,t){this.slider.setHeight(e),this.slider.setTop(t)},t.prototype._renderDomNode=function(e,t){this.domNode.setWidth(t),this.domNode.setHeight(e),this.domNode.setRight(0),this.domNode.setTop(0)},t.prototype.onDidScroll=function(e){return this._shouldRender=this._onElementScrollSize(e.scrollHeight)||this._shouldRender,this._shouldRender=this._onElementScrollPosition(e.scrollTop)||this._shouldRender,this._shouldRender=this._onElementSize(e.height)||this._shouldRender,this._shouldRender},t.prototype._mouseDownRelativePosition=function(e,t){return t},t.prototype._sliderMousePosition=function(e){return e.posy},t.prototype._sliderOrthogonalMousePosition=function(e){return e.posx},t.prototype.writeScrollPosition=function(e,t){e.scrollTop=t},t}(i.AbstractScrollbar);t.VerticalScrollbar=a}),define(t[167],n([0,1,22,8,58,65,16]),function(e,t,n,i,o,r,s){
"use strict";function a(e){switch(e){case 0:return"";case 1:return C+"*?";default:return"(?:"+y+"|"+C+"+"+y+"|"+y+C+"+)*?"}}function l(e,t){if(!e)return[];for(var n,i=[],o=!1,r=!1,s="",a=0;a<e.length;a++){switch(n=e[a]){case t:if(!o&&!r){i.push(s),s="";continue}break;case"{":o=!0;break;case"}":o=!1;break;case"[":r=!0;break;case"]":r=!1}s+=n}return s&&i.push(s),i}function u(e){if(!e)return"";var t="",n=l(e,_);if(n.every(function(e){return e===v}))t=".*";else{var o=!1;n.forEach(function(e,r){if(e!==v){for(var s,d=!1,c="",h=!1,p="",f=0;f<e.length;f++)if("}"!==(s=e[f])&&d)c+=s;else if(!h||"]"===s&&p)switch(s){case"{":d=!0;continue;case"[":h=!0;continue;case"}":var g="(?:"+l(c,",").map(function(e){return u(e)}).join("|")+")";t+=g,d=!1,c="";break;case"]":t+="["+p+"]",h=!1,p="";break;case"?":t+=C;continue;case"*":t+=a(1);continue;default:t+=i.escapeRegExpCharacters(s)}else{p+="-"===s?s:"^"!==s&&"!"!==s||p?s===_?"":i.escapeRegExpCharacters(s):"^"}r<n.length-1&&(n[r+1]!==v||r+2<n.length)&&(t+=y),o=!1}else o||(t+=a(2),
o=!0)})}return t}function d(e,t){if(!e)return M;var o;o="string"!=typeof e?e.pattern:e;var r=(o=o.trim())+"_"+!!t.trimForExclusions,s=N.get(r);if(s)return c(s,e);var a;if(S.test(o)){var l=o.substr(4);s=function(e,t){return e&&i.endsWith(e,l)?o:null}}else s=(a=w.exec(h(o,t)))?function(e,t){var n="/"+e,o="\\"+e,r=function(r,s){return r?s?s===e?t:null:r===e||i.endsWith(r,n)||i.endsWith(r,o)?t:null:null},s=[e];return r.basenames=s,r.patterns=[t],r.allBasenames=s,r}(a[1],o):(t.trimForExclusions?L:E).test(o)?function(e,t){var i=m(e.slice(1,-1).split(",").map(function(e){return d(e,t)}).filter(function(e){return e!==M}),e),o=i.length;if(!o)return M;if(1===o)return i[0];var r=function(t,n){for(var o=0,r=i.length;o<r;o++)if(i[o](t,n))return e;return null},s=n.first(i,function(e){return!!e.allBasenames});s&&(r.allBasenames=s.allBasenames);var a=i.reduce(function(e,t){return t.allPaths?e.concat(t.allPaths):e},[]);a.length&&(r.allPaths=a);return r
}(o,t):(a=x.exec(h(o,t)))?p(a[1].substr(1),o,!0):(a=I.exec(h(o,t)))?p(a[1],o,!1):function(e){try{var t=new RegExp("^"+u(e)+"$");return function(n,i){return t.lastIndex=0,n&&t.test(n)?e:null}}catch(e){return M}}(o);return N.set(r,s),c(s,e)}function c(e,t){return"string"==typeof t?e:function(n,i){return o.isEqualOrParent(n,t.base)?e(t.pathToRelative(t.base,n),i):null}}function h(e,t){return t.trimForExclusions&&i.endsWith(e,"/**")?e.substr(0,e.length-2):e}function p(e,t,n){var r=o.nativeSep!==o.sep?e.replace(b,o.nativeSep):e,s=o.nativeSep+r,a=n?function(e,n){return e&&(e===r||i.endsWith(e,s))?t:null}:function(e,n){return e&&e===r?t:null};return a.allPaths=[(n?"*/":"./")+e],a}function f(e,t){if(void 0===t&&(t={}),!e)return D;if("string"==typeof e||g(e)){var i=d(e,t);if(i===M)return D;var r=function(e,t){return!!i(e,t)};return i.allBasenames&&(r.allBasenames=i.allBasenames),i.allPaths&&(r.allPaths=i.allPaths),r}return function(e,t){var i=m(Object.getOwnPropertyNames(e).map(function(n){return function(e,t,n){
if(!1===t)return M;var i=d(e,n);if(i===M)return M;if("boolean"==typeof t)return i;if(t){var o=t.when;if("string"==typeof o){var r=function(t,n,r,a){if(!a||!i(t,n))return null;var l=o.replace("$(basename)",r),u=a(l);return s.isThenable(u)?u.then(function(t){return t?e:null}):u?e:null};return r.requiresSiblings=!0,r}}return i}(n,e[n],t)}).filter(function(e){return e!==M})),r=i.length;if(!r)return M;if(!i.some(function(e){return!!e.requiresSiblings})){if(1===r)return i[0];var a=function(e,t){for(var n=0,o=i.length;n<o;n++){var r=i[n](e,t);if(r)return r}return null},l=n.first(i,function(e){return!!e.allBasenames});l&&(a.allBasenames=l.allBasenames);var u=i.reduce(function(e,t){return t.allPaths?e.concat(t.allPaths):e},[]);return u.length&&(a.allPaths=u),a}var c=function(e,t,n){for(var r=void 0,s=0,a=i.length;s<a;s++){var l=i[s];l.requiresSiblings&&n&&(t||(t=o.basename(e)),r||(r=t.substr(0,t.length-o.extname(e).length)));var u=l(e,t,r,n);if(u)return u}return null},h=n.first(i,function(e){return!!e.allBasenames})
;h&&(c.allBasenames=h.allBasenames);var p=i.reduce(function(e,t){return t.allPaths?e.concat(t.allPaths):e},[]);p.length&&(c.allPaths=p);return c}(e,t)}function g(e){var t=e;return t&&"string"==typeof t.base&&"string"==typeof t.pattern&&"function"==typeof t.pathToRelative}function m(e,t){var n=e.filter(function(e){return!!e.basenames});if(n.length<2)return e;var i,o=n.reduce(function(e,t){var n=t.basenames;return n?e.concat(n):e},[]);if(t){i=[];for(var r=0,s=o.length;r<s;r++)i.push(t)}else i=n.reduce(function(e,t){var n=t.patterns;return n?e.concat(n):e},[]);var a=function(e,t){if(!e)return null;if(!t){var n=void 0;for(n=e.length;n>0;n--){var r=e.charCodeAt(n-1);if(47===r||92===r)break}t=e.substr(n)}var s=o.indexOf(t);return-1!==s?i[s]:null};a.basenames=o,a.patterns=i,a.allBasenames=o;var l=e.filter(function(e){return!e.basenames});return l.push(a),l}Object.defineProperty(t,"__esModule",{value:!0});var v="**",_="/",y="[/\\\\]",C="[^/\\\\]",b=/\//g;t.splitGlobAware=l
;var S=/^\*\*\/\*\.[\w\.-]+$/,w=/^\*\*\/([\w\.-]+)\/?$/,E=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,L=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,x=/^\*\*((\/[\w\.-]+)+)\/?$/,I=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,N=new r.LRUCache(1e4),D=function(){return!1},M=function(){return null};t.match=function(e,t,n){return!(!e||!t)&&f(e)(t,void 0,n)},t.parse=f,t.isRelativePattern=g}),define(t[424],n([0,1,58,8,167]),function(e,t,n,i,o){"use strict";function r(e,t){void 0===t&&(t=!1);var i=function(e){return{id:e.id,mime:e.mime,filename:e.filename,extension:e.extension,filepattern:e.filepattern,firstline:e.firstline,userConfigured:e.userConfigured,filenameLowercase:e.filename?e.filename.toLowerCase():void 0,extensionLowercase:e.extension?e.extension.toLowerCase():void 0,filepatternLowercase:e.filepattern?e.filepattern.toLowerCase():void 0,filepatternOnPath:!!e.filepattern&&e.filepattern.indexOf(n.sep)>=0}}(e);l.push(i),i.userConfigured?d.push(i):u.push(i),
t&&!i.userConfigured&&l.forEach(function(e){e.mime===i.mime||e.userConfigured||(i.extension&&e.extension===i.extension&&console.warn("Overwriting extension <<"+i.extension+">> to now point to mime <<"+i.mime+">>"),i.filename&&e.filename===i.filename&&console.warn("Overwriting filename <<"+i.filename+">> to now point to mime <<"+i.mime+">>"),i.filepattern&&e.filepattern===i.filepattern&&console.warn("Overwriting filepattern <<"+i.filepattern+">> to now point to mime <<"+i.mime+">>"),i.firstline&&e.firstline===i.firstline&&console.warn("Overwriting firstline <<"+i.firstline+">> to now point to mime <<"+i.mime+">>"))})}function s(e,o){if(!e)return[t.MIME_UNKNOWN];e=e.toLowerCase();var r=n.basename(e),s=a(e,r,d);if(s)return[s,t.MIME_TEXT];var c=a(e,r,u);if(c)return[c,t.MIME_TEXT];if(o){var h=function(e){i.startsWithUTF8BOM(e)&&(e=e.substr(1));if(e.length>0)for(var t=0;t<l.length;++t){var n=l[t];if(n.firstline){var o=e.match(n.firstline);if(o&&o.length>0)return n.mime}}return null}(o);if(h)return[h,t.MIME_TEXT]}
return[t.MIME_UNKNOWN]}function a(e,t,n){for(var r=null,s=null,a=null,l=n.length-1;l>=0;l--){var u=n[l];if(t===u.filenameLowercase){r=u;break}if(u.filepattern&&(!s||u.filepattern.length>s.filepattern.length)){var d=u.filepatternOnPath?e:t;o.match(u.filepatternLowercase,d)&&(s=u)}u.extension&&(!a||u.extension.length>a.extension.length)&&i.endsWith(t,u.extensionLowercase)&&(a=u)}return r?r.mime:s?s.mime:a?a.mime:null}Object.defineProperty(t,"__esModule",{value:!0}),t.MIME_TEXT="text/plain",t.MIME_UNKNOWN="application/unknown";var l=[],u=[],d=[];t.registerTextMime=r,t.guessMimeTypes=s}),define(t[169],n([0,1,6,2]),function(e,t,n,i){"use strict";function r(e,t){var n=t-e;return function(t){return e+n*function(e){return 1-function(e){return Math.pow(e,3)}(1-e)}(t)}}Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e,t,n,i,o,r){t|=0,n|=0,i|=0,o|=0,r|=0,(e|=0)<0&&(e=0),n+e>t&&(n=t-e),n<0&&(n=0),i<0&&(i=0),r+i>o&&(r=o-i),r<0&&(r=0),this.width=e,this.scrollWidth=t,this.scrollLeft=n,
this.height=i,this.scrollHeight=o,this.scrollTop=r}return e.prototype.equals=function(e){return this.width===e.width&&this.scrollWidth===e.scrollWidth&&this.scrollLeft===e.scrollLeft&&this.height===e.height&&this.scrollHeight===e.scrollHeight&&this.scrollTop===e.scrollTop},e.prototype.withScrollDimensions=function(t){return new e(void 0!==t.width?t.width:this.width,void 0!==t.scrollWidth?t.scrollWidth:this.scrollWidth,this.scrollLeft,void 0!==t.height?t.height:this.height,void 0!==t.scrollHeight?t.scrollHeight:this.scrollHeight,this.scrollTop)},e.prototype.withScrollPosition=function(t){return new e(this.width,this.scrollWidth,void 0!==t.scrollLeft?t.scrollLeft:this.scrollLeft,this.height,this.scrollHeight,void 0!==t.scrollTop?t.scrollTop:this.scrollTop)},e.prototype.createScrollEvent=function(e){var t=this.width!==e.width,n=this.scrollWidth!==e.scrollWidth,i=this.scrollLeft!==e.scrollLeft,o=this.height!==e.height,r=this.scrollHeight!==e.scrollHeight,s=this.scrollTop!==e.scrollTop;return{width:this.width,
scrollWidth:this.scrollWidth,scrollLeft:this.scrollLeft,height:this.height,scrollHeight:this.scrollHeight,scrollTop:this.scrollTop,widthChanged:t,scrollWidthChanged:n,scrollLeftChanged:i,heightChanged:o,scrollHeightChanged:r,scrollTopChanged:s}},e}();t.ScrollState=s;var a=function(e){function t(t,i){var o=e.call(this)||this;return o._onScroll=o._register(new n.Emitter),o.onScroll=o._onScroll.event,o._smoothScrollDuration=t,o._scheduleAtNextAnimationFrame=i,o._state=new s(0,0,0,0,0,0),o._smoothScrolling=null,o}return o(t,e),t.prototype.dispose=function(){this._smoothScrolling&&(this._smoothScrolling.dispose(),this._smoothScrolling=null),e.prototype.dispose.call(this)},t.prototype.setSmoothScrollDuration=function(e){this._smoothScrollDuration=e},t.prototype.validateScrollPosition=function(e){return this._state.withScrollPosition(e)},t.prototype.getScrollDimensions=function(){return this._state},t.prototype.setScrollDimensions=function(e){var t=this._state.withScrollDimensions(e);this._setState(t),
this._smoothScrolling&&this._smoothScrolling.acceptScrollDimensions(this._state)},t.prototype.getFutureScrollPosition=function(){return this._smoothScrolling?this._smoothScrolling.to:this._state},t.prototype.getCurrentScrollPosition=function(){return this._state},t.prototype.setScrollPositionNow=function(e){var t=this._state.withScrollPosition(e);this._smoothScrolling&&(this._smoothScrolling.dispose(),this._smoothScrolling=null),this._setState(t)},t.prototype.setScrollPositionSmooth=function(e){var t=this;if(0===this._smoothScrollDuration)return this.setScrollPositionNow(e);if(this._smoothScrolling){e={scrollLeft:void 0===e.scrollLeft?this._smoothScrolling.to.scrollLeft:e.scrollLeft,scrollTop:void 0===e.scrollTop?this._smoothScrolling.to.scrollTop:e.scrollTop};i=this._state.withScrollPosition(e);if(this._smoothScrolling.to.scrollLeft===i.scrollLeft&&this._smoothScrolling.to.scrollTop===i.scrollTop)return;var n=this._smoothScrolling.combine(this._state,i,this._smoothScrollDuration)
;this._smoothScrolling.dispose(),this._smoothScrolling=n}else{var i=this._state.withScrollPosition(e);this._smoothScrolling=u.start(this._state,i,this._smoothScrollDuration)}this._smoothScrolling.animationFrameDisposable=this._scheduleAtNextAnimationFrame(function(){t._smoothScrolling&&(t._smoothScrolling.animationFrameDisposable=null,t._performSmoothScrolling())})},t.prototype._performSmoothScrolling=function(){var e=this;if(this._smoothScrolling){var t=this._smoothScrolling.tick(),n=this._state.withScrollPosition(t);if(this._setState(n),t.isDone)return this._smoothScrolling.dispose(),void(this._smoothScrolling=null);this._smoothScrolling.animationFrameDisposable=this._scheduleAtNextAnimationFrame(function(){e._smoothScrolling&&(e._smoothScrolling.animationFrameDisposable=null,e._performSmoothScrolling())})}},t.prototype._setState=function(e){var t=this._state;t.equals(e)||(this._state=e,this._onScroll.fire(this._state.createScrollEvent(t)))},t}(i.Disposable);t.Scrollable=a;var l=function(){
return function(e,t,n){this.scrollLeft=e,this.scrollTop=t,this.isDone=n}}();t.SmoothScrollingUpdate=l;var u=function(){function e(e,t,n,i){this.from=e,this.to=t,this.duration=i,this._startTime=n,this.animationFrameDisposable=null,this._initAnimations()}return e.prototype._initAnimations=function(){this.scrollLeft=this._initAnimation(this.from.scrollLeft,this.to.scrollLeft,this.to.width),this.scrollTop=this._initAnimation(this.from.scrollTop,this.to.scrollTop,this.to.height)},e.prototype._initAnimation=function(e,t,n){if(Math.abs(e-t)>2.5*n){var i=void 0,o=void 0;return e<t?(i=e+.75*n,o=t-.75*n):(i=e-.75*n,o=t+.75*n),function(e,t,n){return function(i){return i<n?e(i/n):t((i-n)/(1-n))}}(r(e,i),r(o,t),.33)}return r(e,t)},e.prototype.dispose=function(){null!==this.animationFrameDisposable&&(this.animationFrameDisposable.dispose(),this.animationFrameDisposable=null)},e.prototype.acceptScrollDimensions=function(e){this.to=e.withScrollPosition(this.to),this._initAnimations()},e.prototype.tick=function(){
return this._tick(Date.now())},e.prototype._tick=function(e){var t=(e-this._startTime)/this.duration;if(t<1){var n=this.scrollLeft(t),i=this.scrollTop(t);return new l(n,i,!1)}return new l(this.to.scrollLeft,this.to.scrollTop,!0)},e.prototype.combine=function(t,n,i){return e.start(t,n,i)},e.start=function(t,n,i){i+=10;return new e(t,n,Date.now()-10,i)},e}();t.SmoothScrollingOperation=u}),define(t[170],n([0,1,53,17,16]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e){!function(e){return o.isThenable(e)&&"function"==typeof e.done}(e)?this._winjsPromise=new n.Promise(function(t,n){var o=!0;e(function(e){o?i.setImmediate(function(){return t(e)}):t(e)},function(e){o?i.setImmediate(function(){return n(e)}):n(e)}),o=!1}):this._winjsPromise=e}return e.all=function(t){return new e(n.Promise.join(t).then(null,function(e){for(var t in e)if(e.hasOwnProperty(t))return e[t]}))},e.race=function(t){return new e(n.Promise.any(t).then(function(e){return e.value
},function(e){return e.value}))},e.resolve=function(t){return new e(n.Promise.wrap(t))},e.reject=function(t){return new e(n.Promise.wrapError(t))},e.prototype.then=function(t,o){var r=!0,s=new e(this._winjsPromise.then(t&&function(e){return r?new n.Promise(function(n,o){i.setImmediate(function(){var i;try{i=t(e)}catch(e){return void o(e)}n(i)})}):t(e)},o&&function(e){return r?new n.Promise(function(t,n){i.setImmediate(function(){var i;try{i=o(e)}catch(e){return void n(e)}t(i)})}):o(e)}));return r=!1,s},e.prototype.catch=function(e){return this.then(null,e)},e}();t.PolyfillPromise=r}),define(t[148],n([0,1,11,2,17,170]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=self;void 0===a.Promise&&(a.Promise=s.PolyfillPromise);var l="$initialize",u=!1;t.logOnceWebWorkerWarning=function(e){r.isWeb&&(u||(u=!0,
console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/Microsoft/monaco-editor#faq")),console.warn(e.message))};var d=function(){function e(e){this._workerId=-1,this._handler=e,this._lastSentReq=0,this._pendingReplies=Object.create(null)}return e.prototype.setWorkerId=function(e){this._workerId=e},e.prototype.sendMessage=function(e,t){var n=this,i=String(++this._lastSentReq);return new Promise(function(o,r){n._pendingReplies[i]={resolve:o,reject:r},n._send({vsWorker:n._workerId,req:i,method:e,args:t})})},e.prototype.handleMessage=function(e){var t;try{t=JSON.parse(e)}catch(e){return}t&&t.vsWorker&&(-1!==this._workerId&&t.vsWorker!==this._workerId||this._handleMessage(t))},e.prototype._handleMessage=function(e){var t=this;if(e.seq){var i=e;if(!this._pendingReplies[i.seq])return void console.warn("Got reply to unknown seq");var o=this._pendingReplies[i.seq];if(delete this._pendingReplies[i.seq],i.err){
var r=i.err;return i.err.$isError&&((r=new Error).name=i.err.name,r.message=i.err.message,r.stack=i.err.stack),void o.reject(r)}o.resolve(i.res)}else{var s=e,a=s.req;this._handler.handleMessage(s.method,s.args).then(function(e){t._send({vsWorker:t._workerId,seq:a,res:e,err:void 0})},function(e){e.detail instanceof Error&&(e.detail=n.transformErrorForSerialization(e.detail)),t._send({vsWorker:t._workerId,seq:a,res:void 0,err:n.transformErrorForSerialization(e)})})}},e.prototype._send=function(e){var t=JSON.stringify(e);this._handler.sendMessage(t)},e}(),c=function(e){function t(t,n){var i=e.call(this)||this,o=null;i._worker=i._register(t.create("vs/base/common/worker/simpleWorker",function(e){i._protocol.handleMessage(e)},function(e){o&&o(e)})),i._protocol=new d({sendMessage:function(e){i._worker.postMessage(e)},handleMessage:function(e,t){return Promise.resolve(null)}}),i._protocol.setWorkerId(i._worker.getId());var r=null
;void 0!==self.require&&"function"==typeof self.require.getConfig?r=self.require.getConfig():void 0!==self.requirejs&&(r=self.requirejs.s.contexts._.config),i._onModuleLoaded=i._protocol.sendMessage(l,[i._worker.getId(),n,r]),i._lazyProxy=new Promise(function(e,t){o=t,i._onModuleLoaded.then(function(t){for(var n={},i=0;i<t.length;i++)n[t[i]]=a(t[i],s);e(n)},function(e){t(e),i._onError("Worker failed to load "+n,e)})});var s=function(e,t){return i._request(e,t)},a=function(e,t){return function(){var n=Array.prototype.slice.call(arguments,0);return t(e,n)}};return i}return o(t,e),t.prototype.getProxyObject=function(){return this._lazyProxy},t.prototype._request=function(e,t){var n=this;return new Promise(function(i,o){n._onModuleLoaded.then(function(){n._protocol.sendMessage(e,t).then(i,o)},o)})},t.prototype._onError=function(e,t){console.error(e),console.info(t)},t}(i.Disposable);t.SimpleWorkerClient=c;var h=function(){function e(e,t){var n=this;this._requestHandler=t,this._protocol=new d({
sendMessage:function(t){e(t)},handleMessage:function(e,t){return n._handleMessage(e,t)}})}return e.prototype.onmessage=function(e){this._protocol.handleMessage(e)},e.prototype._handleMessage=function(e,t){if(e===l)return this.initialize(t[0],t[1],t[2]);if(!this._requestHandler||"function"!=typeof this._requestHandler[e])return Promise.reject(new Error("Missing requestHandler or method: "+e));try{return Promise.resolve(this._requestHandler[e].apply(this._requestHandler,t))}catch(e){return Promise.reject(e)}},e.prototype.initialize=function(e,t,n){var i=this;if(this._protocol.setWorkerId(e),this._requestHandler){var o=[];for(var r in this._requestHandler)"function"==typeof this._requestHandler[r]&&o.push(r);return Promise.resolve(o)}return n&&(void 0!==n.baseUrl&&delete n.baseUrl,void 0!==n.paths&&void 0!==n.paths.vs&&delete n.paths.vs,n.catchError=!0,self.require.config(n)),new Promise(function(e,n){self.require([t],function(){for(var t=[],o=0;o<arguments.length;o++)t[o]=arguments[o];var r=t[0]
;if(i._requestHandler=r.create(),i._requestHandler){var s=[];for(var a in i._requestHandler)"function"==typeof i._requestHandler[a]&&s.push(a);e(s)}else n(new Error("No RequestHandler!"))},n)})},e}();t.SimpleWorkerServer=h,t.create=function(e){return new h(e,null)}}),define(t[437],n([0,1,53,32]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e){this.modelProvider=i.isFunction(e.getModel)?e:{getModel:function(){return e}}}return e.prototype.getId=function(e,t){if(!t)return null;var n=this.modelProvider.getModel();return n===t?"__root__":n.dataSource.getId(t)},e.prototype.hasChildren=function(e,t){var n=this.modelProvider.getModel();return n&&n===t&&n.entries.length>0},e.prototype.getChildren=function(e,t){var i=this.modelProvider.getModel();return n.TPromise.as(i===t?i.entries:[])},e.prototype.getParent=function(e,t){return n.TPromise.as(null)},e}();t.DataSource=o;var r=function(){function e(e){this.modelProvider=e}
return e.prototype.getAriaLabel=function(e,t){var n=this.modelProvider.getModel();return n.accessibilityProvider&&n.accessibilityProvider.getAriaLabel(t)},e.prototype.getPosInSet=function(e,t){var n=this.modelProvider.getModel(),i=0;if(n.filter)for(var o=0,r=n.entries;o<r.length;o++){var s=r[o];if(n.filter.isVisible(s)&&i++,s===t)break}else i=n.entries.indexOf(t)+1;return String(i)},e.prototype.getSetSize=function(){var e=this.modelProvider.getModel(),t=0;if(e.filter)for(var n=0,i=e.entries;n<i.length;n++){var o=i[n];e.filter.isVisible(o)&&t++}else t=e.entries.length;return String(t)},e}();t.AccessibilityProvider=r;var s=function(){function e(e){this.modelProvider=e}return e.prototype.isVisible=function(e,t){var n=this.modelProvider.getModel();return!n.filter||n.filter.isVisible(t)},e}();t.Filter=s;var a=function(){function e(e,t){this.modelProvider=e,this.styles=t}return e.prototype.updateStyles=function(e){this.styles=e},e.prototype.getHeight=function(e,t){
return this.modelProvider.getModel().renderer.getHeight(t)},e.prototype.getTemplateId=function(e,t){return this.modelProvider.getModel().renderer.getTemplateId(t)},e.prototype.renderTemplate=function(e,t,n){return this.modelProvider.getModel().renderer.renderTemplate(t,n,this.styles)},e.prototype.renderElement=function(e,t,n,i){this.modelProvider.getModel().renderer.renderElement(t,n,i,this.styles)},e.prototype.disposeTemplate=function(e,t,n){this.modelProvider.getModel().renderer.disposeTemplate(t,n)},e}();t.Renderer=a}),define(t[440],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n){this._posx=e,this._posy=t,this._target=n}return e.prototype.preventDefault=function(){},e.prototype.stopPropagation=function(){},Object.defineProperty(e.prototype,"target",{get:function(){return this._target},enumerable:!0,configurable:!0}),e}();t.ContextMenuEvent=n;var i=function(e){function t(t){var n=e.call(this,t.posx,t.posy,t.target)||this
;return n.originalEvent=t,n}return o(t,e),t.prototype.preventDefault=function(){this.originalEvent.preventDefault()},t.prototype.stopPropagation=function(){this.originalEvent.stopPropagation()},t}(n);t.MouseContextMenuEvent=i;var r=function(e){function t(t,n,i){var o=e.call(this,t,n,i.target)||this;return o.originalEvent=i,o}return o(t,e),t.prototype.preventDefault=function(){this.originalEvent.preventDefault()},t.prototype.stopPropagation=function(){this.originalEvent.stopPropagation()},t}(n);t.KeyboardContextMenuEvent=r}),define(t[88],n([0,1,17,11,7,36]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(){this._arr=[]}return e.prototype.set=function(e,t){this._arr.push({keybinding:r.createKeybinding(e,n.OS),callback:t})},e.prototype.dispatch=function(e){for(var t=this._arr.length-1;t>=0;t--){var n=this._arr[t];if(e.equals(n.keybinding))return n.callback}return null},e}();t.KeybindingDispatcher=s;var a=function(){function e(e){void 0===e&&(e={
clickBehavior:0,keyboardSupport:!0,openMode:0});var t=this;this.options=e,this.downKeyBindingDispatcher=new s,this.upKeyBindingDispatcher=new s,("boolean"!=typeof e.keyboardSupport||e.keyboardSupport)&&(this.downKeyBindingDispatcher.set(16,function(e,n){return t.onUp(e,n)}),this.downKeyBindingDispatcher.set(18,function(e,n){return t.onDown(e,n)}),this.downKeyBindingDispatcher.set(15,function(e,n){return t.onLeft(e,n)}),this.downKeyBindingDispatcher.set(17,function(e,n){return t.onRight(e,n)}),n.isMacintosh&&(this.downKeyBindingDispatcher.set(2064,function(e,n){return t.onLeft(e,n)}),this.downKeyBindingDispatcher.set(300,function(e,n){return t.onDown(e,n)}),this.downKeyBindingDispatcher.set(302,function(e,n){return t.onUp(e,n)})),this.downKeyBindingDispatcher.set(11,function(e,n){return t.onPageUp(e,n)}),this.downKeyBindingDispatcher.set(12,function(e,n){return t.onPageDown(e,n)}),this.downKeyBindingDispatcher.set(14,function(e,n){return t.onHome(e,n)}),this.downKeyBindingDispatcher.set(13,function(e,n){
return t.onEnd(e,n)}),this.downKeyBindingDispatcher.set(10,function(e,n){return t.onSpace(e,n)}),this.downKeyBindingDispatcher.set(9,function(e,n){return t.onEscape(e,n)}),this.upKeyBindingDispatcher.set(3,this.onEnter.bind(this)),this.upKeyBindingDispatcher.set(2051,this.onEnter.bind(this)))}return e.prototype.onMouseDown=function(e,t,n,i){if(void 0===i&&(i="mouse"),0===this.options.clickBehavior&&(n.leftButton||n.middleButton)){if(n.target){if(n.target.tagName&&"input"===n.target.tagName.toLowerCase())return!1;if(o.findParentWithClass(n.target,"scrollbar","monaco-tree"))return!1;if(o.findParentWithClass(n.target,"monaco-action-bar","row"))return!1}return this.onLeftClick(e,t,n,i)}return!1},e.prototype.onClick=function(e,t,i){return n.isMacintosh&&i.ctrlKey?(i.preventDefault(),i.stopPropagation(),!1):(!i.target||!i.target.tagName||"input"!==i.target.tagName.toLowerCase())&&((0!==this.options.clickBehavior||!i.leftButton&&!i.middleButton)&&this.onLeftClick(e,t,i))},e.prototype.onLeftClick=function(e,t,n,o){
void 0===o&&(o="mouse");var r=n,s={origin:o,originalEvent:n,didClickOnTwistie:this.isClickOnTwistie(r)};if(e.getInput()===t)e.clearFocus(s),e.clearSelection(s);else{n&&r.browserEvent&&"mousedown"===r.browserEvent.type&&1===r.browserEvent.detail||n.preventDefault(),n.stopPropagation(),e.domFocus(),e.setSelection([t],s),e.setFocus(t,s),this.shouldToggleExpansion(t,r,o)&&(e.isExpanded(t)?e.collapse(t).then(null,i.onUnexpectedError):e.expand(t).then(null,i.onUnexpectedError))}return!0},e.prototype.shouldToggleExpansion=function(e,t,n){var i="mouse"===n&&2===t.detail;return this.openOnSingleClick||i||this.isClickOnTwistie(t)},e.prototype.setOpenMode=function(e){this.options.openMode=e},Object.defineProperty(e.prototype,"openOnSingleClick",{get:function(){return 0===this.options.openMode},enumerable:!0,configurable:!0}),e.prototype.isClickOnTwistie=function(e){var t=e.target;if(!o.hasClass(t,"content"))return!1;var n=window.getComputedStyle(t,":before");if("none"===n.backgroundImage||"none"===n.display)return!1
;var i=parseInt(n.width)+parseInt(n.paddingRight);return e.browserEvent.offsetX<=i},e.prototype.onContextMenu=function(e,t,n){return(!n.target||!n.target.tagName||"input"!==n.target.tagName.toLowerCase())&&(n&&(n.preventDefault(),n.stopPropagation()),!1)},e.prototype.onTap=function(e,t,n){var i=n.initialTarget;return(!i||!i.tagName||"input"!==i.tagName.toLowerCase())&&this.onLeftClick(e,t,n,"touch")},e.prototype.onKeyDown=function(e,t){return this.onKey(this.downKeyBindingDispatcher,e,t)},e.prototype.onKeyUp=function(e,t){return this.onKey(this.upKeyBindingDispatcher,e,t)},e.prototype.onKey=function(e,t,n){var i=e.dispatch(n.toKeybinding());return!(!i||!i(t,n))&&(n.preventDefault(),n.stopPropagation(),!0)},e.prototype.onUp=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusPrevious(1,n),e.reveal(e.getFocus()).then(null,i.onUnexpectedError)),!0},e.prototype.onPageUp=function(e,t){var n={origin:"keyboard",originalEvent:t}
;return e.getHighlight()?e.clearHighlight(n):(e.focusPreviousPage(n),e.reveal(e.getFocus()).then(null,i.onUnexpectedError)),!0},e.prototype.onDown=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusNext(1,n),e.reveal(e.getFocus()).then(null,i.onUnexpectedError)),!0},e.prototype.onPageDown=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusNextPage(n),e.reveal(e.getFocus()).then(null,i.onUnexpectedError)),!0},e.prototype.onHome=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusFirst(n),e.reveal(e.getFocus()).then(null,i.onUnexpectedError)),!0},e.prototype.onEnd=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusLast(n),e.reveal(e.getFocus()).then(null,i.onUnexpectedError)),!0},e.prototype.onLeft=function(e,t){var n={origin:"keyboard",originalEvent:t}
;if(e.getHighlight())e.clearHighlight(n);else{var o=e.getFocus();e.collapse(o).then(function(t){if(o&&!t)return e.focusParent(n),e.reveal(e.getFocus())}).then(null,i.onUnexpectedError)}return!0},e.prototype.onRight=function(e,t){var n={origin:"keyboard",originalEvent:t};if(e.getHighlight())e.clearHighlight(n);else{var o=e.getFocus();e.expand(o).then(function(t){if(o&&!t)return e.focusFirstChild(n),e.reveal(e.getFocus())}).then(null,i.onUnexpectedError)}return!0},e.prototype.onEnter=function(e,t){var n={origin:"keyboard",originalEvent:t};if(e.getHighlight())return!1;var i=e.getFocus();return i&&e.setSelection([i],n),!0},e.prototype.onSpace=function(e,t){if(e.getHighlight())return!1;var n=e.getFocus();return n&&e.toggleExpansion(n),!0},e.prototype.onEscape=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?(e.clearHighlight(n),!0):e.getSelection().length?(e.clearSelection(n),!0):!!e.getFocus()&&(e.clearFocus(n),!0)},e}();t.DefaultController=a;var l=function(){function e(){}
return e.prototype.getDragURI=function(e,t){return null},e.prototype.onDragStart=function(e,t,n){},e.prototype.onDragOver=function(e,t,n,i){return null},e.prototype.drop=function(e,t,n,i){},e}();t.DefaultDragAndDrop=l;var u=function(){function e(){}return e.prototype.isVisible=function(e,t){return!0},e}();t.DefaultFilter=u;var d=function(){function e(){}return e.prototype.getAriaLabel=function(e,t){return null},e}();t.DefaultAccessibilityProvider=d;var c=function(){function e(e,t){this.styleElement=e,this.selectorSuffix=t}return e.prototype.style=function(e){var t=this.selectorSuffix?"."+this.selectorSuffix:"",n=[];e.listFocusBackground&&n.push(".monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.focused:not(.highlighted) { background-color: "+e.listFocusBackground+"; }"),e.listFocusForeground&&n.push(".monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.focused:not(.highlighted) { color: "+e.listFocusForeground+"; }"),
e.listActiveSelectionBackground&&n.push(".monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { background-color: "+e.listActiveSelectionBackground+"; }"),e.listActiveSelectionForeground&&n.push(".monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { color: "+e.listActiveSelectionForeground+"; }"),e.listFocusAndSelectionBackground&&n.push("\n\t\t\t\t.monaco-tree-drag-image,\n\t\t\t\t.monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.focused.selected:not(.highlighted) { background-color: "+e.listFocusAndSelectionBackground+"; }\n\t\t\t"),e.listFocusAndSelectionForeground&&n.push("\n\t\t\t\t.monaco-tree-drag-image,\n\t\t\t\t.monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.focused.selected:not(.highlighted) { color: "+e.listFocusAndSelectionForeground+"; }\n\t\t\t"),
e.listInactiveSelectionBackground&&n.push(".monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { background-color: "+e.listInactiveSelectionBackground+"; }"),e.listInactiveSelectionForeground&&n.push(".monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { color: "+e.listInactiveSelectionForeground+"; }"),e.listHoverBackground&&n.push(".monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row:hover:not(.highlighted):not(.selected):not(.focused) { background-color: "+e.listHoverBackground+"; }"),e.listHoverForeground&&n.push(".monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row:hover:not(.highlighted):not(.selected):not(.focused) { color: "+e.listHoverForeground+"; }"),e.listDropBackground&&n.push("\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-wrapper.drop-target,\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row.drop-target { background-color: "+e.listDropBackground+" !important; color: inherit !important; }\n\t\t\t"),
e.listFocusOutline&&n.push("\n\t\t\t\t.monaco-tree-drag-image\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t{ border: 1px solid "+e.listFocusOutline+"; background: #000; }\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row \t\t\t\t\t\t\t\t\t\t\t\t\t\t{ border: 1px solid transparent; }\n\t\t\t\t.monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.focused:not(.highlighted) \t\t\t\t\t\t{ border: 1px dotted "+e.listFocusOutline+"; }\n\t\t\t\t.monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) \t\t\t\t\t\t{ border: 1px solid "+e.listFocusOutline+"; }\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted)  \t\t\t\t\t\t\t{ border: 1px solid "+e.listFocusOutline+"; }\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row:hover:not(.highlighted):not(.selected):not(.focused)  \t{ border: 1px dashed "+e.listFocusOutline+"; }\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-wrapper.drop-target,\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row.drop-target\t\t\t\t\t\t\t\t\t\t\t\t{ border: 1px dashed "+e.listFocusOutline+"; }\n\t\t\t")
;var i=n.join("\n");i!==this.styleElement.innerHTML&&(this.styleElement.innerHTML=i)},e}();t.DefaultTreestyler=c}),define(t[443],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e){this.elements=e}return e.prototype.update=function(e){},e}();t.ElementsDragAndDropData=n;var i=function(){function e(e){this.elements=e}return e.prototype.update=function(e){},e}();t.ExternalElementsDragAndDropData=i;var o=function(){function e(){this.types=[],this.files=[]}return e.prototype.update=function(e){e.dataTransfer.types&&(this.types=[],Array.prototype.push.apply(this.types,e.dataTransfer.types)),e.dataTransfer.files&&(this.files=[],Array.prototype.push.apply(this.files,e.dataTransfer.files),this.files=this.files.filter(function(e){return e.size||e.type}))},e}();t.DesktopDragAndDropData=o}),define(t[444],n([0,1,135,11,2,53,6]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(e){
this._onDispose=new a.Emitter,this.onDispose=this._onDispose.event,this._item=e}return Object.defineProperty(e.prototype,"item",{get:function(){return this._item},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this._onDispose&&(this._onDispose.fire(),this._onDispose.dispose(),this._onDispose=null)},e}();t.LockData=l;var u=function(){function e(){this.locks=Object.create({})}return e.prototype.isLocked=function(e){return!!this.locks[e.id]},e.prototype.run=function(e,t){var n=this,i=this.getLock(e);if(i)return new s.TPromise(function(o,r){a.once(i.onDispose)(function(){return n.run(e,t).then(o,r)})});var o;return new s.TPromise(function(i,r){if(e.isDisposed())return r(new Error("Item is disposed."));var s=n.locks[e.id]=new l(e);return o=t().then(function(t){return delete n.locks[e.id],s.dispose(),t}).then(i,r)})},e.prototype.getLock=function(e){var t;for(t in this.locks){var n=this.locks[t];if(e.intersects(n.item))return n}return null},e}();t.Lock=u;var d=function(){function e(){
this._isDisposed=!1,this._onDidRevealItem=new a.EventMultiplexer,this.onDidRevealItem=this._onDidRevealItem.event,this._onExpandItem=new a.EventMultiplexer,this.onExpandItem=this._onExpandItem.event,this._onDidExpandItem=new a.EventMultiplexer,this.onDidExpandItem=this._onDidExpandItem.event,this._onCollapseItem=new a.EventMultiplexer,this.onCollapseItem=this._onCollapseItem.event,this._onDidCollapseItem=new a.EventMultiplexer,this.onDidCollapseItem=this._onDidCollapseItem.event,this._onDidAddTraitItem=new a.EventMultiplexer,this.onDidAddTraitItem=this._onDidAddTraitItem.event,this._onDidRemoveTraitItem=new a.EventMultiplexer,this.onDidRemoveTraitItem=this._onDidRemoveTraitItem.event,this._onDidRefreshItem=new a.EventMultiplexer,this.onDidRefreshItem=this._onDidRefreshItem.event,this._onRefreshItemChildren=new a.EventMultiplexer,this.onRefreshItemChildren=this._onRefreshItemChildren.event,this._onDidRefreshItemChildren=new a.EventMultiplexer,this.onDidRefreshItemChildren=this._onDidRefreshItemChildren.event,
this._onDidDisposeItem=new a.EventMultiplexer,this.onDidDisposeItem=this._onDidDisposeItem.event,this.items={}}return e.prototype.register=function(e){n.ok(!this.isRegistered(e.id),"item already registered: "+e.id);var t=r.combinedDisposable([this._onDidRevealItem.add(e.onDidReveal),this._onExpandItem.add(e.onExpand),this._onDidExpandItem.add(e.onDidExpand),this._onCollapseItem.add(e.onCollapse),this._onDidCollapseItem.add(e.onDidCollapse),this._onDidAddTraitItem.add(e.onDidAddTrait),this._onDidRemoveTraitItem.add(e.onDidRemoveTrait),this._onDidRefreshItem.add(e.onDidRefresh),this._onRefreshItemChildren.add(e.onRefreshChildren),this._onDidRefreshItemChildren.add(e.onDidRefreshChildren),this._onDidDisposeItem.add(e.onDidDispose)]);this.items[e.id]={item:e,disposable:t}},e.prototype.deregister=function(e){n.ok(this.isRegistered(e.id),"item not registered: "+e.id),this.items[e.id].disposable.dispose(),delete this.items[e.id]},e.prototype.isRegistered=function(e){return this.items.hasOwnProperty(e)},
e.prototype.getItem=function(e){var t=this.items[e];return t?t.item:null},e.prototype.dispose=function(){this.items=null,this._onDidRevealItem.dispose(),this._onExpandItem.dispose(),this._onDidExpandItem.dispose(),this._onCollapseItem.dispose(),this._onDidCollapseItem.dispose(),this._onDidAddTraitItem.dispose(),this._onDidRemoveTraitItem.dispose(),this._onDidRefreshItem.dispose(),this._onRefreshItemChildren.dispose(),this._onDidRefreshItemChildren.dispose(),this._isDisposed=!0},e.prototype.isDisposed=function(){return this._isDisposed},e}();t.ItemRegistry=d;var c=function(){function e(e,t,n,i,o){this._onDidCreate=new a.Emitter,this._onDidReveal=new a.Emitter,this.onDidReveal=this._onDidReveal.event,this._onExpand=new a.Emitter,this.onExpand=this._onExpand.event,this._onDidExpand=new a.Emitter,this.onDidExpand=this._onDidExpand.event,this._onCollapse=new a.Emitter,this.onCollapse=this._onCollapse.event,this._onDidCollapse=new a.Emitter,this.onDidCollapse=this._onDidCollapse.event,
this._onDidAddTrait=new a.Emitter,this.onDidAddTrait=this._onDidAddTrait.event,this._onDidRemoveTrait=new a.Emitter,this.onDidRemoveTrait=this._onDidRemoveTrait.event,this._onDidRefresh=new a.Emitter,this.onDidRefresh=this._onDidRefresh.event,this._onRefreshChildren=new a.Emitter,this.onRefreshChildren=this._onRefreshChildren.event,this._onDidRefreshChildren=new a.Emitter,this.onDidRefreshChildren=this._onDidRefreshChildren.event,this._onDidDispose=new a.Emitter,this.onDidDispose=this._onDidDispose.event,this.registry=t,this.context=n,this.lock=i,this.element=o,this.id=e,this.registry.register(this),this.doesHaveChildren=this.context.dataSource.hasChildren(this.context.tree,this.element),this.needsChildrenRefresh=!0,this.parent=null,this.previous=null,this.next=null,this.firstChild=null,this.lastChild=null,this.traits={},this.depth=0,this.expanded=this.context.dataSource.shouldAutoexpand&&this.context.dataSource.shouldAutoexpand(this.context.tree,o),this._onDidCreate.fire(this),this.visible=this._isVisible(),
this.height=this._getHeight(),this._isDisposed=!1}return e.prototype.getElement=function(){return this.element},e.prototype.hasChildren=function(){return this.doesHaveChildren},e.prototype.getDepth=function(){return this.depth},e.prototype.isVisible=function(){return this.visible},e.prototype.setVisible=function(e){this.visible=e},e.prototype.isExpanded=function(){return this.expanded},e.prototype._setExpanded=function(e){this.expanded=e},e.prototype.reveal=function(e){void 0===e&&(e=null);var t={item:this,relativeTop:e};this._onDidReveal.fire(t)},e.prototype.expand=function(){var e=this;if(this.isExpanded()||!this.doesHaveChildren||this.lock.isLocked(this))return s.TPromise.as(!1);return this.lock.run(this,function(){if(e.isExpanded()||!e.doesHaveChildren)return s.TPromise.as(!1);var t={item:e};return e._onExpand.fire(t),(e.needsChildrenRefresh?e.refreshChildren(!1,!0,!0):s.TPromise.as(null)).then(function(){return e._setExpanded(!0),e._onDidExpand.fire(t),!0})}).then(function(t){
return!e.isDisposed()&&(e.context.options.autoExpandSingleChildren&&t&&null!==e.firstChild&&e.firstChild===e.lastChild&&e.firstChild.isVisible()?e.firstChild.expand().then(function(){return!0}):t)})},e.prototype.collapse=function(e){var t=this;if(void 0===e&&(e=!1),e){var n=s.TPromise.as(null);return this.forEachChild(function(e){n=n.then(function(){return e.collapse(!0)})}),n.then(function(){return t.collapse(!1)})}return!this.isExpanded()||this.lock.isLocked(this)?s.TPromise.as(!1):this.lock.run(this,function(){var e={item:t};return t._onCollapse.fire(e),t._setExpanded(!1),t._onDidCollapse.fire(e),s.TPromise.as(!0)})},e.prototype.addTrait=function(e){var t={item:this,trait:e};this.traits[e]=!0,this._onDidAddTrait.fire(t)},e.prototype.removeTrait=function(e){var t={item:this,trait:e};delete this.traits[e],this._onDidRemoveTrait.fire(t)},e.prototype.hasTrait=function(e){return this.traits[e]||!1},e.prototype.getAllTraits=function(){var e,t=[]
;for(e in this.traits)this.traits.hasOwnProperty(e)&&this.traits[e]&&t.push(e);return t},e.prototype.getHeight=function(){return this.height},e.prototype.refreshChildren=function(t,n,o){var r=this;if(void 0===n&&(n=!1),void 0===o&&(o=!1),!o&&!this.isExpanded()){var a=function(e){e.needsChildrenRefresh=!0,e.forEachChild(a)};return a(this),s.TPromise.as(this)}this.needsChildrenRefresh=!1;var l=function(){var o={item:r,isNested:n};r._onRefreshChildren.fire(o);return(r.doesHaveChildren?r.context.dataSource.getChildren(r.context.tree,r.element):s.TPromise.as([])).then(function(n){if(r.isDisposed()||r.registry.isDisposed())return s.TPromise.as(null);if(!Array.isArray(n))return s.TPromise.wrapError(new Error("Please return an array of children."));n=n?n.slice(0):[],n=r.sort(n);for(var i={};null!==r.firstChild;)i[r.firstChild.id]=r.firstChild,r.removeChild(r.firstChild);for(var o=0,a=n.length;o<a;o++){var l=n[o],u=r.context.dataSource.getId(r.context.tree,l),d=i[u]||new e(u,r.registry,r.context,r.lock,l);d.element=l,
t&&(d.needsChildrenRefresh=t),delete i[u],r.addChild(d)}for(var c in i)i.hasOwnProperty(c)&&i[c].dispose();return t?s.Promise.join(r.mapEachChild(function(e){return e.doRefresh(t,!0)})):s.Promise.join(r.mapEachChild(function(e){return e.isExpanded()&&e.needsChildrenRefresh?e.doRefresh(t,!0):(e.updateVisibility(),s.TPromise.as(null))}))}).then(null,i.onUnexpectedError).then(function(){return r._onDidRefreshChildren.fire(o)})};return n?l():this.lock.run(this,l)},e.prototype.doRefresh=function(e,t){return void 0===t&&(t=!1),this.doesHaveChildren=this.context.dataSource.hasChildren(this.context.tree,this.element),this.height=this._getHeight(),this.updateVisibility(),this._onDidRefresh.fire(this),this.refreshChildren(e,t)},e.prototype.updateVisibility=function(){this.setVisible(this._isVisible())},e.prototype.refresh=function(e){return this.doRefresh(e)},e.prototype.getNavigator=function(){return new p(this)},e.prototype.intersects=function(e){return this.isAncestorOf(e)||e.isAncestorOf(this)},
e.prototype.isAncestorOf=function(e){for(;e;){if(e.id===this.id)return!0;e=e.parent}return!1},e.prototype.addChild=function(e,t){void 0===t&&(t=this.lastChild);var n=null===this.firstChild,i=null===t,o=t===this.lastChild;n?(this.firstChild=this.lastChild=e,e.next=e.previous=null):i?(this.firstChild.previous=e,e.next=this.firstChild,e.previous=null,this.firstChild=e):o?(this.lastChild.next=e,e.next=null,e.previous=this.lastChild,this.lastChild=e):(e.previous=t,e.next=t.next,t.next.previous=e,t.next=e),e.parent=this,e.depth=this.depth+1},e.prototype.removeChild=function(e){var t=this.firstChild===e,n=this.lastChild===e;t&&n?this.firstChild=this.lastChild=null:t?(e.next.previous=null,this.firstChild=e.next):n?(e.previous.next=null,this.lastChild=e.previous):(e.next.previous=e.previous,e.previous.next=e.next),e.parent=null,e.depth=null},e.prototype.forEachChild=function(e){for(var t,n=this.firstChild;n;)t=n.next,e(n),n=t},e.prototype.mapEachChild=function(e){var t=[];return this.forEachChild(function(n){
t.push(e(n))}),t},e.prototype.sort=function(e){var t=this;return this.context.sorter?e.sort(function(e,n){return t.context.sorter.compare(t.context.tree,e,n)}):e},e.prototype._getHeight=function(){return this.context.renderer.getHeight(this.context.tree,this.element)},e.prototype._isVisible=function(){return this.context.filter.isVisible(this.context.tree,this.element)},e.prototype.isDisposed=function(){return this._isDisposed},e.prototype.dispose=function(){this.forEachChild(function(e){return e.dispose()}),this.parent=null,this.previous=null,this.next=null,this.firstChild=null,this.lastChild=null,this._onDidDispose.fire(this),this.registry.deregister(this),this._onDidCreate.dispose(),this._onDidReveal.dispose(),this._onExpand.dispose(),this._onDidExpand.dispose(),this._onCollapse.dispose(),this._onDidCollapse.dispose(),this._onDidAddTrait.dispose(),this._onDidRemoveTrait.dispose(),this._onDidRefresh.dispose(),this._onRefreshChildren.dispose(),this._onDidRefreshChildren.dispose(),
this._onDidDispose.dispose(),this._isDisposed=!0},e}();t.Item=c;var h=function(e){function t(t,n,i,o,r){return e.call(this,t,n,i,o,r)||this}return o(t,e),t.prototype.isVisible=function(){return!1},t.prototype.setVisible=function(e){},t.prototype.isExpanded=function(){return!0},t.prototype._setExpanded=function(e){},t.prototype._getHeight=function(){return 0},t.prototype._isVisible=function(){return!1},t}(c),p=function(){function e(e,t){void 0===t&&(t=!0),this.item=e,this.start=t?e:null}return e.lastDescendantOf=function(t){return t?t instanceof h?e.lastDescendantOf(t.lastChild):t.isVisible()?t.isExpanded()&&null!==t.lastChild?e.lastDescendantOf(t.lastChild):t:e.lastDescendantOf(t.previous):null},e.prototype.current=function(){return this.item||null},e.prototype.next=function(){if(this.item)do{if((this.item instanceof h||this.item.isVisible()&&this.item.isExpanded())&&this.item.firstChild)this.item=this.item.firstChild;else if(this.item===this.start)this.item=null;else{
for(;this.item&&this.item!==this.start&&!this.item.next;)this.item=this.item.parent;this.item===this.start&&(this.item=null),this.item=this.item?this.item.next:null}}while(this.item&&!this.item.isVisible());return this.item||null},e.prototype.previous=function(){if(this.item)do{var t=e.lastDescendantOf(this.item.previous);t?this.item=t:this.item.parent&&this.item.parent!==this.start&&this.item.parent.isVisible()?this.item=this.item.parent:this.item=null}while(this.item&&!this.item.isVisible());return this.item||null},e.prototype.parent=function(){if(this.item){var e=this.item.parent;e&&e!==this.start&&e.isVisible()?this.item=e:this.item=null}return this.item||null},e.prototype.first=function(){return this.item=this.start,this.next(),this.item||null},e.prototype.last=function(){return e.lastDescendantOf(this.start)},e}();t.TreeNavigator=p;var f=function(){function e(e){this._onSetInput=new a.Emitter,this.onSetInput=this._onSetInput.event,this._onDidSetInput=new a.Emitter,
this.onDidSetInput=this._onDidSetInput.event,this._onRefresh=new a.Emitter,this.onRefresh=this._onRefresh.event,this._onDidRefresh=new a.Emitter,this.onDidRefresh=this._onDidRefresh.event,this._onDidHighlight=new a.Emitter,this.onDidHighlight=this._onDidHighlight.event,this._onDidSelect=new a.Emitter,this.onDidSelect=this._onDidSelect.event,this._onDidFocus=new a.Emitter,this.onDidFocus=this._onDidFocus.event,this._onDidRevealItem=new a.Relay,this.onDidRevealItem=this._onDidRevealItem.event,this._onExpandItem=new a.Relay,this.onExpandItem=this._onExpandItem.event,this._onDidExpandItem=new a.Relay,this.onDidExpandItem=this._onDidExpandItem.event,this._onCollapseItem=new a.Relay,this.onCollapseItem=this._onCollapseItem.event,this._onDidCollapseItem=new a.Relay,this.onDidCollapseItem=this._onDidCollapseItem.event,this._onDidAddTraitItem=new a.Relay,this.onDidAddTraitItem=this._onDidAddTraitItem.event,this._onDidRemoveTraitItem=new a.Relay,this.onDidRemoveTraitItem=this._onDidRemoveTraitItem.event,
this._onDidRefreshItem=new a.Relay,this.onDidRefreshItem=this._onDidRefreshItem.event,this._onRefreshItemChildren=new a.Relay,this.onRefreshItemChildren=this._onRefreshItemChildren.event,this._onDidRefreshItemChildren=new a.Relay,this.onDidRefreshItemChildren=this._onDidRefreshItemChildren.event,this._onDidDisposeItem=new a.Relay,this.context=e,this.input=null,this.traitsToItems={}}return e.prototype.setInput=function(e){var t=this,n={item:this.input};this._onSetInput.fire(n),this.setSelection([]),this.setFocus(),this.setHighlight(),this.lock=new u,this.input&&this.input.dispose(),this.registry&&(this.registry.dispose(),this.registryDisposable.dispose()),this.registry=new d,this._onDidRevealItem.input=this.registry.onDidRevealItem,this._onExpandItem.input=this.registry.onExpandItem,this._onDidExpandItem.input=this.registry.onDidExpandItem,this._onCollapseItem.input=this.registry.onCollapseItem,this._onDidCollapseItem.input=this.registry.onDidCollapseItem,
this._onDidAddTraitItem.input=this.registry.onDidAddTraitItem,this._onDidRemoveTraitItem.input=this.registry.onDidRemoveTraitItem,this._onDidRefreshItem.input=this.registry.onDidRefreshItem,this._onRefreshItemChildren.input=this.registry.onRefreshItemChildren,this._onDidRefreshItemChildren.input=this.registry.onDidRefreshItemChildren,this._onDidDisposeItem.input=this.registry.onDidDisposeItem,this.registryDisposable=this.registry.onDidDisposeItem(function(e){return e.getAllTraits().forEach(function(n){return delete t.traitsToItems[n][e.id]})});var i=this.context.dataSource.getId(this.context.tree,e);return this.input=new h(i,this.registry,this.context,this.lock,e),n={item:this.input},this._onDidSetInput.fire(n),this.refresh(this.input)},e.prototype.getInput=function(){return this.input?this.input.getElement():null},e.prototype.refresh=function(e,t){var n=this;void 0===e&&(e=null),void 0===t&&(t=!0);var i=this.getItem(e);if(!i)return s.TPromise.as(null);var o={item:i,recursive:t}
;return this._onRefresh.fire(o),i.refresh(t).then(function(){n._onDidRefresh.fire(o)})},e.prototype.expand=function(e){var t=this.getItem(e);return t?t.expand():s.TPromise.as(!1)},e.prototype.collapse=function(e,t){void 0===t&&(t=!1);var n=this.getItem(e);return n?n.collapse(t):s.TPromise.as(!1)},e.prototype.toggleExpansion=function(e,t){return void 0===t&&(t=!1),this.isExpanded(e)?this.collapse(e,t):this.expand(e)},e.prototype.isExpanded=function(e){var t=this.getItem(e);return!!t&&t.isExpanded()},e.prototype.reveal=function(e,t){var n=this;return void 0===t&&(t=null),this.resolveUnknownParentChain(e).then(function(e){var t=s.TPromise.as(null);return e.forEach(function(e){t=t.then(function(){return n.expand(e)})}),t}).then(function(){var i=n.getItem(e);if(i)return i.reveal(t)})},e.prototype.resolveUnknownParentChain=function(e){var t=this;return this.context.dataSource.getParent(this.context.tree,e).then(function(e){return e?t.resolveUnknownParentChain(e).then(function(t){return t.push(e),t
}):s.TPromise.as([])})},e.prototype.setHighlight=function(e,t){this.setTraits("highlighted",e?[e]:[]);var n={highlight:this.getHighlight(),payload:t};this._onDidHighlight.fire(n)},e.prototype.getHighlight=function(e){var t=this.getElementsWithTrait("highlighted",e);return 0===t.length?null:t[0]},e.prototype.setSelection=function(e,t){this.setTraits("selected",e);var n={selection:this.getSelection(),payload:t};this._onDidSelect.fire(n)},e.prototype.getSelection=function(e){return this.getElementsWithTrait("selected",e)},e.prototype.setFocus=function(e,t){this.setTraits("focused",e?[e]:[]);var n={focus:this.getFocus(),payload:t};this._onDidFocus.fire(n)},e.prototype.getFocus=function(e){var t=this.getElementsWithTrait("focused",e);return 0===t.length?null:t[0]},e.prototype.focusNext=function(e,t){void 0===e&&(e=1);for(var n,i=this.getFocus()||this.input,o=this.getNavigator(i,!1),r=0;r<e&&(n=o.next());r++)i=n;this.setFocus(i,t)},e.prototype.focusPrevious=function(e,t){void 0===e&&(e=1)
;for(var n,i=this.getFocus()||this.input,o=this.getNavigator(i,!1),r=0;r<e&&(n=o.previous());r++)i=n;this.setFocus(i,t)},e.prototype.focusParent=function(e){var t=this.getFocus()||this.input,n=this.getNavigator(t,!1).parent();n&&this.setFocus(n,e)},e.prototype.focusFirstChild=function(e){var t=this.getItem(this.getFocus()||this.input),n=this.getNavigator(t,!1),i=n.next();n.parent()===t&&this.setFocus(i,e)},e.prototype.focusFirst=function(e,t){this.focusNth(0,e,t)},e.prototype.focusNth=function(e,t,n){for(var i=this.getParent(n),o=this.getNavigator(i),r=o.first(),s=0;s<e;s++)r=o.next();r&&this.setFocus(r,t)},e.prototype.focusLast=function(e,t){var n,i=this.getParent(t);if(t)n=i.lastChild;else{n=this.getNavigator(i).last()}n&&this.setFocus(n,e)},e.prototype.getParent=function(e){if(e){var t=this.getItem(e);if(t&&t.parent)return t.parent}return this.getItem(this.input)},e.prototype.getNavigator=function(e,t){return void 0===e&&(e=null),void 0===t&&(t=!0),new p(this.getItem(e),t)},e.prototype.getItem=function(e){
return void 0===e&&(e=null),null===e?this.input:e instanceof c?e:"string"==typeof e?this.registry.getItem(e):this.registry.getItem(this.context.dataSource.getId(this.context.tree,e))},e.prototype.removeTraits=function(e,t){var n,i,o=this.traitsToItems[e]||{};if(0===t.length){for(i in o)o.hasOwnProperty(i)&&(n=o[i]).removeTrait(e);delete this.traitsToItems[e]}else for(var r=0,s=t.length;r<s;r++)(n=this.getItem(t[r]))&&(n.removeTrait(e),delete o[n.id])},e.prototype.setTraits=function(e,t){if(0===t.length)this.removeTraits(e,t);else{for(var n,i={},o=0,r=t.length;o<r;o++)(n=this.getItem(t[o]))&&(i[n.id]=n);var s,a=this.traitsToItems[e]||{},l=[];for(s in a)a.hasOwnProperty(s)&&(i.hasOwnProperty(s)?delete i[s]:l.push(a[s]));for(var o=0,r=l.length;o<r;o++)(n=l[o]).removeTrait(e),delete a[n.id];for(s in i)i.hasOwnProperty(s)&&((n=i[s]).addTrait(e),a[s]=n);this.traitsToItems[e]=a}},e.prototype.getElementsWithTrait=function(e,t){var n,i=[],o=this.traitsToItems[e]||{}
;for(n in o)o.hasOwnProperty(n)&&(o[n].isVisible()||t)&&i.push(o[n].getElement());return i},e.prototype.dispose=function(){this.registry&&(this.registry.dispose(),this.registry=null),this._onSetInput.dispose(),this._onDidSetInput.dispose(),this._onRefresh.dispose(),this._onDidRefresh.dispose(),this._onDidHighlight.dispose(),this._onDidSelect.dispose(),this._onDidFocus.dispose(),this._onDidRevealItem.dispose(),this._onExpandItem.dispose(),this._onDidExpandItem.dispose(),this._onCollapseItem.dispose(),this._onDidCollapseItem.dispose(),this._onDidAddTraitItem.dispose(),this._onDidRemoveTraitItem.dispose(),this._onDidRefreshItem.dispose(),this._onRefreshItemChildren.dispose(),this._onDidRefreshItemChildren.dispose(),this._onDidDisposeItem.dispose()},e}();t.TreeModel=f}),define(t[445],n([0,1,87]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(){this.heightMap=[],this.indexes={}}return e.prototype.getContentHeight=function(){
var e=this.heightMap[this.heightMap.length-1];return e?e.top+e.height:0},e.prototype.onInsertItems=function(e,t){void 0===t&&(t=null);var n,i,o,r,s,a=0;if(null===t)o=0,s=0;else{if(o=this.indexes[t]+1,!(i=this.heightMap[o-1]))return void console.error("view item doesnt exist");s=i.top+i.height}for(var l=this.heightMap.splice.bind(this.heightMap,o,0),u=[];n=e.next();)(i=this.createViewItem(n)).top=s+a,this.indexes[n.id]=o++,u.push(i),a+=i.height;for(l.apply(this.heightMap,u),r=o;r<this.heightMap.length;r++)(i=this.heightMap[r]).top+=a,this.indexes[i.model.id]=r;for(r=u.length-1;r>=0;r--)this.onInsertItem(u[r]);for(r=this.heightMap.length-1;r>=o;r--)this.onRefreshItem(this.heightMap[r]);return a},e.prototype.onInsertItem=function(e){},e.prototype.onRemoveItems=function(e){for(var t,n,i,o=null,r=0;t=e.next();){if(i=this.indexes[t],!(n=this.heightMap[i]))return void console.error("view item doesnt exist");r-=n.height,delete this.indexes[t],this.onRemoveItem(n),null===o&&(o=i)}
if(0!==r)for(this.heightMap.splice(o,i-o+1),i=o;i<this.heightMap.length;i++)(n=this.heightMap[i]).top+=r,this.indexes[n.model.id]=i,this.onRefreshItem(n)},e.prototype.onRemoveItem=function(e){},e.prototype.onRefreshItemSet=function(e){var t=this,i=e.sort(function(e,n){return t.indexes[e.id]-t.indexes[n.id]});this.onRefreshItems(new n.ArrayIterator(i))},e.prototype.onRefreshItems=function(e){for(var t,n,i,o,r=null,s=0;t=e.next();){for(o=this.indexes[t.id];0!==s&&null!==r&&r<o;r++)(n=this.heightMap[r]).top+=s,this.onRefreshItem(n);n=this.heightMap[o],i=t.getHeight(),n.top+=s,s+=i-n.height,n.height=i,this.onRefreshItem(n,!0),r=o+1}if(0!==s&&null!==r)for(;r<this.heightMap.length;r++)(n=this.heightMap[r]).top+=s,this.onRefreshItem(n)},e.prototype.onRefreshItem=function(e,t){void 0===t&&(t=!1)},e.prototype.indexAt=function(e){for(var t,n,i=0,o=this.heightMap.length;i<o;)if(t=Math.floor((i+o)/2),n=this.heightMap[t],e<n.top)o=t;else{if(!(e>=n.top+n.height))return t;if(i===t)break;i=t}return this.heightMap.length},
e.prototype.indexAfter=function(e){return Math.min(this.indexAt(e)+1,this.heightMap.length)},e.prototype.itemAtIndex=function(e){return this.heightMap[e]},e.prototype.itemAfter=function(e){return this.heightMap[this.indexes[e.model.id]+1]||null},e.prototype.createViewItem=function(e){throw new Error("not implemented")},e.prototype.dispose=function(){this.heightMap=null,this.indexes=null},e}();t.HeightMap=i}),define(t[454],n([0,1,17,148]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function t(t,i,o,r,s){this.id=i,this.worker=function(t,i){if(n.globals.MonacoEnvironment){if("function"==typeof n.globals.MonacoEnvironment.getWorker)return n.globals.MonacoEnvironment.getWorker(t,i);if("function"==typeof n.globals.MonacoEnvironment.getWorkerUrl)return new Worker(n.globals.MonacoEnvironment.getWorkerUrl(t,i))}if("function"==typeof e)return new Worker(e.toUrl("./"+t)+"#"+i)
;throw new Error("You must define a function MonacoEnvironment.getWorkerUrl or MonacoEnvironment.getWorker")}("workerMain.js",o),this.postMessage(t),this.worker.onmessage=function(e){r(e.data)},"function"==typeof this.worker.addEventListener&&this.worker.addEventListener("error",s)}return t.prototype.getId=function(){return this.id},t.prototype.postMessage=function(e){this.worker&&this.worker.postMessage(e)},t.prototype.dispose=function(){this.worker&&this.worker.terminate(),this.worker=null},t}(),r=function(){function e(e){this._label=e,this._webWorkerFailedBeforeError=!1}return e.prototype.create=function(t,n,r){var s=this,a=++e.LAST_WORKER_ID;if(this._webWorkerFailedBeforeError)throw this._webWorkerFailedBeforeError;return new o(t,a,this._label||"anonymous"+a,n,function(e){i.logOnceWebWorkerWarning(e),s._webWorkerFailedBeforeError=e,r(e)})},e.LAST_WORKER_ID=0,e}();t.DefaultWorkerFactory=r}),define(t[463],n([9]),{}),define(t[469],n([9]),{}),define(t[486],n([9]),{}),
define(t[487],n([0,1,7,46,28,6,27,486]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l={inputActiveOptionBorder:r.Color.fromHex("#007ACC")},u=function(e){function t(t){var n=e.call(this)||this;return n._onChange=n._register(new s.Emitter),n._onKeyDown=n._register(new s.Emitter),n._opts=a.deepClone(t),a.mixin(n._opts,l,!1),n._checked=n._opts.isChecked,n.domNode=document.createElement("div"),n.domNode.title=n._opts.title,n.domNode.className="monaco-custom-checkbox "+n._opts.actionClassName+" "+(n._checked?"checked":"unchecked"),n.domNode.tabIndex=0,n.domNode.setAttribute("role","checkbox"),n.domNode.setAttribute("aria-checked",String(n._checked)),n.domNode.setAttribute("aria-label",n._opts.title),n.applyStyles(),n.onclick(n.domNode,function(e){n.checked=!n._checked,n._onChange.fire(!1),e.preventDefault()}),n.onkeydown(n.domNode,function(e){if(10===e.keyCode||3===e.keyCode)return n.checked=!n._checked,n._onChange.fire(!0),void e.preventDefault();n._onKeyDown.fire(e)
}),n}return o(t,e),Object.defineProperty(t.prototype,"onChange",{get:function(){return this._onChange.event},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"onKeyDown",{get:function(){return this._onKeyDown.event},enumerable:!0,configurable:!0}),t.prototype.focus=function(){this.domNode.focus()},Object.defineProperty(t.prototype,"checked",{get:function(){return this._checked},set:function(e){this._checked=e,this.domNode.setAttribute("aria-checked",String(this._checked)),this._checked?this.domNode.classList.add("checked"):this.domNode.classList.remove("checked"),this.applyStyles()},enumerable:!0,configurable:!0}),t.prototype.width=function(){return 22},t.prototype.style=function(e){e.inputActiveOptionBorder&&(this._opts.inputActiveOptionBorder=e.inputActiveOptionBorder),this.applyStyles()},t.prototype.applyStyles=function(){this.domNode&&(this.domNode.style.borderColor=this._checked&&this._opts.inputActiveOptionBorder?this._opts.inputActiveOptionBorder.toString():"transparent")},
t.prototype.enable=function(){this.domNode.tabIndex=0,this.domNode.setAttribute("aria-disabled",String(!1))},t.prototype.disable=function(){n.removeTabIndexAndUpdateFocus(this.domNode),this.domNode.setAttribute("aria-disabled",String(!0))},t}(i.Widget);t.Checkbox=u}),define(t[505],n([9]),{}),define(t[508],n([0,1,7,2,115,505]),function(e,t,n,i,r){"use strict";function s(e,t,n){var i=n.offset+n.size;return 0===n.position?t<=e-i?i:t<=n.offset?n.offset-t:Math.max(e-t,0):t<=n.offset?n.offset-t:t<=e-i?i:0}Object.defineProperty(t,"__esModule",{value:!0}),t.layout=s;var a=function(e){function t(t){var o=e.call(this)||this;return o.view=n.$(".context-view"),n.hide(o.view),o.setContainer(t),o._register(i.toDisposable(function(){return o.setContainer(null)})),o}return o(t,e),t.prototype.setContainer=function(e){var o=this;if(this.container&&(this.toDisposeOnSetContainer=i.dispose(this.toDisposeOnSetContainer),this.container.removeChild(this.view),this.container=null),e){this.container=e,
this.container.appendChild(this.view);var r=[];t.BUBBLE_UP_EVENTS.forEach(function(e){r.push(n.addStandardDisposableListener(o.container,e,function(e){o.onDOMEvent(e,document.activeElement,!1)}))}),t.BUBBLE_DOWN_EVENTS.forEach(function(e){r.push(n.addStandardDisposableListener(o.container,e,function(e){o.onDOMEvent(e,document.activeElement,!0)},!0))}),this.toDisposeOnSetContainer=i.combinedDisposable(r)}},t.prototype.show=function(e){this.isVisible()&&this.hide(),n.clearNode(this.view),this.view.className="context-view",this.view.style.top="0px",this.view.style.left="0px",n.show(this.view),this.toDisposeOnClean=e.render(this.view),this.delegate=e,this.doLayout(),this.delegate.focus&&this.delegate.focus()},t.prototype.layout=function(){this.isVisible()&&(!1!==this.delegate.canRelayout?(this.delegate.layout&&this.delegate.layout(),this.doLayout()):this.hide())},t.prototype.doLayout=function(){if(this.isVisible()){var e,t=this.delegate.getAnchor();if(n.isHTMLElement(t)){var i=n.getDomNodePagePosition(t);e={
top:i.top,left:i.left,width:i.width,height:i.height}}else{var o=t;e={top:o.y,left:o.x,width:o.width||1,height:o.height||2}}var a,l=n.getTotalWidth(this.view),u=n.getTotalHeight(this.view),d=this.delegate.anchorPosition||0,c=this.delegate.anchorAlignment||0,h={offset:e.top-window.pageYOffset,size:e.height,position:0===d?0:1};a=0===c?{offset:e.left,size:0,position:0}:{offset:e.left+e.width,size:0,position:1};var p=s(window.innerHeight,u,h)+window.pageYOffset;r.Range.intersects({start:p,end:p+u},{start:h.offset,end:h.offset+h.size})&&(a.size=e.width);var f=s(window.innerWidth,l,a);n.removeClasses(this.view,"top","bottom","left","right"),n.addClass(this.view,0===d?"bottom":"top"),n.addClass(this.view,0===c?"left":"right");var g=n.getDomNodePagePosition(this.container);this.view.style.top=p-g.top+"px",this.view.style.left=f-g.left+"px",this.view.style.width="initial"}},t.prototype.hide=function(e){this.delegate&&this.delegate.onHide&&this.delegate.onHide(e),this.delegate=null,
this.toDisposeOnClean&&(this.toDisposeOnClean.dispose(),this.toDisposeOnClean=null),n.hide(this.view)},t.prototype.isVisible=function(){return!!this.delegate},t.prototype.onDOMEvent=function(e,t,i){this.delegate&&(this.delegate.onDOMEvent?this.delegate.onDOMEvent(e,document.activeElement):i&&!n.isAncestor(e.target,this.container)&&this.hide())},t.prototype.dispose=function(){this.hide(),e.prototype.dispose.call(this)},t.BUBBLE_UP_EVENTS=["click","keydown","focus","blur"],t.BUBBLE_DOWN_EVENTS=["click"],t}(i.Disposable);t.ContextView=a}),define(t[528],n([9]),{}),define(t[549],n([0,1,7,8,28,27,528]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s={badgeBackground:o.Color.fromHex("#4D4D4D"),badgeForeground:o.Color.fromHex("#FFFFFF")},a=function(){function e(e,t){this.options=t||Object.create(null),r.mixin(this.options,s,!1),this.badgeBackground=this.options.badgeBackground,this.badgeForeground=this.options.badgeForeground,this.badgeBorder=this.options.badgeBorder,
this.element=n.append(e,n.$(".monaco-count-badge")),this.countFormat=this.options.countFormat||"{0}",this.titleFormat=this.options.titleFormat||"",this.setCount(this.options.count||0)}return e.prototype.setCount=function(e){this.count=e,this.render()},e.prototype.setTitleFormat=function(e){this.titleFormat=e,this.render()},e.prototype.render=function(){this.element.textContent=i.format(this.countFormat,this.count),this.element.title=i.format(this.titleFormat,this.count),this.applyStyles()},e.prototype.style=function(e){this.badgeBackground=e.badgeBackground,this.badgeForeground=e.badgeForeground,this.badgeBorder=e.badgeBorder,this.applyStyles()},e.prototype.applyStyles=function(){if(this.element){var e=this.badgeBackground?this.badgeBackground.toString():null,t=this.badgeForeground?this.badgeForeground.toString():null,n=this.badgeBorder?this.badgeBorder.toString():null;this.element.style.backgroundColor=e,this.element.style.color=t,this.element.style.borderWidth=n?"1px":null,
this.element.style.borderStyle=n?"solid":null,this.element.style.borderColor=n}},e}();t.CountBadge=a}),define(t[557],n([9]),{}),define(t[563],n([9]),{}),define(t[204],n([9]),{}),define(t[118],n([0,1,7,159,2,204]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){this._element=e}return Object.defineProperty(e.prototype,"element",{get:function(){return this._element},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"textContent",{set:function(e){this.disposed||e===this._textContent||(this._textContent=e,this._element.textContent=e)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"className",{set:function(e){this.disposed||e===this._className||(this._className=e,this._element.className=e)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"title",{set:function(e){this.disposed||e===this._title||(this._title=e,this._title?this._element.title=e:this._element.removeAttribute("title"))},enumerable:!0,
configurable:!0}),Object.defineProperty(e.prototype,"empty",{set:function(e){this.disposed||e===this._empty||(this._empty=e,this._element.style.marginLeft=e?"0":null)},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this.disposed=!0},e}(),a=function(e){function t(t,o){var r=e.call(this)||this;return r.domNode=r._register(new s(n.append(t,n.$(".monaco-icon-label")))),r.labelDescriptionContainer=r._register(new s(n.append(r.domNode.element,n.$(".monaco-icon-label-description-container")))),o&&o.supportHighlights?r.labelNode=r._register(new i.HighlightedLabel(n.append(r.labelDescriptionContainer.element,n.$("a.label-name")),!o.donotSupportOcticons)):r.labelNode=r._register(new s(n.append(r.labelDescriptionContainer.element,n.$("a.label-name")))),o&&o.supportDescriptionHighlights?r.descriptionNodeFactory=function(){return r._register(new i.HighlightedLabel(n.append(r.labelDescriptionContainer.element,n.$("span.label-description")),!o.donotSupportOcticons))}:r.descriptionNodeFactory=function(){
return r._register(new s(n.append(r.labelDescriptionContainer.element,n.$("span.label-description"))))},r}return o(t,e),t.prototype.setValue=function(e,t,n){var o=["monaco-icon-label"];n&&(n.extraClasses&&o.push.apply(o,n.extraClasses),n.italic&&o.push("italic")),this.domNode.className=o.join(" "),this.domNode.title=n&&n.title?n.title:"",this.labelNode instanceof i.HighlightedLabel?this.labelNode.set(e||"",n?n.matches:void 0,n&&n.title?n.title:void 0,n&&n.labelEscapeNewLines):this.labelNode.textContent=e||"",(t||this.descriptionNode)&&(this.descriptionNode||(this.descriptionNode=this.descriptionNodeFactory()),this.descriptionNode instanceof i.HighlightedLabel?(this.descriptionNode.set(t||"",n?n.descriptionMatches:void 0),n&&n.descriptionTitle?this.descriptionNode.element.title=n.descriptionTitle:this.descriptionNode.element.removeAttribute("title")):(this.descriptionNode.textContent=t||"",this.descriptionNode.title=n&&n.descriptionTitle?n.descriptionTitle:"",this.descriptionNode.empty=!t))},t}(r.Disposable)
;t.IconLabel=a}),define(t[206],n([9]),{}),define(t[210],n([9]),{}),define(t[211],n([9]),{}),define(t[212],n([9]),{}),define(t[216],n([9]),{}),define(t[219],n([0,1,2,28,27,7,16,216]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l={progressBarBackground:i.Color.fromHex("#0E70C0")},u=function(e){function t(t,n){var i=e.call(this)||this;return i.options=n||Object.create(null),r.mixin(i.options,l,!1),i.workedVal=0,i.progressBarBackground=i.options.progressBarBackground,i._register(i.showDelayedScheduler=new a.RunOnceScheduler(function(){return s.show(i.element)},0)),i.create(t),i}return o(t,e),t.prototype.create=function(e){this.element=document.createElement("div"),s.addClass(this.element,"monaco-progress-container"),e.appendChild(this.element),this.bit=document.createElement("div"),s.addClass(this.bit,"progress-bit"),this.element.appendChild(this.bit),this.applyStyles()},t.prototype.off=function(){this.bit.style.width="inherit",this.bit.style.opacity="1",
s.removeClasses(this.element,"active","infinite","discrete"),this.workedVal=0,this.totalWork=void 0},t.prototype.stop=function(){return this.doDone(!1)},t.prototype.doDone=function(e){var t=this;return s.addClass(this.element,"done"),s.hasClass(this.element,"infinite")?(this.bit.style.opacity="0",e?setTimeout(function(){return t.off()},200):this.off()):(this.bit.style.width="inherit",e?setTimeout(function(){return t.off()},200):this.off()),this},t.prototype.hide=function(){s.hide(this.element),this.showDelayedScheduler.cancel()},t.prototype.style=function(e){this.progressBarBackground=e.progressBarBackground,this.applyStyles()},t.prototype.applyStyles=function(){if(this.bit){var e=this.progressBarBackground?this.progressBarBackground.toString():null;this.bit.style.backgroundColor=e}},t}(n.Disposable);t.ProgressBar=u}),define(t[220],n([9]),{}),define(t[102],n([0,1,2,29,17,32,75,40,6,7,72,220]),function(e,t,n,i,r,s,a,l,u,d,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=!1,p=function(e){
function t(t,n,o){void 0===o&&(o={});var s=e.call(this)||this;return s._state=3,s._onDidEnablementChange=s._register(new u.Emitter),s.onDidEnablementChange=s._onDidEnablementChange.event,s._onDidStart=s._register(new u.Emitter),s.onDidStart=s._onDidStart.event,s._onDidChange=s._register(new u.Emitter),s.onDidChange=s._onDidChange.event,s._onDidReset=s._register(new u.Emitter),s.onDidReset=s._onDidReset.event,s._onDidEnd=s._register(new u.Emitter),s.onDidEnd=s._onDidEnd.event,s.linkedSash=void 0,s.orthogonalStartSashDisposables=[],s.orthogonalEndSashDisposables=[],s.el=d.append(t,d.$(".monaco-sash")),r.isMacintosh&&d.addClass(s.el,"mac"),s._register(c.domEvent(s.el,"mousedown")(s.onMouseDown,s)),s._register(c.domEvent(s.el,"dblclick")(s.onMouseDoubleClick,s)),a.Gesture.addTarget(s.el),s._register(c.domEvent(s.el,a.EventType.Start)(s.onTouchStart,s)),i.isIPad&&d.addClass(s.el,"touch"),s.setOrientation(o.orientation||0),s.hidden=!1,s.layoutProvider=n,s.orthogonalStartSash=o.orthogonalStartSash,
s.orthogonalEndSash=o.orthogonalEndSash,d.toggleClass(s.el,"debug",h),s}return o(t,e),Object.defineProperty(t.prototype,"state",{get:function(){return this._state},set:function(e){this._state!==e&&(d.toggleClass(this.el,"disabled",0===e),d.toggleClass(this.el,"minimum",1===e),d.toggleClass(this.el,"maximum",2===e),this._state=e,this._onDidEnablementChange.fire(e))},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"orthogonalStartSash",{get:function(){return this._orthogonalStartSash},set:function(e){this.orthogonalStartSashDisposables=n.dispose(this.orthogonalStartSashDisposables),e?(e.onDidEnablementChange(this.onOrthogonalStartSashEnablementChange,this,this.orthogonalStartSashDisposables),this.onOrthogonalStartSashEnablementChange(e.state)):this.onOrthogonalStartSashEnablementChange(0),this._orthogonalStartSash=e},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"orthogonalEndSash",{get:function(){return this._orthogonalEndSash},set:function(e){
this.orthogonalEndSashDisposables=n.dispose(this.orthogonalEndSashDisposables),e?(e.onDidEnablementChange(this.onOrthogonalEndSashEnablementChange,this,this.orthogonalEndSashDisposables),this.onOrthogonalEndSashEnablementChange(e.state)):this.onOrthogonalEndSashEnablementChange(0),this._orthogonalEndSash=e},enumerable:!0,configurable:!0}),t.prototype.setOrientation=function(e){this.orientation=e,1===this.orientation?(d.addClass(this.el,"horizontal"),d.removeClass(this.el,"vertical")):(d.removeClass(this.el,"horizontal"),d.addClass(this.el,"vertical")),this.layoutProvider&&this.layout()},t.prototype.onMouseDown=function(e){var t=this;d.EventHelper.stop(e,!1);var i=!1;if(this.linkedSash&&!e.__linkedSashEvent&&(e.__linkedSashEvent=!0,this.linkedSash.onMouseDown(e)),!e.__orthogonalSashEvent){var o=void 0
;0===this.orientation?e.offsetY<=4?o=this.orthogonalStartSash:e.offsetY>=this.el.clientHeight-4&&(o=this.orthogonalEndSash):e.offsetX<=4?o=this.orthogonalStartSash:e.offsetX>=this.el.clientWidth-4&&(o=this.orthogonalEndSash),o&&(i=!0,e.__orthogonalSashEvent=!0,o.onMouseDown(e))}if(this.state){for(var s=0,a=d.getElementsByTagName("iframe");s<a.length;s++){a[s].style.pointerEvents="none"}var u=new l.StandardMouseEvent(e),h=u.posx,p=u.posy,f=u.altKey,g={startX:h,currentX:h,startY:p,currentY:p,altKey:f};d.addClass(this.el,"active"),this._onDidStart.fire(g);var m=d.createStyleSheet(this.el),v=function(){var e="";e=i?"all-scroll":1===t.orientation?1===t.state?"s-resize":2===t.state?"n-resize":r.isMacintosh?"row-resize":"ns-resize":1===t.state?"e-resize":2===t.state?"w-resize":r.isMacintosh?"col-resize":"ew-resize",m.innerHTML="* { cursor: "+e+" !important; }"},_=[];v(),i||this.onDidEnablementChange(v,null,_);c.domEvent(window,"mousemove")(function(e){d.EventHelper.stop(e,!1);var n=new l.StandardMouseEvent(e),i={
startX:h,currentX:n.posx,startY:p,currentY:n.posy,altKey:f};t._onDidChange.fire(i)},null,_),c.domEvent(window,"mouseup")(function(e){d.EventHelper.stop(e,!1),t.el.removeChild(m),d.removeClass(t.el,"active"),t._onDidEnd.fire(),n.dispose(_);for(var i=0,o=d.getElementsByTagName("iframe");i<o.length;i++)o[i].style.pointerEvents="auto"},null,_)}},t.prototype.onMouseDoubleClick=function(e){this._onDidReset.fire()},t.prototype.onTouchStart=function(e){var t=this;d.EventHelper.stop(e);var i=[],o=e.pageX,r=e.pageY,l=e.altKey;this._onDidStart.fire({startX:o,currentX:o,startY:r,currentY:r,altKey:l}),i.push(d.addDisposableListener(this.el,a.EventType.Change,function(e){s.isNumber(e.pageX)&&s.isNumber(e.pageY)&&t._onDidChange.fire({startX:o,currentX:e.pageX,startY:r,currentY:e.pageY,altKey:l})})),i.push(d.addDisposableListener(this.el,a.EventType.End,function(e){t._onDidEnd.fire(),n.dispose(i)}))},t.prototype.layout=function(){var e=i.isIPad?20:4;if(0===this.orientation){var t=this.layoutProvider
;this.el.style.left=t.getVerticalSashLeft(this)-e/2+"px",t.getVerticalSashTop&&(this.el.style.top=t.getVerticalSashTop(this)+"px"),t.getVerticalSashHeight&&(this.el.style.height=t.getVerticalSashHeight(this)+"px")}else{var n=this.layoutProvider;this.el.style.top=n.getHorizontalSashTop(this)-e/2+"px",n.getHorizontalSashLeft&&(this.el.style.left=n.getHorizontalSashLeft(this)+"px"),n.getHorizontalSashWidth&&(this.el.style.width=n.getHorizontalSashWidth(this)+"px")}},t.prototype.hide=function(){this.hidden=!0,this.el.style.display="none",this.el.setAttribute("aria-hidden","true")},t.prototype.onOrthogonalStartSashEnablementChange=function(e){d.toggleClass(this.el,"orthogonal-start",0!==e)},t.prototype.onOrthogonalEndSashEnablementChange=function(e){d.toggleClass(this.el,"orthogonal-end",0!==e)},t.prototype.dispose=function(){e.prototype.dispose.call(this),this.orthogonalStartSashDisposables=n.dispose(this.orthogonalStartSashDisposables),
this.orthogonalEndSashDisposables=n.dispose(this.orthogonalEndSashDisposables),this.el&&this.el.parentElement&&this.el.parentElement.removeChild(this.el),this.el=null},t}(n.Disposable);t.Sash=p}),define(t[224],n([9]),{}),define(t[55],n([0,1,7,23,40,420,422,46,16,6,2,17,169,224]),function(e,t,n,i,r,s,a,l,u,d,c,h,p){"use strict";function f(e){var t={lazyRender:void 0!==e.lazyRender&&e.lazyRender,className:void 0!==e.className?e.className:"",useShadows:void 0===e.useShadows||e.useShadows,handleMouseWheel:void 0===e.handleMouseWheel||e.handleMouseWheel,flipAxes:void 0!==e.flipAxes&&e.flipAxes,alwaysConsumeMouseWheel:void 0!==e.alwaysConsumeMouseWheel&&e.alwaysConsumeMouseWheel,scrollYToX:void 0!==e.scrollYToX&&e.scrollYToX,mouseWheelScrollSensitivity:void 0!==e.mouseWheelScrollSensitivity?e.mouseWheelScrollSensitivity:1,mouseWheelSmoothScroll:void 0===e.mouseWheelSmoothScroll||e.mouseWheelSmoothScroll,arrowSize:void 0!==e.arrowSize?e.arrowSize:11,listenOnDomNode:void 0!==e.listenOnDomNode?e.listenOnDomNode:null,
horizontal:void 0!==e.horizontal?e.horizontal:1,horizontalScrollbarSize:void 0!==e.horizontalScrollbarSize?e.horizontalScrollbarSize:10,horizontalSliderSize:void 0!==e.horizontalSliderSize?e.horizontalSliderSize:0,horizontalHasArrows:void 0!==e.horizontalHasArrows&&e.horizontalHasArrows,vertical:void 0!==e.vertical?e.vertical:1,verticalScrollbarSize:void 0!==e.verticalScrollbarSize?e.verticalScrollbarSize:10,verticalHasArrows:void 0!==e.verticalHasArrows&&e.verticalHasArrows,verticalSliderSize:void 0!==e.verticalSliderSize?e.verticalSliderSize:0};return t.horizontalSliderSize=void 0!==e.horizontalSliderSize?e.horizontalSliderSize:t.horizontalScrollbarSize,t.verticalSliderSize=void 0!==e.verticalSliderSize?e.verticalSliderSize:t.verticalScrollbarSize,h.isMacintosh&&(t.className+=" mac"),t}Object.defineProperty(t,"__esModule",{value:!0});var g=function(){return function(e,t,n){this.timestamp=e,this.deltaX=t,this.deltaY=n,this.score=0}}(),m=function(){function e(){this._capacity=5,this._memory=[],this._front=-1,
this._rear=-1}return e.prototype.isPhysicalMouseWheel=function(){if(-1===this._front&&-1===this._rear)return!1;for(var e=1,t=0,n=1,i=this._rear;;){var o=i===this._front?e:Math.pow(2,-n);if(e-=o,t+=this._memory[i].score*o,i===this._front)break;i=(this._capacity+i-1)%this._capacity,n++}return t<=.5},e.prototype.accept=function(e,t,n){var i=new g(e,t,n);i.score=this._computeScore(i),-1===this._front&&-1===this._rear?(this._memory[0]=i,this._front=0,this._rear=0):(this._rear=(this._rear+1)%this._capacity,this._rear===this._front&&(this._front=(this._front+1)%this._capacity),this._memory[this._rear]=i)},e.prototype._computeScore=function(e){if(Math.abs(e.deltaX)>0&&Math.abs(e.deltaY)>0)return 1;var t=.5;-1===this._front&&-1===this._rear||this._memory[this._rear];return(Math.abs(e.deltaX-Math.round(e.deltaX))>0||Math.abs(e.deltaY-Math.round(e.deltaY))>0)&&(t+=.25),Math.min(Math.max(t,0),1)},e.INSTANCE=new e,e}();t.MouseWheelClassifier=m;var v=function(e){function t(t,n,o){var r=e.call(this)||this
;r._onScroll=r._register(new d.Emitter),r.onScroll=r._onScroll.event,t.style.overflow="hidden",r._options=f(n),r._scrollable=o,r._register(r._scrollable.onScroll(function(e){r._onDidScroll(e),r._onScroll.fire(e)}));var l={onMouseWheel:function(e){return r._onMouseWheel(e)},onDragStart:function(){return r._onDragStart()},onDragEnd:function(){return r._onDragEnd()}};return r._verticalScrollbar=r._register(new a.VerticalScrollbar(r._scrollable,r._options,l)),r._horizontalScrollbar=r._register(new s.HorizontalScrollbar(r._scrollable,r._options,l)),r._domNode=document.createElement("div"),r._domNode.className="monaco-scrollable-element "+r._options.className,r._domNode.setAttribute("role","presentation"),r._domNode.style.position="relative",r._domNode.style.overflow="hidden",r._domNode.appendChild(t),r._domNode.appendChild(r._horizontalScrollbar.domNode.domNode),r._domNode.appendChild(r._verticalScrollbar.domNode.domNode),
r._options.useShadows&&(r._leftShadowDomNode=i.createFastDomNode(document.createElement("div")),r._leftShadowDomNode.setClassName("shadow"),r._domNode.appendChild(r._leftShadowDomNode.domNode),r._topShadowDomNode=i.createFastDomNode(document.createElement("div")),r._topShadowDomNode.setClassName("shadow"),r._domNode.appendChild(r._topShadowDomNode.domNode),r._topLeftShadowDomNode=i.createFastDomNode(document.createElement("div")),r._topLeftShadowDomNode.setClassName("shadow top-left-corner"),r._domNode.appendChild(r._topLeftShadowDomNode.domNode)),r._listenOnDomNode=r._options.listenOnDomNode||r._domNode,r._mouseWheelToDispose=[],r._setListeningToMouseWheel(r._options.handleMouseWheel),r.onmouseover(r._listenOnDomNode,function(e){return r._onMouseOver(e)}),r.onnonbubblingmouseout(r._listenOnDomNode,function(e){return r._onMouseOut(e)}),r._hideTimeout=r._register(new u.TimeoutTimer),r._isDragging=!1,r._mouseIsOver=!1,r._shouldRender=!0,r._revealOnScroll=!0,r}return o(t,e),t.prototype.dispose=function(){
this._mouseWheelToDispose=c.dispose(this._mouseWheelToDispose),e.prototype.dispose.call(this)},t.prototype.getDomNode=function(){return this._domNode},t.prototype.getOverviewRulerLayoutInfo=function(){return{parent:this._domNode,insertBefore:this._verticalScrollbar.domNode.domNode}},t.prototype.delegateVerticalScrollbarMouseDown=function(e){this._verticalScrollbar.delegateMouseDown(e)},t.prototype.getScrollDimensions=function(){return this._scrollable.getScrollDimensions()},t.prototype.setScrollDimensions=function(e){this._scrollable.setScrollDimensions(e)},t.prototype.updateClassName=function(e){this._options.className=e,h.isMacintosh&&(this._options.className+=" mac"),this._domNode.className="monaco-scrollable-element "+this._options.className},t.prototype.updateOptions=function(e){var t=f(e);this._options.handleMouseWheel=t.handleMouseWheel,this._options.mouseWheelScrollSensitivity=t.mouseWheelScrollSensitivity,this._setListeningToMouseWheel(this._options.handleMouseWheel),
this._options.lazyRender||this._render()},t.prototype._setListeningToMouseWheel=function(e){var t=this;if(this._mouseWheelToDispose.length>0!==e&&(this._mouseWheelToDispose=c.dispose(this._mouseWheelToDispose),e)){var i=function(e){var n=new r.StandardMouseWheelEvent(e);t._onMouseWheel(n)};this._mouseWheelToDispose.push(n.addDisposableListener(this._listenOnDomNode,"mousewheel",i)),this._mouseWheelToDispose.push(n.addDisposableListener(this._listenOnDomNode,"DOMMouseScroll",i))}},t.prototype._onMouseWheel=function(e){var t,n=m.INSTANCE;if(n.accept(Date.now(),e.deltaX,e.deltaY),e.deltaY||e.deltaX){var i=e.deltaY*this._options.mouseWheelScrollSensitivity,o=e.deltaX*this._options.mouseWheelScrollSensitivity;this._options.flipAxes&&(i=(t=[o,i])[0],o=t[1]);var r=!h.isMacintosh&&e.browserEvent&&e.browserEvent.shiftKey;!this._options.scrollYToX&&!r||o||(o=i,i=0);var s=this._scrollable.getFutureScrollPosition(),a={};if(i){var l=s.scrollTop-50*i;this._verticalScrollbar.writeScrollPosition(a,l)}if(o){
var u=s.scrollLeft-50*o;this._horizontalScrollbar.writeScrollPosition(a,u)}if(a=this._scrollable.validateScrollPosition(a),s.scrollLeft!==a.scrollLeft||s.scrollTop!==a.scrollTop){this._options.mouseWheelSmoothScroll&&n.isPhysicalMouseWheel()?this._scrollable.setScrollPositionSmooth(a):this._scrollable.setScrollPositionNow(a),this._shouldRender=!0}}(this._options.alwaysConsumeMouseWheel||this._shouldRender)&&(e.preventDefault(),e.stopPropagation())},t.prototype._onDidScroll=function(e){this._shouldRender=this._horizontalScrollbar.onDidScroll(e)||this._shouldRender,this._shouldRender=this._verticalScrollbar.onDidScroll(e)||this._shouldRender,this._options.useShadows&&(this._shouldRender=!0),this._revealOnScroll&&this._reveal(),this._options.lazyRender||this._render()},t.prototype.renderNow=function(){if(!this._options.lazyRender)throw new Error("Please use `lazyRender` together with `renderNow`!");this._render()},t.prototype._render=function(){if(this._shouldRender&&(this._shouldRender=!1,
this._horizontalScrollbar.render(),this._verticalScrollbar.render(),this._options.useShadows)){var e=this._scrollable.getCurrentScrollPosition(),t=e.scrollTop>0,n=e.scrollLeft>0;this._leftShadowDomNode.setClassName("shadow"+(n?" left":"")),this._topShadowDomNode.setClassName("shadow"+(t?" top":"")),this._topLeftShadowDomNode.setClassName("shadow top-left-corner"+(t?" top":"")+(n?" left":""))}},t.prototype._onDragStart=function(){this._isDragging=!0,this._reveal()},t.prototype._onDragEnd=function(){this._isDragging=!1,this._hide()},t.prototype._onMouseOut=function(e){this._mouseIsOver=!1,this._hide()},t.prototype._onMouseOver=function(e){this._mouseIsOver=!0,this._reveal()},t.prototype._reveal=function(){this._verticalScrollbar.beginReveal(),this._horizontalScrollbar.beginReveal(),this._scheduleHide()},t.prototype._hide=function(){this._mouseIsOver||this._isDragging||(this._verticalScrollbar.beginHide(),this._horizontalScrollbar.beginHide())},t.prototype._scheduleHide=function(){var e=this
;this._mouseIsOver||this._isDragging||this._hideTimeout.cancelAndSet(function(){return e._hide()},500)},t}(l.Widget);t.AbstractScrollableElement=v;var _=function(e){function t(t,i){var o=this;(i=i||{}).mouseWheelSmoothScroll=!1;var r=new p.Scrollable(0,function(e){return n.scheduleAtNextAnimationFrame(e)});return(o=e.call(this,t,i,r)||this)._register(r),o}return o(t,e),t.prototype.setScrollPosition=function(e){this._scrollable.setScrollPositionNow(e)},t.prototype.getScrollPosition=function(){return this._scrollable.getCurrentScrollPosition()},t}(v);t.ScrollableElement=_;var y=function(e){function t(t,n,i){return e.call(this,t,n,i)||this}return o(t,e),t}(v);t.SmoothScrollableElement=y;var C=function(e){function t(t,n){var i=e.call(this,t,n)||this;return i._element=t,i.onScroll(function(e){e.scrollTopChanged&&(i._element.scrollTop=e.scrollTop),e.scrollLeftChanged&&(i._element.scrollLeft=e.scrollLeft)}),i.scanDomNode(),i}return o(t,e),t.prototype.scanDomNode=function(){this.setScrollDimensions({
width:this._element.clientWidth,scrollWidth:this._element.scrollWidth,height:this._element.clientHeight,scrollHeight:this._element.scrollHeight}),this.setScrollPosition({scrollLeft:this._element.scrollLeft,scrollTop:this._element.scrollTop})},t}(_);t.DomScrollableElement=C}),define(t[231],n([0,1,27,2,75,7,6,72,55,466,369,17,29,128,40,115]),function(e,t,n,i,o,r,s,l,u,d,c,h,p,f,g,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var v={useShadows:!0,verticalScrollMode:1,setRowLineHeight:!0},_=function(){function e(e,t,i,r){void 0===r&&(r=v),this.virtualDelegate=t,this.renderers=new Map,this.didRequestScrollableElementUpdate=!1,this.splicing=!1,this.items=[],this.itemId=0,this.rangeMap=new d.RangeMap;for(var a=0,h=i;a<h.length;a++){var p=h[a];this.renderers.set(p.templateId,p)}this.cache=new c.RowCache(this.renderers),this.lastRenderTop=0,this.lastRenderHeight=0,this._domNode=document.createElement("div"),this._domNode.className="monaco-list",this.rowsContainer=document.createElement("div"),
this.rowsContainer.className="monaco-list-rows",o.Gesture.addTarget(this.rowsContainer),this.scrollableElement=new u.ScrollableElement(this.rowsContainer,{alwaysConsumeMouseWheel:!0,horizontal:2,vertical:n.getOrDefault(r,function(e){return e.verticalScrollMode},v.verticalScrollMode),useShadows:n.getOrDefault(r,function(e){return e.useShadows},v.useShadows)}),this._domNode.appendChild(this.scrollableElement.getDomNode()),e.appendChild(this._domNode),this.disposables=[this.rangeMap,this.gesture,this.scrollableElement,this.cache],this.scrollableElement.onScroll(this.onScroll,this,this.disposables),l.domEvent(this.rowsContainer,o.EventType.Change)(this.onTouchChange,this,this.disposables),l.domEvent(this.scrollableElement.getDomNode(),"scroll")(function(e){return e.target.scrollTop=0},null,this.disposables);s.mapEvent(l.domEvent(this.rowsContainer,"dragover"),function(e){return new g.DragMouseEvent(e)})(this.onDragOver,this,this.disposables),this.setRowLineHeight=n.getOrDefault(r,function(e){
return e.setRowLineHeight},v.setRowLineHeight),this.layout()}return Object.defineProperty(e.prototype,"domNode",{get:function(){return this._domNode},enumerable:!0,configurable:!0}),e.prototype.splice=function(e,t,n){if(void 0===n&&(n=[]),this.splicing)throw new Error("Can't run recursive splices.");this.splicing=!0;try{return this._splice(e,t,n)}finally{this.splicing=!1}},e.prototype._splice=function(e,t,n){var i=this;void 0===n&&(n=[]);for(var o,s=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight),a={start:e,end:e+t},l=m.Range.intersect(s,a),u=l.start;u<l.end;u++)this.removeItemFromDOM(u);var c,h={start:e+t,end:this.items.length},p=m.Range.intersect(h,s),f=m.Range.relativeComplement(h,s),g=n.map(function(e){return{id:String(i.itemId++),element:e,size:i.virtualDelegate.getHeight(e),templateId:i.virtualDelegate.getTemplateId(e),row:null}});0===e&&t>=this.items.length?(this.rangeMap=new d.RangeMap,this.rangeMap.splice(0,0,g),this.items=g,c=[]):(this.rangeMap.splice(e,t,g),
c=(o=this.items).splice.apply(o,[e,t].concat(g)));for(var v=n.length-t,_=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight),y=d.shift(p,v),C=m.Range.intersect(_,y),u=C.start;u<C.end;u++)this.updateItemInDOM(this.items[u],u);for(var b=m.Range.relativeComplement(y,_),S=0;S<b.length;S++)for(var w=b[S],u=w.start;u<w.end;u++)this.removeItemFromDOM(u);for(var E=f.map(function(e){return d.shift(e,v)}),L=[{start:e,end:e+n.length}].concat(E).map(function(e){return m.Range.intersect(_,e)}),x=this.getNextToLastElement(L),S=0;S<L.length;S++)for(var I=L[S],u=I.start;u<I.end;u++)this.insertItemInDOM(u,x);return this.scrollHeight=this.getContentHeight(),this.rowsContainer.style.height=this.scrollHeight+"px",this.didRequestScrollableElementUpdate||(r.scheduleAtNextAnimationFrame(function(){i.scrollableElement.setScrollDimensions({scrollHeight:i.scrollHeight}),i.didRequestScrollableElementUpdate=!1}),this.didRequestScrollableElementUpdate=!0),c.map(function(e){return e.element})},
Object.defineProperty(e.prototype,"length",{get:function(){return this.items.length},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"renderHeight",{get:function(){return this.scrollableElement.getScrollDimensions().height},enumerable:!0,configurable:!0}),e.prototype.element=function(e){return this.items[e].element},e.prototype.domElement=function(e){var t=this.items[e].row;return t&&t.domNode},e.prototype.elementHeight=function(e){return this.items[e].size},e.prototype.elementTop=function(e){return this.rangeMap.positionAt(e)},e.prototype.indexAt=function(e){return this.rangeMap.indexAt(e)},e.prototype.indexAfter=function(e){return this.rangeMap.indexAfter(e)},e.prototype.layout=function(e){this.scrollableElement.setScrollDimensions({height:e||r.getContentHeight(this._domNode)})},e.prototype.render=function(e,t){
for(var n=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight),i=this.getRenderRange(e,t),o=m.Range.relativeComplement(i,n),r=m.Range.relativeComplement(n,i),s=this.getNextToLastElement(o),a=0,l=o;a<l.length;a++)for(f=(c=l[a]).start;f<c.end;f++)this.insertItemInDOM(f,s);for(var u=0,d=r;u<d.length;u++)for(var c=d[u],f=c.start;f<c.end;f++)this.removeItemFromDOM(f);if(p.isFirefox||0!==p.getZoomLevel()||h.isWindows)this.rowsContainer.style.top="-"+e+"px";else{var g="translate3d(0px, -"+e+"px, 0px)";this.rowsContainer.style.transform=g,this.rowsContainer.style.webkitTransform=g}this.lastRenderTop=e,this.lastRenderHeight=t},e.prototype.insertItemInDOM=function(e,t){var n=this.items[e];n.row||(n.row=this.cache.alloc(n.templateId)),n.row.domNode.parentElement||(t?this.rowsContainer.insertBefore(n.row.domNode,t):this.rowsContainer.appendChild(n.row.domNode)),n.row.domNode.style.height=n.size+"px",this.setRowLineHeight&&(n.row.domNode.style.lineHeight=n.size+"px"),this.updateItemInDOM(n,e)
;this.renderers.get(n.templateId).renderElement(n.element,e,n.row.templateData)},e.prototype.updateItemInDOM=function(e,t){e.row.domNode.style.top=this.elementTop(t)+"px",e.row.domNode.setAttribute("data-index",""+t),e.row.domNode.setAttribute("data-last-element",t===this.length-1?"true":"false"),e.row.domNode.setAttribute("aria-setsize",""+this.length),e.row.domNode.setAttribute("aria-posinset",""+(t+1))},e.prototype.removeItemFromDOM=function(e){var t=this.items[e],n=this.renderers.get(t.templateId);n.disposeElement&&n.disposeElement(t.element,e,t.row.templateData),this.cache.release(t.row),t.row=null},e.prototype.getContentHeight=function(){return this.rangeMap.size},e.prototype.getScrollTop=function(){return this.scrollableElement.getScrollPosition().scrollTop},e.prototype.setScrollTop=function(e){this.scrollableElement.setScrollPosition({scrollTop:e})},Object.defineProperty(e.prototype,"scrollTop",{get:function(){return this.getScrollTop()},set:function(e){this.setScrollTop(e)},enumerable:!0,
configurable:!0}),Object.defineProperty(e.prototype,"onMouseClick",{get:function(){var e=this;return s.filterEvent(s.mapEvent(l.domEvent(this.domNode,"click"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseDblClick",{get:function(){var e=this;return s.filterEvent(s.mapEvent(l.domEvent(this.domNode,"dblclick"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseDown",{get:function(){var e=this;return s.filterEvent(s.mapEvent(l.domEvent(this.domNode,"mousedown"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onContextMenu",{get:function(){var e=this;return s.filterEvent(s.mapEvent(l.domEvent(this.domNode,"contextmenu"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),
Object.defineProperty(e.prototype,"onTouchStart",{get:function(){var e=this;return s.filterEvent(s.mapEvent(l.domEvent(this.domNode,"touchstart"),function(t){return e.toTouchEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onTap",{get:function(){var e=this;return s.filterEvent(s.mapEvent(l.domEvent(this.rowsContainer,o.EventType.Tap),function(t){return e.toGestureEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),e.prototype.toMouseEvent=function(e){var t=this.getItemIndexFromEventTarget(e.target),n=t<0?void 0:this.items[t];return{browserEvent:e,index:t,element:n&&n.element}},e.prototype.toTouchEvent=function(e){var t=this.getItemIndexFromEventTarget(e.target),n=t<0?void 0:this.items[t];return{browserEvent:e,index:t,element:n&&n.element}},e.prototype.toGestureEvent=function(e){var t=this.getItemIndexFromEventTarget(e.initialTarget),n=t<0?void 0:this.items[t];return{browserEvent:e,index:t,element:n&&n.element}},
e.prototype.onScroll=function(e){try{this.render(e.scrollTop,e.height)}catch(t){throw console.log("Got bad scroll event:",e),t}},e.prototype.onTouchChange=function(e){e.preventDefault(),e.stopPropagation(),this.scrollTop-=e.translationY},e.prototype.onDragOver=function(e){this.setupDragAndDropScrollInterval(),this.dragAndDropMouseY=e.posy},e.prototype.setupDragAndDropScrollInterval=function(){var e=this,t=r.getTopLeftOffset(this._domNode).top;this.dragAndDropScrollInterval||(this.dragAndDropScrollInterval=window.setInterval(function(){if(void 0!==e.dragAndDropMouseY){var n=e.dragAndDropMouseY-t,i=0,o=e.renderHeight-35;n<35?i=Math.max(-14,.2*(n-35)):n>o&&(i=Math.min(14,.2*(n-o))),e.scrollTop+=i}},10),this.cancelDragAndDropScrollTimeout(),this.dragAndDropScrollTimeout=window.setTimeout(function(){e.cancelDragAndDropScrollInterval(),e.dragAndDropScrollTimeout=null},1e3))},e.prototype.cancelDragAndDropScrollInterval=function(){this.dragAndDropScrollInterval&&(window.clearInterval(this.dragAndDropScrollInterval),
this.dragAndDropScrollInterval=null),this.cancelDragAndDropScrollTimeout()},e.prototype.cancelDragAndDropScrollTimeout=function(){this.dragAndDropScrollTimeout&&(window.clearTimeout(this.dragAndDropScrollTimeout),this.dragAndDropScrollTimeout=null)},e.prototype.getItemIndexFromEventTarget=function(e){for(;e instanceof HTMLElement&&e!==this.rowsContainer;){var t=e,n=t.getAttribute("data-index");if(n){var i=Number(n);if(!isNaN(i))return i}e=t.parentElement}return-1},e.prototype.getRenderRange=function(e,t){return{start:this.rangeMap.indexAt(e),end:this.rangeMap.indexAfter(e+t-1)}},e.prototype.getNextToLastElement=function(e){var t=e[e.length-1];if(!t)return null;var n=this.items[t.end];return n&&n.row?n.row.domNode:null},e.prototype.dispose=function(){if(this.items){for(var e=0,t=this.items;e<t.length;e++){var n=t[e];if(n.row){this.renderers.get(n.row.templateId).disposeTemplate(n.row.templateData),n.row=null}}this.items=null}
this._domNode&&this._domNode.parentElement&&(this._domNode.parentNode.removeChild(this._domNode),this._domNode=null),this.disposables=i.dispose(this.disposables)},a([f.memoize],e.prototype,"onMouseClick",null),a([f.memoize],e.prototype,"onMouseDblClick",null),a([f.memoize],e.prototype,"onMouseDown",null),a([f.memoize],e.prototype,"onContextMenu",null),a([f.memoize],e.prototype,"onTouchStart",null),a([f.memoize],e.prototype,"onTap",null),e}();t.ListView=_}),define(t[235],n([0,1,17,29,2,7,130,75,8,40,52,443,87,55,445,440,6,423,88,16]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v,_,y,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var b=function(){function e(e){this.context=e,this._cache={"":[]}}return e.prototype.alloc=function(e){var t=this.cache(e).pop();if(!t){var n=document.createElement("div");n.className="content";var i=document.createElement("div");i.appendChild(n);var o=null;try{o=this.context.renderer.renderTemplate(this.context.tree,e,n)}catch(e){
console.error("Tree usage error: exception while rendering template"),console.error(e)}t={element:i,templateId:e,templateData:o}}return t},e.prototype.release=function(e,t){!function(e){try{e.parentElement.removeChild(e)}catch(e){}}(t.element),this.cache(e).push(t)},e.prototype.cache=function(e){return this._cache[e]||(this._cache[e]=[])},e.prototype.garbageCollect=function(){var e=this;this._cache&&Object.keys(this._cache).forEach(function(t){e._cache[t].forEach(function(n){e.context.renderer.disposeTemplate(e.context.tree,t,n.templateData),n.element=null,n.templateData=null}),delete e._cache[t]})},e.prototype.dispose=function(){this.garbageCollect(),this._cache=null,this.context=null},e}();t.RowCache=b;var S=function(){function e(e,t){var n=this;this.width=0,this.context=e,this.model=t,this.id=this.model.id,this.row=null,this.top=0,this.height=t.getHeight(),this._styles={},t.getAllTraits().forEach(function(e){return n._styles[e]=!0}),t.isExpanded()&&this.addClass("expanded")}
return Object.defineProperty(e.prototype,"expanded",{set:function(e){e?this.addClass("expanded"):this.removeClass("expanded")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"loading",{set:function(e){e?this.addClass("loading"):this.removeClass("loading")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"draggable",{get:function(){return this._draggable},set:function(e){this._draggable=e,this.render(!0)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"dropTarget",{set:function(e){e?this.addClass("drop-target"):this.removeClass("drop-target")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"element",{get:function(){return this.row&&this.row.element},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"templateId",{get:function(){return this._templateId||(this._templateId=this.context.renderer.getTemplateId&&this.context.renderer.getTemplateId(this.context.tree,this.model.getElement()))},enumerable:!0,configurable:!0}),
e.prototype.addClass=function(e){this._styles[e]=!0,this.render(!0)},e.prototype.removeClass=function(e){delete this._styles[e],this.render(!0)},e.prototype.render=function(e){var t=this;if(void 0===e&&(e=!1),this.model&&this.element){var n=["monaco-tree-row"];n.push.apply(n,Object.keys(this._styles)),this.model.hasChildren()&&n.push("has-children"),this.element.className=n.join(" "),this.element.draggable=this.draggable,this.element.style.height=this.height+"px",this.element.setAttribute("role","treeitem");var i=this.context.accessibilityProvider,o=i.getAriaLabel(this.context.tree,this.model.getElement());if(o&&this.element.setAttribute("aria-label",o),i.getPosInSet&&i.getSetSize&&(this.element.setAttribute("aria-setsize",i.getSetSize()),this.element.setAttribute("aria-posinset",i.getPosInSet(this.context.tree,this.model.getElement()))),this.model.hasTrait("focused")){var r=u.safeBtoa(this.model.id);this.element.setAttribute("aria-selected","true"),this.element.setAttribute("id",r)
}else this.element.setAttribute("aria-selected","false"),this.element.removeAttribute("id");this.model.hasChildren()?this.element.setAttribute("aria-expanded",String(!!this._styles.expanded)):this.element.removeAttribute("aria-expanded"),this.element.setAttribute("aria-level",String(this.model.getDepth())),this.context.options.paddingOnRow?this.element.style.paddingLeft=this.context.options.twistiePixels+(this.model.getDepth()-1)*this.context.options.indentPixels+"px":(this.element.style.paddingLeft=(this.model.getDepth()-1)*this.context.options.indentPixels+"px",this.row.element.firstElementChild.style.paddingLeft=this.context.options.twistiePixels+"px");var a=this.context.dnd.getDragURI(this.context.tree,this.model.getElement());if(a!==this.uri&&(this.unbindDragStart&&(this.unbindDragStart.dispose(),this.unbindDragStart=null),a?(this.uri=a,this.draggable=!0,this.unbindDragStart=s.addDisposableListener(this.element,"dragstart",function(e){t.onDragStart(e)})):this.uri=null),!e&&this.element){
var l=window.getComputedStyle(this.element),d=parseFloat(l.paddingLeft);this.context.horizontalScrolling&&(this.element.style.width="fit-content");try{this.context.renderer.renderElement(this.context.tree,this.model.getElement(),this.templateId,this.row.templateData)}catch(e){console.error("Tree usage error: exception while rendering element"),console.error(e)}this.context.horizontalScrolling&&(this.width=s.getContentWidth(this.element)+d,this.element.style.width="")}}},e.prototype.insertInDOM=function(e,t){if(this.row||(this.row=this.context.cache.alloc(this.templateId),this.element[E.BINDING]=this),!this.element.parentElement){if(null===t)e.appendChild(this.element);else try{e.insertBefore(this.element,t)}catch(t){console.warn("Failed to locate previous tree element"),e.appendChild(this.element)}this.render()}},e.prototype.removeFromDOM=function(){this.row&&(this.unbindDragStart&&(this.unbindDragStart.dispose(),this.unbindDragStart=null),this.uri=null,this.element[E.BINDING]=null,
this.context.cache.release(this.templateId,this.row),this.row=null)},e.prototype.dispose=function(){this.row=null,this.model=null},e}();t.ViewItem=S;var w=function(e){function t(t,n,i){var o=e.call(this,t,n)||this;return o.row={element:i,templateData:null,templateId:null},o}return o(t,e),t.prototype.render=function(){if(this.model&&this.element){var e=["monaco-tree-wrapper"];e.push.apply(e,Object.keys(this._styles)),this.model.hasChildren()&&e.push("has-children"),this.element.className=e.join(" ")}},t.prototype.insertInDOM=function(e,t){},t.prototype.removeFromDOM=function(){},t}(S),E=function(e){function t(n,o){var a=e.call(this)||this;a.lastClickTimeStamp=0,a.contentWidthUpdateDelayer=new C.Delayer(50),a.isRefreshing=!1,a.refreshingPreviousChildrenIds={},a.currentDropDisposable=r.Disposable.None,a._onDOMFocus=new v.Emitter,a._onDOMBlur=new v.Emitter,a._onDidScroll=new v.Emitter,t.counter++,a.instance=t.counter;var u=void 0===n.options.horizontalScrollMode?2:n.options.horizontalScrollMode
;a.horizontalScrolling=2!==u,a.context={dataSource:n.dataSource,renderer:n.renderer,controller:n.controller,dnd:n.dnd,filter:n.filter,sorter:n.sorter,tree:n.tree,accessibilityProvider:n.accessibilityProvider,options:n.options,cache:new b(n),horizontalScrolling:a.horizontalScrolling},a.modelListeners=[],a.viewListeners=[],a.model=null,a.items={},a.domNode=document.createElement("div"),a.domNode.className="monaco-tree no-focused-item monaco-tree-instance-"+a.instance,a.domNode.tabIndex=n.options.preventRootFocus?-1:0,a.styleElement=s.createStyleSheet(a.domNode),a.treeStyler=n.styler,a.treeStyler||(a.treeStyler=new y.DefaultTreestyler(a.styleElement,"monaco-tree-instance-"+a.instance)),a.domNode.setAttribute("role","tree"),a.context.options.ariaLabel&&a.domNode.setAttribute("aria-label",a.context.options.ariaLabel),a.context.options.alwaysFocused&&s.addClass(a.domNode,"focused"),a.context.options.paddingOnRow||s.addClass(a.domNode,"no-row-padding"),a.wrapper=document.createElement("div"),
a.wrapper.className="monaco-tree-wrapper",a.scrollableElement=new f.ScrollableElement(a.wrapper,{alwaysConsumeMouseWheel:!0,horizontal:u,vertical:void 0!==n.options.verticalScrollMode?n.options.verticalScrollMode:1,useShadows:n.options.useShadows}),a.scrollableElement.onScroll(function(e){a.render(e.scrollTop,e.height,e.scrollLeft,e.width,e.scrollWidth),a._onDidScroll.fire()}),i.isIE?(a.wrapper.style.msTouchAction="none",a.wrapper.style.msContentZooming="none"):l.Gesture.addTarget(a.wrapper),a.rowsContainer=document.createElement("div"),a.rowsContainer.className="monaco-tree-rows",n.options.showTwistie&&(a.rowsContainer.className+=" show-twisties");var d=s.trackFocus(a.domNode);return a.viewListeners.push(d.onDidFocus(function(){return a.onFocus()})),a.viewListeners.push(d.onDidBlur(function(){return a.onBlur()})),a.viewListeners.push(d),a.viewListeners.push(s.addDisposableListener(a.domNode,"keydown",function(e){return a.onKeyDown(e)})),
a.viewListeners.push(s.addDisposableListener(a.domNode,"keyup",function(e){return a.onKeyUp(e)})),a.viewListeners.push(s.addDisposableListener(a.domNode,"mousedown",function(e){return a.onMouseDown(e)})),a.viewListeners.push(s.addDisposableListener(a.domNode,"mouseup",function(e){return a.onMouseUp(e)})),a.viewListeners.push(s.addDisposableListener(a.wrapper,"auxclick",function(e){e&&1===e.button&&a.onMouseMiddleClick(e)})),a.viewListeners.push(s.addDisposableListener(a.wrapper,"click",function(e){return a.onClick(e)})),a.viewListeners.push(s.addDisposableListener(a.domNode,"contextmenu",function(e){return a.onContextMenu(e)})),a.viewListeners.push(s.addDisposableListener(a.wrapper,l.EventType.Tap,function(e){return a.onTap(e)})),a.viewListeners.push(s.addDisposableListener(a.wrapper,l.EventType.Change,function(e){return a.onTouchChange(e)})),i.isIE&&(a.viewListeners.push(s.addDisposableListener(a.wrapper,"MSPointerDown",function(e){return a.onMsPointerDown(e)})),
a.viewListeners.push(s.addDisposableListener(a.wrapper,"MSGestureTap",function(e){return a.onMsGestureTap(e)})),a.viewListeners.push(s.addDisposableThrottledListener(a.wrapper,"MSGestureChange",function(e){return a.onThrottledMsGestureChange(e)},function(e,t){t.stopPropagation(),t.preventDefault();var n={translationY:t.translationY,translationX:t.translationX};return e&&(n.translationY+=e.translationY,n.translationX+=e.translationX),n}))),a.viewListeners.push(s.addDisposableListener(window,"dragover",function(e){return a.onDragOver(e)})),a.viewListeners.push(s.addDisposableListener(a.wrapper,"drop",function(e){return a.onDrop(e)})),a.viewListeners.push(s.addDisposableListener(window,"dragend",function(e){return a.onDragEnd(e)})),a.viewListeners.push(s.addDisposableListener(window,"dragleave",function(e){return a.onDragOver(e)})),a.wrapper.appendChild(a.rowsContainer),a.domNode.appendChild(a.scrollableElement.getDomNode()),o.appendChild(a.domNode),a.lastRenderTop=0,a.lastRenderHeight=0,
a.didJustPressContextMenuKey=!1,a.currentDropTarget=null,a.currentDropTargets=[],a.shouldInvalidateDropReaction=!1,a.dragAndDropScrollInterval=null,a.dragAndDropScrollTimeout=null,a.onHiddenScrollTop=null,a.onRowsChanged(),a.layout(),a.setupMSGesture(),a.applyStyles(n.options),a}return o(t,e),Object.defineProperty(t.prototype,"onDOMFocus",{get:function(){return this._onDOMFocus.event},enumerable:!0,configurable:!0}),t.prototype.applyStyles=function(e){this.treeStyler.style(e)},t.prototype.createViewItem=function(e){return new S(this.context,e)},t.prototype.getHTMLElement=function(){return this.domNode},t.prototype.focus=function(){this.domNode.focus()},t.prototype.isFocused=function(){return document.activeElement===this.domNode},t.prototype.blur=function(){this.domNode.blur()},t.prototype.setupMSGesture=function(){var e=this;window.MSGesture&&(this.msGesture=new MSGesture,setTimeout(function(){return e.msGesture.target=e.wrapper},100))},t.prototype.isTreeVisible=function(){
return null===this.onHiddenScrollTop},t.prototype.layout=function(e,t){this.isTreeVisible()&&(this.viewHeight=e||s.getContentHeight(this.wrapper),this.scrollHeight=this.getContentHeight(),this.horizontalScrolling&&(this.viewWidth=t||s.getContentWidth(this.wrapper)))},t.prototype.render=function(e,t,n,i,o){var r,s,a=e,l=e+t,u=this.lastRenderTop+this.lastRenderHeight;for(r=this.indexAfter(l)-1,s=this.indexAt(Math.max(u,a));r>=s;r--)this.insertItemInDOM(this.itemAtIndex(r));for(r=Math.min(this.indexAt(this.lastRenderTop),this.indexAfter(l))-1,s=this.indexAt(a);r>=s;r--)this.insertItemInDOM(this.itemAtIndex(r));for(r=this.indexAt(this.lastRenderTop),s=Math.min(this.indexAt(a),this.indexAfter(u));r<s;r++)this.removeItemFromDOM(this.itemAtIndex(r));for(r=Math.max(this.indexAfter(l),this.indexAt(this.lastRenderTop)),s=this.indexAfter(u);r<s;r++)this.removeItemFromDOM(this.itemAtIndex(r));var d=this.itemAtIndex(this.indexAt(a));d&&(this.rowsContainer.style.top=d.top-a+"px"),
this.horizontalScrolling&&(this.rowsContainer.style.left=-n+"px",this.rowsContainer.style.width=Math.max(o,i)+"px"),this.lastRenderTop=a,this.lastRenderHeight=l-a},t.prototype.setModel=function(e){this.releaseModel(),this.model=e,this.model.onRefresh(this.onRefreshing,this,this.modelListeners),this.model.onDidRefresh(this.onRefreshed,this,this.modelListeners),this.model.onSetInput(this.onClearingInput,this,this.modelListeners),this.model.onDidSetInput(this.onSetInput,this,this.modelListeners),this.model.onDidFocus(this.onModelFocusChange,this,this.modelListeners),this.model.onRefreshItemChildren(this.onItemChildrenRefreshing,this,this.modelListeners),this.model.onDidRefreshItemChildren(this.onItemChildrenRefreshed,this,this.modelListeners),this.model.onDidRefreshItem(this.onItemRefresh,this,this.modelListeners),this.model.onExpandItem(this.onItemExpanding,this,this.modelListeners),this.model.onDidExpandItem(this.onItemExpanded,this,this.modelListeners),
this.model.onCollapseItem(this.onItemCollapsing,this,this.modelListeners),this.model.onDidRevealItem(this.onItemReveal,this,this.modelListeners),this.model.onDidAddTraitItem(this.onItemAddTrait,this,this.modelListeners),this.model.onDidRemoveTraitItem(this.onItemRemoveTrait,this,this.modelListeners)},t.prototype.onRefreshing=function(){this.isRefreshing=!0},t.prototype.onRefreshed=function(){this.isRefreshing=!1,this.onRowsChanged()},t.prototype.onRowsChanged=function(e){void 0===e&&(e=this.scrollTop),this.isRefreshing||(this.scrollTop=e,this.updateScrollWidth())},t.prototype.updateScrollWidth=function(){var e=this;this.horizontalScrolling&&this.contentWidthUpdateDelayer.trigger(function(){for(var t=0,n=0,i=Object.keys(e.items);n<i.length;n++){var o=i[n];t=Math.max(t,e.items[o].width)}e.scrollWidth=t+10})},t.prototype.focusNextPage=function(e){var t=this,n=this.indexAt(this.scrollTop+this.viewHeight);n=0===n?0:n-1;var i=this.itemAtIndex(n).model.getElement()
;if(this.model.getFocus()!==i)this.model.setFocus(i,e);else{var o=this.scrollTop;this.scrollTop+=this.viewHeight,this.scrollTop!==o&&setTimeout(function(){t.focusNextPage(e)},0)}},t.prototype.focusPreviousPage=function(e){var t,n=this;t=0===this.scrollTop?this.indexAt(this.scrollTop):this.indexAfter(this.scrollTop-1);var i=this.itemAtIndex(t).model.getElement();if(this.model.getFocus()!==i)this.model.setFocus(i,e);else{var o=this.scrollTop;this.scrollTop-=this.viewHeight,this.scrollTop!==o&&setTimeout(function(){n.focusPreviousPage(e)},0)}},Object.defineProperty(t.prototype,"viewHeight",{get:function(){return this.scrollableElement.getScrollDimensions().height},set:function(e){this.scrollableElement.setScrollDimensions({height:e})},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"scrollHeight",{set:function(e){this.scrollableElement.setScrollDimensions({scrollHeight:e})},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"viewWidth",{get:function(){
return this.scrollableElement.getScrollDimensions().width},set:function(e){this.scrollableElement.setScrollDimensions({width:e})},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"scrollWidth",{set:function(e){this.scrollableElement.setScrollDimensions({scrollWidth:e})},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"scrollTop",{get:function(){return this.scrollableElement.getScrollPosition().scrollTop},set:function(e){this.scrollableElement.setScrollDimensions({scrollHeight:this.getContentHeight()}),this.scrollableElement.setScrollPosition({scrollTop:e})},enumerable:!0,configurable:!0}),t.prototype.onClearingInput=function(e){var t=e.item;t&&(this.onRemoveItems(new p.MappedIterator(t.getNavigator(),function(e){return e&&e.id})),this.onRowsChanged())},t.prototype.onSetInput=function(e){this.context.cache.garbageCollect(),this.inputItem=new w(this.context,e.item,this.wrapper)},t.prototype.onItemChildrenRefreshing=function(e){var n=e.item,i=this.items[n.id]
;if(i&&this.context.options.showLoading&&(i.loadingTimer=setTimeout(function(){i.loadingTimer=0,i.loading=!0},t.LOADING_DECORATION_DELAY)),!e.isNested){for(var o,r=[],s=n.getNavigator();o=s.next();)r.push(o.id);this.refreshingPreviousChildrenIds[n.id]=r}},t.prototype.onItemChildrenRefreshed=function(e){var t=this,n=e.item,i=this.items[n.id];if(i&&(i.loadingTimer&&(clearTimeout(i.loadingTimer),i.loadingTimer=0),i.loading=!1),!e.isNested){for(var o,r=this.refreshingPreviousChildrenIds[n.id],s=[],l=n.getNavigator();o=l.next();)s.push(o);var u=Math.abs(r.length-s.length)>1e3,d=void 0,c=void 0;if(!u){c=(d=new a.LcsDiff({getLength:function(){return r.length},getElementAtIndex:function(e){return r[e]}},{getLength:function(){return s.length},getElementAtIndex:function(e){return s[e].id}},null).ComputeDiff(!1)).some(function(e){if(e.modifiedLength>0)for(var n=e.modifiedStart,i=e.modifiedStart+e.modifiedLength;n<i;n++)if(t.items.hasOwnProperty(s[n].id))return!0;return!1})}
if(!u&&!c&&d.length<50)for(var h=0,f=d.length;h<f;h++){var g=d[h];if(g.originalLength>0&&this.onRemoveItems(new p.ArrayIterator(r,g.originalStart,g.originalStart+g.originalLength)),g.modifiedLength>0){var m=s[g.modifiedStart-1]||n;m=m.getDepth()>0?m:null,this.onInsertItems(new p.ArrayIterator(s,g.modifiedStart,g.modifiedStart+g.modifiedLength),m?m.id:null)}}else(u||d.length)&&(this.onRemoveItems(new p.ArrayIterator(r)),this.onInsertItems(new p.ArrayIterator(s),n.getDepth()>0?n.id:null));(u||d.length)&&this.onRowsChanged()}},t.prototype.onItemRefresh=function(e){this.onItemsRefresh([e])},t.prototype.onItemsRefresh=function(e){var t=this;this.onRefreshItemSet(e.filter(function(e){return t.items.hasOwnProperty(e.id)})),this.onRowsChanged()},t.prototype.onItemExpanding=function(e){var t=this.items[e.item.id];t&&(t.expanded=!0)},t.prototype.onItemExpanded=function(e){var t=e.item,n=this.items[t.id];if(n){n.expanded=!0;var i=this.onInsertItems(t.getNavigator(),t.id),o=this.scrollTop
;n.top+n.height<=this.scrollTop&&(o+=i),this.onRowsChanged(o)}},t.prototype.onItemCollapsing=function(e){var t=e.item,n=this.items[t.id];n&&(n.expanded=!1,this.onRemoveItems(new p.MappedIterator(t.getNavigator(),function(e){return e&&e.id})),this.onRowsChanged())},t.prototype.onItemReveal=function(e){var t=e.item,n=e.relativeTop,i=this.items[t.id];if(i)if(null!==n){n=(n=n<0?0:n)>1?1:n;var o=i.height-this.viewHeight;this.scrollTop=o*n+i.top}else{var r=i.top+i.height,s=this.scrollTop+this.viewHeight;i.top<this.scrollTop?this.scrollTop=i.top:r>=s&&(this.scrollTop=r-this.viewHeight)}},t.prototype.onItemAddTrait=function(e){var t=e.item,n=e.trait,i=this.items[t.id];i&&i.addClass(n),"highlighted"===n&&(s.addClass(this.domNode,n),i&&(this.highlightedItemWasDraggable=!!i.draggable,i.draggable&&(i.draggable=!1)))},t.prototype.onItemRemoveTrait=function(e){var t=e.item,n=e.trait,i=this.items[t.id];i&&i.removeClass(n),"highlighted"===n&&(s.removeClass(this.domNode,n),this.highlightedItemWasDraggable&&(i.draggable=!0),
this.highlightedItemWasDraggable=!1)},t.prototype.onModelFocusChange=function(){var e=this.model&&this.model.getFocus();s.toggleClass(this.domNode,"no-focused-item",!e),e?this.domNode.setAttribute("aria-activedescendant",u.safeBtoa(this.context.dataSource.getId(this.context.tree,e))):this.domNode.removeAttribute("aria-activedescendant")},t.prototype.onInsertItem=function(e){var t=this;e.onDragStart=function(n){t.onDragStart(e,n)},e.needsRender=!0,this.refreshViewItem(e),this.items[e.id]=e},t.prototype.onRefreshItem=function(e,t){void 0===t&&(t=!1),e.needsRender=e.needsRender||t,this.refreshViewItem(e)},t.prototype.onRemoveItem=function(e){this.removeItemFromDOM(e),e.dispose(),delete this.items[e.id]},t.prototype.refreshViewItem=function(e){e.render(),this.shouldBeRendered(e)?this.insertItemInDOM(e):this.removeItemFromDOM(e)},t.prototype.onClick=function(e){if(!this.lastPointerType||"mouse"===this.lastPointerType){var t=new d.StandardMouseEvent(e),n=this.getItemAround(t.target)
;n&&(i.isIE&&Date.now()-this.lastClickTimeStamp<300&&(t.detail=2),this.lastClickTimeStamp=Date.now(),this.context.controller.onClick(this.context.tree,n.model.getElement(),t))}},t.prototype.onMouseMiddleClick=function(e){if(this.context.controller.onMouseMiddleClick){var t=new d.StandardMouseEvent(e),n=this.getItemAround(t.target);n&&this.context.controller.onMouseMiddleClick(this.context.tree,n.model.getElement(),t)}},t.prototype.onMouseDown=function(e){if(this.didJustPressContextMenuKey=!1,this.context.controller.onMouseDown&&(!this.lastPointerType||"mouse"===this.lastPointerType)){var t=new d.StandardMouseEvent(e);if(!(t.ctrlKey&&n.isNative&&n.isMacintosh)){var i=this.getItemAround(t.target);i&&this.context.controller.onMouseDown(this.context.tree,i.model.getElement(),t)}}},t.prototype.onMouseUp=function(e){if(this.context.controller.onMouseUp&&(!this.lastPointerType||"mouse"===this.lastPointerType)){var t=new d.StandardMouseEvent(e);if(!(t.ctrlKey&&n.isNative&&n.isMacintosh)){
var i=this.getItemAround(t.target);i&&this.context.controller.onMouseUp(this.context.tree,i.model.getElement(),t)}}},t.prototype.onTap=function(e){var t=this.getItemAround(e.initialTarget);t&&this.context.controller.onTap(this.context.tree,t.model.getElement(),e)},t.prototype.onTouchChange=function(e){e.preventDefault(),e.stopPropagation(),this.scrollTop-=e.translationY},t.prototype.onContextMenu=function(e){var t,n;if(e instanceof KeyboardEvent||this.didJustPressContextMenuKey){this.didJustPressContextMenuKey=!1;var i,o=new c.StandardKeyboardEvent(e);if(n=this.model.getFocus()){var r=this.context.dataSource.getId(this.context.tree,n),a=this.items[r];i=s.getDomNodePagePosition(a.element)}else n=this.model.getInput(),i=s.getDomNodePagePosition(this.inputItem.element);t=new m.KeyboardContextMenuEvent(i.left+i.width,i.top,o)}else{var l=new d.StandardMouseEvent(e),u=this.getItemAround(l.target);if(!u)return;n=u.model.getElement(),t=new m.MouseContextMenuEvent(l)}
this.context.controller.onContextMenu(this.context.tree,n,t)},t.prototype.onKeyDown=function(e){var t=new c.StandardKeyboardEvent(e);this.didJustPressContextMenuKey=58===t.keyCode||t.shiftKey&&68===t.keyCode,t.target&&t.target.tagName&&"input"===t.target.tagName.toLowerCase()||(this.didJustPressContextMenuKey&&(t.preventDefault(),t.stopPropagation()),this.context.controller.onKeyDown(this.context.tree,t))},t.prototype.onKeyUp=function(e){this.didJustPressContextMenuKey&&this.onContextMenu(e),this.didJustPressContextMenuKey=!1,this.context.controller.onKeyUp(this.context.tree,new c.StandardKeyboardEvent(e))},t.prototype.onDragStart=function(e,n){if(!this.model.getHighlight()){var i,o=e.model.getElement(),r=this.model.getSelection();if(i=r.indexOf(o)>-1?r:[o],n.dataTransfer.effectAllowed="copyMove",n.dataTransfer.setData(_.DataTransfers.RESOURCES,JSON.stringify([e.uri])),n.dataTransfer.setDragImage){var s=void 0;s=this.context.dnd.getDragLabel?this.context.dnd.getDragLabel(this.context.tree,i):String(i.length)
;var a=document.createElement("div");a.className="monaco-tree-drag-image",a.textContent=s,document.body.appendChild(a),n.dataTransfer.setDragImage(a,-10,-10),setTimeout(function(){return document.body.removeChild(a)},0)}this.currentDragAndDropData=new h.ElementsDragAndDropData(i),t.currentExternalDragAndDropData=new h.ExternalElementsDragAndDropData(i),this.context.dnd.onDragStart(this.context.tree,this.currentDragAndDropData,new d.DragMouseEvent(n))}},t.prototype.setupDragAndDropScrollInterval=function(){var e=this,t=s.getTopLeftOffset(this.wrapper).top;this.dragAndDropScrollInterval||(this.dragAndDropScrollInterval=window.setInterval(function(){if(void 0!==e.dragAndDropMouseY){var n=e.dragAndDropMouseY-t,i=0,o=e.viewHeight-35;n<35?i=Math.max(-14,.2*(n-35)):n>o&&(i=Math.min(14,.2*(n-o))),e.scrollTop+=i}},10),this.cancelDragAndDropScrollTimeout(),this.dragAndDropScrollTimeout=window.setTimeout(function(){e.cancelDragAndDropScrollInterval(),e.dragAndDropScrollTimeout=null},1e3))},
t.prototype.cancelDragAndDropScrollInterval=function(){this.dragAndDropScrollInterval&&(window.clearInterval(this.dragAndDropScrollInterval),this.dragAndDropScrollInterval=null),this.cancelDragAndDropScrollTimeout()},t.prototype.cancelDragAndDropScrollTimeout=function(){this.dragAndDropScrollTimeout&&(window.clearTimeout(this.dragAndDropScrollTimeout),this.dragAndDropScrollTimeout=null)},t.prototype.onDragOver=function(e){var n=this,i=new d.DragMouseEvent(e),o=this.getItemAround(i.target);if(!o||0===i.posx&&0===i.posy&&i.browserEvent.type===s.EventType.DRAG_LEAVE)return this.currentDropTarget&&(this.currentDropTargets.forEach(function(e){return e.dropTarget=!1}),this.currentDropTargets=[],this.currentDropDisposable.dispose()),this.cancelDragAndDropScrollInterval(),this.currentDropTarget=null,this.currentDropElement=null,this.dragAndDropMouseY=null,!1;if(this.setupDragAndDropScrollInterval(),this.dragAndDropMouseY=i.posy,
!this.currentDragAndDropData)if(t.currentExternalDragAndDropData)this.currentDragAndDropData=t.currentExternalDragAndDropData;else{if(!i.dataTransfer.types)return!1;this.currentDragAndDropData=new h.DesktopDragAndDropData}this.currentDragAndDropData.update(i);var a,l,u=o.model;do{if(a=u?u.getElement():this.model.getInput(),!(l=this.context.dnd.onDragOver(this.context.tree,this.currentDragAndDropData,a,i))||1!==l.bubble)break;u=u&&u.parent}while(u);if(!u)return this.currentDropElement=null,!1;var c=l&&l.accept;c?(this.currentDropElement=u.getElement(),i.preventDefault(),i.dataTransfer.dropEffect=0===l.effect?"copy":"move"):this.currentDropElement=null;var p=u.id===this.inputItem.id?this.inputItem:this.items[u.id];if((this.shouldInvalidateDropReaction||this.currentDropTarget!==p||!function(e,t){return!e&&!t||!(!e||!t)&&e.accept===t.accept&&e.bubble===t.bubble&&e.effect===t.effect}(this.currentDropElementReaction,l))&&(this.shouldInvalidateDropReaction=!1,
this.currentDropTarget&&(this.currentDropTargets.forEach(function(e){return e.dropTarget=!1}),this.currentDropTargets=[],this.currentDropDisposable.dispose()),this.currentDropTarget=p,this.currentDropElementReaction=l,c)){if(this.currentDropTarget&&(this.currentDropTarget.dropTarget=!0,this.currentDropTargets.push(this.currentDropTarget)),0===l.bubble)for(var f,g=u.getNavigator();f=g.next();)(o=this.items[f.id])&&(o.dropTarget=!0,this.currentDropTargets.push(o));if(l.autoExpand){var m=C.timeout(500);this.currentDropDisposable=r.toDisposable(function(){return m.cancel()}),m.then(function(){return n.context.tree.expand(n.currentDropElement)}).then(function(){return n.shouldInvalidateDropReaction=!0})}}return!0},t.prototype.onDrop=function(e){if(this.currentDropElement){var t=new d.DragMouseEvent(e);t.preventDefault(),this.currentDragAndDropData.update(t),this.context.dnd.drop(this.context.tree,this.currentDragAndDropData,this.currentDropElement,t),this.onDragEnd(e)}this.cancelDragAndDropScrollInterval()},
t.prototype.onDragEnd=function(e){this.currentDropTarget&&(this.currentDropTargets.forEach(function(e){return e.dropTarget=!1}),this.currentDropTargets=[]),this.currentDropDisposable.dispose(),this.cancelDragAndDropScrollInterval(),this.currentDragAndDropData=null,t.currentExternalDragAndDropData=null,this.currentDropElement=null,this.currentDropTarget=null,this.dragAndDropMouseY=null},t.prototype.onFocus=function(){this.context.options.alwaysFocused||s.addClass(this.domNode,"focused"),this._onDOMFocus.fire()},t.prototype.onBlur=function(){this.context.options.alwaysFocused||s.removeClass(this.domNode,"focused"),this.domNode.removeAttribute("aria-activedescendant"),this._onDOMBlur.fire()},t.prototype.onMsPointerDown=function(e){if(this.msGesture){var t=e.pointerType;t!==(e.MSPOINTER_TYPE_MOUSE||"mouse")?t===(e.MSPOINTER_TYPE_TOUCH||"touch")&&(this.lastPointerType="touch",e.stopPropagation(),e.preventDefault(),this.msGesture.addPointer(e.pointerId)):this.lastPointerType="mouse"}},
t.prototype.onThrottledMsGestureChange=function(e){this.scrollTop-=e.translationY},t.prototype.onMsGestureTap=function(e){e.initialTarget=document.elementFromPoint(e.clientX,e.clientY),this.onTap(e)},t.prototype.insertItemInDOM=function(e){var t=null,n=this.itemAfter(e);n&&n.element&&(t=n.element),e.insertInDOM(this.rowsContainer,t)},t.prototype.removeItemFromDOM=function(e){e&&e.removeFromDOM()},t.prototype.shouldBeRendered=function(e){return e.top<this.lastRenderTop+this.lastRenderHeight&&e.top+e.height>this.lastRenderTop},t.prototype.getItemAround=function(e){var n=this.inputItem;do{if(e[t.BINDING]&&(n=e[t.BINDING]),e===this.wrapper||e===this.domNode)return n;if(e===this.scrollableElement.getDomNode()||e===document.body)return null}while(e=e.parentElement)},t.prototype.releaseModel=function(){this.model&&(this.modelListeners=r.dispose(this.modelListeners),this.model=null)},t.prototype.dispose=function(){var t=this;this.scrollableElement.dispose(),this.releaseModel(),this.modelListeners=null,
this.viewListeners=r.dispose(this.viewListeners),this._onDOMFocus.dispose(),this._onDOMBlur.dispose(),this.domNode.parentNode&&this.domNode.parentNode.removeChild(this.domNode),this.domNode=null,this.items&&(Object.keys(this.items).forEach(function(e){return t.items[e].removeFromDOM()}),this.items=null),this.context.cache&&(this.context.cache.dispose(),this.context.cache=null),e.prototype.dispose.call(this)},t.BINDING="monaco-tree-row",t.LOADING_DECORATION_DELAY=800,t.counter=0,t.currentExternalDragAndDropData=null,t}(g.HeightMap);t.TreeView=E}),define(t[238],n([9]),{}),define(t[244],n([9]),{}),define(t[161],n([0,1,88,444,235,6,28,27,244]),function(e,t,n,i,o,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){return function(e,t,i){if(void 0===i&&(i={}),this.tree=e,this.configuration=t,this.options=i,!t.dataSource)throw new Error("You must provide a Data Source to the tree.");this.dataSource=t.dataSource,this.renderer=t.renderer,
this.controller=t.controller||new n.DefaultController({clickBehavior:1,keyboardSupport:"boolean"!=typeof i.keyboardSupport||i.keyboardSupport}),this.dnd=t.dnd||new n.DefaultDragAndDrop,this.filter=t.filter||new n.DefaultFilter,this.sorter=t.sorter||null,this.accessibilityProvider=t.accessibilityProvider||new n.DefaultAccessibilityProvider,this.styler=t.styler||null}}();t.TreeContext=l;var u={listFocusBackground:s.Color.fromHex("#073655"),listActiveSelectionBackground:s.Color.fromHex("#0E639C"),listActiveSelectionForeground:s.Color.fromHex("#FFFFFF"),listFocusAndSelectionBackground:s.Color.fromHex("#094771"),listFocusAndSelectionForeground:s.Color.fromHex("#FFFFFF"),listInactiveSelectionBackground:s.Color.fromHex("#3F3F46"),listHoverBackground:s.Color.fromHex("#2A2D2E"),listDropBackground:s.Color.fromHex("#383B3D")},d=function(){function e(e,t,n){void 0===n&&(n={}),this._onDidChangeFocus=new r.Relay,this.onDidChangeFocus=this._onDidChangeFocus.event,this._onDidChangeSelection=new r.Relay,
this.onDidChangeSelection=this._onDidChangeSelection.event,this._onHighlightChange=new r.Relay,this._onDidExpandItem=new r.Relay,this._onDidCollapseItem=new r.Relay,this._onDispose=new r.Emitter,this.onDidDispose=this._onDispose.event,this.container=e,a.mixin(n,u,!1),n.twistiePixels="number"==typeof n.twistiePixels?n.twistiePixels:32,n.showTwistie=!1!==n.showTwistie,n.indentPixels="number"==typeof n.indentPixels?n.indentPixels:12,n.alwaysFocused=!0===n.alwaysFocused,n.useShadows=!1!==n.useShadows,n.paddingOnRow=!1!==n.paddingOnRow,n.showLoading=!1!==n.showLoading,this.context=new l(this,t,n),this.model=new i.TreeModel(this.context),this.view=new o.TreeView(this.context,this.container),this.view.setModel(this.model),this._onDidChangeFocus.input=this.model.onDidFocus,this._onDidChangeSelection.input=this.model.onDidSelect,this._onHighlightChange.input=this.model.onDidHighlight,this._onDidExpandItem.input=this.model.onDidExpandItem,this._onDidCollapseItem.input=this.model.onDidCollapseItem}
return e.prototype.style=function(e){this.view.applyStyles(e)},Object.defineProperty(e.prototype,"onDidFocus",{get:function(){return this.view&&this.view.onDOMFocus},enumerable:!0,configurable:!0}),e.prototype.getHTMLElement=function(){return this.view.getHTMLElement()},e.prototype.layout=function(e,t){this.view.layout(e,t)},e.prototype.domFocus=function(){this.view.focus()},e.prototype.isDOMFocused=function(){return this.view.isFocused()},e.prototype.domBlur=function(){this.view.blur()},e.prototype.setInput=function(e){return this.model.setInput(e)},e.prototype.getInput=function(){return this.model.getInput()},e.prototype.refresh=function(e,t){return void 0===e&&(e=null),void 0===t&&(t=!0),this.model.refresh(e,t)},e.prototype.expand=function(e){return this.model.expand(e)},e.prototype.collapse=function(e,t){return void 0===t&&(t=!1),this.model.collapse(e,t)},e.prototype.toggleExpansion=function(e,t){return void 0===t&&(t=!1),this.model.toggleExpansion(e,t)},e.prototype.isExpanded=function(e){
return this.model.isExpanded(e)},e.prototype.reveal=function(e,t){return void 0===t&&(t=null),this.model.reveal(e,t)},e.prototype.getHighlight=function(){return this.model.getHighlight()},e.prototype.clearHighlight=function(e){this.model.setHighlight(null,e)},e.prototype.setSelection=function(e,t){this.model.setSelection(e,t)},e.prototype.getSelection=function(){return this.model.getSelection()},e.prototype.clearSelection=function(e){this.model.setSelection([],e)},e.prototype.setFocus=function(e,t){this.model.setFocus(e,t)},e.prototype.getFocus=function(){return this.model.getFocus()},e.prototype.focusNext=function(e,t){this.model.focusNext(e,t)},e.prototype.focusPrevious=function(e,t){this.model.focusPrevious(e,t)},e.prototype.focusParent=function(e){this.model.focusParent(e)},e.prototype.focusFirstChild=function(e){this.model.focusFirstChild(e)},e.prototype.focusFirst=function(e,t){this.model.focusFirst(e,t)},e.prototype.focusNth=function(e,t){this.model.focusNth(e,t)},e.prototype.focusLast=function(e,t){
this.model.focusLast(e,t)},e.prototype.focusNextPage=function(e){this.view.focusNextPage(e)},e.prototype.focusPreviousPage=function(e){this.view.focusPreviousPage(e)},e.prototype.clearFocus=function(e){this.model.setFocus(null,e)},e.prototype.dispose=function(){this._onDispose.fire(),null!==this.model&&(this.model.dispose(),this.model=null),null!==this.view&&(this.view.dispose(),this.view=null),this._onDidChangeFocus.dispose(),this._onDidChangeSelection.dispose(),this._onHighlightChange.dispose(),this._onDidExpandItem.dispose(),this._onDidCollapseItem.dispose(),this._onDispose.dispose()},e}();t.Tree=d}),define(t[250],n([9]),{}),define(t[251],n([9]),{}),define(t[252],n([9]),{}),define(t[259],n([9]),{}),define(t[260],n([9]),{}),define(t[262],n([9]),{}),define(t[265],n([9]),{}),define(t[266],n([9]),{}),define(t[267],n([9]),{}),define(t[269],n([9]),{}),define(t[272],n([9]),{}),define(t[274],n([9]),{}),define(t[281],n([9]),{}),define(t[284],n([9]),{}),define(t[286],n([9]),{}),define(t[295],n([9]),{}),
define(t[296],n([9]),{}),define(t[331],n([9]),{}),define(t[355],n([9]),{}),define(t[358],n([9]),{}),define(t[359],n([9]),{}),define(t[360],n([9]),{}),define(t[361],n([9]),{}),define(t[362],n([9]),{}),define(t[363],n([9]),{}),define(t[365],n([9]),{}),define(t[366],n([9]),{}),define(t[367],n([9]),{}),define(t[163],n([9]),{}),define(t[370],n([9]),{}),define(t[371],n([9]),{}),define(t[373],n([9]),{}),define(t[374],n([9]),{}),define(t[375],n([9]),{}),define(t[376],n([9]),{}),define(t[377],n([9]),{}),define(t[381],n([9]),{}),define(t[382],n([9]),{}),define(t[383],n([9]),{}),define(t[384],n([9]),{}),define(t[386],n([9]),{}),define(t[388],n([9]),{}),define(t[396],n([9]),{}),define(t[399],n([9]),{}),define(t[400],n([9]),{}),define(t[401],n([9]),{}),define(t[403],n([9]),{}),define(t[404],n([9]),{}),define(t[407],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t){this.chr=e,this.type=t,this.width=0}return e.prototype.fulfill=function(e){this.width=e},e
}();t.CharWidthRequest=n;var i=function(){function e(e,t){this._bareFontInfo=e,this._requests=t,this._container=null,this._testElements=null}return e.prototype.read=function(){this._createDomElements(),document.body.appendChild(this._container),this._readFromDomElements(),document.body.removeChild(this._container),this._container=null,this._testElements=null},e.prototype._createDomElements=function(){var t=document.createElement("div");t.style.position="absolute",t.style.top="-50000px",t.style.width="50000px";var n=document.createElement("div");n.style.fontFamily=this._bareFontInfo.getMassagedFontFamily(),n.style.fontWeight=this._bareFontInfo.fontWeight,n.style.fontSize=this._bareFontInfo.fontSize+"px",n.style.lineHeight=this._bareFontInfo.lineHeight+"px",n.style.letterSpacing=this._bareFontInfo.letterSpacing+"px",t.appendChild(n);var i=document.createElement("div");i.style.fontFamily=this._bareFontInfo.getMassagedFontFamily(),i.style.fontWeight="bold",i.style.fontSize=this._bareFontInfo.fontSize+"px",
i.style.lineHeight=this._bareFontInfo.lineHeight+"px",i.style.letterSpacing=this._bareFontInfo.letterSpacing+"px",t.appendChild(i);var o=document.createElement("div");o.style.fontFamily=this._bareFontInfo.getMassagedFontFamily(),o.style.fontWeight=this._bareFontInfo.fontWeight,o.style.fontSize=this._bareFontInfo.fontSize+"px",o.style.lineHeight=this._bareFontInfo.lineHeight+"px",o.style.letterSpacing=this._bareFontInfo.letterSpacing+"px",o.style.fontStyle="italic",t.appendChild(o);for(var r=[],s=0,a=this._requests.length;s<a;s++){var l=this._requests[s],u=void 0;0===l.type&&(u=n),2===l.type&&(u=i),1===l.type&&(u=o),u.appendChild(document.createElement("br"));var d=document.createElement("span");e._render(d,l),u.appendChild(d),r[s]=d}this._container=t,this._testElements=r},e._render=function(e,t){if(" "===t.chr){for(var n="&nbsp;",i=0;i<8;i++)n+=n;e.innerHTML=n}else{for(var o=t.chr,i=0;i<8;i++)o+=o;e.textContent=o}},e.prototype._readFromDomElements=function(){for(var e=0,t=this._requests.length;e<t;e++){
var n=this._requests[e],i=this._testElements[e];n.fulfill(i.offsetWidth/256)}},e}();t.readCharWidths=function(e,t){new i(e,t).read()}}),define(t[409],n([0,1,2]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(e){function t(t,n){var i=e.call(this)||this;return i.referenceDomElement=t,i.changeCallback=n,i.measureReferenceDomElementToken=-1,i.width=-1,i.height=-1,i.measureReferenceDomElement(!1),i}return o(t,e),t.prototype.dispose=function(){this.stopObserving(),e.prototype.dispose.call(this)},t.prototype.getWidth=function(){return this.width},t.prototype.getHeight=function(){return this.height},t.prototype.startObserving=function(){var e=this;-1===this.measureReferenceDomElementToken&&(this.measureReferenceDomElementToken=setInterval(function(){return e.measureReferenceDomElement(!0)},100))},t.prototype.stopObserving=function(){-1!==this.measureReferenceDomElementToken&&(clearInterval(this.measureReferenceDomElementToken),this.measureReferenceDomElementToken=-1)},
t.prototype.observe=function(e){this.measureReferenceDomElement(!0,e)},t.prototype.measureReferenceDomElement=function(e,t){var n=0,i=0;t?(n=t.width,i=t.height):this.referenceDomElement&&(n=this.referenceDomElement.clientWidth,i=this.referenceDomElement.clientHeight),n=Math.max(5,n),i=Math.max(5,i),this.width===n&&this.height===i||(this.width=n,this.height=i,e&&this.changeCallback())},t}(n.Disposable);t.ElementSizeObserver=i}),define(t[66],n([0,1,8]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){if(this.flags=t,0!=(1&this.flags)){var i=e.getModel();this.modelVersionId=i?n.format("{0}#{1}",i.uri.toString(),i.getVersionId()):null}0!=(4&this.flags)&&(this.position=e.getPosition()),0!=(2&this.flags)&&(this.selection=e.getSelection()),0!=(8&this.flags)&&(this.scrollLeft=e.getScrollLeft(),this.scrollTop=e.getScrollTop())}return e.prototype._equals=function(t){if(!(t instanceof e))return!1;var n=t
;return this.modelVersionId===n.modelVersionId&&(this.scrollLeft===n.scrollLeft&&this.scrollTop===n.scrollTop&&(!(!this.position&&n.position||this.position&&!n.position||this.position&&n.position&&!this.position.equals(n.position))&&!(!this.selection&&n.selection||this.selection&&!n.selection||this.selection&&n.selection&&!this.selection.equalsRange(n.selection))))},e.prototype.validate=function(t){return this._equals(new e(t,this.flags))},e}();t.EditorState=i;var o=function(){function e(e,t){this._visiblePosition=e,this._visiblePositionScrollDelta=t}return e.capture=function(t){var n=null,i=0;if(0!==t.getScrollTop()){var o=t.getVisibleRanges();if(o.length>0){n=o[0].getStartPosition();var r=t.getTopForPosition(n.lineNumber,n.column);i=t.getScrollTop()-r}}return new e(n,i)},e.prototype.restore=function(e){if(this._visiblePosition){var t=e.getTopForPosition(this._visiblePosition.lineNumber,this._visiblePosition.column);e.setScrollTop(t+this._visiblePositionScrollDelta)}},e}();t.StableEditorScrollState=o}),
define(t[134],n([0,1,7,73,40,2]),function(e,t,n,i,r,s){"use strict";function a(e){var t=n.getDomNodePagePosition(e);return new d(t.left,t.top,t.width,t.height)}Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(e,t){this.x=e,this.y=t}return e.prototype.toClientCoordinates=function(){return new u(this.x-n.StandardWindow.scrollX,this.y-n.StandardWindow.scrollY)},e}();t.PageCoordinates=l;var u=function(){function e(e,t){this.clientX=e,this.clientY=t}return e.prototype.toPageCoordinates=function(){return new l(this.clientX+n.StandardWindow.scrollX,this.clientY+n.StandardWindow.scrollY)},e}();t.ClientCoordinates=u;var d=function(){return function(e,t,n,i){this.x=e,this.y=t,this.width=n,this.height=i}}();t.EditorPagePosition=d,t.createEditorPagePosition=a;var c=function(e){function t(t,n){var i=e.call(this,t)||this;return i.pos=new l(i.posx,i.posy),i.editorPos=a(n),i}return o(t,e),t}(r.StandardMouseEvent);t.EditorMouseEvent=c;var h=function(){function e(e){this._editorViewDomNode=e}
return e.prototype._create=function(e){return new c(e,this._editorViewDomNode)},e.prototype.onContextMenu=function(e,t){var i=this;return n.addDisposableListener(e,"contextmenu",function(e){t(i._create(e))})},e.prototype.onMouseUp=function(e,t){var i=this;return n.addDisposableListener(e,"mouseup",function(e){t(i._create(e))})},e.prototype.onMouseDown=function(e,t){var i=this;return n.addDisposableListener(e,"mousedown",function(e){t(i._create(e))})},e.prototype.onMouseLeave=function(e,t){var i=this;return n.addDisposableNonBubblingMouseOutListener(e,function(e){t(i._create(e))})},e.prototype.onMouseMoveThrottled=function(e,t,i,o){var r=this;return n.addDisposableThrottledListener(e,"mousemove",t,function(e,t){return i(e,r._create(t))},o)},e}();t.EditorMouseEventFactory=h;var p=function(e){function t(t){var n=e.call(this)||this;return n._editorViewDomNode=t,n._globalMouseMoveMonitor=n._register(new i.GlobalMouseMoveMonitor),n._keydownListener=null,n}return o(t,e),t.prototype.startMonitoring=function(e,t,i){
var o=this;this._keydownListener=n.addStandardDisposableListener(document,"keydown",function(e){e.toKeybinding().isModifierKey()||o._globalMouseMoveMonitor.stopMonitoring(!0)},!0);this._globalMouseMoveMonitor.startMonitoring(function(t,n){return e(t,new c(n,o._editorViewDomNode))},t,function(){o._keydownListener.dispose(),i()})},t}(s.Disposable);t.GlobalEditorMouseMoveMonitor=p}),define(t[415],n([0,1,6,2]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(){var t=e.call(this)||this;return t._onCodeEditorAdd=t._register(new n.Emitter),t.onCodeEditorAdd=t._onCodeEditorAdd.event,t._onCodeEditorRemove=t._register(new n.Emitter),t._onDiffEditorAdd=t._register(new n.Emitter),t._onDiffEditorRemove=t._register(new n.Emitter),t._codeEditors=Object.create(null),t._diffEditors=Object.create(null),t}return o(t,e),t.prototype.addCodeEditor=function(e){this._codeEditors[e.getId()]=e,this._onCodeEditorAdd.fire(e)},t.prototype.removeCodeEditor=function(e){
delete this._codeEditors[e.getId()]&&this._onCodeEditorRemove.fire(e)},t.prototype.listCodeEditors=function(){var e=this;return Object.keys(this._codeEditors).map(function(t){return e._codeEditors[t]})},t.prototype.addDiffEditor=function(e){this._diffEditors[e.getId()]=e,this._onDiffEditorAdd.fire(e)},t.prototype.removeDiffEditor=function(e){delete this._diffEditors[e.getId()]&&this._onDiffEditorRemove.fire(e)},t.prototype.listDiffEditors=function(){var e=this;return Object.keys(this._diffEditors).map(function(t){return e._diffEditors[t]})},t.prototype.getFocusedCodeEditor=function(){for(var e=null,t=this.listCodeEditors(),n=0;n<t.length;n++){var i=t[n];if(i.hasTextFocus())return i;i.hasWidgetFocus()&&(e=i)}return e},t}(i.Disposable);t.AbstractCodeEditorService=r}),define(t[97],n([0,1,6]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.EditorZoom=new(function(){function e(){this._zoomLevel=0,this._onDidChangeZoomLevel=new n.Emitter,
this.onDidChangeZoomLevel=this._onDidChangeZoomLevel.event}return e.prototype.getZoomLevel=function(){return this._zoomLevel},e.prototype.setZoomLevel=function(e){e=Math.min(Math.max(-5,e),20),this._zoomLevel!==e&&(this._zoomLevel=e,this._onDidChangeZoomLevel.fire(this._zoomLevel))},e}())}),define(t[12],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t){this.lineNumber=e,this.column=t}return e.prototype.with=function(t,n){return void 0===t&&(t=this.lineNumber),void 0===n&&(n=this.column),t===this.lineNumber&&n===this.column?this:new e(t,n)},e.prototype.delta=function(e,t){return void 0===e&&(e=0),void 0===t&&(t=0),this.with(this.lineNumber+e,this.column+t)},e.prototype.equals=function(t){return e.equals(this,t)},e.equals=function(e,t){return!e&&!t||!!e&&!!t&&e.lineNumber===t.lineNumber&&e.column===t.column},e.prototype.isBefore=function(t){return e.isBefore(this,t)},e.isBefore=function(e,t){
return e.lineNumber<t.lineNumber||!(t.lineNumber<e.lineNumber)&&e.column<t.column},e.prototype.isBeforeOrEqual=function(t){return e.isBeforeOrEqual(this,t)},e.isBeforeOrEqual=function(e,t){return e.lineNumber<t.lineNumber||!(t.lineNumber<e.lineNumber)&&e.column<=t.column},e.compare=function(e,t){var n=0|e.lineNumber,i=0|t.lineNumber;if(n===i){return(0|e.column)-(0|t.column)}return n-i},e.prototype.clone=function(){return new e(this.lineNumber,this.column)},e.prototype.toString=function(){return"("+this.lineNumber+","+this.column+")"},e.lift=function(t){return new e(t.lineNumber,t.column)},e.isIPosition=function(e){return e&&"number"==typeof e.lineNumber&&"number"==typeof e.column},e}();t.Position=n}),define(t[3],n([0,1,12]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,n,i){e>n||e===n&&t>i?(this.startLineNumber=n,this.startColumn=i,this.endLineNumber=e,this.endColumn=t):(this.startLineNumber=e,this.startColumn=t,this.endLineNumber=n,
this.endColumn=i)}return e.prototype.isEmpty=function(){return e.isEmpty(this)},e.isEmpty=function(e){return e.startLineNumber===e.endLineNumber&&e.startColumn===e.endColumn},e.prototype.containsPosition=function(t){return e.containsPosition(this,t)},e.containsPosition=function(e,t){return!(t.lineNumber<e.startLineNumber||t.lineNumber>e.endLineNumber)&&(!(t.lineNumber===e.startLineNumber&&t.column<e.startColumn)&&!(t.lineNumber===e.endLineNumber&&t.column>e.endColumn))},e.prototype.containsRange=function(t){return e.containsRange(this,t)},e.containsRange=function(e,t){return!(t.startLineNumber<e.startLineNumber||t.endLineNumber<e.startLineNumber)&&(!(t.startLineNumber>e.endLineNumber||t.endLineNumber>e.endLineNumber)&&(!(t.startLineNumber===e.startLineNumber&&t.startColumn<e.startColumn)&&!(t.endLineNumber===e.endLineNumber&&t.endColumn>e.endColumn)))},e.prototype.plusRange=function(t){return e.plusRange(this,t)},e.plusRange=function(t,n){var i,o,r,s
;return n.startLineNumber<t.startLineNumber?(i=n.startLineNumber,o=n.startColumn):n.startLineNumber===t.startLineNumber?(i=n.startLineNumber,o=Math.min(n.startColumn,t.startColumn)):(i=t.startLineNumber,o=t.startColumn),n.endLineNumber>t.endLineNumber?(r=n.endLineNumber,s=n.endColumn):n.endLineNumber===t.endLineNumber?(r=n.endLineNumber,s=Math.max(n.endColumn,t.endColumn)):(r=t.endLineNumber,s=t.endColumn),new e(i,o,r,s)},e.prototype.intersectRanges=function(t){return e.intersectRanges(this,t)},e.intersectRanges=function(t,n){var i=t.startLineNumber,o=t.startColumn,r=t.endLineNumber,s=t.endColumn,a=n.startLineNumber,l=n.startColumn,u=n.endLineNumber,d=n.endColumn;return i<a?(i=a,o=l):i===a&&(o=Math.max(o,l)),r>u?(r=u,s=d):r===u&&(s=Math.min(s,d)),i>r?null:i===r&&o>s?null:new e(i,o,r,s)},e.prototype.equalsRange=function(t){return e.equalsRange(this,t)},e.equalsRange=function(e,t){
return!!e&&!!t&&e.startLineNumber===t.startLineNumber&&e.startColumn===t.startColumn&&e.endLineNumber===t.endLineNumber&&e.endColumn===t.endColumn},e.prototype.getEndPosition=function(){return new n.Position(this.endLineNumber,this.endColumn)},e.prototype.getStartPosition=function(){return new n.Position(this.startLineNumber,this.startColumn)},e.prototype.toString=function(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"},e.prototype.setEndPosition=function(t,n){return new e(this.startLineNumber,this.startColumn,t,n)},e.prototype.setStartPosition=function(t,n){return new e(t,n,this.endLineNumber,this.endColumn)},e.prototype.collapseToStart=function(){return e.collapseToStart(this)},e.collapseToStart=function(t){return new e(t.startLineNumber,t.startColumn,t.startLineNumber,t.startColumn)},e.fromPositions=function(t,n){return void 0===n&&(n=t),new e(t.lineNumber,t.column,n.lineNumber,n.column)},e.lift=function(t){
return t?new e(t.startLineNumber,t.startColumn,t.endLineNumber,t.endColumn):null},e.isIRange=function(e){return e&&"number"==typeof e.startLineNumber&&"number"==typeof e.startColumn&&"number"==typeof e.endLineNumber&&"number"==typeof e.endColumn},e.areIntersectingOrTouching=function(e,t){return!(e.endLineNumber<t.startLineNumber||e.endLineNumber===t.startLineNumber&&e.endColumn<t.startColumn)&&!(t.endLineNumber<e.startLineNumber||t.endLineNumber===e.startLineNumber&&t.endColumn<e.startColumn)},e.areIntersecting=function(e,t){return!(e.endLineNumber<t.startLineNumber||e.endLineNumber===t.startLineNumber&&e.endColumn<=t.startColumn)&&!(t.endLineNumber<e.startLineNumber||t.endLineNumber===e.startLineNumber&&t.endColumn<=e.startColumn)},e.compareRangesUsingStarts=function(e,t){if(e&&t){var n=0|e.startLineNumber,i=0|t.startLineNumber;if(n===i){var o=0|e.startColumn,r=0|t.startColumn;if(o===r){var s=0|e.endLineNumber,a=0|t.endLineNumber;if(s===a){return(0|e.endColumn)-(0|t.endColumn)}return s-a}return o-r}
return n-i}return(e?1:0)-(t?1:0)},e.compareRangesUsingEnds=function(e,t){return e.endLineNumber===t.endLineNumber?e.endColumn===t.endColumn?e.startLineNumber===t.startLineNumber?e.startColumn-t.startColumn:e.startLineNumber-t.startLineNumber:e.endColumn-t.endColumn:e.endLineNumber-t.endLineNumber},e.spansMultipleLines=function(e){return e.endLineNumber>e.startLineNumber},e}();t.Range=i}),define(t[173],n([0,1,8,12,3]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t,n,i,o){this.value=e,this.selectionStart=t,this.selectionEnd=n,this.selectionStartPosition=i,this.selectionEndPosition=o}return e.prototype.toString=function(){return"[ <"+this.value+">, selectionStart: "+this.selectionStart+", selectionEnd: "+this.selectionEnd+"]"},e.readFromTextArea=function(t){return new e(t.getValue(),t.getSelectionStart(),t.getSelectionEnd(),null,null)},e.prototype.collapseSelection=function(){return new e(this.value,this.value.length,this.value.length,null,null)
},e.prototype.writeToTextArea=function(e,t,n){t.setValue(e,this.value),n&&t.setSelectionRange(e,this.selectionStart,this.selectionEnd)},e.prototype.deduceEditorPosition=function(e){if(e<=this.selectionStart){t=this.value.substring(e,this.selectionStart);return this._finishDeduceEditorPosition(this.selectionStartPosition,t,-1)}if(e>=this.selectionEnd){var t=this.value.substring(this.selectionEnd,e);return this._finishDeduceEditorPosition(this.selectionEndPosition,t,1)}var n=this.value.substring(this.selectionStart,e);if(-1===n.indexOf(String.fromCharCode(8230)))return this._finishDeduceEditorPosition(this.selectionStartPosition,n,1);var i=this.value.substring(e,this.selectionEnd);return this._finishDeduceEditorPosition(this.selectionEndPosition,i,-1)},e.prototype._finishDeduceEditorPosition=function(e,t,n){for(var i=0,o=-1;-1!==(o=t.indexOf("\n",o+1));)i++;return[e,n*t.length,i]},e.selectedText=function(t){return new e(t,0,t.length,null,null)},e.deduceInput=function(e,t,i,o){if(!e)return{text:"",
replaceCharCnt:0};var r=e.value,s=e.selectionStart,a=e.selectionEnd,l=t.value,u=t.selectionStart,d=t.selectionEnd;o&&r.length>0&&s===a&&u===d&&!n.startsWith(l,r)&&n.endsWith(l,r)&&(s=0,a=0);var c=r.substring(a),h=l.substring(d),p=n.commonSuffixLength(c,h);l=l.substring(0,l.length-p);var f=(r=r.substring(0,r.length-p)).substring(0,s),g=l.substring(0,u),m=n.commonPrefixLength(f,g);if(l=l.substring(m),r=r.substring(m),u-=m,s-=m,d-=m,a-=m,i&&u===d&&r.length>0){var v=null;if(u===l.length?n.startsWith(l,r)&&(v=l.substring(r.length)):n.endsWith(l,r)&&(v=l.substring(0,l.length-r.length)),null!==v&&v.length>0&&(/\uFE0F/.test(v)||n.containsEmoji(v)))return{text:v,replaceCharCnt:0}}if(u===d){if(r===l&&0===s&&a===r.length&&u===l.length&&-1===l.indexOf("\n")&&n.containsFullWidthCharacter(l))return{text:"",replaceCharCnt:0};return{text:l,replaceCharCnt:f.length-m}}return{text:l,replaceCharCnt:a-s}},e.EMPTY=new e("",0,0,null,null),e}();t.TextAreaState=r;var s=function(){function e(){}return e._getPageOfLine=function(t){
return Math.floor((t-1)/e._LINES_PER_PAGE)},e._getRangeForPage=function(t){var n=t*e._LINES_PER_PAGE,i=n+1,r=n+e._LINES_PER_PAGE;return new o.Range(i,1,r+1,1)},e.fromEditorSelection=function(t,n,s,a){var l,u=e._getPageOfLine(s.startLineNumber),d=e._getRangeForPage(u),c=e._getPageOfLine(s.endLineNumber),h=e._getRangeForPage(c),p=d.intersectRanges(new o.Range(1,1,s.startLineNumber,s.startColumn)),f=n.getValueInRange(p,1),g=n.getLineCount(),m=n.getLineMaxColumn(g),v=h.intersectRanges(new o.Range(s.endLineNumber,s.endColumn,g,m)),_=n.getValueInRange(v,1);if(u===c||u+1===c)l=n.getValueInRange(s,1);else{var y=d.intersectRanges(s),C=h.intersectRanges(s);l=n.getValueInRange(y,1)+String.fromCharCode(8230)+n.getValueInRange(C,1)}if(a){f.length>500&&(f=f.substring(f.length-500,f.length)),_.length>500&&(_=_.substring(0,500)),l.length>1e3&&(l=l.substring(0,500)+String.fromCharCode(8230)+l.substring(l.length-500,l.length))}
return new r(f+l+_,f.length,f.length+l.length,new i.Position(s.startLineNumber,s.startColumn),new i.Position(s.endLineNumber,s.endColumn))},e._LINES_PER_PAGE=10,e}();t.PagedScreenReaderStrategy=s}),define(t[194],n([0,1,135,6,2,27,3]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a={followsCaret:!0,ignoreCharChanges:!0,alwaysRevealFirst:!0},l=function(){function e(e,t){void 0===t&&(t={});var n=this;this._onDidUpdate=new i.Emitter,this._editor=e,this._options=r.mixin(t,a,!1),this.disposed=!1,this._disposables=[],this.nextIdx=-1,this.ranges=[],this.ignoreSelectionChange=!1,this.revealFirst=Boolean(this._options.alwaysRevealFirst),this._disposables.push(this._editor.onDidDispose(function(){return n.dispose()})),this._disposables.push(this._editor.onDidUpdateDiff(function(){return n._onDiffUpdated()})),this._options.followsCaret&&this._disposables.push(this._editor.getModifiedEditor().onDidChangeCursorPosition(function(e){n.ignoreSelectionChange||(n.nextIdx=-1)})),
this._options.alwaysRevealFirst&&this._disposables.push(this._editor.getModifiedEditor().onDidChangeModel(function(e){n.revealFirst=!0})),this._init()}return e.prototype._init=function(){this._editor.getLineChanges()},e.prototype._onDiffUpdated=function(){this._init(),this._compute(this._editor.getLineChanges()),this.revealFirst&&null!==this._editor.getLineChanges()&&(this.revealFirst=!1,this.nextIdx=-1,this.next(1))},e.prototype._compute=function(e){var t=this;this.ranges=[],e&&e.forEach(function(e){!t._options.ignoreCharChanges&&e.charChanges?e.charChanges.forEach(function(e){t.ranges.push({rhs:!0,range:new s.Range(e.modifiedStartLineNumber,e.modifiedStartColumn,e.modifiedEndLineNumber,e.modifiedEndColumn)})}):t.ranges.push({rhs:!0,range:new s.Range(e.modifiedStartLineNumber,1,e.modifiedStartLineNumber,1)})}),this.ranges.sort(function(e,t){return e.range.getStartPosition().isBeforeOrEqual(t.range.getStartPosition())?-1:t.range.getStartPosition().isBeforeOrEqual(e.range.getStartPosition())?1:0}),
this._onDidUpdate.fire(this)},e.prototype._initIdx=function(e){var t=!1,n=this._editor.getPosition();if(n){for(var i=0,o=this.ranges.length;i<o&&!t;i++){var r=this.ranges[i].range;n.isBeforeOrEqual(r.getStartPosition())&&(this.nextIdx=i+(e?0:-1),t=!0)}t||(this.nextIdx=e?0:this.ranges.length-1),this.nextIdx<0&&(this.nextIdx=this.ranges.length-1)}else this.nextIdx=0},e.prototype._move=function(e,t){if(n.ok(!this.disposed,"Illegal State - diff navigator has been disposed"),this.canNavigate()){-1===this.nextIdx?this._initIdx(e):e?(this.nextIdx+=1,this.nextIdx>=this.ranges.length&&(this.nextIdx=0)):(this.nextIdx-=1,this.nextIdx<0&&(this.nextIdx=this.ranges.length-1));var i=this.ranges[this.nextIdx];this.ignoreSelectionChange=!0;try{var o=i.range.getStartPosition();this._editor.setPosition(o),this._editor.revealPositionInCenter(o,t)}finally{this.ignoreSelectionChange=!1}}},e.prototype.canNavigate=function(){return this.ranges&&this.ranges.length>0},e.prototype.next=function(e){void 0===e&&(e=0),this._move(!0,e)},
e.prototype.previous=function(e){void 0===e&&(e=0),this._move(!1,e)},e.prototype.dispose=function(){o.dispose(this._disposables),this._disposables.length=0,this._onDidUpdate.dispose(),this.ranges=[],this.disposed=!0},e}();t.DiffNavigator=l}),define(t[49],n([0,1,3]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(){}return e.insert=function(e,t){return{range:new n.Range(e.lineNumber,e.column,e.lineNumber,e.column),text:t,forceMoveMarkers:!0}},e.delete=function(e){return{range:e,text:null}},e.replace=function(e,t){return{range:e,text:t}},e.replaceMove=function(e,t){return{range:e,text:t,forceMoveMarkers:!0}},e}();t.EditOperation=i}),define(t[425],n([0,1,8,49,3]),function(e,t,n,i,o){"use strict";function r(e,t){t.sort(function(e,t){return e.lineNumber===t.lineNumber?e.column-t.column:e.lineNumber-t.lineNumber});for(var r=t.length-2;r>=0;r--)t[r].lineNumber===t[r+1].lineNumber&&t.splice(r,1);for(var s=[],a=0,l=0,u=t.length,d=1,c=e.getLineCount();d<=c;d++){
var h=e.getLineContent(d),p=h.length+1,f=0;if(!(l<u&&t[l].lineNumber===d&&(f=t[l].column,l++,f===p))&&0!==h.length){var g=n.lastNonWhitespaceIndex(h),m=0;if(-1===g)m=1;else{if(g===h.length-1)continue;m=g+2}m=Math.max(f,m),s[a++]=i.EditOperation.delete(new o.Range(d,m,d,p))}}return s}Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e,t){this.selection=e,this.cursors=t}return e.prototype.getEditOperations=function(e,t){for(var n=r(e,this.cursors),i=0,o=n.length;i<o;i++){var s=n[i];t.addEditOperation(s.range,s.text)}this.selectionId=t.trackSelection(this.selection)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this.selectionId)},e}();t.TrimTrailingWhitespaceCommand=s,t.trimTrailingWhitespace=r}),define(t[426],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(t,n,i,o){this.r=e._clamp(t),this.g=e._clamp(n),this.b=e._clamp(i),this.a=e._clamp(o)}return e._clamp=function(e){
return e<0?0:e>255?255:0|e},e.Empty=new e(0,0,0,0),e}();t.RGBA8=n}),define(t[21],n([0,1,12,3]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(t,n,i,o){var r=e.call(this,t,n,i,o)||this;return r.selectionStartLineNumber=t,r.selectionStartColumn=n,r.positionLineNumber=i,r.positionColumn=o,r}return o(t,e),t.prototype.clone=function(){return new t(this.selectionStartLineNumber,this.selectionStartColumn,this.positionLineNumber,this.positionColumn)},t.prototype.toString=function(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"},t.prototype.equalsSelection=function(e){return t.selectionsEqual(this,e)},t.selectionsEqual=function(e,t){return e.selectionStartLineNumber===t.selectionStartLineNumber&&e.selectionStartColumn===t.selectionStartColumn&&e.positionLineNumber===t.positionLineNumber&&e.positionColumn===t.positionColumn},t.prototype.getDirection=function(){
return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1},t.prototype.setEndPosition=function(e,n){return 0===this.getDirection()?new t(this.startLineNumber,this.startColumn,e,n):new t(e,n,this.startLineNumber,this.startColumn)},t.prototype.getPosition=function(){return new n.Position(this.positionLineNumber,this.positionColumn)},t.prototype.setStartPosition=function(e,n){return 0===this.getDirection()?new t(e,n,this.endLineNumber,this.endColumn):new t(this.endLineNumber,this.endColumn,e,n)},t.fromPositions=function(e,n){return void 0===n&&(n=e),new t(e.lineNumber,e.column,n.lineNumber,n.column)},t.liftSelection=function(e){return new t(e.selectionStartLineNumber,e.selectionStartColumn,e.positionLineNumber,e.positionColumn)},t.selectionsArrEqual=function(e,t){if(e&&!t||!e&&t)return!1;if(!e&&!t)return!0;if(e.length!==t.length)return!1;for(var n=0,i=e.length;n<i;n++)if(!this.selectionsEqual(e[n],t[n]))return!1;return!0},t.isISelection=function(e){
return e&&"number"==typeof e.selectionStartLineNumber&&"number"==typeof e.selectionStartColumn&&"number"==typeof e.positionLineNumber&&"number"==typeof e.positionColumn},t.createWithDirection=function(e,n,i,o,r){return 0===r?new t(e,n,i,o):new t(i,o,e,n)},t}(i.Range);t.Selection=r}),define(t[150],n([0,1,29,7,16,6,2,17,8,173,21]),function(e,t,n,i,r,s,a,l,u,d,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CopyOptions={forceCopyWithSyntaxHighlighting:!1};var h=function(e){function a(t,o){var a=e.call(this)||this;a._onFocus=a._register(new s.Emitter),a.onFocus=a._onFocus.event,a._onBlur=a._register(new s.Emitter),a.onBlur=a._onBlur.event,a._onKeyDown=a._register(new s.Emitter),a.onKeyDown=a._onKeyDown.event,a._onKeyUp=a._register(new s.Emitter),a.onKeyUp=a._onKeyUp.event,a._onCut=a._register(new s.Emitter),a.onCut=a._onCut.event,a._onPaste=a._register(new s.Emitter),a.onPaste=a._onPaste.event,a._onType=a._register(new s.Emitter),a.onType=a._onType.event,
a._onCompositionStart=a._register(new s.Emitter),a.onCompositionStart=a._onCompositionStart.event,a._onCompositionUpdate=a._register(new s.Emitter),a.onCompositionUpdate=a._onCompositionUpdate.event,a._onCompositionEnd=a._register(new s.Emitter),a.onCompositionEnd=a._onCompositionEnd.event,a._onSelectionChangeRequest=a._register(new s.Emitter),a.onSelectionChangeRequest=a._onSelectionChangeRequest.event,a._host=t,a._textArea=a._register(new f(o)),a._lastTextAreaEvent=0,a._asyncTriggerCut=a._register(new r.RunOnceScheduler(function(){return a._onCut.fire()},0)),a._textAreaState=d.TextAreaState.EMPTY,a.writeScreenReaderContent("ctor"),a._hasFocus=!1,a._isDoingComposition=!1,a._nextCommand=0,a._register(i.addStandardDisposableListener(o.domNode,"keydown",function(e){!a._isDoingComposition||109!==e.keyCode&&1!==e.keyCode||e.stopPropagation(),e.equals(9)&&e.preventDefault(),a._onKeyDown.fire(e)})),a._register(i.addStandardDisposableListener(o.domNode,"keyup",function(e){a._onKeyUp.fire(e)})),
a._register(i.addDisposableListener(o.domNode,"compositionstart",function(e){a._lastTextAreaEvent=1,a._isDoingComposition||(a._isDoingComposition=!0,n.isEdgeOrIE||a._setAndWriteTextAreaState("compositionstart",d.TextAreaState.EMPTY),a._onCompositionStart.fire())}));var h=function(e,t){var n=a._textAreaState,i=d.TextAreaState.readFromTextArea(a._textArea);return[i,d.TextAreaState.deduceInput(n,i,e,t)]},g=function(e){var t=a._textAreaState,n=d.TextAreaState.selectedText(e);return[n,{text:n.value,replaceCharCnt:t.selectionEnd-t.selectionStart}]},m=function(e){return!(!n.isEdgeOrIE||"ja"!==e)||!(!n.isIE||0!==e.indexOf("zh-Han"))};a._register(i.addDisposableListener(o.domNode,"compositionupdate",function(e){if(a._lastTextAreaEvent=2,m(e.locale)){var t=h(!1,!1),n=t[0],i=t[1];return a._textAreaState=n,a._onType.fire(i),void a._onCompositionUpdate.fire(e)}var o=g(e.data),r=o[0],s=o[1];a._textAreaState=r,a._onType.fire(s),a._onCompositionUpdate.fire(e)})),
a._register(i.addDisposableListener(o.domNode,"compositionend",function(e){if(a._lastTextAreaEvent=3,m(e.locale)){var t=h(!1,!1),i=t[0],o=t[1];a._textAreaState=i,a._onType.fire(o)}else{var r=g(e.data),i=r[0],o=r[1];a._textAreaState=i,a._onType.fire(o)}(n.isEdgeOrIE||n.isChrome)&&(a._textAreaState=d.TextAreaState.readFromTextArea(a._textArea)),a._isDoingComposition&&(a._isDoingComposition=!1,a._onCompositionEnd.fire())})),a._register(i.addDisposableListener(o.domNode,"input",function(){var e=8===a._lastTextAreaEvent;if(a._lastTextAreaEvent=4,a._textArea.setIgnoreSelectionChangeTime("received input event"),!a._isDoingComposition){var t=h(l.isMacintosh,e&&l.isMacintosh),n=t[0],i=t[1];0===i.replaceCharCnt&&1===i.text.length&&u.isHighSurrogate(i.text.charCodeAt(0))||(a._textAreaState=n,0===a._nextCommand?""!==i.text&&a._onType.fire(i):(""!==i.text&&a._onPaste.fire({text:i.text}),a._nextCommand=0))}})),a._register(i.addDisposableListener(o.domNode,"cut",function(e){a._lastTextAreaEvent=5,
a._textArea.setIgnoreSelectionChangeTime("received cut event"),a._ensureClipboardGetsEditorSelection(e),a._asyncTriggerCut.schedule()})),a._register(i.addDisposableListener(o.domNode,"copy",function(e){a._lastTextAreaEvent=6,a._ensureClipboardGetsEditorSelection(e)})),a._register(i.addDisposableListener(o.domNode,"paste",function(e){if(a._lastTextAreaEvent=7,a._textArea.setIgnoreSelectionChangeTime("received paste event"),p.canUseTextData(e)){var t=p.getTextData(e);""!==t&&a._onPaste.fire({text:t})}else a._textArea.getSelectionStart()!==a._textArea.getSelectionEnd()&&a._setAndWriteTextAreaState("paste",d.TextAreaState.EMPTY),a._nextCommand=1})),a._register(i.addDisposableListener(o.domNode,"focus",function(){a._lastTextAreaEvent=8,a._setHasFocus(!0)})),a._register(i.addDisposableListener(o.domNode,"blur",function(){a._lastTextAreaEvent=9,a._setHasFocus(!1)}));var v=0;return a._register(i.addDisposableListener(document,"selectionchange",function(e){
if(a._hasFocus&&!a._isDoingComposition&&n.isChrome&&l.isWindows){var t=Date.now(),i=t-v;if(v=t,!(i<5)){var o=t-a._textArea.getIgnoreSelectionChangeTime();if(a._textArea.resetSelectionChangeTime(),!(o<100)&&a._textAreaState.selectionStartPosition&&a._textAreaState.selectionEndPosition){var r=a._textArea.getValue();if(a._textAreaState.value===r){var s=a._textArea.getSelectionStart(),u=a._textArea.getSelectionEnd();if(a._textAreaState.selectionStart!==s||a._textAreaState.selectionEnd!==u){var d=a._textAreaState.deduceEditorPosition(s),h=a._host.deduceModelPosition(d[0],d[1],d[2]),p=a._textAreaState.deduceEditorPosition(u),f=a._host.deduceModelPosition(p[0],p[1],p[2]),g=new c.Selection(h.lineNumber,h.column,f.lineNumber,f.column);a._onSelectionChangeRequest.fire(g)}}}}}})),a}return o(a,e),a.prototype.dispose=function(){e.prototype.dispose.call(this)},a.prototype.focusTextArea=function(){this._setHasFocus(!0)},a.prototype.isFocused=function(){return this._hasFocus},a.prototype._setHasFocus=function(e){
this._hasFocus!==e&&(this._hasFocus=e,this._hasFocus&&(n.isEdge?this._setAndWriteTextAreaState("focusgain",d.TextAreaState.EMPTY):this.writeScreenReaderContent("focusgain")),this._hasFocus?this._onFocus.fire():this._onBlur.fire())},a.prototype._setAndWriteTextAreaState=function(e,t){this._hasFocus||(t=t.collapseSelection()),t.writeToTextArea(e,this._textArea,this._hasFocus),this._textAreaState=t},a.prototype.writeScreenReaderContent=function(e){this._isDoingComposition||this._setAndWriteTextAreaState(e,this._host.getScreenReaderContent(this._textAreaState))},a.prototype._ensureClipboardGetsEditorSelection=function(e){var i=this._host.getPlainTextToCopy();if(p.canUseTextData(e)){var o=null;n.hasClipboardSupport()&&(i.length<65536||t.CopyOptions.forceCopyWithSyntaxHighlighting)&&(o=this._host.getHTMLToCopy()),p.setTextData(e,i,o)}else this._setAndWriteTextAreaState("copy or cut",d.TextAreaState.selectedText(i))},a}(a.Disposable);t.TextAreaInput=h;var p=function(){function e(){}
return e.canUseTextData=function(e){return!!e.clipboardData||!!window.clipboardData},e.getTextData=function(e){if(e.clipboardData)return e.preventDefault(),e.clipboardData.getData("text/plain");if(window.clipboardData)return e.preventDefault(),window.clipboardData.getData("Text");throw new Error("ClipboardEventUtils.getTextData: Cannot use text data!")},e.setTextData=function(e,t,n){if(e.clipboardData)return e.clipboardData.setData("text/plain",t),null!==n&&e.clipboardData.setData("text/html",n),void e.preventDefault();if(window.clipboardData)return window.clipboardData.setData("Text",t),void e.preventDefault();throw new Error("ClipboardEventUtils.setTextData: Cannot use text data!")},e}(),f=function(e){function t(t){var n=e.call(this)||this;return n._actual=t,n._ignoreSelectionChangeTime=0,n}return o(t,e),t.prototype.setIgnoreSelectionChangeTime=function(e){this._ignoreSelectionChangeTime=Date.now()},t.prototype.getIgnoreSelectionChangeTime=function(){return this._ignoreSelectionChangeTime},
t.prototype.resetSelectionChangeTime=function(){this._ignoreSelectionChangeTime=0},t.prototype.getValue=function(){return this._actual.domNode.value},t.prototype.setValue=function(e,t){var n=this._actual.domNode;n.value!==t&&(this.setIgnoreSelectionChangeTime("setValue"),n.value=t)},t.prototype.getSelectionStart=function(){return this._actual.domNode.selectionStart},t.prototype.getSelectionEnd=function(){return this._actual.domNode.selectionEnd},t.prototype.setSelectionRange=function(e,t,o){var r=this._actual.domNode,s=document.activeElement===r,a=r.selectionStart,l=r.selectionEnd;if(s&&a===t&&l===o)n.isFirefox&&window.parent!==window&&r.focus();else{if(s)return this.setIgnoreSelectionChangeTime("setSelectionRange"),r.setSelectionRange(t,o),void(n.isFirefox&&window.parent!==window&&r.focus());try{var u=i.saveParentsScrollTop(r);this.setIgnoreSelectionChangeTime("setSelectionRange"),r.focus(),r.setSelectionRange(t,o),i.restoreParentsScrollTop(r,u)}catch(e){}}},t}(a.Disposable)}),
define(t[77],n([0,1,21]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,n){void 0===n&&(n=!1),this._range=e,this._text=t,this.insertsAutoWhitespace=n}return e.prototype.getEditOperations=function(e,t){t.addTrackedEditOperation(this._range,this._text)},e.prototype.computeCursorState=function(e,t){var i=t.getInverseEditOperations()[0].range;return new n.Selection(i.endLineNumber,i.endColumn,i.endLineNumber,i.endColumn)},e}();t.ReplaceCommand=i;var o=function(){function e(e,t,n){void 0===n&&(n=!1),this._range=e,this._text=t,this.insertsAutoWhitespace=n}return e.prototype.getEditOperations=function(e,t){t.addTrackedEditOperation(this._range,this._text)},e.prototype.computeCursorState=function(e,t){var i=t.getInverseEditOperations()[0].range;return new n.Selection(i.startLineNumber,i.startColumn,i.startLineNumber,i.startColumn)},e}();t.ReplaceCommandWithoutChangingPosition=o;var r=function(){function e(e,t,n,i,o){void 0===o&&(o=!1),this._range=e,
this._text=t,this._columnDeltaOffset=i,this._lineNumberDeltaOffset=n,this.insertsAutoWhitespace=o}return e.prototype.getEditOperations=function(e,t){t.addTrackedEditOperation(this._range,this._text)},e.prototype.computeCursorState=function(e,t){var i=t.getInverseEditOperations()[0].range;return new n.Selection(i.endLineNumber+this._lineNumberDeltaOffset,i.endColumn+this._columnDeltaOffset,i.endLineNumber+this._lineNumberDeltaOffset,i.endColumn+this._columnDeltaOffset)},e}();t.ReplaceCommandWithOffsetCursorState=r;var s=function(){function e(e,t,n){this._range=e,this._text=t,this._initialSelection=n}return e.prototype.getEditOperations=function(e,t){t.addEditOperation(this._range,this._text),this._selectionId=t.trackSelection(this._initialSelection)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this._selectionId)},e}();t.ReplaceCommandThatPreservesSelection=s}),define(t[432],n([0,1,3,21]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0})
;var o=function(){function e(e,t,n){this._range=e,this._charBeforeSelection=t,this._charAfterSelection=n}return e.prototype.getEditOperations=function(e,t){t.addTrackedEditOperation(new n.Range(this._range.startLineNumber,this._range.startColumn,this._range.startLineNumber,this._range.startColumn),this._charBeforeSelection),t.addTrackedEditOperation(new n.Range(this._range.endLineNumber,this._range.endColumn,this._range.endLineNumber,this._range.endColumn),this._charAfterSelection)},e.prototype.computeCursorState=function(e,t){var n=t.getInverseEditOperations(),o=n[0].range,r=n[1].range;return new i.Selection(o.endLineNumber,o.endColumn,r.endLineNumber,r.endColumn-this._charAfterSelection.length)},e}();t.SurroundSelectionCommand=o}),define(t[121],n([0,1,8]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),"undefined"!=typeof TextDecoder?t.createStringBuilder=function(e){return new i(e)}:t.createStringBuilder=function(e){return new o};var i=function(){function e(e){
this._decoder=new TextDecoder("UTF-16LE"),this._capacity=0|e,this._buffer=new Uint16Array(this._capacity),this._completedStrings=null,this._bufferLength=0}return e.prototype.reset=function(){this._completedStrings=null,this._bufferLength=0},e.prototype.build=function(){return null!==this._completedStrings?(this._flushBuffer(),this._completedStrings.join("")):this._buildBuffer()},e.prototype._buildBuffer=function(){if(0===this._bufferLength)return"";var e=new Uint16Array(this._buffer.buffer,0,this._bufferLength);return this._decoder.decode(e)},e.prototype._flushBuffer=function(){var e=this._buildBuffer();this._bufferLength=0,null===this._completedStrings?this._completedStrings=[e]:this._completedStrings[this._completedStrings.length]=e},e.prototype.write1=function(e){var t=this._capacity-this._bufferLength;t<=1&&(0===t||n.isHighSurrogate(e))&&this._flushBuffer(),this._buffer[this._bufferLength++]=e},e.prototype.appendASCII=function(e){this._bufferLength===this._capacity&&this._flushBuffer(),
this._buffer[this._bufferLength++]=e},e.prototype.appendASCIIString=function(e){var t=e.length;if(this._bufferLength+t>=this._capacity)return this._flushBuffer(),void(this._completedStrings[this._completedStrings.length]=e);for(var n=0;n<t;n++)this._buffer[this._bufferLength++]=e.charCodeAt(n)},e}(),o=function(){function e(){this._pieces=[],this._piecesLen=0}return e.prototype.reset=function(){this._pieces=[],this._piecesLen=0},e.prototype.build=function(){return this._pieces.join("")},e.prototype.write1=function(e){this._pieces[this._piecesLen++]=String.fromCharCode(e)},e.prototype.appendASCII=function(e){this._pieces[this._piecesLen++]=String.fromCharCode(e)},e.prototype.appendASCIIString=function(e){this._pieces[this._piecesLen++]=e},e}()}),define(t[127],n([0,1,23,121]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e){this._createLine=e,this._set(1,[])}return e.prototype.flush=function(){this._set(1,[])},e.prototype._set=function(e,t){
this._lines=t,this._rendLineNumberStart=e},e.prototype._get=function(){return{rendLineNumberStart:this._rendLineNumberStart,lines:this._lines}},e.prototype.getStartLineNumber=function(){return this._rendLineNumberStart},e.prototype.getEndLineNumber=function(){return this._rendLineNumberStart+this._lines.length-1},e.prototype.getCount=function(){return this._lines.length},e.prototype.getLine=function(e){var t=e-this._rendLineNumberStart;if(t<0||t>=this._lines.length)throw new Error("Illegal value for lineNumber");return this._lines[t]},e.prototype.onLinesDeleted=function(e,t){if(0===this.getCount())return null;var n=this.getStartLineNumber(),i=this.getEndLineNumber();if(t<n){var o=t-e+1;return this._rendLineNumberStart-=o,null}if(e>i)return null;for(var r=0,s=0,a=n;a<=i;a++){var l=a-this._rendLineNumberStart;e<=a&&a<=t&&(0===s?(r=l,s=1):s++)}if(e<n){var u=0;u=t<n?t-e+1:n-e,this._rendLineNumberStart-=u}return this._lines.splice(r,s)},e.prototype.onLinesChanged=function(e,t){if(0===this.getCount())return!1
;for(var n=this.getStartLineNumber(),i=this.getEndLineNumber(),o=!1,r=e;r<=t;r++)r>=n&&r<=i&&(this._lines[r-this._rendLineNumberStart].onContentChanged(),o=!0);return o},e.prototype.onLinesInserted=function(e,t){if(0===this.getCount())return null;var n=t-e+1,i=this.getStartLineNumber(),o=this.getEndLineNumber();if(e<=i)return this._rendLineNumberStart+=n,null;if(e>o)return null;if(n+e>o){return this._lines.splice(e-this._rendLineNumberStart,o-e+1)}for(var r=[],s=0;s<n;s++)r[s]=this._createLine();var a=e-this._rendLineNumberStart,l=this._lines.slice(0,a),u=this._lines.slice(a,this._lines.length-n),d=this._lines.slice(this._lines.length-n,this._lines.length);return this._lines=l.concat(r).concat(u),d},e.prototype.onTokensChanged=function(e){if(0===this.getCount())return!1;for(var t=this.getStartLineNumber(),n=this.getEndLineNumber(),i=!1,o=0,r=e.length;o<r;o++){var s=e[o];if(!(s.toLineNumber<t||s.fromLineNumber>n))for(var a=Math.max(t,s.fromLineNumber),l=Math.min(n,s.toLineNumber),u=a;u<=l;u++){
var d=u-this._rendLineNumberStart;this._lines[d].onTokensChanged(),i=!0}}return i},e}();t.RenderedLinesCollection=o;var r=function(){function e(e){var t=this;this._host=e,this.domNode=this._createDomNode(),this._linesCollection=new o(function(){return t._host.createVisibleLine()})}return e.prototype._createDomNode=function(){var e=n.createFastDomNode(document.createElement("div"));return e.setClassName("view-layer"),e.setPosition("absolute"),e.domNode.setAttribute("role","presentation"),e.domNode.setAttribute("aria-hidden","true"),e},e.prototype.onConfigurationChanged=function(e){return e.layoutInfo},e.prototype.onFlushed=function(e){return this._linesCollection.flush(),!0},e.prototype.onLinesChanged=function(e){return this._linesCollection.onLinesChanged(e.fromLineNumber,e.toLineNumber)},e.prototype.onLinesDeleted=function(e){var t=this._linesCollection.onLinesDeleted(e.fromLineNumber,e.toLineNumber);if(t)for(var n=0,i=t.length;n<i;n++){var o=t[n].getDomNode();o&&this.domNode.domNode.removeChild(o)}return!0
},e.prototype.onLinesInserted=function(e){var t=this._linesCollection.onLinesInserted(e.fromLineNumber,e.toLineNumber);if(t)for(var n=0,i=t.length;n<i;n++){var o=t[n].getDomNode();o&&this.domNode.domNode.removeChild(o)}return!0},e.prototype.onScrollChanged=function(e){return e.scrollTopChanged},e.prototype.onTokensChanged=function(e){return this._linesCollection.onTokensChanged(e.ranges)},e.prototype.onZonesChanged=function(e){return!0},e.prototype.getStartLineNumber=function(){return this._linesCollection.getStartLineNumber()},e.prototype.getEndLineNumber=function(){return this._linesCollection.getEndLineNumber()},e.prototype.getVisibleLine=function(e){return this._linesCollection.getLine(e)},e.prototype.renderLines=function(e){var t=this._linesCollection._get(),n=new s(this.domNode.domNode,this._host,e),i={rendLineNumberStart:t.rendLineNumberStart,lines:t.lines,linesLength:t.lines.length},o=n.render(i,e.startLineNumber,e.endLineNumber,e.relativeVerticalOffset)
;this._linesCollection._set(o.rendLineNumberStart,o.lines)},e}();t.VisibleLinesCollection=r;var s=function(){function e(e,t,n){this.domNode=e,this.host=t,this.viewportData=n}return e.prototype.render=function(e,t,n,i){var o={rendLineNumberStart:e.rendLineNumberStart,lines:e.lines.slice(0),linesLength:e.linesLength};if(o.rendLineNumberStart+o.linesLength-1<t||n<o.rendLineNumberStart){o.rendLineNumberStart=t,o.linesLength=n-t+1,o.lines=[];for(var r=t;r<=n;r++)o.lines[r-t]=this.host.createVisibleLine();return this._finishRendering(o,!0,i),o}if(this._renderUntouchedLines(o,Math.max(t-o.rendLineNumberStart,0),Math.min(n-o.rendLineNumberStart,o.linesLength-1),i,t),o.rendLineNumberStart>t){(s=t)<=(a=Math.min(n,o.rendLineNumberStart-1))&&(this._insertLinesBefore(o,s,a,i,t),o.linesLength+=a-s+1)}else if(o.rendLineNumberStart<t){(l=Math.min(o.linesLength,t-o.rendLineNumberStart))>0&&(this._removeLinesBefore(o,l),o.linesLength-=l)}if(o.rendLineNumberStart=t,o.rendLineNumberStart+o.linesLength-1<n){
(s=o.rendLineNumberStart+o.linesLength)<=(a=n)&&(this._insertLinesAfter(o,s,a,i,t),o.linesLength+=a-s+1)}else if(o.rendLineNumberStart+o.linesLength-1>n){var s=Math.max(0,n-o.rendLineNumberStart+1),a=o.linesLength-1,l=a-s+1;l>0&&(this._removeLinesAfter(o,l),o.linesLength-=l)}return this._finishRendering(o,!1,i),o},e.prototype._renderUntouchedLines=function(e,t,n,i,o){for(var r=e.rendLineNumberStart,s=e.lines,a=t;a<=n;a++){var l=r+a;s[a].layoutLine(l,i[l-o])}},e.prototype._insertLinesBefore=function(e,t,n,i,o){for(var r=[],s=0,a=t;a<=n;a++)r[s++]=this.host.createVisibleLine();e.lines=r.concat(e.lines)},e.prototype._removeLinesBefore=function(e,t){for(var n=0;n<t;n++){var i=e.lines[n].getDomNode();i&&this.domNode.removeChild(i)}e.lines.splice(0,t)},e.prototype._insertLinesAfter=function(e,t,n,i,o){for(var r=[],s=0,a=t;a<=n;a++)r[s++]=this.host.createVisibleLine();e.lines=e.lines.concat(r)},e.prototype._removeLinesAfter=function(e,t){for(var n=e.linesLength-t,i=0;i<t;i++){var o=e.lines[n+i].getDomNode()
;o&&this.domNode.removeChild(o)}e.lines.splice(n,t)},e.prototype._finishRenderingNewLines=function(e,t,n,i){var o=this.domNode.lastChild;t||!o?this.domNode.innerHTML=n:o.insertAdjacentHTML("afterend",n);for(var r=this.domNode.lastChild,s=e.linesLength-1;s>=0;s--){var a=e.lines[s];i[s]&&(a.setDomNode(r),r=r.previousSibling)}},e.prototype._finishRenderingInvalidLines=function(e,t,n){var i=document.createElement("div");i.innerHTML=t;for(var o=0;o<e.linesLength;o++){var r=e.lines[o];if(n[o]){var s=i.firstChild,a=r.getDomNode();a.parentNode.replaceChild(s,a),r.setDomNode(s)}}},e.prototype._finishRendering=function(t,n,i){var o=e._sb,r=t.linesLength,s=t.lines,a=t.rendLineNumberStart,l=[];o.reset();for(var u=!1,d=0;d<r;d++){p=s[d];l[d]=!1;if(!p.getDomNode()){(f=p.renderLine(d+a,i[d],this.viewportData,o))&&(l[d]=!0,u=!0)}}u&&this._finishRenderingNewLines(t,n,o.build(),l),o.reset();for(var c=!1,h=[],d=0;d<r;d++){var p=s[d];if(h[d]=!1,!l[d]){var f=p.renderLine(d+a,i[d],this.viewportData,o);f&&(h[d]=!0,c=!0)}}
c&&this._finishRenderingInvalidLines(t,o.build(),h)},e._sb=i.createStringBuilder(1e5),e}()}),define(t[91],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n){this.offset=0|e,this.type=t,this.language=n}return e.prototype.toString=function(){return"("+this.offset+", "+this.type+")"},e}();t.Token=n;var i=function(){return function(e,t){this.tokens=e,this.endState=t}}();t.TokenizationResult=i;var o=function(){return function(e,t){this.tokens=e,this.endState=t}}();t.TokenizationResult2=o}),define(t[101],n([0,1]),function(e,t){"use strict";function n(e){return e<0?0:e>4294967295?4294967295:0|e}Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,n){for(var i=new Uint8Array(e*t),o=0,r=e*t;o<r;o++)i[o]=n;this._data=i,this.rows=e,this.cols=t}return e.prototype.get=function(e,t){return this._data[e*this.cols+t]},e.prototype.set=function(e,t,n){this._data[e*this.cols+t]=n},e}();t.Uint8Matrix=i,t.toUint8=function(e){
return e<0?0:e>255?255:0|e},t.toUint32=n,t.toUint32Array=function(e){for(var t=e.length,i=new Uint32Array(t),o=0;o<t;o++)i[o]=n(e[o]);return i}}),define(t[81],n([0,1,101]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(t){var i=n.toUint8(t);this._defaultValue=i,this._asciiMap=e._createAsciiMap(i),this._map=new Map}return e._createAsciiMap=function(e){for(var t=new Uint8Array(256),n=0;n<256;n++)t[n]=e;return t},e.prototype.set=function(e,t){var i=n.toUint8(t);e>=0&&e<256?this._asciiMap[e]=i:this._map.set(e,i)},e.prototype.get=function(e){return e>=0&&e<256?this._asciiMap[e]:this._map.get(e)||this._defaultValue},e}();t.CharacterClassifier=i;var o=function(){function e(){this._actual=new i(0)}return e.prototype.add=function(e){this._actual.set(e,1)},e.prototype.has=function(e){return 1===this._actual.get(e)},e}();t.CharacterSet=o}),define(t[80],n([0,1,81]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(e){
function t(t){for(var n=e.call(this,0)||this,i=0,o=t.length;i<o;i++)n.set(t.charCodeAt(i),2);return n.set(32,1),n.set(9,1),n}return o(t,e),t}(n.CharacterClassifier);t.WordCharacterClassifier=i,t.getMapForWordSeparators=function(e){var t={};return function(n){return t.hasOwnProperty(n)||(t[n]=e(n)),t[n]}}(function(e){return new i(e)})}),define(t[453],n([0,1,130,8]),function(e,t,n,i){"use strict";function o(e,t,i,o){return new n.LcsDiff(e,t,i).ComputeDiff(o)}Object.defineProperty(t,"__esModule",{value:!0});var r=5e3,s=3,a=function(){function e(t){for(var n=[],i=[],o=0,r=t.length;o<r;o++)n[o]=e._getFirstNonBlankColumn(t[o],1),i[o]=e._getLastNonBlankColumn(t[o],1);this._lines=t,this._startColumns=n,this._endColumns=i}return e.prototype.getLength=function(){return this._lines.length},e.prototype.getElementAtIndex=function(e){return this._lines[e].substring(this._startColumns[e]-1,this._endColumns[e]-1)},e.prototype.getStartLineNumber=function(e){return e+1},e.prototype.getEndLineNumber=function(e){return e+1},
e._getFirstNonBlankColumn=function(e,t){var n=i.firstNonWhitespaceIndex(e);return-1===n?t:n+1},e._getLastNonBlankColumn=function(e,t){var n=i.lastNonWhitespaceIndex(e);return-1===n?t:n+2},e.prototype.getCharSequence=function(e,t,n){for(var i=[],o=[],r=[],s=0,a=t;a<=n;a++)for(var u=this._lines[a],d=e?this._startColumns[a]:1,c=e?this._endColumns[a]:u.length+1,h=d;h<c;h++)i[s]=u.charCodeAt(h-1),o[s]=a+1,r[s]=h,s++;return new l(i,o,r)},e}(),l=function(){function e(e,t,n){this._charCodes=e,this._lineNumbers=t,this._columns=n}return e.prototype.getLength=function(){return this._charCodes.length},e.prototype.getElementAtIndex=function(e){return this._charCodes[e]},e.prototype.getStartLineNumber=function(e){return this._lineNumbers[e]},e.prototype.getStartColumn=function(e){return this._columns[e]},e.prototype.getEndLineNumber=function(e){return this._lineNumbers[e]},e.prototype.getEndColumn=function(e){return this._columns[e]+1},e}(),u=function(){function e(e,t,n,i,o,r,s,a){this.originalStartLineNumber=e,
this.originalStartColumn=t,this.originalEndLineNumber=n,this.originalEndColumn=i,this.modifiedStartLineNumber=o,this.modifiedStartColumn=r,this.modifiedEndLineNumber=s,this.modifiedEndColumn=a}return e.createFromDiffChange=function(t,n,i){var o,r,s,a,l,u,d,c;return 0===t.originalLength?(o=0,r=0,s=0,a=0):(o=n.getStartLineNumber(t.originalStart),r=n.getStartColumn(t.originalStart),s=n.getEndLineNumber(t.originalStart+t.originalLength-1),a=n.getEndColumn(t.originalStart+t.originalLength-1)),0===t.modifiedLength?(l=0,u=0,d=0,c=0):(l=i.getStartLineNumber(t.modifiedStart),u=i.getStartColumn(t.modifiedStart),d=i.getEndLineNumber(t.modifiedStart+t.modifiedLength-1),c=i.getEndColumn(t.modifiedStart+t.modifiedLength-1)),new e(o,r,s,a,l,u,d,c)},e}(),d=function(){function e(e,t,n,i,o){this.originalStartLineNumber=e,this.originalEndLineNumber=t,this.modifiedStartLineNumber=n,this.modifiedEndLineNumber=i,this.charChanges=o}return e.createFromDiffResult=function(t,n,i,r,a,l,d){var c,h,p,f,g=void 0
;if(0===n.originalLength?(c=i.getStartLineNumber(n.originalStart)-1,h=0):(c=i.getStartLineNumber(n.originalStart),h=i.getEndLineNumber(n.originalStart+n.originalLength-1)),0===n.modifiedLength?(p=r.getStartLineNumber(n.modifiedStart)-1,f=0):(p=r.getStartLineNumber(n.modifiedStart),f=r.getEndLineNumber(n.modifiedStart+n.modifiedLength-1)),l&&0!==n.originalLength&&0!==n.modifiedLength&&a()){var m=i.getCharSequence(t,n.originalStart,n.originalStart+n.originalLength-1),v=r.getCharSequence(t,n.modifiedStart,n.modifiedStart+n.modifiedLength-1),_=o(m,v,a,!0);d&&(_=function(e){if(e.length<=1)return e;for(var t=[e[0]],n=t[0],i=1,o=e.length;i<o;i++){var r=e[i],a=r.originalStart-(n.originalStart+n.originalLength),l=r.modifiedStart-(n.modifiedStart+n.modifiedLength);Math.min(a,l)<s?(n.originalLength=r.originalStart+r.originalLength-n.originalStart,n.modifiedLength=r.modifiedStart+r.modifiedLength-n.modifiedStart):(t.push(r),n=r)}return t}(_)),g=[];for(var y=0,C=_.length;y<C;y++)g.push(u.createFromDiffChange(_[y],m,v))}
return new e(c,h,p,f,g)},e}(),c=function(){function e(e,t,n){this.shouldComputeCharChanges=n.shouldComputeCharChanges,this.shouldPostProcessCharChanges=n.shouldPostProcessCharChanges,this.shouldIgnoreTrimWhitespace=n.shouldIgnoreTrimWhitespace,this.shouldMakePrettyDiff=n.shouldMakePrettyDiff,this.maximumRunTimeMs=r,this.originalLines=e,this.modifiedLines=t,this.original=new a(e),this.modified=new a(t)}return e.prototype.computeDiff=function(){if(1===this.original.getLength()&&0===this.original.getElementAtIndex(0).length)return[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.modified.getLength(),charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}];if(1===this.modified.getLength()&&0===this.modified.getElementAtIndex(0).length)return[{originalStartLineNumber:1,originalEndLineNumber:this.original.getLength(),
modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}];this.computationStartTime=(new Date).getTime();var e=o(this.original,this.modified,this._continueProcessingPredicate.bind(this),this.shouldMakePrettyDiff);if(this.shouldIgnoreTrimWhitespace){for(var t=[],n=0,i=e.length;n<i;n++)t.push(d.createFromDiffResult(this.shouldIgnoreTrimWhitespace,e[n],this.original,this.modified,this._continueProcessingPredicate.bind(this),this.shouldComputeCharChanges,this.shouldPostProcessCharChanges));return t}for(var r=[],s=0,l=0,n=-1,u=e.length;n<u;n++){for(var c=n+1<u?e[n+1]:null,h=c?c.originalStart:this.originalLines.length,p=c?c.modifiedStart:this.modifiedLines.length;s<h&&l<p;){var f=this.originalLines[s],g=this.modifiedLines[l];if(f!==g){for(var m=a._getFirstNonBlankColumn(f,1),v=a._getFirstNonBlankColumn(g,1);m>1&&v>1;){
if((S=f.charCodeAt(m-2))!==(w=g.charCodeAt(v-2)))break;m--,v--}(m>1||v>1)&&this._pushTrimWhitespaceCharChange(r,s+1,1,m,l+1,1,v);for(var _=a._getLastNonBlankColumn(f,1),y=a._getLastNonBlankColumn(g,1),C=f.length+1,b=g.length+1;_<C&&y<b;){var S=f.charCodeAt(_-1),w=f.charCodeAt(y-1);if(S!==w)break;_++,y++}(_<C||y<b)&&this._pushTrimWhitespaceCharChange(r,s+1,_,C,l+1,y,b)}s++,l++}c&&(r.push(d.createFromDiffResult(this.shouldIgnoreTrimWhitespace,c,this.original,this.modified,this._continueProcessingPredicate.bind(this),this.shouldComputeCharChanges,this.shouldPostProcessCharChanges)),s+=c.originalLength,l+=c.modifiedLength)}return r},e.prototype._pushTrimWhitespaceCharChange=function(e,t,n,i,o,r,s){if(!this._mergeTrimWhitespaceCharChange(e,t,n,i,o,r,s)){var a=void 0;this.shouldComputeCharChanges&&(a=[new u(t,n,t,i,o,r,o,s)]),e.push(new d(t,t,o,o,a))}},e.prototype._mergeTrimWhitespaceCharChange=function(e,t,n,i,o,r,s){var a=e.length;if(0===a)return!1;var l=e[a-1]
;return 0!==l.originalEndLineNumber&&0!==l.modifiedEndLineNumber&&(l.originalEndLineNumber+1===t&&l.modifiedEndLineNumber+1===o&&(l.originalEndLineNumber=t,l.modifiedEndLineNumber=o,this.shouldComputeCharChanges&&l.charChanges.push(new u(t,n,t,i,o,r,o,s)),!0))},e.prototype._continueProcessingPredicate=function(){if(0===this.maximumRunTimeMs)return!0;return(new Date).getTime()-this.computationStartTime<this.maximumRunTimeMs},e}();t.DiffComputer=c}),define(t[165],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n,i,o,r){this.id=e,this.label=t,this.alias=n,this._precondition=i,this._run=o,this._contextKeyService=r}return e.prototype.isSupported=function(){return this._contextKeyService.contextMatchesRules(this._precondition)},e.prototype.run=function(){if(!this.isSupported())return Promise.resolve(void 0);var e=this._run();return e||Promise.resolve(void 0)},e}();t.InternalEditorAction=n}),define(t[54],n([0,1]),function(e,t){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0}),t.isThemeColor=function(e){return e&&"string"==typeof e.id},t.EditorType={ICodeEditor:"vs.editor.ICodeEditor",IDiffEditor:"vs.editor.IDiffEditor"},t.Handler={ExecuteCommand:"executeCommand",ExecuteCommands:"executeCommands",Type:"type",ReplacePreviousChar:"replacePreviousChar",CompositionStart:"compositionStart",CompositionEnd:"compositionEnd",Paste:"paste",Cut:"cut",Undo:"undo",Redo:"redo"}}),define(t[105],n([0,1,54]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isCodeEditor=function(e){return!(!e||"function"!=typeof e.getEditorType)&&e.getEditorType()===n.EditorType.ICodeEditor}}),define(t[44],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(t.OverviewRulerLane||(t.OverviewRulerLane={}));var n=function(){function e(e){this.tabSize=0|e.tabSize,this.insertSpaces=Boolean(e.insertSpaces),
this.defaultEOL=0|e.defaultEOL,this.trimAutoWhitespace=Boolean(e.trimAutoWhitespace)}return e.prototype.equals=function(e){return this.tabSize===e.tabSize&&this.insertSpaces===e.insertSpaces&&this.defaultEOL===e.defaultEOL&&this.trimAutoWhitespace===e.trimAutoWhitespace},e.prototype.createChangeEvent=function(e){return{tabSize:this.tabSize!==e.tabSize,insertSpaces:this.insertSpaces!==e.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==e.trimAutoWhitespace}},e}();t.TextModelResolvedOptions=n;var i=function(){return function(e,t){this.range=e,this.matches=t}}();t.FindMatch=i;var o=function(){return function(e,t,n){this.reverseEdits=e,this.changes=t,this.trimAutoWhitespaceLineNumbers=n}}();t.ApplyEditsResult=o}),define(t[471],n([0,1,11]),function(e,t,n){"use strict";function i(e){return"\n"===e.getEOL()?0:1}Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t){this.beforeVersionId=e,this.beforeCursorState=t,this.afterCursorState=null,this.afterVersionId=-1,
this.editOperations=[]}return e.prototype.undo=function(e){for(var t=this.editOperations.length-1;t>=0;t--)this.editOperations[t]={operations:e.applyEdits(this.editOperations[t].operations)}},e.prototype.redo=function(e){for(var t=0;t<this.editOperations.length;t++)this.editOperations[t]={operations:e.applyEdits(this.editOperations[t].operations)}},e}(),r=function(){function e(e,t){this.beforeVersionId=e,this.beforeCursorState=null,this.afterCursorState=null,this.afterVersionId=-1,this.eol=t}return e.prototype.undo=function(e){var t=i(e);e.setEOL(this.eol),this.eol=t},e.prototype.redo=function(e){var t=i(e);e.setEOL(this.eol),this.eol=t},e}(),s=function(){function e(e){this.model=e,this.currentOpenStackElement=null,this.past=[],this.future=[]}return e.prototype.pushStackElement=function(){null!==this.currentOpenStackElement&&(this.past.push(this.currentOpenStackElement),this.currentOpenStackElement=null)},e.prototype.clear=function(){this.currentOpenStackElement=null,this.past=[],this.future=[]},
e.prototype.pushEOL=function(e){this.future=[],this.currentOpenStackElement&&this.pushStackElement();var t=i(this.model),n=new r(this.model.getAlternativeVersionId(),t);this.model.setEOL(e),n.afterVersionId=this.model.getVersionId(),this.currentOpenStackElement=n,this.pushStackElement()},e.prototype.pushEditOperation=function(t,n,i){this.future=[];var r=null;this.currentOpenStackElement&&(this.currentOpenStackElement instanceof o?r=this.currentOpenStackElement:this.pushStackElement()),this.currentOpenStackElement||(r=new o(this.model.getAlternativeVersionId(),t),this.currentOpenStackElement=r);var s={operations:this.model.applyEdits(n)};return r.editOperations.push(s),r.afterCursorState=e._computeCursorState(i,s.operations),r.afterVersionId=this.model.getVersionId(),r.afterCursorState},e._computeCursorState=function(e,t){try{return e?e(t):null}catch(e){return n.onUnexpectedError(e),null}},e.prototype.undo=function(){if(this.pushStackElement(),this.past.length>0){var e=this.past.pop();try{e.undo(this.model)
}catch(e){return n.onUnexpectedError(e),this.clear(),null}return this.future.push(e),{selections:e.beforeCursorState,recordedVersionId:e.beforeVersionId}}return null},e.prototype.canUndo=function(){return this.past.length>0},e.prototype.redo=function(){if(this.future.length>0){var e=this.future.pop();try{e.redo(this.model)}catch(e){return n.onUnexpectedError(e),this.clear(),null}return this.past.push(e),{selections:e.afterCursorState,recordedVersionId:e.afterVersionId}}return null},e.prototype.canRedo=function(){return this.future.length>0},e}();t.EditStack=s}),define(t[472],n([0,1]),function(e,t){"use strict";function n(e,t,n,i,o){o.spacesDiff=0,o.looksLikeAlignment=!1;var r;for(r=0;r<t&&r<i;r++){if((u=e.charCodeAt(r))!==(h=n.charCodeAt(r)))break}for(var s=0,a=0,l=r;l<t;l++){var u=e.charCodeAt(l);32===u?s++:a++}for(var d=0,c=0,l=r;l<i;l++){var h=n.charCodeAt(l);32===h?d++:c++}if(!(s>0&&a>0||d>0&&c>0)){var p=Math.abs(a-c),f=Math.abs(s-d);if(0===p)return o.spacesDiff=f,
void(f>0&&0<=d-1&&d-1<e.length&&d<n.length&&32!==n.charCodeAt(d)&&32===e.charCodeAt(d-1)&&(o.looksLikeAlignment=!0));f%p!=0||(o.spacesDiff=f/p)}}Object.defineProperty(t,"__esModule",{value:!0});var i=function(){return function(){}}();t.guessIndentation=function(e,t,o){for(var r=Math.min(e.getLineCount(),1e4),s=0,a=0,l="",u=0,d=[0,0,0,0,0,0,0,0,0],c=new i,h=1;h<=r;h++){for(var p=e.getLineLength(h),f=e.getLineContent(h),g=p<=65536,m=!1,v=0,_=0,y=0,C=0,b=p;C<b;C++){var S=g?f.charCodeAt(C):e.getLineCharCode(h,C);if(9===S)y++;else{if(32!==S){m=!0,v=C;break}_++}}if(m&&(y>0?s++:_>1&&a++,n(l,u,f,v,c),!c.looksLikeAlignment)){var w=c.spacesDiff;w<=8&&d[w]++,l=f,u=v}}var E=o;s!==a&&(E=s<a);var L=t,x=E?0:.1*r;return[2,4,6,8,3,5,7].forEach(function(e){var t=d[e];t>x&&(x=t,L=e)}),{insertSpaces:E,tabSize:L}}}),define(t[479],n([0,1]),function(e,t){"use strict";function n(e){return(1&e.metadata)>>>0}function i(e,t){e.metadata=254&e.metadata|t<<0}function o(e){return(2&e.metadata)>>>1==1}function r(e,t){
e.metadata=253&e.metadata|(t?1:0)<<1}function s(e){return(4&e.metadata)>>>2==1}function a(e,t){e.metadata=251&e.metadata|(t?1:0)<<2}function l(e,t){e.metadata=247&e.metadata|(t?1:0)<<3}function u(e,t){e.metadata=207&e.metadata|t<<4}function d(e,t){e.metadata=191&e.metadata|(t?1:0)<<6}function c(e,t,n,i){return e<n||!(e>n)&&(1!==i&&(2===i||t))}function h(e,t,n,i,o){var r=function(e){return(48&e.metadata)>>>4}(e),s=0===r||2===r,a=1===r||2===r,l=n-t,u=i,d=Math.min(l,u),h=e.start,p=!1,f=e.end,g=!1;t<=h&&f<=n&&function(e){return(64&e.metadata)>>>6==1}(e)&&(e.start=t,p=!0,e.end=t,g=!0);m=o?1:l>0?2:0;if(!p&&c(h,s,t,m)&&(p=!0),!g&&c(f,a,t,m)&&(g=!0),d>0&&!o){m=l>u?2:0;!p&&c(h,s,t+d,m)&&(p=!0),!g&&c(f,a,t+d,m)&&(g=!0)}var m=o?1:0;!p&&c(h,s,n,m)&&(e.start=t+u,p=!0),!g&&c(f,a,n,m)&&(e.end=t+u,g=!0);var v=u-l;p||(e.start=Math.max(0,h+v),p=!0),g||(e.end=Math.max(0,f+v),g=!0),e.start>e.end&&(e.end=e.start)}function p(e,o){if(e.root===t.SENTINEL)return o.parent=t.SENTINEL,o.left=t.SENTINEL,o.right=t.SENTINEL,i(o,0),
e.root=o,e.root;!function(e,n){var o=0,r=e.root,s=n.start,a=n.end;for(;;){if(b(s,a,r.start+o,r.end+o)<0){if(r.left===t.SENTINEL){n.start-=o,n.end-=o,n.maxEnd-=o,r.left=n;break}r=r.left}else{if(r.right===t.SENTINEL){n.start-=o+r.delta,n.end-=o+r.delta,n.maxEnd-=o+r.delta,r.right=n;break}o+=r.delta,r=r.right}}n.parent=r,n.left=t.SENTINEL,n.right=t.SENTINEL,i(n,1)}(e,o),C(o.parent);for(var r=o;r!==e.root&&1===n(r.parent);)if(r.parent===r.parent.parent.left){1===n(s=r.parent.parent.right)?(i(r.parent,0),i(s,0),i(r.parent.parent,1),r=r.parent.parent):(r===r.parent.right&&m(e,r=r.parent),i(r.parent,0),i(r.parent.parent,1),v(e,r.parent.parent))}else{var s=r.parent.parent.left;1===n(s)?(i(r.parent,0),i(s,0),i(r.parent.parent,1),r=r.parent.parent):(r===r.parent.left&&v(e,r=r.parent),i(r.parent,0),i(r.parent.parent,1),m(e,r.parent.parent))}return i(e.root,0),o}function f(e,o){var r,s;if(o.left===t.SENTINEL?(s=o,(r=o.right).delta+=o.delta,(r.delta<-1073741824||r.delta>1073741824)&&(e.requestNormalizeDelta=!0),
r.start+=o.delta,r.end+=o.delta):o.right===t.SENTINEL?(r=o.left,s=o):((r=(s=function(e){for(;e.left!==t.SENTINEL;)e=e.left;return e}(o.right)).right).start+=s.delta,r.end+=s.delta,r.delta+=s.delta,(r.delta<-1073741824||r.delta>1073741824)&&(e.requestNormalizeDelta=!0),s.start+=o.delta,s.end+=o.delta,s.delta=o.delta,(s.delta<-1073741824||s.delta>1073741824)&&(e.requestNormalizeDelta=!0)),s===e.root)return e.root=r,i(r,0),o.detach(),g(),y(r),void(e.root.parent=t.SENTINEL);var a=1===n(s);if(s===s.parent.left?s.parent.left=r:s.parent.right=r,s===o?r.parent=s.parent:(s.parent===o?r.parent=s:r.parent=s.parent,s.left=o.left,s.right=o.right,s.parent=o.parent,i(s,n(o)),o===e.root?e.root=s:o===o.parent.left?o.parent.left=s:o.parent.right=s,s.left!==t.SENTINEL&&(s.left.parent=s),s.right!==t.SENTINEL&&(s.right.parent=s)),o.detach(),a)return C(r.parent),s!==o&&(C(s),C(s.parent)),void g();C(r),C(r.parent),s!==o&&(C(s),C(s.parent));for(var l;r!==e.root&&0===n(r);)r===r.parent.left?(1===n(l=r.parent.right)&&(i(l,0),
i(r.parent,1),m(e,r.parent),l=r.parent.right),0===n(l.left)&&0===n(l.right)?(i(l,1),r=r.parent):(0===n(l.right)&&(i(l.left,0),i(l,1),v(e,l),l=r.parent.right),i(l,n(r.parent)),i(r.parent,0),i(l.right,0),m(e,r.parent),r=e.root)):(1===n(l=r.parent.left)&&(i(l,0),i(r.parent,1),v(e,r.parent),l=r.parent.left),0===n(l.left)&&0===n(l.right)?(i(l,1),r=r.parent):(0===n(l.left)&&(i(l.right,0),i(l,1),m(e,l),l=r.parent.left),i(l,n(r.parent)),i(r.parent,0),i(l.left,0),v(e,r.parent),r=e.root));i(r,0),g()}function g(){t.SENTINEL.parent=t.SENTINEL,t.SENTINEL.delta=0,t.SENTINEL.start=0,t.SENTINEL.end=0}function m(e,n){var i=n.right;i.delta+=n.delta,(i.delta<-1073741824||i.delta>1073741824)&&(e.requestNormalizeDelta=!0),i.start+=n.delta,i.end+=n.delta,n.right=i.left,i.left!==t.SENTINEL&&(i.left.parent=n),i.parent=n.parent,n.parent===t.SENTINEL?e.root=i:n===n.parent.left?n.parent.left=i:n.parent.right=i,i.left=n,n.parent=i,y(n),y(i)}function v(e,n){var i=n.left;n.delta-=i.delta,
(n.delta<-1073741824||n.delta>1073741824)&&(e.requestNormalizeDelta=!0),n.start-=i.delta,n.end-=i.delta,n.left=i.right,i.right!==t.SENTINEL&&(i.right.parent=n),i.parent=n.parent,n.parent===t.SENTINEL?e.root=i:n===n.parent.right?n.parent.right=i:n.parent.left=i,i.right=n,n.parent=i,y(n),y(i)}function _(e){var n=e.end;if(e.left!==t.SENTINEL){var i=e.left.maxEnd;i>n&&(n=i)}if(e.right!==t.SENTINEL){var o=e.right.maxEnd+e.delta;o>n&&(n=o)}return n}function y(e){e.maxEnd=_(e)}function C(e){for(;e!==t.SENTINEL;){var n=_(e);if(e.maxEnd===n)return;e.maxEnd=n,e=e.parent}}function b(e,t,n,i){return e===n?t-i:e-n}Object.defineProperty(t,"__esModule",{value:!0}),t.getNodeColor=n,t.getNodeIsInOverviewRuler=function(e){return(8&e.metadata)>>>3==1};var S=function(){function e(e,t,n){this.metadata=0,this.parent=this,this.left=this,this.right=this,i(this,1),this.start=t,this.end=n,this.delta=0,this.maxEnd=n,this.id=e,this.ownerId=0,this.options=null,a(this,!1),u(this,1),l(this,!1),d(this,!1),this.cachedVersionId=0,
this.cachedAbsoluteStart=t,this.cachedAbsoluteEnd=n,this.range=null,r(this,!1)}return e.prototype.reset=function(e,t,n,i){this.start=t,this.end=n,this.maxEnd=n,this.cachedVersionId=e,this.cachedAbsoluteStart=t,this.cachedAbsoluteEnd=n,this.range=i},e.prototype.setOptions=function(e){this.options=e;var t=this.options.className;a(this,"squiggly-error"===t||"squiggly-warning"===t||"squiggly-info"===t),u(this,this.options.stickiness),l(this,!(!this.options.overviewRuler||!this.options.overviewRuler.color)),d(this,this.options.collapseOnReplaceEdit)},e.prototype.setCachedOffsets=function(e,t,n){this.cachedVersionId!==n&&(this.range=null),this.cachedVersionId=n,this.cachedAbsoluteStart=e,this.cachedAbsoluteEnd=t},e.prototype.detach=function(){this.parent=null,this.left=null,this.right=null},e}();t.IntervalNode=S,t.SENTINEL=new S(null,0,0),t.SENTINEL.parent=t.SENTINEL,t.SENTINEL.left=t.SENTINEL,t.SENTINEL.right=t.SENTINEL,i(t.SENTINEL,0);var w=function(){function e(){this.root=t.SENTINEL,
this.requestNormalizeDelta=!1}return e.prototype.intervalSearch=function(e,n,i,a,l){return this.root===t.SENTINEL?[]:function(e,n,i,a,l,u){for(var d=e.root,c=0,h=0,p=0,f=[],g=0;d!==t.SENTINEL;)if(o(d))r(d.left,!1),r(d.right,!1),d===d.parent.right&&(c-=d.parent.delta),d=d.parent;else{if(!o(d.left)){if(c+d.maxEnd<n){r(d,!0);continue}if(d.left!==t.SENTINEL){d=d.left;continue}}if((h=c+d.start)>i)r(d,!0);else{if((p=c+d.end)>=n){d.setCachedOffsets(h,p,u);var m=!0;a&&d.ownerId&&d.ownerId!==a&&(m=!1),l&&s(d)&&(m=!1),m&&(f[g++]=d)}r(d,!0),d.right===t.SENTINEL||o(d.right)||(c+=d.delta,d=d.right)}}return r(e.root,!1),f}(this,e,n,i,a,l)},e.prototype.search=function(e,n,i){return this.root===t.SENTINEL?[]:function(e,n,i,a){for(var l=e.root,u=0,d=0,c=0,h=[],p=0;l!==t.SENTINEL;)if(o(l))r(l.left,!1),r(l.right,!1),l===l.parent.right&&(u-=l.parent.delta),l=l.parent;else if(l.left===t.SENTINEL||o(l.left)){d=u+l.start,c=u+l.end,l.setCachedOffsets(d,c,a);var f=!0;n&&l.ownerId&&l.ownerId!==n&&(f=!1),i&&s(l)&&(f=!1),f&&(h[p++]=l),
r(l,!0),l.right===t.SENTINEL||o(l.right)||(u+=l.delta,l=l.right)}else l=l.left;return r(e.root,!1),h}(this,e,n,i)},e.prototype.collectNodesFromOwner=function(e){return function(e,n){for(var i=e.root,s=[],a=0;i!==t.SENTINEL;)o(i)?(r(i.left,!1),r(i.right,!1),i=i.parent):i.left===t.SENTINEL||o(i.left)?(i.ownerId===n&&(s[a++]=i),r(i,!0),i.right===t.SENTINEL||o(i.right)||(i=i.right)):i=i.left;return r(e.root,!1),s}(this,e)},e.prototype.collectNodesPostOrder=function(){return function(e){for(var n=e.root,i=[],s=0;n!==t.SENTINEL;)o(n)?(r(n.left,!1),r(n.right,!1),n=n.parent):n.left===t.SENTINEL||o(n.left)?n.right===t.SENTINEL||o(n.right)?(i[s++]=n,r(n,!0)):n=n.right:n=n.left;return r(e.root,!1),i}(this)},e.prototype.insert=function(e){p(this,e),this._normalizeDeltaIfNecessary()},e.prototype.delete=function(e){f(this,e),this._normalizeDeltaIfNecessary()},e.prototype.resolveNode=function(e,t){for(var n=e,i=0;e!==this.root;)e===e.parent.right&&(i+=e.parent.delta),e=e.parent;var o=n.start+i,r=n.end+i
;n.setCachedOffsets(o,r,t)},e.prototype.acceptReplace=function(e,n,i,s){for(var a=function(e,n,i){for(var s=e.root,a=0,l=0,u=0,d=[],c=0;s!==t.SENTINEL;)if(o(s))r(s.left,!1),r(s.right,!1),s===s.parent.right&&(a-=s.parent.delta),s=s.parent;else{if(!o(s.left)){if(a+s.maxEnd<n){r(s,!0);continue}if(s.left!==t.SENTINEL){s=s.left;continue}}(l=a+s.start)>i?r(s,!0):((u=a+s.end)>=n&&(s.setCachedOffsets(l,u,0),d[c++]=s),r(s,!0),s.right===t.SENTINEL||o(s.right)||(a+=s.delta,s=s.right))}return r(e.root,!1),d}(this,e,e+n),l=0,u=a.length;l<u;l++){f(this,d=a[l])}this._normalizeDeltaIfNecessary(),function(e,n,i,s){for(var a=e.root,l=0,u=s-(i-n);a!==t.SENTINEL;)if(o(a))r(a.left,!1),r(a.right,!1),a===a.parent.right&&(l-=a.parent.delta),y(a),a=a.parent;else{if(!o(a.left)){if(l+a.maxEnd<n){r(a,!0);continue}if(a.left!==t.SENTINEL){a=a.left;continue}}l+a.start>i?(a.start+=u,a.end+=u,a.delta+=u,(a.delta<-1073741824||a.delta>1073741824)&&(e.requestNormalizeDelta=!0),r(a,!0)):(r(a,!0),a.right===t.SENTINEL||o(a.right)||(l+=a.delta,
a=a.right))}r(e.root,!1)}(this,e,e+n,i),this._normalizeDeltaIfNecessary();for(var l=0,u=a.length;l<u;l++){var d=a[l];d.start=d.cachedAbsoluteStart,d.end=d.cachedAbsoluteEnd,h(d,e,e+n,i,s),d.maxEnd=d.end,p(this,d)}this._normalizeDeltaIfNecessary()},e.prototype._normalizeDeltaIfNecessary=function(){this.requestNormalizeDelta&&(this.requestNormalizeDelta=!1,function(e){for(var n=e.root,i=0;n!==t.SENTINEL;)n.left===t.SENTINEL||o(n.left)?n.right===t.SENTINEL||o(n.right)?(n.start=i+n.start,n.end=i+n.end,n.delta=0,y(n),r(n,!0),r(n.left,!1),r(n.right,!1),n===n.parent.right&&(i-=n.parent.delta),n=n.parent):(i+=n.delta,n=n.right):n=n.left;r(e.root,!1)}(this))},e}();t.IntervalTree=w,t.nodeAcceptEdit=h,t.recomputeMaxEnd=y,t.intervalCompare=b}),define(t[480],n([0,1]),function(e,t){"use strict";function n(e){for(;e.left!==t.SENTINEL;)e=e.left;return e}function i(e){for(;e.right!==t.SENTINEL;)e=e.right;return e}function o(e){return e===t.SENTINEL?0:e.size_left+e.piece.length+o(e.right)}function r(e){
return e===t.SENTINEL?0:e.lf_left+e.piece.lineFeedCnt+r(e.right)}function s(){t.SENTINEL.parent=t.SENTINEL}function a(e,n){var i=n.right;i.size_left+=n.size_left+(n.piece?n.piece.length:0),i.lf_left+=n.lf_left+(n.piece?n.piece.lineFeedCnt:0),n.right=i.left,i.left!==t.SENTINEL&&(i.left.parent=n),i.parent=n.parent,n.parent===t.SENTINEL?e.root=i:n.parent.left===n?n.parent.left=i:n.parent.right=i,i.left=n,n.parent=i}function l(e,n){var i=n.left;n.left=i.right,i.right!==t.SENTINEL&&(i.right.parent=n),i.parent=n.parent,n.size_left-=i.size_left+(i.piece?i.piece.length:0),n.lf_left-=i.lf_left+(i.piece?i.piece.lineFeedCnt:0),n.parent===t.SENTINEL?e.root=i:n===n.parent.right?n.parent.right=i:n.parent.left=i,i.right=n,n.parent=i}function u(e,n,i,o){for(;n!==e.root&&n!==t.SENTINEL;)n.parent.left===n&&(n.parent.size_left+=i,n.parent.lf_left+=o),n=n.parent}function d(e,t){var n=0,i=0;if(t!==e.root){if(0===n){for(;t!==e.root&&t===t.parent.right;)t=t.parent;if(t===e.root)return;n=o((t=t.parent).left)-t.size_left,
i=r(t.left)-t.lf_left,t.size_left+=n,t.lf_left+=i}for(;t!==e.root&&(0!==n||0!==i);)t.parent.left===t&&(t.parent.size_left+=n,t.parent.lf_left+=i),t=t.parent}}Object.defineProperty(t,"__esModule",{value:!0});var c=function(){function e(e,t){this.piece=e,this.color=t,this.size_left=0,this.lf_left=0,this.parent=this,this.left=this,this.right=this}return e.prototype.next=function(){if(this.right!==t.SENTINEL)return n(this.right);for(var e=this;e.parent!==t.SENTINEL&&e.parent.left!==e;)e=e.parent;return e.parent===t.SENTINEL?t.SENTINEL:e.parent},e.prototype.prev=function(){if(this.left!==t.SENTINEL)return i(this.left);for(var e=this;e.parent!==t.SENTINEL&&e.parent.right!==e;)e=e.parent;return e.parent===t.SENTINEL?t.SENTINEL:e.parent},e.prototype.detach=function(){this.parent=null,this.left=null,this.right=null},e}();t.TreeNode=c,t.SENTINEL=new c(null,0),t.SENTINEL.parent=t.SENTINEL,t.SENTINEL.left=t.SENTINEL,t.SENTINEL.right=t.SENTINEL,t.SENTINEL.color=0,t.leftest=n,t.righttest=i,t.calculateSize=o,
t.calculateLF=r,t.resetSentinel=s,t.leftRotate=a,t.rightRotate=l,t.rbDelete=function(e,i){var c,h;if(c=i.left===t.SENTINEL?(h=i).right:i.right===t.SENTINEL?(h=i).left:(h=n(i.right)).right,h===e.root)return e.root=c,c.color=0,i.detach(),s(),void(e.root.parent=t.SENTINEL);var p=1===h.color;if(h===h.parent.left?h.parent.left=c:h.parent.right=c,h===i?(c.parent=h.parent,d(e,c)):(h.parent===i?c.parent=h:c.parent=h.parent,d(e,c),h.left=i.left,h.right=i.right,h.parent=i.parent,h.color=i.color,i===e.root?e.root=h:i===i.parent.left?i.parent.left=h:i.parent.right=h,h.left!==t.SENTINEL&&(h.left.parent=h),h.right!==t.SENTINEL&&(h.right.parent=h),h.size_left=i.size_left,h.lf_left=i.lf_left,d(e,h)),i.detach(),c.parent.left===c){var f=o(c),g=r(c);if(f!==c.parent.size_left||g!==c.parent.lf_left){var m=f-c.parent.size_left,v=g-c.parent.lf_left;c.parent.size_left=f,c.parent.lf_left=g,u(e,c.parent,m,v)}}if(d(e,c.parent),p)s();else{for(var _;c!==e.root&&0===c.color;)c===c.parent.left?(1===(_=c.parent.right).color&&(_.color=0,
c.parent.color=1,a(e,c.parent),_=c.parent.right),0===_.left.color&&0===_.right.color?(_.color=1,c=c.parent):(0===_.right.color&&(_.left.color=0,_.color=1,l(e,_),_=c.parent.right),_.color=c.parent.color,c.parent.color=0,_.right.color=0,a(e,c.parent),c=e.root)):(1===(_=c.parent.left).color&&(_.color=0,c.parent.color=1,l(e,c.parent),_=c.parent.left),0===_.left.color&&0===_.right.color?(_.color=1,c=c.parent):(0===_.left.color&&(_.right.color=0,_.color=1,a(e,_),_=c.parent.left),_.color=c.parent.color,c.parent.color=0,_.left.color=0,l(e,c.parent),c=e.root));c.color=0,s()}},t.fixInsert=function(e,t){for(d(e,t);t!==e.root&&1===t.parent.color;)if(t.parent===t.parent.parent.left)1===(n=t.parent.parent.right).color?(t.parent.color=0,n.color=0,t.parent.parent.color=1,t=t.parent.parent):(t===t.parent.right&&a(e,t=t.parent),t.parent.color=0,t.parent.parent.color=1,l(e,t.parent.parent));else{var n=t.parent.parent.left;1===n.color?(t.parent.color=0,n.color=0,t.parent.parent.color=1,
t=t.parent.parent):(t===t.parent.left&&l(e,t=t.parent),t.parent.color=0,t.parent.parent.color=1,a(e,t.parent.parent))}e.root.color=0},t.updateTreeMetadata=u,t.recomputeTreeMetadata=d}),define(t[483],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){return function(){this.changeType=1}}();t.ModelRawFlush=n;var i=function(){return function(e,t){this.changeType=2,this.lineNumber=e,this.detail=t}}();t.ModelRawLineChanged=i;var o=function(){return function(e,t){this.changeType=3,this.fromLineNumber=e,this.toLineNumber=t}}();t.ModelRawLinesDeleted=o;var r=function(){return function(e,t,n){this.changeType=4,this.fromLineNumber=e,this.toLineNumber=t,this.detail=n}}();t.ModelRawLinesInserted=r;var s=function(){return function(){this.changeType=5}}();t.ModelRawEOLChanged=s;var a=function(){function e(e,t,n,i){this.changes=e,this.versionId=t,this.isUndoing=n,this.isRedoing=i}return e.prototype.containsEvent=function(e){for(var t=0,n=this.changes.length;t<n;t++){
if(this.changes[t].changeType===e)return!0}return!1},e.merge=function(t,n){return new e([].concat(t.changes).concat(n.changes),n.versionId,t.isUndoing||n.isUndoing,t.isRedoing||n.isRedoing)},e}();t.ModelRawContentChangedEvent=a;var l=function(){function e(e,t){this.rawContentChangedEvent=e,this.contentChangedEvent=t}return e.prototype.merge=function(t){return new e(a.merge(this.rawContentChangedEvent,t.rawContentChangedEvent),e._mergeChangeEvents(this.contentChangedEvent,t.contentChangedEvent))},e._mergeChangeEvents=function(e,t){return{changes:[].concat(e.changes).concat(t.changes),eol:t.eol,versionId:t.versionId,isUndoing:e.isUndoing||t.isUndoing,isRedoing:e.isRedoing||t.isRedoing,isFlush:e.isFlush||t.isFlush}},e}();t.InternalModelContentChangeEvent=l}),define(t[112],n([0,1,8,80,12,3,44]),function(e,t,n,i,o,r,s){"use strict";function a(e){if(!e||0===e.length)return!1;for(var t=0,n=e.length;t<n;t++){if(92===e.charCodeAt(t)){if(++t>=n)break;var i=e.charCodeAt(t);if(110===i||114===i||87===i)return!0}}return!1}
function l(e,t,n){if(!n)return new s.FindMatch(e,null);for(var i=[],o=0,r=t.length;o<r;o++)i[o]=t[o];return new s.FindMatch(e,i)}function u(e,t,n,i,o){return function(e,t,n,i,o){if(0===i)return!0;var r=t.charCodeAt(i-1);if(0!==e.get(r))return!0;if(13===r||10===r)return!0;if(o>0){var s=t.charCodeAt(i);if(0!==e.get(s))return!0}return!1}(e,t,0,i,o)&&function(e,t,n,i,o){if(i+o===n)return!0;var r=t.charCodeAt(i+o);if(0!==e.get(r))return!0;if(13===r||10===r)return!0;if(o>0){var s=t.charCodeAt(i+o-1);if(0!==e.get(s))return!0}return!1}(e,t,n,i,o)}Object.defineProperty(t,"__esModule",{value:!0});var d=function(){function e(e,t,n,i){this.searchString=e,this.isRegex=t,this.matchCase=n,this.wordSeparators=i}return e.prototype.parseSearchRequest=function(){if(""===this.searchString)return null;var e;e=this.isRegex?a(this.searchString):this.searchString.indexOf("\n")>=0;var t=null;try{t=n.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:e,global:!0})}catch(e){return null}
if(!t)return null;var o=!this.isRegex&&!e;return o&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(o=this.matchCase),new c(t,this.wordSeparators?i.getMapForWordSeparators(this.wordSeparators):null,o?this.searchString:null)},e}();t.SearchParams=d,t.isMultilineRegexSource=a;var c=function(){return function(e,t,n){this.regex=e,this.wordSeparators=t,this.simpleSearch=n}}();t.SearchData=c,t.createFindMatch=l;var h=function(){function e(e){for(var t=[],n=0,i=0,o=e.length;i<o;i++)10===e.charCodeAt(i)&&(t[n++]=i);this._lineFeedsOffsets=t}return e.prototype.findLineFeedCountBeforeOffset=function(e){var t=this._lineFeedsOffsets,n=0,i=t.length-1;if(-1===i)return 0;if(e<=t[0])return 0;for(;n<i;){var o=n+((i-n)/2>>0);t[o]>=e?i=o-1:t[o+1]>=e?(n=o,i=o):n=o+1}return n+1},e}(),p=function(){function e(){}return e.findMatches=function(e,t,n,i,o){var r=t.parseSearchRequest()
;return r?r.regex.multiline?this._doFindMatchesMultiline(e,n,new f(r.wordSeparators,r.regex),i,o):this._doFindMatchesLineByLine(e,n,r,i,o):[]},e._getMultilineMatchRange=function(e,t,n,i,o,s){var a,l=0;a=i?t+o+(l=i.findLineFeedCountBeforeOffset(o)):t+o;var u;if(i){var d=i.findLineFeedCountBeforeOffset(o+s.length)-l;u=a+s.length+d}else u=a+s.length;var c=e.getPositionAt(a),h=e.getPositionAt(u);return new r.Range(c.lineNumber,c.column,h.lineNumber,h.column)},e._doFindMatchesMultiline=function(e,t,n,i,o){var r,s=e.getOffsetAt(t.getStartPosition()),a=e.getValueInRange(t,1),u="\r\n"===e.getEOL()?new h(a):null,d=[],c=0;for(n.reset(0);r=n.next(a);)if(d[c++]=l(this._getMultilineMatchRange(e,s,a,u,r.index,r[0]),r,i),c>=o)return d;return d},e._doFindMatchesLineByLine=function(e,t,n,i,o){var r=[],s=0;if(t.startLineNumber===t.endLineNumber){var a=e.getLineContent(t.startLineNumber).substring(t.startColumn-1,t.endColumn-1);return s=this._findMatchesInLine(n,a,t.startLineNumber,t.startColumn-1,s,r,i,o),r}
var l=e.getLineContent(t.startLineNumber).substring(t.startColumn-1);s=this._findMatchesInLine(n,l,t.startLineNumber,t.startColumn-1,s,r,i,o);for(var u=t.startLineNumber+1;u<t.endLineNumber&&s<o;u++)s=this._findMatchesInLine(n,e.getLineContent(u),u,0,s,r,i,o);if(s<o){var d=e.getLineContent(t.endLineNumber).substring(0,t.endColumn-1);s=this._findMatchesInLine(n,d,t.endLineNumber,0,s,r,i,o)}return r},e._findMatchesInLine=function(e,t,n,i,o,a,d,c){var h=e.wordSeparators;if(!d&&e.simpleSearch){for(var p=e.simpleSearch,g=p.length,m=t.length,v=-g;-1!==(v=t.indexOf(p,v+g));)if((!h||u(h,t,m,v,g))&&(a[o++]=new s.FindMatch(new r.Range(n,v+1+i,n,v+1+g+i),null),o>=c))return o;return o}var _,y=new f(e.wordSeparators,e.regex);y.reset(0);do{if((_=y.next(t))&&(a[o++]=l(new r.Range(n,_.index+1+i,n,_.index+1+_[0].length+i),_,d),o>=c))return o}while(_);return o},e.findNextMatch=function(e,t,n,i){var o=t.parseSearchRequest();if(!o)return null;var r=new f(o.wordSeparators,o.regex)
;return o.regex.multiline?this._doFindNextMatchMultiline(e,n,r,i):this._doFindNextMatchLineByLine(e,n,r,i)},e._doFindNextMatchMultiline=function(e,t,n,i){var s=new o.Position(t.lineNumber,1),a=e.getOffsetAt(s),u=e.getLineCount(),d=e.getValueInRange(new r.Range(s.lineNumber,s.column,u,e.getLineMaxColumn(u)),1),c="\r\n"===e.getEOL()?new h(d):null;n.reset(t.column-1);var p=n.next(d);return p?l(this._getMultilineMatchRange(e,a,d,c,p.index,p[0]),p,i):1!==t.lineNumber||1!==t.column?this._doFindNextMatchMultiline(e,new o.Position(1,1),n,i):null},e._doFindNextMatchLineByLine=function(e,t,n,i){var o=e.getLineCount(),r=t.lineNumber,s=e.getLineContent(r),a=this._findFirstMatchInLine(n,s,r,t.column,i);if(a)return a;for(var l=1;l<=o;l++){var u=(r+l-1)%o,d=e.getLineContent(u+1),c=this._findFirstMatchInLine(n,d,u+1,1,i);if(c)return c}return null},e._findFirstMatchInLine=function(e,t,n,i,o){e.reset(i-1);var s=e.next(t);return s?l(new r.Range(n,s.index+1,n,s.index+1+s[0].length),s,o):null},
e.findPreviousMatch=function(e,t,n,i){var o=t.parseSearchRequest();if(!o)return null;var r=new f(o.wordSeparators,o.regex);return o.regex.multiline?this._doFindPreviousMatchMultiline(e,n,r,i):this._doFindPreviousMatchLineByLine(e,n,r,i)},e._doFindPreviousMatchMultiline=function(e,t,n,i){var s=this._doFindMatchesMultiline(e,new r.Range(1,1,t.lineNumber,t.column),n,i,9990);if(s.length>0)return s[s.length-1];var a=e.getLineCount();return t.lineNumber!==a||t.column!==e.getLineMaxColumn(a)?this._doFindPreviousMatchMultiline(e,new o.Position(a,e.getLineMaxColumn(a)),n,i):null},e._doFindPreviousMatchLineByLine=function(e,t,n,i){var o=e.getLineCount(),r=t.lineNumber,s=e.getLineContent(r).substring(0,t.column-1),a=this._findLastMatchInLine(n,s,r,i);if(a)return a;for(var l=1;l<=o;l++){var u=(o+r-l-1)%o,d=e.getLineContent(u+1),c=this._findLastMatchInLine(n,d,u+1,i);if(c)return c}return null},e._findLastMatchInLine=function(e,t,n,i){var o,s=null
;for(e.reset(0);o=e.next(t);)s=l(new r.Range(n,o.index+1,n,o.index+1+o[0].length),o,i);return s},e}();t.TextModelSearch=p,t.isValidMatch=u;var f=function(){function e(e,t){this._wordSeparators=e,this._searchRegex=t,this._prevMatchStartIndex=-1,this._prevMatchLength=0}return e.prototype.reset=function(e){this._searchRegex.lastIndex=e,this._prevMatchStartIndex=-1,this._prevMatchLength=0},e.prototype.next=function(e){var t,n=e.length;do{if(this._prevMatchStartIndex+this._prevMatchLength===n)return null;if(!(t=this._searchRegex.exec(e)))return null;var i=t.index,o=t[0].length;if(i===this._prevMatchStartIndex&&o===this._prevMatchLength)return null;if(this._prevMatchStartIndex=i,this._prevMatchLength=o,!this._wordSeparators||u(this._wordSeparators,e,n,i,o))return t}while(t);return null},e}();t.Searcher=f}),define(t[172],n([0,1,12,3,44,480,112]),function(e,t,n,i,o,r,s){"use strict";function a(e){var t;return(t=e[e.length-1]<65536?new Uint16Array(e.length):new Uint32Array(e.length)).set(e,0),t}function l(e,t){
void 0===t&&(t=!0);for(var n=[0],i=1,o=0,r=e.length;o<r;o++){var s=e.charCodeAt(o);13===s?o+1<r&&10===e.charCodeAt(o+1)?(n[i++]=o+2,o++):n[i++]=o+1:10===s&&(n[i++]=o+1)}return t?a(n):n}Object.defineProperty(t,"__esModule",{value:!0}),t.AverageBufferSize=65535,t.createUintArray=a;var u=function(){return function(e,t,n,i,o){this.lineStarts=e,this.cr=t,this.lf=n,this.crlf=i,this.isBasicASCII=o}}();t.LineStarts=u,t.createLineStartsFast=l,t.createLineStarts=function(e,t){e.length=0,e[0]=0;for(var n=1,i=0,o=0,r=0,s=!0,l=0,d=t.length;l<d;l++){var c=t.charCodeAt(l);13===c?l+1<d&&10===t.charCodeAt(l+1)?(r++,e[n++]=l+2,l++):(i++,e[n++]=l+1):10===c?(o++,e[n++]=l+1):s&&9!==c&&(c<32||c>126)&&(s=!1)}var h=new u(a(e),i,o,r,s);return e.length=0,h};var d=function(){return function(e,t,n,i,o){this.bufferIndex=e,this.start=t,this.end=n,this.lineFeedCnt=i,this.length=o}}();t.Piece=d;var c=function(){return function(e,t){this.buffer=e,this.lineStarts=t}}();t.StringBuffer=c;var h=function(){function e(e){this._limit=e,
this._cache=[]}return e.prototype.get=function(e){for(var t=this._cache.length-1;t>=0;t--){var n=this._cache[t];if(n.nodeStartOffset<=e&&n.nodeStartOffset+n.node.piece.length>=e)return n}return null},e.prototype.get2=function(e){for(var t=this._cache.length-1;t>=0;t--){var n=this._cache[t];if(n.nodeStartLineNumber&&n.nodeStartLineNumber<e&&n.nodeStartLineNumber+n.node.piece.lineFeedCnt>=e)return n}return null},e.prototype.set=function(e){this._cache.length>=this._limit&&this._cache.shift(),this._cache.push(e)},e.prototype.valdiate=function(e){for(var t=!1,n=this._cache,i=0;i<n.length;i++){var o=n[i];(null===o.node.parent||o.nodeStartOffset>=e)&&(n[i]=null,t=!0)}if(t){for(var r=[],i=0;i<n.length;i++){var s=n[i];null!==s&&r.push(s)}this._cache=r}},e}(),p=function(){function e(e,t,n){this.create(e,t,n)}return e.prototype.create=function(e,t,n){this._buffers=[new c("",[0])],this._lastChangeBufferPos={line:0,column:0},this.root=r.SENTINEL,this._lineCnt=1,this._length=0,this._EOL=t,this._EOLLength=t.length,
this._EOLNormalized=n;for(var i=null,o=0,s=e.length;o<s;o++)if(e[o].buffer.length>0){e[o].lineStarts||(e[o].lineStarts=l(e[o].buffer));var a=new d(o+1,{line:0,column:0},{line:e[o].lineStarts.length-1,column:e[o].buffer.length-e[o].lineStarts[e[o].lineStarts.length-1]},e[o].lineStarts.length-1,e[o].buffer.length);this._buffers.push(e[o]),i=this.rbInsertRight(i,a)}this._searchCache=new h(1),this._lastVisitedLine={lineNumber:0,value:""},this.computeBufferMetadata()},e.prototype.normalizeEOL=function(e){var n=this,i=t.AverageBufferSize,o=i-Math.floor(i/3),r=2*o,s="",a=0,u=[];if(this.iterate(this.root,function(t){var i=n.getNodeContent(t),d=i.length;if(a<=o||a+d<r)return s+=i,a+=d,!0;var h=s.replace(/\r\n|\r|\n/g,e);return u.push(new c(h,l(h))),s=i,a=d,!0}),a>0){var d=s.replace(/\r\n|\r|\n/g,e);u.push(new c(d,l(d)))}this.create(u,e,!0)},e.prototype.getEOL=function(){return this._EOL},e.prototype.setEOL=function(e){this._EOL=e,this._EOLLength=this._EOL.length,this.normalizeEOL(e)},
e.prototype.getOffsetAt=function(e,t){for(var n=0,i=this.root;i!==r.SENTINEL;)if(i.left!==r.SENTINEL&&i.lf_left+1>=e)i=i.left;else{if(i.lf_left+i.piece.lineFeedCnt+1>=e){n+=i.size_left;return n+=this.getAccumulatedValue(i,e-i.lf_left-2)+t-1}e-=i.lf_left+i.piece.lineFeedCnt,n+=i.size_left+i.piece.length,i=i.right}return n},e.prototype.getPositionAt=function(e){e=Math.floor(e),e=Math.max(0,e);for(var t=this.root,i=0,o=e;t!==r.SENTINEL;)if(0!==t.size_left&&t.size_left>=e)t=t.left;else{if(t.size_left+t.piece.length>=e){var s=this.getIndexOf(t,e-t.size_left);if(i+=t.lf_left+s.index,0===s.index){l=o-(a=this.getOffsetAt(i+1,1));return new n.Position(i+1,l+1)}return new n.Position(i+1,s.remainder+1)}if(e-=t.size_left+t.piece.length,i+=t.lf_left+t.piece.lineFeedCnt,t.right===r.SENTINEL){var a=this.getOffsetAt(i+1,1),l=o-e-a;return new n.Position(i+1,l+1)}t=t.right}return new n.Position(1,1)},e.prototype.getValueInRange=function(e,t){if(e.startLineNumber===e.endLineNumber&&e.startColumn===e.endColumn)return""
;var n=this.nodeAt2(e.startLineNumber,e.startColumn),i=this.nodeAt2(e.endLineNumber,e.endColumn),o=this.getValueInRange2(n,i);return t?t===this._EOL&&this._EOLNormalized&&t===this.getEOL()&&this._EOLNormalized?o:o.replace(/\r\n|\r|\n/g,t):o},e.prototype.getValueInRange2=function(e,t){if(e.node===t.node){var n=e.node,i=this._buffers[n.piece.bufferIndex].buffer,o=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);return i.substring(o+e.remainder,o+t.remainder)}var s=e.node,a=this._buffers[s.piece.bufferIndex].buffer,l=this.offsetInBuffer(s.piece.bufferIndex,s.piece.start),u=a.substring(l+e.remainder,l+s.piece.length);for(s=s.next();s!==r.SENTINEL;){var d=this._buffers[s.piece.bufferIndex].buffer,c=this.offsetInBuffer(s.piece.bufferIndex,s.piece.start);if(s===t.node){u+=d.substring(c,c+t.remainder);break}u+=d.substr(c,s.piece.length),s=s.next()}return u},e.prototype.getLinesContent=function(){return this.getContentOfSubTree(this.root).split(/\r\n|\r|\n/)},e.prototype.getLength=function(){return this._length
},e.prototype.getLineCount=function(){return this._lineCnt},e.prototype.getLineContent=function(e){return this._lastVisitedLine.lineNumber===e?this._lastVisitedLine.value:(this._lastVisitedLine.lineNumber=e,e===this._lineCnt?this._lastVisitedLine.value=this.getLineRawContent(e):this._EOLNormalized?this._lastVisitedLine.value=this.getLineRawContent(e,this._EOLLength):this._lastVisitedLine.value=this.getLineRawContent(e).replace(/(\r\n|\r|\n)$/,""),this._lastVisitedLine.value)},e.prototype.getLineCharCode=function(e,t){var n=this.nodeAt2(e,t+1);if(n.remainder===n.node.piece.length){var i=n.node.next();if(!i)return 0;var o=this._buffers[i.piece.bufferIndex],r=this.offsetInBuffer(i.piece.bufferIndex,i.piece.start);return o.buffer.charCodeAt(r)}var o=this._buffers[n.node.piece.bufferIndex],s=(r=this.offsetInBuffer(n.node.piece.bufferIndex,n.node.piece.start))+n.remainder;return o.buffer.charCodeAt(s)},e.prototype.getLineLength=function(e){if(e===this.getLineCount()){var t=this.getOffsetAt(e,1)
;return this.getLength()-t}return this.getOffsetAt(e+1,1)-this.getOffsetAt(e,1)-this._EOLLength},e.prototype.findMatchesInNode=function(e,t,n,o,r,a,l,u,d,c,h){var p,f=this._buffers[e.piece.bufferIndex],g=this.offsetInBuffer(e.piece.bufferIndex,e.piece.start),m=this.offsetInBuffer(e.piece.bufferIndex,r),v=this.offsetInBuffer(e.piece.bufferIndex,a);t.reset(m);var _={line:0,column:0};do{if(p=t.next(f.buffer)){if(p.index>=v)return c;this.positionInBuffer(e,p.index-g,_);var y=this.getLineFeedCnt(e.piece.bufferIndex,r,_),C=_.line===r.line?_.column-r.column+o:_.column+1,b=C+p[0].length;if(h[c++]=s.createFindMatch(new i.Range(n+y,C,n+y,b),p,u),p.index+p[0].length>=v)return c;if(c>=d)return c}}while(p);return c},e.prototype.findMatchesLineByLine=function(e,t,n,i){var o=[],r=0,a=new s.Searcher(t.wordSeparators,t.regex),l=this.nodeAt2(e.startLineNumber,e.startColumn);if(null===l)return[];var u=this.nodeAt2(e.endLineNumber,e.endColumn);if(null===u)return[]
;var d=this.positionInBuffer(l.node,l.remainder),c=this.positionInBuffer(u.node,u.remainder);if(l.node===u.node)return this.findMatchesInNode(l.node,a,e.startLineNumber,e.startColumn,d,c,t,n,i,r,o),o;for(var h=e.startLineNumber,p=l.node;p!==u.node;){var f=this.getLineFeedCnt(p.piece.bufferIndex,d,p.piece.end);if(f>=1){var g=this._buffers[p.piece.bufferIndex].lineStarts,m=this.offsetInBuffer(p.piece.bufferIndex,p.piece.start),v=g[d.line+f],_=h===e.startLineNumber?e.startColumn:1;if((r=this.findMatchesInNode(p,a,h,_,d,this.positionInBuffer(p,v-m),t,n,i,r,o))>=i)return o;h+=f}var y=h===e.startLineNumber?e.startColumn-1:0;if(h===e.endLineNumber){b=this.getLineContent(h).substring(y,e.endColumn-1);return r=this._findMatchesInLine(t,a,b,e.endLineNumber,y,r,o,n,i),o}if((r=this._findMatchesInLine(t,a,this.getLineContent(h).substr(y),h,y,r,o,n,i))>=i)return o;h++,p=(l=this.nodeAt2(h,1)).node,d=this.positionInBuffer(l.node,l.remainder)}if(h===e.endLineNumber){
var C=h===e.startLineNumber?e.startColumn-1:0,b=this.getLineContent(h).substring(C,e.endColumn-1);return r=this._findMatchesInLine(t,a,b,e.endLineNumber,C,r,o,n,i),o}var S=h===e.startLineNumber?e.startColumn:1;return r=this.findMatchesInNode(u.node,a,h,S,d,c,t,n,i,r,o),o},e.prototype._findMatchesInLine=function(e,t,n,r,a,l,u,d,c){var h=e.wordSeparators;if(!d&&e.simpleSearch){for(var p=e.simpleSearch,f=p.length,g=n.length,m=-f;-1!==(m=n.indexOf(p,m+f));)if((!h||s.isValidMatch(h,n,g,m,f))&&(u[l++]=new o.FindMatch(new i.Range(r,m+1+a,r,m+1+f+a),null),l>=c))return l;return l}var v;t.reset(0);do{if((v=t.next(n))&&(u[l++]=s.createFindMatch(new i.Range(r,v.index+1+a,r,v.index+1+v[0].length+a),v,d),l>=c))return l}while(v);return l},e.prototype.insert=function(e,n,i){if(void 0===i&&(i=!1),this._EOLNormalized=this._EOLNormalized&&i,this._lastVisitedLine.lineNumber=0,this._lastVisitedLine.value="",this.root!==r.SENTINEL){
var o=this.nodeAt(e),s=o.node,a=o.remainder,l=o.nodeStartOffset,u=s.piece,c=u.bufferIndex,h=this.positionInBuffer(s,a);if(0===s.piece.bufferIndex&&u.end.line===this._lastChangeBufferPos.line&&u.end.column===this._lastChangeBufferPos.column&&l+u.length===e&&n.length<t.AverageBufferSize)return this.appendToNode(s,n),void this.computeBufferMetadata();if(l===e)this.insertContentToNodeLeft(n,s),this._searchCache.valdiate(e);else if(l+s.piece.length>e){var p=[],f=new d(u.bufferIndex,h,u.end,this.getLineFeedCnt(u.bufferIndex,h,u.end),this.offsetInBuffer(c,u.end)-this.offsetInBuffer(c,h));if(this.shouldCheckCRLF()&&this.endWithCR(n)){if(10===this.nodeCharCodeAt(s,a)){var g={line:f.start.line+1,column:0};f=new d(f.bufferIndex,g,f.end,this.getLineFeedCnt(f.bufferIndex,g,f.end),f.length-1),n+="\n"}}if(this.shouldCheckCRLF()&&this.startWithLF(n)){if(13===this.nodeCharCodeAt(s,a-1)){var m=this.positionInBuffer(s,a-1);this.deleteNodeTail(s,m),n="\r"+n,0===s.piece.length&&p.push(s)}else this.deleteNodeTail(s,h)
}else this.deleteNodeTail(s,h);var v=this.createNewPieces(n);f.length>0&&this.rbInsertRight(s,f);for(var _=s,y=0;y<v.length;y++)_=this.rbInsertRight(_,v[y]);this.deleteNodes(p)}else this.insertContentToNodeRight(n,s)}else for(var C=this.createNewPieces(n),s=this.rbInsertLeft(null,C[0]),y=1;y<C.length;y++)s=this.rbInsertRight(s,C[y]);this.computeBufferMetadata()},e.prototype.delete=function(e,t){if(this._lastVisitedLine.lineNumber=0,this._lastVisitedLine.value="",!(t<=0||this.root===r.SENTINEL)){var n=this.nodeAt(e),i=this.nodeAt(e+t),o=n.node,s=i.node;if(o===s){var a=this.positionInBuffer(o,n.remainder),l=this.positionInBuffer(o,i.remainder);if(n.nodeStartOffset===e){if(t===o.piece.length){var u=o.next();return r.rbDelete(this,o),this.validateCRLFWithPrevNode(u),void this.computeBufferMetadata()}return this.deleteNodeHead(o,l),this._searchCache.valdiate(e),this.validateCRLFWithPrevNode(o),void this.computeBufferMetadata()}return n.nodeStartOffset+o.piece.length===e+t?(this.deleteNodeTail(o,a),
this.validateCRLFWithNextNode(o),void this.computeBufferMetadata()):(this.shrinkNode(o,a,l),void this.computeBufferMetadata())}var d=[],c=this.positionInBuffer(o,n.remainder);this.deleteNodeTail(o,c),this._searchCache.valdiate(e),0===o.piece.length&&d.push(o);var h=this.positionInBuffer(s,i.remainder);this.deleteNodeHead(s,h),0===s.piece.length&&d.push(s);for(var p=o.next();p!==r.SENTINEL&&p!==s;p=p.next())d.push(p);var f=0===o.piece.length?o.prev():o;this.deleteNodes(d),this.validateCRLFWithNextNode(f),this.computeBufferMetadata()}},e.prototype.insertContentToNodeLeft=function(e,t){var n=[];if(this.shouldCheckCRLF()&&this.endWithCR(e)&&this.startWithLF(t)){var i=t.piece,o={line:i.start.line+1,column:0},s=new d(i.bufferIndex,o,i.end,this.getLineFeedCnt(i.bufferIndex,o,i.end),i.length-1);t.piece=s,e+="\n",r.updateTreeMetadata(this,t,-1,-1),0===t.piece.length&&n.push(t)}for(var a=this.createNewPieces(e),l=this.rbInsertLeft(t,a[a.length-1]),u=a.length-2;u>=0;u--)l=this.rbInsertLeft(l,a[u])
;this.validateCRLFWithPrevNode(l),this.deleteNodes(n)},e.prototype.insertContentToNodeRight=function(e,t){this.adjustCarriageReturnFromNext(e,t)&&(e+="\n");for(var n=this.createNewPieces(e),i=this.rbInsertRight(t,n[0]),o=i,r=1;r<n.length;r++)o=this.rbInsertRight(o,n[r]);this.validateCRLFWithPrevNode(i)},e.prototype.positionInBuffer=function(e,t,n){for(var i=e.piece,o=e.piece.bufferIndex,r=this._buffers[o].lineStarts,s=r[i.start.line]+i.start.column+t,a=i.start.line,l=i.end.line,u=0,d=0,c=0;a<=l&&(u=a+(l-a)/2|0,c=r[u],u!==l);)if(d=r[u+1],s<c)l=u-1;else{if(!(s>=d))break;a=u+1}return n?(n.line=u,n.column=s-c,null):{line:u,column:s-c}},e.prototype.getLineFeedCnt=function(e,t,n){if(0===n.column)return n.line-t.line;var i=this._buffers[e].lineStarts;if(n.line===i.length-1)return n.line-t.line;var o=i[n.line+1],r=i[n.line]+n.column;if(o>r+1)return n.line-t.line;var s=r-1;return 13===this._buffers[e].buffer.charCodeAt(s)?n.line-t.line+1:n.line-t.line},e.prototype.offsetInBuffer=function(e,t){
return this._buffers[e].lineStarts[t.line]+t.column},e.prototype.deleteNodes=function(e){for(var t=0;t<e.length;t++)r.rbDelete(this,e[t])},e.prototype.createNewPieces=function(e){if(e.length>t.AverageBufferSize){for(var n=[];e.length>t.AverageBufferSize;){var i=e.charCodeAt(t.AverageBufferSize-1),o=void 0;13===i||i>=55296&&i<=56319?(o=e.substring(0,t.AverageBufferSize-1),e=e.substring(t.AverageBufferSize-1)):(o=e.substring(0,t.AverageBufferSize),e=e.substring(t.AverageBufferSize));var r=l(o);n.push(new d(this._buffers.length,{line:0,column:0},{line:r.length-1,column:o.length-r[r.length-1]},r.length-1,o.length)),this._buffers.push(new c(o,r))}var s=l(e);return n.push(new d(this._buffers.length,{line:0,column:0},{line:s.length-1,column:e.length-s[s.length-1]},s.length-1,e.length)),this._buffers.push(new c(e,s)),n}var a=this._buffers[0].buffer.length,u=l(e,!1),h=this._lastChangeBufferPos
;if(this._buffers[0].lineStarts[this._buffers[0].lineStarts.length-1]===a&&0!==a&&this.startWithLF(e)&&this.endWithCR(this._buffers[0].buffer)){this._lastChangeBufferPos={line:this._lastChangeBufferPos.line,column:this._lastChangeBufferPos.column+1},h=this._lastChangeBufferPos;for(p=0;p<u.length;p++)u[p]+=a+1;this._buffers[0].lineStarts=this._buffers[0].lineStarts.concat(u.slice(1)),this._buffers[0].buffer+="_"+e,a+=1}else{if(0!==a)for(var p=0;p<u.length;p++)u[p]+=a;this._buffers[0].lineStarts=this._buffers[0].lineStarts.concat(u.slice(1)),this._buffers[0].buffer+=e}var f=this._buffers[0].buffer.length,g=this._buffers[0].lineStarts.length-1,m={line:g,column:f-this._buffers[0].lineStarts[g]},v=new d(0,h,m,this.getLineFeedCnt(0,h,m),f-a);return this._lastChangeBufferPos=m,[v]},e.prototype.getLineRawContent=function(e,t){void 0===t&&(t=0);var n=this.root,i="",o=this._searchCache.get2(e);if(o){n=o.node
;var s=this.getAccumulatedValue(n,e-o.nodeStartLineNumber-1),a=this._buffers[n.piece.bufferIndex].buffer,l=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);if(o.nodeStartLineNumber+n.piece.lineFeedCnt!==e){c=this.getAccumulatedValue(n,e-o.nodeStartLineNumber);return a.substring(l+s,l+c-t)}i=a.substring(l+s,l+n.piece.length)}else for(var u=0,d=e;n!==r.SENTINEL;)if(n.left!==r.SENTINEL&&n.lf_left>=e-1)n=n.left;else{if(n.lf_left+n.piece.lineFeedCnt>e-1){var s=this.getAccumulatedValue(n,e-n.lf_left-2),c=this.getAccumulatedValue(n,e-n.lf_left-1),a=this._buffers[n.piece.bufferIndex].buffer,l=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);return u+=n.size_left,this._searchCache.set({node:n,nodeStartOffset:u,nodeStartLineNumber:d-(e-1-n.lf_left)}),a.substring(l+s,l+c-t)}if(n.lf_left+n.piece.lineFeedCnt===e-1){var s=this.getAccumulatedValue(n,e-n.lf_left-2),a=this._buffers[n.piece.bufferIndex].buffer,l=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);i=a.substring(l+s,l+n.piece.length);break}
e-=n.lf_left+n.piece.lineFeedCnt,u+=n.size_left+n.piece.length,n=n.right}for(n=n.next();n!==r.SENTINEL;){a=this._buffers[n.piece.bufferIndex].buffer;if(n.piece.lineFeedCnt>0){var c=this.getAccumulatedValue(n,0),l=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);return i+=a.substring(l,l+c-t)}l=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);i+=a.substr(l,n.piece.length),n=n.next()}return i},e.prototype.computeBufferMetadata=function(){for(var e=this.root,t=1,n=0;e!==r.SENTINEL;)t+=e.lf_left+e.piece.lineFeedCnt,n+=e.size_left+e.piece.length,e=e.right;this._lineCnt=t,this._length=n,this._searchCache.valdiate(this._length)},e.prototype.getIndexOf=function(e,t){var n=e.piece,i=this.positionInBuffer(e,t),o=i.line-n.start.line;if(this.offsetInBuffer(n.bufferIndex,n.end)-this.offsetInBuffer(n.bufferIndex,n.start)===t){var r=this.getLineFeedCnt(e.piece.bufferIndex,n.start,i);if(r!==o)return{index:r,remainder:0}}return{index:o,remainder:i.column}},e.prototype.getAccumulatedValue=function(e,t){
if(t<0)return 0;var n=e.piece,i=this._buffers[n.bufferIndex].lineStarts,o=n.start.line+t+1;return o>n.end.line?i[n.end.line]+n.end.column-i[n.start.line]-n.start.column:i[o]-i[n.start.line]-n.start.column},e.prototype.deleteNodeTail=function(e,t){var n=e.piece,i=n.lineFeedCnt,o=this.offsetInBuffer(n.bufferIndex,n.end),s=t,a=this.offsetInBuffer(n.bufferIndex,s),l=this.getLineFeedCnt(n.bufferIndex,n.start,s),u=l-i,c=a-o,h=n.length+c;e.piece=new d(n.bufferIndex,n.start,s,l,h),r.updateTreeMetadata(this,e,c,u)},e.prototype.deleteNodeHead=function(e,t){var n=e.piece,i=n.lineFeedCnt,o=this.offsetInBuffer(n.bufferIndex,n.start),s=t,a=this.getLineFeedCnt(n.bufferIndex,s,n.end),l=a-i,u=o-this.offsetInBuffer(n.bufferIndex,s),c=n.length+u;e.piece=new d(n.bufferIndex,s,n.end,a,c),r.updateTreeMetadata(this,e,u,l)},e.prototype.shrinkNode=function(e,t,n){
var i=e.piece,o=i.start,s=i.end,a=i.length,l=i.lineFeedCnt,u=t,c=this.getLineFeedCnt(i.bufferIndex,i.start,u),h=this.offsetInBuffer(i.bufferIndex,t)-this.offsetInBuffer(i.bufferIndex,o);e.piece=new d(i.bufferIndex,i.start,u,c,h),r.updateTreeMetadata(this,e,h-a,c-l);var p=new d(i.bufferIndex,n,s,this.getLineFeedCnt(i.bufferIndex,n,s),this.offsetInBuffer(i.bufferIndex,s)-this.offsetInBuffer(i.bufferIndex,n)),f=this.rbInsertRight(e,p);this.validateCRLFWithPrevNode(f)},e.prototype.appendToNode=function(e,t){this.adjustCarriageReturnFromNext(t,e)&&(t+="\n");var n=this.shouldCheckCRLF()&&this.startWithLF(t)&&this.endWithCR(e),i=this._buffers[0].buffer.length;this._buffers[0].buffer+=t;for(var o=l(t,!1),s=0;s<o.length;s++)o[s]+=i;if(n){var a=this._buffers[0].lineStarts[this._buffers[0].lineStarts.length-2];this._buffers[0].lineStarts.pop(),this._lastChangeBufferPos={line:this._lastChangeBufferPos.line-1,column:i-a}}this._buffers[0].lineStarts=this._buffers[0].lineStarts.concat(o.slice(1))
;var u=this._buffers[0].lineStarts.length-1,c={line:u,column:this._buffers[0].buffer.length-this._buffers[0].lineStarts[u]},h=e.piece.length+t.length,p=e.piece.lineFeedCnt,f=this.getLineFeedCnt(0,e.piece.start,c),g=f-p;e.piece=new d(e.piece.bufferIndex,e.piece.start,c,f,h),this._lastChangeBufferPos=c,r.updateTreeMetadata(this,e,t.length,g)},e.prototype.nodeAt=function(e){var t=this.root,n=this._searchCache.get(e);if(n)return{node:n.node,nodeStartOffset:n.nodeStartOffset,remainder:e-n.nodeStartOffset};for(var i=0;t!==r.SENTINEL;)if(t.size_left>e)t=t.left;else{if(t.size_left+t.piece.length>=e){i+=t.size_left;var o={node:t,remainder:e-t.size_left,nodeStartOffset:i};return this._searchCache.set(o),o}e-=t.size_left+t.piece.length,i+=t.size_left+t.piece.length,t=t.right}return null},e.prototype.nodeAt2=function(e,t){for(var n=this.root,i=0;n!==r.SENTINEL;)if(n.left!==r.SENTINEL&&n.lf_left>=e-1)n=n.left;else{if(n.lf_left+n.piece.lineFeedCnt>e-1){
var o=this.getAccumulatedValue(n,e-n.lf_left-2),s=this.getAccumulatedValue(n,e-n.lf_left-1);return i+=n.size_left,{node:n,remainder:Math.min(o+t-1,s),nodeStartOffset:i}}if(n.lf_left+n.piece.lineFeedCnt===e-1){if((o=this.getAccumulatedValue(n,e-n.lf_left-2))+t-1<=n.piece.length)return{node:n,remainder:o+t-1,nodeStartOffset:i};t-=n.piece.length-o;break}e-=n.lf_left+n.piece.lineFeedCnt,i+=n.size_left+n.piece.length,n=n.right}for(n=n.next();n!==r.SENTINEL;){if(n.piece.lineFeedCnt>0){var s=this.getAccumulatedValue(n,0),a=this.offsetOfNode(n);return{node:n,remainder:Math.min(t-1,s),nodeStartOffset:a}}if(n.piece.length>=t-1){return{node:n,remainder:t-1,nodeStartOffset:this.offsetOfNode(n)}}t-=n.piece.length,n=n.next()}return null},e.prototype.nodeCharCodeAt=function(e,t){if(e.piece.lineFeedCnt<1)return-1;var n=this._buffers[e.piece.bufferIndex],i=this.offsetInBuffer(e.piece.bufferIndex,e.piece.start)+t;return n.buffer.charCodeAt(i)},e.prototype.offsetOfNode=function(e){if(!e)return 0
;for(var t=e.size_left;e!==this.root;)e.parent.right===e&&(t+=e.parent.size_left+e.parent.piece.length),e=e.parent;return t},e.prototype.shouldCheckCRLF=function(){return!(this._EOLNormalized&&"\n"===this._EOL)},e.prototype.startWithLF=function(e){if("string"==typeof e)return 10===e.charCodeAt(0);if(e===r.SENTINEL||0===e.piece.lineFeedCnt)return!1;var t=e.piece,n=this._buffers[t.bufferIndex].lineStarts,i=t.start.line,o=n[i]+t.start.column;if(i===n.length-1)return!1;return!(n[i+1]>o+1)&&10===this._buffers[t.bufferIndex].buffer.charCodeAt(o)},e.prototype.endWithCR=function(e){return"string"==typeof e?13===e.charCodeAt(e.length-1):e!==r.SENTINEL&&0!==e.piece.lineFeedCnt&&13===this.nodeCharCodeAt(e,e.piece.length-1)},e.prototype.validateCRLFWithPrevNode=function(e){if(this.shouldCheckCRLF()&&this.startWithLF(e)){var t=e.prev();this.endWithCR(t)&&this.fixCRLF(t,e)}},e.prototype.validateCRLFWithNextNode=function(e){if(this.shouldCheckCRLF()&&this.endWithCR(e)){var t=e.next();this.startWithLF(t)&&this.fixCRLF(e,t)}
},e.prototype.fixCRLF=function(e,t){var n,i=[],o=this._buffers[e.piece.bufferIndex].lineStarts;n=0===e.piece.end.column?{line:e.piece.end.line-1,column:o[e.piece.end.line]-o[e.piece.end.line-1]-1}:{line:e.piece.end.line,column:e.piece.end.column-1};var s=e.piece.length-1,a=e.piece.lineFeedCnt-1;e.piece=new d(e.piece.bufferIndex,e.piece.start,n,a,s),r.updateTreeMetadata(this,e,-1,-1),0===e.piece.length&&i.push(e);var l={line:t.piece.start.line+1,column:0},u=t.piece.length-1,c=this.getLineFeedCnt(t.piece.bufferIndex,l,t.piece.end);t.piece=new d(t.piece.bufferIndex,l,t.piece.end,c,u),r.updateTreeMetadata(this,t,-1,-1),0===t.piece.length&&i.push(t);var h=this.createNewPieces("\r\n");this.rbInsertRight(e,h[0]);for(var p=0;p<i.length;p++)r.rbDelete(this,i[p])},e.prototype.adjustCarriageReturnFromNext=function(e,t){if(this.shouldCheckCRLF()&&this.endWithCR(e)){var n=t.next();if(this.startWithLF(n)){if(e+="\n",1===n.piece.length)r.rbDelete(this,n);else{var i=n.piece,o={line:i.start.line+1,column:0
},s=i.length-1,a=this.getLineFeedCnt(i.bufferIndex,o,i.end);n.piece=new d(i.bufferIndex,o,i.end,a,s),r.updateTreeMetadata(this,n,-1,-1)}return!0}}return!1},e.prototype.iterate=function(e,t){if(e===r.SENTINEL)return t(r.SENTINEL);var n=this.iterate(e.left,t);return n?t(e)&&this.iterate(e.right,t):n},e.prototype.getNodeContent=function(e){if(e===r.SENTINEL)return"";var t=this._buffers[e.piece.bufferIndex],n=e.piece,i=this.offsetInBuffer(n.bufferIndex,n.start),o=this.offsetInBuffer(n.bufferIndex,n.end);return t.buffer.substring(i,o)},e.prototype.rbInsertRight=function(e,t){var n=new r.TreeNode(t,1);n.left=r.SENTINEL,n.right=r.SENTINEL,n.parent=r.SENTINEL,n.size_left=0,n.lf_left=0;if(this.root===r.SENTINEL)this.root=n,n.color=0;else if(e.right===r.SENTINEL)e.right=n,n.parent=e;else{var i=r.leftest(e.right);i.left=n,n.parent=i}return r.fixInsert(this,n),n},e.prototype.rbInsertLeft=function(e,t){var n=new r.TreeNode(t,1);if(n.left=r.SENTINEL,n.right=r.SENTINEL,n.parent=r.SENTINEL,n.size_left=0,n.lf_left=0,
this.root===r.SENTINEL)this.root=n,n.color=0;else if(e.left===r.SENTINEL)e.left=n,n.parent=e;else{var i=r.righttest(e.left);i.right=n,n.parent=i}return r.fixInsert(this,n),n},e.prototype.getContentOfSubTree=function(e){var t=this,n="";return this.iterate(e,function(e){return n+=t.getNodeContent(e),!0}),n},e}();t.PieceTreeBase=p}),define(t[495],n([0,1,8,3,44,172]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e,t,n,i,o,s){this._BOM=t,this._mightContainNonBasicASCII=!o,this._mightContainRTL=i,this._pieceTree=new r.PieceTreeBase(e,n,s)}return e.prototype.mightContainRTL=function(){return this._mightContainRTL},e.prototype.mightContainNonBasicASCII=function(){return this._mightContainNonBasicASCII},e.prototype.getBOM=function(){return this._BOM},e.prototype.getEOL=function(){return this._pieceTree.getEOL()},e.prototype.getOffsetAt=function(e,t){return this._pieceTree.getOffsetAt(e,t)},e.prototype.getPositionAt=function(e){
return this._pieceTree.getPositionAt(e)},e.prototype.getRangeAt=function(e,t){var n=e+t,o=this.getPositionAt(e),r=this.getPositionAt(n);return new i.Range(o.lineNumber,o.column,r.lineNumber,r.column)},e.prototype.getValueInRange=function(e,t){if(void 0===t&&(t=0),e.isEmpty())return"";var n=this._getEndOfLine(t);return this._pieceTree.getValueInRange(e,n)},e.prototype.getValueLengthInRange=function(e,t){if(void 0===t&&(t=0),e.isEmpty())return 0;if(e.startLineNumber===e.endLineNumber)return e.endColumn-e.startColumn;var n=this.getOffsetAt(e.startLineNumber,e.startColumn);return this.getOffsetAt(e.endLineNumber,e.endColumn)-n},e.prototype.getLength=function(){return this._pieceTree.getLength()},e.prototype.getLineCount=function(){return this._pieceTree.getLineCount()},e.prototype.getLinesContent=function(){return this._pieceTree.getLinesContent()},e.prototype.getLineContent=function(e){return this._pieceTree.getLineContent(e)},e.prototype.getLineCharCode=function(e,t){return this._pieceTree.getLineCharCode(e,t)
},e.prototype.getLineLength=function(e){return this._pieceTree.getLineLength(e)},e.prototype.getLineFirstNonWhitespaceColumn=function(e){var t=n.firstNonWhitespaceIndex(this.getLineContent(e));return-1===t?0:t+1},e.prototype.getLineLastNonWhitespaceColumn=function(e){var t=n.lastNonWhitespaceIndex(this.getLineContent(e));return-1===t?0:t+2},e.prototype._getEndOfLine=function(e){switch(e){case 1:return"\n";case 2:return"\r\n";case 0:return this.getEOL()}throw new Error("Unknown EOL preference")},e.prototype.setEOL=function(e){this._pieceTree.setEOL(e)},e.prototype.applyEdits=function(t,i){for(var r=this._mightContainRTL,s=this._mightContainNonBasicASCII,a=!0,l=[],u=0;u<t.length;u++){v=t[u];a&&v._isTracked&&(a=!1);var d=v.range;!r&&v.text&&(r=n.containsRTL(v.text)),!s&&v.text&&(s=!n.isBasicASCII(v.text)),l[u]={sortIndex:u,identifier:v.identifier||null,range:d,rangeOffset:this.getOffsetAt(d.startLineNumber,d.startColumn),rangeLength:this.getValueLengthInRange(d),lines:v.text?v.text.split(/\r\n|\r|\n/):null,
forceMoveMarkers:Boolean(v.forceMoveMarkers),isAutoWhitespaceEdit:v.isAutoWhitespaceEdit||!1}}l.sort(e._sortOpsAscending);for(var c=!1,u=0,h=l.length-1;u<h;u++){var p=l[u].range.getEndPosition(),f=l[u+1].range.getStartPosition();if(f.isBeforeOrEqual(p)){if(f.isBefore(p))throw new Error("Overlapping ranges are not allowed!");c=!0}}a&&(l=this._reduceOperations(l));for(var g=e._getInverseEditRanges(l),m=[],u=0;u<l.length;u++){var v=l[u],_=g[u];if(i&&v.isAutoWhitespaceEdit&&v.range.isEmpty())for(E=_.startLineNumber;E<=_.endLineNumber;E++){var y="";E===_.startLineNumber&&(y=this.getLineContent(v.range.startLineNumber),-1!==n.firstNonWhitespaceIndex(y))||m.push({lineNumber:E,oldContent:y})}}for(var C=[],u=0;u<l.length;u++){var v=l[u],_=g[u];C[u]={sortIndex:v.sortIndex,identifier:v.identifier,range:_,text:this.getValueInRange(v.range),forceMoveMarkers:v.forceMoveMarkers}}c||C.sort(function(e,t){return e.sortIndex-t.sortIndex}),this._mightContainRTL=r,this._mightContainNonBasicASCII=s
;var b=this._doApplyEdits(l),S=null;if(i&&m.length>0){m.sort(function(e,t){return t.lineNumber-e.lineNumber}),S=[];for(var u=0,w=m.length;u<w;u++){var E=m[u].lineNumber;if(!(u>0&&m[u-1].lineNumber===E)){var L=m[u].oldContent,x=this.getLineContent(E);0!==x.length&&x!==L&&-1===n.firstNonWhitespaceIndex(x)&&S.push(E)}}}return new o.ApplyEditsResult(C,b,S)},e.prototype._reduceOperations=function(e){return e.length<1e3?e:[this._toSingleEditOperation(e)]},e.prototype._toSingleEditOperation=function(e){for(var t=!1,n=e[0].range,o=e[e.length-1].range,r=new i.Range(n.startLineNumber,n.startColumn,o.endLineNumber,o.endColumn),s=n.startLineNumber,a=n.startColumn,l=[],u=0,d=e.length;u<d;u++){var c=e[u],h=c.range;t=t||c.forceMoveMarkers;for(var p=s;p<h.startLineNumber;p++)p===s?l.push(this.getLineContent(p).substring(a-1)):(l.push("\n"),l.push(this.getLineContent(p)));if(h.startLineNumber===s?l.push(this.getLineContent(h.startLineNumber).substring(a-1,h.startColumn-1)):(l.push("\n"),
l.push(this.getLineContent(h.startLineNumber).substring(0,h.startColumn-1))),c.lines)for(var f=0,g=c.lines.length;f<g;f++)0!==f&&l.push("\n"),l.push(c.lines[f]);s=c.range.endLineNumber,a=c.range.endColumn}return{sortIndex:0,identifier:e[0].identifier,range:r,rangeOffset:this.getOffsetAt(r.startLineNumber,r.startColumn),rangeLength:this.getValueLengthInRange(r,0),lines:l.join("").split("\n"),forceMoveMarkers:t,isAutoWhitespaceEdit:!1}},e.prototype._doApplyEdits=function(t){t.sort(e._sortOpsDescending);for(var n=[],o=0;o<t.length;o++){var r=t[o],s=r.range.startLineNumber,a=r.range.startColumn,l=r.range.endLineNumber,u=r.range.endColumn;if(s!==l||a!==u||r.lines&&0!==r.lines.length){var d=l-s,c=r.lines?r.lines.length-1:0,h=Math.min(d,c),p=r.lines?r.lines.join(this.getEOL()):"";if(p?(this._pieceTree.delete(r.rangeOffset,r.rangeLength),this._pieceTree.insert(r.rangeOffset,p,!0)):this._pieceTree.delete(r.rangeOffset,r.rangeLength),h<c){for(var f=[],g=h+1;g<=c;g++)f.push(r.lines[g])
;f[f.length-1]=this.getLineContent(s+c-1)}var m=new i.Range(s,a,l,u);n.push({range:m,rangeLength:r.rangeLength,text:p,rangeOffset:r.rangeOffset,forceMoveMarkers:r.forceMoveMarkers})}}return n},e.prototype.findMatchesLineByLine=function(e,t,n,i){return this._pieceTree.findMatchesLineByLine(e,t,n,i)},e._getInverseEditRanges=function(e){for(var t=[],n=0,o=0,r=null,s=0,a=e.length;s<a;s++){var l=e[s],u=void 0,d=void 0;r?r.range.endLineNumber===l.range.startLineNumber?(u=n,d=o+(l.range.startColumn-r.range.endColumn)):(u=n+(l.range.startLineNumber-r.range.endLineNumber),d=l.range.startColumn):(u=l.range.startLineNumber,d=l.range.startColumn);var c=void 0;if(l.lines&&l.lines.length>0){var h=l.lines.length,p=l.lines[0],f=l.lines[h-1];c=1===h?new i.Range(u,d,u,d+p.length):new i.Range(u,d,u+h-1,f.length+1)}else c=new i.Range(u,d,u,d);n=c.endLineNumber,o=c.endColumn,t.push(c),r=l}return t},e._sortOpsAscending=function(e,t){var n=i.Range.compareRangesUsingEnds(e.range,t.range);return 0===n?e.sortIndex-t.sortIndex:n},
e._sortOpsDescending=function(e,t){var n=i.Range.compareRangesUsingEnds(e.range,t.range);return 0===n?t.sortIndex-e.sortIndex:-n},e}();t.PieceTreeTextBuffer=s}),define(t[499],n([0,1,8,172,495]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t,n,i,o,r,s,a){this._chunks=e,this._bom=t,this._cr=n,this._lf=i,this._crlf=o,this._containsRTL=r,this._isBasicASCII=s,this._normalizeEOL=a}return e.prototype._getEOL=function(e){var t=this._cr+this._lf+this._crlf,n=this._cr+this._crlf;return 0===t?1===e?"\n":"\r\n":n>t/2?"\r\n":"\n"},e.prototype.create=function(e){var t=this._getEOL(e),n=this._chunks;if(this._normalizeEOL&&("\r\n"===t&&(this._cr>0||this._lf>0)||"\n"===t&&(this._cr>0||this._crlf>0)))for(var r=0,s=n.length;r<s;r++){var a=n[r].buffer.replace(/\r\n|\r|\n/g,t),l=i.createLineStartsFast(a);n[r]=new i.StringBuffer(a,l)}return new o.PieceTreeTextBuffer(n,this._bom,t,this._containsRTL,this._isBasicASCII,this._normalizeEOL)},e}()
;t.PieceTreeTextBufferFactory=r;var s=function(){function e(){this.chunks=[],this.BOM="",this._hasPreviousChar=!1,this._previousChar=0,this._tmpLineStarts=[],this.cr=0,this.lf=0,this.crlf=0,this.containsRTL=!1,this.isBasicASCII=!0}return e.prototype.acceptChunk=function(e){if(0!==e.length){0===this.chunks.length&&n.startsWithUTF8BOM(e)&&(this.BOM=n.UTF8_BOM_CHARACTER,e=e.substr(1));var t=e.charCodeAt(e.length-1);13===t||t>=55296&&t<=56319?(this._acceptChunk1(e.substr(0,e.length-1),!1),this._hasPreviousChar=!0,this._previousChar=t):(this._acceptChunk1(e,!1),this._hasPreviousChar=!1,this._previousChar=t)}},e.prototype._acceptChunk1=function(e,t){(t||0!==e.length)&&(this._hasPreviousChar?this._acceptChunk2(String.fromCharCode(this._previousChar)+e):this._acceptChunk2(e))},e.prototype._acceptChunk2=function(e){var t=i.createLineStarts(this._tmpLineStarts,e);this.chunks.push(new i.StringBuffer(e,t.lineStarts)),this.cr+=t.cr,this.lf+=t.lf,this.crlf+=t.crlf,this.isBasicASCII&&(this.isBasicASCII=t.isBasicASCII),
this.isBasicASCII||this.containsRTL||(this.containsRTL=n.containsRTL(e))},e.prototype.finish=function(e){return void 0===e&&(e=!0),this._finish(),new r(this.chunks,this.BOM,this.cr,this.lf,this.crlf,this.containsRTL,this.isBasicASCII,e)},e.prototype._finish=function(){if(0===this.chunks.length&&this._acceptChunk1("",!0),this._hasPreviousChar){this._hasPreviousChar=!1;var e=this.chunks[this.chunks.length-1];e.buffer+=String.fromCharCode(this._previousChar);var t=i.createLineStartsFast(e.buffer);e.lineStarts=t,13===this._previousChar&&this.cr++}},e}();t.PieceTreeTextBufferBuilder=s}),define(t[90],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?",t.DEFAULT_WORD_REGEXP=function(e){void 0===e&&(e="");for(var n="(-?\\d*\\.\\d\\w*)|([^",i=0;i<t.USUAL_WORD_SEPARATORS.length;i++)e.indexOf(t.USUAL_WORD_SEPARATORS[i])>=0||(n+="\\"+t.USUAL_WORD_SEPARATORS[i]);return n+="\\s]+)",new RegExp(n,"g")}(),
t.ensureValidWordDefinition=function(e){var n=t.DEFAULT_WORD_REGEXP;if(e&&e instanceof RegExp)if(e.global)n=e;else{var i="g";e.ignoreCase&&(i+="i"),e.multiline&&(i+="m"),n=new RegExp(e.source,i)}return n.lastIndex=0,n},t.getWordAtText=function(e,t,n,i){t.lastIndex=0;var o=t.exec(n);if(!o)return null;var r=o[0].indexOf(" ")>=0?function(e,t,n,i){var o=e-1-i;t.lastIndex=0;for(var r;r=t.exec(n);){var s=r.index||0;if(s>o)return null;if(t.lastIndex>=o)return{word:r[0],startColumn:i+1+s,endColumn:i+1+t.lastIndex}}return null}(e,t,n,i):function(e,t,n,i){var o=e-1-i,r=n.lastIndexOf(" ",o-1)+1,s=n.indexOf(" ",o);-1===s&&(s=n.length),t.lastIndex=r;for(var a;a=t.exec(n);){var l=a.index||0;if(l<=o&&t.lastIndex>=o)return{word:a[0],startColumn:i+1+l,endColumn:i+1+t.lastIndex}}return null}(e,t,n,i);return t.lastIndex=0,r}}),define(t[507],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e){this._languageIdentifier=e}return e.prototype.getId=function(){
return this._languageIdentifier.language},e}();t.FrankensteinMode=n}),define(t[74],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"}(t.IndentAction||(t.IndentAction={}));var n=function(){function e(e){if(this.open=e.open,this.close=e.close,this._standardTokenMask=0,Array.isArray(e.notIn))for(var t=0,n=e.notIn.length;t<n;t++){switch(e.notIn[t]){case"string":this._standardTokenMask|=2;break;case"comment":this._standardTokenMask|=1;break;case"regex":this._standardTokenMask|=4}}}return e.prototype.isOK=function(e){return 0==(this._standardTokenMask&e)},e}();t.StandardAutoClosingPairConditional=n}),define(t[515],n([0,1,167]),function(e,t,n){"use strict";function i(e,t,o,r){if(Array.isArray(e)){for(var s=0,a=0,l=e;a<l.length;a++){var u=i(l[a],t,o,r);if(10===u)return u;u>s&&(s=u)}return s}if("string"==typeof e)return r?"*"===e?5:e===o?10:0:0;if(e){
var d=e.language,c=e.pattern,h=e.scheme,p=e.hasAccessToAllModels;if(!r&&!p)return 0;s=0;if(h)if(h===t.scheme)s=10;else{if("*"!==h)return 0;s=5}if(d)if(d===o)s=10;else{if("*"!==d)return 0;s=Math.max(s,5)}if(c){if(c!==t.fsPath&&!n.match(c,t.fsPath))return 0;s=10}return s}return 0}Object.defineProperty(t,"__esModule",{value:!0}),t.score=i}),define(t[523],n([0,1,81,101]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e){for(var t=0,n=0,o=0,r=e.length;o<r;o++){var s=e[o],a=s[0],l=s[1],u=s[2];l>t&&(t=l),a>n&&(n=a),u>n&&(n=u)}t++,n++;for(var d=new i.Uint8Matrix(n,t,0),o=0,r=e.length;o<r;o++){var c=e[o],a=c[0],l=c[1],u=c[2];d.set(a,l,u)}this._states=d,this._maxCharCode=t}return e.prototype.nextState=function(e,t){return t<0||t>=this._maxCharCode?0:this._states.get(e,t)},e}(),r=null,s=null,a=function(){function e(){}return e._createLink=function(e,t,n,i,o){var r=o-1;do{var s=t.charCodeAt(r);if(2!==e.get(s))break;r--}while(r>i);if(i>0){
var a=t.charCodeAt(i-1),l=t.charCodeAt(r);(40===a&&41===l||91===a&&93===l||123===a&&125===l)&&r--}return{range:{startLineNumber:n,startColumn:i+1,endLineNumber:n,endColumn:r+2},url:t.substring(i,r+1)}},e.computeLinks=function(t){for(var i=(null===r&&(r=new o([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),r),a=function(){if(null===s){for(s=new n.CharacterClassifier(0),e=0;e<" \t<>'\"、。｡､，．：；？！＠＃＄％＆＊‘“〈《「『【〔（［｛｢｣｝］）〕】』」》〉”’｀～…".length;e++)s.set(" \t<>'\"、。｡､，．：；？！＠＃＄％＆＊‘“〈《「『【〔（［｛｢｣｝］）〕】』」》〉”’｀～…".charCodeAt(e),1);for(var e=0;e<".,;".length;e++)s.set(".,;".charCodeAt(e),2)}return s}(),l=[],u=1,d=t.getLineCount();u<=d;u++){for(var c=t.getLineContent(u),h=c.length,p=0,f=0,g=0,m=1,v=!1,_=!1,y=!1;p<h;){var C=!1,b=c.charCodeAt(p);if(13===m){S=void 0;switch(b){case 40:v=!0,S=0;break;case 41:S=v?0:1;break;case 91:_=!0,S=0;break;case 93:S=_?0:1;break
;case 123:y=!0,S=0;break;case 125:S=y?0:1;break;case 39:S=34===g||96===g?0:1;break;case 34:S=39===g||96===g?0:1;break;case 96:S=39===g||34===g?0:1;break;default:S=a.get(b)}1===S&&(l.push(e._createLink(a,c,u,f,p)),C=!0)}else if(12===m){var S;1===(S=a.get(b))?C=!0:m=13}else 0===(m=i.nextState(m,b))&&(C=!0);C&&(m=1,v=!1,_=!1,y=!1,f=p+1,g=b),p++}13===m&&l.push(e._createLink(a,c,u,f,h))}return l},e}();t.computeLinks=function(e){return e&&"function"==typeof e.getLineCount&&"function"==typeof e.getLineContent?a.computeLinks(e):[]}}),define(t[94],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createScopedLineTokens=function(e,t){for(var i=e.getCount(),o=e.findTokenIndexAtOffset(t),r=e.getLanguageId(o),s=o;s+1<i&&e.getLanguageId(s+1)===r;)s++;for(var a=o;a>0&&e.getLanguageId(a-1)===r;)a--;return new n(e,r,a,s+1,e.getStartOffset(a),e.getEndOffset(s))};var n=function(){function e(e,t,n,i,o,r){this._actual=e,this.languageId=t,this._firstTokenIndex=n,this._lastTokenIndex=i,
this.firstCharOffset=o,this._lastCharOffset=r}return e.prototype.getLineContent=function(){return this._actual.getLineContent().substring(this.firstCharOffset,this._lastCharOffset)},e.prototype.getTokenCount=function(){return this._lastTokenIndex-this._firstTokenIndex},e.prototype.findTokenIndexAtOffset=function(e){return this._actual.findTokenIndexAtOffset(e+this.firstCharOffset)-this._firstTokenIndex},e.prototype.getStandardTokenType=function(e){return this._actual.getStandardTokenType(e+this._firstTokenIndex)},e}();t.ScopedLineTokens=n,t.ignoreBracketsInToken=function(e){return 0!=(7&e)}}),define(t[532],n([0,1,74]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(t){t.autoClosingPairs?this._autoClosingPairs=t.autoClosingPairs.map(function(e){return new n.StandardAutoClosingPairConditional(e)}):t.brackets?this._autoClosingPairs=t.brackets.map(function(e){return new n.StandardAutoClosingPairConditional({open:e[0],close:e[1]})
}):this._autoClosingPairs=[],this._autoCloseBefore="string"==typeof t.autoCloseBefore?t.autoCloseBefore:e.DEFAULT_AUTOCLOSE_BEFORE_LANGUAGE_DEFINED,this._surroundingPairs=t.surroundingPairs||this._autoClosingPairs}return e.prototype.getAutoClosingPairs=function(){return this._autoClosingPairs},e.prototype.getAutoCloseBeforeSet=function(){return this._autoCloseBefore},e.prototype.shouldAutoClosePair=function(e,t,n){if(0===t.getTokenCount())return!0;for(var i=t.findTokenIndexAtOffset(n-2),o=t.getStandardTokenType(i),r=0;r<this._autoClosingPairs.length;++r){var s=this._autoClosingPairs[r];if(s.open===e)return s.isOK(o)}return!1},e.prototype.getSurroundingPairs=function(){return this._surroundingPairs},e.DEFAULT_AUTOCLOSE_BEFORE_LANGUAGE_DEFINED=";:.,=}])> \n\t",e}();t.CharacterPairSupport=i}),define(t[539],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e){this._indentationRules=e}return e.prototype.shouldIncrease=function(e){
return!!(this._indentationRules&&this._indentationRules.increaseIndentPattern&&this._indentationRules.increaseIndentPattern.test(e))},e.prototype.shouldDecrease=function(e){return!!(this._indentationRules&&this._indentationRules.decreaseIndentPattern&&this._indentationRules.decreaseIndentPattern.test(e))},e.prototype.shouldIndentNextLine=function(e){return!!(this._indentationRules&&this._indentationRules.indentNextLinePattern&&this._indentationRules.indentNextLinePattern.test(e))},e.prototype.shouldIgnore=function(e){return!!(this._indentationRules&&this._indentationRules.unIndentedLinePattern&&this._indentationRules.unIndentedLinePattern.test(e))},e.prototype.getIndentMetadata=function(e){var t=0;return this.shouldIncrease(e)&&(t+=1),this.shouldDecrease(e)&&(t+=2),this.shouldIndentNextLine(e)&&(t+=4),this.shouldIgnore(e)&&(t+=8),t},e}();t.IndentRulesSupport=n}),define(t[547],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(){
this._defaultValueSet=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}return e.prototype.navigateValueSet=function(e,t,n,i,o){if(e&&t){if(r=this.doNavigateValueSet(t,o))return{range:e,value:r}}if(n&&i){var r=this.doNavigateValueSet(i,o);if(r)return{range:n,value:r}}return null},e.prototype.doNavigateValueSet=function(e,t){var n=this.numberReplace(e,t);return null!==n?n:this.textReplace(e,t)},e.prototype.numberReplace=function(e,t){var n=Math.pow(10,e.length-(e.lastIndexOf(".")+1)),i=Number(e),o=parseFloat(e);return isNaN(i)||isNaN(o)||i!==o?null:0!==i||t?(i=Math.floor(i*n),i+=t?n:-n,String(i/n)):null},e.prototype.textReplace=function(e,t){return this.valueSetsReplace(this._defaultValueSet,e,t)},e.prototype.valueSetsReplace=function(e,t,n){for(var i=null,o=0,r=e.length;null===i&&o<r;o++)i=this.valueSetReplace(e[o],t,n);return i},e.prototype.valueSetReplace=function(e,t,n){var i=e.indexOf(t)
;return i>=0?((i+=n?1:-1)<0?i=e.length-1:i%=e.length,e[i]):null},e.INSTANCE=new e,e}();t.BasicInplaceReplace=n}),define(t[548],n([0,1,11,8,74]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(t){var n=this;(t=t||{}).brackets=t.brackets||[["(",")"],["{","}"],["[","]"]],this._brackets=[],t.brackets.forEach(function(t){var i=e._createOpenBracketRegExp(t[0]),o=e._createCloseBracketRegExp(t[1]);i&&o&&n._brackets.push({open:t[0],openRegExp:i,close:t[1],closeRegExp:o})}),this._regExpRules=t.regExpRules||[]}return e.prototype.onEnter=function(e,t,n){for(var i=0,r=this._regExpRules.length;i<r;i++){var s=this._regExpRules[i];if([{reg:s.beforeText,text:t},{reg:s.afterText,text:n},{reg:s.oneLineAboveText,text:e}].every(function(e){return!e.reg||e.reg.test(e.text)}))return s.action}if(t.length>0&&n.length>0)for(var i=0,r=this._brackets.length;i<r;i++){if((a=this._brackets[i]).openRegExp.test(t)&&a.closeRegExp.test(n))return{
indentAction:o.IndentAction.IndentOutdent}}if(t.length>0)for(var i=0,r=this._brackets.length;i<r;i++){var a=this._brackets[i];if(a.openRegExp.test(t))return{indentAction:o.IndentAction.Indent}}return null},e._createOpenBracketRegExp=function(t){var n=i.escapeRegExpCharacters(t);return/\B/.test(n.charAt(0))||(n="\\b"+n),n+="\\s*$",e._safeRegExp(n)},e._createCloseBracketRegExp=function(t){var n=i.escapeRegExpCharacters(t);return/\B/.test(n.charAt(n.length-1))||(n+="\\b"),n="^\\s*"+n,e._safeRegExp(n)},e._safeRegExp=function(e){try{return new RegExp(e)}catch(e){return n.onUnexpectedError(e),null}},e}();t.OnEnterSupport=r}),define(t[96],n([0,1,8,3]),function(e,t,n,i){"use strict";function o(e,t){var n={};return function(i){var o=e(i);return n.hasOwnProperty(o)||(n[o]=t(i)),n[o]}}function r(e){var t=/^[\w]+$/.test(e);return e=n.escapeRegExpCharacters(e),t?"\\b"+e+"\\b":e}function s(e){var t="("+e.map(r).join(")|(")+")";return n.createRegExp(t,!0)}Object.defineProperty(t,"__esModule",{value:!0});var a=function(){
return function(e,t,n,i,o){this.languageIdentifier=e,this.open=t,this.close=n,this.forwardRegex=i,this.reversedRegex=o}}();t.RichEditBracket=a;var l=function(){return function(e,t){var n=this;this.brackets=t.map(function(t){return new a(e,t[0],t[1],u({open:t[0],close:t[1]}),d({open:t[0],close:t[1]}))}),this.forwardRegex=c(this.brackets),this.reversedRegex=h(this.brackets),this.textIsBracket={},this.textIsOpenBracket={};var i=0;this.brackets.forEach(function(e){n.textIsBracket[e.open.toLowerCase()]=e,n.textIsBracket[e.close.toLowerCase()]=e,n.textIsOpenBracket[e.open.toLowerCase()]=!0,n.textIsOpenBracket[e.close.toLowerCase()]=!1,i=Math.max(i,e.open.length),i=Math.max(i,e.close.length)}),this.maxBracketLength=i}}();t.RichEditBrackets=l;var u=o(function(e){return e.open+";"+e.close},function(e){return s([e.open,e.close])}),d=o(function(e){return e.open+";"+e.close},function(e){return s([p(e.open),p(e.close)])}),c=o(function(e){return e.map(function(e){return e.open+";"+e.close}).join(";")},function(e){var t=[]
;return e.forEach(function(e){t.push(e.open),t.push(e.close)}),s(t)}),h=o(function(e){return e.map(function(e){return e.open+";"+e.close}).join(";")},function(e){var t=[];return e.forEach(function(e){t.push(p(e.open)),t.push(p(e.close))}),s(t)}),p=function(){var e=null,t=null;return function(n){return e!==n&&(t=function(e){for(var t="",n=e.length-1;n>=0;n--)t+=e.charAt(n);return t}(e=n)),t}}(),f=function(){function e(){}return e._findPrevBracketInText=function(e,t,n,o){var r=n.match(e);if(!r)return null;var s=n.length-(r.index||0),a=r[0].length,l=o+s;return new i.Range(t,l-a+1,t,l+1)},e.findPrevBracketInToken=function(e,t,n,i,o){var r=p(n).substring(n.length-o,n.length-i);return this._findPrevBracketInText(e,t,r,i)},e.findNextBracketInText=function(e,t,n,o){var r=n.match(e);if(!r)return null;var s=r.index||0,a=r[0].length;if(0===a)return null;var l=o+s;return new i.Range(t,l+1,t,l+1+a)},e.findNextBracketInToken=function(e,t,n,i,o){var r=n.substring(i,o);return this.findNextBracketInText(e,t,r,i)},e}()
;t.BracketsUtils=f}),define(t[550],n([0,1,74,94,96]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t,i){i=i||{},this._richEditBrackets=e,this._complexAutoClosePairs=t.filter(function(e){return e.open.length>1&&!!e.close}).map(function(e){return new n.StandardAutoClosingPairConditional(e)}),i.docComment&&this._complexAutoClosePairs.push(new n.StandardAutoClosingPairConditional({open:i.docComment.open,close:i.docComment.close}))}return e.prototype.getElectricCharacters=function(){var e=[];if(this._richEditBrackets)for(var t=0,n=this._richEditBrackets.brackets.length;t<n;t++){var i=this._richEditBrackets.brackets[t],o=i.close.charAt(i.close.length-1);e.push(o)}for(var r=0,s=this._complexAutoClosePairs;r<s.length;r++){var a=s[r];e.push(a.open.charAt(a.open.length-1))}return e=e.filter(function(e,t,n){return n.indexOf(e)===t})},e.prototype.onElectricCharacter=function(e,t,n){return this._onElectricAutoClose(e,t,n)||this._onElectricAutoIndent(e,t,n)
},e.prototype._onElectricAutoIndent=function(e,t,n){if(!this._richEditBrackets||0===this._richEditBrackets.brackets.length)return null;var r=t.findTokenIndexAtOffset(n-1);if(i.ignoreBracketsInToken(t.getStandardTokenType(r)))return null;var s=this._richEditBrackets.reversedRegex,a=t.getLineContent().substring(0,n-1)+e,l=o.BracketsUtils.findPrevBracketInToken(s,1,a,0,a.length);if(!l)return null;var u=a.substring(l.startColumn-1,l.endColumn-1);u=u.toLowerCase();if(this._richEditBrackets.textIsOpenBracket[u])return null;var d=a.substring(0,l.startColumn-1);return/^\s*$/.test(d)?{matchOpenBracket:u}:null},e.prototype._onElectricAutoClose=function(e,t,n){if(!this._complexAutoClosePairs.length)return null;for(var i=t.getLineContent(),o=0,r=this._complexAutoClosePairs.length;o<r;o++){var s=this._complexAutoClosePairs[o];if(e===s.open.charAt(s.open.length-1)){var a=n-s.open.length+1;if(i.substring(a-1,n-1)+e===s.open){var l=t.findTokenIndexAtOffset(n-1),u=t.getStandardTokenType(l)
;if(s.isOK(u)&&!(i.indexOf(s.close,n-1)>=0))return{appendText:s.close}}}}return null},e}();t.BracketElectricCharacterSupport=r}),define(t[39],n([0,1,11,6,2,8,3,90,74,94,532,550,539,548,96]),function(e,t,n,i,o,r,s,a,l,u,d,c,h,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var g=function(){function e(t,n,i){this._languageIdentifier=t,this._brackets=null,this._electricCharacter=null;var o=null;n&&(o=n._conf),this._conf=e._mergeConf(o,i),this.onEnter=e._handleOnEnter(this._conf),this.comments=e._handleComments(this._conf),this.characterPair=new d.CharacterPairSupport(this._conf),this.wordDefinition=this._conf.wordPattern||a.DEFAULT_WORD_REGEXP,this.indentationRules=this._conf.indentationRules,this._conf.indentationRules&&(this.indentRulesSupport=new h.IndentRulesSupport(this._conf.indentationRules)),this.foldingRules=this._conf.folding||{}}return Object.defineProperty(e.prototype,"brackets",{get:function(){
return!this._brackets&&this._conf.brackets&&(this._brackets=new f.RichEditBrackets(this._languageIdentifier,this._conf.brackets)),this._brackets},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"electricCharacter",{get:function(){if(!this._electricCharacter){var e=[];this._conf.autoClosingPairs?e=this._conf.autoClosingPairs:this._conf.brackets&&(e=this._conf.brackets.map(function(e){return{open:e[0],close:e[1]}})),this._electricCharacter=new c.BracketElectricCharacterSupport(this.brackets,e,this._conf.__electricCharacterSupport)}return this._electricCharacter},enumerable:!0,configurable:!0}),e._mergeConf=function(e,t){return{comments:e?t.comments||e.comments:t.comments,brackets:e?t.brackets||e.brackets:t.brackets,wordPattern:e?t.wordPattern||e.wordPattern:t.wordPattern,indentationRules:e?t.indentationRules||e.indentationRules:t.indentationRules,onEnterRules:e?t.onEnterRules||e.onEnterRules:t.onEnterRules,autoClosingPairs:e?t.autoClosingPairs||e.autoClosingPairs:t.autoClosingPairs,
surroundingPairs:e?t.surroundingPairs||e.surroundingPairs:t.surroundingPairs,autoCloseBefore:e?t.autoCloseBefore||e.autoCloseBefore:t.autoCloseBefore,folding:e?t.folding||e.folding:t.folding,__electricCharacterSupport:e?t.__electricCharacterSupport||e.__electricCharacterSupport:t.__electricCharacterSupport}},e._handleOnEnter=function(e){var t={},n=!0;return e.brackets&&(n=!1,t.brackets=e.brackets),e.indentationRules&&(n=!1),e.onEnterRules&&(n=!1,t.regExpRules=e.onEnterRules),n?null:new p.OnEnterSupport(t)},e._handleComments=function(e){var t=e.comments;if(!t)return null;var n={};if(t.lineComment&&(n.lineCommentToken=t.lineComment),t.blockComment){var i=t.blockComment,o=i[0],r=i[1];n.blockCommentStartToken=o,n.blockCommentEndToken=r}return n},e}();t.RichEditSupport=g;var m=function(){return function(){}}();t.LanguageConfigurationChangeEvent=m;var v=function(){function e(){this._onDidChange=new i.Emitter,this.onDidChange=this._onDidChange.event,this._entries=[]}return e.prototype.register=function(e,t){
var n=this,i=this._getRichEditSupport(e.id),r=new g(e,i,t);return this._entries[e.id]=r,this._onDidChange.fire({languageIdentifier:e}),o.toDisposable(function(){n._entries[e.id]===r&&(n._entries[e.id]=i,n._onDidChange.fire({languageIdentifier:e}))})},e.prototype._getRichEditSupport=function(e){return this._entries[e]||null},e.prototype._getElectricCharacterSupport=function(e){var t=this._getRichEditSupport(e);return t?t.electricCharacter||null:null},e.prototype.getElectricCharacters=function(e){var t=this._getElectricCharacterSupport(e);return t?t.getElectricCharacters():[]},e.prototype.onElectricCharacter=function(e,t,n){var i=u.createScopedLineTokens(t,n-1),o=this._getElectricCharacterSupport(i.languageId);return o?o.onElectricCharacter(e,i,n-i.firstCharOffset):null},e.prototype.getComments=function(e){var t=this._getRichEditSupport(e);return t?t.comments||null:null},e.prototype._getCharacterPairSupport=function(e){var t=this._getRichEditSupport(e);return t?t.characterPair||null:null},
e.prototype.getAutoClosingPairs=function(e){var t=this._getCharacterPairSupport(e);return t?t.getAutoClosingPairs():[]},e.prototype.getAutoCloseBeforeSet=function(e){var t=this._getCharacterPairSupport(e);return t?t.getAutoCloseBeforeSet():d.CharacterPairSupport.DEFAULT_AUTOCLOSE_BEFORE_LANGUAGE_DEFINED},e.prototype.getSurroundingPairs=function(e){var t=this._getCharacterPairSupport(e);return t?t.getSurroundingPairs():[]},e.prototype.shouldAutoClosePair=function(e,t,n){var i=u.createScopedLineTokens(t,n-1),o=this._getCharacterPairSupport(i.languageId);return!!o&&o.shouldAutoClosePair(e,i,n-i.firstCharOffset)},e.prototype.getWordDefinition=function(e){var t=this._getRichEditSupport(e);return t?a.ensureValidWordDefinition(t.wordDefinition||null):a.ensureValidWordDefinition(null)},e.prototype.getFoldingRules=function(e){var t=this._getRichEditSupport(e);return t?t.foldingRules:{}},e.prototype.getIndentRulesSupport=function(e){var t=this._getRichEditSupport(e);return t?t.indentRulesSupport||null:null},
e.prototype.getPrecedingValidLine=function(e,t,n){var i=e.getLanguageIdAtPosition(t,0);if(t>1){var o=t-1,r=-1;for(o=t-1;o>=1;o--){if(e.getLanguageIdAtPosition(o,0)!==i)return r;var s=e.getLineContent(o);if(!n.shouldIgnore(s)&&!/^\s+$/.test(s)&&""!==s)return o;r=o}}return-1},e.prototype.getInheritIndentForLine=function(e,t,n){void 0===n&&(n=!0);var i=this.getIndentRulesSupport(e.getLanguageIdentifier().id);if(!i)return null;if(t<=1)return{indentation:"",action:null};var o=this.getPrecedingValidLine(e,t,i);if(o<0)return null;if(o<1)return{indentation:"",action:null};var s=e.getLineContent(o);if(i.shouldIncrease(s)||i.shouldIndentNextLine(s))return{indentation:r.getLeadingWhitespace(s),action:l.IndentAction.Indent,line:o};if(i.shouldDecrease(s))return{indentation:r.getLeadingWhitespace(s),action:null,line:o};if(1===o)return{indentation:r.getLeadingWhitespace(e.getLineContent(o)),action:null,line:o};var a=o-1,u=i.getIndentMetadata(e.getLineContent(a));if(!(3&u)&&4&u){
for(var d=0,c=a-1;c>0;c--)if(!i.shouldIndentNextLine(e.getLineContent(c))){d=c;break}return{indentation:r.getLeadingWhitespace(e.getLineContent(d+1)),action:null,line:d+1}}if(n)return{indentation:r.getLeadingWhitespace(e.getLineContent(o)),action:null,line:o};for(c=o;c>0;c--){var h=e.getLineContent(c);if(i.shouldIncrease(h))return{indentation:r.getLeadingWhitespace(h),action:l.IndentAction.Indent,line:c};if(i.shouldIndentNextLine(h)){for(var d=0,p=c-1;p>0;p--)if(!i.shouldIndentNextLine(e.getLineContent(c))){d=p;break}return{indentation:r.getLeadingWhitespace(e.getLineContent(d+1)),action:null,line:d+1}}if(i.shouldDecrease(h))return{indentation:r.getLeadingWhitespace(h),action:null,line:c}}return{indentation:r.getLeadingWhitespace(e.getLineContent(1)),action:null,line:1}},e.prototype.getGoodIndentForLine=function(e,t,i,o){var s=this.getIndentRulesSupport(t);if(!s)return null;var a=this.getInheritIndentForLine(e,i),u=e.getLineContent(i);if(a){var d=a.line;if(void 0!==d){var c=this._getOnEnterSupport(t),h=null
;try{c&&(h=c.onEnter("",e.getLineContent(d),""))}catch(e){n.onUnexpectedError(e)}if(h){var p=r.getLeadingWhitespace(e.getLineContent(d));return h.removeText&&(p=p.substring(0,p.length-h.removeText)),h.indentAction===l.IndentAction.Indent||h.indentAction===l.IndentAction.IndentOutdent?p=o.shiftIndent(p):h.indentAction===l.IndentAction.Outdent&&(p=o.unshiftIndent(p)),s.shouldDecrease(u)&&(p=o.unshiftIndent(p)),h.appendText&&(p+=h.appendText),r.getLeadingWhitespace(p)}}return s.shouldDecrease(u)?a.action===l.IndentAction.Indent?a.indentation:o.unshiftIndent(a.indentation):a.action===l.IndentAction.Indent?o.shiftIndent(a.indentation):a.indentation}return null},e.prototype.getIndentForEnter=function(e,t,n,i){e.forceTokenization(t.startLineNumber);var o,s,a=e.getLineTokens(t.startLineNumber),d=u.createScopedLineTokens(a,t.startColumn-1),c=d.getLineContent(),h=!1;if(d.firstCharOffset>0&&a.getLanguageId(0)!==d.languageId?(h=!0,
o=c.substr(0,t.startColumn-1-d.firstCharOffset)):o=a.getLineContent().substring(0,t.startColumn-1),t.isEmpty())s=c.substr(t.startColumn-1-d.firstCharOffset);else{s=this.getScopedLineTokens(e,t.endLineNumber,t.endColumn).getLineContent().substr(t.endColumn-1-d.firstCharOffset)}var p=this.getIndentRulesSupport(d.languageId);if(!p)return null;var f=o,g=r.getLeadingWhitespace(o);if(!i&&!h){var m=this.getInheritIndentForLine(e,t.startLineNumber);p.shouldDecrease(o)&&m&&(g=m.indentation,m.action!==l.IndentAction.Indent&&(g=n.unshiftIndent(g))),f=g+r.ltrim(r.ltrim(o," "),"\t")}var v={getLineTokens:function(t){return e.getLineTokens(t)},getLanguageIdentifier:function(){return e.getLanguageIdentifier()},getLanguageIdAtPosition:function(t,n){return e.getLanguageIdAtPosition(t,n)},getLineContent:function(n){return n===t.startLineNumber?f:e.getLineContent(n)}},_=r.getLeadingWhitespace(a.getLineContent()),y=this.getInheritIndentForLine(v,t.startLineNumber+1);if(!y){var C=h?_:g;return{beforeEnter:C,afterEnter:C}}
var b=h?_:y.indentation;return y.action===l.IndentAction.Indent&&(b=n.shiftIndent(b)),p.shouldDecrease(s)&&(b=n.unshiftIndent(b)),{beforeEnter:h?_:g,afterEnter:b}},e.prototype.getIndentActionForType=function(e,t,n,i){var o=this.getScopedLineTokens(e,t.startLineNumber,t.startColumn),r=this.getIndentRulesSupport(o.languageId);if(!r)return null;var s,a=o.getLineContent(),u=a.substr(0,t.startColumn-1-o.firstCharOffset);if(t.isEmpty())s=a.substr(t.startColumn-1-o.firstCharOffset);else{s=this.getScopedLineTokens(e,t.endLineNumber,t.endColumn).getLineContent().substr(t.endColumn-1-o.firstCharOffset)}if(!r.shouldDecrease(u+s)&&r.shouldDecrease(u+n+s)){var d=this.getInheritIndentForLine(e,t.startLineNumber,!1);if(!d)return null;var c=d.indentation;return d.action!==l.IndentAction.Indent&&(c=i.unshiftIndent(c)),c}return null},e.prototype.getIndentMetadata=function(e,t){var n=this.getIndentRulesSupport(e.getLanguageIdentifier().id);return n?t<1||t>e.getLineCount()?null:n.getIndentMetadata(e.getLineContent(t)):null},
e.prototype._getOnEnterSupport=function(e){var t=this._getRichEditSupport(e);return t?t.onEnter||null:null},e.prototype.getRawEnterActionAtPosition=function(e,t,n){var i=this.getEnterAction(e,new s.Range(t,n,t,n));return i?i.enterAction:null},e.prototype.getEnterAction=function(e,t){var i=this.getIndentationAtPosition(e,t.startLineNumber,t.startColumn),o=this.getScopedLineTokens(e,t.startLineNumber,t.startColumn),r=this._getOnEnterSupport(o.languageId);if(!r)return null;var s,a=o.getLineContent(),u=a.substr(0,t.startColumn-1-o.firstCharOffset);if(t.isEmpty())s=a.substr(t.startColumn-1-o.firstCharOffset);else{s=this.getScopedLineTokens(e,t.endLineNumber,t.endColumn).getLineContent().substr(t.endColumn-1-o.firstCharOffset)}var d=t.startLineNumber,c="";if(d>1&&0===o.firstCharOffset){var h=this.getScopedLineTokens(e,d-1);h.languageId===o.languageId&&(c=h.getLineContent())}var p=null;try{p=r.onEnter(c,u,s)}catch(e){n.onUnexpectedError(e)}
return p?(p.appendText||(p.indentAction===l.IndentAction.Indent||p.indentAction===l.IndentAction.IndentOutdent?p.appendText="\t":p.appendText=""),p.removeText&&(i=i.substring(0,i.length-p.removeText)),{enterAction:p,indentation:i}):null},e.prototype.getIndentationAtPosition=function(e,t,n){var i=e.getLineContent(t),o=r.getLeadingWhitespace(i);return o.length>n-1&&(o=o.substring(0,n-1)),o},e.prototype.getScopedLineTokens=function(e,t,n){e.forceTokenization(t);var i=e.getLineTokens(t),o=void 0===n?e.getLineMaxColumn(t)-1:n-1;return u.createScopedLineTokens(i,o)},e.prototype.getBracketsSupport=function(e){var t=this._getRichEditSupport(e);return t?t.brackets||null:null},e}();t.LanguageConfigurationRegistryImpl=v,t.LanguageConfigurationRegistry=new v}),define(t[560],n([0,1,28]),function(e,t,n){"use strict";function i(e){if(!e||!Array.isArray(e))return[];for(var t=[],n=0,i=0,o=e.length;i<o;i++){var r=e[i],s=-1;if("string"==typeof r.fontStyle){s=0;for(var l=r.fontStyle.split(" "),u=0,d=l.length;u<d;u++){
switch(l[u]){case"italic":s|=1;break;case"bold":s|=2;break;case"underline":s|=4}}}var c=null;"string"==typeof r.foreground&&(c=r.foreground);var h=null;"string"==typeof r.background&&(h=r.background),t[n++]=new a(r.token||"",i,s,c,h)}return t}function o(e,t){e.sort(function(e,t){var n=s(e.token,t.token);return 0!==n?n:e.index-t.index});for(var n=0,i="000000",o="ffffff";e.length>=1&&""===e[0].token;){var r=e.shift();-1!==r.fontStyle&&(n=r.fontStyle),null!==r.foreground&&(i=r.foreground),null!==r.background&&(o=r.background)}for(var a=new u,l=0,c=t;l<c.length;l++){var f=c[l];a.getId(f)}for(var g=a.getId(i),m=a.getId(o),v=new h(n,g,m),_=new p(v),y=0,C=e.length;y<C;y++){var b=e[y];_.insert(b.token,b.fontStyle,a.getId(b.foreground),a.getId(b.background))}return new d(a,_)}function r(e){var t=e.match(c);if(!t)return 0;switch(t[1]){case"comment":return 1;case"string":return 2;case"regex":return 4}throw new Error("Unexpected match for standard token type!")}function s(e,t){return e<t?-1:e>t?1:0}
Object.defineProperty(t,"__esModule",{value:!0});var a=function(){return function(e,t,n,i,o){this.token=e,this.index=t,this.fontStyle=n,this.foreground=i,this.background=o}}();t.ParsedTokenThemeRule=a,t.parseTokenTheme=i;var l=/^#?([0-9A-Fa-f]{6})([0-9A-Fa-f]{2})?$/,u=function(){function e(){this._lastColorId=0,this._id2color=[],this._color2id=new Map}return e.prototype.getId=function(e){if(null===e)return 0;var t=e.match(l);if(!t)throw new Error("Illegal value for token color: "+e);e=t[1].toUpperCase();var i=this._color2id.get(e);return i||(i=++this._lastColorId,this._color2id.set(e,i),this._id2color[i]=n.Color.fromHex("#"+e),i)},e.prototype.getColorMap=function(){return this._id2color.slice(0)},e}();t.ColorMap=u;var d=function(){function e(e,t){this._colorMap=e,this._root=t,this._cache=new Map}return e.createFromRawTokenTheme=function(e,t){return this.createFromParsedTokenTheme(i(e),t)},e.createFromParsedTokenTheme=function(e,t){return o(e,t)},e.prototype.getColorMap=function(){
return this._colorMap.getColorMap()},e.prototype._match=function(e){return this._root.match(e)},e.prototype.match=function(e,t){var n=this._cache.get(t);if(void 0===n){var i=this._match(t),o=r(t);n=(i.metadata|o<<8)>>>0,this._cache.set(t,n)}return(n|e<<0)>>>0},e}();t.TokenTheme=d;var c=/\b(comment|string|regex)\b/;t.toStandardTokenType=r,t.strcmp=s;var h=function(){function e(e,t,n){this._fontStyle=e,this._foreground=t,this._background=n,this.metadata=(this._fontStyle<<11|this._foreground<<14|this._background<<23)>>>0}return e.prototype.clone=function(){return new e(this._fontStyle,this._foreground,this._background)},e.prototype.acceptOverwrite=function(e,t,n){-1!==e&&(this._fontStyle=e),0!==t&&(this._foreground=t),0!==n&&(this._background=n),this.metadata=(this._fontStyle<<11|this._foreground<<14|this._background<<23)>>>0},e}();t.ThemeTrieElementRule=h;var p=function(){function e(e){this._mainRule=e,this._children=new Map}return e.prototype.match=function(e){if(""===e)return this._mainRule
;var t,n,i=e.indexOf(".");-1===i?(t=e,n=""):(t=e.substring(0,i),n=e.substring(i+1));var o=this._children.get(t);return void 0!==o?o.match(n):this._mainRule},e.prototype.insert=function(t,n,i,o){if(""!==t){var r,s,a=t.indexOf(".");-1===a?(r=t,s=""):(r=t.substring(0,a),s=t.substring(a+1));var l=this._children.get(r);void 0===l&&(l=new e(this._mainRule.clone()),this._children.set(r,l)),l.insert(s,n,i,o)}else this._mainRule.acceptOverwrite(n,i,o)},e}();t.ThemeTrieElement=p,t.generateTokensCSSForColorMap=function(e){for(var t=[],n=1,i=e.length;n<i;n++){var o=e[n];t[n]=".mtk"+n+" { color: "+o+"; }"}return t.push(".mtki { font-style: italic; }"),t.push(".mtkb { font-weight: bold; }"),t.push(".mtku { text-decoration: underline; text-underline-position: under; }"),t.join("\n")}}),define(t[561],n([0,1,6,2]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(){this._onDidChange=new n.Emitter,this.onDidChange=this._onDidChange.event,this._map=Object.create(null),
this._promises=Object.create(null),this._colorMap=null}return e.prototype.fire=function(e){this._onDidChange.fire({changedLanguages:e,changedColorMap:!1})},e.prototype.register=function(e,t){var n=this;return this._map[e]=t,this.fire([e]),i.toDisposable(function(){n._map[e]===t&&(delete n._map[e],n.fire([e]))})},e.prototype.getPromise=function(e){var t=this,n=this.get(e);if(n)return Promise.resolve(n);var i=this._promises[e];return i?i.then(function(n){return t.get(e)}):null},e.prototype.get=function(e){return this._map[e]||null},e.prototype.setColorMap=function(e){this._colorMap=e,this._onDidChange.fire({changedLanguages:Object.keys(this._map),changedColorMap:!0})},e.prototype.getColorMap=function(){return this._colorMap},e.prototype.getDefaultBackground=function(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null},e}();t.TokenizationRegistryImpl=o}),define(t[124],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){
e[e.Unnecessary=1]="Unnecessary"}(t.MarkerTag||(t.MarkerTag={}));!function(e){e[e.Hint=1]="Hint",e[e.Info=2]="Info",e[e.Warning=4]="Warning",e[e.Error=8]="Error"}(t.MarkerSeverity||(t.MarkerSeverity={}));!function(e){e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.KEY_0=21]="KEY_0",e[e.KEY_1=22]="KEY_1",e[e.KEY_2=23]="KEY_2",e[e.KEY_3=24]="KEY_3",e[e.KEY_4=25]="KEY_4",e[e.KEY_5=26]="KEY_5",e[e.KEY_6=27]="KEY_6",e[e.KEY_7=28]="KEY_7",e[e.KEY_8=29]="KEY_8",e[e.KEY_9=30]="KEY_9",e[e.KEY_A=31]="KEY_A",e[e.KEY_B=32]="KEY_B",e[e.KEY_C=33]="KEY_C",
e[e.KEY_D=34]="KEY_D",e[e.KEY_E=35]="KEY_E",e[e.KEY_F=36]="KEY_F",e[e.KEY_G=37]="KEY_G",e[e.KEY_H=38]="KEY_H",e[e.KEY_I=39]="KEY_I",e[e.KEY_J=40]="KEY_J",e[e.KEY_K=41]="KEY_K",e[e.KEY_L=42]="KEY_L",e[e.KEY_M=43]="KEY_M",e[e.KEY_N=44]="KEY_N",e[e.KEY_O=45]="KEY_O",e[e.KEY_P=46]="KEY_P",e[e.KEY_Q=47]="KEY_Q",e[e.KEY_R=48]="KEY_R",e[e.KEY_S=49]="KEY_S",e[e.KEY_T=50]="KEY_T",e[e.KEY_U=51]="KEY_U",e[e.KEY_V=52]="KEY_V",e[e.KEY_W=53]="KEY_W",e[e.KEY_X=54]="KEY_X",e[e.KEY_Y=55]="KEY_Y",e[e.KEY_Z=56]="KEY_Z",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.US_SEMICOLON=80]="US_SEMICOLON",e[e.US_EQUAL=81]="US_EQUAL",
e[e.US_COMMA=82]="US_COMMA",e[e.US_MINUS=83]="US_MINUS",e[e.US_DOT=84]="US_DOT",e[e.US_SLASH=85]="US_SLASH",e[e.US_BACKTICK=86]="US_BACKTICK",e[e.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",e[e.US_BACKSLASH=88]="US_BACKSLASH",e[e.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",e[e.US_QUOTE=90]="US_QUOTE",e[e.OEM_8=91]="OEM_8",e[e.OEM_102=92]="OEM_102",e[e.NUMPAD_0=93]="NUMPAD_0",e[e.NUMPAD_1=94]="NUMPAD_1",e[e.NUMPAD_2=95]="NUMPAD_2",e[e.NUMPAD_3=96]="NUMPAD_3",e[e.NUMPAD_4=97]="NUMPAD_4",e[e.NUMPAD_5=98]="NUMPAD_5",e[e.NUMPAD_6=99]="NUMPAD_6",e[e.NUMPAD_7=100]="NUMPAD_7",e[e.NUMPAD_8=101]="NUMPAD_8",e[e.NUMPAD_9=102]="NUMPAD_9",e[e.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",e[e.NUMPAD_ADD=104]="NUMPAD_ADD",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",e[e.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",e[e.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",e[e.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",e[e.ABNT_C1=110]="ABNT_C1",e[e.ABNT_C2=111]="ABNT_C2",
e[e.MAX_VALUE=112]="MAX_VALUE"}(t.KeyCode||(t.KeyCode={}));!function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"}(t.SelectionDirection||(t.SelectionDirection={}));!function(e){e[e.Auto=1]="Auto",e[e.Hidden=2]="Hidden",e[e.Visible=3]="Visible"}(t.ScrollbarVisibility||(t.ScrollbarVisibility={}));!function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(t.OverviewRulerLane||(t.OverviewRulerLane={}));!function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.EndOfLinePreference||(t.EndOfLinePreference={}));!function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.DefaultEndOfLine||(t.DefaultEndOfLine={}));!function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"}(t.EndOfLineSequence||(t.EndOfLineSequence={}));!function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"
}(t.TrackedRangeStickiness||(t.TrackedRangeStickiness={}));!function(e){e[e.Smooth=0]="Smooth",e[e.Immediate=1]="Immediate"}(t.ScrollType||(t.ScrollType={}));!function(e){e[e.NotSet=0]="NotSet",e[e.ContentFlush=1]="ContentFlush",e[e.RecoverFromMarkers=2]="RecoverFromMarkers",e[e.Explicit=3]="Explicit",e[e.Paste=4]="Paste",e[e.Undo=5]="Undo",e[e.Redo=6]="Redo"}(t.CursorChangeReason||(t.CursorChangeReason={}));!function(e){e[e.None=0]="None",e[e.Small=1]="Small",e[e.Large=2]="Large",e[e.SmallBlocks=3]="SmallBlocks",e[e.LargeBlocks=4]="LargeBlocks"}(t.RenderMinimap||(t.RenderMinimap={}));!function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent",e[e.DeepIndent=3]="DeepIndent"}(t.WrappingIndent||(t.WrappingIndent={}));!function(e){e[e.Hidden=0]="Hidden",e[e.Blink=1]="Blink",e[e.Smooth=2]="Smooth",e[e.Phase=3]="Phase",e[e.Expand=4]="Expand",e[e.Solid=5]="Solid"}(t.TextEditorCursorBlinkingStyle||(t.TextEditorCursorBlinkingStyle={}));!function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",
e[e.Underline=3]="Underline",e[e.LineThin=4]="LineThin",e[e.BlockOutline=5]="BlockOutline",e[e.UnderlineThin=6]="UnderlineThin"}(t.TextEditorCursorStyle||(t.TextEditorCursorStyle={}));!function(e){e[e.Off=0]="Off",e[e.On=1]="On",e[e.Relative=2]="Relative",e[e.Interval=3]="Interval",e[e.Custom=4]="Custom"}(t.RenderLineNumbersType||(t.RenderLineNumbersType={}));!function(e){e[e.EXACT=0]="EXACT",e[e.ABOVE=1]="ABOVE",e[e.BELOW=2]="BELOW"}(t.ContentWidgetPositionPreference||(t.ContentWidgetPositionPreference={}));!function(e){e[e.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",e[e.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",e[e.TOP_CENTER=2]="TOP_CENTER"}(t.OverlayWidgetPositionPreference||(t.OverlayWidgetPositionPreference={}));!function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",
e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",e[e.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"}(t.MouseTargetType||(t.MouseTargetType={}));!function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"}(t.IndentAction||(t.IndentAction={}));!function(e){e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",
e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.Snippet=25]="Snippet"}(t.CompletionItemKind||(t.CompletionItemKind={}));!function(e){e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet"}(t.CompletionItemInsertTextRule||(t.CompletionItemInsertTextRule={}));!function(e){e[e.Invoke=0]="Invoke",e[e.TriggerCharacter=1]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"}(t.CompletionTriggerKind||(t.CompletionTriggerKind={}));!function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"}(t.SignatureHelpTriggerReason||(t.SignatureHelpTriggerReason={}));!function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}(t.DocumentHighlightKind||(t.DocumentHighlightKind={}));!function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",
e[e.Method=5]="Method",e[e.Property=6]="Property",e[e.Field=7]="Field",e[e.Constructor=8]="Constructor",e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null",e[e.EnumMember=21]="EnumMember",e[e.Struct=22]="Struct",e[e.Event=23]="Event",e[e.Operator=24]="Operator",e[e.TypeParameter=25]="TypeParameter"}(t.SymbolKind||(t.SymbolKind={}))}),define(t[153],n([0,1,24,6,36,25,53,12,3,21,91,124]),function(e,t,n,i,o,r,s,a,l,u,d,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=function(){function e(){}return e.chord=function(e,t){return o.KeyChord(e,t)},e.CtrlCmd=2048,e.Shift=1024,e.Alt=512,e.WinCtrl=256,e}();t.KeyMod=h,t.createMonacoBaseAPI=function(){return{editor:void 0,languages:void 0,CancellationTokenSource:n.CancellationTokenSource,Emitter:i.Emitter,
KeyCode:c.KeyCode,KeyMod:h,Position:a.Position,Range:l.Range,Selection:u.Selection,SelectionDirection:c.SelectionDirection,MarkerSeverity:c.MarkerSeverity,MarkerTag:c.MarkerTag,Promise:s.TPromise,Uri:r.URI,Token:d.Token}}}),define(t[157],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n){this.from=0|e,this.to=0|t,this.colorId=0|n}return e.compare=function(e,t){return e.colorId===t.colorId?e.from===t.from?e.to-t.to:e.from-t.from:e.colorId-t.colorId},e}();t.ColorZone=n;var i=function(){function e(e,t,n){this.startLineNumber=e,this.endLineNumber=t,this.color=n,this._colorZone=null}return e.compare=function(e,t){return e.color===t.color?e.startLineNumber===t.startLineNumber?e.endLineNumber-t.endLineNumber:e.startLineNumber-t.startLineNumber:e.color<t.color?-1:1},e.prototype.setColorZone=function(e){this._colorZone=e},e.prototype.getColorZones=function(){return this._colorZone},e}();t.OverviewRulerZone=i;var o=function(){function e(e){
this._getVerticalOffsetForLine=e,this._zones=[],this._colorZonesInvalid=!1,this._lineHeight=0,this._domWidth=0,this._domHeight=0,this._outerHeight=0,this._pixelRatio=1,this._lastAssignedId=0,this._color2Id=Object.create(null),this._id2Color=[]}return e.prototype.getId2Color=function(){return this._id2Color},e.prototype.setZones=function(e){this._zones=e,this._zones.sort(i.compare)},e.prototype.setLineHeight=function(e){return this._lineHeight!==e&&(this._lineHeight=e,this._colorZonesInvalid=!0,!0)},e.prototype.setPixelRatio=function(e){this._pixelRatio=e,this._colorZonesInvalid=!0},e.prototype.getDOMWidth=function(){return this._domWidth},e.prototype.getCanvasWidth=function(){return this._domWidth*this._pixelRatio},e.prototype.setDOMWidth=function(e){return this._domWidth!==e&&(this._domWidth=e,this._colorZonesInvalid=!0,!0)},e.prototype.getDOMHeight=function(){return this._domHeight},e.prototype.getCanvasHeight=function(){return this._domHeight*this._pixelRatio},e.prototype.setDOMHeight=function(e){
return this._domHeight!==e&&(this._domHeight=e,this._colorZonesInvalid=!0,!0)},e.prototype.getOuterHeight=function(){return this._outerHeight},e.prototype.setOuterHeight=function(e){return this._outerHeight!==e&&(this._outerHeight=e,this._colorZonesInvalid=!0,!0)},e.prototype.resolveColorZones=function(){for(var e=this._colorZonesInvalid,t=Math.floor(this._lineHeight),i=Math.floor(this.getCanvasHeight()),o=i/Math.floor(this._outerHeight),r=Math.floor(4*this._pixelRatio/2),s=[],a=0,l=this._zones.length;a<l;a++){var u=this._zones[a];if(!e){var d=u.getColorZones();if(d){s.push(d);continue}}var c=Math.floor(o*this._getVerticalOffsetForLine(u.startLineNumber)),h=Math.floor(o*(this._getVerticalOffsetForLine(u.endLineNumber)+t)),p=Math.floor((c+h)/2),f=h-p;f<r&&(f=r),p-f<0&&(p=f),p+f>i&&(p=i-f);var g=u.color,m=this._color2Id[g];m||(m=++this._lastAssignedId,this._color2Id[g]=m,this._id2Color[m]=g);var v=new n(p-f,p+f,m);u.setColorZone(v),s.push(v)}return this._colorZonesInvalid=!1,s.sort(n.compare),s},e}()
;t.OverviewZoneManager=o}),define(t[83],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t){this._viewLayout=e,this.viewportData=t,this.scrollWidth=this._viewLayout.getScrollWidth(),this.scrollHeight=this._viewLayout.getScrollHeight(),this.visibleRange=this.viewportData.visibleRange,this.bigNumbersDelta=this.viewportData.bigNumbersDelta;var n=this._viewLayout.getCurrentViewport();this.scrollTop=n.top,this.scrollLeft=n.left,this.viewportWidth=n.width,this.viewportHeight=n.height}return e.prototype.getScrolledTopFromAbsoluteTop=function(e){return e-this.scrollTop},e.prototype.getVerticalOffsetForLineNumber=function(e){return this._viewLayout.getVerticalOffsetForLineNumber(e)},e.prototype.getDecorationsInViewport=function(){return this.viewportData.getDecorationsInViewport()},e}();t.RestrictedRenderingContext=n;var i=function(e){function t(t,n,i){var o=e.call(this,t,n)||this;return o._viewLines=i,o}return o(t,e),
t.prototype.linesVisibleRangesForRange=function(e,t){return this._viewLines.linesVisibleRangesForRange(e,t)},t.prototype.visibleRangeForPosition=function(e){return this._viewLines.visibleRangeForPosition(e)},t}(n);t.RenderingContext=i;var r=function(){return function(e,t){this.lineNumber=e,this.ranges=t}}();t.LineVisibleRanges=r;var s=function(){function e(e,t){this.left=Math.round(e),this.width=Math.round(t)}return e.prototype.toString=function(){return"["+this.left+","+this.width+"]"},e}();t.HorizontalRange=s}),define(t[207],n([0,1,83]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){this.left=e,this.width=t}return e.prototype.toString=function(){return"["+this.left+","+this.width+"]"},e.compare=function(e,t){return e.left-t.left},e}(),o=function(){function e(){}return e._createRange=function(){return this._handyReadyRange||(this._handyReadyRange=document.createRange()),this._handyReadyRange},e._detachRange=function(e,t){e.selectNodeContents(t)
},e._readClientRects=function(e,t,n,i,o){var r=this._createRange();try{return r.setStart(e,t),r.setEnd(n,i),r.getClientRects()}catch(e){return null}finally{this._detachRange(r,o)}},e._mergeAdjacentRanges=function(e){if(1===e.length)return[new n.HorizontalRange(e[0].left,e[0].width)];e.sort(i.compare);for(var t=[],o=0,r=e[0].left,s=e[0].width,a=1,l=e.length;a<l;a++){var u=e[a],d=u.left,c=u.width;r+s+.9>=d?s=Math.max(s,d+c-r):(t[o++]=new n.HorizontalRange(r,s),r=d,s=c)}return t[o++]=new n.HorizontalRange(r,s),t},e._createHorizontalRangesFromClientRects=function(e,t){if(!e||0===e.length)return null;for(var n=[],o=0,r=e.length;o<r;o++){var s=e[o];n[o]=new i(Math.max(0,s.left-t),s.width)}return this._mergeAdjacentRanges(n)},e.readHorizontalRanges=function(e,t,n,i,o,r,s){var a=e.children.length-1;if(0>a)return null;(t=Math.min(a,Math.max(0,t)))!==(i=Math.min(a,Math.max(0,i)))&&i>0&&0===o&&(i--,o=Number.MAX_VALUE);var l=e.children[t].firstChild,u=e.children[i].firstChild
;if(l&&u||(!l&&0===n&&t>0&&(l=e.children[t-1].firstChild,n=1073741824),!u&&0===o&&i>0&&(u=e.children[i-1].firstChild,o=1073741824)),!l||!u)return null;n=Math.min(l.textContent.length,Math.max(0,n)),o=Math.min(u.textContent.length,Math.max(0,o));var d=this._readClientRects(l,n,u,o,s);return this._createHorizontalRangesFromClientRects(d,r)},e}();t.RangeUtil=o}),define(t[208],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n,i){this.configuration=e,this.theme=t,this.model=n,this.viewLayout=n.viewLayout,this.privateViewEventBus=i}return e.prototype.addEventHandler=function(e){this.privateViewEventBus.addEventHandler(e)},e.prototype.removeEventHandler=function(e){this.privateViewEventBus.removeEventHandler(e)},e}();t.ViewContext=n}),define(t[209],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e){this._eventHandlerGateKeeper=e,this._eventHandlers=[],this._eventQueue=null,
this._isConsumingQueue=!1}return e.prototype.addEventHandler=function(e){for(var t=0,n=this._eventHandlers.length;t<n;t++)this._eventHandlers[t]===e&&console.warn("Detected duplicate listener in ViewEventDispatcher",e);this._eventHandlers.push(e)},e.prototype.removeEventHandler=function(e){for(var t=0;t<this._eventHandlers.length;t++)if(this._eventHandlers[t]===e){this._eventHandlers.splice(t,1);break}},e.prototype.emit=function(e){this._eventQueue?this._eventQueue.push(e):this._eventQueue=[e],this._isConsumingQueue||this.consumeQueue()},e.prototype.emitMany=function(e){this._eventQueue?this._eventQueue=this._eventQueue.concat(e):this._eventQueue=e,this._isConsumingQueue||this.consumeQueue()},e.prototype.consumeQueue=function(){var e=this;this._eventHandlerGateKeeper(function(){try{e._isConsumingQueue=!0,e._doConsumeQueue()}finally{e._isConsumingQueue=!1}})},e.prototype._doConsumeQueue=function(){for(;this._eventQueue;){var e=this._eventQueue;this._eventQueue=null
;for(var t=this._eventHandlers.slice(0),n=0,i=t.length;n<i;n++)t[n].handleEvents(e)}},e}();t.ViewEventDispatcher=n}),define(t[69],n([0,1,11,2]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){return function(e){this.type=1,this.canUseLayerHinting=e.canUseLayerHinting,this.pixelRatio=e.pixelRatio,this.editorClassName=e.editorClassName,this.lineHeight=e.lineHeight,this.readOnly=e.readOnly,this.accessibilitySupport=e.accessibilitySupport,this.emptySelectionClipboard=e.emptySelectionClipboard,this.copyWithSyntaxHighlighting=e.copyWithSyntaxHighlighting,this.layoutInfo=e.layoutInfo,this.fontInfo=e.fontInfo,this.viewInfo=e.viewInfo,this.wrappingInfo=e.wrappingInfo}}();t.ViewConfigurationChangedEvent=r;var s=function(){return function(e){this.type=2,this.selections=e}}();t.ViewCursorStateChangedEvent=s;var a=function(){return function(){this.type=3}}();t.ViewDecorationsChangedEvent=a;var l=function(){return function(){this.type=4}}();t.ViewFlushedEvent=l
;var u=function(){return function(e){this.type=5,this.isFocused=e}}();t.ViewFocusChangedEvent=u;var d=function(){return function(){this.type=6}}();t.ViewLineMappingChangedEvent=d;var c=function(){return function(e,t){this.type=7,this.fromLineNumber=e,this.toLineNumber=t}}();t.ViewLinesChangedEvent=c;var h=function(){return function(e,t){this.type=8,this.fromLineNumber=e,this.toLineNumber=t}}();t.ViewLinesDeletedEvent=h;var p=function(){return function(e,t){this.type=9,this.fromLineNumber=e,this.toLineNumber=t}}();t.ViewLinesInsertedEvent=p;var f=function(){return function(e,t,n,i){this.type=10,this.range=e,this.verticalType=t,this.revealHorizontal=n,this.scrollType=i}}();t.ViewRevealRangeRequestEvent=f;var g=function(){return function(e){this.type=11,this.scrollWidth=e.scrollWidth,this.scrollLeft=e.scrollLeft,this.scrollHeight=e.scrollHeight,this.scrollTop=e.scrollTop,this.scrollWidthChanged=e.scrollWidthChanged,this.scrollLeftChanged=e.scrollLeftChanged,this.scrollHeightChanged=e.scrollHeightChanged,
this.scrollTopChanged=e.scrollTopChanged}}();t.ViewScrollChangedEvent=g;var m=function(){return function(e){this.type=12,this.ranges=e}}();t.ViewTokensChangedEvent=m;var v=function(){return function(){this.type=15}}();t.ViewThemeChangedEvent=v;var _=function(){return function(){this.type=13}}();t.ViewTokensColorsChangedEvent=_;var y=function(){return function(){this.type=14}}();t.ViewZonesChangedEvent=y;var C=function(){return function(){this.type=16}}();t.ViewLanguageConfigurationEvent=C;var b=function(e){function t(){var t=e.call(this)||this;return t._listeners=[],t._collector=null,t._collectorCnt=0,t}return o(t,e),t.prototype.dispose=function(){this._listeners=[],e.prototype.dispose.call(this)},t.prototype._beginEmit=function(){return this._collectorCnt++,1===this._collectorCnt&&(this._collector=new S),this._collector},t.prototype._endEmit=function(){if(this._collectorCnt--,0===this._collectorCnt){var e=this._collector.finalize();this._collector=null,e.length>0&&this._emit(e)}},
t.prototype._emit=function(e){for(var t=this._listeners.slice(0),i=0,o=t.length;i<o;i++)!function(e,t){try{e(t)}catch(e){n.onUnexpectedError(e)}}(t[i],e)},t.prototype.addEventListener=function(e){var t=this;return this._listeners.push(e),i.toDisposable(function(){for(var n=t._listeners,i=0,o=n.length;i<o;i++)if(n[i]===e){n.splice(i,1);break}})},t}(i.Disposable);t.ViewEventEmitter=b;var S=function(){function e(){this._eventsLen=0,this._events=[],this._eventsLen=0}return e.prototype.emit=function(e){this._events[this._eventsLen++]=e},e.prototype.finalize=function(){var e=this._events;return this._events=[],e},e}();t.ViewEventsCollector=S}),define(t[129],n([0,1,8]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,n,i){this.startColumn=e,this.endColumn=t,this.className=n,this.type=i}return e._equals=function(e,t){return e.startColumn===t.startColumn&&e.endColumn===t.endColumn&&e.className===t.className&&e.type===t.type},e.equalsArr=function(t,n){
var i=t.length;if(i!==n.length)return!1;for(var o=0;o<i;o++)if(!e._equals(t[o],n[o]))return!1;return!0},e.filter=function(t,n,i,o){if(0===t.length)return[];for(var r=[],s=0,a=0,l=t.length;a<l;a++){var u=t[a],d=u.range;if(!(d.endLineNumber<n||d.startLineNumber>n)&&(!d.isEmpty()||0!==u.type&&3!==u.type)){var c=d.startLineNumber===n?d.startColumn:i,h=d.endLineNumber===n?d.endColumn:o;r[s++]=new e(c,h,u.inlineClassName,u.type)}}return r},e.compare=function(e,t){return e.startColumn===t.startColumn?e.endColumn===t.endColumn?e.className<t.className?-1:e.className>t.className?1:0:e.endColumn-t.endColumn:e.startColumn-t.startColumn},e}();t.LineDecoration=i;var o=function(){return function(e,t,n){this.startOffset=e,this.endOffset=t,this.className=n}}();t.DecorationSegment=o;var r=function(){function e(){this.stopOffsets=[],this.classNames=[],this.count=0}return e.prototype.consumeLowerThan=function(e,t,n){for(;this.count>0&&this.stopOffsets[0]<e;){
for(var i=0;i+1<this.count&&this.stopOffsets[i]===this.stopOffsets[i+1];)i++;n.push(new o(t,this.stopOffsets[i],this.classNames.join(" "))),t=this.stopOffsets[i]+1,this.stopOffsets.splice(0,i+1),this.classNames.splice(0,i+1),this.count-=i+1}return this.count>0&&t<e&&(n.push(new o(t,e-1,this.classNames.join(" "))),t=e),t},e.prototype.insert=function(e,t){if(0===this.count||this.stopOffsets[this.count-1]<=e)this.stopOffsets.push(e),this.classNames.push(t);else for(var n=0;n<this.count;n++)if(this.stopOffsets[n]>=e){this.stopOffsets.splice(n,0,e),this.classNames.splice(n,0,t);break}this.count++},e}(),s=function(){function e(){}return e.normalize=function(e,t){if(0===t.length)return[];for(var i=[],o=new r,s=0,a=0,l=t.length;a<l;a++){var u=t[a],d=u.startColumn,c=u.endColumn,h=u.className;if(d>1){p=e.charCodeAt(d-2);n.isHighSurrogate(p)&&d--}if(c>1){var p=e.charCodeAt(c-2);n.isHighSurrogate(p)&&c--}var f=d-1,g=c-2;s=o.consumeLowerThan(f,s,i),0===o.count&&(s=f),o.insert(g,h)}
return o.consumeLowerThan(1073741824,s,i),i},e}();t.LineDecorationsNormalizer=s}),define(t[103],n([0,1,8,121,129]),function(e,t,n,i,o){"use strict";function r(e,t){if(0===e.lineContent.length){var i=0,r="<span><span> </span></span>";if(e.lineDecorations.length>0){for(var a=[],d=0,h=e.lineDecorations.length;d<h;d++){var p=e.lineDecorations[d];1===p.type&&(a.push(e.lineDecorations[d].className),i|=1),2===p.type&&(a.push(e.lineDecorations[d].className),i|=2)}0!==i&&(r='<span><span class="'+a.join(" ")+'"></span></span>')}return t.appendASCIIString(r),new u(new l(0,0),!1,i)}return function(e,t){var i=e.fontIsMonospace,o=e.canUseHalfwidthRightwardsArrow,r=e.containsForeignElements,s=e.lineContent,a=e.len,d=e.isOverflowing,c=e.parts,h=e.tabSize,p=e.containsRTL,f=e.spaceWidth,g=e.renderWhitespace,m=e.renderControlCharacters,v=new l(a+1,c.length),_=0,y=0,C=0,b=0,S=0;t.appendASCIIString("<span>");for(var w=0,E=c.length;w<E;w++){S+=b;var L=c[w],x=L.endIndex,I=L.type,N=0!==g&&I.indexOf("vs-whitespace")>=0;if(C=0,
t.appendASCIIString('<span class="'),t.appendASCIIString(I),t.appendASCII(34),N){for(var D=0,M=_,k=y;M<x;M++){if(9===(T=s.charCodeAt(M))){k+=(R=h-(M+k)%h)-1,D+=R}else D++}if(!i){!("vs-whitespace"===I)&&r||(t.appendASCIIString(' style="width:'),t.appendASCIIString(String(f*D)),t.appendASCIIString('px"'))}for(t.appendASCII(62);_<x;_++){v.setPartData(_,w,C,S);if(9===(T=s.charCodeAt(_))){for(y+=(R=h-(_+y)%h)-1,C+=R-1,R>0&&(!o||R>1?t.write1(8594):t.write1(65515),R--);R>0;)t.write1(160),R--}else t.write1(183);C++}b=D}else{D=0;for(p&&t.appendASCIIString(' dir="ltr"'),t.appendASCII(62);_<x;_++){v.setPartData(_,w,C,S);var T=s.charCodeAt(_);switch(T){case 9:var R=h-(_+y)%h;for(y+=R-1,C+=R-1;R>0;)t.write1(160),D++,R--;break;case 32:t.write1(160),D++;break;case 60:t.appendASCIIString("&lt;"),D++;break;case 62:t.appendASCIIString("&gt;"),D++;break;case 38:t.appendASCIIString("&amp;"),D++;break;case 0:t.appendASCIIString("&#00;"),D++;break;case 65279:case 8232:t.write1(65533),D++;break;default:
n.isFullWidthCharacter(T)&&y++,m&&T<32?(t.write1(9216+T),D++):(t.write1(T),D++)}C++}b=D}t.appendASCIIString("</span>")}v.setPartData(a,c.length-1,C,S),d&&t.appendASCIIString("<span>&hellip;</span>");return t.appendASCIIString("</span>"),new u(v,p,r)}(function(e){var t,i,r=e.useMonospaceOptimizations,a=e.lineContent;-1!==e.stopRenderingLineAfter&&e.stopRenderingLineAfter<a.length?(t=!0,i=e.stopRenderingLineAfter):(t=!1,i=a.length);var l=function(e,t,n){var i=[],o=0;t>0&&(i[o++]=new s(t,""));for(var r=0,a=e.getCount();r<a;r++){var l=e.getEndOffset(r);if(!(l<=t)){var u=e.getClassName(r);if(l>=n){i[o++]=new s(n,u);break}i[o++]=new s(l,u)}}return i}(e.lineTokens,e.fauxIndentLength,i);2!==e.renderWhitespace&&1!==e.renderWhitespace||(l=function(e,t,i,o,r,a,l,u){var d,c=[],h=0,p=0,f=o[p].type,g=o[p].endIndex,m=o.length,v=n.firstNonWhitespaceIndex(e);-1===v?(v=t,d=t):d=n.lastNonWhitespaceIndex(e);for(var _=0,y=0;y<r;y++){9===(b=e.charCodeAt(y))?_=a:n.isFullWidthCharacter(b)?_+=2:_++}_%=a;for(var C=!1,y=r;y<t;y++){
var b=e.charCodeAt(y),S=void 0;if(y<v||y>d)S=!0;else if(9===b)S=!0;else if(32===b)if(u)if(C)S=!0;else{var w=y+1<t?e.charCodeAt(y+1):0;S=32===w||9===w}else S=!0;else S=!1;C?(!S||!l&&_>=a)&&(c[h++]=new s(y,"vs-whitespace"),_%=a):(y===g||S&&y>r)&&(c[h++]=new s(y,f),_%=a),9===b?_=a:n.isFullWidthCharacter(b)?_+=2:_++,C=S,y===g&&++p<m&&(f=o[p].type,g=o[p].endIndex)}var E=!1;if(C)if(i&&u){var L=t>0?e.charCodeAt(t-1):0,x=t>1?e.charCodeAt(t-2):0;32===L&&32!==x&&9!==x||(E=!0)}else E=!0;return c[h++]=new s(t,E?"vs-whitespace":f),c}(a,i,e.continuesWithWrappedLine,l,e.fauxIndentLength,e.tabSize,r,1===e.renderWhitespace));var u=0;if(e.lineDecorations.length>0){for(var d=0,h=e.lineDecorations.length;d<h;d++){var p=e.lineDecorations[d];3===p.type?u|=1:1===p.type?u|=1:2===p.type&&(u|=2)}l=function(e,t,n,i){i.sort(o.LineDecoration.compare);for(var r=o.LineDecorationsNormalizer.normalize(e,i),a=r.length,l=0,u=[],d=0,c=0,h=0,p=n.length;h<p;h++){for(var f=n[h],g=f.endIndex,m=f.type;l<a&&r[l].startOffset<g;){var v=r[l]
;if(v.startOffset>c&&(c=v.startOffset,u[d++]=new s(c,m)),!(v.endOffset+1<=g)){c=g,u[d++]=new s(c,m+" "+v.className);break}c=v.endOffset+1,u[d++]=new s(c,m+" "+v.className),l++}g>c&&(c=g,u[d++]=new s(c,m))}var _=n[n.length-1].endIndex;if(l<a&&r[l].startOffset===_){for(var y=[];l<a&&r[l].startOffset===_;)y.push(r[l].className),l++;u[d++]=new s(c,y.join(" "))}return u}(a,0,l,e.lineDecorations)}e.containsRTL||(l=function(e,t,n){var i=0,o=[],r=0;if(n)for(var a=0,l=t.length;a<l;a++){p=(f=t[a]).endIndex;if(i+50<p){for(var u=f.type,d=-1,c=i,h=i;h<p;h++)32===e.charCodeAt(h)&&(d=h),-1!==d&&h-c>=50&&(o[r++]=new s(d+1,u),c=d+1,d=-1);c!==p&&(o[r++]=new s(p,u))}else o[r++]=f;i=p}else for(var a=0,l=t.length;a<l;a++){var p,f=t[a],g=(p=f.endIndex)-i;if(g>50){for(var u=f.type,m=Math.ceil(g/50),h=1;h<m;h++){var v=i+50*h;o[r++]=new s(v,u)}o[r++]=new s(p,u)}else o[r++]=f;i=p}return o}(a,l,!e.isBasicASCII||e.fontLigatures))
;return new c(r,e.canUseHalfwidthRightwardsArrow,a,i,t,l,u,e.tabSize,e.containsRTL,e.spaceWidth,e.renderWhitespace,e.renderControlCharacters)}(e),t)}Object.defineProperty(t,"__esModule",{value:!0});var s=function(){return function(e,t){this.endIndex=e,this.type=t}}(),a=function(){function e(e,t,n,i,o,r,s,a,l,u,d,c,h,p,f){this.useMonospaceOptimizations=e,this.canUseHalfwidthRightwardsArrow=t,this.lineContent=n,this.continuesWithWrappedLine=i,this.isBasicASCII=o,this.containsRTL=r,this.fauxIndentLength=s,this.lineTokens=a,this.lineDecorations=l,this.tabSize=u,this.spaceWidth=d,this.stopRenderingLineAfter=c,this.renderWhitespace="all"===h?2:"boundary"===h?1:0,this.renderControlCharacters=p,this.fontLigatures=f}return e.prototype.equals=function(e){
return this.useMonospaceOptimizations===e.useMonospaceOptimizations&&this.canUseHalfwidthRightwardsArrow===e.canUseHalfwidthRightwardsArrow&&this.lineContent===e.lineContent&&this.continuesWithWrappedLine===e.continuesWithWrappedLine&&this.isBasicASCII===e.isBasicASCII&&this.containsRTL===e.containsRTL&&this.fauxIndentLength===e.fauxIndentLength&&this.tabSize===e.tabSize&&this.spaceWidth===e.spaceWidth&&this.stopRenderingLineAfter===e.stopRenderingLineAfter&&this.renderWhitespace===e.renderWhitespace&&this.renderControlCharacters===e.renderControlCharacters&&this.fontLigatures===e.fontLigatures&&o.LineDecoration.equalsArr(this.lineDecorations,e.lineDecorations)&&this.lineTokens.equals(e.lineTokens)},e}();t.RenderLineInput=a;var l=function(){function e(e,t){this.length=e,this._data=new Uint32Array(this.length),this._absoluteOffsets=new Uint32Array(this.length)}return e.getPartIndex=function(e){return(4294901760&e)>>>16},e.getCharIndex=function(e){return(65535&e)>>>0},e.prototype.setPartData=function(e,t,n,i){
var o=(t<<16|n<<0)>>>0;this._data[e]=o,this._absoluteOffsets[e]=i+n},e.prototype.getAbsoluteOffsets=function(){return this._absoluteOffsets},e.prototype.charOffsetToPartData=function(e){return 0===this.length?0:e<0?this._data[0]:e>=this.length?this._data[this.length-1]:this._data[e]},e.prototype.partDataToCharOffset=function(t,n,i){if(0===this.length)return 0;for(var o=(t<<16|i<<0)>>>0,r=0,s=this.length-1;r+1<s;){var a=r+s>>>1,l=this._data[a];if(l===o)return a;l>o?s=a:r=a}if(r===s)return r;var u=this._data[r],d=this._data[s];if(u===o)return r;if(d===o)return s;var c=e.getPartIndex(u);return i-e.getCharIndex(u)<=(c!==e.getPartIndex(d)?n:e.getCharIndex(d))-i?r:s},e}();t.CharacterMapping=l;var u=function(){return function(e,t,n){this.characterMapping=e,this.containsRTL=t,this.containsForeignElements=n}}();t.RenderLineOutput=u,t.renderViewLine=r;var d=function(){return function(e,t,n,i){this.characterMapping=e,this.html=t,this.containsRTL=n,this.containsForeignElements=i}}();t.RenderLineOutput2=d,
t.renderViewLine2=function(e){var t=i.createStringBuilder(1e4),n=r(e,t);return new d(n.characterMapping,t.build(),n.containsRTL,n.containsForeignElements)};var c=function(){return function(e,t,n,i,o,r,s,a,l,u,d,c){this.fontIsMonospace=e,this.canUseHalfwidthRightwardsArrow=t,this.lineContent=n,this.len=i,this.isOverflowing=o,this.parts=r,this.containsForeignElements=s,this.tabSize=a,this.containsRTL=l,this.spaceWidth=u,this.renderWhitespace=d,this.renderControlCharacters=c}}()}),define(t[213],n([0,1,3]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,i,o){this.selections=e,this.startLineNumber=0|t.startLineNumber,this.endLineNumber=0|t.endLineNumber,this.relativeVerticalOffset=t.relativeVerticalOffset,this.bigNumbersDelta=0|t.bigNumbersDelta,this.whitespaceViewportData=i,this._model=o,this.visibleRange=new n.Range(t.startLineNumber,this._model.getLineMinColumn(t.startLineNumber),t.endLineNumber,this._model.getLineMaxColumn(t.endLineNumber))}
return e.prototype.getViewLineRenderingData=function(e){return this._model.getViewLineRenderingData(this.visibleRange,e)},e.prototype.getDecorationsInViewport=function(){return this._model.getDecorationsInViewport(this.visibleRange)},e}();t.ViewportData=i}),define(t[214],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(){this._heights=[],this._minWidths=[],this._ids=[],this._afterLineNumbers=[],this._ordinals=[],this._prefixSum=[],this._prefixSumValidIndex=-1,this._whitespaceId2Index={},this._lastWhitespaceId=0,this._minWidth=-1}return e.findInsertionIndex=function(e,t,n,i){for(var o=0,r=e.length;o<r;){var s=o+r>>>1;t===e[s]?i<n[s]?r=s:o=s+1:t<e[s]?r=s:o=s+1}return o},e.prototype.insertWhitespace=function(t,n,i,o){t|=0,n|=0,i|=0,o|=0;var r=++this._lastWhitespaceId,s=e.findInsertionIndex(this._afterLineNumbers,t,this._ordinals,n);return this._insertWhitespaceAtIndex(r,s,t,n,i,o),this._minWidth=-1,r},
e.prototype._insertWhitespaceAtIndex=function(e,t,n,i,o,r){e|=0,t|=0,n|=0,i|=0,o|=0,r|=0,this._heights.splice(t,0,o),this._minWidths.splice(t,0,r),this._ids.splice(t,0,e),this._afterLineNumbers.splice(t,0,n),this._ordinals.splice(t,0,i),this._prefixSum.splice(t,0,0);for(var s=Object.keys(this._whitespaceId2Index),a=0,l=s.length;a<l;a++){var u=s[a],d=this._whitespaceId2Index[u];d>=t&&(this._whitespaceId2Index[u]=d+1)}this._whitespaceId2Index[e.toString()]=t,this._prefixSumValidIndex=Math.min(this._prefixSumValidIndex,t-1)},e.prototype.changeWhitespace=function(e,t,n){e|=0,t|=0,n|=0;var i=!1;return i=this.changeWhitespaceHeight(e,n)||i,i=this.changeWhitespaceAfterLineNumber(e,t)||i},e.prototype.changeWhitespaceHeight=function(e,t){t|=0;var n=(e|=0).toString();if(this._whitespaceId2Index.hasOwnProperty(n)){var i=this._whitespaceId2Index[n];if(this._heights[i]!==t)return this._heights[i]=t,this._prefixSumValidIndex=Math.min(this._prefixSumValidIndex,i-1),!0}return!1},
e.prototype.changeWhitespaceAfterLineNumber=function(t,n){n|=0;var i=(t|=0).toString();if(this._whitespaceId2Index.hasOwnProperty(i)){var o=this._whitespaceId2Index[i];if(this._afterLineNumbers[o]!==n){var r=this._ordinals[o],s=this._heights[o],a=this._minWidths[o];this.removeWhitespace(t);var l=e.findInsertionIndex(this._afterLineNumbers,n,this._ordinals,r);return this._insertWhitespaceAtIndex(t,l,n,r,s,a),!0}}return!1},e.prototype.removeWhitespace=function(e){var t=(e|=0).toString();if(this._whitespaceId2Index.hasOwnProperty(t)){var n=this._whitespaceId2Index[t];return delete this._whitespaceId2Index[t],this._removeWhitespaceAtIndex(n),this._minWidth=-1,!0}return!1},e.prototype._removeWhitespaceAtIndex=function(e){e|=0,this._heights.splice(e,1),this._minWidths.splice(e,1),this._ids.splice(e,1),this._afterLineNumbers.splice(e,1),this._ordinals.splice(e,1),this._prefixSum.splice(e,1),this._prefixSumValidIndex=Math.min(this._prefixSumValidIndex,e-1)
;for(var t=Object.keys(this._whitespaceId2Index),n=0,i=t.length;n<i;n++){var o=t[n],r=this._whitespaceId2Index[o];r>=e&&(this._whitespaceId2Index[o]=r-1)}},e.prototype.onLinesDeleted=function(e,t){e|=0,t|=0;for(var n=0,i=this._afterLineNumbers.length;n<i;n++){var o=this._afterLineNumbers[n];e<=o&&o<=t?this._afterLineNumbers[n]=e-1:o>t&&(this._afterLineNumbers[n]-=t-e+1)}},e.prototype.onLinesInserted=function(e,t){e|=0,t|=0;for(var n=0,i=this._afterLineNumbers.length;n<i;n++){e<=this._afterLineNumbers[n]&&(this._afterLineNumbers[n]+=t-e+1)}},e.prototype.getTotalHeight=function(){return 0===this._heights.length?0:this.getAccumulatedHeight(this._heights.length-1)},e.prototype.getAccumulatedHeight=function(e){e|=0;var t=Math.max(0,this._prefixSumValidIndex+1);0===t&&(this._prefixSum[0]=this._heights[0],t++);for(var n=t;n<=e;n++)this._prefixSum[n]=this._prefixSum[n-1]+this._heights[n];return this._prefixSumValidIndex=Math.max(this._prefixSumValidIndex,e),this._prefixSum[e]},
e.prototype.getAccumulatedHeightBeforeLineNumber=function(e){e|=0;var t=this._findLastWhitespaceBeforeLineNumber(e);return-1===t?0:this.getAccumulatedHeight(t)},e.prototype._findLastWhitespaceBeforeLineNumber=function(e){e|=0;for(var t=this._afterLineNumbers,n=0,i=t.length-1;n<=i;){var o=n+((i-n|0)/2|0)|0;if(t[o]<e){if(o+1>=t.length||t[o+1]>=e)return o;n=o+1|0}else i=o-1|0}return-1},e.prototype._findFirstWhitespaceAfterLineNumber=function(e){e|=0;var t=this._findLastWhitespaceBeforeLineNumber(e)+1;return t<this._heights.length?t:-1},e.prototype.getFirstWhitespaceIndexAfterLineNumber=function(e){return e|=0,this._findFirstWhitespaceAfterLineNumber(e)},e.prototype.getCount=function(){return this._heights.length},e.prototype.getMinWidth=function(){if(-1===this._minWidth){for(var e=0,t=0,n=this._minWidths.length;t<n;t++)e=Math.max(e,this._minWidths[t]);this._minWidth=e}return this._minWidth},e.prototype.getAfterLineNumberForWhitespaceIndex=function(e){return e|=0,this._afterLineNumbers[e]},
e.prototype.getIdForWhitespaceIndex=function(e){return e|=0,this._ids[e]},e.prototype.getHeightForWhitespaceIndex=function(e){return e|=0,this._heights[e]},e.prototype.getWhitespaces=function(e){e|=0;for(var t=[],n=0;n<this._heights.length;n++)t.push({id:this._ids[n],afterLineNumber:this._afterLineNumbers[n],heightInLines:this._heights[n]/e});return t},e}();t.WhitespaceComputer=n}),define(t[215],n([0,1,214]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){this._lineCount=e,this._lineHeight=t,this._whitespaces=new n.WhitespaceComputer}return e.prototype.setLineHeight=function(e){this._lineHeight=e},e.prototype.onFlushed=function(e){this._lineCount=e},e.prototype.insertWhitespace=function(e,t,n,i){return this._whitespaces.insertWhitespace(e,t,n,i)},e.prototype.changeWhitespace=function(e,t,n){return this._whitespaces.changeWhitespace(e,t,n)},e.prototype.removeWhitespace=function(e){return this._whitespaces.removeWhitespace(e)},
e.prototype.onLinesDeleted=function(e,t){this._lineCount-=t-e+1,this._whitespaces.onLinesDeleted(e,t)},e.prototype.onLinesInserted=function(e,t){this._lineCount+=t-e+1,this._whitespaces.onLinesInserted(e,t)},e.prototype.getLinesTotalHeight=function(){return this._lineHeight*this._lineCount+this._whitespaces.getTotalHeight()},e.prototype.getVerticalOffsetForLineNumber=function(e){return((e|=0)>1?this._lineHeight*(e-1):0)+this._whitespaces.getAccumulatedHeightBeforeLineNumber(e)},e.prototype.getWhitespaceAccumulatedHeightBeforeLineNumber=function(e){return this._whitespaces.getAccumulatedHeightBeforeLineNumber(e)},e.prototype.getWhitespaceMinWidth=function(){return this._whitespaces.getMinWidth()},e.prototype.isAfterLines=function(e){return e>this.getLinesTotalHeight()},e.prototype.getLineNumberAtOrAfterVerticalOffset=function(e){if((e|=0)<0)return 1;for(var t=0|this._lineCount,n=this._lineHeight,i=1,o=t;i<o;){var r=(i+o)/2|0,s=0|this.getVerticalOffsetForLineNumber(r);if(e>=s+n)i=r+1;else{if(e>=s)return r;o=r}}
return i>t?t:i},e.prototype.getLinesViewportData=function(e,t){e|=0,t|=0;var n,i,o=this._lineHeight,r=0|this.getLineNumberAtOrAfterVerticalOffset(e),s=0|this.getVerticalOffsetForLineNumber(r),a=0|this._lineCount,l=0|this._whitespaces.getFirstWhitespaceIndexAfterLineNumber(r),u=0|this._whitespaces.getCount();-1===l?(l=u,i=a+1,n=0):(i=0|this._whitespaces.getAfterLineNumberForWhitespaceIndex(l),n=0|this._whitespaces.getHeightForWhitespaceIndex(l));var d=s,c=d,h=0;s>=5e5&&(h=5e5*Math.floor(s/5e5),c-=h=Math.floor(h/o)*o);for(var p=[],f=e+(t-e)/2,g=-1,m=r;m<=a;m++){if(-1===g){var v=d;(v<=f&&f<d+o||v>f)&&(g=m)}for(d+=o,p[m-r]=c,c+=o;i===m;)c+=n,d+=n,++l>=u?i=a+1:(i=0|this._whitespaces.getAfterLineNumberForWhitespaceIndex(l),n=0|this._whitespaces.getHeightForWhitespaceIndex(l));if(d>=t){a=m;break}}-1===g&&(g=a);var _=0|this.getVerticalOffsetForLineNumber(a),y=r,C=a;return y<C&&s<e&&y++,y<C&&_+o>t&&C--,{bigNumbersDelta:h,startLineNumber:r,endLineNumber:a,relativeVerticalOffset:p,centeredLineNumber:g,
completelyVisibleStartLineNumber:y,completelyVisibleEndLineNumber:C}},e.prototype.getVerticalOffsetForWhitespaceIndex=function(e){e|=0;var t,n=this._whitespaces.getAfterLineNumberForWhitespaceIndex(e);t=n>=1?this._lineHeight*n:0;var i;return i=e>0?this._whitespaces.getAccumulatedHeight(e-1):0,t+i},e.prototype.getWhitespaceIndexAtOrAfterVerticallOffset=function(e){e|=0;var t,n,i,o=0,r=this._whitespaces.getCount()-1;if(r<0)return-1;if(e>=this.getVerticalOffsetForWhitespaceIndex(r)+this._whitespaces.getHeightForWhitespaceIndex(r))return-1;for(;o<r;)if(t=Math.floor((o+r)/2),n=this.getVerticalOffsetForWhitespaceIndex(t),i=this._whitespaces.getHeightForWhitespaceIndex(t),e>=n+i)o=t+1;else{if(e>=n)return t;r=t}return o},e.prototype.getWhitespaceAtVerticalOffset=function(e){e|=0;var t=this.getWhitespaceIndexAtOrAfterVerticallOffset(e);if(t<0)return null;if(t>=this._whitespaces.getCount())return null;var n=this.getVerticalOffsetForWhitespaceIndex(t);if(n>e)return null
;var i=this._whitespaces.getHeightForWhitespaceIndex(t);return{id:this._whitespaces.getIdForWhitespaceIndex(t),afterLineNumber:this._whitespaces.getAfterLineNumberForWhitespaceIndex(t),verticalOffset:n,height:i}},e.prototype.getWhitespaceViewportData=function(e,t){e|=0,t|=0;var n=this.getWhitespaceIndexAtOrAfterVerticallOffset(e),i=this._whitespaces.getCount()-1;if(n<0)return[];for(var o=[],r=n;r<=i;r++){var s=this.getVerticalOffsetForWhitespaceIndex(r),a=this._whitespaces.getHeightForWhitespaceIndex(r);if(s>=t)break;o.push({id:this._whitespaces.getIdForWhitespaceIndex(r),afterLineNumber:this._whitespaces.getAfterLineNumberForWhitespaceIndex(r),verticalOffset:s,height:a})}return o},e.prototype.getWhitespaces=function(){return this._whitespaces.getWhitespaces(this._lineHeight)},e}();t.LinesLayout=i}),define(t[131],n([0,1,101]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){return function(e,t){this.index=e,this.remainder=t}}();t.PrefixSumIndexOfResult=i
;var o=function(){function e(e){this.values=e,this.prefixSum=new Uint32Array(e.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}return e.prototype.getCount=function(){return this.values.length},e.prototype.insertValues=function(e,t){e=n.toUint32(e);var i=this.values,o=this.prefixSum,r=t.length;return 0!==r&&(this.values=new Uint32Array(i.length+r),this.values.set(i.subarray(0,e),0),this.values.set(i.subarray(e),e+r),this.values.set(t,e),e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(o.subarray(0,this.prefixSumValidIndex[0]+1)),!0)},e.prototype.changeValue=function(e,t){return e=n.toUint32(e),t=n.toUint32(t),this.values[e]!==t&&(this.values[e]=t,e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),!0)},e.prototype.removeValues=function(e,t){e=n.toUint32(e),t=n.toUint32(t);var i=this.values,o=this.prefixSum;if(e>=i.length)return!1
;var r=i.length-e;return t>=r&&(t=r),0!==t&&(this.values=new Uint32Array(i.length-t),this.values.set(i.subarray(0,e),0),this.values.set(i.subarray(e+t),e),this.prefixSum=new Uint32Array(this.values.length),e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(o.subarray(0,this.prefixSumValidIndex[0]+1)),!0)},e.prototype.getTotalValue=function(){return 0===this.values.length?0:this._getAccumulatedValue(this.values.length-1)},e.prototype.getAccumulatedValue=function(e){return e<0?0:(e=n.toUint32(e),this._getAccumulatedValue(e))},e.prototype._getAccumulatedValue=function(e){if(e<=this.prefixSumValidIndex[0])return this.prefixSum[e];var t=this.prefixSumValidIndex[0]+1;0===t&&(this.prefixSum[0]=this.values[0],t++),e>=this.values.length&&(e=this.values.length-1);for(var n=t;n<=e;n++)this.prefixSum[n]=this.prefixSum[n-1]+this.values[n];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],e),this.prefixSum[e]},
e.prototype.getIndexOf=function(e){e=Math.floor(e),this.getTotalValue();for(var t=0,n=this.values.length-1,o=0,r=0,s=0;t<=n;)if(o=t+(n-t)/2|0,r=this.prefixSum[o],s=r-this.values[o],e<s)n=o-1;else{if(!(e>=r))break;t=o+1}return new i(o,e-s)},e}();t.PrefixSumComputer=o;var r=function(){function e(e){this._cacheAccumulatedValueStart=0,this._cache=null,this._actual=new o(e),this._bustCache()}return e.prototype._bustCache=function(){this._cacheAccumulatedValueStart=0,this._cache=null},e.prototype.insertValues=function(e,t){this._actual.insertValues(e,t)&&this._bustCache()},e.prototype.changeValue=function(e,t){this._actual.changeValue(e,t)&&this._bustCache()},e.prototype.removeValues=function(e,t){this._actual.removeValues(e,t)&&this._bustCache()},e.prototype.getTotalValue=function(){return this._actual.getTotalValue()},e.prototype.getAccumulatedValue=function(e){return this._actual.getAccumulatedValue(e)},e.prototype.getIndexOf=function(e){if(e=Math.floor(e),null!==this._cache){
var t=e-this._cacheAccumulatedValueStart;if(t>=0&&t<this._cache.length)return this._cache[t]}return this._actual.getIndexOf(e)},e.prototype.warmUpCache=function(e,t){for(var n=[],i=e;i<=t;i++)n[i-e]=this.getIndexOf(i);this._cache=n,this._cacheAccumulatedValueStart=e},e}();t.PrefixSumComputerWithCache=r}),define(t[217],n([0,1,12,131]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n,i){this._uri=e,this._lines=t,this._eol=n,this._versionId=i,this._lineStarts=null}return e.prototype.dispose=function(){this._lines.length=0},e.prototype.getText=function(){return this._lines.join(this._eol)},e.prototype.onEvents=function(e){e.eol&&e.eol!==this._eol&&(this._eol=e.eol,this._lineStarts=null);for(var t=e.changes,i=0,o=t.length;i<o;i++){var r=t[i];this._acceptDeleteRange(r.range),this._acceptInsertText(new n.Position(r.range.startLineNumber,r.range.startColumn),r.text)}this._versionId=e.versionId},e.prototype._ensureLineStarts=function(){
if(!this._lineStarts){for(var e=this._eol.length,t=this._lines.length,n=new Uint32Array(t),o=0;o<t;o++)n[o]=this._lines[o].length+e;this._lineStarts=new i.PrefixSumComputer(n)}},e.prototype._setLineText=function(e,t){this._lines[e]=t,this._lineStarts&&this._lineStarts.changeValue(e,this._lines[e].length+this._eol.length)},e.prototype._acceptDeleteRange=function(e){if(e.startLineNumber!==e.endLineNumber)this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.endLineNumber-1].substring(e.endColumn-1)),this._lines.splice(e.startLineNumber,e.endLineNumber-e.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(e.startLineNumber,e.endLineNumber-e.startLineNumber);else{if(e.startColumn===e.endColumn)return;this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.startLineNumber-1].substring(e.endColumn-1))}},e.prototype._acceptInsertText=function(e,t){if(0!==t.length){
var n=t.split(/\r\n|\r|\n/);if(1!==n.length){n[n.length-1]+=this._lines[e.lineNumber-1].substring(e.column-1),this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+n[0]);for(var i=new Uint32Array(n.length-1),o=1;o<n.length;o++)this._lines.splice(e.lineNumber+o-1,0,n[o]),i[o-1]=n[o].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(e.lineNumber,i)}else this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+n[0]+this._lines[e.lineNumber-1].substring(e.column-1))}},e}();t.MirrorTextModel=o}),define(t[218],n([0,1,22,130,87,17,25,12,3,453,217,90,523,547,153]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var m=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),Object.defineProperty(t.prototype,"uri",{get:function(){return this._uri},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"version",{get:function(){
return this._versionId},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"eol",{get:function(){return this._eol},enumerable:!0,configurable:!0}),t.prototype.getValue=function(){return this.getText()},t.prototype.getLinesContent=function(){return this._lines.slice(0)},t.prototype.getLineCount=function(){return this._lines.length},t.prototype.getLineContent=function(e){return this._lines[e-1]},t.prototype.getWordAtPosition=function(e,t){var n=h.getWordAtText(e.column,h.ensureValidWordDefinition(t),this._lines[e.lineNumber-1],0);return n?new u.Range(e.lineNumber,n.startColumn,e.lineNumber,n.endColumn):null},t.prototype.getWordUntilPosition=function(e,t){var n=this.getWordAtPosition(e,t);return n?{word:this._lines[e.lineNumber-1].substring(n.startColumn-1,e.column-1),startColumn:n.startColumn,endColumn:e.column}:{word:"",startColumn:e.column,endColumn:e.column}},t.prototype.createWordIterator=function(e){var t,n,i=this,o=0,s=0,a=[],l=function(){if(s<a.length){
var u=n.substring(a[s].start,a[s].end);return s+=1,t?t.value=u:t={done:!1,value:u},t}return o>=i._lines.length?r.FIN:(n=i._lines[o],a=i._wordenize(n,e),s=0,o+=1,l())};return{next:l}},t.prototype.getLineWords=function(e,t){for(var n=this._lines[e-1],i=[],o=0,r=this._wordenize(n,t);o<r.length;o++){var s=r[o];i.push({word:n.substring(s.start,s.end),startColumn:s.start+1,endColumn:s.end+1})}return i},t.prototype._wordenize=function(e,t){var n,i=[];for(t.lastIndex=0;(n=t.exec(e))&&0!==n[0].length;)i.push({start:n.index,end:n.index+n[0].length});return i},t.prototype.getValueInRange=function(e){if((e=this._validateRange(e)).startLineNumber===e.endLineNumber)return this._lines[e.startLineNumber-1].substring(e.startColumn-1,e.endColumn-1);var t=this._eol,n=e.startLineNumber-1,i=e.endLineNumber-1,o=[];o.push(this._lines[n].substring(e.startColumn-1));for(var r=n+1;r<i;r++)o.push(this._lines[r]);return o.push(this._lines[i].substring(0,e.endColumn-1)),o.join(t)},t.prototype.offsetAt=function(e){
return e=this._validatePosition(e),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(e.lineNumber-2)+(e.column-1)},t.prototype.positionAt=function(e){e=Math.floor(e),e=Math.max(0,e),this._ensureLineStarts();var t=this._lineStarts.getIndexOf(e),n=this._lines[t.index].length;return{lineNumber:1+t.index,column:1+Math.min(t.remainder,n)}},t.prototype._validateRange=function(e){var t=this._validatePosition({lineNumber:e.startLineNumber,column:e.startColumn}),n=this._validatePosition({lineNumber:e.endLineNumber,column:e.endColumn});return t.lineNumber!==e.startLineNumber||t.column!==e.startColumn||n.lineNumber!==e.endLineNumber||n.column!==e.endColumn?{startLineNumber:t.lineNumber,startColumn:t.column,endLineNumber:n.lineNumber,endColumn:n.column}:e},t.prototype._validatePosition=function(e){if(!l.Position.isIPosition(e))throw new Error("bad position");var t=e.lineNumber,n=e.column,i=!1;if(t<1)t=1,n=1,i=!0;else if(t>this._lines.length)t=this._lines.length,n=this._lines[t-1].length+1,i=!0;else{
var o=this._lines[t-1].length+1;n<1?(n=1,i=!0):n>o&&(n=o,i=!0)}return i?{lineNumber:t,column:n}:e},t}(c.MirrorTextModel),v=function(){function t(e){this._foreignModuleFactory=e,this._foreignModule=null}return t.prototype.computeDiff=function(e,t,n){var i=this._getModel(e),o=this._getModel(t);if(!i||!o)return Promise.resolve(null);var r=i.getLinesContent(),s=o.getLinesContent(),a=new d.DiffComputer(r,s,{shouldComputeCharChanges:!0,shouldPostProcessCharChanges:!0,shouldIgnoreTrimWhitespace:n,shouldMakePrettyDiff:!0}).computeDiff(),l=!(a.length>0)&&this._modelsAreIdentical(i,o);return Promise.resolve({identical:l,changes:a})},t.prototype._modelsAreIdentical=function(e,t){var n=e.getLineCount();if(n!==t.getLineCount())return!1;for(var i=1;i<=n;i++){if(e.getLineContent(i)!==t.getLineContent(i))return!1}return!0},t.prototype.computeMoreMinimalEdits=function(e,o){var r=this._getModel(e);if(!r)return Promise.resolve(o);for(var s=[],a=void 0,l=0,d=o=n.mergeSort(o,function(e,t){
if(e.range&&t.range)return u.Range.compareRangesUsingStarts(e.range,t.range);return(e.range?0:1)-(t.range?0:1)});l<d.length;l++){var c=d[l],h=c.range,p=c.text,f=c.eol;if("number"==typeof f&&(a=f),h){var g=r.getValueInRange(h);if(p=p.replace(/\r\n|\n|\r/g,r.eol),g!==p)if(Math.max(p.length,g.length)>t._diffLimit)s.push({range:h,text:p});else for(var m=i.stringDiff(g,p,!1),v=r.offsetAt(u.Range.lift(h).getStartPosition()),_=0,y=m;_<y.length;_++){var C=y[_],b=r.positionAt(v+C.originalStart),S=r.positionAt(v+C.originalStart+C.originalLength),w={text:p.substr(C.modifiedStart,C.modifiedLength),range:{startLineNumber:b.lineNumber,startColumn:b.column,endLineNumber:S.lineNumber,endColumn:S.column}};r.getValueInRange(w.range)!==w.text&&s.push(w)}}}return"number"==typeof a&&s.push({eol:a,text:void 0,range:void 0}),Promise.resolve(s)},t.prototype.computeLinks=function(e){var t=this._getModel(e);return t?Promise.resolve(p.computeLinks(t)):Promise.resolve(null)},t.prototype.textualSuggest=function(e,n,i,o){
var r=this._getModel(e);if(!r)return Promise.resolve(null);var s=[],a=new RegExp(i,o),l=r.getWordUntilPosition(n,a),u=Object.create(null);u[l.word]=!0;for(var d=r.createWordIterator(a),c=d.next();!c.done&&s.length<=t._suggestionsLimit;c=d.next()){var h=c.value;u[h]||(u[h]=!0,isNaN(Number(h))&&s.push({kind:18,label:h,insertText:h,range:{startLineNumber:n.lineNumber,startColumn:l.startColumn,endLineNumber:n.lineNumber,endColumn:l.endColumn}}))}return Promise.resolve({suggestions:s})},t.prototype.computeWordRanges=function(e,t,n,i){var o=this._getModel(e);if(!o)return Promise.resolve(Object.create(null));for(var r=new RegExp(n,i),s=Object.create(null),a=t.startLineNumber;a<t.endLineNumber;a++)for(var l=0,u=o.getLineWords(a,r);l<u.length;l++){var d=u[l];if(isNaN(Number(d.word))){var c=s[d.word];c||(c=[],s[d.word]=c),c.push({startLineNumber:a,startColumn:d.startColumn,endLineNumber:a,endColumn:d.endColumn})}}return Promise.resolve(s)},t.prototype.navigateValueSet=function(e,t,n,i,o){var r=this._getModel(e)
;if(!r)return Promise.resolve(null);var s=new RegExp(i,o);t.startColumn===t.endColumn&&(t={startLineNumber:t.startLineNumber,startColumn:t.startColumn,endLineNumber:t.endLineNumber,endColumn:t.endColumn+1});var a=r.getValueInRange(t),l=r.getWordAtPosition({lineNumber:t.startLineNumber,column:t.startColumn},s);if(!l)return Promise.resolve(null);var u=r.getValueInRange(l),d=f.BasicInplaceReplace.INSTANCE.navigateValueSet(t,a,l,u,n);return Promise.resolve(d)},t.prototype.loadForeignModule=function(t,n){var i=this,o={getMirrorModels:function(){return i._getModels()}};if(this._foreignModuleFactory){this._foreignModule=this._foreignModuleFactory(o,n);var r=[];for(var s in this._foreignModule)"function"==typeof this._foreignModule[s]&&r.push(s);return Promise.resolve(r)}return new Promise(function(r,s){e([t],function(e){i._foreignModule=e.create(o,n);var t=[];for(var s in i._foreignModule)"function"==typeof i._foreignModule[s]&&t.push(s);r(t)},s)})},t.prototype.fmr=function(e,t){
if(!this._foreignModule||"function"!=typeof this._foreignModule[e])return Promise.reject(new Error("Missing requestHandler or method: "+e));try{return Promise.resolve(this._foreignModule[e].apply(this._foreignModule,t))}catch(e){return Promise.reject(e)}},t._diffLimit=1e4,t._suggestionsLimit=1e4,t}();t.BaseEditorSimpleWorker=v;var _=function(e){function t(t){var n=e.call(this,t)||this;return n._models=Object.create(null),n}return o(t,e),t.prototype.dispose=function(){this._models=Object.create(null)},t.prototype._getModel=function(e){return this._models[e]},t.prototype._getModels=function(){var e=this,t=[];return Object.keys(this._models).forEach(function(n){return t.push(e._models[n])}),t},t.prototype.acceptNewModel=function(e){this._models[e.url]=new m(a.URI.parse(e.url),e.lines,e.EOL,e.versionId)},t.prototype.acceptModelChanged=function(e,t){if(this._models[e]){this._models[e].onEvents(t)}},t.prototype.acceptRemovedModel=function(e){this._models[e]&&delete this._models[e]},t}(v);t.EditorSimpleWorkerImpl=_,
t.create=function(){return new _(null)},"function"==typeof importScripts&&(s.globals.monaco=g.createMonacoBaseAPI())}),define(t[79],n([0,1,2]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(e){function t(){var t=e.call(this)||this;return t._shouldRender=!0,t}return o(t,e),t.prototype.shouldRender=function(){return this._shouldRender},t.prototype.forceShouldRender=function(){this._shouldRender=!0},t.prototype.setShouldRender=function(){this._shouldRender=!0},t.prototype.onDidRender=function(){this._shouldRender=!1},t.prototype.onConfigurationChanged=function(e){return!1},t.prototype.onCursorStateChanged=function(e){return!1},t.prototype.onDecorationsChanged=function(e){return!1},t.prototype.onFlushed=function(e){return!1},t.prototype.onFocusChanged=function(e){return!1},t.prototype.onLanguageConfigurationChanged=function(e){return!1},t.prototype.onLineMappingChanged=function(e){return!1},t.prototype.onLinesChanged=function(e){return!1},
t.prototype.onLinesDeleted=function(e){return!1},t.prototype.onLinesInserted=function(e){return!1},t.prototype.onRevealRangeRequest=function(e){return!1},t.prototype.onScrollChanged=function(e){return!1},t.prototype.onTokensChanged=function(e){return!1},t.prototype.onTokensColorsChanged=function(e){return!1},t.prototype.onZonesChanged=function(e){return!1},t.prototype.onThemeChanged=function(e){return!1},t.prototype.handleEvents=function(e){for(var t=!1,n=0,i=e.length;n<i;n++){var o=e[n];switch(o.type){case 1:this.onConfigurationChanged(o)&&(t=!0);break;case 2:this.onCursorStateChanged(o)&&(t=!0);break;case 3:this.onDecorationsChanged(o)&&(t=!0);break;case 4:this.onFlushed(o)&&(t=!0);break;case 5:this.onFocusChanged(o)&&(t=!0);break;case 16:this.onLanguageConfigurationChanged(o)&&(t=!0);break;case 6:this.onLineMappingChanged(o)&&(t=!0);break;case 7:this.onLinesChanged(o)&&(t=!0);break;case 8:this.onLinesDeleted(o)&&(t=!0);break;case 9:this.onLinesInserted(o)&&(t=!0);break;case 10:
this.onRevealRangeRequest(o)&&(t=!0);break;case 11:this.onScrollChanged(o)&&(t=!0);break;case 12:this.onTokensChanged(o)&&(t=!0);break;case 13:this.onTokensColorsChanged(o)&&(t=!0);break;case 14:this.onZonesChanged(o)&&(t=!0);break;case 15:this.onThemeChanged(o)&&(t=!0);break;default:console.info("View received unknown event: "),console.info(o)}}t&&(this._shouldRender=!0)},t}(n.Disposable);t.ViewEventHandler=i}),define(t[61],n([0,1,79]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t}(n.ViewEventHandler);t.DynamicViewOverlay=i}),define(t[33],n([0,1,23,79]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),e.prototype.dispose.call(this)},t}(i.ViewEventHandler)
;t.ViewPart=r;var s=function(){function e(){}return e.write=function(e,t){n.FastDomNode,e.setAttribute("data-mprt",String(t))},e.read=function(e){var t=e.getAttribute("data-mprt");return null===t?0:parseInt(t,10)},e.collect=function(e,t){for(var n=[],i=0;e&&e!==document.body&&e!==t;)e.nodeType===e.ELEMENT_NODE&&(n[i++]=this.read(e)),e=e.parentElement;for(var o=new Uint8Array(i),r=0;r<i;r++)o[r]=n[i-r-1];return o},e}();t.PartFingerprints=s}),define(t[222],n([0,1,7,23,33]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){return function(e,t){this.top=e,this.left=t}}(),a=function(e){function t(t,n){var o=e.call(this,t)||this;return o._viewDomNode=n,o._widgets={},o.domNode=i.createFastDomNode(document.createElement("div")),r.PartFingerprints.write(o.domNode,1),o.domNode.setClassName("contentWidgets"),o.domNode.setPosition("absolute"),o.domNode.setTop(0),o.overflowingContentWidgetsDomNode=i.createFastDomNode(document.createElement("div")),
r.PartFingerprints.write(o.overflowingContentWidgetsDomNode,2),o.overflowingContentWidgetsDomNode.setClassName("overflowingContentWidgets"),o}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._widgets={}},t.prototype.onConfigurationChanged=function(e){for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._widgets[o].onConfigurationChanged(e)}return!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLineMappingChanged=function(e){for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._widgets[o].onLineMappingChanged(e)}return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return!0},t.prototype.onZonesChanged=function(e){return!0},t.prototype.addWidget=function(e){var t=new l(this._context,this._viewDomNode,e)
;this._widgets[t.id]=t,t.allowEditorOverflow?this.overflowingContentWidgetsDomNode.appendChild(t.domNode):this.domNode.appendChild(t.domNode),this.setShouldRender()},t.prototype.setWidgetPosition=function(e,t,n,i){this._widgets[e.getId()].setPosition(t,n,i),this.setShouldRender()},t.prototype.removeWidget=function(e){var t=e.getId();if(this._widgets.hasOwnProperty(t)){var n=this._widgets[t];delete this._widgets[t];var i=n.domNode.domNode;i.parentNode.removeChild(i),i.removeAttribute("monaco-visible-content-widget"),this.setShouldRender()}},t.prototype.shouldSuppressMouseDownOnWidget=function(e){return!!this._widgets.hasOwnProperty(e)&&this._widgets[e].suppressMouseDown},t.prototype.onBeforeRender=function(e){for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._widgets[o].onBeforeRender(e)}},t.prototype.prepareRender=function(e){for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._widgets[o].prepareRender(e)}},t.prototype.render=function(e){
for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._widgets[o].render(e)}},t}(r.ViewPart);t.ViewContentWidgets=a;var l=function(){function e(e,t,n){this._context=e,this._viewDomNode=t,this._actual=n,this.domNode=i.createFastDomNode(this._actual.getDomNode()),this.id=this._actual.getId(),this.allowEditorOverflow=this._actual.allowEditorOverflow||!1,this.suppressMouseDown=this._actual.suppressMouseDown||!1,this._fixedOverflowWidgets=this._context.configuration.editor.viewInfo.fixedOverflowWidgets,this._contentWidth=this._context.configuration.editor.layoutInfo.contentWidth,this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft,this._lineHeight=this._context.configuration.editor.lineHeight,this._setPosition(null,null),this._preference=[],this._cachedDomNodeClientWidth=-1,this._cachedDomNodeClientHeight=-1,this._maxWidth=this._getMaxWidth(),this._isVisible=!1,this._renderData=null,
this.domNode.setPosition(this._fixedOverflowWidgets&&this.allowEditorOverflow?"fixed":"absolute"),this.domNode.setVisibility("hidden"),this.domNode.setAttribute("widgetId",this.id),this.domNode.setMaxWidth(this._maxWidth)}return e.prototype.onConfigurationChanged=function(e){e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.layoutInfo&&(this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft,this._contentWidth=this._context.configuration.editor.layoutInfo.contentWidth,this._maxWidth=this._getMaxWidth())},e.prototype.onLineMappingChanged=function(e){this._setPosition(this._position,this._range)},e.prototype._setPosition=function(e,t){if(this._position=e||null,this._range=t||null,this._viewPosition=null,this._viewRange=null,this._position){var n=this._context.model.validateModelPosition(this._position)
;this._context.model.coordinatesConverter.modelPositionIsVisible(n)&&(this._viewPosition=this._context.model.coordinatesConverter.convertModelPositionToViewPosition(n))}if(this._range){var i=this._context.model.validateModelRange(this._range);this._viewRange=this._context.model.coordinatesConverter.convertModelRangeToViewRange(i)}},e.prototype._getMaxWidth=function(){return this.allowEditorOverflow?window.innerWidth||document.documentElement.clientWidth||document.body.clientWidth:this._contentWidth},e.prototype.setPosition=function(e,t,n){this._setPosition(e,t),this._preference=n||null,this._cachedDomNodeClientWidth=-1,this._cachedDomNodeClientHeight=-1},e.prototype._layoutBoxInViewport=function(e,t,n,i,o){var r=e.top,s=r,a=t.top+this._lineHeight,l=r-i,u=s>=i,d=a,c=o.viewportHeight-a>=i,h=e.left,p=t.left;return h+n>o.scrollLeft+o.viewportWidth&&(h=o.scrollLeft+o.viewportWidth-n),p+n>o.scrollLeft+o.viewportWidth&&(p=o.scrollLeft+o.viewportWidth-n),h<o.scrollLeft&&(h=o.scrollLeft),
p<o.scrollLeft&&(p=o.scrollLeft),{fitsAbove:u,aboveTop:l,aboveLeft:h,fitsBelow:c,belowTop:d,belowLeft:p}},e.prototype._layoutBoxInPage=function(e,t,i,o,r){var s=e.left-r.scrollLeft,a=t.left-r.scrollLeft;if(s<0||s>this._contentWidth)return null;var l=e.top-o,u=t.top+this._lineHeight,d=s+this._contentLeft,c=a+this._contentLeft,h=n.getDomNodePagePosition(this._viewDomNode.domNode),p=h.top+l-n.StandardWindow.scrollY,f=h.top+u-n.StandardWindow.scrollY,g=h.left+d-n.StandardWindow.scrollX,m=h.left+c-n.StandardWindow.scrollX,v=window.innerWidth||document.documentElement.clientWidth||document.body.clientWidth,_=p>=22,y=f+o<=(window.innerHeight||document.documentElement.clientHeight||document.body.clientHeight)-22;if(g+i+20>v){g-=C=g-(v-i-20),d-=C}if(m+i+20>v){m-=C=m-(v-i-20),c-=C}if(g<0){g-=C=g,d-=C}if(m<0){var C=m;m-=C,c-=C}return this._fixedOverflowWidgets&&(l=p,u=f,d=g,c=m),{fitsAbove:_,aboveTop:l,aboveLeft:d,fitsBelow:y,belowTop:u,belowLeft:c}},
e.prototype._prepareRenderWidgetAtExactPositionOverflowing=function(e){return new s(e.top,e.left+this._contentLeft)},e.prototype._getTopAndBottomLeft=function(e){if(!this._viewPosition)return[null,null];var t=e.visibleRangeForPosition(this._viewPosition);if(!t)return[null,null];var n=e.getVerticalOffsetForLineNumber(this._viewPosition.lineNumber)-e.scrollTop,i=new s(n,t.left),o=this._viewPosition.lineNumber,r=t.left;if(this._viewRange){var a=e.linesVisibleRangesForRange(this._viewRange,!1);if(a&&a.length>0)for(var l=a.length-1;l>=0;l--){var u=a[l];if(u.lineNumber>=o){u.lineNumber>o&&(o=u.lineNumber,r=1073741824);for(var d=0,c=u.ranges.length;d<c;d++){var h=u.ranges[d];h.left<r&&(r=h.left)}}}}var p=e.getVerticalOffsetForLineNumber(o)-e.scrollTop;return[i,new s(p,r)]},e.prototype._prepareRenderWidget=function(e){var t=this._getTopAndBottomLeft(e),n=t[0],i=t[1];if(!n||!i)return null;if(-1===this._cachedDomNodeClientWidth||-1===this._cachedDomNodeClientHeight){var o=this.domNode.domNode
;this._cachedDomNodeClientWidth=o.clientWidth,this._cachedDomNodeClientHeight=o.clientHeight}var r;if(r=this.allowEditorOverflow?this._layoutBoxInPage(n,i,this._cachedDomNodeClientWidth,this._cachedDomNodeClientHeight,e):this._layoutBoxInViewport(n,i,this._cachedDomNodeClientWidth,this._cachedDomNodeClientHeight,e),this._preference)for(var a=1;a<=2;a++)for(var l=0;l<this._preference.length;l++){var u=this._preference[l];if(1===u){if(!r)return null;if(2===a||r.fitsAbove)return new s(r.aboveTop,r.aboveLeft)}else{if(2!==u)return this.allowEditorOverflow?this._prepareRenderWidgetAtExactPositionOverflowing(n):n;if(!r)return null;if(2===a||r.fitsBelow)return new s(r.belowTop,r.belowLeft)}}return null},e.prototype.onBeforeRender=function(e){this._viewPosition&&this._preference&&(this._viewPosition.lineNumber<e.startLineNumber||this._viewPosition.lineNumber>e.endLineNumber||this.domNode.setMaxWidth(this._maxWidth))},e.prototype.prepareRender=function(e){this._renderData=this._prepareRenderWidget(e)},
e.prototype.render=function(e){this._renderData?(this.allowEditorOverflow?(this.domNode.setTop(this._renderData.top),this.domNode.setLeft(this._renderData.left)):(this.domNode.setTop(this._renderData.top+e.scrollTop-e.bigNumbersDelta),this.domNode.setLeft(this._renderData.left)),this._isVisible||(this.domNode.setVisibility("inherit"),this.domNode.setAttribute("monaco-visible-content-widget","true"),this._isVisible=!0)):this._isVisible&&(this.domNode.removeAttribute("monaco-visible-content-widget"),this._isVisible=!1,this.domNode.setVisibility("hidden"))},e}()}),define(t[223],n([0,1,61,3,83,259]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._lineHeight=n._context.configuration.editor.lineHeight,n._typicalHalfwidthCharacterWidth=n._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){
this._context.removeEventHandler(this),this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.fontInfo&&(this._typicalHalfwidthCharacterWidth=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged||e.scrollWidthChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype.prepareRender=function(e){for(var t=e.getDecorationsInViewport(),n=[],o=0,r=0,s=t.length;r<s;r++){var a=t[r];a.options.className&&(n[o++]=a)}n=n.sort(function(e,t){if(e.options.zIndex<t.options.zIndex)return-1;if(e.options.zIndex>t.options.zIndex)return 1
;var n=e.options.className,o=t.options.className;return n<o?-1:n>o?1:i.Range.compareRangesUsingStarts(e.range,t.range)});for(var l=e.visibleRange.startLineNumber,u=e.visibleRange.endLineNumber,d=[],c=l;c<=u;c++){d[c-l]=""}this._renderWholeLineDecorations(e,n,d),this._renderNormalDecorations(e,n,d),this._renderResult=d},t.prototype._renderWholeLineDecorations=function(e,t,n){for(var i=String(this._lineHeight),o=e.visibleRange.startLineNumber,r=e.visibleRange.endLineNumber,s=0,a=t.length;s<a;s++){var l=t[s];if(l.options.isWholeLine)for(var u='<div class="cdr '+l.options.className+'" style="left:0;width:100%;height:'+i+'px;"></div>',d=Math.max(l.range.startLineNumber,o),c=Math.min(l.range.endLineNumber,r),h=d;h<=c;h++){n[h-o]+=u}}},t.prototype._renderNormalDecorations=function(e,t,n){for(var o=String(this._lineHeight),r=e.visibleRange.startLineNumber,s=null,a=!1,l=null,u=0,d=t.length;u<d;u++){var c=t[u];if(!c.options.isWholeLine){var h=c.options.className,p=Boolean(c.options.showIfCollapsed),f=c.range
;p&&1===f.endColumn&&f.endLineNumber!==f.startLineNumber&&(f=new i.Range(f.startLineNumber,f.startColumn,f.endLineNumber-1,this._context.model.getLineMaxColumn(f.endLineNumber-1))),s===h&&a===p&&i.Range.areIntersectingOrTouching(l,f)?l=i.Range.plusRange(l,f):(null!==s&&this._renderNormalDecoration(e,l,s,a,o,r,n),s=h,a=p,l=f)}}null!==s&&this._renderNormalDecoration(e,l,s,a,o,r,n)},t.prototype._renderNormalDecoration=function(e,t,n,i,o,s,a){var l=e.linesVisibleRangesForRange(t,"findMatch"===n);if(l)for(var u=0,d=l.length;u<d;u++){var c=l[u],h=c.lineNumber-s;if(i&&1===c.ranges.length){var p=c.ranges[0];0===p.width&&(c.ranges[0]=new r.HorizontalRange(p.left,this._typicalHalfwidthCharacterWidth))}for(var f=0,g=c.ranges.length;f<g;f++){var m=c.ranges[f],v='<div class="cdr '+n+'" style="left:'+String(m.left)+"px;width:"+String(m.width)+"px;height:"+o+'px;"></div>';a[h]+=v}}},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;return n<0||n>=this._renderResult.length?"":this._renderResult[n]},t
}(n.DynamicViewOverlay);t.DecorationsOverlay=s}),define(t[136],n([0,1,61,260]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){return function(e,t,n){this.startLineNumber=+e,this.endLineNumber=+t,this.className=String(n)}}();t.DecorationToRender=i;var r=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._render=function(e,t,n){for(var i=[],o=e;o<=t;o++){i[o-e]=[]}if(0===n.length)return i;n.sort(function(e,t){return e.className===t.className?e.startLineNumber===t.startLineNumber?e.endLineNumber-t.endLineNumber:e.startLineNumber-t.startLineNumber:e.className<t.className?-1:1});for(var r=null,s=0,a=0,l=n.length;a<l;a++){var u=n[a],d=u.className,c=Math.max(u.startLineNumber,e)-e,h=Math.min(u.endLineNumber,t)-e;r===d?(c=Math.max(s+1,c),s=Math.max(s,h)):(r=d,s=h);for(var p=c;p<=s;p++)i[p].push(r)}return i},t}(n.DynamicViewOverlay);t.DedupOverlay=r;var s=function(e){function t(t){var n=e.call(this)||this
;return n._context=t,n._lineHeight=n._context.configuration.editor.lineHeight,n._glyphMargin=n._context.configuration.editor.viewInfo.glyphMargin,n._glyphMarginLeft=n._context.configuration.editor.layoutInfo.glyphMarginLeft,n._glyphMarginWidth=n._context.configuration.editor.layoutInfo.glyphMarginWidth,n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo&&(this._glyphMargin=this._context.configuration.editor.viewInfo.glyphMargin),e.layoutInfo&&(this._glyphMarginLeft=this._context.configuration.editor.layoutInfo.glyphMarginLeft,this._glyphMarginWidth=this._context.configuration.editor.layoutInfo.glyphMarginWidth),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},
t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype._getDecorations=function(e){for(var t=e.getDecorationsInViewport(),n=[],o=0,r=0,s=t.length;r<s;r++){var a=t[r],l=a.options.glyphMarginClassName;l&&(n[o++]=new i(a.range.startLineNumber,a.range.endLineNumber,l))}return n},t.prototype.prepareRender=function(e){if(this._glyphMargin){for(var t=e.visibleRange.startLineNumber,n=e.visibleRange.endLineNumber,i=this._render(t,n,this._getDecorations(e)),o=this._lineHeight.toString(),r='" style="left:'+this._glyphMarginLeft.toString()+"px;width:"+this._glyphMarginWidth.toString()+"px;height:"+o+'px;"></div>',s=[],a=t;a<=n;a++){var l=a-t,u=i[l];0===u.length?s[l]="":s[l]='<div class="cgmr '+u.join(" ")+r}this._renderResult=s}else this._renderResult=null},t.prototype.render=function(e,t){
if(!this._renderResult)return"";var n=t-e;return n<0||n>=this._renderResult.length?"":this._renderResult[n]},t}(r);t.GlyphMarginOverlay=s}),define(t[225],n([0,1,136,267]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._decorationsLeft=n._context.configuration.editor.layoutInfo.decorationsLeft,n._decorationsWidth=n._context.configuration.editor.layoutInfo.decorationsWidth,n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.layoutInfo&&(this._decorationsLeft=this._context.configuration.editor.layoutInfo.decorationsLeft,this._decorationsWidth=this._context.configuration.editor.layoutInfo.decorationsWidth),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},
t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype._getDecorations=function(e){for(var t=e.getDecorationsInViewport(),i=[],o=0,r=0,s=t.length;r<s;r++){var a=t[r],l=a.options.linesDecorationsClassName;l&&(i[o++]=new n.DecorationToRender(a.range.startLineNumber,a.range.endLineNumber,l))}return i},t.prototype.prepareRender=function(e){for(var t=e.visibleRange.startLineNumber,n=e.visibleRange.endLineNumber,i=this._render(t,n,this._getDecorations(e)),o='" style="left:'+this._decorationsLeft.toString()+"px;width:"+this._decorationsWidth.toString()+'px;"></div>',r=[],s=t;s<=n;s++){for(var a=s-t,l=i[a],u="",d=0,c=l.length;d<c;d++)u+='<div class="cldr '+l[d]+o;r[a]=u}this._renderResult=r},t.prototype.render=function(e,t){return this._renderResult?this._renderResult[t-e]:""},t}(n.DedupOverlay)
;t.LinesDecorationsOverlay=i}),define(t[168],n([0,1,23,33]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(t){var n=e.call(this,t)||this;return n._canUseLayerHinting=n._context.configuration.editor.canUseLayerHinting,n._contentLeft=n._context.configuration.editor.layoutInfo.contentLeft,n._glyphMarginLeft=n._context.configuration.editor.layoutInfo.glyphMarginLeft,n._glyphMarginWidth=n._context.configuration.editor.layoutInfo.glyphMarginWidth,n._domNode=n._createDomNode(),n}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.getDomNode=function(){return this._domNode},t.prototype._createDomNode=function(){var e=n.createFastDomNode(document.createElement("div"));return e.setClassName(t.OUTER_CLASS_NAME),e.setPosition("absolute"),e.setAttribute("role","presentation"),e.setAttribute("aria-hidden","true"),this._glyphMarginBackgroundDomNode=n.createFastDomNode(document.createElement("div")),
this._glyphMarginBackgroundDomNode.setClassName(t.CLASS_NAME),e.appendChild(this._glyphMarginBackgroundDomNode),e},t.prototype.onConfigurationChanged=function(e){return e.canUseLayerHinting&&(this._canUseLayerHinting=this._context.configuration.editor.canUseLayerHinting),e.layoutInfo&&(this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft,this._glyphMarginLeft=this._context.configuration.editor.layoutInfo.glyphMarginLeft,this._glyphMarginWidth=this._context.configuration.editor.layoutInfo.glyphMarginWidth),!0},t.prototype.onScrollChanged=function(t){return e.prototype.onScrollChanged.call(this,t)||t.scrollTopChanged},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){this._domNode.setLayerHinting(this._canUseLayerHinting);var t=e.scrollTop-e.bigNumbersDelta;this._domNode.setTop(-t);var n=Math.min(e.scrollHeight,1e6);this._domNode.setHeight(n),this._domNode.setWidth(this._contentLeft),this._glyphMarginBackgroundDomNode.setLeft(this._glyphMarginLeft),
this._glyphMarginBackgroundDomNode.setWidth(this._glyphMarginWidth),this._glyphMarginBackgroundDomNode.setHeight(n)},t.CLASS_NAME="glyph-margin",t.OUTER_CLASS_NAME="margin",t}(i.ViewPart);t.Margin=r}),define(t[227],n([0,1,136,269]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},
t.prototype._getDecorations=function(e){for(var t=e.getDecorationsInViewport(),i=[],o=0,r=0,s=t.length;r<s;r++){var a=t[r],l=a.options.marginClassName;l&&(i[o++]=new n.DecorationToRender(a.range.startLineNumber,a.range.endLineNumber,l))}return i},t.prototype.prepareRender=function(e){for(var t=e.visibleRange.startLineNumber,n=e.visibleRange.endLineNumber,i=this._render(t,n,this._getDecorations(e)),o=[],r=t;r<=n;r++){for(var s=r-t,a=i[s],l="",u=0,d=a.length;u<d;u++)l+='<div class="cmdr '+a[u]+'" style=""></div>';o[s]=l}this._renderResult=o},t.prototype.render=function(e,t){return this._renderResult?this._renderResult[t-e]:""},t}(n.DedupOverlay);t.MarginViewLineDecorationsOverlay=i}),define(t[228],n([0,1,23,33,274]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(t){var o=e.call(this,t)||this;return o._widgets={},o._verticalScrollbarWidth=o._context.configuration.editor.layoutInfo.verticalScrollbarWidth,
o._minimapWidth=o._context.configuration.editor.layoutInfo.minimapWidth,o._horizontalScrollbarHeight=o._context.configuration.editor.layoutInfo.horizontalScrollbarHeight,o._editorHeight=o._context.configuration.editor.layoutInfo.height,o._editorWidth=o._context.configuration.editor.layoutInfo.width,o._domNode=n.createFastDomNode(document.createElement("div")),i.PartFingerprints.write(o._domNode,4),o._domNode.setClassName("overlayWidgets"),o}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._widgets={}},t.prototype.getDomNode=function(){return this._domNode},t.prototype.onConfigurationChanged=function(e){return!!e.layoutInfo&&(this._verticalScrollbarWidth=this._context.configuration.editor.layoutInfo.verticalScrollbarWidth,this._minimapWidth=this._context.configuration.editor.layoutInfo.minimapWidth,this._horizontalScrollbarHeight=this._context.configuration.editor.layoutInfo.horizontalScrollbarHeight,this._editorHeight=this._context.configuration.editor.layoutInfo.height,
this._editorWidth=this._context.configuration.editor.layoutInfo.width,!0)},t.prototype.addWidget=function(e){var t=n.createFastDomNode(e.getDomNode());this._widgets[e.getId()]={widget:e,preference:null,domNode:t},t.setPosition("absolute"),t.setAttribute("widgetId",e.getId()),this._domNode.appendChild(t),this.setShouldRender()},t.prototype.setWidgetPosition=function(e,t){var n=this._widgets[e.getId()];return n.preference!==t&&(n.preference=t,this.setShouldRender(),!0)},t.prototype.removeWidget=function(e){var t=e.getId();if(this._widgets.hasOwnProperty(t)){var n=this._widgets[t].domNode.domNode;delete this._widgets[t],n.parentNode.removeChild(n),this.setShouldRender()}},t.prototype._renderWidget=function(e){var t=e.domNode;if(null!==e.preference)if(0===e.preference)t.setTop(0),t.setRight(2*this._verticalScrollbarWidth+this._minimapWidth);else if(1===e.preference){var n=t.domNode.clientHeight;t.setTop(this._editorHeight-n-2*this._horizontalScrollbarHeight),
t.setRight(2*this._verticalScrollbarWidth+this._minimapWidth)}else 2===e.preference&&(t.setTop(0),t.domNode.style.right="50%");else t.unsetTop()},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){this._domNode.setWidth(this._editorWidth);for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._renderWidget(this._widgets[o])}},t}(i.ViewPart);t.ViewOverlayWidgets=r}),define(t[229],n([0,1,23,157,79]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(t,o){var r=e.call(this)||this;return r._context=t,r._domNode=n.createFastDomNode(document.createElement("canvas")),r._domNode.setClassName(o),r._domNode.setPosition("absolute"),r._domNode.setLayerHinting(!0),r._zoneManager=new i.OverviewZoneManager(function(e){return r._context.viewLayout.getVerticalOffsetForLineNumber(e)}),r._zoneManager.setDOMWidth(0),r._zoneManager.setDOMHeight(0),r._zoneManager.setOuterHeight(r._context.viewLayout.getScrollHeight()),
r._zoneManager.setLineHeight(r._context.configuration.editor.lineHeight),r._zoneManager.setPixelRatio(r._context.configuration.editor.pixelRatio),r._context.addEventHandler(r),r}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._zoneManager.setLineHeight(this._context.configuration.editor.lineHeight),this._render()),e.pixelRatio&&(this._zoneManager.setPixelRatio(this._context.configuration.editor.pixelRatio),this._domNode.setWidth(this._zoneManager.getDOMWidth()),this._domNode.setHeight(this._zoneManager.getDOMHeight()),this._domNode.domNode.width=this._zoneManager.getCanvasWidth(),this._domNode.domNode.height=this._zoneManager.getCanvasHeight(),this._render()),!0},t.prototype.onFlushed=function(e){return this._render(),!0},t.prototype.onScrollChanged=function(e){return e.scrollHeightChanged&&(this._zoneManager.setOuterHeight(e.scrollHeight),this._render()),!0},
t.prototype.onZonesChanged=function(e){return this._render(),!0},t.prototype.getDomNode=function(){return this._domNode.domNode},t.prototype.setLayout=function(e){this._domNode.setTop(e.top),this._domNode.setRight(e.right);var t=!1;t=this._zoneManager.setDOMWidth(e.width)||t,(t=this._zoneManager.setDOMHeight(e.height)||t)&&(this._domNode.setWidth(this._zoneManager.getDOMWidth()),this._domNode.setHeight(this._zoneManager.getDOMHeight()),this._domNode.domNode.width=this._zoneManager.getCanvasWidth(),this._domNode.domNode.height=this._zoneManager.getCanvasHeight(),this._render())},t.prototype.setZones=function(e){this._zoneManager.setZones(e),this._render()},t.prototype._render=function(){if(0===this._zoneManager.getOuterHeight())return!1;var e=this._zoneManager.getCanvasWidth(),t=this._zoneManager.getCanvasHeight(),n=this._zoneManager.resolveColorZones(),i=this._zoneManager.getId2Color(),o=this._domNode.domNode.getContext("2d");return o.clearRect(0,0,e,t),n.length>0&&this._renderOneLane(o,n,i,e),!0},
t.prototype._renderOneLane=function(e,t,n,i){for(var o=0,r=0,s=0,a=0,l=t.length;a<l;a++){var u=t[a],d=u.colorId,c=u.from,h=u.to;d!==o?(e.fillRect(0,r,i,s-r),o=d,e.fillStyle=n[o],r=c,s=h):s>=c?s=Math.max(s,h):(e.fillRect(0,r,i,s-r),r=c,s=h)}e.fillRect(0,r,i,s-r)},t}(r.ViewEventHandler);t.OverviewRuler=s}),define(t[230],n([0,1,23,11,33,12]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var i=e.call(this,t)||this;return i._lineHeight=i._context.configuration.editor.lineHeight,i._contentWidth=i._context.configuration.editor.layoutInfo.contentWidth,i._contentLeft=i._context.configuration.editor.layoutInfo.contentLeft,i.domNode=n.createFastDomNode(document.createElement("div")),i.domNode.setClassName("view-zones"),i.domNode.setPosition("absolute"),i.domNode.setAttribute("role","presentation"),i.domNode.setAttribute("aria-hidden","true"),i.marginDomNode=n.createFastDomNode(document.createElement("div")),
i.marginDomNode.setClassName("margin-view-zones"),i.marginDomNode.setPosition("absolute"),i.marginDomNode.setAttribute("role","presentation"),i.marginDomNode.setAttribute("aria-hidden","true"),i._zones={},i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._zones={}},t.prototype._recomputeWhitespacesProps=function(){for(var e=!1,t=Object.keys(this._zones),n=0,i=t.length;n<i;n++){var o=t[n],r=this._zones[o],s=this._computeWhitespaceProps(r.delegate);this._context.viewLayout.changeWhitespace(parseInt(o,10),s.afterViewLineNumber,s.heightInPx)&&(this._safeCallOnComputedHeight(r.delegate,s.heightInPx),e=!0)}return e},t.prototype.onConfigurationChanged=function(e){return e.lineHeight?(this._lineHeight=this._context.configuration.editor.lineHeight,this._recomputeWhitespacesProps()):(e.layoutInfo&&(this._contentWidth=this._context.configuration.editor.layoutInfo.contentWidth,this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft),!0)},
t.prototype.onLineMappingChanged=function(e){var t=this._recomputeWhitespacesProps();return t&&this._context.viewLayout.onHeightMaybeChanged(),t},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged||e.scrollWidthChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype._getZoneOrdinal=function(e){return void 0!==e.afterColumn?e.afterColumn:1e4},t.prototype._computeWhitespaceProps=function(e){if(0===e.afterLineNumber)return{afterViewLineNumber:0,heightInPx:this._heightInPixels(e),minWidthInPx:this._minWidthInPixels(e)};var t;if(void 0!==e.afterColumn)t=this._context.model.validateModelPosition({lineNumber:e.afterLineNumber,column:e.afterColumn});else{var n=this._context.model.validateModelPosition({lineNumber:e.afterLineNumber,column:1}).lineNumber;t=new s.Position(n,this._context.model.getModelLineMaxColumn(n))}var i
;i=t.column===this._context.model.getModelLineMaxColumn(t.lineNumber)?this._context.model.validateModelPosition({lineNumber:t.lineNumber+1,column:1}):this._context.model.validateModelPosition({lineNumber:t.lineNumber,column:t.column+1});var o=this._context.model.coordinatesConverter.convertModelPositionToViewPosition(t),r=this._context.model.coordinatesConverter.modelPositionIsVisible(i);return{afterViewLineNumber:o.lineNumber,heightInPx:r?this._heightInPixels(e):0,minWidthInPx:this._minWidthInPixels(e)}},t.prototype.addZone=function(e){var t=this._computeWhitespaceProps(e),i={whitespaceId:this._context.viewLayout.addWhitespace(t.afterViewLineNumber,this._getZoneOrdinal(e),t.heightInPx,t.minWidthInPx),delegate:e,isVisible:!1,domNode:n.createFastDomNode(e.domNode),marginDomNode:e.marginDomNode?n.createFastDomNode(e.marginDomNode):null};return this._safeCallOnComputedHeight(i.delegate,t.heightInPx),i.domNode.setPosition("absolute"),i.domNode.domNode.style.width="100%",i.domNode.setDisplay("none"),
i.domNode.setAttribute("monaco-view-zone",i.whitespaceId.toString()),this.domNode.appendChild(i.domNode),i.marginDomNode&&(i.marginDomNode.setPosition("absolute"),i.marginDomNode.domNode.style.width="100%",i.marginDomNode.setDisplay("none"),i.marginDomNode.setAttribute("monaco-view-zone",i.whitespaceId.toString()),this.marginDomNode.appendChild(i.marginDomNode)),this._zones[i.whitespaceId.toString()]=i,this.setShouldRender(),i.whitespaceId},t.prototype.removeZone=function(e){if(this._zones.hasOwnProperty(e.toString())){var t=this._zones[e.toString()];return delete this._zones[e.toString()],this._context.viewLayout.removeWhitespace(t.whitespaceId),t.domNode.removeAttribute("monaco-visible-view-zone"),t.domNode.removeAttribute("monaco-view-zone"),t.domNode.domNode.parentNode.removeChild(t.domNode.domNode),t.marginDomNode&&(t.marginDomNode.removeAttribute("monaco-visible-view-zone"),t.marginDomNode.removeAttribute("monaco-view-zone"),t.marginDomNode.domNode.parentNode.removeChild(t.marginDomNode.domNode)),
this.setShouldRender(),!0}return!1},t.prototype.layoutZone=function(e){var t=!1;if(this._zones.hasOwnProperty(e.toString())){var n=this._zones[e.toString()],i=this._computeWhitespaceProps(n.delegate);(t=this._context.viewLayout.changeWhitespace(n.whitespaceId,i.afterViewLineNumber,i.heightInPx)||t)&&(this._safeCallOnComputedHeight(n.delegate,i.heightInPx),this.setShouldRender())}return t},t.prototype.shouldSuppressMouseDownOnViewZone=function(e){if(this._zones.hasOwnProperty(e.toString())){var t=this._zones[e.toString()];return Boolean(t.delegate.suppressMouseDown)}return!1},t.prototype._heightInPixels=function(e){return"number"==typeof e.heightInPx?e.heightInPx:"number"==typeof e.heightInLines?this._lineHeight*e.heightInLines:this._lineHeight},t.prototype._minWidthInPixels=function(e){return"number"==typeof e.minWidthInPx?e.minWidthInPx:0},t.prototype._safeCallOnComputedHeight=function(e,t){if("function"==typeof e.onComputedHeight)try{e.onComputedHeight(t)}catch(e){i.onUnexpectedError(e)}},
t.prototype._safeCallOnDomNodeTop=function(e,t){if("function"==typeof e.onDomNodeTop)try{e.onDomNodeTop(t)}catch(e){i.onUnexpectedError(e)}},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){for(var t=e.viewportData.whitespaceViewportData,n={},i=!1,o=0,r=t.length;o<r;o++)n[t[o].id.toString()]=t[o],i=!0;for(var s=Object.keys(this._zones),o=0,r=s.length;o<r;o++){var a=s[o],l=this._zones[a],u=0,d=0,c="none";n.hasOwnProperty(a)?(u=n[a].verticalOffset-e.bigNumbersDelta,d=n[a].height,c="block",l.isVisible||(l.domNode.setAttribute("monaco-visible-view-zone","true"),l.isVisible=!0),this._safeCallOnDomNodeTop(l.delegate,e.getScrolledTopFromAbsoluteTop(n[a].verticalOffset))):(l.isVisible&&(l.domNode.removeAttribute("monaco-visible-view-zone"),l.isVisible=!1),this._safeCallOnDomNodeTop(l.delegate,e.getScrolledTopFromAbsoluteTop(-1e6))),l.domNode.setTop(u),l.domNode.setHeight(d),l.domNode.setDisplay(c),l.marginDomNode&&(l.marginDomNode.setTop(u),l.marginDomNode.setHeight(d),
l.marginDomNode.setDisplay(c))}i&&(this.domNode.setWidth(Math.max(e.scrollWidth,this._contentWidth)),this.marginDomNode.setWidth(this._contentLeft))},t}(r.ViewPart);t.ViewZones=a}),define(t[59],n([0,1,8]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){return function(e,t,n,i){this.top=0|e,this.left=0|t,this.width=0|n,this.height=0|i}}();t.Viewport=i;var o=function(){return function(e,t){this.tabSize=e,this.data=t}}();t.MinimapLinesRenderingData=o;var r=function(){return function(e,t,n,i,o){this.content=e,this.continuesWithWrappedLine=t,this.minColumn=n,this.maxColumn=i,this.tokens=o}}();t.ViewLineData=r;var s=function(){function e(t,n,i,o,r,s,a,l,u){this.minColumn=t,this.maxColumn=n,this.content=i,this.continuesWithWrappedLine=o,this.isBasicASCII=e.isBasicASCII(i,s),this.containsRTL=e.containsRTL(i,this.isBasicASCII,r),this.tokens=a,this.inlineDecorations=l,this.tabSize=u}return e.isBasicASCII=function(e,t){return!t||n.isBasicASCII(e)},
e.containsRTL=function(e,t,i){return!(t||!i)&&n.containsRTL(e)},e}();t.ViewLineRenderingData=s;var a=function(){return function(e,t,n){this.range=e,this.inlineClassName=t,this.type=n}}();t.InlineDecoration=a;var l=function(){return function(e,t){this.range=e,this.options=t}}();t.ViewModelDecoration=l}),define(t[232],n([0,1,2,169,215,59]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t,n,o){var s=e.call(this)||this;return s._configuration=t,s._linesLayout=new r.LinesLayout(n,s._configuration.editor.lineHeight),s.scrollable=s._register(new i.Scrollable(0,o)),s._configureSmoothScrollDuration(),s.scrollable.setScrollDimensions({width:t.editor.layoutInfo.contentWidth,height:t.editor.layoutInfo.contentHeight}),s.onDidScroll=s.scrollable.onScroll,s._updateHeight(),s}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.onHeightMaybeChanged=function(){this._updateHeight()},
t.prototype._configureSmoothScrollDuration=function(){this.scrollable.setSmoothScrollDuration(this._configuration.editor.viewInfo.smoothScrolling?125:0)},t.prototype.onConfigurationChanged=function(e){e.lineHeight&&this._linesLayout.setLineHeight(this._configuration.editor.lineHeight),e.layoutInfo&&this.scrollable.setScrollDimensions({width:this._configuration.editor.layoutInfo.contentWidth,height:this._configuration.editor.layoutInfo.contentHeight}),e.viewInfo&&this._configureSmoothScrollDuration(),this._updateHeight()},t.prototype.onFlushed=function(e){this._linesLayout.onFlushed(e)},t.prototype.onLinesDeleted=function(e,t){this._linesLayout.onLinesDeleted(e,t)},t.prototype.onLinesInserted=function(e,t){this._linesLayout.onLinesInserted(e,t)},t.prototype._getHorizontalScrollbarHeight=function(e){return 2===this._configuration.editor.viewInfo.scrollbar.horizontal?0:e.width>=e.scrollWidth?0:this._configuration.editor.viewInfo.scrollbar.horizontalScrollbarSize},t.prototype._getTotalHeight=function(){
var e=this.scrollable.getScrollDimensions(),t=this._linesLayout.getLinesTotalHeight();return this._configuration.editor.viewInfo.scrollBeyondLastLine?t+=e.height-this._configuration.editor.lineHeight:t+=this._getHorizontalScrollbarHeight(e),Math.max(e.height,t)},t.prototype._updateHeight=function(){this.scrollable.setScrollDimensions({scrollHeight:this._getTotalHeight()})},t.prototype.getCurrentViewport=function(){var e=this.scrollable.getScrollDimensions(),t=this.scrollable.getCurrentScrollPosition();return new s.Viewport(t.scrollTop,t.scrollLeft,e.width,e.height)},t.prototype.getFutureViewport=function(){var e=this.scrollable.getScrollDimensions(),t=this.scrollable.getFutureScrollPosition();return new s.Viewport(t.scrollTop,t.scrollLeft,e.width,e.height)},t.prototype._computeScrollWidth=function(e,t){if(!this._configuration.editor.wrappingInfo.isViewportWrapping){
var n=this._configuration.editor.viewInfo.scrollBeyondLastColumn*this._configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,i=this._linesLayout.getWhitespaceMinWidth();return Math.max(e+n,t,i)}return Math.max(e,t)},t.prototype.onMaxLineWidthChanged=function(e){var t=this._computeScrollWidth(e,this.getCurrentViewport().width);this.scrollable.setScrollDimensions({scrollWidth:t}),this._updateHeight()},t.prototype.saveState=function(){var e=this.scrollable.getFutureScrollPosition(),t=e.scrollTop,n=this._linesLayout.getLineNumberAtOrAfterVerticalOffset(t);return{scrollTop:t,scrollTopWithoutViewZones:t-this._linesLayout.getWhitespaceAccumulatedHeightBeforeLineNumber(n),scrollLeft:e.scrollLeft}},t.prototype.addWhitespace=function(e,t,n,i){return this._linesLayout.insertWhitespace(e,t,n,i)},t.prototype.changeWhitespace=function(e,t,n){return this._linesLayout.changeWhitespace(e,t,n)},t.prototype.removeWhitespace=function(e){return this._linesLayout.removeWhitespace(e)},
t.prototype.getVerticalOffsetForLineNumber=function(e){return this._linesLayout.getVerticalOffsetForLineNumber(e)},t.prototype.isAfterLines=function(e){return this._linesLayout.isAfterLines(e)},t.prototype.getLineNumberAtVerticalOffset=function(e){return this._linesLayout.getLineNumberAtOrAfterVerticalOffset(e)},t.prototype.getWhitespaceAtVerticalOffset=function(e){return this._linesLayout.getWhitespaceAtVerticalOffset(e)},t.prototype.getLinesViewportData=function(){var e=this.getCurrentViewport();return this._linesLayout.getLinesViewportData(e.top,e.top+e.height)},t.prototype.getLinesViewportDataAtScrollTop=function(e){var t=this.scrollable.getScrollDimensions();return e+t.height>t.scrollHeight&&(e=t.scrollHeight-t.height),e<0&&(e=0),this._linesLayout.getLinesViewportData(e,e+t.height)},t.prototype.getWhitespaceViewportData=function(){var e=this.getCurrentViewport();return this._linesLayout.getWhitespaceViewportData(e.top,e.top+e.height)},t.prototype.getWhitespaces=function(){
return this._linesLayout.getWhitespaces()},t.prototype.getScrollWidth=function(){return this.scrollable.getScrollDimensions().scrollWidth},t.prototype.getScrollHeight=function(){return this.scrollable.getScrollDimensions().scrollHeight},t.prototype.getCurrentScrollLeft=function(){return this.scrollable.getCurrentScrollPosition().scrollLeft},t.prototype.getCurrentScrollTop=function(){return this.scrollable.getCurrentScrollPosition().scrollTop},t.prototype.validateScrollPosition=function(e){return this.scrollable.validateScrollPosition(e)},t.prototype.setScrollPositionNow=function(e){this.scrollable.setScrollPositionNow(e)},t.prototype.setScrollPositionSmooth=function(e){this.scrollable.setScrollPositionSmooth(e)},t.prototype.deltaScrollNow=function(e,t){var n=this.scrollable.getCurrentScrollPosition();this.scrollable.setScrollPositionNow({scrollLeft:n.scrollLeft+e,scrollTop:n.scrollTop+t})},t}(n.Disposable);t.ViewLayout=a}),define(t[233],n([0,1,12,3,59]),function(e,t,n,i,o){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t,n,i,o){this.editorId=e,this.model=t,this.configuration=n,this._linesCollection=i,this._coordinatesConverter=o,this._decorationsCache=Object.create(null),this._clearCachedModelDecorationsResolver()}return e.prototype._clearCachedModelDecorationsResolver=function(){this._cachedModelDecorationsResolver=null,this._cachedModelDecorationsResolverViewRange=null},e.prototype.dispose=function(){this._decorationsCache=Object.create(null),this._clearCachedModelDecorationsResolver()},e.prototype.reset=function(){this._decorationsCache=Object.create(null),this._clearCachedModelDecorationsResolver()},e.prototype.onModelDecorationsChanged=function(){this._decorationsCache=Object.create(null),this._clearCachedModelDecorationsResolver()},e.prototype.onLineMappingChanged=function(){this._decorationsCache=Object.create(null),this._clearCachedModelDecorationsResolver()},e.prototype._getOrCreateViewModelDecoration=function(e){
var t=e.id,r=this._decorationsCache[t];if(!r){var s=e.range,a=e.options,l=void 0;if(a.isWholeLine){var u=this._coordinatesConverter.convertModelPositionToViewPosition(new n.Position(s.startLineNumber,1)),d=this._coordinatesConverter.convertModelPositionToViewPosition(new n.Position(s.endLineNumber,this.model.getLineMaxColumn(s.endLineNumber)));l=new i.Range(u.lineNumber,u.column,d.lineNumber,d.column)}else l=this._coordinatesConverter.convertModelRangeToViewRange(s);r=new o.ViewModelDecoration(l,a),this._decorationsCache[t]=r}return r},e.prototype.getDecorationsViewportData=function(e){var t=!0;return t=t&&null!==this._cachedModelDecorationsResolver,(t=t&&e.equalsRange(this._cachedModelDecorationsResolverViewRange))||(this._cachedModelDecorationsResolver=this._getDecorationsViewportData(e),this._cachedModelDecorationsResolverViewRange=e),this._cachedModelDecorationsResolver},e.prototype._getDecorationsViewportData=function(e){
for(var t=this._linesCollection.getDecorationsInRange(e,this.editorId,this.configuration.editor.readOnly),n=e.startLineNumber,r=e.endLineNumber,s=[],a=0,l=[],u=n;u<=r;u++)l[u-n]=[];for(var d=0,c=t.length;d<c;d++){var h=t[d],p=h.options,f=this._getOrCreateViewModelDecoration(h),g=f.range;if(s[a++]=f,p.inlineClassName)for(var m=new o.InlineDecoration(g,p.inlineClassName,p.inlineClassNameAffectsLetterSpacing?3:0),v=Math.max(n,g.startLineNumber),_=Math.min(r,g.endLineNumber),u=v;u<=_;u++)l[u-n].push(m);if(p.beforeContentClassName&&n<=g.startLineNumber&&g.startLineNumber<=r){m=new o.InlineDecoration(new i.Range(g.startLineNumber,g.startColumn,g.startLineNumber,g.startColumn),p.beforeContentClassName,1);l[g.startLineNumber-n].push(m)}if(p.afterContentClassName&&n<=g.endLineNumber&&g.endLineNumber<=r){m=new o.InlineDecoration(new i.Range(g.endLineNumber,g.endColumn,g.endLineNumber,g.endColumn),p.afterContentClassName,2);l[g.endLineNumber-n].push(m)}}return{decorations:s,inlineDecorations:l}},e}()
;t.ViewModelDecorations=r}),define(t[234],n([0,1,3]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){this._selection=e,this._isMovingLeft=t}return e.prototype.getEditOperations=function(e,t){var i=this._selection;if(this._selectionId=t.trackSelection(i),i.startLineNumber===i.endLineNumber&&(!this._isMovingLeft||0!==i.startColumn)&&(this._isMovingLeft||i.endColumn!==e.getLineMaxColumn(i.startLineNumber))){var o,r,s,a=i.selectionStartLineNumber,l=e.getLineContent(a);this._isMovingLeft?(o=l.substring(0,i.startColumn-2),r=l.substring(i.startColumn-1,i.endColumn-1),s=l.substring(i.startColumn-2,i.startColumn-1)+l.substring(i.endColumn-1)):(o=l.substring(0,i.startColumn-1)+l.substring(i.endColumn-1,i.endColumn),r=l.substring(i.startColumn-1,i.endColumn-1),s=l.substring(i.endColumn));var u=o+r+s;t.addEditOperation(new n.Range(a,1,a,e.getLineMaxColumn(a)),null),t.addEditOperation(new n.Range(a,1,a,1),u),
this._cutStartIndex=i.startColumn+(this._isMovingLeft?-1:1),this._cutEndIndex=this._cutStartIndex+i.endColumn-i.startColumn,this._moved=!0}},e.prototype.computeCursorState=function(e,t){var n=t.getTrackedSelection(this._selectionId);return this._moved&&(n=(n=n.setStartPosition(n.startLineNumber,this._cutStartIndex)).setEndPosition(n.startLineNumber,this._cutEndIndex)),n},e}();t.MoveCaretCommand=i}),define(t[108],n([0,1,8]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e){this.value=e}return e.prototype.contains=function(t){return this.value===t||n.startsWith(t,this.value+e.sep)},e.sep=".",e.Empty=new e(""),e.Refactor=new e("refactor"),e.Source=new e("source"),e.SourceOrganizeImports=new e("source.organizeImports"),e}();t.CodeActionKind=i}),define(t[236],n([0,1,7,56,16,11,6,12]),function(e,t,n,i,o,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(e,t,n){this._editor=e,this._contextMenuService=t,
this._onApplyCodeAction=n,this._onDidExecuteCodeAction=new s.Emitter,this.onDidExecuteCodeAction=this._onDidExecuteCodeAction.event}return e.prototype.show=function(e,t){var n=this,s=e?e.then(function(e){return e.map(function(e){return new i.Action(e.command?e.command.id:e.title,e.title,void 0,!0,function(){return o.always(n._onApplyCodeAction(e),function(){return n._onDidExecuteCodeAction.fire(void 0)})})})}).then(function(e){return n._editor.getDomNode()?e:Promise.reject(r.canceled())}):Promise.resolve([]);this._contextMenuService.showContextMenu({getAnchor:function(){return a.Position.isIPosition(t)&&(t=n._toCoords(t)),t},getActions:function(){return s},onHide:function(){n._visible=!1,n._editor.focus()},autoSelectFirstItem:!0})},Object.defineProperty(e.prototype,"isVisible",{get:function(){return this._visible},enumerable:!0,configurable:!0}),e.prototype._toCoords=function(e){this._editor.revealPosition(e,1),this._editor.render()
;var t=this._editor.getScrolledVisiblePosition(this._editor.getPosition()),i=n.getDomNodePagePosition(this._editor.getDomNode());return{x:i.left+t.left,y:i.top+t.top+t.height}},e}();t.CodeActionContextMenu=l}),define(t[237],n([0,1,6]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,i){this.presentationIndex=i,this._onColorFlushed=new n.Emitter,this.onColorFlushed=this._onColorFlushed.event,this._onDidChangeColor=new n.Emitter,this.onDidChangeColor=this._onDidChangeColor.event,this._onDidChangePresentation=new n.Emitter,this.onDidChangePresentation=this._onDidChangePresentation.event,this.originalColor=e,this._color=e,this._colorPresentations=t}return Object.defineProperty(e.prototype,"color",{get:function(){return this._color},set:function(e){this._color.equals(e)||(this._color=e,this._onDidChangeColor.fire(e))},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"presentation",{get:function(){
return this.colorPresentations[this.presentationIndex]},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"colorPresentations",{get:function(){return this._colorPresentations},set:function(e){this._colorPresentations=e,this.presentationIndex>e.length-1&&(this.presentationIndex=0),this._onDidChangePresentation.fire(this.presentation)},enumerable:!0,configurable:!0}),e.prototype.selectNextColorPresentation=function(){this.presentationIndex=(this.presentationIndex+1)%this.colorPresentations.length,this.flushColor(),this._onDidChangePresentation.fire(this.presentation)},e.prototype.guessColorPresentation=function(e,t){for(var n=0;n<this.colorPresentations.length;n++)if(t===this.colorPresentations[n].label){this.presentationIndex=n,this._onDidChangePresentation.fire(this.presentation);break}},e.prototype.flushColor=function(){this._onColorFlushed.fire(this._color)},e}();t.ColorPickerModel=i}),define(t[171],n([0,1,49,12,3,21,39]),function(e,t,n,i,o,r,s){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e){this._selection=e,this._usedEndToken=null}return e._haystackHasNeedleAtOffset=function(e,t,n){if(n<0)return!1;var i=t.length;if(n+i>e.length)return!1;for(var o=0;o<i;o++){var r=e.charCodeAt(n+o),s=t.charCodeAt(o);if(r!==s&&!(r>=65&&r<=90&&r+32===s||s>=65&&s<=90&&s+32===r))return!1}return!0},e.prototype._createOperationsForBlockComment=function(t,n,i,r,s){var a=t.startLineNumber,l=t.startColumn,u=t.endLineNumber,d=t.endColumn,c=r.getLineContent(a),h=r.getLineContent(u),p=c.lastIndexOf(n,l-1+n.length),f=h.indexOf(i,d-1-i.length);if(-1!==p&&-1!==f)if(a===u){c.substring(p+n.length,f).indexOf(i)>=0&&(p=-1,f=-1)}else{var g=c.substring(p+n.length),m=h.substring(0,f);(g.indexOf(i)>=0||m.indexOf(i)>=0)&&(p=-1,f=-1)}var v;-1!==p&&-1!==f?(p+n.length<c.length&&32===c.charCodeAt(p+n.length)&&(n+=" "),f>0&&32===h.charCodeAt(f-1)&&(i=" "+i,f-=1),
v=e._createRemoveBlockCommentOperations(new o.Range(a,p+n.length+1,u,f+1),n,i)):(v=e._createAddBlockCommentOperations(t,n,i),this._usedEndToken=1===v.length?i:null);for(var _=0;_<v.length;_++)s.addTrackedEditOperation(v[_].range,v[_].text)},e._createRemoveBlockCommentOperations=function(e,t,i){var r=[];return o.Range.isEmpty(e)?r.push(n.EditOperation.delete(new o.Range(e.startLineNumber,e.startColumn-t.length,e.endLineNumber,e.endColumn+i.length))):(r.push(n.EditOperation.delete(new o.Range(e.startLineNumber,e.startColumn-t.length,e.startLineNumber,e.startColumn))),r.push(n.EditOperation.delete(new o.Range(e.endLineNumber,e.endColumn,e.endLineNumber,e.endColumn+i.length)))),r},e._createAddBlockCommentOperations=function(e,t,r){var s=[];return o.Range.isEmpty(e)?s.push(n.EditOperation.replace(new o.Range(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn),t+"  "+r)):(s.push(n.EditOperation.insert(new i.Position(e.startLineNumber,e.startColumn),t+" ")),
s.push(n.EditOperation.insert(new i.Position(e.endLineNumber,e.endColumn)," "+r))),s},e.prototype.getEditOperations=function(e,t){var n=this._selection.startLineNumber,i=this._selection.startColumn;e.tokenizeIfCheap(n);var o=e.getLanguageIdAtPosition(n,i),r=s.LanguageConfigurationRegistry.getComments(o);r&&r.blockCommentStartToken&&r.blockCommentEndToken&&this._createOperationsForBlockComment(this._selection,r.blockCommentStartToken,r.blockCommentEndToken,e,t)},e.prototype.computeCursorState=function(e,t){var n=t.getInverseEditOperations();if(2===n.length){var i=n[0],o=n[1];return new r.Selection(i.range.endLineNumber,i.range.endColumn,o.range.startLineNumber,o.range.startColumn)}var s=n[0].range,a=this._usedEndToken?-this._usedEndToken.length-1:0;return new r.Selection(s.endLineNumber,s.endColumn+a,s.endLineNumber,s.endColumn+a)},e}();t.BlockCommentCommand=a}),define(t[239],n([0,1,8,49,12,3,21,39,171]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){
function e(e,t,n){this._selection=e,this._tabSize=t,this._type=n,this._deltaColumn=0}return e._gatherPreflightCommentStrings=function(e,t,n){e.tokenizeIfCheap(t);var i=e.getLanguageIdAtPosition(t,1),o=a.LanguageConfigurationRegistry.getComments(i),r=o?o.lineCommentToken:null;if(!r)return null;for(var s=[],l=0,u=n-t+1;l<u;l++)s[l]={ignore:!1,commentStr:r,commentStrOffset:0,commentStrLength:r.length};return s},e._analyzeLines=function(e,t,i,o){var r,s=!0;r=0===e||1!==e;for(var a=0,u=i.length;a<u;a++){var d=i[a],c=o+a,h=t.getLineContent(c),p=n.firstNonWhitespaceIndex(h);if(-1!==p){if(s=!1,d.ignore=!1,d.commentStrOffset=p,r&&!l.BlockCommentCommand._haystackHasNeedleAtOffset(h,d.commentStr,p)&&(0===e?r=!1:1===e||(d.ignore=!0)),r){var f=p+d.commentStrLength;f<h.length&&32===h.charCodeAt(f)&&(d.commentStrLength+=1)}}else d.ignore=!0,d.commentStrOffset=h.length}if(0===e&&s){r=!1;for(var a=0,u=i.length;a<u;a++)i[a].ignore=!1}return{supported:!0,shouldRemoveComments:r,lines:i}},e._gatherPreflightData=function(t,n,i,o){
var r=e._gatherPreflightCommentStrings(n,i,o);return null===r?{supported:!1}:e._analyzeLines(t,n,r,i)},e.prototype._executeLineComments=function(t,n,i,r){var s;i.shouldRemoveComments?s=e._createRemoveLineCommentsOperations(i.lines,r.startLineNumber):(e._normalizeInsertionPoint(t,i.lines,r.startLineNumber,this._tabSize),s=e._createAddLineCommentsOperations(i.lines,r.startLineNumber));for(var a=new o.Position(r.positionLineNumber,r.positionColumn),l=0,u=s.length;l<u;l++)if(n.addEditOperation(s[l].range,s[l].text),s[l].range.isEmpty()&&s[l].range.getStartPosition().equals(a)){t.getLineContent(a.lineNumber).length+1===a.column&&(this._deltaColumn=(s[l].text||"").length)}this._selectionId=n.trackSelection(r)},e.prototype._attemptRemoveBlockComment=function(e,t,n,i){var o=t.startLineNumber,s=t.endLineNumber,a=i.length+Math.max(e.getLineFirstNonWhitespaceColumn(t.startLineNumber),t.startColumn),u=e.getLineContent(o).lastIndexOf(n,a-1),d=e.getLineContent(s).indexOf(i,t.endColumn-1-n.length)
;return-1!==u&&-1===d&&(d=e.getLineContent(o).indexOf(i,u+n.length),s=o),-1===u&&-1!==d&&(u=e.getLineContent(s).lastIndexOf(n,d),o=s),!t.isEmpty()||-1!==u&&-1!==d||-1!==(u=e.getLineContent(o).indexOf(n))&&(d=e.getLineContent(o).indexOf(i,u+n.length)),-1!==u&&32===e.getLineContent(o).charCodeAt(u+n.length)&&(n+=" "),-1!==d&&32===e.getLineContent(s).charCodeAt(d-1)&&(i=" "+i,d-=1),-1!==u&&-1!==d?l.BlockCommentCommand._createRemoveBlockCommentOperations(new r.Range(o,u+n.length+1,s,d+1),n,i):null},e.prototype._executeBlockComment=function(e,t,i){e.tokenizeIfCheap(i.startLineNumber);var o=e.getLanguageIdAtPosition(i.startLineNumber,1),s=a.LanguageConfigurationRegistry.getComments(o);if(s&&s.blockCommentStartToken&&s.blockCommentEndToken){var u=s.blockCommentStartToken,d=s.blockCommentEndToken,c=this._attemptRemoveBlockComment(e,i,u,d);if(!c){if(i.isEmpty()){var h=e.getLineContent(i.startLineNumber),p=n.firstNonWhitespaceIndex(h);-1===p&&(p=h.length),
c=l.BlockCommentCommand._createAddBlockCommentOperations(new r.Range(i.startLineNumber,p+1,i.startLineNumber,h.length+1),u,d)}else c=l.BlockCommentCommand._createAddBlockCommentOperations(new r.Range(i.startLineNumber,e.getLineFirstNonWhitespaceColumn(i.startLineNumber),i.endLineNumber,e.getLineMaxColumn(i.endLineNumber)),u,d);1===c.length&&(this._deltaColumn=u.length+1)}this._selectionId=t.trackSelection(i);for(var f=0;f<c.length;f++)t.addEditOperation(c[f].range,c[f].text)}},e.prototype.getEditOperations=function(t,n){var i=this._selection;this._moveEndPositionDown=!1,i.startLineNumber<i.endLineNumber&&1===i.endColumn&&(this._moveEndPositionDown=!0,i=i.setEndPosition(i.endLineNumber-1,t.getLineMaxColumn(i.endLineNumber-1)));var o=e._gatherPreflightData(this._type,t,i.startLineNumber,i.endLineNumber);return o.supported?this._executeLineComments(t,n,o,i):this._executeBlockComment(t,n,i)},e.prototype.computeCursorState=function(e,t){var n=t.getTrackedSelection(this._selectionId)
;return this._moveEndPositionDown&&(n=n.setEndPosition(n.endLineNumber+1,1)),new s.Selection(n.selectionStartLineNumber,n.selectionStartColumn+this._deltaColumn,n.positionLineNumber,n.positionColumn+this._deltaColumn)},e._createRemoveLineCommentsOperations=function(e,t){for(var n=[],o=0,s=e.length;o<s;o++){var a=e[o];a.ignore||n.push(i.EditOperation.delete(new r.Range(t+o,a.commentStrOffset+1,t+o,a.commentStrOffset+a.commentStrLength+1)))}return n},e._createAddLineCommentsOperations=function(e,t){for(var n=[],r=0,s=e.length;r<s;r++){var a=e[r];a.ignore||n.push(i.EditOperation.insert(new o.Position(t+r,a.commentStrOffset+1),a.commentStr+" "))}return n},e.nextVisibleColumn=function(e,t,n,i){return n?e+(t-e%t):e+i},e._normalizeInsertionPoint=function(t,n,i,o){for(var r,s,a=Number.MAX_VALUE,l=0,u=n.length;l<u;l++)if(!n[l].ignore){for(var d=t.getLineContent(i+l),c=0,h=0,p=n[l].commentStrOffset;c<a&&h<p;h++)c=e.nextVisibleColumn(c,o,9===d.charCodeAt(h),1);c<a&&(a=c)}a=Math.floor(a/o)*o
;for(var l=0,u=n.length;l<u;l++)if(!n[l].ignore){var d=t.getLineContent(i+l),c=0;for(r=0,s=n[l].commentStrOffset;c<a&&r<s;r++)c=e.nextVisibleColumn(c,o,9===d.charCodeAt(r),1);n[l].commentStrOffset=c>a?r-1:r}},e}();t.LineCommentCommand=u}),define(t[240],n([0,1,21,3]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n){this.selection=e,this.targetPosition=t,this.copy=n}return e.prototype.getEditOperations=function(e,t){var o=e.getValueInRange(this.selection);this.copy||t.addEditOperation(this.selection,null),t.addEditOperation(new i.Range(this.targetPosition.lineNumber,this.targetPosition.column,this.targetPosition.lineNumber,this.targetPosition.column),o),
!this.selection.containsPosition(this.targetPosition)||this.copy&&(this.selection.getEndPosition().equals(this.targetPosition)||this.selection.getStartPosition().equals(this.targetPosition))?this.copy?this.targetSelection=new n.Selection(this.targetPosition.lineNumber,this.targetPosition.column,this.selection.endLineNumber-this.selection.startLineNumber+this.targetPosition.lineNumber,this.selection.startLineNumber===this.selection.endLineNumber?this.targetPosition.column+this.selection.endColumn-this.selection.startColumn:this.selection.endColumn):this.targetPosition.lineNumber>this.selection.endLineNumber?this.targetSelection=new n.Selection(this.targetPosition.lineNumber-this.selection.endLineNumber+this.selection.startLineNumber,this.targetPosition.column,this.targetPosition.lineNumber,this.selection.startLineNumber===this.selection.endLineNumber?this.targetPosition.column+this.selection.endColumn-this.selection.startColumn:this.selection.endColumn):this.targetPosition.lineNumber<this.selection.endLineNumber?this.targetSelection=new n.Selection(this.targetPosition.lineNumber,this.targetPosition.column,this.targetPosition.lineNumber+this.selection.endLineNumber-this.selection.startLineNumber,this.selection.startLineNumber===this.selection.endLineNumber?this.targetPosition.column+this.selection.endColumn-this.selection.startColumn:this.selection.endColumn):this.selection.endColumn<=this.targetPosition.column?this.targetSelection=new n.Selection(this.targetPosition.lineNumber-this.selection.endLineNumber+this.selection.startLineNumber,(this.selection.startLineNumber,
this.selection.endLineNumber,this.targetPosition.column-this.selection.endColumn+this.selection.startColumn),this.targetPosition.lineNumber,this.selection.startLineNumber===this.selection.endLineNumber?this.targetPosition.column:this.selection.endColumn):this.targetSelection=new n.Selection(this.targetPosition.lineNumber-this.selection.endLineNumber+this.selection.startLineNumber,this.targetPosition.column,this.targetPosition.lineNumber,this.targetPosition.column+this.selection.endColumn-this.selection.startColumn):this.targetSelection=this.selection},e.prototype.computeCursorState=function(e,t){return this.targetSelection},e}();t.DragAndDropCommand=o}),define(t[241],n([0,1,6,3]),function(e,t,n,i){"use strict";function o(e,t){return 1===e||2!==e&&t}Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(){this._searchString="",this._replaceString="",this._isRevealed=!1,this._isReplaceRevealed=!1,this._isRegex=!1,this._isRegexOverride=0,this._wholeWord=!1,this._wholeWordOverride=0,
this._matchCase=!1,this._matchCaseOverride=0,this._searchScope=null,this._matchesPosition=0,this._matchesCount=0,this._currentMatch=null,this._onFindReplaceStateChange=new n.Emitter}return Object.defineProperty(e.prototype,"searchString",{get:function(){return this._searchString},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"replaceString",{get:function(){return this._replaceString},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isRevealed",{get:function(){return this._isRevealed},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isReplaceRevealed",{get:function(){return this._isReplaceRevealed},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isRegex",{get:function(){return o(this._isRegexOverride,this._isRegex)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"wholeWord",{get:function(){return o(this._wholeWordOverride,this._wholeWord)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"matchCase",{
get:function(){return o(this._matchCaseOverride,this._matchCase)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"actualIsRegex",{get:function(){return this._isRegex},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"actualWholeWord",{get:function(){return this._wholeWord},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"actualMatchCase",{get:function(){return this._matchCase},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"searchScope",{get:function(){return this._searchScope},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"matchesPosition",{get:function(){return this._matchesPosition},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"matchesCount",{get:function(){return this._matchesCount},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"currentMatch",{get:function(){return this._currentMatch},enumerable:!0,configurable:!0}),
Object.defineProperty(e.prototype,"onFindReplaceStateChange",{get:function(){return this._onFindReplaceStateChange.event},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){},e.prototype.changeMatchInfo=function(e,t,n){var o={moveCursor:!1,updateHistory:!1,searchString:!1,replaceString:!1,isRevealed:!1,isReplaceRevealed:!1,isRegex:!1,wholeWord:!1,matchCase:!1,searchScope:!1,matchesPosition:!1,matchesCount:!1,currentMatch:!1},r=!1;0===t&&(e=0),e>t&&(e=t),this._matchesPosition!==e&&(this._matchesPosition=e,o.matchesPosition=!0,r=!0),this._matchesCount!==t&&(this._matchesCount=t,o.matchesCount=!0,r=!0),void 0!==n&&(i.Range.equalsRange(this._currentMatch,n)||(this._currentMatch=n,o.currentMatch=!0,r=!0)),r&&this._onFindReplaceStateChange.fire(o)},e.prototype.change=function(e,t,n){void 0===n&&(n=!0);var o={moveCursor:t,updateHistory:n,searchString:!1,replaceString:!1,isRevealed:!1,isReplaceRevealed:!1,isRegex:!1,wholeWord:!1,matchCase:!1,searchScope:!1,matchesPosition:!1,matchesCount:!1,
currentMatch:!1},r=!1,s=this.isRegex,a=this.wholeWord,l=this.matchCase;void 0!==e.searchString&&this._searchString!==e.searchString&&(this._searchString=e.searchString,o.searchString=!0,r=!0),void 0!==e.replaceString&&this._replaceString!==e.replaceString&&(this._replaceString=e.replaceString,o.replaceString=!0,r=!0),void 0!==e.isRevealed&&this._isRevealed!==e.isRevealed&&(this._isRevealed=e.isRevealed,o.isRevealed=!0,r=!0),void 0!==e.isReplaceRevealed&&this._isReplaceRevealed!==e.isReplaceRevealed&&(this._isReplaceRevealed=e.isReplaceRevealed,o.isReplaceRevealed=!0,r=!0),void 0!==e.isRegex&&(this._isRegex=e.isRegex),void 0!==e.wholeWord&&(this._wholeWord=e.wholeWord),void 0!==e.matchCase&&(this._matchCase=e.matchCase),void 0!==e.searchScope&&(i.Range.equalsRange(this._searchScope,e.searchScope)||(this._searchScope=e.searchScope,o.searchScope=!0,r=!0)),this._isRegexOverride=void 0!==e.isRegexOverride?e.isRegexOverride:0,this._wholeWordOverride=void 0!==e.wholeWordOverride?e.wholeWordOverride:0,
this._matchCaseOverride=void 0!==e.matchCaseOverride?e.matchCaseOverride:0,s!==this.isRegex&&(r=!0,o.isRegex=!0),a!==this.wholeWord&&(r=!0,o.wholeWord=!0),l!==this.matchCase&&(r=!0,o.matchCase=!0),r&&this._onFindReplaceStateChange.fire(o)},e}();t.FindReplaceState=r}),define(t[242],n([0,1,3]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,n){this._editorSelection=e,this._ranges=t,this._replaceStrings=n}return e.prototype.getEditOperations=function(e,t){if(this._ranges.length>0){for(var i=[],o=0;o<this._ranges.length;o++)i.push({range:this._ranges[o],text:this._replaceStrings[o]});i.sort(function(e,t){return n.Range.compareRangesUsingStarts(e.range,t.range)});for(var r=[],s=i[0],o=1;o<i.length;o++)s.range.endLineNumber===i[o].range.startLineNumber&&s.range.endColumn===i[o].range.startColumn?(s.range=s.range.plusRange(i[o].range),s.text=s.text+i[o].text):(r.push(s),s=i[o]);r.push(s);for(o=0;o<r.length;o++)t.addEditOperation(r[o].range,r[o].text)}
this._trackedEditorSelectionId=t.trackSelection(this._editorSelection)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this._trackedEditorSelectionId)},e}();t.ReplaceAllCommand=i}),define(t[243],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){return function(e){this.staticValue=e,this.kind=0}}(),i=function(){return function(e){this.pieces=e,this.kind=1}}(),o=function(){function e(e){e&&0!==e.length?1===e.length&&null!==e[0].staticValue?this._state=new n(e[0].staticValue):this._state=new i(e):this._state=new n("")}return e.fromStaticValue=function(t){return new e([r.staticValue(t)])},Object.defineProperty(e.prototype,"hasReplacementPatterns",{get:function(){return 1===this._state.kind},enumerable:!0,configurable:!0}),e.prototype.buildReplaceString=function(t){if(0===this._state.kind)return this._state.staticValue;for(var n="",i=0,o=this._state.pieces.length;i<o;i++){var r=this._state.pieces[i]
;null===r.staticValue?n+=e._substitute(r.matchIndex,t):n+=r.staticValue}return n},e._substitute=function(e,t){if(null===t)return"";if(0===e)return t[0];for(var n="";e>0;){if(e<t.length){return(t[e]||"")+n}n=String(e%10)+n,e=Math.floor(e/10)}return"$"+n},e}();t.ReplacePattern=o;var r=function(){function e(e,t){this.staticValue=e,this.matchIndex=t}return e.staticValue=function(t){return new e(t,-1)},e.matchIndex=function(t){return new e(null,t)},e}();t.ReplacePiece=r;var s=function(){function e(e){this._source=e,this._lastCharIndex=0,this._result=[],this._resultLen=0,this._currentStaticPiece=""}return e.prototype.emitUnchanged=function(e){this._emitStatic(this._source.substring(this._lastCharIndex,e)),this._lastCharIndex=e},e.prototype.emitStatic=function(e,t){this._emitStatic(e),this._lastCharIndex=t},e.prototype._emitStatic=function(e){0!==e.length&&(this._currentStaticPiece+=e)},e.prototype.emitMatchIndex=function(e,t){
0!==this._currentStaticPiece.length&&(this._result[this._resultLen++]=r.staticValue(this._currentStaticPiece),this._currentStaticPiece=""),this._result[this._resultLen++]=r.matchIndex(e),this._lastCharIndex=t},e.prototype.finalize=function(){return this.emitUnchanged(this._source.length),0!==this._currentStaticPiece.length&&(this._result[this._resultLen++]=r.staticValue(this._currentStaticPiece),this._currentStaticPiece=""),new o(this._result)},e}();t.parseReplaceString=function(e){if(!e||0===e.length)return new o(null);for(var t=new s(e),n=0,i=e.length;n<i;n++){var r=e.charCodeAt(n);if(92!==r){if(36===r){if(++n>=i)break;if(36===(u=e.charCodeAt(n))){t.emitUnchanged(n-1),t.emitStatic("$",n+1);continue}if(48===u||38===u){t.emitUnchanged(n-1),t.emitMatchIndex(0,n+1);continue}if(49<=u&&u<=57){var a=u-48;if(n+1<i){var l=e.charCodeAt(n+1);if(48<=l&&l<=57){n++,a=10*a+(l-48),t.emitUnchanged(n-2),t.emitMatchIndex(a,n+1);continue}}t.emitUnchanged(n-1),t.emitMatchIndex(a,n+1);continue}}}else{if(++n>=i)break;var u
;switch(u=e.charCodeAt(n)){case 92:t.emitUnchanged(n-1),t.emitStatic("\\",n+1);break;case 110:t.emitUnchanged(n-1),t.emitStatic("\n",n+1);break;case 116:t.emitUnchanged(n-1),t.emitStatic("\t",n+1)}}}return t.finalize()}}),define(t[109],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.MAX_FOLDING_REGIONS=65535,t.MAX_LINE_NUMBER=16777215;var n=function(){function e(e,n,i){if(e.length!==n.length||e.length>t.MAX_FOLDING_REGIONS)throw new Error("invalid startIndexes or endIndexes size");this._startIndexes=e,this._endIndexes=n,this._collapseStates=new Uint32Array(Math.ceil(e.length/32)),this._types=i}return e.prototype.ensureParentIndices=function(){var e=this;if(!this._parentsComputed){this._parentsComputed=!0;for(var n=[],i=function(t,i){var o=n[n.length-1];return e.getStartLineNumber(o)<=t&&e.getEndLineNumber(o)>=i},o=0,r=this._startIndexes.length;o<r;o++){var s=this._startIndexes[o],a=this._endIndexes[o]
;if(s>t.MAX_LINE_NUMBER||a>t.MAX_LINE_NUMBER)throw new Error("startLineNumber or endLineNumber must not exceed "+t.MAX_LINE_NUMBER);for(;n.length>0&&!i(s,a);)n.pop();var l=n.length>0?n[n.length-1]:-1;n.push(o),this._startIndexes[o]=s+((255&l)<<24),this._endIndexes[o]=a+((65280&l)<<16)}}},Object.defineProperty(e.prototype,"length",{get:function(){return this._startIndexes.length},enumerable:!0,configurable:!0}),e.prototype.getStartLineNumber=function(e){return this._startIndexes[e]&t.MAX_LINE_NUMBER},e.prototype.getEndLineNumber=function(e){return this._endIndexes[e]&t.MAX_LINE_NUMBER},e.prototype.getType=function(e){return this._types?this._types[e]:void 0},e.prototype.hasTypes=function(){return!!this._types},e.prototype.isCollapsed=function(e){var t=e/32|0,n=e%32;return 0!=(this._collapseStates[t]&1<<n)},e.prototype.setCollapsed=function(e,t){var n=e/32|0,i=e%32,o=this._collapseStates[n];this._collapseStates[n]=t?o|1<<i:o&~(1<<i)},e.prototype.toRegion=function(e){return new i(this,e)},
e.prototype.getParentIndex=function(e){this.ensureParentIndices();var n=((4278190080&this._startIndexes[e])>>>24)+((4278190080&this._endIndexes[e])>>>16);return n===t.MAX_FOLDING_REGIONS?-1:n},e.prototype.contains=function(e,t){return this.getStartLineNumber(e)<=t&&this.getEndLineNumber(e)>=t},e.prototype.findIndex=function(e){var t=0,n=this._startIndexes.length;if(0===n)return-1;for(;t<n;){var i=Math.floor((t+n)/2);e<this.getStartLineNumber(i)?n=i:t=i+1}return t-1},e.prototype.findRange=function(e){var t=this.findIndex(e);if(t>=0){if(this.getEndLineNumber(t)>=e)return t;for(t=this.getParentIndex(t);-1!==t;){if(this.contains(t,e))return t;t=this.getParentIndex(t)}}return-1},e.prototype.toString=function(){for(var e=[],t=0;t<this.length;t++)e[t]="["+(this.isCollapsed(t)?"+":"-")+"] "+this.getStartLineNumber(t)+"/"+this.getEndLineNumber(t);return e.join(", ")},e}();t.FoldingRegions=n;var i=function(){function e(e,t){this.ranges=e,this.index=t}return Object.defineProperty(e.prototype,"startLineNumber",{
get:function(){return this.ranges.getStartLineNumber(this.index)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"endLineNumber",{get:function(){return this.ranges.getEndLineNumber(this.index)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"regionIndex",{get:function(){return this.index},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"parentIndex",{get:function(){return this.ranges.getParentIndex(this.index)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isCollapsed",{get:function(){return this.ranges.isCollapsed(this.index)},enumerable:!0,configurable:!0}),e.prototype.containedBy=function(e){return e.startLineNumber<=this.startLineNumber&&e.endLineNumber>=this.endLineNumber},e.prototype.containsLine=function(e){return this.startLineNumber<=e&&e<=this.endLineNumber},e}();t.FoldingRegion=i}),define(t[245],n([0,1,6,109]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t){
this._updateEventEmitter=new n.Emitter,this._textModel=e,this._decorationProvider=t,this._regions=new i.FoldingRegions(new Uint32Array(0),new Uint32Array(0)),this._editorDecorationIds=[],this._isInitialized=!1}return Object.defineProperty(e.prototype,"regions",{get:function(){return this._regions},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._updateEventEmitter.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"textModel",{get:function(){return this._textModel},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isInitialized",{get:function(){return this._isInitialized},enumerable:!0,configurable:!0}),e.prototype.toggleCollapseState=function(e){var t=this;if(e.length){var n={};this._decorationProvider.changeDecorations(function(i){for(var o=0,r=e;o<r.length;o++){var s=r[o].regionIndex,a=t._editorDecorationIds[s];if(a&&!n[a]){n[a]=!0;var l=!t._regions.isCollapsed(s);t._regions.setCollapsed(s,l),
i.changeDecorationOptions(a,t._decorationProvider.getDecorationOption(l))}}}),this._updateEventEmitter.fire({model:this,collapseStateChanged:e})}},e.prototype.update=function(e,t){var n=this;void 0===t&&(t=[]);for(var i=[],o=function(o,r){var s=e.getStartLineNumber(o);r&&function(e,n){for(var i=0,o=t;i<o.length;i++){var r=o[i];if(e<r&&r<=n)return!0}return!1}(s,e.getEndLineNumber(o))&&(r=!1),e.setCollapsed(o,r);var a=n._textModel.getLineMaxColumn(s),l={startLineNumber:s,startColumn:a,endLineNumber:s,endColumn:a};i.push({range:l,options:n._decorationProvider.getDecorationOption(r)})},r=0,s=function(){for(;r<n._regions.length;){var e=n._regions.isCollapsed(r);if(r++,e)return r-1}return-1},a=0,l=s();-1!==l&&a<e.length;){var u=this._textModel.getDecorationRange(this._editorDecorationIds[l]);if(u){var d=u.startLineNumber;if(this._textModel.getLineMaxColumn(d)===u.startColumn)for(;a<e.length;){var c=e.getStartLineNumber(a);if(!(d>=c))break;o(a,d===c),a++}}l=s()}for(;a<e.length;)o(a,!1),a++
;this._editorDecorationIds=this._decorationProvider.deltaDecorations(this._editorDecorationIds,i),this._regions=e,this._isInitialized=!0,this._updateEventEmitter.fire({model:this})},e.prototype.getMemento=function(){for(var e=[],t=0;t<this._regions.length;t++)if(this._regions.isCollapsed(t)){var n=this._textModel.getDecorationRange(this._editorDecorationIds[t]);if(n){var i=n.startLineNumber,o=n.endLineNumber+this._regions.getEndLineNumber(t)-this._regions.getStartLineNumber(t);e.push({startLineNumber:i,endLineNumber:o})}}if(e.length>0)return e},e.prototype.applyMemento=function(e){if(Array.isArray(e)){for(var t=[],n=0,i=e;n<i.length;n++){var o=i[n],r=this.getRegionAtLine(o.startLineNumber);r&&!r.isCollapsed&&t.push(r)}this.toggleCollapseState(t)}},e.prototype.dispose=function(){this._decorationProvider.deltaDecorations(this._editorDecorationIds,[])},e.prototype.getAllRegionsAtLine=function(e,t){var n=[];if(this._regions)for(var i=this._regions.findRange(e),o=1;i>=0;){var r=this._regions.toRegion(i)
;t&&!t(r,o)||n.push(r),o++,i=r.parentIndex}return n},e.prototype.getRegionAtLine=function(e){if(this._regions){var t=this._regions.findRange(e);if(t>=0)return this._regions.toRegion(t)}return null},e.prototype.getRegionsInside=function(e,t){var n=[],i=e?e.regionIndex+1:0,o=e?e.endLineNumber:Number.MAX_VALUE;if(t&&2===t.length)for(var r=[],s=i,a=this._regions.length;s<a;s++){l=this._regions.toRegion(s);if(!(this._regions.getStartLineNumber(s)<o))break;for(;r.length>0&&!l.containedBy(r[r.length-1]);)r.pop();r.push(l),t(l,r.length)&&n.push(l)}else for(var s=i,a=this._regions.length;s<a;s++){var l=this._regions.toRegion(s);if(!(this._regions.getStartLineNumber(s)<o))break;t&&!t(l)||n.push(l)}return n},e}();t.FoldingModel=o,t.setCollapseStateLevelsDown=function(e,t,n,i){void 0===n&&(n=Number.MAX_VALUE);var o=[];if(i&&i.length>0)for(var r=0,s=i;r<s.length;r++){var a=s[r],l=e.getRegionAtLine(a);l&&(l.isCollapsed!==t&&o.push(l),n>1)&&(u=e.getRegionsInside(l,function(e,i){return e.isCollapsed!==t&&i<n}),
o.push.apply(o,u))}else{var u=e.getRegionsInside(null,function(e,i){return e.isCollapsed!==t&&i<n});o.push.apply(o,u)}e.toggleCollapseState(o)},t.setCollapseStateLevelsUp=function(e,t,n,i){for(var o=[],r=0,s=i;r<s.length;r++){var a=s[r],l=e.getAllRegionsAtLine(a,function(e,i){return e.isCollapsed!==t&&i<=n});o.push.apply(o,l)}e.toggleCollapseState(o)},t.setCollapseStateAtLevel=function(e,t,n,i){var o=e.getRegionsInside(null,function(e,o){return o===t&&e.isCollapsed!==n&&!i.some(function(t){return e.containsLine(t)})});e.toggleCollapseState(o)},t.setCollapseStateForMatchingLines=function(e,t,n){for(var i=e.textModel,o=e.regions,r=[],s=o.length-1;s>=0;s--)if(n!==o.isCollapsed(s)){var a=o.getStartLineNumber(s);t.test(i.getLineContent(a))&&r.push(o.toRegion(s))}e.toggleCollapseState(r)},t.setCollapseStateForType=function(e,t,n){for(var i=e.regions,o=[],r=i.length-1;r>=0;r--)n!==i.isCollapsed(r)&&t===i.getType(r)&&o.push(i.toRegion(r));e.toggleCollapseState(o)}}),define(t[246],n([0,1,6,3,22]),function(e,t,n,i,o){
"use strict";function r(e,t){var n=o.findFirstInSorted(e,function(e){return t<e.startLineNumber})-1;return n>=0&&e[n].endLineNumber>=t?e[n]:null}Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){var t=this;this._updateEventEmitter=new n.Emitter,this._foldingModel=e,this._foldingModelListener=e.onDidChange(function(e){return t.updateHiddenRanges()}),this._hiddenRanges=[],e.regions.length&&this.updateHiddenRanges()}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._updateEventEmitter.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"hiddenRanges",{get:function(){return this._hiddenRanges},enumerable:!0,configurable:!0}),e.prototype.updateHiddenRanges=function(){for(var e=!1,t=[],n=0,o=0,r=Number.MAX_VALUE,s=-1,a=this._foldingModel.regions;n<a.length;n++)if(a.isCollapsed(n)){var l=a.getStartLineNumber(n)+1,u=a.getEndLineNumber(n)
;r<=l&&u<=s||(!e&&o<this._hiddenRanges.length&&this._hiddenRanges[o].startLineNumber===l&&this._hiddenRanges[o].endLineNumber===u?(t.push(this._hiddenRanges[o]),o++):(e=!0,t.push(new i.Range(l,1,u,1))),r=l,s=u)}(e||o<this._hiddenRanges.length)&&this.applyHiddenRanges(t)},e.prototype.applyMemento=function(e){if(!Array.isArray(e)||0===e.length)return!1;for(var t=[],n=0,o=e;n<o.length;n++){var r=o[n];if(!r.startLineNumber||!r.endLineNumber)return!1;t.push(new i.Range(r.startLineNumber+1,1,r.endLineNumber,1))}return this.applyHiddenRanges(t),!0},e.prototype.getMemento=function(){return this._hiddenRanges.map(function(e){return{startLineNumber:e.startLineNumber-1,endLineNumber:e.endLineNumber}})},e.prototype.applyHiddenRanges=function(e){this._hiddenRanges=e,this._updateEventEmitter.fire(e)},e.prototype.hasRanges=function(){return this._hiddenRanges.length>0},e.prototype.isHidden=function(e){return null!==r(this._hiddenRanges,e)},e.prototype.adjustSelections=function(e){
for(var t=this,n=!1,i=this._foldingModel.textModel,o=null,s=function(e){return o&&function(e,t){return e>=t.startLineNumber&&e<=t.endLineNumber}(e,o)||(o=r(t._hiddenRanges,e)),o?o.startLineNumber-1:null},a=0,l=e.length;a<l;a++){var u=e[a],d=s(u.startLineNumber);d&&(u=u.setStartPosition(d,i.getLineMaxColumn(d)),n=!0);var c=s(u.endLineNumber);c&&(u=u.setEndPosition(c,i.getLineMaxColumn(c)),n=!0),e[a]=u}return n},e.prototype.dispose=function(){this.hiddenRanges.length>0&&(this._hiddenRanges=[],this._updateEventEmitter.fire(this._hiddenRanges)),this._foldingModelListener&&(this._foldingModelListener.dispose(),this._foldingModelListener=null)},e}();t.HiddenRangeModel=s}),define(t[203],n([0,1,11,109]),function(e,t,n,i){"use strict";function o(e,t){for(var n=e.sort(function(e,t){var n=e.start-t.start;return 0===n&&(n=e.rank-t.rank),n}),i=new l(t),o=void 0,r=[],s=0,a=n;s<a.length;s++){var u=a[s];if(o){if(u.start>o.start)if(u.end<=o.end)r.push(o),o=u,i.add(u.start,u.end,u.kind&&u.kind.value,r.length);else{
if(u.start>o.end){do{o=r.pop()}while(o&&u.start>o.end);o&&r.push(o),o=u}i.add(u.start,u.end,u.kind&&u.kind.value,r.length)}}else o=u,i.add(u.start,u.end,u.kind&&u.kind.value,r.length)}return i.toIndentRanges()}Object.defineProperty(t,"__esModule",{value:!0});var r=5e3,s={};t.ID_SYNTAX_PROVIDER="syntax";var a=function(){function e(e,n,i){void 0===i&&(i=r),this.editorModel=e,this.providers=n,this.limit=i,this.id=t.ID_SYNTAX_PROVIDER}return e.prototype.compute=function(e){var t=this;return function(e,t,i){var o=null,r=e.map(function(e,r){return Promise.resolve(e.provideFoldingRanges(t,s,i)).then(function(e){if(!i.isCancellationRequested&&Array.isArray(e)){Array.isArray(o)||(o=[]);for(var n=t.getLineCount(),s=0,a=e;s<a.length;s++){var l=a[s];l.start>0&&l.end>l.start&&l.end<=n&&o.push({start:l.start,end:l.end,rank:r,kind:l.kind})}}},n.onUnexpectedExternalError)});return Promise.all(r).then(function(e){return o})}(this.providers,this.editorModel,e).then(function(e){if(e){return o(e,t.limit)}return null})},
e.prototype.dispose=function(){},e}();t.SyntaxRangeProvider=a;var l=function(){function e(e){this._startIndexes=[],this._endIndexes=[],this._nestingLevels=[],this._nestingLevelCounts=[],this._types=[],this._length=0,this._foldingRangesLimit=e}return e.prototype.add=function(e,t,n,o){if(!(e>i.MAX_LINE_NUMBER||t>i.MAX_LINE_NUMBER)){var r=this._length;this._startIndexes[r]=e,this._endIndexes[r]=t,this._nestingLevels[r]=o,this._types[r]=n,this._length++,o<30&&(this._nestingLevelCounts[o]=(this._nestingLevelCounts[o]||0)+1)}},e.prototype.toIndentRanges=function(){if(this._length<=this._foldingRangesLimit){for(var e=new Uint32Array(this._length),t=new Uint32Array(this._length),n=0;n<this._length;n++)e[n]=this._startIndexes[n],t[n]=this._endIndexes[n];return new i.FoldingRegions(e,t,this._types)}for(var o=0,r=this._nestingLevelCounts.length,n=0;n<this._nestingLevelCounts.length;n++){var s=this._nestingLevelCounts[n];if(s){if(s+o>this._foldingRangesLimit){r=n;break}o+=s}}
for(var e=new Uint32Array(this._foldingRangesLimit),t=new Uint32Array(this._foldingRangesLimit),a=[],n=0,l=0;n<this._length;n++){var u=this._nestingLevels[n];(u<r||u===r&&o++<this._foldingRangesLimit)&&(e[l]=this._startIndexes[n],t[l]=this._endIndexes[n],a[l]=this._types[n],l++)}return new i.FoldingRegions(e,t,a)},e}();t.RangesCollector=l,t.sanitizeRanges=o}),define(t[248],n([0,1,203]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ID_INIT_PROVIDER="init";var i=function(){function e(e,n,i,o){if(this.editorModel=e,this.id=t.ID_INIT_PROVIDER,n.length){var r=function(t){return{range:{startLineNumber:t.startLineNumber,startColumn:0,endLineNumber:t.endLineNumber,endColumn:e.getLineLength(t.endLineNumber)},options:{stickiness:1}}};this.decorationIds=e.deltaDecorations([],n.map(r)),this.timeout=setTimeout(i,o)}}return e.prototype.dispose=function(){this.decorationIds&&(this.editorModel.deltaDecorations(this.decorationIds,[]),this.decorationIds=void 0),
"number"==typeof this.timeout&&(clearTimeout(this.timeout),this.timeout=void 0)},e.prototype.compute=function(e){var t=[];if(this.decorationIds)for(var i=0,o=this.decorationIds;i<o.length;i++){var r=o[i],s=this.editorModel.getDecorationRange(r);s&&t.push({start:s.startLineNumber,end:s.endLineNumber,rank:1})}return Promise.resolve(n.sanitizeRanges(t,Number.MAX_VALUE))},e}();t.InitializingRangeProvider=i}),define(t[249],n([0,1,49,3]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(){}return e._handleEolEdits=function(e,t){for(var n=void 0,i=[],o=0,r=t;o<r.length;o++){var s=r[o];"number"==typeof s.eol&&(n=s.eol),s.range&&"string"==typeof s.text&&i.push(s)}return"number"==typeof n&&e.getModel().pushEOL(n),i},e._isFullModelReplaceEdit=function(e,t){var n=e.getModel(),i=n.validateRange(t.range);return n.getFullModelRange().equalsRange(i)},e.execute=function(t,o){t.pushUndoStop();var r=e._handleEolEdits(t,o)
;1===r.length&&e._isFullModelReplaceEdit(t,r[0])?t.executeEdits("formatEditsCommand",r.map(function(e){return n.EditOperation.replace(i.Range.lift(e.range),e.text)})):t.executeEdits("formatEditsCommand",r.map(function(e){return n.EditOperation.replaceMove(i.Range.lift(e.range),e.text)})),t.pushUndoStop()},e}();t.FormattingEdit=o}),define(t[183],n([0,1,29,2,6,17,163]),function(e,t,n,i,r,s){"use strict";function a(e,t){return!!e[t]}function l(e){return"altKey"===e?s.isMacintosh?new c(57,"metaKey",6,"altKey"):new c(5,"ctrlKey",6,"altKey"):s.isMacintosh?new c(6,"altKey",57,"metaKey"):new c(6,"altKey",5,"ctrlKey")}Object.defineProperty(t,"__esModule",{value:!0});var u=function(){return function(e,t){this.target=e.target,this.hasTriggerModifier=a(e.event,t.triggerModifier),this.hasSideBySideModifier=a(e.event,t.triggerSideBySideModifier),this.isNoneOrSingleMouseDown=n.isIE||e.event.detail<=1}}();t.ClickLinkMouseEvent=u;var d=function(){return function(e,t){this.keyCodeIsTriggerKey=e.keyCode===t.triggerKey,
this.keyCodeIsSideBySideKey=e.keyCode===t.triggerSideBySideKey,this.hasTriggerModifier=a(e,t.triggerModifier)}}();t.ClickLinkKeyboardEvent=d;var c=function(){function e(e,t,n,i){this.triggerKey=e,this.triggerModifier=t,this.triggerSideBySideKey=n,this.triggerSideBySideModifier=i}return e.prototype.equals=function(e){return this.triggerKey===e.triggerKey&&this.triggerModifier===e.triggerModifier&&this.triggerSideBySideKey===e.triggerSideBySideKey&&this.triggerSideBySideModifier===e.triggerSideBySideModifier},e}();t.ClickLinkOptions=c;var h=function(e){function t(t){var n=e.call(this)||this;return n._onMouseMoveOrRelevantKeyDown=n._register(new r.Emitter),n.onMouseMoveOrRelevantKeyDown=n._onMouseMoveOrRelevantKeyDown.event,n._onExecute=n._register(new r.Emitter),n.onExecute=n._onExecute.event,n._onCancel=n._register(new r.Emitter),n.onCancel=n._onCancel.event,n._editor=t,n._opts=l(n._editor.getConfiguration().multiCursorModifier),n.lastMouseMoveEvent=null,n.hasTriggerKeyOnMouseDown=!1,
n._register(n._editor.onDidChangeConfiguration(function(e){if(e.multiCursorModifier){var t=l(n._editor.getConfiguration().multiCursorModifier);if(n._opts.equals(t))return;n._opts=t,n.lastMouseMoveEvent=null,n.hasTriggerKeyOnMouseDown=!1,n._onCancel.fire()}})),n._register(n._editor.onMouseMove(function(e){return n.onEditorMouseMove(new u(e,n._opts))})),n._register(n._editor.onMouseDown(function(e){return n.onEditorMouseDown(new u(e,n._opts))})),n._register(n._editor.onMouseUp(function(e){return n.onEditorMouseUp(new u(e,n._opts))})),n._register(n._editor.onKeyDown(function(e){return n.onEditorKeyDown(new d(e,n._opts))})),n._register(n._editor.onKeyUp(function(e){return n.onEditorKeyUp(new d(e,n._opts))})),n._register(n._editor.onMouseDrag(function(){return n.resetHandler()})),n._register(n._editor.onDidChangeCursorSelection(function(e){return n.onDidChangeCursorSelection(e)})),n._register(n._editor.onDidChangeModel(function(e){return n.resetHandler()})),n._register(n._editor.onDidChangeModelContent(function(){
return n.resetHandler()})),n._register(n._editor.onDidScrollChange(function(e){(e.scrollTopChanged||e.scrollLeftChanged)&&n.resetHandler()})),n}return o(t,e),t.prototype.onDidChangeCursorSelection=function(e){e.selection&&e.selection.startColumn!==e.selection.endColumn&&this.resetHandler()},t.prototype.onEditorMouseMove=function(e){this.lastMouseMoveEvent=e,this._onMouseMoveOrRelevantKeyDown.fire([e,null])},t.prototype.onEditorMouseDown=function(e){this.hasTriggerKeyOnMouseDown=e.hasTriggerModifier},t.prototype.onEditorMouseUp=function(e){this.hasTriggerKeyOnMouseDown&&this._onExecute.fire(e)},t.prototype.onEditorKeyDown=function(e){this.lastMouseMoveEvent&&(e.keyCodeIsTriggerKey||e.keyCodeIsSideBySideKey&&e.hasTriggerModifier)?this._onMouseMoveOrRelevantKeyDown.fire([this.lastMouseMoveEvent,e]):e.hasTriggerModifier&&this._onCancel.fire()},t.prototype.onEditorKeyUp=function(e){e.keyCodeIsTriggerKey&&this._onCancel.fire()},t.prototype.resetHandler=function(){this.lastMouseMoveEvent=null,
this.hasTriggerKeyOnMouseDown=!1,this._onCancel.fire()},t}(i.Disposable);t.ClickLinkGesture=h}),define(t[186],n([0,1,16,11]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(t,i,o,r){var s=this;this._computer=t,this._state=0,this._hoverTime=e.HOVER_TIME,this._firstWaitScheduler=new n.RunOnceScheduler(function(){return s._triggerAsyncComputation()},0),this._secondWaitScheduler=new n.RunOnceScheduler(function(){return s._triggerSyncComputation()},0),this._loadingMessageScheduler=new n.RunOnceScheduler(function(){return s._showLoadingMessage()},0),this._asyncComputationPromise=null,this._asyncComputationPromiseDone=!1,this._completeCallback=i,this._errorCallback=o,this._progressCallback=r}return e.prototype.setHoverTime=function(e){this._hoverTime=e},e.prototype._firstWaitTime=function(){return this._hoverTime/2},e.prototype._secondWaitTime=function(){return this._hoverTime/2},e.prototype._loadingMessageTime=function(){return 3*this._hoverTime},
e.prototype._triggerAsyncComputation=function(){var e=this;this._state=2,this._secondWaitScheduler.schedule(this._secondWaitTime()),this._computer.computeAsync?(this._asyncComputationPromiseDone=!1,this._asyncComputationPromise=n.createCancelablePromise(function(t){return e._computer.computeAsync(t)}),this._asyncComputationPromise.then(function(t){e._asyncComputationPromiseDone=!0,e._withAsyncResult(t)},function(t){return e._onError(t)})):this._asyncComputationPromiseDone=!0},e.prototype._triggerSyncComputation=function(){this._computer.computeSync&&this._computer.onResult(this._computer.computeSync(),!0),this._asyncComputationPromiseDone?(this._state=0,this._onComplete(this._computer.getResult())):(this._state=3,this._onProgress(this._computer.getResult()))},e.prototype._showLoadingMessage=function(){3===this._state&&this._onProgress(this._computer.getResultWithLoadingMessage())},e.prototype._withAsyncResult=function(e){e&&this._computer.onResult(e,!1),3===this._state&&(this._state=0,
this._onComplete(this._computer.getResult()))},e.prototype._onComplete=function(e){this._completeCallback&&this._completeCallback(e)},e.prototype._onError=function(e){this._errorCallback?this._errorCallback(e):i.onUnexpectedError(e)},e.prototype._onProgress=function(e){this._progressCallback&&this._progressCallback(e)},e.prototype.start=function(e){if(0===e)0===this._state&&(this._state=1,this._firstWaitScheduler.schedule(this._firstWaitTime()),this._loadingMessageScheduler.schedule(this._loadingMessageTime()));else switch(this._state){case 0:this._triggerAsyncComputation(),this._secondWaitScheduler.cancel(),this._triggerSyncComputation();break;case 2:this._secondWaitScheduler.cancel(),this._triggerSyncComputation()}},e.prototype.cancel=function(){this._loadingMessageScheduler.cancel(),1===this._state&&this._firstWaitScheduler.cancel(),2===this._state&&(this._secondWaitScheduler.cancel(),this._asyncComputationPromise&&(this._asyncComputationPromise.cancel(),this._asyncComputationPromise=null)),
3===this._state&&this._asyncComputationPromise&&(this._asyncComputationPromise.cancel(),this._asyncComputationPromise=null),this._state=0},e.HOVER_TIME=300,e}();t.HoverOperation=o}),define(t[191],n([0,1,7,55,46,2]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t,n){var o=e.call(this)||this;return o.disposables=[],o.allowEditorOverflow=!0,o._id=t,o._editor=n,o._isVisible=!1,o._containerDomNode=document.createElement("div"),o._containerDomNode.className="monaco-editor-hover hidden",o._containerDomNode.tabIndex=0,o._domNode=document.createElement("div"),o._domNode.className="monaco-editor-hover-content",o.scrollbar=new i.DomScrollableElement(o._domNode,{}),o.disposables.push(o.scrollbar),o._containerDomNode.appendChild(o.scrollbar.getDomNode()),o.onkeydown(o._containerDomNode,function(e){e.equals(9)&&o.hide()}),o._register(o._editor.onDidChangeConfiguration(function(e){e.fontInfo&&o.updateFont()})),o._editor.onDidLayoutChange(function(e){
return o.updateMaxHeight()}),o.updateMaxHeight(),o._editor.addContentWidget(o),o._showAtPosition=null,o._showAtRange=null,o}return o(t,e),Object.defineProperty(t.prototype,"isVisible",{get:function(){return this._isVisible},set:function(e){this._isVisible=e,n.toggleClass(this._containerDomNode,"hidden",!this._isVisible)},enumerable:!0,configurable:!0}),t.prototype.getId=function(){return this._id},t.prototype.getDomNode=function(){return this._containerDomNode},t.prototype.showAt=function(e,t,n){this._showAtPosition=e,this._showAtRange=t,this.isVisible=!0,this._editor.layoutContentWidget(this),this._editor.render(),this._stoleFocus=n,n&&this._containerDomNode.focus()},t.prototype.hide=function(){this.isVisible&&(this.isVisible=!1,this._editor.layoutContentWidget(this),this._stoleFocus&&this._editor.focus())},t.prototype.getPosition=function(){return this.isVisible?{position:this._showAtPosition,range:this._showAtRange,preference:[1,2]}:null},t.prototype.dispose=function(){
this._editor.removeContentWidget(this),this.disposables=s.dispose(this.disposables),e.prototype.dispose.call(this)},t.prototype.updateFont=function(){var e=this;Array.prototype.slice.call(this._domNode.getElementsByClassName("code")).forEach(function(t){return e._editor.applyFontInfo(t)})},t.prototype.updateContents=function(e){this._domNode.textContent="",this._domNode.appendChild(e),this.updateFont(),this._editor.layoutContentWidget(this),this.onContentsChange()},t.prototype.onContentsChange=function(){this.scrollbar.scanDomNode()},t.prototype.updateMaxHeight=function(){var e=Math.max(this._editor.getLayoutInfo().height/4,250),t=this._editor.getConfiguration().fontInfo,n=t.fontSize,i=t.lineHeight;this._domNode.style.fontSize=n+"px",this._domNode.style.lineHeight=i+"px",this._domNode.style.maxHeight=e+"px"},t}(r.Widget);t.ContentHoverWidget=a;var l=function(e){function t(t,n){var i=e.call(this)||this;return i._id=t,i._editor=n,i._isVisible=!1,i._domNode=document.createElement("div"),
i._domNode.className="monaco-editor-hover hidden",i._domNode.setAttribute("aria-hidden","true"),i._domNode.setAttribute("role","presentation"),i._showAtLineNumber=-1,i._register(i._editor.onDidChangeConfiguration(function(e){e.fontInfo&&i.updateFont()})),i._editor.addOverlayWidget(i),i}return o(t,e),Object.defineProperty(t.prototype,"isVisible",{get:function(){return this._isVisible},set:function(e){this._isVisible=e,n.toggleClass(this._domNode,"hidden",!this._isVisible)},enumerable:!0,configurable:!0}),t.prototype.getId=function(){return this._id},t.prototype.getDomNode=function(){return this._domNode},t.prototype.showAt=function(e){this._showAtLineNumber=e,this.isVisible||(this.isVisible=!0);var t=this._editor.getLayoutInfo(),n=this._editor.getTopForLineNumber(this._showAtLineNumber),i=this._editor.getScrollTop(),o=this._editor.getConfiguration().lineHeight,r=n-i-(this._domNode.clientHeight-o)/2;this._domNode.style.left=t.glyphMarginLeft+t.glyphMarginWidth+"px",
this._domNode.style.top=Math.max(Math.round(r),0)+"px"},t.prototype.hide=function(){this.isVisible&&(this.isVisible=!1)},t.prototype.getPosition=function(){return null},t.prototype.dispose=function(){this._editor.removeOverlayWidget(this),e.prototype.dispose.call(this)},t.prototype.updateFont=function(){var e=this,t=Array.prototype.slice.call(this._domNode.getElementsByTagName("code")),n=Array.prototype.slice.call(this._domNode.getElementsByClassName("code"));t.concat(n).forEach(function(t){return e._editor.applyFontInfo(t)})},t.prototype.updateContents=function(e){this._domNode.textContent="",this._domNode.appendChild(e),this.updateFont()},t}(r.Widget);t.GlyphHoverWidget=l}),define(t[253],n([0,1,7,68,2,186,191]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(e){this._editor=e,this._lineNumber=-1}return e.prototype.setLineNumber=function(e){this._lineNumber=e,this._result=[]},e.prototype.clearResult=function(){this._result=[]},
e.prototype.computeSync=function(){var e=function(e){return{value:e}},t=this._editor.getLineDecorations(this._lineNumber),n=[];if(!t)return n;for(var o=0,r=t.length;o<r;o++){var s=t[o];if(s.options.glyphMarginClassName){var a=s.options.glyphMarginHoverMessage;a&&!i.isEmptyMarkdownString(a)&&(Array.isArray(a)?n=n.concat(a.map(e)):n.push(e(a)))}}return n},e.prototype.onResult=function(e,t){this._result=this._result.concat(e)},e.prototype.getResult=function(){return this._result},e.prototype.getResultWithLoadingMessage=function(){return this.getResult()},e}(),u=function(e){function t(n,i){var o=e.call(this,t.ID,n)||this;return o._lastLineNumber=-1,o._markdownRenderer=i,o._computer=new l(o._editor),o._hoverOperation=new s.HoverOperation(o._computer,function(e){return o._withResult(e)},void 0,function(e){return o._withResult(e)}),o}return o(t,e),t.prototype.dispose=function(){this._renderDisposeables=r.dispose(this._renderDisposeables),this._hoverOperation.cancel(),e.prototype.dispose.call(this)},
t.prototype.onModelDecorationsChanged=function(){this.isVisible&&(this._hoverOperation.cancel(),this._computer.clearResult(),this._hoverOperation.start(0))},t.prototype.startShowingAt=function(e){this._lastLineNumber!==e&&(this._hoverOperation.cancel(),this.hide(),this._lastLineNumber=e,this._computer.setLineNumber(e),this._hoverOperation.start(0))},t.prototype.hide=function(){this._lastLineNumber=-1,this._hoverOperation.cancel(),e.prototype.hide.call(this)},t.prototype._withResult=function(e){this._messages=e,this._messages.length>0?this._renderMessages(this._lastLineNumber,this._messages):this.hide()},t.prototype._renderMessages=function(e,t){var i=this;r.dispose(this._renderDisposeables),this._renderDisposeables=[];var o=document.createDocumentFragment();t.forEach(function(e){var t=i._markdownRenderer.render(e.value);i._renderDisposeables.push(t),o.appendChild(n.$("div.hover-row",void 0,t.element))}),this.updateContents(o),this.showAt(e)},t.ID="editor.contrib.modesGlyphHoverWidget",t}(a.GlyphHoverWidget)
;t.ModesGlyphHoverWidget=u}),define(t[254],n([0,1,21]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,n){this._editRange=e,this._originalSelection=t,this._text=n}return e.prototype.getEditOperations=function(e,t){t.addTrackedEditOperation(this._editRange,this._text)},e.prototype.computeCursorState=function(e,t){var i=t.getInverseEditOperations()[0].range;return this._originalSelection.isEmpty()?new n.Selection(i.endLineNumber,Math.min(this._originalSelection.positionColumn,i.endColumn),i.endLineNumber,Math.min(this._originalSelection.positionColumn,i.endColumn)):new n.Selection(i.endLineNumber,i.endColumn-this._text.length,i.endLineNumber,i.endColumn)},e}();t.InPlaceReplaceCommand=i}),define(t[255],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getSpaceCnt=function(e,t){for(var n=0,i=0;i<e.length;i++)"\t"===e.charAt(i)?n+=t:n++;return n},t.generateIndent=function(e,t,n){e=e<0?0:e;var i="";if(!n){
var o=Math.floor(e/t);for(e%=t,r=0;r<o;r++)i+="\t"}for(var r=0;r<e;r++)i+=" ";return i}}),define(t[256],n([0,1,3,21]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t){this._selection=e,this._isCopyingDown=t}return e.prototype.getEditOperations=function(e,t){var i=this._selection;this._startLineNumberDelta=0,this._endLineNumberDelta=0,i.startLineNumber<i.endLineNumber&&1===i.endColumn&&(this._endLineNumberDelta=1,i=i.setEndPosition(i.endLineNumber-1,e.getLineMaxColumn(i.endLineNumber-1)));for(var o=[],r=i.startLineNumber;r<=i.endLineNumber;r++)o.push(e.getLineContent(r));var s=o.join("\n");""===s&&this._isCopyingDown&&(this._startLineNumberDelta++,this._endLineNumberDelta++),this._isCopyingDown?t.addEditOperation(new n.Range(i.startLineNumber,1,i.startLineNumber,1),s+"\n"):t.addEditOperation(new n.Range(i.endLineNumber,e.getLineMaxColumn(i.endLineNumber),i.endLineNumber,e.getLineMaxColumn(i.endLineNumber)),"\n"+s),
this._selectionId=t.trackSelection(i),this._selectionDirection=this._selection.getDirection()},e.prototype.computeCursorState=function(e,t){var n=t.getTrackedSelection(this._selectionId);if(0!==this._startLineNumberDelta||0!==this._endLineNumberDelta){var o=n.startLineNumber,r=n.startColumn,s=n.endLineNumber,a=n.endColumn;0!==this._startLineNumberDelta&&(o+=this._startLineNumberDelta,r=1),0!==this._endLineNumberDelta&&(s+=this._endLineNumberDelta,a=1),n=i.Selection.createWithDirection(o,r,s,a,this._selectionDirection)}return n},e}();t.CopyLinesCommand=o}),define(t[257],n([0,1,3,21]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n){this.startLineNumber=e,this.endLineNumber=t,this.restoreCursorToColumn=n}return e.prototype.getEditOperations=function(e,t){if(1!==e.getLineCount()||1!==e.getLineMaxColumn(1)){var i=this.startLineNumber,o=this.endLineNumber,r=1,s=e.getLineMaxColumn(o);o<e.getLineCount()?(o+=1,s=1):i>1&&(i-=1,r=e.getLineMaxColumn(i)),
t.addTrackedEditOperation(new n.Range(i,r,o,s),null)}},e.prototype.computeCursorState=function(e,t){var n=t.getInverseEditOperations()[0].range;return new i.Selection(n.endLineNumber,this.restoreCursorToColumn,n.endLineNumber,this.restoreCursorToColumn)},e}();t.DeleteLinesCommand=o}),define(t[258],n([0,1,49,3]),function(e,t,n,i){"use strict";function o(e,t,n){var i=t.startLineNumber,o=t.endLineNumber;if(1===t.endColumn&&o--,i>=o)return null;for(var r=[],s=i;s<=o;s++)r.push(e.getLineContent(s));var a=r.slice(0);return a.sort(function(e,t){return e.toLowerCase().localeCompare(t.toLowerCase())}),!0===n&&(a=a.reverse()),{startLineNumber:i,endLineNumber:o,before:r,after:a}}Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t){this.selection=e,this.descending=t}return e.prototype.getEditOperations=function(e,t){var r=function(e,t,r){var s=o(e,t,r);return s?n.EditOperation.replace(new i.Range(s.startLineNumber,1,s.endLineNumber,e.getLineMaxColumn(s.endLineNumber)),s.after.join("\n")):null
}(e,this.selection,this.descending);r&&t.addEditOperation(r.range,r.text),this.selectionId=t.trackSelection(this.selection)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this.selectionId)},e.canRun=function(e,t,n){var i=o(e,t,n);if(!i)return!1;for(var r=0,s=i.before.length;r<s;r++)if(i.before[r]!==i.after[r])return!0;return!1},e}();t.SortLinesCommand=r}),define(t[192],n([0,1,3,94,96,39]),function(e,t,n,i,r,s){"use strict";function a(e){var t=new u;return t.start=e.range.getStartPosition(),t.end=e.range.getEndPosition(),t}function l(e,t){if(e instanceof d&&e.isEmpty)return null;if(!n.Range.containsPosition(e.range,t))return null;var i=null;if(e instanceof d){if(e.hasChildren)for(var o=0,r=e.children.length;o<r&&!i;o++)i=l(e.children[o],t)}else e instanceof c&&(i=l(e.elements,t)||l(e.open,t)||l(e.close,t));return i||e}Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(){}return Object.defineProperty(e.prototype,"range",{get:function(){
return new n.Range(this.start.lineNumber,this.start.column,this.end.lineNumber,this.end.column)},enumerable:!0,configurable:!0}),e}();t.Node=u;var d=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),Object.defineProperty(t.prototype,"hasChildren",{get:function(){return this.children&&this.children.length>0},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"isEmpty",{get:function(){return!this.hasChildren&&!this.parent},enumerable:!0,configurable:!0}),t.prototype.append=function(e){return!!e&&(e.parent=this,this.children||(this.children=[]),e instanceof t?e.children&&this.children.push.apply(this.children,e.children):this.children.push(e),!0)},t}(u);t.NodeList=d;var c=function(e){function t(){var t=e.call(this)||this;return t.elements=new d,t.elements.parent=t,t}return o(t,e),t}(u);t.Block=c;var h=function(){return function(e,t,n){this.range=e,this.bracket=t,this.bracketType=n}}(),p=function(){return function(e,t,n){this.lineNumber=n,
this.lineText=e.getLineContent(),this.startOffset=e.getStartOffset(t),this.endOffset=e.getEndOffset(t),this.type=e.getStandardTokenType(t),this.languageId=e.getLanguageId(t)}}(),f=function(){function e(e){this._model=e,this._lineCount=this._model.getLineCount(),this._versionId=this._model.getVersionId(),this._lineNumber=0,this._tokenIndex=0,this._lineTokens=null,this._advance()}return e.prototype._advance=function(){for(this._lineTokens&&(this._tokenIndex++,this._tokenIndex>=this._lineTokens.getCount()&&(this._lineTokens=null));this._lineNumber<this._lineCount&&!this._lineTokens;)this._lineNumber++,this._model.forceTokenization(this._lineNumber),this._lineTokens=this._model.getLineTokens(this._lineNumber),this._tokenIndex=0,0===this._lineTokens.getLineContent().length&&(this._lineTokens=null)},e.prototype.next=function(){if(!this._lineTokens)return null;if(this._model.getVersionId()!==this._versionId)return null;var e=new p(this._lineTokens,this._tokenIndex,this._lineNumber);return this._advance(),e},e
}(),g=function(){function e(e){this._rawTokenScanner=new f(e),this._nextBuff=[],this._cachedLanguageBrackets=null,this._cachedLanguageId=-1}return e.prototype.next=function(){if(this._nextBuff.length>0)return this._nextBuff.shift();var e=this._rawTokenScanner.next();if(!e)return null;var t=e.lineNumber,o=e.lineText,a=e.type,l=e.startOffset,u=e.endOffset;this._cachedLanguageId!==e.languageId&&(this._cachedLanguageId=e.languageId,this._cachedLanguageBrackets=s.LanguageConfigurationRegistry.getBracketsSupport(this._cachedLanguageId));var d=this._cachedLanguageBrackets;if(!d||i.ignoreBracketsInToken(a))return new h(new n.Range(t,l+1,t,u+1),0,null);var c;do{if(c=r.BracketsUtils.findNextBracketInToken(d.forwardRegex,t,o,l,u)){var p=c.startColumn-1,f=c.endColumn-1;l<p&&this._nextBuff.push(new h(new n.Range(t,l+1,t,p+1),0,null));var g=o.substring(p,f);g=g.toLowerCase();var m=d.textIsBracket[g],v=d.textIsOpenBracket[g]
;this._nextBuff.push(new h(new n.Range(t,p+1,t,f+1),v?1:-1,m.languageIdentifier.language+";"+m.open+";"+m.close)),l=f}}while(c);return l<u&&this._nextBuff.push(new h(new n.Range(t,l+1,t,u+1),0,null)),this._nextBuff.shift()||null},e}(),m=function(){function e(e){this._stack=[],this._scanner=new g(e)}return e.prototype.build=function(){for(var e=new d;e.append(this._line()||this._any()););return e},e.prototype._accept=function(e){var t=this._stack.pop()||this._scanner.next();if(!t)return!1;var n=e(t);return n?this._currentToken=t:this._stack.push(t),n},e.prototype._peek=function(e){var t=!1;return this._accept(function(n){return t=e(n),!1}),t},e.prototype._line=function(){var e,t=new d;for(this._peek(function(t){return e=t.range.startLineNumber,!1});this._peek(function(t){return t.range.startLineNumber===e})&&t.append(this._token()||this._block()););return t.children&&0!==t.children.length?1===t.children.length?t.children[0]:t:null},e.prototype._token=function(){return this._accept(function(e){
return 0===e.bracket})?a(this._currentToken):null},e.prototype._block=function(){var e;if(!this._accept(function(t){return e=t.bracketType,1===t.bracket}))return null;var t=new c;for(t.open=a(this._currentToken);t.elements.append(this._line()););if(!this._accept(function(t){return-1===t.bracket&&t.bracketType===e})){var n=new d;return n.append(t.open),n.append(t.elements),n}return t.close=a(this._currentToken),t},e.prototype._any=function(){return this._accept(function(e){return!0})?a(this._currentToken):null},e}();t.build=function(e){return new m(e).build()},t.find=l}),define(t[111],n([0,1]),function(e,t){"use strict";function n(e,t){for(var n=e.slice();n.length>0;){var i=n.shift();if(!t(i))break;n.unshift.apply(n,i.children)}}Object.defineProperty(t,"__esModule",{value:!0});var i,r=function(){function e(){this.text("")}return e.isDigitCharacter=function(e){return e>=48&&e<=57},e.isVariableCharacter=function(e){return 95===e||e>=97&&e<=122||e>=65&&e<=90},e.prototype.text=function(e){this.value=e,this.pos=0},
e.prototype.tokenText=function(e){return this.value.substr(e.pos,e.len)},e.prototype.next=function(){if(this.pos>=this.value.length)return{type:14,pos:this.pos,len:0};var t,n=this.pos,i=0,o=this.value.charCodeAt(n);if("number"==typeof(t=e._table[o]))return this.pos+=1,{type:t,pos:n,len:1};if(e.isDigitCharacter(o)){t=8;do{i+=1,o=this.value.charCodeAt(n+i)}while(e.isDigitCharacter(o));return this.pos+=i,{type:t,pos:n,len:i}}if(e.isVariableCharacter(o)){t=9;do{o=this.value.charCodeAt(n+ ++i)}while(e.isVariableCharacter(o)||e.isDigitCharacter(o));return this.pos+=i,{type:t,pos:n,len:i}}t=10;do{i+=1,o=this.value.charCodeAt(n+i)}while(!isNaN(o)&&void 0===e._table[o]&&!e.isDigitCharacter(o)&&!e.isVariableCharacter(o));return this.pos+=i,{type:t,pos:n,len:i}},e._table=(i={},i[36]=0,i[58]=1,i[44]=2,i[123]=3,i[125]=4,i[92]=5,i[47]=6,i[124]=7,i[43]=11,i[45]=12,i[63]=13,i),e}();t.Scanner=r;var s=function(){function e(){this._children=[]}return e.prototype.appendChild=function(e){
return e instanceof a&&this._children[this._children.length-1]instanceof a?this._children[this._children.length-1].value+=e.value:(e.parent=this,this._children.push(e)),this},e.prototype.replace=function(e,t){var n=e.parent,i=n.children.indexOf(e),o=n.children.slice(0);o.splice.apply(o,[i,1].concat(t)),n._children=o,function e(t,n){for(var i=0,o=t;i<o.length;i++){var r=o[i];r.parent=n,e(r.children,r)}}(t,n)},Object.defineProperty(e.prototype,"children",{get:function(){return this._children},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"snippet",{get:function(){for(var e=this;;){if(!e)return;if(e instanceof f)return e;e=e.parent}},enumerable:!0,configurable:!0}),e.prototype.toString=function(){return this.children.reduce(function(e,t){return e+t.toString()},"")},e.prototype.len=function(){return 0},e}();t.Marker=s;var a=function(e){function t(t){var n=e.call(this)||this;return n.value=t,n}return o(t,e),t.prototype.toString=function(){return this.value},t.prototype.len=function(){
return this.value.length},t.prototype.clone=function(){return new t(this.value)},t}(s);t.Text=a;var l=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t}(s);t.TransformableMarker=l;var u=function(e){function t(t){var n=e.call(this)||this;return n.index=t,n}return o(t,e),t.compareByIndex=function(e,t){return e.index===t.index?0:e.isFinalTabstop?1:t.isFinalTabstop?-1:e.index<t.index?-1:e.index>t.index?1:0},Object.defineProperty(t.prototype,"isFinalTabstop",{get:function(){return 0===this.index},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"choice",{get:function(){return 1===this._children.length&&this._children[0]instanceof d?this._children[0]:void 0},enumerable:!0,configurable:!0}),t.prototype.clone=function(){var e=new t(this.index);return this.transform&&(e.transform=this.transform.clone()),e._children=this.children.map(function(e){return e.clone()}),e},t}(l);t.Placeholder=u;var d=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this
;return t.options=[],t}return o(t,e),t.prototype.appendChild=function(e){return e instanceof a&&(e.parent=this,this.options.push(e)),this},t.prototype.toString=function(){return this.options[0].value},t.prototype.len=function(){return this.options[0].len()},t.prototype.clone=function(){var e=new t;return this.options.forEach(e.appendChild,e),e},t}(s);t.Choice=d;var c=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.resolve=function(e){var t=this,n=!1,i=e.replace(this.regexp,function(){return n=!0,t._replace(Array.prototype.slice.call(arguments,0,-2))});return!n&&this._children.some(function(e){return e instanceof h&&Boolean(e.elseValue)})&&(i=this._replace([])),i},t.prototype._replace=function(e){for(var t="",n=0,i=this._children;n<i.length;n++){var o=i[n];if(o instanceof h){var r=e[o.index]||"";t+=r=o.resolve(r)}else t+=o.toString()}return t},t.prototype.toString=function(){return""},t.prototype.clone=function(){var e=new t
;return e.regexp=new RegExp(this.regexp.source,(this.regexp.ignoreCase?"i":"")+(this.regexp.global?"g":"")),e._children=this.children.map(function(e){return e.clone()}),e},t}(s);t.Transform=c;var h=function(e){function t(t,n,i,o){var r=e.call(this)||this;return r.index=t,r.shorthandName=n,r.ifValue=i,r.elseValue=o,r}return o(t,e),t.prototype.resolve=function(e){return"upcase"===this.shorthandName?e?e.toLocaleUpperCase():"":"downcase"===this.shorthandName?e?e.toLocaleLowerCase():"":"capitalize"===this.shorthandName?e?e[0].toLocaleUpperCase()+e.substr(1):"":"pascalcase"===this.shorthandName?e?this._toPascalCase(e):"":Boolean(e)&&"string"==typeof this.ifValue?this.ifValue:Boolean(e)||"string"!=typeof this.elseValue?e||"":this.elseValue},t.prototype._toPascalCase=function(e){var t=e.match(/[a-z]+/gi);return t?t.map(function(e){return e.charAt(0).toUpperCase()+e.substr(1).toLowerCase()}).join(""):e},t.prototype.clone=function(){return new t(this.index,this.shorthandName,this.ifValue,this.elseValue)},t}(s)
;t.FormatString=h;var p=function(e){function t(t){var n=e.call(this)||this;return n.name=t,n}return o(t,e),t.prototype.resolve=function(e){var t=e.resolve(this);return this.transform&&(t=this.transform.resolve(t||"")),void 0!==t&&(this._children=[new a(t)],!0)},t.prototype.clone=function(){var e=new t(this.name);return this.transform&&(e.transform=this.transform.clone()),e._children=this.children.map(function(e){return e.clone()}),e},t}(l);t.Variable=p;var f=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),Object.defineProperty(t.prototype,"placeholderInfo",{get:function(){if(!this._placeholders){var e,t=[];this.walk(function(n){return n instanceof u&&(t.push(n),e=!e||e.index<n.index?n:e),!0}),this._placeholders={all:t,last:e}}return this._placeholders},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"placeholders",{get:function(){return this.placeholderInfo.all},enumerable:!0,configurable:!0}),t.prototype.offset=function(e){var t=0,n=!1
;return this.walk(function(i){return i===e?(n=!0,!1):(t+=i.len(),!0)}),n?t:-1},t.prototype.fullLen=function(e){var t=0;return n([e],function(e){return t+=e.len(),!0}),t},t.prototype.enclosingPlaceholders=function(e){for(var t=[],n=e.parent;n;)n instanceof u&&t.push(n),n=n.parent;return t},t.prototype.resolveVariables=function(e){var t=this;return this.walk(function(n){return n instanceof p&&n.resolve(e)&&(t._placeholders=void 0),!0}),this},t.prototype.appendChild=function(t){return this._placeholders=void 0,e.prototype.appendChild.call(this,t)},t.prototype.replace=function(t,n){return this._placeholders=void 0,e.prototype.replace.call(this,t,n)},t.prototype.clone=function(){var e=new t;return this._children=this.children.map(function(e){return e.clone()}),e},t.prototype.walk=function(e){n(this.children,e)},t}(s);t.TextmateSnippet=f;var g=function(){function e(){this._scanner=new r}return e.escape=function(e){return e.replace(/\$|}|\\/g,"\\$&")},e.prototype.parse=function(e,t,n){this._scanner.text(e),
this._token=this._scanner.next();for(var i=new f;this._parse(i););var o=new Map,r=[],s=0;i.walk(function(e){return e instanceof u&&(s+=1,e.isFinalTabstop?o.set(0,void 0):!o.has(e.index)&&e.children.length>0?o.set(e.index,e.children):r.push(e)),!0});for(var a=0,l=r;a<l.length;a++){var d=l[a];if(o.has(d.index)){var c=new u(d.index);c.transform=d.transform;for(var h=0,p=o.get(d.index);h<p.length;h++){var g=p[h];c.appendChild(g.clone())}i.replace(d,[c])}}return n||(n=s>0&&t),!o.has(0)&&n&&i.appendChild(new u(0)),i},e.prototype._accept=function(e,t){if(void 0===e||this._token.type===e){var n=!t||this._scanner.tokenText(this._token);return this._token=this._scanner.next(),n}return!1},e.prototype._backTo=function(e){return this._scanner.pos=e.pos+e.len,this._token=e,!1},e.prototype._until=function(e){if(14===this._token.type)return!1;for(var t=this._token;this._token.type!==e;)if(this._token=this._scanner.next(),14===this._token.type)return!1;var n=this._scanner.value.substring(t.pos,this._token.pos)
;return this._token=this._scanner.next(),n},e.prototype._parse=function(e){return this._parseEscaped(e)||this._parseTabstopOrVariableName(e)||this._parseComplexPlaceholder(e)||this._parseComplexVariable(e)||this._parseAnything(e)},e.prototype._parseEscaped=function(e){var t;return!!(t=this._accept(5,!0))&&(t=this._accept(0,!0)||this._accept(4,!0)||this._accept(5,!0)||t,e.appendChild(new a(t)),!0)},e.prototype._parseTabstopOrVariableName=function(e){var t,n=this._token;return this._accept(0)&&(t=this._accept(9,!0)||this._accept(8,!0))?(e.appendChild(/^\d+$/.test(t)?new u(Number(t)):new p(t)),!0):this._backTo(n)},e.prototype._parseComplexPlaceholder=function(e){var t,n=this._token;if(!(this._accept(0)&&this._accept(3)&&(t=this._accept(8,!0))))return this._backTo(n);var i=new u(Number(t));if(this._accept(1))for(;;){if(this._accept(4))return e.appendChild(i),!0;if(!this._parse(i))return e.appendChild(new a("${"+t+":")),i.children.forEach(e.appendChild,e),!0}else{
if(!(i.index>0&&this._accept(7)))return this._accept(6)?this._parseTransform(i)?(e.appendChild(i),!0):(this._backTo(n),!1):this._accept(4)?(e.appendChild(i),!0):this._backTo(n);for(var o=new d;;){if(this._parseChoiceElement(o)){if(this._accept(2))continue;if(this._accept(7)&&(i.appendChild(o),this._accept(4)))return e.appendChild(i),!0}return this._backTo(n),!1}}},e.prototype._parseChoiceElement=function(e){for(var t=this._token,n=[];;){if(2===this._token.type||7===this._token.type)break;var i=void 0;if(!(i=(i=this._accept(5,!0))?this._accept(2,!0)||this._accept(7,!0)||this._accept(5,!0)||i:this._accept(void 0,!0)))return this._backTo(t),!1;n.push(i)}return 0===n.length?(this._backTo(t),!1):(e.appendChild(new a(n.join(""))),!0)},e.prototype._parseComplexVariable=function(e){var t,n=this._token;if(!(this._accept(0)&&this._accept(3)&&(t=this._accept(9,!0))))return this._backTo(n);var i=new p(t);if(!this._accept(1))return this._accept(6)?this._parseTransform(i)?(e.appendChild(i),!0):(this._backTo(n),
!1):this._accept(4)?(e.appendChild(i),!0):this._backTo(n);for(;;){if(this._accept(4))return e.appendChild(i),!0;if(!this._parse(i))return e.appendChild(new a("${"+t+":")),i.children.forEach(e.appendChild,e),!0}},e.prototype._parseTransform=function(e){for(var t=new c,n="",i="";;){if(this._accept(6))break;o=void 0;if(o=this._accept(5,!0))n+=o=this._accept(6,!0)||o;else{if(14===this._token.type)return!1;n+=this._accept(void 0,!0)}}for(;;){if(this._accept(6))break;var o=void 0;if(o=this._accept(5,!0))o=this._accept(6,!0)||o,t.appendChild(new a(o));else if(!this._parseFormatString(t)&&!this._parseAnything(t))return!1}for(;;){if(this._accept(4))break;if(14===this._token.type)return!1;i+=this._accept(void 0,!0)}try{t.regexp=new RegExp(n,i)}catch(e){return!1}return e.transform=t,!0},e.prototype._parseFormatString=function(e){var t=this._token;if(!this._accept(0))return!1;var n=!1;this._accept(3)&&(n=!0);var i=this._accept(8,!0);if(!i)return this._backTo(t),!1;if(!n)return e.appendChild(new h(Number(i))),!0
;if(this._accept(4))return e.appendChild(new h(Number(i))),!0;if(!this._accept(1))return this._backTo(t),!1;if(this._accept(6)){var o=this._accept(9,!0);return o&&this._accept(4)?(e.appendChild(new h(Number(i),o)),!0):(this._backTo(t),!1)}if(this._accept(11)){if(r=this._until(4))return e.appendChild(new h(Number(i),void 0,r,void 0)),!0}else if(this._accept(12)){if(s=this._until(4))return e.appendChild(new h(Number(i),void 0,void 0,s)),!0}else if(this._accept(13)){var r=this._until(1);if(r){if(s=this._until(4))return e.appendChild(new h(Number(i),void 0,r,s)),!0}}else{var s=this._until(4);if(s)return e.appendChild(new h(Number(i),void 0,void 0,s)),!0}return this._backTo(t),!1},e.prototype._parseAnything=function(e){return 14!==this._token.type&&(e.appendChild(new a(this._scanner.tokenText(this._token))),this._accept(void 0),!0)},e}();t.SnippetParser=g}),define(t[261],n([0,1,22,3,192]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(){}
return e.create=function(t,s){if(!s.getConfiguration().contribInfo.suggest.localityBonus)return Promise.resolve(e.None);if(!s.hasModel())return Promise.resolve(e.None);var a=s.getModel(),l=s.getPosition();if(!t.canComputeWordRanges(a.uri))return Promise.resolve(e.None);for(var u=r.find(r.build(a),l),d=[];u&&(u.range.isEmpty()||d.push(u.range),!(u.end.lineNumber-u.start.lineNumber>=100));)u=u.parent;return d.reverse(),0===d.length?Promise.resolve(e.None):t.computeWordRanges(a.uri,d[0]).then(function(t){return new(function(e){function r(){return null!==e&&e.apply(this,arguments)||this}return o(r,e),r.prototype.distance=function(e,o){if(!t||!l.equals(s.getPosition()))return 0;if(17===o.kind)return 2<<20;var r=o.label,a=t[r];if(n.isFalsyOrEmpty(a))return 2<<20;for(var u=n.binarySearch(a,i.Range.fromPositions(e),i.Range.compareRangesUsingStarts),c=u>=0?a[u]:a[Math.max(0,~u-1)],h=d.length,p=0,f=d;p<f.length;p++){var g=f[p];if(!i.Range.containsRange(g,c))break;h-=1}return h},r}(e))})},e.None=new(function(e){
function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.distance=function(){return 0},t}(e)),e}();t.WordDistance=s}),define(t[198],n([0,1]),function(e,t){"use strict";function n(e){return Array.isArray(e)}function i(e){return"string"==typeof e}function o(e){return!e}function r(e,t){return e.ignoreCase&&t?t.toLowerCase():t}Object.defineProperty(t,"__esModule",{value:!0}),t.isFuzzyActionArr=n,t.isFuzzyAction=function(e){return!n(e)},t.isString=i,t.isIAction=function(e){return!i(e)},t.empty=o,t.fixCase=r,t.sanitize=function(e){return e.replace(/[&<>'"_]/g,"-")},t.log=function(e,t){console.log(e.languageId+": "+t)},t.createError=function(e,t){return new Error(e.languageId+": "+t)},t.substituteMatches=function(e,t,n,i,s){var a=null;return t.replace(/\$((\$)|(#)|(\d\d?)|[sS](\d\d?)|@(\w+))/g,function(t,l,u,d,c,h,p,f,g){return o(u)?o(d)?!o(c)&&c<i.length?r(e,i[c]):!o(p)&&e&&"string"==typeof e[p]?e[p]:(null===a&&(a=s.split(".")).unshift(s),!o(h)&&h<a.length?r(e,a[h]):""):r(e,n):"$"})},
t.findRules=function(e,t){for(var n=t;n&&n.length>0;){var i=e.tokenizer[n];if(i)return i;var o=n.lastIndexOf(".");n=o<0?null:n.substr(0,o)}return null},t.stateExists=function(e,t){for(var n=t;n&&n.length>0;){if(e.stateNames[n])return!0;var i=n.lastIndexOf(".");n=i<0?null:n.substr(0,i)}return!1}}),define(t[263],n([0,1,27,198]),function(e,t,n,i){"use strict";function o(e,t){return"boolean"==typeof e?e:t}function r(e,t){return"string"==typeof e?e:t}function s(e,t){for(var n=0;t.indexOf("@")>=0&&n<5;)n++,t=t.replace(/@(\w+)/g,function(n,o){var r="";if("string"==typeof e[o])r=e[o];else{if(!(e[o]&&e[o]instanceof RegExp))throw void 0===e[o]?i.createError(e,"language definition does not contain attribute '"+o+"', used at: "+t):i.createError(e,"attribute reference '"+o+"' must be a string, used at: "+t);r=e[o].source}return i.empty(r)?"":"(?:"+r+")"});return new RegExp(t,e.ignoreCase?"i":"")}function a(e,t,o,r){var a=-1,l=o,u=o.match(/^\$(([sS]?)(\d\d?)|#)(.*)$/);u&&(u[3]&&(a=parseInt(u[3]),u[2]&&(a+=100)),l=u[4])
;var d="~",c=l;l&&0!==l.length?/^\w*$/.test(c)?d="==":(u=l.match(/^(@|!@|~|!~|==|!=)(.*)$/))&&(d=u[1],c=u[2]):(d="!=",c="");var h;if("~"!==d&&"!~"!==d||!/^(\w|\|)*$/.test(c))if("@"===d||"!@"===d){var p=e[c];if(!p)throw i.createError(e,"the @ match target '"+c+"' is not defined, in rule: "+t);if(!function(e,t){if(!t)return!1;if(!Array.isArray(t))return!1;for(var n in t)if(t.hasOwnProperty(n)&&!e(t[n]))return!1;return!0}(function(e){return"string"==typeof e},p))throw i.createError(e,"the @ match target '"+c+"' must be an array of strings, in rule: "+t);var f=n.createKeywordMatcher(p,e.ignoreCase);h=function(e){return"@"===d?f(e):!f(e)}}else if("~"===d||"!~"===d)if(c.indexOf("$")<0){var g=s(e,"^"+c+"$");h=function(e){return"~"===d?g.test(e):!g.test(e)}}else h=function(t,n,o,r){return s(e,"^"+i.substituteMatches(e,c,n,o,r)+"$").test(t)};else if(c.indexOf("$")<0){var m=i.fixCase(e,c);h=function(e){return"=="===d?e===m:e!==m}}else{var v=i.fixCase(e,c);h=function(t,n,o,r,s){var a=i.substituteMatches(e,v,n,o,r)
;return"=="===d?t===a:t!==a}}else{var _=n.createKeywordMatcher(c.split("|"),e.ignoreCase);h=function(e){return"~"===d?_(e):!_(e)}}return-1===a?{name:o,value:r,test:function(e,t,n,i){return h(e,e,t,n,i)}}:{name:o,value:r,test:function(e,t,n,i){var o=function(e,t,n,i){if(i<0)return e;if(i<t.length)return t[i];if(i>=100){i-=100;var o=n.split(".");if(o.unshift(n),i<o.length)return o[i]}return null}(e,t,n,a);return h(o||"",e,t,n,i)}}}function l(e,t,n){if(n){if("string"==typeof n)return n;if(n.token||""===n.token){if("string"!=typeof n.token)throw i.createError(e,"a 'token' attribute must be of type string, in rule: "+t);var o={token:n.token};if(n.token.indexOf("$")>=0&&(o.tokenSubst=!0),"string"==typeof n.bracket)if("@open"===n.bracket)o.bracket=1;else{if("@close"!==n.bracket)throw i.createError(e,"a 'bracket' attribute must be either '@open' or '@close', in rule: "+t);o.bracket=-1}if(n.next){if("string"!=typeof n.next)throw i.createError(e,"the next state must be a string value in rule: "+t);var r=n.next
;if(!/^(@pop|@push|@popall)$/.test(r)&&("@"===r[0]&&(r=r.substr(1)),r.indexOf("$")<0&&!i.stateExists(e,i.substituteMatches(e,r,"",[],""))))throw i.createError(e,"the next state '"+n.next+"' is not defined in rule: "+t);o.next=r}return"number"==typeof n.goBack&&(o.goBack=n.goBack),"string"==typeof n.switchTo&&(o.switchTo=n.switchTo),"string"==typeof n.log&&(o.log=n.log),"string"==typeof n.nextEmbedded&&(o.nextEmbedded=n.nextEmbedded,e.usesEmbedded=!0),o}if(Array.isArray(n)){var s=[];for(var u in n)n.hasOwnProperty(u)&&(s[u]=l(e,t,n[u]));return{group:s}}if(n.cases){var d=[];for(var c in n.cases)if(n.cases.hasOwnProperty(c)){var h=l(e,t,n.cases[c]);"@default"===c||"@"===c||""===c?d.push({test:void 0,value:h,name:c}):"@eos"===c?d.push({test:function(e,t,n,i){return i},value:h,name:c}):d.push(a(e,t,c,h))}var p=e.defaultToken;return{test:function(e,t,n,i){for(var o in d)if(d.hasOwnProperty(o)){var r=d[o];if(!r.test||r.test(e,t,n,i))return r.value}return p}}}
throw i.createError(e,"an action must be a string, an object with a 'token' or 'cases' attribute, or an array of actions; in rule: "+t)}return{token:""}}Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e){this.regex=new RegExp(""),this.action={token:""},this.matchOnlyAtLineStart=!1,this.name="",this.name=e}return e.prototype.setRegex=function(e,t){var n;if("string"==typeof t)n=t;else{if(!(t instanceof RegExp))throw i.createError(e,"rules must start with a match string or regular expression: "+this.name);n=t.source}this.matchOnlyAtLineStart=n.length>0&&"^"===n[0],this.name=this.name+": "+n,this.regex=s(e,"^(?:"+(this.matchOnlyAtLineStart?n.substr(1):n)+")")},e.prototype.setAction=function(e,t){this.action=l(e,this.name,t)},e}();t.compile=function(e,t){function n(e,r,l){for(var d in l)if(l.hasOwnProperty(d)){var c=l[d],h=c.include;if(h){if("string"!=typeof h)throw i.createError(s,"an 'include' attribute must be a string at: "+e);if("@"===h[0]&&(h=h.substr(1)),
!t.tokenizer[h])throw i.createError(s,"include target '"+h+"' is not defined at: "+e);n(e+"."+h,r,t.tokenizer[h])}else{var p=new u(e);if(Array.isArray(c)&&c.length>=1&&c.length<=3)if(p.setRegex(a,c[0]),c.length>=3)if("string"==typeof c[1])p.setAction(a,{token:c[1],next:c[2]});else{if("object"!=typeof c[1])throw i.createError(s,"a next state as the last element of a rule can only be given if the action is either an object or a string, at: "+e);var f=c[1];f.next=c[2],p.setAction(a,f)}else p.setAction(a,c[1]);else{if(!c.regex)throw i.createError(s,"a rule must either be an array, or an object with a 'regex' or 'include' field at: "+e);c.name&&"string"==typeof c.name&&(p.name=c.name),c.matchOnlyAtStart&&(p.matchOnlyAtLineStart=o(c.matchOnlyAtLineStart,!1)),p.setRegex(a,c.regex),p.setAction(a,c.action)}r.push(p)}}}if(!t||"object"!=typeof t)throw new Error("Monarch: expecting a language definition object");var s={};s.languageId=e,s.noThrow=!1,s.maxStack=100,s.start="string"==typeof t.start?t.start:null,
s.ignoreCase=o(t.ignoreCase,!1),s.tokenPostfix=r(t.tokenPostfix,"."+s.languageId),s.defaultToken=r(t.defaultToken,"source"),s.usesEmbedded=!1;var a=t;if(a.languageId=e,a.ignoreCase=s.ignoreCase,a.noThrow=s.noThrow,a.usesEmbedded=s.usesEmbedded,a.stateNames=t.tokenizer,a.defaultToken=s.defaultToken,!t.tokenizer||"object"!=typeof t.tokenizer)throw i.createError(s,"a language definition must define the 'tokenizer' attribute as an object");s.tokenizer=[];for(var l in t.tokenizer)if(t.tokenizer.hasOwnProperty(l)){s.start||(s.start=l);var d=t.tokenizer[l];s.tokenizer[l]=new Array,n("tokenizer."+l,s.tokenizer[l],d)}if(s.usesEmbedded=a.usesEmbedded,t.brackets){if(!Array.isArray(t.brackets))throw i.createError(s,"the 'brackets' attribute must be defined as an array")}else t.brackets=[{open:"{",close:"}",token:"delimiter.curly"},{open:"[",close:"]",token:"delimiter.square"},{open:"(",close:")",token:"delimiter.parenthesis"},{open:"<",close:">",token:"delimiter.angle"}];var c=[]
;for(var h in t.brackets)if(t.brackets.hasOwnProperty(h)){var p=t.brackets[h];if(p&&Array.isArray(p)&&3===p.length&&(p={token:p[2],open:p[0],close:p[1]}),p.open===p.close)throw i.createError(s,"open and close brackets in a 'brackets' attribute must be different: "+p.open+"\n hint: use the 'bracket' attribute if matching on equal brackets is required.");if("string"!=typeof p.open||"string"!=typeof p.token||"string"!=typeof p.close)throw i.createError(s,"every element in the 'brackets' array must be a '{open,close,token}' object or array");c.push({token:p.token+s.tokenPostfix,open:i.fixCase(s,p.open),close:i.fixCase(s,p.close)})}return s.brackets=c,s.noThrow=!0,s}}),define(t[264],n([5,4]),function(e,t){return e.create("vs/base/browser/ui/actionbar/actionbar",t)}),define(t[67],n([0,1,17,264,2,56,7,32,75,52,6,463]),function(e,t,n,i,r,s,a,l,u,d,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=function(e){function t(t,n,i){var o=e.call(this)||this;return o.options=i,o._context=t||o,
o._action=n,n instanceof s.Action&&o._register(n.onDidChange(function(e){o.element&&o.handleActionChangeEvent(e)})),o}return o(t,e),t.prototype.handleActionChangeEvent=function(e){void 0!==e.enabled&&this.updateEnabled(),void 0!==e.checked&&this.updateChecked(),void 0!==e.class&&this.updateClass(),void 0!==e.label&&(this.updateLabel(),this.updateTooltip()),void 0!==e.tooltip&&this.updateTooltip()},Object.defineProperty(t.prototype,"actionRunner",{get:function(){return this._actionRunner},set:function(e){this._actionRunner=e},enumerable:!0,configurable:!0}),t.prototype.getAction=function(){return this._action},t.prototype.isEnabled=function(){return this._action.enabled},t.prototype.setActionContext=function(e){this._context=e},t.prototype.render=function(e){var t=this;this.element=e,u.Gesture.addTarget(e);var i=this.options&&this.options.draggable;i&&(e.draggable=!0),this._register(a.addDisposableListener(this.element,u.EventType.Tap,function(e){return t.onClick(e)})),
this._register(a.addDisposableListener(this.element,a.EventType.MOUSE_DOWN,function(e){i||a.EventHelper.stop(e,!0);var n=e;t._action.enabled&&0===n.button&&a.addClass(t.element,"active")})),this._register(a.addDisposableListener(this.element,a.EventType.CLICK,function(e){a.EventHelper.stop(e,!0),t.options&&t.options.isMenu?t.onClick(e):n.setImmediate(function(){return t.onClick(e)})})),this._register(a.addDisposableListener(this.element,a.EventType.DBLCLICK,function(e){a.EventHelper.stop(e,!0)})),[a.EventType.MOUSE_UP,a.EventType.MOUSE_OUT].forEach(function(e){t._register(a.addDisposableListener(t.element,e,function(e){a.EventHelper.stop(e),a.removeClass(t.element,"active")}))})},t.prototype.onClick=function(e){a.EventHelper.stop(e,!0);var t;l.isUndefinedOrNull(this._context)?t=e:(t=this._context,l.isObject(t)&&(t.event=e)),this._actionRunner.run(this._action,t)},t.prototype.focus=function(){this.element&&(this.element.focus(),a.addClass(this.element,"focused"))},t.prototype.blur=function(){
this.element&&(this.element.blur(),a.removeClass(this.element,"focused"))},t.prototype.updateEnabled=function(){},t.prototype.updateLabel=function(){},t.prototype.updateTooltip=function(){},t.prototype.updateClass=function(){},t.prototype.updateChecked=function(){},t.prototype.dispose=function(){this.element&&(a.removeNode(this.element),this.element=null),e.prototype.dispose.call(this)},t}(r.Disposable);t.BaseActionItem=h;var p=function(e){function t(n){var i=e.call(this,t.ID,n,n?"separator text":"separator")||this;return i.checked=!1,i.radio=!1,i.enabled=!1,i}return o(t,e),t.ID="vs.actions.separator",t}(s.Action);t.Separator=p;var f=function(e){function t(t,n,i){void 0===i&&(i={});var o=e.call(this,t,n,i)||this;return o.options=i,o.options.icon=void 0!==i.icon&&i.icon,o.options.label=void 0===i.label||i.label,o.cssClass="",o}return o(t,e),t.prototype.render=function(t){e.prototype.render.call(this,t),this.label=a.append(this.element,a.$("a.action-label")),
this._action.id===p.ID?this.label.setAttribute("role","presentation"):this.options.isMenu?this.label.setAttribute("role","menuitem"):this.label.setAttribute("role","button"),this.options.label&&this.options.keybinding&&(a.append(this.element,a.$("span.keybinding")).textContent=this.options.keybinding),this.updateClass(),this.updateLabel(),this.updateTooltip(),this.updateEnabled(),this.updateChecked()},t.prototype.focus=function(){e.prototype.focus.call(this),this.label.focus()},t.prototype.updateLabel=function(){this.options.label&&(this.label.textContent=this.getAction().label)},t.prototype.updateTooltip=function(){var e=null;this.getAction().tooltip?e=this.getAction().tooltip:!this.options.label&&this.getAction().label&&this.options.icon&&(e=this.getAction().label,this.options.keybinding&&(e=i.localize(0,null,e,this.options.keybinding))),e&&(this.label.title=e)},t.prototype.updateClass=function(){this.cssClass&&a.removeClasses(this.label,this.cssClass),
this.options.icon?(this.cssClass=this.getAction().class,a.addClass(this.label,"icon"),this.cssClass&&a.addClasses(this.label,this.cssClass),this.updateEnabled()):a.removeClass(this.label,"icon")},t.prototype.updateEnabled=function(){this.getAction().enabled?(this.label.removeAttribute("aria-disabled"),a.removeClass(this.element,"disabled"),a.removeClass(this.label,"disabled"),this.label.tabIndex=0):(this.label.setAttribute("aria-disabled","true"),a.addClass(this.element,"disabled"),a.addClass(this.label,"disabled"),a.removeTabIndexAndUpdateFocus(this.label))},t.prototype.updateChecked=function(){this.getAction().checked?a.addClass(this.label,"checked"):a.removeClass(this.label,"checked")},t}(h);t.ActionItem=f;var g={orientation:0,context:null,triggerKeys:{keys:[3,10],keyDown:!1}},m=function(e){function t(t,n){void 0===n&&(n=g);var i=e.call(this)||this;i._onDidBlur=i._register(new c.Emitter),i._onDidCancel=i._register(new c.Emitter),i._onDidRun=i._register(new c.Emitter),
i._onDidBeforeRun=i._register(new c.Emitter),i.options=n,i._context=n.context,i._actionRunner=i.options.actionRunner,i.options.triggerKeys||(i.options.triggerKeys=g.triggerKeys),i._actionRunner||(i._actionRunner=new s.ActionRunner,i._register(i._actionRunner)),i._register(i._actionRunner.onDidRun(function(e){return i._onDidRun.fire(e)})),i._register(i._actionRunner.onDidBeforeRun(function(e){return i._onDidBeforeRun.fire(e)})),i.items=[],i.focusedItem=void 0,i.domNode=document.createElement("div"),i.domNode.className="monaco-action-bar",!1!==n.animated&&a.addClass(i.domNode,"animated");var o,r;switch(i.options.orientation){case 0:o=15,r=17;break;case 1:o=17,r=15,i.domNode.className+=" reverse";break;case 2:o=16,r=18,i.domNode.className+=" vertical";break;case 3:o=18,r=16,i.domNode.className+=" vertical reverse"}return i._register(a.addDisposableListener(i.domNode,a.EventType.KEY_DOWN,function(e){var t=new d.StandardKeyboardEvent(e),n=!0
;t.equals(o)?i.focusPrevious():t.equals(r)?i.focusNext():t.equals(9)?i.cancel():i.isTriggerKeyEvent(t)?i.options.triggerKeys&&i.options.triggerKeys.keyDown&&i.doTrigger(t):n=!1,n&&(t.preventDefault(),t.stopPropagation())})),i._register(a.addDisposableListener(i.domNode,a.EventType.KEY_UP,function(e){var t=new d.StandardKeyboardEvent(e);i.isTriggerKeyEvent(t)?(i.options.triggerKeys.keyDown||i.doTrigger(t),t.preventDefault(),t.stopPropagation()):(t.equals(2)||t.equals(1026))&&i.updateFocusedItem()})),i.focusTracker=i._register(a.trackFocus(i.domNode)),i._register(i.focusTracker.onDidBlur(function(){document.activeElement!==i.domNode&&a.isAncestor(document.activeElement,i.domNode)||(i._onDidBlur.fire(),i.focusedItem=void 0)})),i._register(i.focusTracker.onDidFocus(function(){return i.updateFocusedItem()})),i.actionsList=document.createElement("ul"),i.actionsList.className="actions-container",i.actionsList.setAttribute("role","toolbar"),
i.options.ariaLabel&&i.actionsList.setAttribute("aria-label",i.options.ariaLabel),i.domNode.appendChild(i.actionsList),t.appendChild(i.domNode),i}return o(t,e),Object.defineProperty(t.prototype,"onDidBlur",{get:function(){return this._onDidBlur.event},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"onDidCancel",{get:function(){return this._onDidCancel.event},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"onDidRun",{get:function(){return this._onDidRun.event},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"onDidBeforeRun",{get:function(){return this._onDidBeforeRun.event},enumerable:!0,configurable:!0}),t.prototype.isTriggerKeyEvent=function(e){var t=!1;return this.options.triggerKeys&&this.options.triggerKeys.keys.forEach(function(n){t=t||e.equals(n)}),t},t.prototype.updateFocusedItem=function(){for(var e=0;e<this.actionsList.children.length;e++){var t=this.actionsList.children[e];if(a.isAncestor(document.activeElement,t)){this.focusedItem=e;break}}},
Object.defineProperty(t.prototype,"context",{get:function(){return this._context},set:function(e){this._context=e,this.items.forEach(function(t){return t.setActionContext(e)})},enumerable:!0,configurable:!0}),t.prototype.getContainer=function(){return this.domNode},t.prototype.push=function(e,t){var n=this;void 0===t&&(t={});var i=Array.isArray(e)?e:[e],o=l.isNumber(t.index)?t.index:null;i.forEach(function(e){var i=document.createElement("li");i.className="action-item",i.setAttribute("role","presentation"),n._register(a.addDisposableListener(i,a.EventType.CONTEXT_MENU,function(e){e.preventDefault(),e.stopPropagation()}));var r=null;n.options.actionItemProvider&&(r=n.options.actionItemProvider(e)),r||(r=new f(n.context,e,t)),r.actionRunner=n._actionRunner,r.setActionContext(n.context),r.render(i),null===o||o<0||o>=n.actionsList.children.length?(n.actionsList.appendChild(i),n.items.push(r)):(n.actionsList.insertBefore(i,n.actionsList.children[o]),n.items.splice(o,0,r),o++)})},t.prototype.clear=function(){
this.items=r.dispose(this.items),a.clearNode(this.actionsList)},t.prototype.isEmpty=function(){return 0===this.items.length},t.prototype.focus=function(e){e&&void 0===this.focusedItem?(this.focusedItem=this.items.length-1,this.focusNext()):this.updateFocus()},t.prototype.focusNext=function(){void 0===this.focusedItem&&(this.focusedItem=this.items.length-1);var e,t=this.focusedItem;do{this.focusedItem=(this.focusedItem+1)%this.items.length,e=this.items[this.focusedItem]}while(this.focusedItem!==t&&!e.isEnabled());this.focusedItem!==t||e.isEnabled()||(this.focusedItem=void 0),this.updateFocus()},t.prototype.focusPrevious=function(){void 0===this.focusedItem&&(this.focusedItem=0);var e,t=this.focusedItem;do{this.focusedItem=this.focusedItem-1,this.focusedItem<0&&(this.focusedItem=this.items.length-1),e=this.items[this.focusedItem]}while(this.focusedItem!==t&&!e.isEnabled());this.focusedItem!==t||e.isEnabled()||(this.focusedItem=void 0),this.updateFocus(!0)},t.prototype.updateFocus=function(e){
void 0===this.focusedItem&&this.actionsList.focus();for(var t=0;t<this.items.length;t++){var n=this.items[t];t===this.focusedItem?l.isFunction(n.isEnabled)&&(n.isEnabled()&&l.isFunction(n.focus)?n.focus(e):this.actionsList.focus()):l.isFunction(n.blur)&&n.blur()}},t.prototype.doTrigger=function(e){if(void 0!==this.focusedItem){var t=this.items[this.focusedItem];if(t instanceof h){var n=null===t._context||void 0===t._context?e:t._context;this.run(t._action,n)}}},t.prototype.cancel=function(){document.activeElement instanceof HTMLElement&&document.activeElement.blur(),this._onDidCancel.fire()},t.prototype.run=function(e,t){return this._actionRunner.run(e,t)},t.prototype.dispose=function(){null!==this.items&&r.dispose(this.items),this.items=null,a.removeNode(this.getContainer()),e.prototype.dispose.call(this)},t}(r.Disposable);t.ActionBar=m}),define(t[268],n([5,4]),function(e,t){return e.create("vs/base/browser/ui/aria/aria",t)}),define(t[43],n([0,1,268,17,7,469]),function(e,t,n,i,o){"use strict";function r(e){
s(l,e)}function s(e,t){if(a){switch(c===t?d++:(c=t,d=0),d){case 0:break;case 1:t=n.localize(0,null,t);break;default:t=n.localize(1,null,t,d)}o.clearNode(e),e.textContent=t,e.style.visibility="hidden",e.style.visibility="visible"}}Object.defineProperty(t,"__esModule",{value:!0});var a,l,u;t.setARIAContainer=function(e){(a=document.createElement("div")).className="monaco-aria-container",(l=document.createElement("div")).className="monaco-alert",l.setAttribute("role","alert"),l.setAttribute("aria-atomic","true"),a.appendChild(l),(u=document.createElement("div")).className="monaco-status",u.setAttribute("role","status"),u.setAttribute("aria-atomic","true"),a.appendChild(u),e.appendChild(a)},t.alert=r,t.status=function(e){i.isMacintosh?r(e):s(u,e)};var d=0,c=void 0}),define(t[270],n([5,4]),function(e,t){return e.create("vs/base/browser/ui/findinput/findInput",t)}),define(t[271],n([5,4]),function(e,t){return e.create("vs/base/browser/ui/findinput/findInputCheckboxes",t)}),
define(t[152],n([0,1,487,271,563]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=i.localize(0,null),s=i.localize(1,null),a=i.localize(2,null),l=function(e){function t(t){return e.call(this,{actionClassName:"monaco-case-sensitive",title:r+t.appendTitle,isChecked:t.isChecked,inputActiveOptionBorder:t.inputActiveOptionBorder})||this}return o(t,e),t}(n.Checkbox);t.CaseSensitiveCheckbox=l;var u=function(e){function t(t){return e.call(this,{actionClassName:"monaco-whole-word",title:s+t.appendTitle,isChecked:t.isChecked,inputActiveOptionBorder:t.inputActiveOptionBorder})||this}return o(t,e),t}(n.Checkbox);t.WholeWordsCheckbox=u;var d=function(e){function t(t){return e.call(this,{actionClassName:"monaco-regex",title:a+t.appendTitle,isChecked:t.isChecked,inputActiveOptionBorder:t.inputActiveOptionBorder})||this}return o(t,e),t}(n.Checkbox);t.RegexCheckbox=d}),define(t[273],n([5,4]),function(e,t){return e.create("vs/base/browser/ui/inputbox/inputBox",t)}),
define(t[117],n([0,1,273,29,7,133,43,67,6,46,28,27,441,206]),function(e,t,n,i,r,s,a,l,u,d,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=r.$,g={inputBackground:c.Color.fromHex("#3C3C3C"),inputForeground:c.Color.fromHex("#CCCCCC"),inputValidationInfoBorder:c.Color.fromHex("#55AAFF"),inputValidationInfoBackground:c.Color.fromHex("#063B49"),inputValidationWarningBorder:c.Color.fromHex("#B89500"),inputValidationWarningBackground:c.Color.fromHex("#352A05"),inputValidationErrorBorder:c.Color.fromHex("#BE1100"),inputValidationErrorBackground:c.Color.fromHex("#5A1D1D")},m=function(e){function t(t,n,o){var s=e.call(this)||this;s.state="idle",s._onDidChange=s._register(new u.Emitter),s.onDidChange=s._onDidChange.event,s._onDidHeightChange=s._register(new u.Emitter),s.contextViewProvider=n,s.options=o||Object.create(null),h.mixin(s.options,g,!1),s.message=null,s.cachedHeight=null,s.placeholder=s.options.placeholder||"",s.ariaLabel=s.options.ariaLabel||"",
s.inputBackground=s.options.inputBackground,s.inputForeground=s.options.inputForeground,s.inputBorder=s.options.inputBorder,s.inputValidationInfoBorder=s.options.inputValidationInfoBorder,s.inputValidationInfoBackground=s.options.inputValidationInfoBackground,s.inputValidationInfoForeground=s.options.inputValidationInfoForeground,s.inputValidationWarningBorder=s.options.inputValidationWarningBorder,s.inputValidationWarningBackground=s.options.inputValidationWarningBackground,s.inputValidationWarningForeground=s.options.inputValidationWarningForeground,s.inputValidationErrorBorder=s.options.inputValidationErrorBorder,s.inputValidationErrorBackground=s.options.inputValidationErrorBackground,s.inputValidationErrorForeground=s.options.inputValidationErrorForeground,s.options.validationOptions&&(s.validation=s.options.validationOptions.validation),s.element=r.append(t,f(".monaco-inputbox.idle"));var a=s.options.flexibleHeight?"textarea":"input",d=r.append(s.element,f(".wrapper"))
;return s.input=r.append(d,f(a+".input")),s.input.setAttribute("autocorrect","off"),s.input.setAttribute("autocapitalize","off"),s.input.setAttribute("spellcheck","false"),s.onfocus(s.input,function(){return r.addClass(s.element,"synthetic-focus")}),s.onblur(s.input,function(){return r.removeClass(s.element,"synthetic-focus")}),s.options.flexibleHeight?s.mirror=r.append(d,f("div.mirror")):(s.input.type=s.options.type||"text",s.input.setAttribute("wrap","off")),s.ariaLabel&&s.input.setAttribute("aria-label",s.ariaLabel),s.placeholder&&s.setPlaceHolder(s.placeholder),s.oninput(s.input,function(){return s.onValueChange()}),s.onblur(s.input,function(){return s.onBlur()}),s.onfocus(s.input,function(){return s.onFocus()}),s.placeholder&&i.isIE&&s.onclick(s.input,function(e){r.EventHelper.stop(e,!0),s.input.focus()}),setTimeout(function(){s.input&&s.updateMirror()},0),s.options.actions&&(s.actionbar=s._register(new l.ActionBar(s.element)),s.actionbar.push(s.options.actions,{icon:!0,label:!1})),s.applyStyles(),s}
return o(t,e),t.prototype.onBlur=function(){this._hideMessage()},t.prototype.onFocus=function(){this._showMessage()},t.prototype.setPlaceHolder=function(e){this.input&&(this.input.setAttribute("placeholder",e),this.input.title=e)},t.prototype.setAriaLabel=function(e){this.ariaLabel=e,this.input&&(e?this.input.setAttribute("aria-label",this.ariaLabel):this.input.removeAttribute("aria-label"))},Object.defineProperty(t.prototype,"inputElement",{get:function(){return this.input},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"value",{get:function(){return this.input.value},set:function(e){this.input.value!==e&&(this.input.value=e,this.onValueChange())},enumerable:!0,configurable:!0}),t.prototype.focus=function(){this.input.focus()},t.prototype.blur=function(){this.input.blur()},t.prototype.hasFocus=function(){return document.activeElement===this.input},t.prototype.select=function(e){void 0===e&&(e=null),this.input.select(),e&&this.input.setSelectionRange(e.start,e.end)},
t.prototype.enable=function(){this.input.removeAttribute("disabled")},t.prototype.disable=function(){this.input.disabled=!0,this._hideMessage()},t.prototype.setEnabled=function(e){e?this.enable():this.disable()},Object.defineProperty(t.prototype,"width",{get:function(){return r.getTotalWidth(this.input)},set:function(e){this.input.style.width=e+"px"},enumerable:!0,configurable:!0}),t.prototype.showMessage=function(e,t){this.message=e,r.removeClass(this.element,"idle"),r.removeClass(this.element,"info"),r.removeClass(this.element,"warning"),r.removeClass(this.element,"error"),r.addClass(this.element,this.classForType(e.type));var i=this.stylesForType(this.message.type);this.element.style.border=i.border?"1px solid "+i.border:null;var o;o=3===e.type?n.localize(0,null,e.content):2===e.type?n.localize(1,null,e.content):n.localize(2,null,e.content),a.alert(o),(this.hasFocus()||t)&&this._showMessage()},t.prototype.hideMessage=function(){this.message=null,r.removeClass(this.element,"info"),
r.removeClass(this.element,"warning"),r.removeClass(this.element,"error"),r.addClass(this.element,"idle"),this._hideMessage(),this.applyStyles()},t.prototype.validate=function(){var e=null;return this.validation&&((e=this.validation(this.value))?(this.inputElement.setAttribute("aria-invalid","true"),this.showMessage(e)):this.inputElement.hasAttribute("aria-invalid")&&(this.inputElement.removeAttribute("aria-invalid"),this.hideMessage())),!e},t.prototype.stylesForType=function(e){switch(e){case 1:return{border:this.inputValidationInfoBorder,background:this.inputValidationInfoBackground,foreground:this.inputValidationInfoForeground};case 2:return{border:this.inputValidationWarningBorder,background:this.inputValidationWarningBackground,foreground:this.inputValidationWarningForeground};default:return{border:this.inputValidationErrorBorder,background:this.inputValidationErrorBackground,foreground:this.inputValidationErrorForeground}}},t.prototype.classForType=function(e){switch(e){case 1:return"info";case 2:
return"warning";default:return"error"}},t.prototype._showMessage=function(){var e=this;if(this.contextViewProvider&&this.message){var t,n=function(){return t.style.width=r.getTotalWidth(e.element)+"px"};this.state="open",this.contextViewProvider.showContextView({getAnchor:function(){return e.element},anchorAlignment:1,render:function(i){t=r.append(i,f(".monaco-inputbox-container")),n();var o={inline:!0,className:"monaco-inputbox-message"},a=e.message.formatContent?s.renderFormattedText(e.message.content,o):s.renderText(e.message.content,o);r.addClass(a,e.classForType(e.message.type));var l=e.stylesForType(e.message.type);return a.style.backgroundColor=l.background?l.background.toString():null,a.style.color=l.foreground?l.foreground.toString():null,a.style.border=l.border?"1px solid "+l.border:null,r.append(t,a),null},layout:n})}},t.prototype._hideMessage=function(){this.contextViewProvider&&"open"===this.state&&(this.state="idle",this.contextViewProvider.hideContextView())},
t.prototype.onValueChange=function(){this._onDidChange.fire(this.value),this.validate(),this.updateMirror(),"open"===this.state&&this.contextViewProvider.layout()},t.prototype.updateMirror=function(){if(this.mirror){var e=this.value||this.placeholder,t=10===e.charCodeAt(e.length-1)?" ":"";this.mirror.textContent=e+t,this.layout()}},t.prototype.style=function(e){this.inputBackground=e.inputBackground,this.inputForeground=e.inputForeground,this.inputBorder=e.inputBorder,this.inputValidationInfoBackground=e.inputValidationInfoBackground,this.inputValidationInfoForeground=e.inputValidationInfoForeground,this.inputValidationInfoBorder=e.inputValidationInfoBorder,this.inputValidationWarningBackground=e.inputValidationWarningBackground,this.inputValidationWarningForeground=e.inputValidationWarningForeground,this.inputValidationWarningBorder=e.inputValidationWarningBorder,this.inputValidationErrorBackground=e.inputValidationErrorBackground,this.inputValidationErrorForeground=e.inputValidationErrorForeground,
this.inputValidationErrorBorder=e.inputValidationErrorBorder,this.applyStyles()},t.prototype.applyStyles=function(){if(this.element){var e=this.inputBackground?this.inputBackground.toString():null,t=this.inputForeground?this.inputForeground.toString():null,n=this.inputBorder?this.inputBorder.toString():null;this.element.style.backgroundColor=e,this.element.style.color=t,this.input.style.backgroundColor=e,this.input.style.color=t,this.element.style.borderWidth=n?"1px":null,this.element.style.borderStyle=n?"solid":null,this.element.style.borderColor=n}},t.prototype.layout=function(){if(this.mirror){var e=this.cachedHeight;this.cachedHeight=r.getTotalHeight(this.mirror),e!==this.cachedHeight&&(this.input.style.height=this.cachedHeight+"px",this._onDidHeightChange.fire(this.cachedHeight))}},t.prototype.dispose=function(){this._hideMessage(),this.element=null,this.input=null,this.contextViewProvider=null,this.message=null,this.placeholder=null,this.ariaLabel=null,this.validation=null,this.state=null,
this.actionbar=null,e.prototype.dispose.call(this)},t}(d.Widget);t.InputBox=m;var v=function(e){function t(t,n,i){var o=e.call(this,t,n,i)||this;return o.history=new p.HistoryNavigator(i.history,100),o}return o(t,e),t.prototype.addToHistory=function(){this.value&&this.value!==this.getCurrentValue()&&this.history.add(this.value)},t.prototype.showNextValue=function(){this.history.has(this.value)||this.addToHistory();var e=this.getNextValue();e&&(e=e===this.value?this.getNextValue():e),e&&(this.value=e,a.status(this.value))},t.prototype.showPreviousValue=function(){this.history.has(this.value)||this.addToHistory();var e=this.getPreviousValue();e&&(e=e===this.value?this.getPreviousValue():e),e&&(this.value=e,a.status(this.value))},t.prototype.getCurrentValue=function(){var e=this.history.current();return e||(e=this.history.last(),this.history.next()),e},t.prototype.getPreviousValue=function(){return this.history.previous()||this.history.first()},t.prototype.getNextValue=function(){
return this.history.next()||this.history.last()},t}(m);t.HistoryInputBox=v}),define(t[275],n([0,1,270,7,117,46,6,152,557]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=n.localize(0,null),d=function(e){function t(t,n,i,o){var r=e.call(this)||this;return r._showOptionButtons=i,r.fixFocusOnOptionClickEnabled=!0,r._onDidOptionChange=r._register(new a.Emitter),r.onDidOptionChange=r._onDidOptionChange.event,r._onKeyDown=r._register(new a.Emitter),r.onKeyDown=r._onKeyDown.event,r._onMouseDown=r._register(new a.Emitter),r.onMouseDown=r._onMouseDown.event,r._onInput=r._register(new a.Emitter),r._onKeyUp=r._register(new a.Emitter),r._onCaseSensitiveKeyDown=r._register(new a.Emitter),r.onCaseSensitiveKeyDown=r._onCaseSensitiveKeyDown.event,r._onRegexKeyDown=r._register(new a.Emitter),r._lastHighlightFindOptions=0,r.contextViewProvider=n,r.width=o.width||100,r.placeholder=o.placeholder||"",r.validation=o.validation,r.label=o.label||u,
r.inputActiveOptionBorder=o.inputActiveOptionBorder,r.inputBackground=o.inputBackground,r.inputForeground=o.inputForeground,r.inputBorder=o.inputBorder,r.inputValidationInfoBorder=o.inputValidationInfoBorder,r.inputValidationInfoBackground=o.inputValidationInfoBackground,r.inputValidationInfoForeground=o.inputValidationInfoForeground,r.inputValidationWarningBorder=o.inputValidationWarningBorder,r.inputValidationWarningBackground=o.inputValidationWarningBackground,r.inputValidationWarningForeground=o.inputValidationWarningForeground,r.inputValidationErrorBorder=o.inputValidationErrorBorder,r.inputValidationErrorBackground=o.inputValidationErrorBackground,r.inputValidationErrorForeground=o.inputValidationErrorForeground,r.regex=null,r.wholeWords=null,r.caseSensitive=null,r.domNode=null,r.inputBox=null,r.buildDomNode(o.appendCaseSensitiveLabel||"",o.appendWholeWordsLabel||"",o.appendRegexLabel||"",o.history),Boolean(t)&&t.appendChild(r.domNode),r.onkeydown(r.inputBox.inputElement,function(e){
return r._onKeyDown.fire(e)}),r.onkeyup(r.inputBox.inputElement,function(e){return r._onKeyUp.fire(e)}),r.oninput(r.inputBox.inputElement,function(e){return r._onInput.fire()}),r.onmousedown(r.inputBox.inputElement,function(e){return r._onMouseDown.fire(e)}),r}return o(t,e),t.prototype.enable=function(){i.removeClass(this.domNode,"disabled"),this.inputBox.enable(),this.regex.enable(),this.wholeWords.enable(),this.caseSensitive.enable()},t.prototype.disable=function(){i.addClass(this.domNode,"disabled"),this.inputBox.disable(),this.regex.disable(),this.wholeWords.disable(),this.caseSensitive.disable()},t.prototype.setFocusInputOnOptionClick=function(e){this.fixFocusOnOptionClickEnabled=e},t.prototype.setEnabled=function(e){e?this.enable():this.disable()},t.prototype.getValue=function(){return this.inputBox.value},t.prototype.setValue=function(e){this.inputBox.value!==e&&(this.inputBox.value=e)},t.prototype.style=function(e){this.inputActiveOptionBorder=e.inputActiveOptionBorder,
this.inputBackground=e.inputBackground,this.inputForeground=e.inputForeground,this.inputBorder=e.inputBorder,this.inputValidationInfoBackground=e.inputValidationInfoBackground,this.inputValidationInfoForeground=e.inputValidationInfoForeground,this.inputValidationInfoBorder=e.inputValidationInfoBorder,this.inputValidationWarningBackground=e.inputValidationWarningBackground,this.inputValidationWarningForeground=e.inputValidationWarningForeground,this.inputValidationWarningBorder=e.inputValidationWarningBorder,this.inputValidationErrorBackground=e.inputValidationErrorBackground,this.inputValidationErrorForeground=e.inputValidationErrorForeground,this.inputValidationErrorBorder=e.inputValidationErrorBorder,this.applyStyles()},t.prototype.applyStyles=function(){if(this.domNode){var e={inputActiveOptionBorder:this.inputActiveOptionBorder};this.regex.style(e),this.wholeWords.style(e),this.caseSensitive.style(e);var t={inputBackground:this.inputBackground,inputForeground:this.inputForeground,
inputBorder:this.inputBorder,inputValidationInfoBackground:this.inputValidationInfoBackground,inputValidationInfoForeground:this.inputValidationInfoForeground,inputValidationInfoBorder:this.inputValidationInfoBorder,inputValidationWarningBackground:this.inputValidationWarningBackground,inputValidationWarningForeground:this.inputValidationWarningForeground,inputValidationWarningBorder:this.inputValidationWarningBorder,inputValidationErrorBackground:this.inputValidationErrorBackground,inputValidationErrorForeground:this.inputValidationErrorForeground,inputValidationErrorBorder:this.inputValidationErrorBorder};this.inputBox.style(t)}},t.prototype.select=function(){this.inputBox.select()},t.prototype.focus=function(){this.inputBox.focus()},t.prototype.getCaseSensitive=function(){return this.caseSensitive.checked},t.prototype.setCaseSensitive=function(e){this.caseSensitive.checked=e,this.setInputWidth()},t.prototype.getWholeWords=function(){return this.wholeWords.checked},t.prototype.setWholeWords=function(e){
this.wholeWords.checked=e,this.setInputWidth()},t.prototype.getRegex=function(){return this.regex.checked},t.prototype.setRegex=function(e){this.regex.checked=e,this.setInputWidth(),this.validate()},t.prototype.focusOnCaseSensitive=function(){this.caseSensitive.focus()},t.prototype.highlightFindOptions=function(){i.removeClass(this.domNode,"highlight-"+this._lastHighlightFindOptions),this._lastHighlightFindOptions=1-this._lastHighlightFindOptions,i.addClass(this.domNode,"highlight-"+this._lastHighlightFindOptions)},t.prototype.setInputWidth=function(){var e=this.width-this.caseSensitive.width()-this.wholeWords.width()-this.regex.width();this.inputBox.width=e},t.prototype.buildDomNode=function(e,t,n,o){var s=this;this.domNode=document.createElement("div"),this.domNode.style.width=this.width+"px",i.addClass(this.domNode,"monaco-findInput"),this.inputBox=this._register(new r.HistoryInputBox(this.domNode,this.contextViewProvider,{placeholder:this.placeholder||"",ariaLabel:this.label||"",validationOptions:{
validation:this.validation||null},inputBackground:this.inputBackground,inputForeground:this.inputForeground,inputBorder:this.inputBorder,inputValidationInfoBackground:this.inputValidationInfoBackground,inputValidationInfoForeground:this.inputValidationInfoForeground,inputValidationInfoBorder:this.inputValidationInfoBorder,inputValidationWarningBackground:this.inputValidationWarningBackground,inputValidationWarningForeground:this.inputValidationWarningForeground,inputValidationWarningBorder:this.inputValidationWarningBorder,inputValidationErrorBackground:this.inputValidationErrorBackground,inputValidationErrorForeground:this.inputValidationErrorForeground,inputValidationErrorBorder:this.inputValidationErrorBorder,history:o})),this.regex=this._register(new l.RegexCheckbox({appendTitle:n,isChecked:!1,inputActiveOptionBorder:this.inputActiveOptionBorder})),this._register(this.regex.onChange(function(e){s._onDidOptionChange.fire(e),!e&&s.fixFocusOnOptionClickEnabled&&s.inputBox.focus(),s.setInputWidth(),
s.validate()})),this._register(this.regex.onKeyDown(function(e){s._onRegexKeyDown.fire(e)})),this.wholeWords=this._register(new l.WholeWordsCheckbox({appendTitle:t,isChecked:!1,inputActiveOptionBorder:this.inputActiveOptionBorder})),this._register(this.wholeWords.onChange(function(e){s._onDidOptionChange.fire(e),!e&&s.fixFocusOnOptionClickEnabled&&s.inputBox.focus(),s.setInputWidth(),s.validate()})),this.caseSensitive=this._register(new l.CaseSensitiveCheckbox({appendTitle:e,isChecked:!1,inputActiveOptionBorder:this.inputActiveOptionBorder})),this._register(this.caseSensitive.onChange(function(e){s._onDidOptionChange.fire(e),!e&&s.fixFocusOnOptionClickEnabled&&s.inputBox.focus(),s.setInputWidth(),s.validate()})),this._register(this.caseSensitive.onKeyDown(function(e){s._onCaseSensitiveKeyDown.fire(e)}));var a=[this.caseSensitive.domNode,this.wholeWords.domNode,this.regex.domNode];this.onkeydown(this.domNode,function(e){if(e.equals(15)||e.equals(17)||e.equals(9)){var t=a.indexOf(document.activeElement)
;if(t>=0){var n=void 0;e.equals(17)?n=(t+1)%a.length:e.equals(15)&&(n=0===t?a.length-1:t-1),e.equals(9)?a[t].blur():n>=0&&a[n].focus(),i.EventHelper.stop(e,!0)}}}),this.setInputWidth();var u=document.createElement("div");u.className="controls",u.style.display=this._showOptionButtons?"block":"none",u.appendChild(this.caseSensitive.domNode),u.appendChild(this.wholeWords.domNode),u.appendChild(this.regex.domNode),this.domNode.appendChild(u)},t.prototype.validate=function(){this.inputBox.validate()},t.prototype.clearMessage=function(){this.inputBox.hideMessage()},t.prototype.dispose=function(){e.prototype.dispose.call(this)},t}(s.Widget);t.FindInput=d}),define(t[276],n([5,4]),function(e,t){return e.create("vs/base/browser/ui/list/listWidget",t)}),define(t[277],n([0,1,276,2,32,22,128,7,17,75,52,6,72,231,28,27,419,427,211]),function(e,t,n,i,r,s,l,u,d,c,h,p,f,g,m,v,_,y){"use strict";function C(e){return"INPUT"===e.tagName||"TEXTAREA"===e.tagName}function b(e){
return d.isMacintosh?e.browserEvent.metaKey:e.browserEvent.ctrlKey}function S(e){return e.browserEvent.shiftKey}function w(e){return e instanceof MouseEvent&&2===e.button}function E(e,t){for(var n=[],i=0,o=0;i<e.length||o<t.length;)if(i>=e.length)n.push(t[o++]);else if(o>=t.length)n.push(e[i++]);else{if(e[i]===t[o]){n.push(e[i]),i++,o++;continue}e[i]<t[o]?n.push(e[i++]):n.push(t[o++])}return n}Object.defineProperty(t,"__esModule",{value:!0});var L=function(){function e(e){this.trait=e,this.renderedElements=[]}return Object.defineProperty(e.prototype,"templateId",{get:function(){return"template:"+this.trait.trait},enumerable:!0,configurable:!0}),e.prototype.renderTemplate=function(e){return e},e.prototype.renderElement=function(e,t,n){var i=s.firstIndex(this.renderedElements,function(e){return e.templateData===n});if(i>=0){o=this.renderedElements[i];this.trait.unrender(n),o.index=t}else{var o={index:t,templateData:n};this.renderedElements.push(o)}this.trait.renderIndex(t,n)},
e.prototype.disposeElement=function(){},e.prototype.splice=function(e,t,n){for(var i=[],o=0;o<this.renderedElements.length;o++){var r=this.renderedElements[o];r.index<e?i.push(r):r.index>=e+t&&i.push({index:r.index+n-t,templateData:r.templateData})}this.renderedElements=i},e.prototype.renderIndexes=function(e){for(var t=0,n=this.renderedElements;t<n.length;t++){var i=n[t],o=i.index,r=i.templateData;e.indexOf(o)>-1&&this.trait.renderIndex(o,r)}},e.prototype.disposeTemplate=function(e){var t=s.firstIndex(this.renderedElements,function(t){return t.templateData===e});t<0||this.renderedElements.splice(t,1)},e}(),x=function(){function e(e){this._trait=e,this._onChange=new p.Emitter,this.indexes=[]}return Object.defineProperty(e.prototype,"onChange",{get:function(){return this._onChange.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"trait",{get:function(){return this._trait},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"renderer",{get:function(){return new L(this)},
enumerable:!0,configurable:!0}),e.prototype.splice=function(e,t,n){var i=n.length-t,o=e+t,r=this.indexes.filter(function(t){return t<e}).concat(n.map(function(t,n){return t?n+e:-1}).filter(function(e){return-1!==e}),this.indexes.filter(function(e){return e>=o}).map(function(e){return e+i}));this.renderer.splice(e,t,n.length),this.set(r)},e.prototype.renderIndex=function(e,t){u.toggleClass(t,this._trait,this.contains(e))},e.prototype.unrender=function(e){u.removeClass(e,this._trait)},e.prototype.set=function(e,t){var n=this.indexes;this.indexes=e;var i=E(n,e);return this.renderer.renderIndexes(i),this._onChange.fire({indexes:e,browserEvent:t}),n},e.prototype.get=function(){return this.indexes},e.prototype.contains=function(e){return this.indexes.some(function(t){return t===e})},e.prototype.dispose=function(){this.indexes=null,this._onChange=i.dispose(this._onChange)},a([l.memoize],e.prototype,"renderer",null),e}(),I=function(e){function t(t){var n=e.call(this,"focused")||this;return n.getDomId=t,n}
return o(t,e),t.prototype.renderIndex=function(t,n){e.prototype.renderIndex.call(this,t,n),n.setAttribute("role","treeitem"),n.setAttribute("id",this.getDomId(t)),this.contains(t)?n.setAttribute("aria-selected","true"):n.removeAttribute("aria-selected")},t}(x),N=function(){function e(e,t,n){this.trait=e,this.view=t,this.getId=n}return e.prototype.splice=function(e,t,n){var i=this;if(!this.getId)return this.trait.splice(e,t,n.map(function(e){return!1}));var o=this.trait.get().map(function(e){return i.getId(i.view.element(e))}),r=n.map(function(e){return o.indexOf(i.getId(e))>-1});this.trait.splice(e,t,r)},e}(),D=function(){function e(e,t,n){this.list=e,this.view=t;var i=!(!1===n.multipleSelectionSupport);this.disposables=[],this.openController=n.openController||T;var o=p.chain(f.domEvent(t.domNode,"keydown")).filter(function(e){return!C(e.target)}).map(function(e){return new h.StandardKeyboardEvent(e)});o.filter(function(e){return 3===e.keyCode}).on(this.onEnter,this,this.disposables),o.filter(function(e){
return 16===e.keyCode}).on(this.onUpArrow,this,this.disposables),o.filter(function(e){return 18===e.keyCode}).on(this.onDownArrow,this,this.disposables),o.filter(function(e){return 11===e.keyCode}).on(this.onPageUpArrow,this,this.disposables),o.filter(function(e){return 12===e.keyCode}).on(this.onPageDownArrow,this,this.disposables),o.filter(function(e){return 9===e.keyCode}).on(this.onEscape,this,this.disposables),i&&o.filter(function(e){return(d.isMacintosh?e.metaKey:e.ctrlKey)&&31===e.keyCode}).on(this.onCtrlA,this,this.disposables)}return e.prototype.onEnter=function(e){e.preventDefault(),e.stopPropagation(),this.list.setSelection(this.list.getFocus(),e.browserEvent),this.openController.shouldOpen(e.browserEvent)&&this.list.open(this.list.getFocus(),e.browserEvent)},e.prototype.onUpArrow=function(e){e.preventDefault(),e.stopPropagation(),this.list.focusPrevious(1,!1,e.browserEvent),this.list.reveal(this.list.getFocus()[0]),this.view.domNode.focus()},e.prototype.onDownArrow=function(e){e.preventDefault(),
e.stopPropagation(),this.list.focusNext(1,!1,e.browserEvent),this.list.reveal(this.list.getFocus()[0]),this.view.domNode.focus()},e.prototype.onPageUpArrow=function(e){e.preventDefault(),e.stopPropagation(),this.list.focusPreviousPage(e.browserEvent),this.list.reveal(this.list.getFocus()[0]),this.view.domNode.focus()},e.prototype.onPageDownArrow=function(e){e.preventDefault(),e.stopPropagation(),this.list.focusNextPage(e.browserEvent),this.list.reveal(this.list.getFocus()[0]),this.view.domNode.focus()},e.prototype.onCtrlA=function(e){e.preventDefault(),e.stopPropagation(),this.list.setSelection(s.range(this.list.length),e.browserEvent),this.view.domNode.focus()},e.prototype.onEscape=function(e){e.preventDefault(),e.stopPropagation(),this.list.setSelection([],e.browserEvent),this.view.domNode.focus()},e.prototype.dispose=function(){this.disposables=i.dispose(this.disposables)},e}(),M=function(){function e(e,t){this.list=e,this.view=t,this.disposables=[],this.disposables=[]
;p.chain(f.domEvent(t.domNode,"keydown")).filter(function(e){return!C(e.target)}).map(function(e){return new h.StandardKeyboardEvent(e)}).filter(function(e){return!(2!==e.keyCode||e.ctrlKey||e.metaKey||e.shiftKey||e.altKey)}).on(this.onTab,this,this.disposables)}return e.prototype.onTab=function(e){if(e.target===this.view.domNode){var t=this.list.getFocus();if(0!==t.length){var n=this.view.domElement(t[0]).querySelector("[tabIndex]");if(n&&n instanceof HTMLElement&&-1!==n.tabIndex){var i=window.getComputedStyle(n);"hidden"!==i.visibility&&"none"!==i.display&&(e.preventDefault(),e.stopPropagation(),n.focus())}}}},e.prototype.dispose=function(){this.disposables=i.dispose(this.disposables)},e}();t.isSelectionSingleChangeEvent=b,t.isSelectionRangeChangeEvent=S;var k={isSelectionSingleChangeEvent:b,isSelectionRangeChangeEvent:S},T={shouldOpen:function(e){return!(e instanceof MouseEvent)||!w(e)}},R=function(){function e(e,t,n){void 0===n&&(n={}),this.list=e,this.view=t,this.options=n,
this.didJustPressContextMenuKey=!1,this.disposables=[],this.multipleSelectionSupport=!(!1===n.multipleSelectionSupport),this.multipleSelectionSupport&&(this.multipleSelectionController=n.multipleSelectionController||k),this.openController=n.openController||T,t.onMouseDown(this.onMouseDown,this,this.disposables),t.onMouseClick(this.onPointer,this,this.disposables),t.onMouseDblClick(this.onDoubleClick,this,this.disposables),t.onTouchStart(this.onMouseDown,this,this.disposables),t.onTap(this.onPointer,this,this.disposables),c.Gesture.addTarget(t.domNode)}return Object.defineProperty(e.prototype,"onContextMenu",{get:function(){var e=this,t=p.chain(f.domEvent(this.view.domNode,"keydown")).map(function(e){return new h.StandardKeyboardEvent(e)}).filter(function(t){return e.didJustPressContextMenuKey=58===t.keyCode||t.shiftKey&&68===t.keyCode}).filter(function(e){return e.preventDefault(),e.stopPropagation(),!1}).map(function(t){var n=e.list.getFocus()[0];return{index:n,element:e.view.element(n),
anchor:e.view.domElement(n),browserEvent:t.browserEvent}}).event,n=p.chain(f.domEvent(this.view.domNode,"keyup")).filter(function(){var t=e.didJustPressContextMenuKey;return e.didJustPressContextMenuKey=!1,t}).filter(function(){return e.list.getFocus().length>0}).map(function(t){var n=e.list.getFocus()[0];return{index:n,element:e.view.element(n),anchor:e.view.domElement(n),browserEvent:t}}).filter(function(e){return!!e.anchor}).event,i=p.chain(this.view.onContextMenu).filter(function(){return!e.didJustPressContextMenuKey}).map(function(e){var t=e.element,n=e.index,i=e.browserEvent;return{element:t,index:n,anchor:{x:i.clientX+1,y:i.clientY},browserEvent:i}}).event;return p.anyEvent(t,n,i)},enumerable:!0,configurable:!0}),e.prototype.isSelectionSingleChangeEvent=function(e){return this.multipleSelectionController?this.multipleSelectionController.isSelectionSingleChangeEvent(e):d.isMacintosh?e.browserEvent.metaKey:e.browserEvent.ctrlKey},e.prototype.isSelectionRangeChangeEvent=function(e){
return this.multipleSelectionController?this.multipleSelectionController.isSelectionRangeChangeEvent(e):e.browserEvent.shiftKey},e.prototype.isSelectionChangeEvent=function(e){return this.isSelectionSingleChangeEvent(e)||this.isSelectionRangeChangeEvent(e)},e.prototype.onMouseDown=function(e){!1===this.options.focusOnMouseDown?(e.browserEvent.preventDefault(),e.browserEvent.stopPropagation()):document.activeElement!==e.browserEvent.target&&this.view.domNode.focus();var t=this.list.getFocus()[0],n=this.list.getSelection();if(t=void 0===t?n[0]:t,this.multipleSelectionSupport&&this.isSelectionRangeChangeEvent(e))return this.changeSelection(e,t);var i=e.index;if(n.every(function(e){return e!==i})&&this.list.setFocus([i],e.browserEvent),this.multipleSelectionSupport&&this.isSelectionChangeEvent(e))return this.changeSelection(e,t);this.options.selectOnMouseDown&&!w(e.browserEvent)&&(this.list.setSelection([i],e.browserEvent),this.openController.shouldOpen(e.browserEvent)&&this.list.open([i],e.browserEvent))},
e.prototype.onPointer=function(e){if(!(this.multipleSelectionSupport&&this.isSelectionChangeEvent(e)||this.options.selectOnMouseDown)){var t=this.list.getFocus();this.list.setSelection(t,e.browserEvent),this.openController.shouldOpen(e.browserEvent)&&this.list.open(t,e.browserEvent)}},e.prototype.onDoubleClick=function(e){if(!this.multipleSelectionSupport||!this.isSelectionChangeEvent(e)){var t=this.list.getFocus();this.list.setSelection(t,e.browserEvent),this.list.pin(t)}},e.prototype.changeSelection=function(e,t){var n=e.index;if(this.isSelectionRangeChangeEvent(e)&&void 0!==t){var i=Math.min(t,n),o=Math.max(t,n),r=s.range(i,o+1),a=function(e,t){var n=e.indexOf(t);if(-1===n)return[];for(var i=[],o=n-1;o>=0&&e[o]===t-(n-o);)i.push(e[o--]);for(i.reverse(),o=n;o<e.length&&e[o]===t+(o-n);)i.push(e[o++]);return i}(E(l=this.list.getSelection(),[t]),t);if(0===a.length)return;u=E(r,function(e,t){for(var n=[],i=0,o=0;i<e.length||o<t.length;)if(i>=e.length)n.push(t[o++]);else if(o>=t.length)n.push(e[i++]);else{
if(e[i]===t[o]){i++,o++;continue}e[i]<t[o]?n.push(e[i++]):o++}return n}(l,a));this.list.setSelection(u,e.browserEvent)}else if(this.isSelectionSingleChangeEvent(e)){var l=this.list.getSelection(),u=l.filter(function(e){return e!==n});l.length===u.length?this.list.setSelection(u.concat([n]),e.browserEvent):this.list.setSelection(u,e.browserEvent)}},e.prototype.dispose=function(){this.disposables=i.dispose(this.disposables)},a([l.memoize],e.prototype,"onContextMenu",null),e}(),O=function(){function e(e,t){this.styleElement=e,this.selectorSuffix=t}return e.prototype.style=function(e){var t=this.selectorSuffix?"."+this.selectorSuffix:"",n=[];e.listFocusBackground&&(n.push(".monaco-list"+t+":focus .monaco-list-row.focused { background-color: "+e.listFocusBackground+"; }"),n.push(".monaco-list"+t+":focus .monaco-list-row.focused:hover { background-color: "+e.listFocusBackground+"; }")),e.listFocusForeground&&n.push(".monaco-list"+t+":focus .monaco-list-row.focused { color: "+e.listFocusForeground+"; }"),
e.listActiveSelectionBackground&&(n.push(".monaco-list"+t+":focus .monaco-list-row.selected { background-color: "+e.listActiveSelectionBackground+"; }"),n.push(".monaco-list"+t+":focus .monaco-list-row.selected:hover { background-color: "+e.listActiveSelectionBackground+"; }")),e.listActiveSelectionForeground&&n.push(".monaco-list"+t+":focus .monaco-list-row.selected { color: "+e.listActiveSelectionForeground+"; }"),e.listFocusAndSelectionBackground&&n.push(".monaco-list"+t+":focus .monaco-list-row.selected.focused { background-color: "+e.listFocusAndSelectionBackground+"; }"),e.listFocusAndSelectionForeground&&n.push(".monaco-list"+t+":focus .monaco-list-row.selected.focused { color: "+e.listFocusAndSelectionForeground+"; }"),e.listInactiveFocusBackground&&(n.push(".monaco-list"+t+" .monaco-list-row.focused { background-color:  "+e.listInactiveFocusBackground+"; }"),n.push(".monaco-list"+t+" .monaco-list-row.focused:hover { background-color:  "+e.listInactiveFocusBackground+"; }")),
e.listInactiveSelectionBackground&&(n.push(".monaco-list"+t+" .monaco-list-row.selected { background-color:  "+e.listInactiveSelectionBackground+"; }"),n.push(".monaco-list"+t+" .monaco-list-row.selected:hover { background-color:  "+e.listInactiveSelectionBackground+"; }")),e.listInactiveSelectionForeground&&n.push(".monaco-list"+t+" .monaco-list-row.selected { color: "+e.listInactiveSelectionForeground+"; }"),e.listHoverBackground&&n.push(".monaco-list"+t+" .monaco-list-row:hover { background-color:  "+e.listHoverBackground+"; }"),e.listHoverForeground&&n.push(".monaco-list"+t+" .monaco-list-row:hover { color:  "+e.listHoverForeground+"; }"),e.listSelectionOutline&&n.push(".monaco-list"+t+" .monaco-list-row.selected { outline: 1px dotted "+e.listSelectionOutline+"; outline-offset: -1px; }"),e.listFocusOutline&&n.push(".monaco-list"+t+":focus .monaco-list-row.focused { outline: 1px solid "+e.listFocusOutline+"; outline-offset: -1px; }"),
e.listInactiveFocusOutline&&n.push(".monaco-list"+t+" .monaco-list-row.focused { outline: 1px dotted "+e.listInactiveFocusOutline+"; outline-offset: -1px; }"),e.listHoverOutline&&n.push(".monaco-list"+t+" .monaco-list-row:hover { outline: 1px dashed "+e.listHoverOutline+"; outline-offset: -1px; }");var i=n.join("\n");i!==this.styleElement.innerHTML&&(this.styleElement.innerHTML=i)},e}();t.DefaultStyleController=O;var P={listFocusBackground:m.Color.fromHex("#073655"),listActiveSelectionBackground:m.Color.fromHex("#0E639C"),listActiveSelectionForeground:m.Color.fromHex("#FFFFFF"),listFocusAndSelectionBackground:m.Color.fromHex("#094771"),listFocusAndSelectionForeground:m.Color.fromHex("#FFFFFF"),listInactiveSelectionBackground:m.Color.fromHex("#3F3F46"),listHoverBackground:m.Color.fromHex("#2A2D2E"),listDropBackground:m.Color.fromHex("#383B3D")},A={keyboardSupport:!0,mouseSupport:!0,multipleSelectionSupport:!0},F=function(e,t){return e-t},W=function(){function e(e,t){this._templateId=e,this.renderers=t}
return Object.defineProperty(e.prototype,"templateId",{get:function(){return this._templateId},enumerable:!0,configurable:!0}),e.prototype.renderTemplate=function(e){return this.renderers.map(function(t){return t.renderTemplate(e)})},e.prototype.renderElement=function(e,t,n){for(var i=0,o=0,r=this.renderers;o<r.length;o++){r[o].renderElement(e,t,n[i++])}},e.prototype.disposeElement=function(e,t,n){for(var i=0,o=0,r=this.renderers;o<r.length;o++){r[o].disposeElement(e,t,n[i++])}},e.prototype.disposeTemplate=function(e){for(var t=0,n=0,i=this.renderers;n<i.length;n++){i[n].disposeTemplate(e[t++])}},e}(),V=function(){function e(e){this.accessibilityProvider=e,this.templateId="a18n"}return e.prototype.renderTemplate=function(e){return e},e.prototype.renderElement=function(e,t,n){var i=this.accessibilityProvider.getAriaLabel(e);i?n.setAttribute("aria-label",i):n.removeAttribute("aria-label")},e.prototype.disposeElement=function(e,t,n){},e.prototype.disposeTemplate=function(e){},e}(),H=function(){
function e(t,i,o,r){void 0===r&&(r=A);var s=this;this.idPrefix="list_id_"+ ++e.InstanceCount,this.eventBufferer=new p.EventBufferer,this.onContextMenu=p.Event.None,this._onOpen=new p.Emitter,this._onPin=new p.Emitter,this._onDidDispose=new p.Emitter,this.focus=new I(function(e){return s.getElementDomId(e)}),this.selection=new x("selected"),v.mixin(r,P,!1);var a=[this.focus.renderer,this.selection.renderer];if(r.accessibilityProvider&&a.push(new V(r.accessibilityProvider)),o=o.map(function(e){return new W(e.templateId,a.concat([e]))}),this.view=new g.ListView(t,i,o,r),this.view.domNode.setAttribute("role","tree"),u.addClass(this.view.domNode,this.idPrefix),this.view.domNode.tabIndex=0,this.styleElement=u.createStyleSheet(this.view.domNode),this.styleController=r.styleController,this.styleController||(this.styleController=new O(this.styleElement,this.idPrefix)),this.spliceable=new _.CombinedSpliceable([new N(this.focus,this.view,r.identityProvider),new N(this.selection,this.view,r.identityProvider),this.view]),
this.disposables=[this.focus,this.selection,this.view,this._onDidDispose],this.onDidFocus=p.mapEvent(f.domEvent(this.view.domNode,"focus",!0),function(){return null}),this.onDidBlur=p.mapEvent(f.domEvent(this.view.domNode,"blur",!0),function(){return null}),this.disposables.push(new M(this,this.view)),"boolean"!=typeof r.keyboardSupport||r.keyboardSupport){var l=new D(this,this.view,r);this.disposables.push(l)}("boolean"!=typeof r.mouseSupport||r.mouseSupport)&&(this.mouseController=new R(this,this.view,r),this.disposables.push(this.mouseController),this.onContextMenu=this.mouseController.onContextMenu),this.onFocusChange(this._onFocusChange,this,this.disposables),this.onSelectionChange(this._onSelectionChange,this,this.disposables),r.ariaLabel&&this.view.domNode.setAttribute("aria-label",n.localize(0,null,r.ariaLabel)),this.style(r)}return Object.defineProperty(e.prototype,"onFocusChange",{get:function(){var e=this;return p.mapEvent(this.eventBufferer.wrapEvent(this.focus.onChange),function(t){
return e.toListEvent(t)})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onSelectionChange",{get:function(){var e=this;return p.mapEvent(this.eventBufferer.wrapEvent(this.selection.onChange),function(t){return e.toListEvent(t)})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseClick",{get:function(){return this.view.onMouseClick},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onKeyDown",{get:function(){return f.domEvent(this.view.domNode,"keydown")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidDispose",{get:function(){return this._onDidDispose.event},enumerable:!0,configurable:!0}),e.prototype.splice=function(e,t,n){var i=this;if(void 0===n&&(n=[]),e<0||e>this.view.length)throw new Error("Invalid start index: "+e);if(t<0)throw new Error("Invalid delete count: "+t);0===t&&0===n.length||this.eventBufferer.bufferEvents(function(){return i.spliceable.splice(e,t,n)})},Object.defineProperty(e.prototype,"length",{
get:function(){return this.view.length},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"contentHeight",{get:function(){return this.view.getContentHeight()},enumerable:!0,configurable:!0}),e.prototype.layout=function(e){this.view.layout(e)},e.prototype.setSelection=function(e,t){for(var n=0,i=e;n<i.length;n++){var o=i[n];if(o<0||o>=this.length)throw new Error("Invalid index "+o)}e=e.sort(F),this.selection.set(e,t)},e.prototype.getSelection=function(){return this.selection.get()},e.prototype.setFocus=function(e,t){for(var n=0,i=e;n<i.length;n++){var o=i[n];if(o<0||o>=this.length)throw new Error("Invalid index "+o)}e=e.sort(F),this.focus.set(e,t)},e.prototype.focusNext=function(e,t,n){if(void 0===e&&(e=1),void 0===t&&(t=!1),0!==this.length){var i=this.focus.get(),o=i.length>0?i[0]+e:0;this.setFocus(t?[o%this.length]:[Math.min(o,this.length-1)],n)}},e.prototype.focusPrevious=function(e,t,n){if(void 0===e&&(e=1),void 0===t&&(t=!1),0!==this.length){var i=this.focus.get(),o=i.length>0?i[0]-e:0
;t&&o<0&&(o=(this.length+o%this.length)%this.length),this.setFocus([Math.max(o,0)],n)}},e.prototype.focusNextPage=function(e){var t=this,n=this.view.indexAt(this.view.getScrollTop()+this.view.renderHeight);n=0===n?0:n-1;var i=this.view.element(n);if(this.getFocusedElements()[0]!==i)this.setFocus([n],e);else{var o=this.view.getScrollTop();this.view.setScrollTop(o+this.view.renderHeight-this.view.elementHeight(n)),this.view.getScrollTop()!==o&&setTimeout(function(){return t.focusNextPage(e)},0)}},e.prototype.focusPreviousPage=function(e){var t,n=this,i=this.view.getScrollTop();t=0===i?this.view.indexAt(i):this.view.indexAfter(i-1);var o=this.view.element(t);if(this.getFocusedElements()[0]!==o)this.setFocus([t],e);else{var r=i;this.view.setScrollTop(i-this.view.renderHeight),this.view.getScrollTop()!==r&&setTimeout(function(){return n.focusPreviousPage(e)},0)}},e.prototype.focusLast=function(e){0!==this.length&&this.setFocus([this.length-1],e)},e.prototype.focusFirst=function(e){
0!==this.length&&this.setFocus([0],e)},e.prototype.getFocus=function(){return this.focus.get()},e.prototype.getFocusedElements=function(){var e=this;return this.getFocus().map(function(t){return e.view.element(t)})},e.prototype.reveal=function(e,t){if(e<0||e>=this.length)throw new Error("Invalid index "+e);var n=this.view.getScrollTop(),i=this.view.elementTop(e),o=this.view.elementHeight(e);if(r.isNumber(t)){var s=o-this.view.renderHeight;this.view.setScrollTop(s*y.clamp(t,0,1)+i)}else{var a=i+o,l=n+this.view.renderHeight;i<n?this.view.setScrollTop(i):a>=l&&this.view.setScrollTop(a-this.view.renderHeight)}},e.prototype.getElementDomId=function(e){return this.idPrefix+"_"+e},e.prototype.getHTMLElement=function(){return this.view.domNode},e.prototype.open=function(e,t){for(var n=this,i=0,o=e;i<o.length;i++){var r=o[i];if(r<0||r>=this.length)throw new Error("Invalid index "+r)}this._onOpen.fire({indexes:e,elements:e.map(function(e){return n.view.element(e)}),browserEvent:t})},e.prototype.pin=function(e){
for(var t=0,n=e;t<n.length;t++){var i=n[t];if(i<0||i>=this.length)throw new Error("Invalid index "+i)}this._onPin.fire(e)},e.prototype.style=function(e){this.styleController.style(e)},e.prototype.toListEvent=function(e){var t=this,n=e.indexes,i=e.browserEvent;return{indexes:n,elements:n.map(function(e){return t.view.element(e)}),browserEvent:i}},e.prototype._onFocusChange=function(){var e=this.focus.get();e.length>0?this.view.domNode.setAttribute("aria-activedescendant",this.getElementDomId(e[0])):this.view.domNode.removeAttribute("aria-activedescendant"),this.view.domNode.setAttribute("role","tree"),u.toggleClass(this.view.domNode,"element-focused",e.length>0)},e.prototype._onSelectionChange=function(){var e=this.selection.get();u.toggleClass(this.view.domNode,"selection-none",0===e.length),u.toggleClass(this.view.domNode,"selection-single",1===e.length),u.toggleClass(this.view.domNode,"selection-multiple",e.length>1)},e.prototype.dispose=function(){this._onDidDispose.fire(),
this.disposables=i.dispose(this.disposables),this._onOpen.dispose(),this._onPin.dispose(),this._onDidDispose.dispose()},e.InstanceCount=0,a([l.memoize],e.prototype,"onFocusChange",null),a([l.memoize],e.prototype,"onSelectionChange",null),e}();t.List=H}),define(t[278],n([5,4]),function(e,t){return e.create("vs/base/browser/ui/menu/menu",t)}),define(t[279],n([0,1,278,8,56,67,36,7,52,16,2,212]),function(e,t,n,i,r,s,a,l,u,d,c){"use strict";function h(e){var n=t.MENU_MNEMONIC_REGEX,i=n.exec(e);if(!i)return e;var o="&"===i[0].charAt(0);return e.replace(n,o?"$2":"").trim()}Object.defineProperty(t,"__esModule",{value:!0}),t.MENU_MNEMONIC_REGEX=/\(&{1,2}(.)\)|&{1,2}(.)/,t.MENU_ESCAPED_MNEMONIC_REGEX=/(?:&amp;){1,2}(.)/;var p=function(e){function t(t,n,i){var o=e.call(this,i||"submenu",t,"",!0)||this;return o.entries=n,o}return o(t,e),t}(r.Action);t.SubmenuAction=p;var f=function(e){function t(t,n,i){void 0===i&&(i={});var o=this;l.addClass(t,"monaco-menu-container"),t.setAttribute("role","presentation")
;var r=document.createElement("div");l.addClass(r,"monaco-menu"),r.setAttribute("role","presentation"),t.appendChild(r),(o=e.call(this,r,{orientation:2,actionItemProvider:function(e){return o.doGetActionItem(e,i,s)},context:i.context,actionRunner:i.actionRunner,ariaLabel:i.ariaLabel,triggerKeys:{keys:[3],keyDown:!0}})||this).actionsList.setAttribute("role","menu"),o.actionsList.tabIndex=0,o.menuDisposables=[],i.enableMnemonics&&o.menuDisposables.push(l.addDisposableListener(r,l.EventType.KEY_DOWN,function(e){var t=a.KeyCodeUtils.fromString(e.key);if(o.mnemonics.has(t)){l.EventHelper.stop(e,!0);var n=o.mnemonics.get(t);if(1===n.length&&(n[0]instanceof m&&o.focusItemByElement(n[0].container),n[0].onClick(event)),n.length>1){var i=n.shift();o.focusItemByElement(i.container),n.push(i),o.mnemonics.set(t,n)}}})),o._register(l.addDisposableListener(o.domNode,l.EventType.MOUSE_OUT,function(e){var t=e.relatedTarget;l.isAncestor(t,o.domNode)||(o.focusedItem=void 0,o.updateFocus(),e.stopPropagation())})),
o._register(l.addDisposableListener(o.actionsList,l.EventType.MOUSE_OVER,function(e){var t=e.target;if(t&&l.isAncestor(t,o.actionsList)&&t!==o.actionsList){for(;t.parentElement!==o.actionsList;)t=t.parentElement;if(l.hasClass(t,"action-item")){var n=o.focusedItem;o.setFocusedItem(t),n!==o.focusedItem&&o.updateFocus()}}}));var s={parent:o};return o.mnemonics=new Map,o.push(n,{icon:!0,label:!0,isMenu:!0}),o}return o(t,e),t.prototype.style=function(e){var t=this.getContainer(),n=e.foregroundColor?""+e.foregroundColor:null,i=e.backgroundColor?""+e.backgroundColor:null,o=e.borderColor?"2px solid "+e.borderColor:null,r=e.shadowColor?"0 2px 4px "+e.shadowColor:null;t.style.border=o,this.domNode.style.color=n,this.domNode.style.backgroundColor=i,t.style.boxShadow=r,this.items&&this.items.forEach(function(t){(t instanceof g||t instanceof v)&&t.style(e)})},t.prototype.focusItemByElement=function(e){var t=this.focusedItem;this.setFocusedItem(e),t!==this.focusedItem&&this.updateFocus()},
t.prototype.setFocusedItem=function(e){for(var t=0;t<this.actionsList.children.length;t++){if(e===this.actionsList.children[t]){this.focusedItem=t;break}}},t.prototype.doGetActionItem=function(e,t,n){if(e instanceof s.Separator)return new v(t.context,e,{icon:!0});if(e instanceof p){r=new m(e,e.entries,n,t);if(t.enableMnemonics){if((a=r.getMnemonic())&&r.isEnabled()){l=[];this.mnemonics.has(a)&&(l=this.mnemonics.get(a)),l.push(r),this.mnemonics.set(a,l)}}return r}var i={enableMnemonics:t.enableMnemonics};if(t.getKeyBinding){var o=t.getKeyBinding(e);o&&(i.keybinding=o.getLabel())}var r=new g(t.context,e,i);if(t.enableMnemonics){var a=r.getMnemonic();if(a&&r.isEnabled()){var l=[];this.mnemonics.has(a)&&(l=this.mnemonics.get(a)),l.push(r),this.mnemonics.set(a,l)}}return r},t.prototype.focus=function(t){void 0===t&&(t=!0),e.prototype.focus.call(this,t)},t}(s.ActionBar);t.Menu=f;var g=function(e){function r(n,i,o){void 0===o&&(o={});var r=this;if(o.isMenu=!0,r=e.call(this,i,i,o)||this,r.options=o,
r.options.icon=void 0!==o.icon&&o.icon,r.options.label=void 0===o.label||o.label,r.cssClass="",r.options.label&&o.enableMnemonics){var s=r.getAction().label;if(s){var l=t.MENU_MNEMONIC_REGEX.exec(s);l&&(r.mnemonic=a.KeyCodeUtils.fromString((l[1]?l[1]:l[2]).toLocaleLowerCase()))}}return r}return o(r,e),r.prototype.render=function(t){var n=this;e.prototype.render.call(this,t),this.container=t,this.item=l.append(this.element,l.$("a.action-menu-item")),this._action.id===s.Separator.ID?this.item.setAttribute("role","presentation"):(this.item.setAttribute("role","menuitem"),this.mnemonic&&this.item.setAttribute("aria-keyshortcuts",""+this.mnemonic)),this.check=l.append(this.item,l.$("span.menu-item-check")),this.check.setAttribute("role","none"),this.label=l.append(this.item,l.$("span.action-label")),this.options.label&&this.options.keybinding&&(l.append(this.item,l.$("span.keybinding")).textContent=this.options.keybinding),this._register(l.addDisposableListener(this.element,l.EventType.MOUSE_UP,function(e){
l.EventHelper.stop(e,!0),n.onClick(e)})),this.updateClass(),this.updateLabel(),this.updateTooltip(),this.updateEnabled(),this.updateChecked()},r.prototype.blur=function(){e.prototype.blur.call(this),this.applyStyle()},r.prototype.focus=function(){e.prototype.focus.call(this),this.item.focus(),this.applyStyle()},r.prototype.updateLabel=function(){if(this.options.label){var e=this.getAction().label;if(e){var n=h(e);this.options.enableMnemonics||(e=n),this.label.setAttribute("aria-label",n);var o=t.MENU_MNEMONIC_REGEX.exec(e);o&&(e=i.escape(e).replace(t.MENU_ESCAPED_MNEMONIC_REGEX,'<u aria-hidden="true">$1</u>'),this.item.setAttribute("aria-keyshortcuts",(o[1]?o[1]:o[2]).toLocaleLowerCase()))}this.label.innerHTML=e.trim()}},r.prototype.updateTooltip=function(){var e=null;this.getAction().tooltip?e=this.getAction().tooltip:!this.options.label&&this.getAction().label&&this.options.icon&&(e=this.getAction().label,this.options.keybinding&&(e=n.localize(0,null,e,this.options.keybinding))),e&&(this.item.title=e)},
r.prototype.updateClass=function(){this.cssClass&&l.removeClasses(this.item,this.cssClass),this.options.icon?(this.cssClass=this.getAction().class,l.addClass(this.label,"icon"),this.cssClass&&l.addClasses(this.label,this.cssClass),this.updateEnabled()):l.removeClass(this.label,"icon")},r.prototype.updateEnabled=function(){this.getAction().enabled?(l.removeClass(this.element,"disabled"),l.removeClass(this.item,"disabled"),this.item.tabIndex=0):(l.addClass(this.element,"disabled"),l.addClass(this.item,"disabled"),l.removeTabIndexAndUpdateFocus(this.item))},r.prototype.updateChecked=function(){this.getAction().checked?(l.addClass(this.item,"checked"),this.item.setAttribute("role","menuitemcheckbox"),this.item.setAttribute("aria-checked","true")):(l.removeClass(this.item,"checked"),this.item.setAttribute("role","menuitem"),this.item.setAttribute("aria-checked","false"))},r.prototype.getMnemonic=function(){return this.mnemonic},r.prototype.applyStyle=function(){
var e=l.hasClass(this.element,"focused"),t=e&&this.menuStyle.selectionForegroundColor?this.menuStyle.selectionForegroundColor:this.menuStyle.foregroundColor,n=e&&this.menuStyle.selectionBackgroundColor?this.menuStyle.selectionBackgroundColor:this.menuStyle.backgroundColor,i=e&&this.menuStyle.selectionBorderColor?"1px solid "+this.menuStyle.selectionBorderColor:null;this.item.style.color=t?""+t:null,this.check.style.backgroundColor=t?""+t:null,this.item.style.backgroundColor=n?""+n:null,this.container.style.border=i},r.prototype.style=function(e){this.menuStyle=e,this.applyStyle()},r}(s.BaseActionItem),m=function(e){function t(t,n,i,o){var r=e.call(this,t,t,o)||this;return r.submenuActions=n,r.parentData=i,r.submenuOptions=o,r.submenuDisposables=[],r.showScheduler=new d.RunOnceScheduler(function(){r.mouseOver&&(r.cleanupExistingSubmenu(!1),r.createSubmenu(!1))},250),r.hideScheduler=new d.RunOnceScheduler(function(){
l.isAncestor(document.activeElement,r.element)||r.parentData.submenu!==r.mysubmenu||(r.parentData.parent.focus(!1),r.cleanupExistingSubmenu(!0))},750),r}return o(t,e),t.prototype.render=function(t){var n=this;e.prototype.render.call(this,t),l.addClass(this.item,"monaco-submenu-item"),this.item.setAttribute("aria-haspopup","true"),this.submenuIndicator=l.append(this.item,l.$("span.submenu-indicator")),this.submenuIndicator.setAttribute("aria-hidden","true"),this._register(l.addDisposableListener(this.element,l.EventType.KEY_UP,function(e){var t=new u.StandardKeyboardEvent(e);(t.equals(17)||t.equals(3))&&(l.EventHelper.stop(e,!0),n.createSubmenu(!0))})),this._register(l.addDisposableListener(this.element,l.EventType.KEY_DOWN,function(e){var t=new u.StandardKeyboardEvent(e);(t.equals(17)||t.equals(3))&&l.EventHelper.stop(e,!0)})),this._register(l.addDisposableListener(this.element,l.EventType.MOUSE_OVER,function(e){n.mouseOver||(n.mouseOver=!0,n.showScheduler.schedule())})),
this._register(l.addDisposableListener(this.element,l.EventType.MOUSE_LEAVE,function(e){n.mouseOver=!1})),this._register(l.addDisposableListener(this.element,l.EventType.FOCUS_OUT,function(e){l.isAncestor(document.activeElement,n.element)||n.hideScheduler.schedule()}))},t.prototype.onClick=function(e){l.EventHelper.stop(e,!0),this.cleanupExistingSubmenu(!1),this.createSubmenu(!1)},t.prototype.cleanupExistingSubmenu=function(e){this.parentData.submenu&&(e||this.parentData.submenu!==this.mysubmenu)&&(this.parentData.submenu.dispose(),this.parentData.submenu=null,this.submenuContainer&&(this.submenuDisposables=c.dispose(this.submenuDisposables),this.submenuContainer=null))},t.prototype.createSubmenu=function(e){var t=this;void 0===e&&(e=!0),this.parentData.submenu?this.parentData.submenu.focus(!1):(this.submenuContainer=l.append(this.element,l.$("div.monaco-submenu")),l.addClasses(this.submenuContainer,"menubar-menu-items-holder","context-view"),
this.submenuContainer.style.left=l.getClientArea(this.element).width+"px",this.submenuDisposables.push(l.addDisposableListener(this.submenuContainer,l.EventType.KEY_UP,function(e){new u.StandardKeyboardEvent(e).equals(15)&&(l.EventHelper.stop(e,!0),t.parentData.parent.focus(),t.parentData.submenu.dispose(),t.parentData.submenu=null,t.submenuDisposables=c.dispose(t.submenuDisposables),t.submenuContainer=null)})),this.submenuDisposables.push(l.addDisposableListener(this.submenuContainer,l.EventType.KEY_DOWN,function(e){new u.StandardKeyboardEvent(e).equals(15)&&l.EventHelper.stop(e,!0)})),this.parentData.submenu=new f(this.submenuContainer,this.submenuActions,this.submenuOptions),this.menuStyle&&this.parentData.submenu.style(this.menuStyle),this.submenuDisposables.push(this.parentData.submenu.onDidCancel(function(){t.parentData.parent.focus(),t.parentData.submenu.dispose(),t.parentData.submenu=null,t.submenuDisposables=c.dispose(t.submenuDisposables),t.submenuContainer=null})),this.parentData.submenu.focus(e),
this.mysubmenu=this.parentData.submenu)},t.prototype.applyStyle=function(){e.prototype.applyStyle.call(this);var t=l.hasClass(this.element,"focused")&&this.menuStyle.selectionForegroundColor?this.menuStyle.selectionForegroundColor:this.menuStyle.foregroundColor;this.submenuIndicator.style.backgroundColor=t?""+t:null,this.parentData.submenu&&this.parentData.submenu.style(this.menuStyle)},t.prototype.dispose=function(){e.prototype.dispose.call(this),this.hideScheduler.dispose(),this.mysubmenu&&(this.mysubmenu.dispose(),this.mysubmenu=null),this.submenuContainer&&(this.submenuDisposables=c.dispose(this.submenuDisposables),this.submenuContainer=null)},t}(g),v=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.style=function(e){this.label.style.borderBottomColor=e.separatorColor?""+e.separatorColor:null},t}(s.ActionItem);t.cleanMnemonic=h}),define(t[280],n([5,4]),function(e,t){return e.create("vs/base/common/keybindingLabels",t)}),
define(t[154],n([0,1,280]),function(e,t,n){"use strict";function i(e,t,n){if(null===t)return"";var i=[];return e.ctrlKey&&i.push(n.ctrlKey),e.shiftKey&&i.push(n.shiftKey),e.altKey&&i.push(n.altKey),e.metaKey&&i.push(n.metaKey),i.push(t),i.join(n.separator)}Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n){void 0===n&&(n=t),this.modifierLabels=[null],this.modifierLabels[2]=e,this.modifierLabels[1]=t,this.modifierLabels[3]=n}return e.prototype.toLabel=function(e,t,n,o,r){return null===e||null===t?null:function(e,t,n,o,r){var s=i(e,t,r);return null!==n&&null!==o&&(s+=" ",s+=i(n,o,r)),s}(e,t,n,o,this.modifierLabels[r])},e}();t.ModifierLabelProvider=o,t.UILabelProvider=new o({ctrlKey:"⌃",shiftKey:"⇧",altKey:"⌥",metaKey:"⌘",separator:""},{ctrlKey:n.localize(0,null),shiftKey:n.localize(1,null),altKey:n.localize(2,null),metaKey:n.localize(3,null),separator:"+"},{ctrlKey:n.localize(4,null),shiftKey:n.localize(5,null),altKey:n.localize(6,null),metaKey:n.localize(7,null),separator:"+"
}),t.AriaLabelProvider=new o({ctrlKey:n.localize(8,null),shiftKey:n.localize(9,null),altKey:n.localize(10,null),metaKey:n.localize(11,null),separator:"+"},{ctrlKey:n.localize(12,null),shiftKey:n.localize(13,null),altKey:n.localize(14,null),metaKey:n.localize(15,null),separator:"+"},{ctrlKey:n.localize(16,null),shiftKey:n.localize(17,null),altKey:n.localize(18,null),metaKey:n.localize(19,null),separator:"+"})}),define(t[282],n([0,1,27,154,7,210]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=o.$,s=function(){function e(e,t){this.os=t,this.domNode=o.append(e,r(".monaco-keybinding")),this.didEverRender=!1,e.appendChild(this.domNode)}return e.prototype.set=function(t,n){this.didEverRender&&this.keybinding===t&&e.areSame(this.matches,n)||(this.keybinding=t,this.matches=n,this.render())},e.prototype.render=function(){if(o.clearNode(this.domNode),this.keybinding){var e=this.keybinding.getParts(),t=e[0],n=e[1]
;t&&this.renderPart(this.domNode,t,this.matches?this.matches.firstPart:null),n&&(o.append(this.domNode,r("span.monaco-keybinding-key-chord-separator",void 0," ")),this.renderPart(this.domNode,n,this.matches?this.matches.chordPart:null)),this.domNode.title=this.keybinding.getAriaLabel()||""}this.didEverRender=!0},e.prototype.renderPart=function(e,t,n){var o=i.UILabelProvider.modifierLabels[this.os];t.ctrlKey&&this.renderKey(e,o.ctrlKey,Boolean(n&&n.ctrlKey),o.separator),t.shiftKey&&this.renderKey(e,o.shiftKey,Boolean(n&&n.shiftKey),o.separator),t.altKey&&this.renderKey(e,o.altKey,Boolean(n&&n.altKey),o.separator),t.metaKey&&this.renderKey(e,o.metaKey,Boolean(n&&n.metaKey),o.separator);var r=t.keyLabel;r&&this.renderKey(e,r,Boolean(n&&n.keyCode),"")},e.prototype.renderKey=function(e,t,n,i){o.append(e,r("span.monaco-keybinding-key"+(n?".highlight":""),void 0,t)),i&&o.append(e,r("span.monaco-keybinding-key-separator",void 0,i))},e.prototype.dispose=function(){},e.areSame=function(e,t){
return e===t||!e&&!t||!!e&&!!t&&n.equals(e.firstPart,t.firstPart)&&n.equals(e.chordPart,t.chordPart)},e}();t.KeybindingLabel=s}),define(t[283],n([5,4]),function(e,t){return e.create("vs/base/common/severity",t)}),define(t[114],n([0,1,283,8]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o;!function(e){e[e.Ignore=0]="Ignore",e[e.Info=1]="Info",e[e.Warning=2]="Warning",e[e.Error=3]="Error"}(o||(o={})),function(e){var t="error",o="warning",r="warn",s="info",a=Object.create(null);a[e.Error]=n.localize(0,null),a[e.Warning]=n.localize(1,null),a[e.Info]=n.localize(2,null),e.fromValue=function(n){return n?i.equalsIgnoreCase(t,n)?e.Error:i.equalsIgnoreCase(o,n)||i.equalsIgnoreCase(r,n)?e.Warning:i.equalsIgnoreCase(s,n)?e.Info:e.Ignore:e.Ignore}}(o||(o={})),t.default=o}),define(t[285],n([5,4]),function(e,t){return e.create("vs/base/parts/quickopen/browser/quickOpenModel",t)}),define(t[119],n([0,1,285,53,118,67,159,7,282,17]),function(e,t,n,i,r,s,a,l,u,d){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var c=0,h=function(){function e(e){void 0===e&&(e=[]),this.id=(c++).toString(),this.labelHighlights=e,this.descriptionHighlights=[]}return e.prototype.getId=function(){return this.id},e.prototype.getLabel=function(){return null},e.prototype.getLabelOptions=function(){return null},e.prototype.getAriaLabel=function(){return[this.getLabel(),this.getDescription(),this.getDetail()].filter(function(e){return!!e}).join(", ")},e.prototype.getDetail=function(){return null},e.prototype.getIcon=function(){return null},e.prototype.getDescription=function(){return null},e.prototype.getTooltip=function(){return null},e.prototype.getDescriptionTooltip=function(){return null},e.prototype.getKeybinding=function(){return null},e.prototype.isHidden=function(){return this.hidden},e.prototype.setHighlights=function(e,t,n){this.labelHighlights=e,this.descriptionHighlights=t,this.detailHighlights=n},e.prototype.getHighlights=function(){
return[this.labelHighlights,this.descriptionHighlights,this.detailHighlights]},e.prototype.run=function(e,t){return!1},e}();t.QuickOpenEntry=h;var p=function(e){function t(t,n,i){var o=e.call(this)||this;return o.entry=t,o.groupLabel=n,o.withBorder=i,o}return o(t,e),t.prototype.getGroupLabel=function(){return this.groupLabel},t.prototype.setGroupLabel=function(e){this.groupLabel=e},t.prototype.showBorder=function(){return this.withBorder},t.prototype.setShowBorder=function(e){this.withBorder=e},t.prototype.getLabel=function(){return this.entry?this.entry.getLabel():e.prototype.getLabel.call(this)},t.prototype.getLabelOptions=function(){return this.entry?this.entry.getLabelOptions():e.prototype.getLabelOptions.call(this)},t.prototype.getAriaLabel=function(){return this.entry?this.entry.getAriaLabel():e.prototype.getAriaLabel.call(this)},t.prototype.getDetail=function(){return this.entry?this.entry.getDetail():e.prototype.getDetail.call(this)},t.prototype.getIcon=function(){
return this.entry?this.entry.getIcon():e.prototype.getIcon.call(this)},t.prototype.getDescription=function(){return this.entry?this.entry.getDescription():e.prototype.getDescription.call(this)},t.prototype.getHighlights=function(){return this.entry?this.entry.getHighlights():e.prototype.getHighlights.call(this)},t.prototype.isHidden=function(){return this.entry?this.entry.isHidden():e.prototype.isHidden.call(this)},t.prototype.setHighlights=function(t,n,i){this.entry?this.entry.setHighlights(t,n,i):e.prototype.setHighlights.call(this,t,n,i)},t.prototype.run=function(t,n){return this.entry?this.entry.run(t,n):e.prototype.run.call(this,t,n)},t}(h);t.QuickOpenEntryGroup=p;var f=function(){function e(){}return e.prototype.hasActions=function(e,t){return!1},e.prototype.getActions=function(e,t){return i.TPromise.as(null)},e}(),g=function(){function e(e,t){void 0===e&&(e=new f),void 0===t&&(t=null),this.actionProvider=e,this.actionRunner=t}return e.prototype.getHeight=function(e){return e.getDetail()?44:22},
e.prototype.getTemplateId=function(e){return e instanceof p?"quickOpenEntryGroup":"quickOpenEntry"},e.prototype.renderTemplate=function(e,t,n){var i=document.createElement("div");l.addClass(i,"sub-content"),t.appendChild(i);var o=l.$(".quick-open-row"),c=l.$(".quick-open-row"),h=l.$(".quick-open-entry",null,o,c);i.appendChild(h);var p=document.createElement("span");o.appendChild(p);var f=new r.IconLabel(o,{supportHighlights:!0,supportDescriptionHighlights:!0}),g=document.createElement("span");o.appendChild(g),l.addClass(g,"quick-open-entry-keybinding");var m=new u.KeybindingLabel(g,d.OS),v=document.createElement("div");c.appendChild(v),l.addClass(v,"quick-open-entry-meta");var _,y=new a.HighlightedLabel(v,!0);"quickOpenEntryGroup"===e&&(_=document.createElement("div"),l.addClass(_,"results-group"),t.appendChild(_)),l.addClass(t,"actions");var C=document.createElement("div");l.addClass(C,"primary-action-bar"),t.appendChild(C);return{container:t,entry:h,icon:p,label:f,detail:y,keybinding:m,group:_,
actionBar:new s.ActionBar(C,{actionRunner:this.actionRunner})}},e.prototype.renderElement=function(e,t,n,i){if(this.actionProvider.hasActions(null,e)?l.addClass(n.container,"has-actions"):l.removeClass(n.container,"has-actions"),n.actionBar.context=e,this.actionProvider.getActions(null,e).then(function(e){n.actionBar.isEmpty()&&e&&e.length>0?n.actionBar.push(e,{icon:!0,label:!1}):n.actionBar.isEmpty()||e&&0!==e.length||n.actionBar.clear()}),e instanceof p&&e.getGroupLabel()?l.addClass(n.container,"has-group-label"):l.removeClass(n.container,"has-group-label"),e instanceof p){var o=e,r=n;o.showBorder()?(l.addClass(r.container,"results-group-separator"),r.container.style.borderTopColor=i.pickerGroupBorder.toString()):(l.removeClass(r.container,"results-group-separator"),r.container.style.borderTopColor=null);var s=o.getGroupLabel()||"";r.group.textContent=s,r.group.style.color=i.pickerGroupForeground.toString()}if(e instanceof h){
var a=e.getHighlights(),u=a[0],d=a[1],c=a[2],f=e.getIcon()?"quick-open-entry-icon "+e.getIcon():"";n.icon.className=f;var g=e.getLabelOptions()||Object.create(null);g.matches=u||[],g.title=e.getTooltip(),g.descriptionTitle=e.getDescriptionTooltip()||e.getDescription(),g.descriptionMatches=d||[],n.label.setValue(e.getLabel(),e.getDescription(),g),n.detail.set(e.getDetail(),c),n.keybinding.set(e.getKeybinding(),null)}},e.prototype.disposeTemplate=function(e,t){var n=t;n.actionBar.dispose(),n.actionBar=null,n.container=null,n.entry=null,n.keybinding.dispose(),n.keybinding=null,n.detail.dispose(),n.detail=null,n.group=null,n.icon=null,n.label.dispose(),n.label=null},e}(),m=function(){function e(e,t){void 0===e&&(e=[]),void 0===t&&(t=new f),this._entries=e,this._dataSource=this,this._renderer=new g(t),this._filter=this,this._runner=this,this._accessibilityProvider=this}return Object.defineProperty(e.prototype,"entries",{get:function(){return this._entries},set:function(e){this._entries=e},enumerable:!0,
configurable:!0}),Object.defineProperty(e.prototype,"dataSource",{get:function(){return this._dataSource},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"renderer",{get:function(){return this._renderer},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"filter",{get:function(){return this._filter},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"runner",{get:function(){return this._runner},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"accessibilityProvider",{get:function(){return this._accessibilityProvider},enumerable:!0,configurable:!0}),e.prototype.getId=function(e){return e.getId()},e.prototype.getLabel=function(e){return e.getLabel()},e.prototype.getAriaLabel=function(e){return e.getAriaLabel()?n.localize(0,null,e.getAriaLabel()):n.localize(1,null)},e.prototype.isVisible=function(e){return!e.isHidden()},e.prototype.run=function(e,t,n){return e.run(t,n)},e}();t.QuickOpenModel=m}),define(t[287],n([5,4]),function(e,t){
return e.create("vs/base/parts/quickopen/browser/quickOpenWidget",t)}),define(t[288],n([0,1,287,17,32,437,117,161,219,52,88,7,2,28,27,40,238]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var v=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.onContextMenu=function(t,n,o){return i.isMacintosh?this.onLeftClick(t,n,o):e.prototype.onContextMenu.call(this,t,n,o)},t}(c.DefaultController);t.QuickOpenController=v;var _={background:f.Color.fromHex("#1E1E1E"),foreground:f.Color.fromHex("#CCCCCC"),pickerGroupForeground:f.Color.fromHex("#0097FB"),pickerGroupBorder:f.Color.fromHex("#3F3F46"),widgetShadow:f.Color.fromHex("#000000"),progressBarBackground:f.Color.fromHex("#0E70C0")},y=n.localize(0,null),C=function(e){function t(t,n,i){var o=e.call(this)||this;return o.isDisposed=!1,o.container=t,o.callbacks=n,o.options=i,o.styles=i||Object.create(null),g.mixin(o.styles,_,!1),o.model=null,o}return o(t,e),
t.prototype.getModel=function(){return this.model},t.prototype.create=function(){var e=this;this.element=document.createElement("div"),h.addClass(this.element,"monaco-quick-open-widget"),this.container.appendChild(this.element),this._register(h.addDisposableListener(this.element,h.EventType.CONTEXT_MENU,function(e){return h.EventHelper.stop(e,!0)})),this._register(h.addDisposableListener(this.element,h.EventType.FOCUS,function(t){return e.gainingFocus()},!0)),this._register(h.addDisposableListener(this.element,h.EventType.BLUR,function(t){return e.loosingFocus(t)},!0)),this._register(h.addDisposableListener(this.element,h.EventType.KEY_DOWN,function(t){var n=new d.StandardKeyboardEvent(t);if(9===n.keyCode)h.EventHelper.stop(t,!0),e.hide(2);else if(2===n.keyCode&&!n.altKey&&!n.ctrlKey&&!n.metaKey){var i=t.currentTarget.querySelectorAll("input, .monaco-tree, .monaco-tree-row.focused .action-label.icon");n.shiftKey&&n.target===i[0]?(h.EventHelper.stop(t,!0),
i[i.length-1].focus()):n.shiftKey||n.target!==i[i.length-1]||(h.EventHelper.stop(t,!0),i[0].focus())}})),this.progressBar=this._register(new u.ProgressBar(this.element,{progressBarBackground:this.styles.progressBarBackground})),this.progressBar.hide(),this.inputContainer=document.createElement("div"),h.addClass(this.inputContainer,"quick-open-input"),this.element.appendChild(this.inputContainer),this.inputBox=this._register(new a.InputBox(this.inputContainer,null,{placeholder:this.options.inputPlaceHolder||"",ariaLabel:y,inputBackground:this.styles.inputBackground,inputForeground:this.styles.inputForeground,inputBorder:this.styles.inputBorder,inputValidationInfoBackground:this.styles.inputValidationInfoBackground,inputValidationInfoForeground:this.styles.inputValidationInfoForeground,inputValidationInfoBorder:this.styles.inputValidationInfoBorder,inputValidationWarningBackground:this.styles.inputValidationWarningBackground,inputValidationWarningForeground:this.styles.inputValidationWarningForeground,
inputValidationWarningBorder:this.styles.inputValidationWarningBorder,inputValidationErrorBackground:this.styles.inputValidationErrorBackground,inputValidationErrorForeground:this.styles.inputValidationErrorForeground,inputValidationErrorBorder:this.styles.inputValidationErrorBorder})),this.inputElement=this.inputBox.inputElement,this.inputElement.setAttribute("role","combobox"),this.inputElement.setAttribute("aria-haspopup","false"),this.inputElement.setAttribute("aria-autocomplete","list"),this._register(h.addDisposableListener(this.inputBox.inputElement,h.EventType.INPUT,function(t){return e.onType()})),this._register(h.addDisposableListener(this.inputBox.inputElement,h.EventType.KEY_DOWN,function(t){var n=new d.StandardKeyboardEvent(t),i=e.shouldOpenInBackground(n);if(2!==n.keyCode)if(18===n.keyCode||16===n.keyCode||12===n.keyCode||11===n.keyCode)h.EventHelper.stop(t,!0),e.navigateInTree(n.keyCode,n.shiftKey),
e.inputBox.inputElement.selectionStart===e.inputBox.inputElement.selectionEnd&&(e.inputBox.inputElement.selectionStart=e.inputBox.value.length);else if(3===n.keyCode||i){h.EventHelper.stop(t,!0);var o=e.tree.getFocus();o&&e.elementSelected(o,t,i?2:1)}})),this.resultCount=document.createElement("div"),h.addClass(this.resultCount,"quick-open-result-count"),this.resultCount.setAttribute("aria-live","polite"),this.resultCount.setAttribute("aria-atomic","true"),this.element.appendChild(this.resultCount),this.treeContainer=document.createElement("div"),h.addClass(this.treeContainer,"quick-open-tree"),this.element.appendChild(this.treeContainer);var t=this.options.treeCreator||function(e,t,n){return new l.Tree(e,t,n)};return this.tree=this._register(t(this.treeContainer,{dataSource:new s.DataSource(this),controller:new v({clickBehavior:1,keyboardSupport:this.options.keyboardSupport}),renderer:this.renderer=new s.Renderer(this,this.styles),filter:new s.Filter(this),
accessibilityProvider:new s.AccessibilityProvider(this)},{twistiePixels:11,indentPixels:0,alwaysFocused:!0,verticalScrollMode:3,horizontalScrollMode:2,ariaLabel:n.localize(1,null),keyboardSupport:this.options.keyboardSupport,preventRootFocus:!1})),this.treeElement=this.tree.getHTMLElement(),this._register(this.tree.onDidChangeFocus(function(t){e.elementFocused(t.focus,t)})),this._register(this.tree.onDidChangeSelection(function(t){if(t.selection&&t.selection.length>0){var n=t.payload&&t.payload.originalEvent instanceof m.StandardMouseEvent?t.payload.originalEvent:void 0,i=!!n&&e.shouldOpenInBackground(n);e.elementSelected(t.selection[0],t,i?2:1)}})),this._register(h.addDisposableListener(this.treeContainer,h.EventType.KEY_DOWN,function(t){var n=new d.StandardKeyboardEvent(t);e.quickNavigateConfiguration&&(18!==n.keyCode&&16!==n.keyCode&&12!==n.keyCode&&11!==n.keyCode||(h.EventHelper.stop(t,!0),e.navigateInTree(n.keyCode)))})),
this._register(h.addDisposableListener(this.treeContainer,h.EventType.KEY_UP,function(t){var n=new d.StandardKeyboardEvent(t),i=n.keyCode;if(e.quickNavigateConfiguration){var o=e.quickNavigateConfiguration.keybindings;if(3===i||o.some(function(e){var t=e.getParts(),o=t[0];return!t[1]&&(o.shiftKey&&4===i?!(n.ctrlKey||n.altKey||n.metaKey):!(!o.altKey||6!==i)||(!(!o.ctrlKey||5!==i)||!(!o.metaKey||57!==i)))})){var r=e.tree.getFocus();r&&e.elementSelected(r,t)}}})),this.layoutDimensions&&this.layout(this.layoutDimensions),this.applyStyles(),this._register(h.addDisposableListener(this.treeContainer,h.EventType.KEY_DOWN,function(t){var n=new d.StandardKeyboardEvent(t);e.quickNavigateConfiguration||18!==n.keyCode&&16!==n.keyCode&&12!==n.keyCode&&11!==n.keyCode||(h.EventHelper.stop(t,!0),e.navigateInTree(n.keyCode,n.shiftKey),e.treeElement.focus())})),this.element},t.prototype.style=function(e){this.styles=e,this.applyStyles()},t.prototype.applyStyles=function(){if(this.element){
var e=this.styles.foreground?this.styles.foreground.toString():null,t=this.styles.background?this.styles.background.toString():null,n=this.styles.borderColor?this.styles.borderColor.toString():null,i=this.styles.widgetShadow?this.styles.widgetShadow.toString():null;this.element.style.color=e,this.element.style.backgroundColor=t,this.element.style.borderColor=n,this.element.style.borderWidth=n?"1px":null,this.element.style.borderStyle=n?"solid":null,this.element.style.boxShadow=i?"0 5px 8px "+i:null}this.progressBar&&this.progressBar.style({progressBarBackground:this.styles.progressBarBackground}),this.inputBox&&this.inputBox.style({inputBackground:this.styles.inputBackground,inputForeground:this.styles.inputForeground,inputBorder:this.styles.inputBorder,inputValidationInfoBackground:this.styles.inputValidationInfoBackground,inputValidationInfoForeground:this.styles.inputValidationInfoForeground,inputValidationInfoBorder:this.styles.inputValidationInfoBorder,
inputValidationWarningBackground:this.styles.inputValidationWarningBackground,inputValidationWarningForeground:this.styles.inputValidationWarningForeground,inputValidationWarningBorder:this.styles.inputValidationWarningBorder,inputValidationErrorBackground:this.styles.inputValidationErrorBackground,inputValidationErrorForeground:this.styles.inputValidationErrorForeground,inputValidationErrorBorder:this.styles.inputValidationErrorBorder}),this.tree&&!this.options.treeCreator&&this.tree.style(this.styles),this.renderer&&this.renderer.updateStyles(this.styles)},t.prototype.shouldOpenInBackground=function(e){if(e instanceof d.StandardKeyboardEvent){if(17!==e.keyCode)return!1;if(e.metaKey||e.ctrlKey||e.shiftKey||e.altKey)return!1;var t=this.inputBox.inputElement;return t.selectionEnd===this.inputBox.value.length&&t.selectionStart===t.selectionEnd}return e.middleButton},t.prototype.onType=function(){var e=this.inputBox.value;this.helpText&&(e?h.hide(this.helpText):h.show(this.helpText)),this.callbacks.onType(e)},
t.prototype.navigateInTree=function(e,t){var n=this.tree.getInput(),i=n?n.entries:[],o=this.tree.getFocus();switch(e){case 18:this.tree.focusNext();break;case 16:this.tree.focusPrevious();break;case 12:this.tree.focusNextPage();break;case 11:this.tree.focusPreviousPage();break;case 2:t?this.tree.focusPrevious():this.tree.focusNext()}var r=this.tree.getFocus();i.length>1&&o===r&&(16===e||2===e&&t?this.tree.focusLast():(18===e||2===e&&!t)&&this.tree.focusFirst()),(r=this.tree.getFocus())&&this.tree.reveal(r)},t.prototype.elementFocused=function(e,t){if(e&&this.isVisible()){this.inputElement.setAttribute("aria-activedescendant",this.treeElement.getAttribute("aria-activedescendant"));var n={event:t,keymods:this.extractKeyMods(t),quickNavigateConfiguration:this.quickNavigateConfiguration};this.model.runner.run(e,0,n)}},t.prototype.elementSelected=function(e,t,n){var i=!0;if(this.isVisible()){var o=n||1,r={event:t,keymods:this.extractKeyMods(t),quickNavigateConfiguration:this.quickNavigateConfiguration}
;i=this.model.runner.run(e,o,r)}i&&this.hide(0)},t.prototype.extractKeyMods=function(e){return{ctrlCmd:e&&(e.ctrlKey||e.metaKey||e.payload&&e.payload.originalEvent&&(e.payload.originalEvent.ctrlKey||e.payload.originalEvent.metaKey)),alt:e&&(e.altKey||e.payload&&e.payload.originalEvent&&e.payload.originalEvent.altKey)}},t.prototype.show=function(e,t){this.visible=!0,this.isLoosingFocus=!1,this.quickNavigateConfiguration=t?t.quickNavigateConfiguration:void 0,this.quickNavigateConfiguration?(h.hide(this.inputContainer),h.show(this.element),this.tree.domFocus()):(h.show(this.inputContainer),h.show(this.element),this.inputBox.focus()),this.helpText&&(this.quickNavigateConfiguration||r.isString(e)?h.hide(this.helpText):h.show(this.helpText)),r.isString(e)?this.doShowWithPrefix(e):(t.value&&this.restoreLastInput(t.value),this.doShowWithInput(e,t&&t.autoFocus?t.autoFocus:{})),t&&t.inputSelection&&!this.quickNavigateConfiguration&&this.inputBox.select(t.inputSelection),this.callbacks.onShow&&this.callbacks.onShow()},
t.prototype.restoreLastInput=function(e){this.inputBox.value=e,this.inputBox.select(),this.callbacks.onType(e)},t.prototype.doShowWithPrefix=function(e){this.inputBox.value=e,this.callbacks.onType(e)},t.prototype.doShowWithInput=function(e,t){this.setInput(e,t)},t.prototype.setInputAndLayout=function(e,t){var n=this;this.treeContainer.style.height=this.getHeight(e)+"px",this.tree.setInput(null).then(function(){return n.model=e,n.inputElement.setAttribute("aria-haspopup",String(e&&e.entries&&e.entries.length>0)),n.tree.setInput(e)}).then(function(){n.tree.layout();var i=e?e.entries.filter(function(t){return n.isElementVisible(e,t)}):[];n.updateResultCount(i.length),i.length&&n.autoFocus(e,i,t)})},t.prototype.isElementVisible=function(e,t){return!e.filter||e.filter.isVisible(t)},t.prototype.autoFocus=function(e,t,n){if(void 0===n&&(n={}),n.autoFocusPrefixMatch){for(var i=void 0,o=void 0,r=n.autoFocusPrefixMatch,s=r.toLowerCase(),a=0;a<t.length;a++){var l=t[a],u=e.dataSource.getLabel(l)
;if(i||0!==u.indexOf(r)?o||0!==u.toLowerCase().indexOf(s)||(o=l):i=l,i&&o)break}var d=i||o;if(d)return this.tree.setFocus(d),void this.tree.reveal(d,.5)}n.autoFocusFirstEntry?(this.tree.focusFirst(),this.tree.reveal(this.tree.getFocus())):"number"==typeof n.autoFocusIndex?t.length>n.autoFocusIndex&&(this.tree.focusNth(n.autoFocusIndex),this.tree.reveal(this.tree.getFocus())):n.autoFocusSecondEntry?t.length>1&&this.tree.focusNth(1):n.autoFocusLastEntry&&t.length>1&&this.tree.focusLast()},t.prototype.getHeight=function(e){var n=this,i=e.renderer;if(!e){var o=i.getHeight(null);return this.options.minItemsToShow?this.options.minItemsToShow*o:0}var r,s=0;this.layoutDimensions&&this.layoutDimensions.height&&(r=.4*(this.layoutDimensions.height-50)),(!r||r>t.MAX_ITEMS_HEIGHT)&&(r=t.MAX_ITEMS_HEIGHT);for(var a=e.entries.filter(function(t){return n.isElementVisible(e,t)}),l=this.options.maxItemsToShow||a.length,u=0;u<l&&u<a.length;u++){var d=i.getHeight(a[u]);if(!(s+d<=r))break;s+=d}return s},
t.prototype.updateResultCount=function(e){this.resultCount.textContent=n.localize(2,null,e)},t.prototype.hide=function(e){this.isVisible()&&(this.visible=!1,h.hide(this.element),this.element.blur(),this.inputBox.value="",this.tree.setInput(null),this.inputElement.setAttribute("aria-haspopup","false"),this.treeContainer.style.height=(this.options.minItemsToShow?22*this.options.minItemsToShow:0)+"px",this.progressBar.stop().hide(),this.tree.isDOMFocused()?this.tree.domBlur():this.inputBox.hasFocus()&&this.inputBox.blur(),0===e?this.callbacks.onOk():this.callbacks.onCancel(),this.callbacks.onHide&&this.callbacks.onHide(e))},t.prototype.setInput=function(e,t,n){this.isVisible()&&(this.getInput()&&this.onInputChanging(),this.setInputAndLayout(e,t),this.inputBox&&this.inputBox.setAriaLabel(n||y))},t.prototype.onInputChanging=function(){var e=this;this.inputChangingTimeoutHandle&&(clearTimeout(this.inputChangingTimeoutHandle),this.inputChangingTimeoutHandle=null),h.addClass(this.element,"content-changing"),
this.inputChangingTimeoutHandle=setTimeout(function(){h.removeClass(e.element,"content-changing")},500)},t.prototype.getInput=function(){return this.tree.getInput()},t.prototype.isVisible=function(){return this.visible},t.prototype.layout=function(e){this.layoutDimensions=e;var n=Math.min(.62*this.layoutDimensions.width,t.MAX_WIDTH);this.element&&(this.element.style.width=n+"px",this.element.style.marginLeft="-"+n/2+"px",this.inputContainer.style.width=n-12+"px")},t.prototype.gainingFocus=function(){this.isLoosingFocus=!1},t.prototype.loosingFocus=function(e){var t=this;if(this.isVisible()){var n=e.relatedTarget;!this.quickNavigateConfiguration&&h.isAncestor(n,this.element)||(this.isLoosingFocus=!0,setTimeout(function(){if(t.isLoosingFocus&&!t.isDisposed){t.callbacks.onFocusLost&&t.callbacks.onFocusLost()||t.hide(1)}},0))}},t.prototype.dispose=function(){e.prototype.dispose.call(this),this.isDisposed=!0},t.MAX_WIDTH=600,t.MAX_ITEMS_HEIGHT=440,t}(p.Disposable);t.QuickOpenWidget=C}),
define(t[289],n([5,4]),function(e,t){return e.create("vs/editor/browser/controller/coreCommands",t)}),define(t[290],n([5,4]),function(e,t){return e.create("vs/editor/browser/widget/codeEditorWidget",t)}),define(t[291],n([5,4]),function(e,t){return e.create("vs/editor/browser/widget/diffEditorWidget",t)}),define(t[292],n([5,4]),function(e,t){return e.create("vs/editor/browser/widget/diffReview",t)}),define(t[293],n([5,4]),function(e,t){return e.create("vs/editor/common/config/commonEditorConfig",t)}),define(t[294],n([5,4]),function(e,t){return e.create("vs/editor/common/config/editorOptions",t)});var l=this&&this.__assign||function(){return(l=Object.assign||function(e){for(var t,n=1,i=arguments.length;n<i;n++){t=arguments[n];for(var o in t)Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o])}return e}).apply(this,arguments)};define(t[48],n([0,1,294,22,27,17,90]),function(e,t,n,i,o,r,s){"use strict";function a(e,t){return void 0===e?t:"false"!==e&&Boolean(e)}function u(e,t){return"string"!=typeof e?t:e}
function d(e,t,n){return"string"!=typeof e?t:-1===n.indexOf(e)?t:e}function c(e,t,n,i){var o;return void 0===e?o=t:(o=parseInt(e,10),isNaN(o)&&(o=t)),o=Math.max(n,o),0|(o=Math.min(i,o))}function h(e,t){if("string"!=typeof e)return t;switch(e){case"hidden":return 2;case"visible":return 3;default:return 1}}Object.defineProperty(t,"__esModule",{value:!0}),t.blinkingStyleToString=function(e){if(1===e)return"blink";if(4===e)return"expand";if(3===e)return"phase";if(2===e)return"smooth";if(5===e)return"solid";throw new Error("blinkingStyleToString: Unknown blinkingStyle")};var p;!function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline",e[e.LineThin=4]="LineThin",e[e.BlockOutline=5]="BlockOutline",e[e.UnderlineThin=6]="UnderlineThin"}(p=t.TextEditorCursorStyle||(t.TextEditorCursorStyle={})),t.cursorStyleToString=function(e){if(e===p.Line)return"line";if(e===p.Block)return"block";if(e===p.Underline)return"underline";if(e===p.LineThin)return"line-thin";if(e===p.BlockOutline)return"block-outline"
;if(e===p.UnderlineThin)return"underline-thin";throw new Error("cursorStyleToString: Unknown cursorStyle")};var f=function(){function e(e){this.canUseLayerHinting=e.canUseLayerHinting,this.pixelRatio=e.pixelRatio,this.editorClassName=e.editorClassName,this.lineHeight=0|e.lineHeight,this.readOnly=e.readOnly,this.accessibilitySupport=e.accessibilitySupport,this.multiCursorModifier=e.multiCursorModifier,this.multiCursorMergeOverlapping=e.multiCursorMergeOverlapping,this.wordSeparators=e.wordSeparators,this.autoClosingBrackets=e.autoClosingBrackets,this.autoClosingQuotes=e.autoClosingQuotes,this.autoSurround=e.autoSurround,this.autoIndent=e.autoIndent,this.useTabStops=e.useTabStops,this.tabFocusMode=e.tabFocusMode,this.dragAndDrop=e.dragAndDrop,this.emptySelectionClipboard=e.emptySelectionClipboard,this.copyWithSyntaxHighlighting=e.copyWithSyntaxHighlighting,this.layoutInfo=e.layoutInfo,this.fontInfo=e.fontInfo,this.viewInfo=e.viewInfo,this.wrappingInfo=e.wrappingInfo,this.contribInfo=e.contribInfo,
this.showUnused=e.showUnused}return e.prototype.equals=function(t){
return this.canUseLayerHinting===t.canUseLayerHinting&&this.pixelRatio===t.pixelRatio&&this.editorClassName===t.editorClassName&&this.lineHeight===t.lineHeight&&this.readOnly===t.readOnly&&this.accessibilitySupport===t.accessibilitySupport&&this.multiCursorModifier===t.multiCursorModifier&&this.multiCursorMergeOverlapping===t.multiCursorMergeOverlapping&&this.wordSeparators===t.wordSeparators&&this.autoClosingBrackets===t.autoClosingBrackets&&this.autoClosingQuotes===t.autoClosingQuotes&&this.autoSurround===t.autoSurround&&this.autoIndent===t.autoIndent&&this.useTabStops===t.useTabStops&&this.tabFocusMode===t.tabFocusMode&&this.dragAndDrop===t.dragAndDrop&&this.showUnused===t.showUnused&&this.emptySelectionClipboard===t.emptySelectionClipboard&&this.copyWithSyntaxHighlighting===t.copyWithSyntaxHighlighting&&e._equalsLayoutInfo(this.layoutInfo,t.layoutInfo)&&this.fontInfo.equals(t.fontInfo)&&e._equalsViewOptions(this.viewInfo,t.viewInfo)&&e._equalsWrappingInfo(this.wrappingInfo,t.wrappingInfo)&&e._equalsContribOptions(this.contribInfo,t.contribInfo)
},e.prototype.createChangeEvent=function(t){return{canUseLayerHinting:this.canUseLayerHinting!==t.canUseLayerHinting,pixelRatio:this.pixelRatio!==t.pixelRatio,editorClassName:this.editorClassName!==t.editorClassName,lineHeight:this.lineHeight!==t.lineHeight,readOnly:this.readOnly!==t.readOnly,accessibilitySupport:this.accessibilitySupport!==t.accessibilitySupport,multiCursorModifier:this.multiCursorModifier!==t.multiCursorModifier,multiCursorMergeOverlapping:this.multiCursorMergeOverlapping!==t.multiCursorMergeOverlapping,wordSeparators:this.wordSeparators!==t.wordSeparators,autoClosingBrackets:this.autoClosingBrackets!==t.autoClosingBrackets,autoClosingQuotes:this.autoClosingQuotes!==t.autoClosingQuotes,autoSurround:this.autoSurround!==t.autoSurround,autoIndent:this.autoIndent!==t.autoIndent,useTabStops:this.useTabStops!==t.useTabStops,tabFocusMode:this.tabFocusMode!==t.tabFocusMode,dragAndDrop:this.dragAndDrop!==t.dragAndDrop,emptySelectionClipboard:this.emptySelectionClipboard!==t.emptySelectionClipboard,
copyWithSyntaxHighlighting:this.copyWithSyntaxHighlighting!==t.copyWithSyntaxHighlighting,layoutInfo:!e._equalsLayoutInfo(this.layoutInfo,t.layoutInfo),fontInfo:!this.fontInfo.equals(t.fontInfo),viewInfo:!e._equalsViewOptions(this.viewInfo,t.viewInfo),wrappingInfo:!e._equalsWrappingInfo(this.wrappingInfo,t.wrappingInfo),contribInfo:!e._equalsContribOptions(this.contribInfo,t.contribInfo)}},e._equalsLayoutInfo=function(e,t){
return e.width===t.width&&e.height===t.height&&e.glyphMarginLeft===t.glyphMarginLeft&&e.glyphMarginWidth===t.glyphMarginWidth&&e.glyphMarginHeight===t.glyphMarginHeight&&e.lineNumbersLeft===t.lineNumbersLeft&&e.lineNumbersWidth===t.lineNumbersWidth&&e.lineNumbersHeight===t.lineNumbersHeight&&e.decorationsLeft===t.decorationsLeft&&e.decorationsWidth===t.decorationsWidth&&e.decorationsHeight===t.decorationsHeight&&e.contentLeft===t.contentLeft&&e.contentWidth===t.contentWidth&&e.contentHeight===t.contentHeight&&e.renderMinimap===t.renderMinimap&&e.minimapLeft===t.minimapLeft&&e.minimapWidth===t.minimapWidth&&e.viewportColumn===t.viewportColumn&&e.verticalScrollbarWidth===t.verticalScrollbarWidth&&e.horizontalScrollbarHeight===t.horizontalScrollbarHeight&&this._equalsOverviewRuler(e.overviewRuler,t.overviewRuler)},e._equalsOverviewRuler=function(e,t){return e.width===t.width&&e.height===t.height&&e.top===t.top&&e.right===t.right},e._equalsViewOptions=function(e,t){
return e.extraEditorClassName===t.extraEditorClassName&&e.disableMonospaceOptimizations===t.disableMonospaceOptimizations&&i.equals(e.rulers,t.rulers)&&e.ariaLabel===t.ariaLabel&&e.renderLineNumbers===t.renderLineNumbers&&e.renderCustomLineNumbers===t.renderCustomLineNumbers&&e.selectOnLineNumbers===t.selectOnLineNumbers&&e.glyphMargin===t.glyphMargin&&e.revealHorizontalRightPadding===t.revealHorizontalRightPadding&&e.roundedSelection===t.roundedSelection&&e.overviewRulerLanes===t.overviewRulerLanes&&e.overviewRulerBorder===t.overviewRulerBorder&&e.cursorBlinking===t.cursorBlinking&&e.mouseWheelZoom===t.mouseWheelZoom&&e.cursorStyle===t.cursorStyle&&e.cursorWidth===t.cursorWidth&&e.hideCursorInOverviewRuler===t.hideCursorInOverviewRuler&&e.scrollBeyondLastLine===t.scrollBeyondLastLine&&e.scrollBeyondLastColumn===t.scrollBeyondLastColumn&&e.smoothScrolling===t.smoothScrolling&&e.stopRenderingLineAfter===t.stopRenderingLineAfter&&e.renderWhitespace===t.renderWhitespace&&e.renderControlCharacters===t.renderControlCharacters&&e.fontLigatures===t.fontLigatures&&e.renderIndentGuides===t.renderIndentGuides&&e.highlightActiveIndentGuide===t.highlightActiveIndentGuide&&e.renderLineHighlight===t.renderLineHighlight&&this._equalsScrollbarOptions(e.scrollbar,t.scrollbar)&&this._equalsMinimapOptions(e.minimap,t.minimap)&&e.fixedOverflowWidgets===t.fixedOverflowWidgets
},e._equalsScrollbarOptions=function(e,t){return e.arrowSize===t.arrowSize&&e.vertical===t.vertical&&e.horizontal===t.horizontal&&e.useShadows===t.useShadows&&e.verticalHasArrows===t.verticalHasArrows&&e.horizontalHasArrows===t.horizontalHasArrows&&e.handleMouseWheel===t.handleMouseWheel&&e.horizontalScrollbarSize===t.horizontalScrollbarSize&&e.horizontalSliderSize===t.horizontalSliderSize&&e.verticalScrollbarSize===t.verticalScrollbarSize&&e.verticalSliderSize===t.verticalSliderSize&&e.mouseWheelScrollSensitivity===t.mouseWheelScrollSensitivity},e._equalsMinimapOptions=function(e,t){return e.enabled===t.enabled&&e.side===t.side&&e.showSlider===t.showSlider&&e.renderCharacters===t.renderCharacters&&e.maxColumn===t.maxColumn},e._equalFindOptions=function(e,t){return e.seedSearchStringFromSelection===t.seedSearchStringFromSelection&&e.autoFindInSelection===t.autoFindInSelection&&e.globalFindClipboard===t.globalFindClipboard},e._equalsParameterHintOptions=function(e,t){
return e.enabled===t.enabled&&e.cycle===t.cycle},e._equalsHoverOptions=function(e,t){return e.enabled===t.enabled&&e.delay===t.delay&&e.sticky===t.sticky},e._equalsSuggestOptions=function(e,t){return e===t||!(!e||!t)&&(e.filterGraceful===t.filterGraceful&&e.snippets===t.snippets&&e.snippetsPreventQuickSuggestions===t.snippetsPreventQuickSuggestions&&e.localityBonus===t.localityBonus)},e._equalsWrappingInfo=function(e,t){return e.inDiffEditor===t.inDiffEditor&&e.isDominatedByLongLines===t.isDominatedByLongLines&&e.isWordWrapMinified===t.isWordWrapMinified&&e.isViewportWrapping===t.isViewportWrapping&&e.wrappingColumn===t.wrappingColumn&&e.wrappingIndent===t.wrappingIndent&&e.wordWrapBreakBeforeCharacters===t.wordWrapBreakBeforeCharacters&&e.wordWrapBreakAfterCharacters===t.wordWrapBreakAfterCharacters&&e.wordWrapBreakObtrusiveCharacters===t.wordWrapBreakObtrusiveCharacters},e._equalsContribOptions=function(t,n){
return t.selectionClipboard===n.selectionClipboard&&this._equalsHoverOptions(t.hover,n.hover)&&t.links===n.links&&t.contextmenu===n.contextmenu&&e._equalsQuickSuggestions(t.quickSuggestions,n.quickSuggestions)&&t.quickSuggestionsDelay===n.quickSuggestionsDelay&&this._equalsParameterHintOptions(t.parameterHints,n.parameterHints)&&t.iconsInSuggestions===n.iconsInSuggestions&&t.formatOnType===n.formatOnType&&t.formatOnPaste===n.formatOnPaste&&t.suggestOnTriggerCharacters===n.suggestOnTriggerCharacters&&t.acceptSuggestionOnEnter===n.acceptSuggestionOnEnter&&t.acceptSuggestionOnCommitCharacter===n.acceptSuggestionOnCommitCharacter&&t.wordBasedSuggestions===n.wordBasedSuggestions&&t.suggestSelection===n.suggestSelection&&t.suggestFontSize===n.suggestFontSize&&t.suggestLineHeight===n.suggestLineHeight&&t.tabCompletion===n.tabCompletion&&this._equalsSuggestOptions(t.suggest,n.suggest)&&t.selectionHighlight===n.selectionHighlight&&t.occurrencesHighlight===n.occurrencesHighlight&&t.codeLens===n.codeLens&&t.folding===n.folding&&t.foldingStrategy===n.foldingStrategy&&t.showFoldingControls===n.showFoldingControls&&t.matchBrackets===n.matchBrackets&&this._equalFindOptions(t.find,n.find)&&t.colorDecorators===n.colorDecorators&&o.equals(t.codeActionsOnSave,n.codeActionsOnSave)&&t.codeActionsOnSaveTimeout===n.codeActionsOnSaveTimeout&&t.lightbulbEnabled===n.lightbulbEnabled
},e._equalsQuickSuggestions=function(e,t){return"boolean"==typeof e?"boolean"==typeof t&&e===t:"boolean"!=typeof t&&(e.comments===t.comments&&e.other===t.other&&e.strings===t.strings)},e}();t.InternalEditorOptions=f;var g=function(){function e(){}return e.validate=function(e,t){var n=e.wordWrap;!0===n?n="on":!1===n&&(n="off"),n=d(n,t.wordWrap,["off","on","wordWrapColumn","bounded"]);var i=this._sanitizeViewInfo(e,t.viewInfo),o=this._sanitizeContribInfo(e,t.contribInfo),s=void 0;"string"==typeof e.multiCursorModifier&&(s="ctrlCmd"===e.multiCursorModifier?r.isMacintosh?"metaKey":"ctrlKey":"altKey");var l,h,p,f=d(s,t.multiCursorModifier,["altKey","metaKey","ctrlKey"]);return"boolean"==typeof e.autoClosingBrackets&&!1===e.autoClosingBrackets?(l="never",h="never",p="never"):(l=d(e.autoClosingBrackets,t.autoClosingBrackets,["always","languageDefined","beforeWhitespace","never"]),h=d(e.autoClosingQuotes,t.autoClosingQuotes,["always","languageDefined","beforeWhitespace","never"]),
p=d(e.autoSurround,t.autoSurround,["languageDefined","brackets","quotes","never"])),{inDiffEditor:a(e.inDiffEditor,t.inDiffEditor),wordSeparators:u(e.wordSeparators,t.wordSeparators),lineNumbersMinChars:c(e.lineNumbersMinChars,t.lineNumbersMinChars,1,10),lineDecorationsWidth:void 0===e.lineDecorationsWidth?t.lineDecorationsWidth:e.lineDecorationsWidth,readOnly:a(e.readOnly,t.readOnly),mouseStyle:d(e.mouseStyle,t.mouseStyle,["text","default","copy"]),disableLayerHinting:a(e.disableLayerHinting,t.disableLayerHinting),automaticLayout:a(e.automaticLayout,t.automaticLayout),wordWrap:n,wordWrapColumn:c(e.wordWrapColumn,t.wordWrapColumn,1,1073741824),wordWrapMinified:a(e.wordWrapMinified,t.wordWrapMinified),wrappingIndent:function(e,t){return"string"!=typeof e?t:"same"===e?1:"indent"===e?2:"deepIndent"===e?3:0}(e.wrappingIndent,t.wrappingIndent),wordWrapBreakBeforeCharacters:u(e.wordWrapBreakBeforeCharacters,t.wordWrapBreakBeforeCharacters),
wordWrapBreakAfterCharacters:u(e.wordWrapBreakAfterCharacters,t.wordWrapBreakAfterCharacters),wordWrapBreakObtrusiveCharacters:u(e.wordWrapBreakObtrusiveCharacters,t.wordWrapBreakObtrusiveCharacters),autoClosingBrackets:l,autoClosingQuotes:h,autoSurround:p,autoIndent:a(e.autoIndent,t.autoIndent),dragAndDrop:a(e.dragAndDrop,t.dragAndDrop),emptySelectionClipboard:a(e.emptySelectionClipboard,t.emptySelectionClipboard),copyWithSyntaxHighlighting:a(e.copyWithSyntaxHighlighting,t.copyWithSyntaxHighlighting),useTabStops:a(e.useTabStops,t.useTabStops),multiCursorModifier:f,multiCursorMergeOverlapping:a(e.multiCursorMergeOverlapping,t.multiCursorMergeOverlapping),accessibilitySupport:d(e.accessibilitySupport,t.accessibilitySupport,["auto","on","off"]),showUnused:a(e.showUnused,t.showUnused),viewInfo:i,contribInfo:o}},e._sanitizeScrollbarOpts=function(e,t,n){if("object"!=typeof e)return t;var i=c(e.horizontalScrollbarSize,t.horizontalScrollbarSize,0,1e3),o=c(e.verticalScrollbarSize,t.verticalScrollbarSize,0,1e3)
;return{vertical:h(e.vertical,t.vertical),horizontal:h(e.horizontal,t.horizontal),arrowSize:c(e.arrowSize,t.arrowSize,0,1e3),useShadows:a(e.useShadows,t.useShadows),verticalHasArrows:a(e.verticalHasArrows,t.verticalHasArrows),horizontalHasArrows:a(e.horizontalHasArrows,t.horizontalHasArrows),horizontalScrollbarSize:i,horizontalSliderSize:c(e.horizontalSliderSize,i,0,1e3),verticalScrollbarSize:o,verticalSliderSize:c(e.verticalSliderSize,o,0,1e3),handleMouseWheel:a(e.handleMouseWheel,t.handleMouseWheel),mouseWheelScrollSensitivity:n}},e._sanitizeMinimapOpts=function(e,t){return"object"!=typeof e?t:{enabled:a(e.enabled,t.enabled),side:d(e.side,t.side,["right","left"]),showSlider:d(e.showSlider,t.showSlider,["always","mouseover"]),renderCharacters:a(e.renderCharacters,t.renderCharacters),maxColumn:c(e.maxColumn,t.maxColumn,1,1e4)}},e._santizeFindOpts=function(e,t){return"object"!=typeof e?t:{seedSearchStringFromSelection:a(e.seedSearchStringFromSelection,t.seedSearchStringFromSelection),
autoFindInSelection:a(e.autoFindInSelection,t.autoFindInSelection),globalFindClipboard:a(e.globalFindClipboard,t.globalFindClipboard)}},e._sanitizeParameterHintOpts=function(e,t){return"object"!=typeof e?t:{enabled:a(e.enabled,t.enabled),cycle:a(e.cycle,t.cycle)}},e._santizeHoverOpts=function(e,t){var n;if("boolean"==typeof e)n={enabled:e};else{if("object"!=typeof e)return t;n=e}return{enabled:a(n.enabled,t.enabled),delay:c(n.delay,t.delay,0,1e4),sticky:a(n.sticky,t.sticky)}},e._sanitizeSuggestOpts=function(e,t){var n=e.suggest||{};return{filterGraceful:a(n.filterGraceful,t.filterGraceful),snippets:d(e.snippetSuggestions,t.snippets,["top","bottom","inline","none"]),snippetsPreventQuickSuggestions:a(n.snippetsPreventQuickSuggestions,t.filterGraceful),localityBonus:a(n.localityBonus,t.localityBonus)}},e._sanitizeTabCompletionOpts=function(e,t){return!1===e?"off":!0===e?"onlySnippets":d(e,t,["on","off","onlySnippets"])},e._sanitizeViewInfo=function(e,t){var n=[];if(Array.isArray(e.rulers)){
for(var i=0,o=e.rulers.length;i<o;i++)n.push(c(e.rulers[i],0,0,1e4));n.sort()}var r=t.renderLineNumbers,s=t.renderCustomLineNumbers;if(void 0!==e.lineNumbers){var l=e.lineNumbers;!0===l?l="on":!1===l&&(l="off"),"function"==typeof l?(r=4,s=l):r="interval"===l?3:"relative"===l?2:"on"===l?1:0}var h=a(e.fontLigatures,t.fontLigatures),f=a(e.disableMonospaceOptimizations,t.disableMonospaceOptimizations)||h,g=e.renderWhitespace;!0===g?g="boundary":!1===g&&(g="none"),g=d(e.renderWhitespace,t.renderWhitespace,["none","boundary","all"]);var m=e.renderLineHighlight;!0===m?m="line":!1===m&&(m="none"),m=d(e.renderLineHighlight,t.renderLineHighlight,["none","gutter","line","all"]);var v=function(e,t){var n=parseFloat(e);return isNaN(n)&&(n=t),n}(e.mouseWheelScrollSensitivity,t.scrollbar.mouseWheelScrollSensitivity);0===v&&(v=1);var _=this._sanitizeScrollbarOpts(e.scrollbar,t.scrollbar,v),y=this._sanitizeMinimapOpts(e.minimap,t.minimap);return{extraEditorClassName:u(e.extraEditorClassName,t.extraEditorClassName),
disableMonospaceOptimizations:f,rulers:n,ariaLabel:u(e.ariaLabel,t.ariaLabel),renderLineNumbers:r,renderCustomLineNumbers:s,selectOnLineNumbers:a(e.selectOnLineNumbers,t.selectOnLineNumbers),glyphMargin:a(e.glyphMargin,t.glyphMargin),revealHorizontalRightPadding:c(e.revealHorizontalRightPadding,t.revealHorizontalRightPadding,0,1e3),roundedSelection:a(e.roundedSelection,t.roundedSelection),overviewRulerLanes:c(e.overviewRulerLanes,t.overviewRulerLanes,0,3),overviewRulerBorder:a(e.overviewRulerBorder,t.overviewRulerBorder),cursorBlinking:function(e,t){if("string"!=typeof e)return t;switch(e){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"visible":case"solid":return 5}return 1}(e.cursorBlinking,t.cursorBlinking),mouseWheelZoom:a(e.mouseWheelZoom,t.mouseWheelZoom),cursorStyle:function(e,t){
return"string"!=typeof e?t:"line"===e?p.Line:"block"===e?p.Block:"underline"===e?p.Underline:"line-thin"===e?p.LineThin:"block-outline"===e?p.BlockOutline:"underline-thin"===e?p.UnderlineThin:p.Line}(e.cursorStyle,t.cursorStyle),cursorWidth:c(e.cursorWidth,t.cursorWidth,0,Number.MAX_VALUE),hideCursorInOverviewRuler:a(e.hideCursorInOverviewRuler,t.hideCursorInOverviewRuler),scrollBeyondLastLine:a(e.scrollBeyondLastLine,t.scrollBeyondLastLine),scrollBeyondLastColumn:c(e.scrollBeyondLastColumn,t.scrollBeyondLastColumn,0,1073741824),smoothScrolling:a(e.smoothScrolling,t.smoothScrolling),stopRenderingLineAfter:c(e.stopRenderingLineAfter,t.stopRenderingLineAfter,-1,1073741824),renderWhitespace:g,renderControlCharacters:a(e.renderControlCharacters,t.renderControlCharacters),fontLigatures:h,renderIndentGuides:a(e.renderIndentGuides,t.renderIndentGuides),highlightActiveIndentGuide:a(e.highlightActiveIndentGuide,t.highlightActiveIndentGuide),renderLineHighlight:m,scrollbar:_,minimap:y,
fixedOverflowWidgets:a(e.fixedOverflowWidgets,t.fixedOverflowWidgets)}},e._sanitizeContribInfo=function(e,t){var n;n="object"==typeof e.quickSuggestions?l({other:!0},e.quickSuggestions):a(e.quickSuggestions,t.quickSuggestions),"boolean"==typeof e.acceptSuggestionOnEnter&&(e.acceptSuggestionOnEnter=e.acceptSuggestionOnEnter?"on":"off");var i=this._santizeFindOpts(e.find,t.find);return{selectionClipboard:a(e.selectionClipboard,t.selectionClipboard),hover:this._santizeHoverOpts(e.hover,t.hover),links:a(e.links,t.links),contextmenu:a(e.contextmenu,t.contextmenu),quickSuggestions:n,quickSuggestionsDelay:c(e.quickSuggestionsDelay,t.quickSuggestionsDelay,-1073741824,1073741824),parameterHints:this._sanitizeParameterHintOpts(e.parameterHints,t.parameterHints),iconsInSuggestions:a(e.iconsInSuggestions,t.iconsInSuggestions),formatOnType:a(e.formatOnType,t.formatOnType),formatOnPaste:a(e.formatOnPaste,t.formatOnPaste),suggestOnTriggerCharacters:a(e.suggestOnTriggerCharacters,t.suggestOnTriggerCharacters),
acceptSuggestionOnEnter:d(e.acceptSuggestionOnEnter,t.acceptSuggestionOnEnter,["on","smart","off"]),acceptSuggestionOnCommitCharacter:a(e.acceptSuggestionOnCommitCharacter,t.acceptSuggestionOnCommitCharacter),wordBasedSuggestions:a(e.wordBasedSuggestions,t.wordBasedSuggestions),suggestSelection:d(e.suggestSelection,t.suggestSelection,["first","recentlyUsed","recentlyUsedByPrefix"]),suggestFontSize:c(e.suggestFontSize,t.suggestFontSize,0,1e3),suggestLineHeight:c(e.suggestLineHeight,t.suggestLineHeight,0,1e3),tabCompletion:this._sanitizeTabCompletionOpts(e.tabCompletion,t.tabCompletion),suggest:this._sanitizeSuggestOpts(e,t.suggest),selectionHighlight:a(e.selectionHighlight,t.selectionHighlight),occurrencesHighlight:a(e.occurrencesHighlight,t.occurrencesHighlight),codeLens:a(e.codeLens,t.codeLens),folding:a(e.folding,t.folding),foldingStrategy:d(e.foldingStrategy,t.foldingStrategy,["auto","indentation"]),showFoldingControls:d(e.showFoldingControls,t.showFoldingControls,["always","mouseover"]),
matchBrackets:a(e.matchBrackets,t.matchBrackets),find:i,colorDecorators:a(e.colorDecorators,t.colorDecorators),lightbulbEnabled:a(!!e.lightbulb&&e.lightbulb.enabled,t.lightbulbEnabled),codeActionsOnSave:function(e,t){if(!e)return t;for(var n=Object.create(null),i=0,o=Object.keys(e);i<o.length;i++){var r=o[i],s=e[r];"boolean"==typeof s&&(n[r]=s)}return n}(e.codeActionsOnSave,{}),codeActionsOnSaveTimeout:c(e.codeActionsOnSaveTimeout,t.codeActionsOnSaveTimeout,1,1e4)}},e}();t.EditorOptionsValidator=g;var m=function(){function e(){}return e._tweakValidatedOptions=function(e,t){var i=2===t,o=1===t;return{inDiffEditor:e.inDiffEditor,wordSeparators:e.wordSeparators,lineNumbersMinChars:e.lineNumbersMinChars,lineDecorationsWidth:e.lineDecorationsWidth,readOnly:e.readOnly,mouseStyle:e.mouseStyle,disableLayerHinting:e.disableLayerHinting,automaticLayout:e.automaticLayout,wordWrap:e.wordWrap,wordWrapColumn:e.wordWrapColumn,wordWrapMinified:e.wordWrapMinified,wrappingIndent:e.wrappingIndent,
wordWrapBreakBeforeCharacters:e.wordWrapBreakBeforeCharacters,wordWrapBreakAfterCharacters:e.wordWrapBreakAfterCharacters,wordWrapBreakObtrusiveCharacters:e.wordWrapBreakObtrusiveCharacters,autoClosingBrackets:e.autoClosingBrackets,autoClosingQuotes:e.autoClosingQuotes,autoSurround:e.autoSurround,autoIndent:e.autoIndent,dragAndDrop:e.dragAndDrop,emptySelectionClipboard:e.emptySelectionClipboard,copyWithSyntaxHighlighting:e.copyWithSyntaxHighlighting,useTabStops:e.useTabStops,multiCursorModifier:e.multiCursorModifier,multiCursorMergeOverlapping:e.multiCursorMergeOverlapping,accessibilitySupport:e.accessibilitySupport,showUnused:e.showUnused,viewInfo:{extraEditorClassName:e.viewInfo.extraEditorClassName,disableMonospaceOptimizations:e.viewInfo.disableMonospaceOptimizations,rulers:e.viewInfo.rulers,ariaLabel:o?n.localize(0,null):e.viewInfo.ariaLabel,renderLineNumbers:e.viewInfo.renderLineNumbers,renderCustomLineNumbers:e.viewInfo.renderCustomLineNumbers,selectOnLineNumbers:e.viewInfo.selectOnLineNumbers,
glyphMargin:e.viewInfo.glyphMargin,revealHorizontalRightPadding:e.viewInfo.revealHorizontalRightPadding,roundedSelection:!i&&e.viewInfo.roundedSelection,overviewRulerLanes:e.viewInfo.overviewRulerLanes,overviewRulerBorder:e.viewInfo.overviewRulerBorder,cursorBlinking:e.viewInfo.cursorBlinking,mouseWheelZoom:e.viewInfo.mouseWheelZoom,cursorStyle:e.viewInfo.cursorStyle,cursorWidth:e.viewInfo.cursorWidth,hideCursorInOverviewRuler:e.viewInfo.hideCursorInOverviewRuler,scrollBeyondLastLine:e.viewInfo.scrollBeyondLastLine,scrollBeyondLastColumn:e.viewInfo.scrollBeyondLastColumn,smoothScrolling:e.viewInfo.smoothScrolling,stopRenderingLineAfter:e.viewInfo.stopRenderingLineAfter,renderWhitespace:i?"none":e.viewInfo.renderWhitespace,renderControlCharacters:!i&&e.viewInfo.renderControlCharacters,fontLigatures:!i&&e.viewInfo.fontLigatures,renderIndentGuides:!i&&e.viewInfo.renderIndentGuides,highlightActiveIndentGuide:e.viewInfo.highlightActiveIndentGuide,renderLineHighlight:e.viewInfo.renderLineHighlight,
scrollbar:e.viewInfo.scrollbar,minimap:{enabled:!i&&e.viewInfo.minimap.enabled,side:e.viewInfo.minimap.side,renderCharacters:e.viewInfo.minimap.renderCharacters,showSlider:e.viewInfo.minimap.showSlider,maxColumn:e.viewInfo.minimap.maxColumn},fixedOverflowWidgets:e.viewInfo.fixedOverflowWidgets},contribInfo:{selectionClipboard:e.contribInfo.selectionClipboard,hover:e.contribInfo.hover,links:!i&&e.contribInfo.links,contextmenu:e.contribInfo.contextmenu,quickSuggestions:e.contribInfo.quickSuggestions,quickSuggestionsDelay:e.contribInfo.quickSuggestionsDelay,parameterHints:e.contribInfo.parameterHints,iconsInSuggestions:e.contribInfo.iconsInSuggestions,formatOnType:e.contribInfo.formatOnType,formatOnPaste:e.contribInfo.formatOnPaste,suggestOnTriggerCharacters:e.contribInfo.suggestOnTriggerCharacters,acceptSuggestionOnEnter:e.contribInfo.acceptSuggestionOnEnter,acceptSuggestionOnCommitCharacter:e.contribInfo.acceptSuggestionOnCommitCharacter,wordBasedSuggestions:e.contribInfo.wordBasedSuggestions,
suggestSelection:e.contribInfo.suggestSelection,suggestFontSize:e.contribInfo.suggestFontSize,suggestLineHeight:e.contribInfo.suggestLineHeight,tabCompletion:e.contribInfo.tabCompletion,suggest:e.contribInfo.suggest,selectionHighlight:!i&&e.contribInfo.selectionHighlight,occurrencesHighlight:!i&&e.contribInfo.occurrencesHighlight,codeLens:!i&&e.contribInfo.codeLens,folding:!i&&e.contribInfo.folding,foldingStrategy:e.contribInfo.foldingStrategy,showFoldingControls:e.contribInfo.showFoldingControls,matchBrackets:!i&&e.contribInfo.matchBrackets,find:e.contribInfo.find,colorDecorators:e.contribInfo.colorDecorators,lightbulbEnabled:e.contribInfo.lightbulbEnabled,codeActionsOnSave:e.contribInfo.codeActionsOnSave,codeActionsOnSaveTimeout:e.contribInfo.codeActionsOnSaveTimeout}}},e.createInternalEditorOptions=function(e,t){var n;n="auto"===t.accessibilitySupport?e.accessibilitySupport:"on"===t.accessibilitySupport?2:1;var i,o=this._tweakValidatedOptions(t,n)
;if("string"==typeof o.lineDecorationsWidth&&/^\d+(\.\d+)?ch$/.test(o.lineDecorationsWidth)){i=parseFloat(o.lineDecorationsWidth.substr(0,o.lineDecorationsWidth.length-2))*e.fontInfo.typicalHalfwidthCharacterWidth}else i=c(o.lineDecorationsWidth,0,0,1e3);o.contribInfo.folding&&(i+=16);var r=v.compute({outerWidth:e.outerWidth,outerHeight:e.outerHeight,showGlyphMargin:o.viewInfo.glyphMargin,lineHeight:e.fontInfo.lineHeight,showLineNumbers:0!==o.viewInfo.renderLineNumbers,lineNumbersMinChars:o.lineNumbersMinChars,lineNumbersDigitCount:e.lineNumbersDigitCount,lineDecorationsWidth:i,typicalHalfwidthCharacterWidth:e.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:e.fontInfo.maxDigitWidth,verticalScrollbarWidth:o.viewInfo.scrollbar.verticalScrollbarSize,horizontalScrollbarHeight:o.viewInfo.scrollbar.horizontalScrollbarSize,scrollbarArrowSize:o.viewInfo.scrollbar.arrowSize,verticalScrollbarHasArrows:o.viewInfo.scrollbar.verticalHasArrows,minimap:o.viewInfo.minimap.enabled,minimapSide:o.viewInfo.minimap.side,
minimapRenderCharacters:o.viewInfo.minimap.renderCharacters,minimapMaxColumn:o.viewInfo.minimap.maxColumn,pixelRatio:e.pixelRatio}),s=null,a=o.wordWrap,l=o.wordWrapColumn,u=o.wordWrapMinified;s=2===n?{isWordWrapMinified:!1,isViewportWrapping:!1,wrappingColumn:-1}:u&&e.isDominatedByLongLines?{isWordWrapMinified:!0,isViewportWrapping:!0,wrappingColumn:Math.max(1,r.viewportColumn)}:"on"===a?{isWordWrapMinified:!1,isViewportWrapping:!0,wrappingColumn:Math.max(1,r.viewportColumn)}:"bounded"===a?{isWordWrapMinified:!1,isViewportWrapping:!0,wrappingColumn:Math.min(Math.max(1,r.viewportColumn),l)}:"wordWrapColumn"===a?{isWordWrapMinified:!1,isViewportWrapping:!1,wrappingColumn:l}:{isWordWrapMinified:!1,isViewportWrapping:!1,wrappingColumn:-1};var d={inDiffEditor:o.inDiffEditor,isDominatedByLongLines:e.isDominatedByLongLines,isWordWrapMinified:s.isWordWrapMinified,isViewportWrapping:s.isViewportWrapping,wrappingColumn:s.wrappingColumn,wrappingIndent:o.wrappingIndent,
wordWrapBreakBeforeCharacters:o.wordWrapBreakBeforeCharacters,wordWrapBreakAfterCharacters:o.wordWrapBreakAfterCharacters,wordWrapBreakObtrusiveCharacters:o.wordWrapBreakObtrusiveCharacters},h="monaco-editor";return o.viewInfo.extraEditorClassName&&(h+=" "+o.viewInfo.extraEditorClassName),e.extraEditorClassName&&(h+=" "+e.extraEditorClassName),o.viewInfo.fontLigatures&&(h+=" enable-ligatures"),"default"===o.mouseStyle?h+=" mouse-default":"copy"===o.mouseStyle&&(h+=" mouse-copy"),new f({canUseLayerHinting:!o.disableLayerHinting,pixelRatio:e.pixelRatio,editorClassName:h,lineHeight:e.fontInfo.lineHeight,readOnly:o.readOnly,accessibilitySupport:n,multiCursorModifier:o.multiCursorModifier,multiCursorMergeOverlapping:o.multiCursorMergeOverlapping,wordSeparators:o.wordSeparators,autoClosingBrackets:o.autoClosingBrackets,autoClosingQuotes:o.autoClosingQuotes,autoSurround:o.autoSurround,autoIndent:o.autoIndent,useTabStops:o.useTabStops,tabFocusMode:!!o.readOnly||e.tabFocusMode,dragAndDrop:o.dragAndDrop,
emptySelectionClipboard:o.emptySelectionClipboard&&e.emptySelectionClipboard,copyWithSyntaxHighlighting:o.copyWithSyntaxHighlighting,layoutInfo:r,fontInfo:e.fontInfo,viewInfo:o.viewInfo,wrappingInfo:d,contribInfo:o.contribInfo,showUnused:o.showUnused})},e}();t.InternalEditorOptionsFactory=m;var v=function(){function e(){}return e.compute=function(e){var t=0|e.outerWidth,n=0|e.outerHeight,i=e.showGlyphMargin,o=0|e.lineHeight,r=e.showLineNumbers,s=0|e.lineNumbersMinChars,a=0|e.lineNumbersDigitCount,l=0|e.lineDecorationsWidth,u=e.typicalHalfwidthCharacterWidth,d=e.maxDigitWidth,c=0|e.verticalScrollbarWidth,h=e.verticalScrollbarHasArrows,p=0|e.scrollbarArrowSize,f=0|e.horizontalScrollbarHeight,g=e.minimap,m=e.minimapSide,v=e.minimapRenderCharacters,_=0|e.minimapMaxColumn,y=e.pixelRatio,C=0;if(r){var b=Math.max(a,s);C=Math.round(b*d)}var S=0;i&&(S=o);var w,E,L,x,I=0,N=I+S,D=N+C,M=D+l,k=t-S-C-l;if(g){var T=void 0;y>=2?(w=v?2:4,T=2/y):(w=v?1:3,T=1/y)
;(L=Math.max(0,Math.floor((k-c-2)*T/(u+T))))/T>_&&(L=Math.floor(_*T)),x=k-L,"left"===m?(E=0,I+=L,N+=L,D+=L,M+=L):E=t-L-c}else E=0,L=0,w=0,x=k;var R=Math.max(1,Math.floor((x-c-2)/u)),O=h?p:0;return{width:t,height:n,glyphMarginLeft:I,glyphMarginWidth:S,glyphMarginHeight:n,lineNumbersLeft:N,lineNumbersWidth:C,lineNumbersHeight:n,decorationsLeft:D,decorationsWidth:l,decorationsHeight:n,contentLeft:M,contentWidth:x,contentHeight:n,renderMinimap:w,minimapLeft:E,minimapWidth:L,viewportColumn:R,verticalScrollbarWidth:c,horizontalScrollbarHeight:f,overviewRuler:{top:O,width:c,height:n-2*O,right:0}}},e}();t.EditorLayoutProvider=v;t.EDITOR_FONT_DEFAULTS={fontFamily:r.isMacintosh?"Menlo, Monaco, 'Courier New', monospace":r.isLinux?"'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'":"Consolas, 'Courier New', monospace",fontWeight:"normal",fontSize:r.isMacintosh?12:14,lineHeight:0,letterSpacing:0},t.EDITOR_MODEL_DEFAULTS={tabSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,
largeFileOptimizations:!0},t.EDITOR_DEFAULTS={inDiffEditor:!1,wordSeparators:s.USUAL_WORD_SEPARATORS,lineNumbersMinChars:5,lineDecorationsWidth:10,readOnly:!1,mouseStyle:"text",disableLayerHinting:!1,automaticLayout:!1,wordWrap:"off",wordWrapColumn:80,wordWrapMinified:!0,wrappingIndent:1,wordWrapBreakBeforeCharacters:"([{‘“〈《「『【〔（［｛｢£¥＄￡￥+＋",wordWrapBreakAfterCharacters:" \t})]?|&,;¢°′″‰℃、。｡､￠，．：；？！％・･ゝゞヽヾーァィゥェォッャュョヮヵヶぁぃぅぇぉっゃゅょゎゕゖㇰㇱㇲㇳㇴㇵㇶㇷㇸㇹㇺㇻㇼㇽㇾㇿ々〻ｧｨｩｪｫｬｭｮｯｰ”〉》」』】〕）］｝｣",wordWrapBreakObtrusiveCharacters:".",autoClosingBrackets:"languageDefined",autoClosingQuotes:"languageDefined",autoSurround:"languageDefined",autoIndent:!0,dragAndDrop:!0,emptySelectionClipboard:!0,copyWithSyntaxHighlighting:!0,useTabStops:!0,multiCursorModifier:"altKey",multiCursorMergeOverlapping:!0,accessibilitySupport:"auto",showUnused:!0,viewInfo:{extraEditorClassName:"",disableMonospaceOptimizations:!1,rulers:[],ariaLabel:n.localize(1,null),renderLineNumbers:1,renderCustomLineNumbers:null,selectOnLineNumbers:!0,glyphMargin:!0,
revealHorizontalRightPadding:30,roundedSelection:!0,overviewRulerLanes:2,overviewRulerBorder:!0,cursorBlinking:1,mouseWheelZoom:!1,cursorStyle:p.Line,cursorWidth:0,hideCursorInOverviewRuler:!1,scrollBeyondLastLine:!0,scrollBeyondLastColumn:5,smoothScrolling:!1,stopRenderingLineAfter:1e4,renderWhitespace:"none",renderControlCharacters:!1,fontLigatures:!1,renderIndentGuides:!0,highlightActiveIndentGuide:!0,renderLineHighlight:"line",scrollbar:{vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:10,horizontalSliderSize:10,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,mouseWheelScrollSensitivity:1},minimap:{enabled:!0,side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120},fixedOverflowWidgets:!1},contribInfo:{selectionClipboard:!0,hover:{enabled:!0,delay:300,sticky:!0},links:!0,contextmenu:!0,quickSuggestions:{other:!0,comments:!1,strings:!1},quickSuggestionsDelay:10,parameterHints:{enabled:!0,cycle:!1},
iconsInSuggestions:!0,formatOnType:!1,formatOnPaste:!1,suggestOnTriggerCharacters:!0,acceptSuggestionOnEnter:"on",acceptSuggestionOnCommitCharacter:!0,wordBasedSuggestions:!0,suggestSelection:"recentlyUsed",suggestFontSize:0,suggestLineHeight:0,tabCompletion:"off",suggest:{filterGraceful:!0,snippets:"inline",snippetsPreventQuickSuggestions:!0,localityBonus:!1},selectionHighlight:!0,occurrencesHighlight:!0,codeLens:!0,folding:!0,foldingStrategy:"auto",showFoldingControls:"mouseover",matchBrackets:!0,find:{seedSearchStringFromSelection:!0,autoFindInSelection:!1,globalFindClipboard:!1},colorDecorators:!0,lightbulbEnabled:!0,codeActionsOnSave:{},codeActionsOnSaveTimeout:750}}}),define(t[122],n([0,1,17,48,97]),function(e,t,n,i,r){"use strict";function s(e,t){if("number"==typeof e)return e;if(void 0===e)return t;var n=parseFloat(e);return isNaN(n)?t:n}function a(e,t,n){return e<t?t:e>n?n:e}function l(e,t){return"string"!=typeof e?t:e}Object.defineProperty(t,"__esModule",{value:!0})
;var u=n.isMacintosh?1.5:1.35,d=function(){function e(e){this.zoomLevel=e.zoomLevel,this.fontFamily=String(e.fontFamily),this.fontWeight=String(e.fontWeight),this.fontSize=e.fontSize,this.lineHeight=0|e.lineHeight,this.letterSpacing=e.letterSpacing}return e.createFromRawSettings=function(t,n){var o=l(t.fontFamily,i.EDITOR_FONT_DEFAULTS.fontFamily),d=l(t.fontWeight,i.EDITOR_FONT_DEFAULTS.fontWeight),c=s(t.fontSize,i.EDITOR_FONT_DEFAULTS.fontSize);0===(c=a(c,0,100))?c=i.EDITOR_FONT_DEFAULTS.fontSize:c<8&&(c=8);var h=function(e,t){if("number"==typeof e)return Math.round(e);if(void 0===e)return t;var n=parseInt(e);return isNaN(n)?t:n}(t.lineHeight,0);0===(h=a(h,0,150))?h=Math.round(u*c):h<8&&(h=8);var p=s(t.letterSpacing,0);p=a(p,-5,20);var f=1+.1*r.EditorZoom.getZoomLevel();return c*=f,h*=f,new e({zoomLevel:n,fontFamily:o,fontWeight:d,fontSize:c,lineHeight:h,letterSpacing:p})},e.prototype.getId=function(){
return this.zoomLevel+"-"+this.fontFamily+"-"+this.fontWeight+"-"+this.fontSize+"-"+this.lineHeight+"-"+this.letterSpacing},e.prototype.getMassagedFontFamily=function(){return/[,"']/.test(this.fontFamily)?this.fontFamily:/[+ ]/.test(this.fontFamily)?'"'+this.fontFamily+'"':this.fontFamily},e}();t.BareFontInfo=d;var c=function(e){function t(t,n){var i=e.call(this,t)||this;return i.isTrusted=n,i.isMonospace=t.isMonospace,i.typicalHalfwidthCharacterWidth=t.typicalHalfwidthCharacterWidth,i.typicalFullwidthCharacterWidth=t.typicalFullwidthCharacterWidth,i.canUseHalfwidthRightwardsArrow=t.canUseHalfwidthRightwardsArrow,i.spaceWidth=t.spaceWidth,i.maxDigitWidth=t.maxDigitWidth,i}return o(t,e),t.prototype.equals=function(e){
return this.fontFamily===e.fontFamily&&this.fontWeight===e.fontWeight&&this.fontSize===e.fontSize&&this.lineHeight===e.lineHeight&&this.letterSpacing===e.letterSpacing&&this.typicalHalfwidthCharacterWidth===e.typicalHalfwidthCharacterWidth&&this.typicalFullwidthCharacterWidth===e.typicalFullwidthCharacterWidth&&this.canUseHalfwidthRightwardsArrow===e.canUseHalfwidthRightwardsArrow&&this.spaceWidth===e.spaceWidth&&this.maxDigitWidth===e.maxDigitWidth},t}(d);t.FontInfo=c}),define(t[297],n([5,4]),function(e,t){return e.create("vs/editor/common/controller/cursor",t)}),define(t[298],n([5,4]),function(e,t){return e.create("vs/editor/common/modes/modesRegistry",t)}),define(t[299],n([5,4]),function(e,t){return e.create("vs/editor/common/services/modelServiceImpl",t)}),define(t[300],n([5,4]),function(e,t){return e.create("vs/editor/common/view/editorColorRegistry",t)}),define(t[301],n([5,4]),function(e,t){return e.create("vs/editor/contrib/bracketMatching/bracketMatching",t)}),define(t[302],n([5,4]),function(e,t){
return e.create("vs/editor/contrib/caretOperations/caretOperations",t)}),define(t[303],n([5,4]),function(e,t){return e.create("vs/editor/contrib/caretOperations/transpose",t)}),define(t[304],n([5,4]),function(e,t){return e.create("vs/editor/contrib/clipboard/clipboard",t)}),define(t[305],n([5,4]),function(e,t){return e.create("vs/editor/contrib/codeAction/codeActionCommands",t)}),define(t[306],n([5,4]),function(e,t){return e.create("vs/editor/contrib/comment/comment",t)}),define(t[307],n([5,4]),function(e,t){return e.create("vs/editor/contrib/contextmenu/contextmenu",t)}),define(t[308],n([5,4]),function(e,t){return e.create("vs/editor/contrib/cursorUndo/cursorUndo",t)}),define(t[309],n([5,4]),function(e,t){return e.create("vs/editor/contrib/find/findController",t)}),define(t[310],n([5,4]),function(e,t){return e.create("vs/editor/contrib/find/findWidget",t)}),define(t[311],n([5,4]),function(e,t){return e.create("vs/editor/contrib/folding/folding",t)}),define(t[312],n([5,4]),function(e,t){
return e.create("vs/editor/contrib/fontZoom/fontZoom",t)}),define(t[313],n([5,4]),function(e,t){return e.create("vs/editor/contrib/format/formatActions",t)}),define(t[314],n([5,4]),function(e,t){return e.create("vs/editor/contrib/goToDefinition/goToDefinitionCommands",t)}),define(t[315],n([5,4]),function(e,t){return e.create("vs/editor/contrib/goToDefinition/goToDefinitionMouse",t)}),define(t[316],n([5,4]),function(e,t){return e.create("vs/editor/contrib/gotoError/gotoError",t)}),define(t[317],n([5,4]),function(e,t){return e.create("vs/editor/contrib/gotoError/gotoErrorWidget",t)}),define(t[318],n([5,4]),function(e,t){return e.create("vs/editor/contrib/hover/hover",t)}),define(t[319],n([5,4]),function(e,t){return e.create("vs/editor/contrib/hover/modesContentHover",t)}),define(t[320],n([5,4]),function(e,t){return e.create("vs/editor/contrib/inPlaceReplace/inPlaceReplace",t)}),define(t[321],n([5,4]),function(e,t){return e.create("vs/editor/contrib/linesOperations/linesOperations",t)}),
define(t[322],n([5,4]),function(e,t){return e.create("vs/editor/contrib/links/links",t)}),define(t[323],n([5,4]),function(e,t){return e.create("vs/editor/contrib/message/messageController",t)}),define(t[324],n([5,4]),function(e,t){return e.create("vs/editor/contrib/multicursor/multicursor",t)}),define(t[325],n([5,4]),function(e,t){return e.create("vs/editor/contrib/parameterHints/parameterHints",t)}),define(t[326],n([5,4]),function(e,t){return e.create("vs/editor/contrib/parameterHints/parameterHintsWidget",t)}),define(t[327],n([5,4]),function(e,t){return e.create("vs/editor/contrib/referenceSearch/peekViewWidget",t)}),define(t[328],n([5,4]),function(e,t){return e.create("vs/editor/contrib/referenceSearch/referenceSearch",t)}),define(t[329],n([5,4]),function(e,t){return e.create("vs/editor/contrib/referenceSearch/referencesController",t)}),define(t[330],n([5,4]),function(e,t){return e.create("vs/editor/contrib/referenceSearch/referencesModel",t)}),
define(t[123],n([0,1,330,6,58,2,8,110,3]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e,t){this.parent=e,this._range=t,this._onRefChanged=new i.Emitter,this.onRefChanged=this._onRefChanged.event,this.id=a.defaultGenerator.nextId()}return Object.defineProperty(e.prototype,"uri",{get:function(){return this.parent.uri},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"range",{get:function(){return this._range},set:function(e){this._range=e,this._onRefChanged.fire(this)},enumerable:!0,configurable:!0}),e.prototype.getAriaMessage=function(){return n.localize(0,null,o.basename(this.uri.fsPath),this.range.startLineNumber,this.range.startColumn)},e}();t.OneReference=u;var d=function(){function e(e){this._modelReference=e}return e.prototype.dispose=function(){r.dispose(this._modelReference)},e.prototype.preview=function(e,t){void 0===t&&(t=8);var n=this._modelReference.object.textEditorModel;if(n){
var i=e.startLineNumber,o=e.startColumn,r=e.endLineNumber,a=e.endColumn,u=n.getWordUntilPosition({lineNumber:i,column:o-t}),d=new l.Range(i,u.startColumn,i,o),c=new l.Range(r,a,r,Number.MAX_VALUE);return{before:n.getValueInRange(d).replace(/^\s+/,s.empty),inside:n.getValueInRange(e),after:n.getValueInRange(c).replace(/\s+$/,s.empty)}}},e}();t.FilePreview=d;var c=function(){function e(e,t){this._parent=e,this._uri=t,this._children=[]}return Object.defineProperty(e.prototype,"id",{get:function(){return this._uri.toString()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"parent",{get:function(){return this._parent},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"children",{get:function(){return this._children},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"uri",{get:function(){return this._uri},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"preview",{get:function(){return this._preview},enumerable:!0,configurable:!0}),
Object.defineProperty(e.prototype,"failure",{get:function(){return this._loadFailure},enumerable:!0,configurable:!0}),e.prototype.getAriaMessage=function(){var e=this.children.length;return 1===e?n.localize(1,null,o.basename(this.uri.fsPath),this.uri.fsPath):n.localize(2,null,e,o.basename(this.uri.fsPath),this.uri.fsPath)},e.prototype.resolve=function(e){var t=this;return this._resolved?Promise.resolve(this):Promise.resolve(e.createModelReference(this._uri).then(function(e){if(!e.object)throw e.dispose(),new Error;return t._preview=new d(e),t._resolved=!0,t},function(e){return t._children=[],t._resolved=!0,t._loadFailure=e,t}))},e.prototype.dispose=function(){this._preview&&(this._preview.dispose(),this._preview=void 0)},e}();t.FileReferences=c;var h=function(){function e(t){var n=this;this.groups=[],this.references=[],this._onDidChangeReferenceRange=new i.Emitter,this.onDidChangeReferenceRange=this._onDidChangeReferenceRange.event,this._disposables=[],t.sort(e._compareReferences)
;for(var o,r=0,s=t;r<s.length;r++){var a=s[r];if(o&&o.uri.toString()===a.uri.toString()||(o=new c(this,a.uri),this.groups.push(o)),0===o.children.length||!l.Range.equalsRange(a.range,o.children[o.children.length-1].range)){var d=new u(o,a.range);this._disposables.push(d.onRefChanged(function(e){return n._onDidChangeReferenceRange.fire(e)})),this.references.push(d),o.children.push(d)}}}return Object.defineProperty(e.prototype,"empty",{get:function(){return 0===this.groups.length},enumerable:!0,configurable:!0}),e.prototype.getAriaMessage=function(){return this.empty?n.localize(3,null):1===this.references.length?n.localize(4,null,this.references[0].uri.fsPath):1===this.groups.length?n.localize(5,null,this.references.length,this.groups[0].uri.fsPath):n.localize(6,null,this.references.length,this.groups.length)},e.prototype.nextOrPreviousReference=function(e,t){var n=e.parent,i=n.children.indexOf(e),o=n.children.length,r=n.parent.groups.length;return 1===r||t&&i+1<o||!t&&i>0?(i=t?(i+1)%o:(i+o-1)%o,
n.children[i]):(i=n.parent.groups.indexOf(n),t?(i=(i+1)%r,n.parent.groups[i].children[0]):(i=(i+r-1)%r,n.parent.groups[i].children[n.parent.groups[i].children.length-1]))},e.prototype.nearestReference=function(e,t){var n=this.references.map(function(n,i){return{idx:i,prefixLen:s.commonPrefixLength(n.uri.toString(),e.toString()),offsetDist:100*Math.abs(n.range.startLineNumber-t.lineNumber)+Math.abs(n.range.startColumn-t.column)}}).sort(function(e,t){return e.prefixLen>t.prefixLen?-1:e.prefixLen<t.prefixLen?1:e.offsetDist<t.offsetDist?-1:e.offsetDist>t.offsetDist?1:0})[0];if(n)return this.references[n.idx]},e.prototype.dispose=function(){r.dispose(this.groups),r.dispose(this._disposables),this.groups.length=0,this._disposables.length=0},e._compareReferences=function(e,t){var n=e.uri.toString(),i=t.uri.toString();return n<i?-1:n>i?1:l.Range.compareRangesUsingStarts(e.range,t.range)},e}();t.ReferencesModel=h}),define(t[332],n([5,4]),function(e,t){
return e.create("vs/editor/contrib/referenceSearch/referencesWidget",t)}),define(t[333],n([5,4]),function(e,t){return e.create("vs/editor/contrib/rename/rename",t)}),define(t[334],n([5,4]),function(e,t){return e.create("vs/editor/contrib/rename/renameInputField",t)}),define(t[335],n([5,4]),function(e,t){return e.create("vs/editor/contrib/smartSelect/smartSelect",t)}),define(t[336],n([5,4]),function(e,t){return e.create("vs/editor/contrib/snippet/snippetVariables",t)}),define(t[337],n([0,1,336,58,111,8]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){this._delegates=e}return e.prototype.resolve=function(e){for(var t=0,n=this._delegates;t<n.length;t++){var i=n[t].resolve(e);if(void 0!==i)return i}},e}();t.CompositeSnippetVariableResolver=s;var a=function(){function e(e,t){this._model=e,this._selection=t}return e.prototype.resolve=function(e){var t=e.name;if("SELECTION"===t||"TM_SELECTED_TEXT"===t){
var n=this._model.getValueInRange(this._selection)||void 0;if(n&&this._selection.startLineNumber!==this._selection.endLineNumber){var i=this._model.getLineContent(this._selection.startLineNumber),s=r.getLeadingWhitespace(i,0,this._selection.startColumn-1),a=s;e.snippet.walk(function(t){return t!==e&&(t instanceof o.Text&&(a=r.getLeadingWhitespace(t.value.split(/\r\n|\r|\n/).pop())),!0)});var l=r.commonPrefixLength(a,s);n=n.replace(/(\r\n|\r|\n)(.*)/g,function(e,t,n){return""+t+a.substr(l)+n})}return n}if("TM_CURRENT_LINE"===t)return this._model.getLineContent(this._selection.positionLineNumber);if("TM_CURRENT_WORD"===t){var u=this._model.getWordAtPosition({lineNumber:this._selection.positionLineNumber,column:this._selection.positionColumn});return u&&u.word||void 0}return"TM_LINE_INDEX"===t?String(this._selection.positionLineNumber-1):"TM_LINE_NUMBER"===t?String(this._selection.positionLineNumber):void 0},e}();t.SelectionBasedVariableResolver=a;var l=function(){function e(e){this._model=e}
return e.prototype.resolve=function(e){var t=e.name;if("TM_FILENAME"===t)return i.basename(this._model.uri.fsPath);if("TM_FILENAME_BASE"===t){var n=i.basename(this._model.uri.fsPath),o=n.lastIndexOf(".");return o<=0?n:n.slice(0,o)}if("TM_DIRECTORY"===t){var r=i.dirname(this._model.uri.fsPath);return"."!==r?r:""}return"TM_FILEPATH"===t?this._model.uri.fsPath:void 0},e}();t.ModelBasedVariableResolver=l;var u=function(){function e(e,t,n){this._clipboardService=e,this._selectionIdx=t,this._selectionCount=n}return e.prototype.resolve=function(e){if("CLIPBOARD"===e.name&&this._clipboardService){var t=this._clipboardService.readText();if(t){var n=t.split(/\r\n|\n|\r/).filter(function(e){return!r.isFalsyOrWhitespace(e)});return n.length===this._selectionCount?n[this._selectionIdx]:t}}},e}();t.ClipboardBasedVariableResolver=u;var d=function(){function e(){}return e.prototype.resolve=function(t){var n=t.name
;return"CURRENT_YEAR"===n?String((new Date).getFullYear()):"CURRENT_YEAR_SHORT"===n?String((new Date).getFullYear()).slice(-2):"CURRENT_MONTH"===n?r.pad((new Date).getMonth().valueOf()+1,2):"CURRENT_DATE"===n?r.pad((new Date).getDate().valueOf(),2):"CURRENT_HOUR"===n?r.pad((new Date).getHours().valueOf(),2):"CURRENT_MINUTE"===n?r.pad((new Date).getMinutes().valueOf(),2):"CURRENT_SECOND"===n?r.pad((new Date).getSeconds().valueOf(),2):"CURRENT_DAY_NAME"===n?e.dayNames[(new Date).getDay()]:"CURRENT_DAY_NAME_SHORT"===n?e.dayNamesShort[(new Date).getDay()]:"CURRENT_MONTH_NAME"===n?e.monthNames[(new Date).getMonth()]:"CURRENT_MONTH_NAME_SHORT"===n?e.monthNamesShort[(new Date).getMonth()]:void 0},e.dayNames=[n.localize(0,null),n.localize(1,null),n.localize(2,null),n.localize(3,null),n.localize(4,null),n.localize(5,null),n.localize(6,null)],e.dayNamesShort=[n.localize(7,null),n.localize(8,null),n.localize(9,null),n.localize(10,null),n.localize(11,null),n.localize(12,null),n.localize(13,null)],
e.monthNames=[n.localize(14,null),n.localize(15,null),n.localize(16,null),n.localize(17,null),n.localize(18,null),n.localize(19,null),n.localize(20,null),n.localize(21,null),n.localize(22,null),n.localize(23,null),n.localize(24,null),n.localize(25,null)],e.monthNamesShort=[n.localize(26,null),n.localize(27,null),n.localize(28,null),n.localize(29,null),n.localize(30,null),n.localize(31,null),n.localize(32,null),n.localize(33,null),n.localize(34,null),n.localize(35,null),n.localize(36,null),n.localize(37,null)],e}();t.TimeBasedVariableResolver=d}),define(t[338],n([5,4]),function(e,t){return e.create("vs/editor/contrib/suggest/suggestController",t)}),define(t[339],n([5,4]),function(e,t){return e.create("vs/editor/contrib/suggest/suggestWidget",t)}),define(t[340],n([5,4]),function(e,t){return e.create("vs/editor/contrib/toggleTabFocusMode/toggleTabFocusMode",t)}),define(t[341],n([5,4]),function(e,t){return e.create("vs/editor/contrib/wordHighlighter/wordHighlighter",t)}),define(t[342],n([5,4]),function(e,t){
return e.create("vs/editor/standalone/browser/accessibilityHelp/accessibilityHelp",t)}),define(t[343],n([5,4]),function(e,t){return e.create("vs/editor/standalone/browser/inspectTokens/inspectTokens",t)}),define(t[344],n([5,4]),function(e,t){return e.create("vs/editor/standalone/browser/quickOpen/gotoLine",t)}),define(t[345],n([5,4]),function(e,t){return e.create("vs/editor/standalone/browser/quickOpen/quickCommand",t)}),define(t[346],n([5,4]),function(e,t){return e.create("vs/editor/standalone/browser/quickOpen/quickOutline",t)}),define(t[347],n([5,4]),function(e,t){return e.create("vs/editor/standalone/browser/simpleServices",t)}),define(t[348],n([5,4]),function(e,t){return e.create("vs/editor/standalone/browser/standaloneCodeEditor",t)}),define(t[349],n([5,4]),function(e,t){return e.create("vs/editor/standalone/browser/toggleHighContrast/toggleHighContrast",t)}),define(t[350],n([5,4]),function(e,t){return e.create("vs/platform/configuration/common/configurationRegistry",t)}),
define(t[351],n([5,4]),function(e,t){return e.create("vs/platform/keybinding/common/abstractKeybindingService",t)}),define(t[352],n([5,4]),function(e,t){return e.create("vs/platform/list/browser/listService",t)}),define(t[353],n([5,4]),function(e,t){return e.create("vs/platform/markers/common/markers",t)}),define(t[354],n([5,4]),function(e,t){return e.create("vs/platform/theme/common/colorRegistry",t)}),define(t[162],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.FILE=0]="FILE",e[e.FOLDER=1]="FOLDER",e[e.ROOT_FOLDER=2]="ROOT_FOLDER"}(t.FileKind||(t.FileKind={}))}),define(t[356],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){return function(e,t,n){void 0===t&&(t=[]),void 0===n&&(n=!1),this.ctor=e,this.staticArguments=t,this.supportsDelayedInstantiation=n}}();t.SyncDescriptor=n}),define(t[357],n([0,1,32,226]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0})
;var o=function(){function e(e){this._hashFn=e,this._nodes=Object.create(null)}return e.prototype.roots=function(){var e=[];return i.forEach(this._nodes,function(t){n.isEmptyObject(t.value.outgoing)&&e.push(t.value)}),e},e.prototype.insertEdge=function(e,t){var n=this.lookupOrInsertNode(e),i=this.lookupOrInsertNode(t);n.outgoing[this._hashFn(t)]=i,i.incoming[this._hashFn(e)]=n},e.prototype.removeNode=function(e){var t=this._hashFn(e);delete this._nodes[t],i.forEach(this._nodes,function(e){delete e.value.outgoing[t],delete e.value.incoming[t]})},e.prototype.lookupOrInsertNode=function(e){var t=this._hashFn(e),n=this._nodes[t];return n||(n=function(e){return{data:e,incoming:Object.create(null),outgoing:Object.create(null)}}(e),this._nodes[t]=n),n},e.prototype.isEmpty=function(){for(var e in this._nodes)return!1;return!0},e.prototype.toString=function(){var e=[];return i.forEach(this._nodes,function(t){
e.push(t.key+", (incoming)["+Object.keys(t.value.incoming).join(", ")+"], (outgoing)["+Object.keys(t.value.outgoing).join(",")+"]")}),e.join("\n")},e}();t.Graph=o}),define(t[15],n([0,1]),function(e,t){"use strict";function n(e,t,n,i){t[o.DI_TARGET]===t?t[o.DI_DEPENDENCIES].push({id:e,index:n,optional:i}):(t[o.DI_DEPENDENCIES]=[{id:e,index:n,optional:i}],t[o.DI_TARGET]=t)}function i(e){if(o.serviceIds.has(e))return o.serviceIds.get(e);var t=function(e,i,o){if(3!==arguments.length)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");n(t,e,o,!1)};return t.toString=function(){return e},o.serviceIds.set(e,t),t}Object.defineProperty(t,"__esModule",{value:!0});var o;!function(e){e.serviceIds=new Map,e.DI_TARGET="$di$target",e.DI_DEPENDENCIES="$di$dependencies",e.getServiceDependencies=function(t){return t[e.DI_DEPENDENCIES]||[]}}(o=t._util||(t._util={})),t.IInstantiationService=i("instantiationService"),t.createDecorator=i,t.optional=function(e){return function(t,i,o){
if(3!==arguments.length)throw new Error("@optional-decorator can only be used to decorate a parameter");n(e,t,o,!0)}}}),define(t[126],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IBulkEditService=n.createDecorator("IWorkspaceEditService")}),define(t[30],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ICodeEditorService=n.createDecorator("codeEditorService")}),define(t[64],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ID_EDITOR_WORKER_SERVICE="editorWorkerService",t.IEditorWorkerService=n.createDecorator(t.ID_EDITOR_WORKER_SERVICE)}),define(t[63],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IModeService=n.createDecorator("modeService")}),define(t[42],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IModelService=n.createDecorator("modelService"),t.shouldSynchronizeModel=function(e){
return!e.isTooLargeForSyncing()&&!e.isForSimpleWidget}}),define(t[364],n([0,1,6,2,515,42]),function(e,t,n,i,o,r){"use strict";function s(e){return"string"!=typeof e&&(Array.isArray(e)?e.every(s):!!e.exclusive)}Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(){this._clock=0,this._entries=[],this._onDidChange=new n.Emitter}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),e.prototype.register=function(e,t){var n=this,o={selector:e,provider:t,_score:-1,_time:this._clock++};return this._entries.push(o),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),i.toDisposable(function(){if(o){var e=n._entries.indexOf(o);e>=0&&(n._entries.splice(e,1),n._lastCandidate=void 0,n._onDidChange.fire(n._entries.length),o=void 0)}})},e.prototype.has=function(e){return this.all(e).length>0},e.prototype.all=function(e){if(!e)return[];this._updateScores(e)
;for(var t=[],n=0,i=this._entries;n<i.length;n++){var o=i[n];o._score>0&&t.push(o.provider)}return t},e.prototype.ordered=function(e){var t=[];return this._orderedForEach(e,function(e){return t.push(e.provider)}),t},e.prototype.orderedGroups=function(e){var t,n,i=[];return this._orderedForEach(e,function(e){t&&n===e._score?t.push(e.provider):(n=e._score,t=[e.provider],i.push(t))}),i},e.prototype._orderedForEach=function(e,t){if(e){this._updateScores(e);for(var n=0;n<this._entries.length;n++){var i=this._entries[n];i._score>0&&t(i)}}},e.prototype._updateScores=function(t){var n={uri:t.uri.toString(),language:t.getLanguageIdentifier().language};if(!this._lastCandidate||this._lastCandidate.language!==n.language||this._lastCandidate.uri!==n.uri){this._lastCandidate=n;for(var i=0,a=this._entries;i<a.length;i++){var l=a[i];if(l._score=o.score(l.selector,t.uri,t.getLanguageIdentifier().language,r.shouldSynchronizeModel(t)),s(l.selector)&&l._score>0){for(var u=0,d=this._entries;u<d.length;u++){d[u]._score=0}
l._score=1e3;break}}this._entries.sort(e._compareByScoreAndTime)}},e._compareByScoreAndTime=function(e,t){return e._score<t._score?1:e._score>t._score?-1:e._time<t._time?1:e._time>t._time?-1:0},e}();t.LanguageFeatureRegistry=a}),define(t[14],n([0,1,32,364,561]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){return function(e,t){this.language=e,this.id=t}}();t.LanguageIdentifier=r;var s=function(){function e(){}return e.getLanguageId=function(e){return(255&e)>>>0},e.getTokenType=function(e){return(1792&e)>>>8},e.getFontStyle=function(e){return(14336&e)>>>11},e.getForeground=function(e){return(8372224&e)>>>14},e.getBackground=function(e){return(4286578688&e)>>>23},e.getClassNameFromMetadata=function(e){var t="mtk"+this.getForeground(e),n=this.getFontStyle(e);return 1&n&&(t+=" mtki"),2&n&&(t+=" mtkb"),4&n&&(t+=" mtku"),t},e.getInlineStyleFromMetadata=function(e,t){var n=this.getForeground(e),i=this.getFontStyle(e),o="color: "+t[n]+";"
;return 1&i&&(o+="font-style: italic;"),2&i&&(o+="font-weight: bold;"),4&i&&(o+="text-decoration: underline;"),o},e}();t.TokenMetadata=s,t.completionKindToCssClass=function(){var e=Object.create(null);return e[0]="method",e[1]="function",e[2]="constructor",e[3]="field",e[4]="variable",e[5]="class",e[6]="struct",e[7]="interface",e[8]="module",e[9]="property",e[10]="event",e[11]="operator",e[12]="unit",e[13]="value",e[14]="constant",e[15]="enum",e[16]="enum-member",e[17]="keyword",e[25]="snippet",e[18]="text",e[19]="color",e[20]="file",e[21]="reference",e[22]="customcolor",e[23]="folder",e[24]="type-parameter",function(t){return e[t]||"property"}}(),t.completionKindFromLegacyString=function(){var e=Object.create(null);return e.method=0,e.function=1,e.constructor=2,e.field=3,e.variable=4,e.class=5,e.struct=6,e.interface=7,e.module=8,e.property=9,e.event=10,e.operator=11,e.unit=12,e.value=13,e.constant=14,e.enum=15,e["enum-member"]=16,e.keyword=17,e.snippet=25,e.text=18,e.color=19,e.file=20,e.reference=21,
e.customcolor=22,e.folder=23,e["type-parameter"]=24,function(t){return e[t]||"property"}}();!function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"}(t.SignatureHelpTriggerReason||(t.SignatureHelpTriggerReason={}));!function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}(t.DocumentHighlightKind||(t.DocumentHighlightKind={})),t.symbolKindToCssClass=function(){var e=Object.create(null);return e[0]="file",e[1]="module",e[2]="namespace",e[3]="package",e[4]="class",e[5]="method",e[6]="property",e[7]="field",e[8]="constructor",e[9]="enum",e[10]="interface",e[11]="function",e[12]="variable",e[13]="constant",e[14]="string",e[15]="number",e[16]="boolean",e[17]="array",e[18]="object",e[19]="key",e[20]="null",e[21]="enum-member",e[22]="struct",e[23]="event",e[24]="operator",e[25]="type-parameter",function(t){return"symbol-icon "+(e[t]||"property")}}();var a=function(){function e(e){this.value=e}return e.Comment=new e("comment"),
e.Imports=new e("imports"),e.Region=new e("region"),e}();t.FoldingRangeKind=a,t.isResourceTextEdit=function(e){return n.isObject(e)&&e.resource&&Array.isArray(e.edits)},t.ReferenceProviderRegistry=new i.LanguageFeatureRegistry,t.RenameProviderRegistry=new i.LanguageFeatureRegistry,t.CompletionProviderRegistry=new i.LanguageFeatureRegistry,t.SignatureHelpProviderRegistry=new i.LanguageFeatureRegistry,t.HoverProviderRegistry=new i.LanguageFeatureRegistry,t.DocumentSymbolProviderRegistry=new i.LanguageFeatureRegistry,t.DocumentHighlightProviderRegistry=new i.LanguageFeatureRegistry,t.DefinitionProviderRegistry=new i.LanguageFeatureRegistry,t.ImplementationProviderRegistry=new i.LanguageFeatureRegistry,t.TypeDefinitionProviderRegistry=new i.LanguageFeatureRegistry,t.CodeLensProviderRegistry=new i.LanguageFeatureRegistry,t.CodeActionProviderRegistry=new i.LanguageFeatureRegistry,t.DocumentFormattingEditProviderRegistry=new i.LanguageFeatureRegistry,
t.DocumentRangeFormattingEditProviderRegistry=new i.LanguageFeatureRegistry,t.OnTypeFormattingEditProviderRegistry=new i.LanguageFeatureRegistry,t.LinkProviderRegistry=new i.LanguageFeatureRegistry,t.ColorProviderRegistry=new i.LanguageFeatureRegistry,t.FoldingRangeProviderRegistry=new i.LanguageFeatureRegistry,t.TokenizationRegistry=new o.TokenizationRegistryImpl}),define(t[93],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){this._tokens=e,this._tokensCount=this._tokens.length>>>1,this._text=t}return e.prototype.equals=function(t){return t instanceof e&&this.slicedEquals(t,0,this._tokensCount)},e.prototype.slicedEquals=function(e,t,n){if(this._text!==e._text)return!1;if(this._tokensCount!==e._tokensCount)return!1;for(var i=t<<1,o=i+(n<<1),r=i;r<o;r++)if(this._tokens[r]!==e._tokens[r])return!1;return!0},e.prototype.getLineContent=function(){return this._text},e.prototype.getCount=function(){return this._tokensCount},
e.prototype.getStartOffset=function(e){return e>0?this._tokens[e-1<<1]:0},e.prototype.getLanguageId=function(e){var t=this._tokens[1+(e<<1)];return n.TokenMetadata.getLanguageId(t)},e.prototype.getStandardTokenType=function(e){var t=this._tokens[1+(e<<1)];return n.TokenMetadata.getTokenType(t)},e.prototype.getForeground=function(e){var t=this._tokens[1+(e<<1)];return n.TokenMetadata.getForeground(t)},e.prototype.getClassName=function(e){var t=this._tokens[1+(e<<1)];return n.TokenMetadata.getClassNameFromMetadata(t)},e.prototype.getInlineStyle=function(e,t){var i=this._tokens[1+(e<<1)];return n.TokenMetadata.getInlineStyleFromMetadata(i,t)},e.prototype.getEndOffset=function(e){return this._tokens[e<<1]},e.prototype.findTokenIndexAtOffset=function(t){return e.findIndexInTokensArray(this._tokens,t)},e.prototype.inflate=function(){return this},e.prototype.sliceAndInflate=function(e,t,n){return new o(this,e,t,n)},e.convertToEndOffset=function(e,t){for(var n=(e.length>>>1)-1,i=0;i<n;i++)e[i<<1]=e[i+1<<1];e[n<<1]=t
},e.findIndexInTokensArray=function(e,t){if(e.length<=2)return 0;for(var n=0,i=(e.length>>>1)-1;n<i;){var o=n+Math.floor((i-n)/2),r=e[o<<1];if(r===t)return o+1;r<t?n=o+1:r>t&&(i=o)}return n},e}();t.LineTokens=i;var o=function(){function e(e,t,n,i){this._source=e,this._startOffset=t,this._endOffset=n,this._deltaOffset=i,this._firstTokenIndex=e.findTokenIndexAtOffset(t),this._tokensCount=0;for(var o=this._firstTokenIndex,r=e.getCount();o<r;o++){if(e.getStartOffset(o)>=n)break;this._tokensCount++}}return e.prototype.equals=function(t){return t instanceof e&&(this._startOffset===t._startOffset&&this._endOffset===t._endOffset&&this._deltaOffset===t._deltaOffset&&this._source.slicedEquals(t._source,this._firstTokenIndex,this._tokensCount))},e.prototype.getCount=function(){return this._tokensCount},e.prototype.getForeground=function(e){return this._source.getForeground(this._firstTokenIndex+e)},e.prototype.getEndOffset=function(e){var t=this._source.getEndOffset(this._firstTokenIndex+e)
;return Math.min(this._endOffset,t)-this._startOffset+this._deltaOffset},e.prototype.getClassName=function(e){return this._source.getClassName(this._firstTokenIndex+e)},e.prototype.getInlineStyle=function(e,t){return this._source.getInlineStyle(this._firstTokenIndex+e,t)},e.prototype.findTokenIndexAtOffset=function(e){return this._source.findTokenIndexAtOffset(e+this._startOffset-this._deltaOffset)-this._firstTokenIndex},e}();t.SlicedLineTokens=o}),define(t[51],n([0,1,91,14]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(){}return e.prototype.clone=function(){return this},e.prototype.equals=function(e){return this===e},e}();t.NULL_STATE=new o,t.NULL_MODE_ID="vs.editor.nullMode",t.NULL_LANGUAGE_IDENTIFIER=new i.LanguageIdentifier(t.NULL_MODE_ID,0),t.nullTokenize=function(e,t,i,o){return new n.TokenizationResult([new n.Token(o,"",e)],i)},t.nullTokenize2=function(e,i,o,r){var s=new Uint32Array(2);return s[0]=r,s[1]=(16384|e<<0|2<<23)>>>0,
new n.TokenizationResult2(s,null===o?t.NULL_STATE:o)}}),define(t[368],n([0,1,22,11,93,12,51]),function(e,t,n,i,o,r,s){"use strict";function a(e){return(16384|e<<0|2<<23)>>>0}Object.defineProperty(t,"__esModule",{value:!0});var l=new Uint32Array(0).buffer,u=function(){function e(e){this._state=e,this._lineTokens=null,this._invalid=!0}return e.prototype.deleteBeginning=function(e){null!==this._lineTokens&&this._lineTokens!==l&&this.delete(0,e)},e.prototype.deleteEnding=function(e){if(null!==this._lineTokens&&this._lineTokens!==l){var t=new Uint32Array(this._lineTokens),n=t[t.length-2];this.delete(e,n)}},e.prototype.delete=function(e,t){if(null!==this._lineTokens&&this._lineTokens!==l&&e!==t){var n=new Uint32Array(this._lineTokens),i=n.length>>>1;if(0!==e||n[n.length-2]!==t){var r=o.LineTokens.findIndexInTokensArray(n,e),s=r>0?n[r-1<<1]:0;if(t<n[r<<1])for(var a=t-e,u=r;u<i;u++)n[u<<1]-=a;else{var d,c;s!==e?(n[r<<1]=e,d=r+1<<1,c=e):(d=r<<1,c=s);for(var h=t-e,p=r+1;p<i;p++){var f=n[p<<1]-h;f>c&&(n[d++]=f,
n[d++]=n[1+(p<<1)],c=f)}if(d!==n.length){var g=new Uint32Array(d);g.set(n.subarray(0,d),0),this._lineTokens=g.buffer}}}else this._lineTokens=l}},e.prototype.append=function(e){if(e!==l)if(this._lineTokens!==l){if(null!==this._lineTokens)if(null!==e){var t=new Uint32Array(this._lineTokens),n=new Uint32Array(e),i=n.length>>>1,o=new Uint32Array(t.length+n.length);o.set(t,0);for(var r=t.length,s=t[t.length-2],a=0;a<i;a++)o[r++]=n[a<<1]+s,o[r++]=n[1+(a<<1)];this._lineTokens=o.buffer}else this._lineTokens=null}else this._lineTokens=e},e.prototype.insert=function(e,t){if(this._lineTokens){var n=new Uint32Array(this._lineTokens),i=n.length>>>1,r=o.LineTokens.findIndexInTokensArray(n,e);if(r>0){(r>0?n[r-1<<1]:0)===e&&r--}for(var s=r;s<i;s++)n[s<<1]+=t}},e}(),d=function(){function e(e,t){if(this.languageIdentifier=e,this.tokenizationSupport=t,this._tokens=[],this.tokenizationSupport){var n=null;try{n=this.tokenizationSupport.getInitialState()}catch(e){i.onUnexpectedError(e),this.tokenizationSupport=null}
n&&(this._tokens[0]=new u(n))}this._invalidLineStartIndex=0,this._lastState=null}return Object.defineProperty(e.prototype,"inValidLineStartIndex",{get:function(){return this._invalidLineStartIndex},enumerable:!0,configurable:!0}),e.prototype.getTokens=function(e,t,n){var i=null;if(t<this._tokens.length&&this._tokens[t]&&(i=this._tokens[t]._lineTokens),null!==i&&i!==l)return new o.LineTokens(new Uint32Array(i),n);var r=new Uint32Array(2);return r[0]=n.length,r[1]=a(e),new o.LineTokens(r,n)},e.prototype.isCheapToTokenize=function(e){return this._invalidLineStartIndex+1>=e},e.prototype.hasLinesToTokenize=function(e){return this._invalidLineStartIndex<e.getLineCount()},e.prototype.invalidateLine=function(e){this._setIsInvalid(e,!0),e<this._invalidLineStartIndex&&(this._setIsInvalid(this._invalidLineStartIndex,!0),this._invalidLineStartIndex=e)},e.prototype._setIsInvalid=function(e,t){e<this._tokens.length&&this._tokens[e]&&(this._tokens[e]._invalid=t)},e.prototype._isInvalid=function(e){
return!(e<this._tokens.length&&this._tokens[e])||this._tokens[e]._invalid},e.prototype._getState=function(e){return e<this._tokens.length&&this._tokens[e]?this._tokens[e]._state:null},e.prototype._setTokens=function(e,t,n,i){var r;t<this._tokens.length&&this._tokens[t]?r=this._tokens[t]:(r=new u(null),this._tokens[t]=r),0!==n?(i&&0!==i.length||((i=new Uint32Array(2))[0]=0,i[1]=a(e)),o.LineTokens.convertToEndOffset(i,n),r._lineTokens=i.buffer):r._lineTokens=l},e.prototype._setState=function(e,t){if(e<this._tokens.length&&this._tokens[e])this._tokens[e]._state=t;else{var n=new u(t);this._tokens[e]=n}},e.prototype.applyEdits=function(e,t,n){for(var i=e.endLineNumber-e.startLineNumber,o=t,s=Math.min(i,o);s>=0;s--)this.invalidateLine(e.startLineNumber+s-1);this._acceptDeleteRange(e),this._acceptInsertText(new r.Position(e.startLineNumber,e.startColumn),t,n)},e.prototype._acceptDeleteRange=function(e){var t=e.startLineNumber-1;if(!(t>=this._tokens.length))if(e.startLineNumber!==e.endLineNumber){
var n=this._tokens[t];n.deleteEnding(e.startColumn-1);var i=e.endLineNumber-1,o=null;if(i<this._tokens.length){var r=this._tokens[i];r.deleteBeginning(e.endColumn-1),o=r._lineTokens}n.append(o),this._tokens.splice(e.startLineNumber,e.endLineNumber-e.startLineNumber)}else{if(e.startColumn===e.endColumn)return;this._tokens[t].delete(e.startColumn-1,e.endColumn-1)}},e.prototype._acceptInsertText=function(e,t,i){if(0!==t||0!==i){var o=e.lineNumber-1;if(!(o>=this._tokens.length))if(0!==t){var r=this._tokens[o];r.deleteEnding(e.column-1),r.insert(e.column-1,i);for(var s=new Array(t),a=t-1;a>=0;a--)s[a]=new u(null);this._tokens=n.arrayInsert(this._tokens,e.lineNumber,s)}else this._tokens[o].insert(e.column-1,i)}},e.prototype._tokenizeOneLine=function(e,t){if(!this.hasLinesToTokenize(e))return e.getLineCount()+1;var n=this._invalidLineStartIndex+1;return this._updateTokensUntilLine(e,t,n),n},e.prototype._tokenizeText=function(e,t,n){var o=null;if(this.tokenizationSupport)try{
o=this.tokenizationSupport.tokenize2(t,n,0)}catch(e){i.onUnexpectedError(e)}return o||(o=s.nullTokenize2(this.languageIdentifier.id,t,n,0)),o},e.prototype._updateTokensUntilLine=function(e,t,n){if(this.tokenizationSupport){for(var o=e.getLineCount(),r=n-1,a=this._invalidLineStartIndex;a<=r;a++){var l=a+1,u=e.getLineContent(a+1),d=this._getState(a),c=null;try{var h=d.clone();c=this.tokenizationSupport.tokenize2(u,h,0)}catch(e){i.onUnexpectedError(e)}if(c||(c=s.nullTokenize2(this.languageIdentifier.id,u,d,0)),this._setTokens(this.languageIdentifier.id,a,u.length,c.tokens),t.registerChangedTokens(a+1),this._setIsInvalid(a,!1),l<o){var p=this._getState(l);if(null!==p&&c.endState.equals(p)){for(var f=a+1;f<o&&!this._isInvalid(f);){if(f+1<o){if(null===this._getState(f+1))break}else if(null===this._lastState)break;f++}this._invalidLineStartIndex=Math.max(this._invalidLineStartIndex,f),a=f-1}else this._setState(l,c.endState)}else this._lastState=c.endState}
this._invalidLineStartIndex=Math.max(this._invalidLineStartIndex,r+1)}else this._invalidLineStartIndex=e.getLineCount()},e}();t.ModelLinesTokens=d;var c=function(){function e(){this._ranges=[]}return e.prototype.registerChangedTokens=function(e){var t=this._ranges,n=t.length,i=n>0?t[n-1]:null;i&&i.toLineNumber===e-1?i.toLineNumber++:t[n]={fromLineNumber:e,toLineNumber:e}},e.prototype.build=function(){return 0===this._ranges.length?null:{ranges:this._ranges}},e}();t.ModelTokensChangedEventBuilder=c}),define(t[26],n([0,1,11,6,2,205,8,25,48,12,3,21,44,471,472,479,499,483,112,368,90,14,39,51,94,96]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x){"use strict";function I(e){var t=new v.PieceTreeTextBufferBuilder;return t.acceptChunk(e),t.finish()}function N(e,t){return("string"==typeof e?I(e):e).create(t)}function D(e){return e.replace(/[^a-z0-9\-_]/gi," ")}function M(e){return e instanceof A?e:A.createDynamic(e)}Object.defineProperty(t,"__esModule",{value:!0});t.createTextBufferFactory=I,
t.createTextBuffer=N;var k=0;t.LONG_LINE_BOUNDARY=1e4;var T=function(){throw new Error("Invalid change accessor")},R=function(e){function r(t,n,o,s){void 0===s&&(s=null);var a=e.call(this)||this;a._onWillDispose=a._register(new i.Emitter),a.onWillDispose=a._onWillDispose.event,a._onDidChangeDecorations=a._register(new W),a.onDidChangeDecorations=a._onDidChangeDecorations.event,a._onDidChangeLanguage=a._register(new i.Emitter),a.onDidChangeLanguage=a._onDidChangeLanguage.event,a._onDidChangeLanguageConfiguration=a._register(new i.Emitter),a.onDidChangeLanguageConfiguration=a._onDidChangeLanguageConfiguration.event,a._onDidChangeTokens=a._register(new i.Emitter),a.onDidChangeTokens=a._onDidChangeTokens.event,a._onDidChangeOptions=a._register(new i.Emitter),a.onDidChangeOptions=a._onDidChangeOptions.event,a._eventEmitter=a._register(new V),k++,a.id="$model"+k,a.isForSimpleWidget=n.isForSimpleWidget,a._associatedResource=void 0===s||null===s?l.URI.parse("inmemory://model/"+k):s,a._attachedEditorCount=0,
a._buffer=N(t,n.defaultEOL),a._options=r.resolveOptions(a._buffer,n);var u=a._buffer.getLineCount(),d=a._buffer.getValueLengthInRange(new c.Range(1,1,u,a._buffer.getLineLength(u)+1),0);return n.largeFileOptimizations?a._isTooLargeForTokenization=d>r.LARGE_FILE_SIZE_THRESHOLD||u>r.LARGE_FILE_LINE_COUNT_THRESHOLD:a._isTooLargeForTokenization=!1,a._isTooLargeForSyncing=d>r.MODEL_SYNC_LIMIT,a._setVersionId(1),a._isDisposed=!1,a._isDisposing=!1,a._languageIdentifier=o||E.NULL_LANGUAGE_IDENTIFIER,a._tokenizationListener=S.TokenizationRegistry.onDidChange(function(e){-1!==e.changedLanguages.indexOf(a._languageIdentifier.language)&&(a._resetTokenizationState(),a.emitModelTokensChangedEvent({ranges:[{fromLineNumber:1,toLineNumber:a.getLineCount()}]}),a._shouldAutoTokenize()&&a._warmUpTokens())}),a._revalidateTokensTimeout=-1,a._languageRegistryListener=w.LanguageConfigurationRegistry.onDidChange(function(e){e.languageIdentifier.id===a._languageIdentifier.id&&a._onDidChangeLanguageConfiguration.fire({})}),
a._resetTokenizationState(),a._instanceId=function(e){return(e%=52)<26?String.fromCharCode(97+e):String.fromCharCode(65+e-26)}(k),a._lastDecorationId=0,a._decorations=Object.create(null),a._decorationsTree=new O,a._commandManager=new f.EditStack(a),a._isUndoing=!1,a._isRedoing=!1,a._trimAutoWhitespaceLines=null,a}return o(r,e),r.createFromString=function(e,t,n,i){return void 0===t&&(t=r.DEFAULT_CREATION_OPTIONS),void 0===n&&(n=null),void 0===i&&(i=null),new r(e,t,n,i)},r.resolveOptions=function(e,t){if(t.detectIndentation){var n=g.guessIndentation(e,t.tabSize,t.insertSpaces);return new p.TextModelResolvedOptions({tabSize:n.tabSize,insertSpaces:n.insertSpaces,trimAutoWhitespace:t.trimAutoWhitespace,defaultEOL:t.defaultEOL})}return new p.TextModelResolvedOptions({tabSize:t.tabSize,insertSpaces:t.insertSpaces,trimAutoWhitespace:t.trimAutoWhitespace,defaultEOL:t.defaultEOL})},r.prototype.onDidChangeRawContentFast=function(e){return this._eventEmitter.fastEvent(function(t){return e(t.rawContentChangedEvent)})},
r.prototype.onDidChangeRawContent=function(e){return this._eventEmitter.slowEvent(function(t){return e(t.rawContentChangedEvent)})},r.prototype.onDidChangeContent=function(e){return this._eventEmitter.slowEvent(function(t){return e(t.contentChangedEvent)})},r.prototype.dispose=function(){this._isDisposing=!0,this._onWillDispose.fire(),this._tokenizationListener.dispose(),this._languageRegistryListener.dispose(),this._clearTimers(),this._isDisposed=!0,e.prototype.dispose.call(this),this._isDisposing=!1},r.prototype._assertNotDisposed=function(){if(this._isDisposed)throw new Error("Model is disposed!")},r.prototype._emitContentChangedEvent=function(e,t){this._isDisposing||this._eventEmitter.fire(new _.InternalModelContentChangeEvent(e,t))},r.prototype.setValue=function(e){if(this._assertNotDisposed(),null!==e){var t=N(e,this._options.defaultEOL);this.setValueFromTextBuffer(t)}},r.prototype._createContentChanged2=function(e,t,n,i,o,r,s){return{changes:[{range:e,rangeOffset:t,rangeLength:n,text:i}],
eol:this._buffer.getEOL(),versionId:this.getVersionId(),isUndoing:o,isRedoing:r,isFlush:s}},r.prototype.setValueFromTextBuffer=function(e){if(this._assertNotDisposed(),null!==e){var t=this.getFullModelRange(),n=this.getValueLengthInRange(t),i=this.getLineCount(),o=this.getLineMaxColumn(i);this._buffer=e,this._increaseVersionId(),this._resetTokenizationState(),this._decorations=Object.create(null),this._decorationsTree=new O,this._commandManager=new f.EditStack(this),this._trimAutoWhitespaceLines=null,this._emitContentChangedEvent(new _.ModelRawContentChangedEvent([new _.ModelRawFlush],this._versionId,!1,!1),this._createContentChanged2(new c.Range(1,1,i,o),0,n,this.getValue(),!1,!1,!0))}},r.prototype.setEOL=function(e){this._assertNotDisposed();var t=1===e?"\r\n":"\n";if(this._buffer.getEOL()!==t){var n=this.getFullModelRange(),i=this.getValueLengthInRange(n),o=this.getLineCount(),r=this.getLineMaxColumn(o);this._onBeforeEOLChange(),this._buffer.setEOL(t),this._increaseVersionId(),this._onAfterEOLChange(),
this._emitContentChangedEvent(new _.ModelRawContentChangedEvent([new _.ModelRawEOLChanged],this._versionId,!1,!1),this._createContentChanged2(new c.Range(1,1,o,r),0,i,this.getValue(),!1,!1,!1))}},r.prototype._onBeforeEOLChange=function(){var e=this.getVersionId(),t=this._decorationsTree.search(0,!1,!1,e);this._ensureNodesHaveRanges(t)},r.prototype._onAfterEOLChange=function(){for(var e=this.getVersionId(),t=this._decorationsTree.collectNodesPostOrder(),n=0,i=t.length;n<i;n++){var o=t[n],r=o.cachedAbsoluteStart-o.start,s=this._buffer.getOffsetAt(o.range.startLineNumber,o.range.startColumn),a=this._buffer.getOffsetAt(o.range.endLineNumber,o.range.endColumn);o.cachedAbsoluteStart=s,o.cachedAbsoluteEnd=a,o.cachedVersionId=e,o.start=s-r,o.end=a-r,m.recomputeMaxEnd(o)}},r.prototype._resetTokenizationState=function(){this._clearTimers();var e=this._isTooLargeForTokenization?null:S.TokenizationRegistry.get(this._languageIdentifier.language);this._tokens=new C.ModelLinesTokens(this._languageIdentifier,e),
this._beginBackgroundTokenization()},r.prototype._clearTimers=function(){-1!==this._revalidateTokensTimeout&&(clearTimeout(this._revalidateTokensTimeout),this._revalidateTokensTimeout=-1)},r.prototype.onBeforeAttached=function(){this._attachedEditorCount++,this._warmUpTokens()},r.prototype.onBeforeDetached=function(){this._attachedEditorCount--},r.prototype._shouldAutoTokenize=function(){return this.isAttachedToEditor()},r.prototype.isAttachedToEditor=function(){return this._attachedEditorCount>0},r.prototype.getAttachedEditorCount=function(){return this._attachedEditorCount},r.prototype.isTooLargeForSyncing=function(){return this._isTooLargeForSyncing},r.prototype.isTooLargeForTokenization=function(){return this._isTooLargeForTokenization},r.prototype.isDisposed=function(){return this._isDisposed},r.prototype.isDominatedByLongLines=function(){if(this._assertNotDisposed(),this.isTooLargeForTokenization())return!1;for(var e=0,n=0,i=this._buffer.getLineCount(),o=1;o<=i;o++){var r=this._buffer.getLineLength(o)
;r>=t.LONG_LINE_BOUNDARY?n+=r:e+=r}return n>e},Object.defineProperty(r.prototype,"uri",{get:function(){return this._associatedResource},enumerable:!0,configurable:!0}),r.prototype.getOptions=function(){return this._assertNotDisposed(),this._options},r.prototype.updateOptions=function(e){this._assertNotDisposed();var t=void 0!==e.tabSize?e.tabSize:this._options.tabSize,n=void 0!==e.insertSpaces?e.insertSpaces:this._options.insertSpaces,i=void 0!==e.trimAutoWhitespace?e.trimAutoWhitespace:this._options.trimAutoWhitespace,o=new p.TextModelResolvedOptions({tabSize:t,insertSpaces:n,defaultEOL:this._options.defaultEOL,trimAutoWhitespace:i});if(!this._options.equals(o)){var r=this._options.createChangeEvent(o);this._options=o,this._onDidChangeOptions.fire(r)}},r.prototype.detectIndentation=function(e,t){this._assertNotDisposed();var n=g.guessIndentation(this._buffer,t,e);this.updateOptions({insertSpaces:n.insertSpaces,tabSize:n.tabSize})},r._normalizeIndentationFromWhitespace=function(e,t,n){
for(var i=0,o=0;o<e.length;o++)"\t"===e.charAt(o)?i+=t:i++;var r="";if(!n){var s=Math.floor(i/t);i%=t;for(o=0;o<s;o++)r+="\t"}for(o=0;o<i;o++)r+=" ";return r},r.normalizeIndentation=function(e,t,n){var i=a.firstNonWhitespaceIndex(e);return-1===i&&(i=e.length),r._normalizeIndentationFromWhitespace(e.substring(0,i),t,n)+e.substring(i)},r.prototype.normalizeIndentation=function(e){return this._assertNotDisposed(),r.normalizeIndentation(e,this._options.tabSize,this._options.insertSpaces)},r.prototype.getOneIndent=function(){this._assertNotDisposed();var e=this._options.tabSize;if(this._options.insertSpaces){for(var t="",n=0;n<e;n++)t+=" ";return t}return"\t"},r.prototype.getVersionId=function(){return this._assertNotDisposed(),this._versionId},r.prototype.mightContainRTL=function(){return this._buffer.mightContainRTL()},r.prototype.mightContainNonBasicASCII=function(){return this._buffer.mightContainNonBasicASCII()},r.prototype.getAlternativeVersionId=function(){return this._assertNotDisposed(),
this._alternativeVersionId},r.prototype.getOffsetAt=function(e){this._assertNotDisposed();var t=this._validatePosition(e.lineNumber,e.column,!1);return this._buffer.getOffsetAt(t.lineNumber,t.column)},r.prototype.getPositionAt=function(e){this._assertNotDisposed();var t=Math.min(this._buffer.getLength(),Math.max(0,e));return this._buffer.getPositionAt(t)},r.prototype._increaseVersionId=function(){this._setVersionId(this._versionId+1)},r.prototype._setVersionId=function(e){this._versionId=e,this._alternativeVersionId=this._versionId},r.prototype._overwriteAlternativeVersionId=function(e){this._alternativeVersionId=e},r.prototype.getValue=function(e,t){void 0===t&&(t=!1),this._assertNotDisposed();var n=this.getFullModelRange(),i=this.getValueInRange(n,e);return t?this._buffer.getBOM()+i:i},r.prototype.getValueLength=function(e,t){void 0===t&&(t=!1),this._assertNotDisposed();var n=this.getFullModelRange(),i=this.getValueLengthInRange(n,e);return t?this._buffer.getBOM().length+i:i},
r.prototype.getValueInRange=function(e,t){return void 0===t&&(t=0),this._assertNotDisposed(),this._buffer.getValueInRange(this.validateRange(e),t)},r.prototype.getValueLengthInRange=function(e,t){return void 0===t&&(t=0),this._assertNotDisposed(),this._buffer.getValueLengthInRange(this.validateRange(e),t)},r.prototype.getLineCount=function(){return this._assertNotDisposed(),this._buffer.getLineCount()},r.prototype.getLineContent=function(e){if(this._assertNotDisposed(),e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");return this._buffer.getLineContent(e)},r.prototype.getLineLength=function(e){if(this._assertNotDisposed(),e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");return this._buffer.getLineLength(e)},r.prototype.getLinesContent=function(){return this._assertNotDisposed(),this._buffer.getLinesContent()},r.prototype.getEOL=function(){return this._assertNotDisposed(),this._buffer.getEOL()},r.prototype.getLineMinColumn=function(e){
return this._assertNotDisposed(),1},r.prototype.getLineMaxColumn=function(e){if(this._assertNotDisposed(),e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");return this._buffer.getLineLength(e)+1},r.prototype.getLineFirstNonWhitespaceColumn=function(e){if(this._assertNotDisposed(),e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");return this._buffer.getLineFirstNonWhitespaceColumn(e)},r.prototype.getLineLastNonWhitespaceColumn=function(e){if(this._assertNotDisposed(),e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");return this._buffer.getLineLastNonWhitespaceColumn(e)},r.prototype._validateRangeRelaxedNoAllocations=function(e){var t,n,i=this._buffer.getLineCount(),o=e.startLineNumber,r=e.startColumn;if(o<1)t=1,n=1;else if(o>i)t=i,n=this.getLineMaxColumn(t);else if(t=0|o,r<=1)n=1;else{n=r>=(d=this.getLineMaxColumn(t))?d:0|r}var s,a,l=e.endLineNumber,u=e.endColumn;if(l<1)s=1,a=1;else if(l>i)s=i,a=this.getLineMaxColumn(s);else if(s=0|l,
u<=1)a=1;else{var d=this.getLineMaxColumn(s);a=u>=d?d:0|u}return o===t&&r===n&&l===s&&u===a&&e instanceof c.Range&&!(e instanceof h.Selection)?e:new c.Range(t,n,s,a)},r.prototype._isValidPosition=function(e,t,n){if(isNaN(e))return!1;if(e<1)return!1;if(e>this._buffer.getLineCount())return!1;if(isNaN(t))return!1;if(t<1)return!1;if(t>this.getLineMaxColumn(e))return!1;if(n&&t>1){var i=this._buffer.getLineCharCode(e,t-2);if(a.isHighSurrogate(i))return!1}return!0},r.prototype._validatePosition=function(e,t,n){var i=Math.floor("number"!=typeof e||isNaN(e)?1:e),o=Math.floor("number"!=typeof t||isNaN(t)?1:t),r=this._buffer.getLineCount();if(i<1)return new d.Position(1,1);if(i>r)return new d.Position(r,this.getLineMaxColumn(r));if(o<=1)return new d.Position(i,1);var s=this.getLineMaxColumn(i);if(o>=s)return new d.Position(i,s);if(n){var l=this._buffer.getLineCharCode(i,o-2);if(a.isHighSurrogate(l))return new d.Position(i,o-1)}return new d.Position(i,o)},r.prototype.validatePosition=function(e){
return this._assertNotDisposed(),e instanceof d.Position&&this._isValidPosition(e.lineNumber,e.column,!0)?e:this._validatePosition(e.lineNumber,e.column,!0)},r.prototype._isValidRange=function(e,t){var n=e.startLineNumber,i=e.startColumn,o=e.endLineNumber,r=e.endColumn;if(!this._isValidPosition(n,i,!1))return!1;if(!this._isValidPosition(o,r,!1))return!1;if(t){var s=i>1?this._buffer.getLineCharCode(n,i-2):0,l=r>1&&r<=this._buffer.getLineLength(o)?this._buffer.getLineCharCode(o,r-2):0,u=a.isHighSurrogate(s),d=a.isHighSurrogate(l);return!u&&!d}return!0},r.prototype.validateRange=function(e){if(this._assertNotDisposed(),e instanceof c.Range&&!(e instanceof h.Selection)&&this._isValidRange(e,!0))return e
;var t=this._validatePosition(e.startLineNumber,e.startColumn,!1),n=this._validatePosition(e.endLineNumber,e.endColumn,!1),i=t.lineNumber,o=t.column,r=n.lineNumber,s=n.column,l=o>1?this._buffer.getLineCharCode(i,o-2):0,u=s>1&&s<=this._buffer.getLineLength(r)?this._buffer.getLineCharCode(r,s-2):0,d=a.isHighSurrogate(l),p=a.isHighSurrogate(u);return d||p?i===r&&o===s?new c.Range(i,o-1,r,s-1):d&&p?new c.Range(i,o-1,r,s+1):d?new c.Range(i,o-1,r,s):new c.Range(i,o,r,s+1):new c.Range(i,o,r,s)},r.prototype.modifyPosition=function(e,t){this._assertNotDisposed();var n=this.getOffsetAt(e)+t;return this.getPositionAt(Math.min(this._buffer.getLength(),Math.max(0,n)))},r.prototype.getFullModelRange=function(){this._assertNotDisposed();var e=this.getLineCount();return new c.Range(1,1,e,this.getLineMaxColumn(e))},r.prototype.findMatchesLineByLine=function(e,t,n,i){return this._buffer.findMatchesLineByLine(e,t,n,i)},r.prototype.findMatches=function(e,t,n,i,o,r,s){void 0===s&&(s=999),this._assertNotDisposed();var a
;if(a=c.Range.isIRange(t)?this.validateRange(t):this.getFullModelRange(),!n&&e.indexOf("\n")<0){var l=new y.SearchParams(e,n,i,o).parseSearchRequest();return l?this.findMatchesLineByLine(a,l,r,s):[]}return y.TextModelSearch.findMatches(this,new y.SearchParams(e,n,i,o),a,r,s)},r.prototype.findNextMatch=function(e,t,n,i,o,r){this._assertNotDisposed();var s=this.validatePosition(t);if(!n&&e.indexOf("\n")<0){var a=new y.SearchParams(e,n,i,o).parseSearchRequest();if(!a)return null;var l=this.getLineCount(),u=new c.Range(s.lineNumber,s.column,l,this.getLineMaxColumn(l)),d=this.findMatchesLineByLine(u,a,r,1);return y.TextModelSearch.findNextMatch(this,new y.SearchParams(e,n,i,o),s,r),d.length>0?d[0]:(u=new c.Range(1,1,s.lineNumber,this.getLineMaxColumn(s.lineNumber)),(d=this.findMatchesLineByLine(u,a,r,1)).length>0?d[0]:null)}return y.TextModelSearch.findNextMatch(this,new y.SearchParams(e,n,i,o),s,r)},r.prototype.findPreviousMatch=function(e,t,n,i,o,r){this._assertNotDisposed();var s=this.validatePosition(t)
;return y.TextModelSearch.findPreviousMatch(this,new y.SearchParams(e,n,i,o),s,r)},r.prototype.pushStackElement=function(){this._commandManager.pushStackElement()},r.prototype.pushEOL=function(e){if(("\n"===this.getEOL()?0:1)!==e)try{this._onDidChangeDecorations.beginDeferredEmit(),this._eventEmitter.beginDeferredEmit(),this._commandManager.pushEOL(e)}finally{this._eventEmitter.endDeferredEmit(),this._onDidChangeDecorations.endDeferredEmit()}},r.prototype.pushEditOperations=function(e,t,n){try{return this._onDidChangeDecorations.beginDeferredEmit(),this._eventEmitter.beginDeferredEmit(),this._pushEditOperations(e,t,n)}finally{this._eventEmitter.endDeferredEmit(),this._onDidChangeDecorations.endDeferredEmit()}},r.prototype._pushEditOperations=function(e,t,n){var i=this;if(this._options.trimAutoWhitespace&&this._trimAutoWhitespaceLines){for(var o=t.map(function(e){return{range:i.validateRange(e.range),text:e.text}}),r=!0,s=0,a=e.length;s<a;s++){for(var l=e[s],u=!1,d=0,h=o.length;d<h;d++){
var p=(_=o[d].range).startLineNumber>l.endLineNumber,f=l.startLineNumber>_.endLineNumber;if(!p&&!f){u=!0;break}}if(!u){r=!1;break}}if(r)for(var s=0,a=this._trimAutoWhitespaceLines.length;s<a;s++){for(var g=this._trimAutoWhitespaceLines[s],m=this.getLineMaxColumn(g),v=!0,d=0,h=o.length;d<h;d++){var _=o[d].range,y=o[d].text;if(!(g<_.startLineNumber||g>_.endLineNumber)&&!(g===_.startLineNumber&&_.startColumn===m&&_.isEmpty()&&y&&y.length>0&&"\n"===y.charAt(0)||g===_.startLineNumber&&1===_.startColumn&&_.isEmpty()&&y&&y.length>0&&"\n"===y.charAt(y.length-1))){v=!1;break}}v&&t.push({range:new c.Range(g,1,g,m),text:null})}this._trimAutoWhitespaceLines=null}return this._commandManager.pushEditOperation(e,t,n)},r.prototype.applyEdits=function(e){try{return this._onDidChangeDecorations.beginDeferredEmit(),this._eventEmitter.beginDeferredEmit(),this._applyEdits(e)}finally{this._eventEmitter.endDeferredEmit(),this._onDidChangeDecorations.endDeferredEmit()}},r._eolCount=function(e){
for(var t=0,n=0,i=0,o=e.length;i<o;i++){var r=e.charCodeAt(i);13===r?(0===t&&(n=i),t++,i+1<o&&10===e.charCodeAt(i+1)&&i++):10===r&&(0===t&&(n=i),t++)}return 0===t&&(n=e.length),[t,n]},r.prototype._applyEdits=function(e){for(var t=0,n=e.length;t<n;t++)e[t].range=this.validateRange(e[t].range);var i=this._buffer.getLineCount(),o=this._buffer.applyEdits(e,this._options.trimAutoWhitespace),s=this._buffer.getLineCount(),a=o.changes;if(this._trimAutoWhitespaceLines=o.trimAutoWhitespaceLineNumbers,0!==a.length){for(var l=[],u=i,t=0,n=a.length;t<n;t++){var d=a[t],c=r._eolCount(d.text),h=c[0],p=c[1];try{this._tokens.applyEdits(d.range,h,p)}catch(e){this._tokens=new C.ModelLinesTokens(this._tokens.languageIdentifier,this._tokens.tokenizationSupport)}this._onDidChangeDecorations.fire(),this._decorationsTree.acceptReplace(d.rangeOffset,d.rangeLength,d.text.length,d.forceMoveMarkers);for(var f=d.range.startLineNumber,g=d.range.endLineNumber,m=g-f,v=h,y=Math.min(m,v),b=v-m,S=y;S>=0;S--){var w=f+S,E=s-u-b+w
;l.push(new _.ModelRawLineChanged(w,this.getLineContent(E)))}if(y<m){var L=f+y;l.push(new _.ModelRawLinesDeleted(L+1,g))}if(y<v){for(var x=f+y,I=v-y,N=s-u-I+x+1,D=[],M=0;M<I;M++){var k=N+M;D[k-N]=this.getLineContent(k)}l.push(new _.ModelRawLinesInserted(x+1,f+v,D))}u+=b}this._increaseVersionId(),this._emitContentChangedEvent(new _.ModelRawContentChangedEvent(l,this.getVersionId(),this._isUndoing,this._isRedoing),{changes:a,eol:this._buffer.getEOL(),versionId:this.getVersionId(),isUndoing:this._isUndoing,isRedoing:this._isRedoing,isFlush:!1})}return this._tokens.hasLinesToTokenize(this._buffer)&&this._beginBackgroundTokenization(),o.reverseEdits},r.prototype._undo=function(){this._isUndoing=!0;var e=this._commandManager.undo();return this._isUndoing=!1,e?(this._overwriteAlternativeVersionId(e.recordedVersionId),e.selections):null},r.prototype.undo=function(){try{return this._onDidChangeDecorations.beginDeferredEmit(),this._eventEmitter.beginDeferredEmit(),this._undo()}finally{
this._eventEmitter.endDeferredEmit(),this._onDidChangeDecorations.endDeferredEmit()}},r.prototype.canUndo=function(){return this._commandManager.canUndo()},r.prototype._redo=function(){this._isRedoing=!0;var e=this._commandManager.redo();return this._isRedoing=!1,e?(this._overwriteAlternativeVersionId(e.recordedVersionId),e.selections):null},r.prototype.redo=function(){try{return this._onDidChangeDecorations.beginDeferredEmit(),this._eventEmitter.beginDeferredEmit(),this._redo()}finally{this._eventEmitter.endDeferredEmit(),this._onDidChangeDecorations.endDeferredEmit()}},r.prototype.canRedo=function(){return this._commandManager.canRedo()},r.prototype.changeDecorations=function(e,t){void 0===t&&(t=0),this._assertNotDisposed();try{return this._onDidChangeDecorations.beginDeferredEmit(),this._changeDecorations(t,e)}finally{this._onDidChangeDecorations.endDeferredEmit()}},r.prototype._changeDecorations=function(e,t){var i=this,o={addDecoration:function(t,n){return i._onDidChangeDecorations.fire(),
i._deltaDecorationsImpl(e,[],[{range:t,options:n}])[0]},changeDecoration:function(e,t){i._onDidChangeDecorations.fire(),i._changeDecorationImpl(e,t)},changeDecorationOptions:function(e,t){i._onDidChangeDecorations.fire(),i._changeDecorationOptionsImpl(e,M(t))},removeDecoration:function(t){i._onDidChangeDecorations.fire(),i._deltaDecorationsImpl(e,[t],[])},deltaDecorations:function(t,n){return 0===t.length&&0===n.length?[]:(i._onDidChangeDecorations.fire(),i._deltaDecorationsImpl(e,t,n))}},r=null;try{r=t(o)}catch(e){n.onUnexpectedError(e)}return o.addDecoration=T,o.changeDecoration=T,o.changeDecorationOptions=T,o.removeDecoration=T,o.deltaDecorations=T,r},r.prototype.deltaDecorations=function(e,t,n){if(void 0===n&&(n=0),this._assertNotDisposed(),e||(e=[]),0===e.length&&0===t.length)return[];try{return this._onDidChangeDecorations.beginDeferredEmit(),this._onDidChangeDecorations.fire(),this._deltaDecorationsImpl(n,e,t)}finally{this._onDidChangeDecorations.endDeferredEmit()}},
r.prototype._getTrackedRange=function(e){return this.getDecorationRange(e)},r.prototype._setTrackedRange=function(e,t,n){var i=e?this._decorations[e]:null;if(!i)return t?this._deltaDecorationsImpl(0,[],[{range:t,options:F[n]}])[0]:null;if(!t)return this._decorationsTree.delete(i),delete this._decorations[i.id],null;var o=this._validateRangeRelaxedNoAllocations(t),r=this._buffer.getOffsetAt(o.startLineNumber,o.startColumn),s=this._buffer.getOffsetAt(o.endLineNumber,o.endColumn);return this._decorationsTree.delete(i),i.reset(this.getVersionId(),r,s,o),i.setOptions(F[n]),this._decorationsTree.insert(i),i.id},r.prototype.removeAllDecorationsWithOwnerId=function(e){if(!this._isDisposed)for(var t=this._decorationsTree.collectNodesFromOwner(e),n=0,i=t.length;n<i;n++){var o=t[n];this._decorationsTree.delete(o),delete this._decorations[o.id]}},r.prototype.getDecorationOptions=function(e){var t=this._decorations[e];return t?t.options:null},r.prototype.getDecorationRange=function(e){var t=this._decorations[e]
;if(!t)return null;var n=this.getVersionId();return t.cachedVersionId!==n&&this._decorationsTree.resolveNode(t,n),null===t.range&&(t.range=this._getRangeAt(t.cachedAbsoluteStart,t.cachedAbsoluteEnd)),t.range},r.prototype.getLineDecorations=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=!1),e<1||e>this.getLineCount()?[]:this.getLinesDecorations(e,e,t,n)},r.prototype.getLinesDecorations=function(e,t,n,i){void 0===n&&(n=0),void 0===i&&(i=!1);var o=this.getLineCount(),r=Math.min(o,Math.max(1,e)),s=Math.min(o,Math.max(1,t)),a=this.getLineMaxColumn(s);return this._getDecorationsInRange(new c.Range(r,1,s,a),n,i)},r.prototype.getDecorationsInRange=function(e,t,n){void 0===t&&(t=0),void 0===n&&(n=!1);var i=this.validateRange(e);return this._getDecorationsInRange(i,t,n)},r.prototype.getOverviewRulerDecorations=function(e,t){void 0===e&&(e=0),void 0===t&&(t=!1);var n=this.getVersionId(),i=this._decorationsTree.search(e,t,!0,n);return this._ensureNodesHaveRanges(i)},r.prototype.getAllDecorations=function(e,t){
void 0===e&&(e=0),void 0===t&&(t=!1);var n=this.getVersionId(),i=this._decorationsTree.search(e,t,!1,n);return this._ensureNodesHaveRanges(i)},r.prototype._getDecorationsInRange=function(e,t,n){var i=this._buffer.getOffsetAt(e.startLineNumber,e.startColumn),o=this._buffer.getOffsetAt(e.endLineNumber,e.endColumn),r=this.getVersionId(),s=this._decorationsTree.intervalSearch(i,o,t,n,r);return this._ensureNodesHaveRanges(s)},r.prototype._ensureNodesHaveRanges=function(e){for(var t=0,n=e.length;t<n;t++){var i=e[t];null===i.range&&(i.range=this._getRangeAt(i.cachedAbsoluteStart,i.cachedAbsoluteEnd))}return e},r.prototype._getRangeAt=function(e,t){return this._buffer.getRangeAt(e,t-e)},r.prototype._changeDecorationImpl=function(e,t){var n=this._decorations[e];if(n){var i=this._validateRangeRelaxedNoAllocations(t),o=this._buffer.getOffsetAt(i.startLineNumber,i.startColumn),r=this._buffer.getOffsetAt(i.endLineNumber,i.endColumn);this._decorationsTree.delete(n),n.reset(this.getVersionId(),o,r,i),
this._decorationsTree.insert(n)}},r.prototype._changeDecorationOptionsImpl=function(e,t){var n=this._decorations[e];if(n){!(!n.options.overviewRuler||!n.options.overviewRuler.color)!==!(!t.overviewRuler||!t.overviewRuler.color)?(this._decorationsTree.delete(n),n.setOptions(t),this._decorationsTree.insert(n)):n.setOptions(t)}},r.prototype._deltaDecorationsImpl=function(e,t,n){for(var i=this.getVersionId(),o=t.length,r=0,s=n.length,a=0,l=new Array(s);r<o||a<s;){var u=null;if(r<o){do{u=this._decorations[t[r++]]}while(!u&&r<o);u&&this._decorationsTree.delete(u)}if(a<s){if(!u){var d=++this._lastDecorationId,c=this._instanceId+";"+d;u=new m.IntervalNode(c,0,0),this._decorations[c]=u}var h=n[a],p=this._validateRangeRelaxedNoAllocations(h.range),f=M(h.options),g=this._buffer.getOffsetAt(p.startLineNumber,p.startColumn),v=this._buffer.getOffsetAt(p.endLineNumber,p.endColumn);u.ownerId=e,u.reset(i,g,v,p),u.setOptions(f),this._decorationsTree.insert(u),l[a]=u.id,a++}else u&&delete this._decorations[u.id]}return l},
r.prototype.tokenizeViewport=function(e,t){if(this._tokens.tokenizationSupport){var n=Math.floor(.3*this._tokens.inValidLineStartIndex);if((e=Math.max(1,e-n))<=this._tokens.inValidLineStartIndex)this.forceTokenization(t);else{var i=new C.ModelTokensChangedEventBuilder,o=this.getLineFirstNonWhitespaceColumn(e),r=[],s=e-1,a=null;if(o>0)for(;o>0&&s>=1;){var l=this.getLineFirstNonWhitespaceColumn(s);if(0!==l){if(l<o){if(a=this._tokens._getState(s-1))break;r.push(this.getLineContent(s)),o=l}s--}else s--}a||(a=this._tokens.tokenizationSupport.getInitialState());for(var u=a.clone(),d=r.length-1;d>=0;d--){u=(f=this._tokens._tokenizeText(this._buffer,r[d],u))?f.endState.clone():a.clone()}var c=Math.floor(.4*this._tokens.inValidLineStartIndex);t=Math.min(this.getLineCount(),t+c);for(var h=e;h<=t;h++){var p=this.getLineContent(h),f=this._tokens._tokenizeText(this._buffer,p,u);f?(this._tokens._setTokens(this._tokens.languageIdentifier.id,h-1,p.length,f.tokens),this._tokens._setIsInvalid(h-1,!1),
this._tokens._setState(h-1,u),u=f.endState.clone(),i.registerChangedTokens(h)):u=a.clone()}var g=i.build();g&&this._onDidChangeTokens.fire(g)}}},r.prototype.forceTokenization=function(e){if(e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");var t=new C.ModelTokensChangedEventBuilder;this._tokens._updateTokensUntilLine(this._buffer,t,e);var n=t.build();n&&this._onDidChangeTokens.fire(n)},r.prototype.isCheapToTokenize=function(e){return!!this._tokens.isCheapToTokenize(e)&&(e<this._tokens.inValidLineStartIndex+1||this.getLineLength(e)<2048)},r.prototype.tokenizeIfCheap=function(e){this.isCheapToTokenize(e)&&this.forceTokenization(e)},r.prototype.getLineTokens=function(e){if(e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");return this._getLineTokens(e)},r.prototype._getLineTokens=function(e){var t=this._buffer.getLineContent(e);return this._tokens.getTokens(this._languageIdentifier.id,e-1,t)},r.prototype.getLanguageIdentifier=function(){
return this._languageIdentifier},r.prototype.getModeId=function(){return this._languageIdentifier.language},r.prototype.setMode=function(e){if(this._languageIdentifier.id!==e.id){var t={oldLanguage:this._languageIdentifier.language,newLanguage:e.language};this._languageIdentifier=e,this._resetTokenizationState(),this.emitModelTokensChangedEvent({ranges:[{fromLineNumber:1,toLineNumber:this.getLineCount()}]}),this._onDidChangeLanguage.fire(t),this._onDidChangeLanguageConfiguration.fire({})}},r.prototype.getLanguageIdAtPosition=function(e,t){if(!this._tokens.tokenizationSupport)return this._languageIdentifier.id;var n=this.validatePosition({lineNumber:e,column:t}),i=n.lineNumber,o=n.column,r=this._getLineTokens(i);return r.getLanguageId(r.findTokenIndexAtOffset(o-1))},r.prototype._beginBackgroundTokenization=function(){var e=this;this._shouldAutoTokenize()&&-1===this._revalidateTokensTimeout&&(this._revalidateTokensTimeout=setTimeout(function(){e._revalidateTokensTimeout=-1,e._revalidateTokensNow()},0))},
r.prototype._warmUpTokens=function(){var e=Math.min(100,this.getLineCount());this._revalidateTokensNow(e),this._tokens.hasLinesToTokenize(this._buffer)&&this._beginBackgroundTokenization()},r.prototype._revalidateTokensNow=function(e){void 0===e&&(e=this._buffer.getLineCount());for(var t=new C.ModelTokensChangedEventBuilder,n=s.StopWatch.create(!1);this._tokens.hasLinesToTokenize(this._buffer)&&!(n.elapsed()>20);){if(this._tokens._tokenizeOneLine(this._buffer,t)>=e)break}this._tokens.hasLinesToTokenize(this._buffer)&&this._beginBackgroundTokenization();var i=t.build();i&&this._onDidChangeTokens.fire(i)},r.prototype.emitModelTokensChangedEvent=function(e){this._isDisposing||this._onDidChangeTokens.fire(e)},r.prototype.getWordAtPosition=function(e){this._assertNotDisposed()
;var t=this.validatePosition(e),n=this.getLineContent(t.lineNumber),i=this._getLineTokens(t.lineNumber),o=i.findTokenIndexAtOffset(t.column-1),s=r._findLanguageBoundaries(i,o),a=s[0],l=s[1],u=b.getWordAtText(t.column,w.LanguageConfigurationRegistry.getWordDefinition(i.getLanguageId(o)),n.substring(a,l),a);if(u&&u.startColumn<=e.column&&e.column<=u.endColumn)return u;if(o>0&&a===t.column-1){var d=r._findLanguageBoundaries(i,o-1),c=d[0],h=d[1],p=b.getWordAtText(t.column,w.LanguageConfigurationRegistry.getWordDefinition(i.getLanguageId(o-1)),n.substring(c,h),c);if(p&&p.startColumn<=e.column&&e.column<=p.endColumn)return p}return null},r._findLanguageBoundaries=function(e,t){for(var n=e.getLanguageId(t),i=0,o=t;o>=0&&e.getLanguageId(o)===n;o--)i=e.getStartOffset(o);for(var r=e.getLineContent().length,o=t,s=e.getCount();o<s&&e.getLanguageId(o)===n;o++)r=e.getEndOffset(o);return[i,r]},r.prototype.getWordUntilPosition=function(e){var t=this.getWordAtPosition(e);return t?{word:t.word.substr(0,e.column-t.startColumn),
startColumn:t.startColumn,endColumn:e.column}:{word:"",startColumn:e.column,endColumn:e.column}},r.prototype.findMatchingBracketUp=function(e,t){var n=e.toLowerCase(),i=this.validatePosition(t),o=this._getLineTokens(i.lineNumber),r=o.getLanguageId(o.findTokenIndexAtOffset(i.column-1)),s=w.LanguageConfigurationRegistry.getBracketsSupport(r);if(!s)return null;var a=s.textIsBracket[n];return a?this._findMatchingBracketUp(a,i):null},r.prototype.matchBracket=function(e){return this._matchBracket(this.validatePosition(e))},r.prototype._matchBracket=function(e){var t=e.lineNumber,n=this._getLineTokens(t),i=this._buffer.getLineContent(t),o=n.findTokenIndexAtOffset(e.column-1);if(o<0)return null;var r=w.LanguageConfigurationRegistry.getBracketsSupport(n.getLanguageId(o));if(r&&!L.ignoreBracketsInToken(n.getStandardTokenType(o))){for(var s=Math.max(n.getStartOffset(o),e.column-1-r.maxBracketLength),a=Math.min(n.getEndOffset(o),e.column-1+r.maxBracketLength),l=null;;){
if(!(d=x.BracketsUtils.findNextBracketInToken(r.forwardRegex,t,i,s,a)))break;if(d.startColumn<=e.column&&e.column<=d.endColumn){c=(c=i.substring(d.startColumn-1,d.endColumn-1)).toLowerCase();(h=this._matchFoundBracket(d,r.textIsBracket[c],r.textIsOpenBracket[c]))&&(l=h)}s=d.endColumn-1}if(l)return l}if(o>0&&n.getStartOffset(o)===e.column-1){a=n.getStartOffset(o);o--;var u=w.LanguageConfigurationRegistry.getBracketsSupport(n.getLanguageId(o));if(u&&!L.ignoreBracketsInToken(n.getStandardTokenType(o))){var s=Math.max(n.getStartOffset(o),e.column-1-u.maxBracketLength),d=x.BracketsUtils.findPrevBracketInToken(u.reversedRegex,t,i,s,a);if(d&&d.startColumn<=e.column&&e.column<=d.endColumn){var c=i.substring(d.startColumn-1,d.endColumn-1);c=c.toLowerCase();var h=this._matchFoundBracket(d,u.textIsBracket[c],u.textIsOpenBracket[c]);if(h)return h}}}return null},r.prototype._matchFoundBracket=function(e,t,n){if(!t)return null;if(n){if(i=this._findMatchingBracketDown(t,e.getEndPosition()))return[e,i]}else{
var i=this._findMatchingBracketUp(t,e.getStartPosition());if(i)return[e,i]}return null},r.prototype._findMatchingBracketUp=function(e,t){for(var n=e.languageIdentifier.id,i=e.reversedRegex,o=-1,r=t.lineNumber;r>=1;r--){var s=this._getLineTokens(r),a=s.getCount(),l=this._buffer.getLineContent(r),u=a-1,d=-1;for(r===t.lineNumber&&(u=s.findTokenIndexAtOffset(t.column-1),d=t.column-1);u>=0;u--){var c=s.getLanguageId(u),h=s.getStandardTokenType(u),p=s.getStartOffset(u),f=s.getEndOffset(u);if(-1===d&&(d=f),c===n&&!L.ignoreBracketsInToken(h))for(;;){var g=x.BracketsUtils.findPrevBracketInToken(i,r,l,p,d);if(!g)break;var m=l.substring(g.startColumn-1,g.endColumn-1);if((m=m.toLowerCase())===e.open?o++:m===e.close&&o--,0===o)return g;d=g.startColumn-1}d=-1}}return null},r.prototype._findMatchingBracketDown=function(e,t){for(var n=e.languageIdentifier.id,i=e.forwardRegex,o=1,r=t.lineNumber,s=this.getLineCount();r<=s;r++){var a=this._getLineTokens(r),l=a.getCount(),u=this._buffer.getLineContent(r),d=0,c=0
;for(r===t.lineNumber&&(d=a.findTokenIndexAtOffset(t.column-1),c=t.column-1);d<l;d++){var h=a.getLanguageId(d),p=a.getStandardTokenType(d),f=a.getStartOffset(d),g=a.getEndOffset(d);if(0===c&&(c=f),h===n&&!L.ignoreBracketsInToken(p))for(;;){var m=x.BracketsUtils.findNextBracketInToken(i,r,u,c,g);if(!m)break;var v=u.substring(m.startColumn-1,m.endColumn-1);if((v=v.toLowerCase())===e.open?o++:v===e.close&&o--,0===o)return m;c=m.endColumn-1}c=0}}return null},r.prototype.findNextBracket=function(e){for(var t=this.validatePosition(e),n=-1,i=null,o=t.lineNumber,r=this.getLineCount();o<=r;o++){var s=this._getLineTokens(o),a=s.getCount(),l=this._buffer.getLineContent(o),u=0,d=0;for(o===t.lineNumber&&(u=s.findTokenIndexAtOffset(t.column-1),d=t.column-1);u<a;u++){var c=s.getLanguageId(u),h=s.getStandardTokenType(u),p=s.getStartOffset(u),f=s.getEndOffset(u);if(0===d&&(d=p),n!==c&&(n=c,i=w.LanguageConfigurationRegistry.getBracketsSupport(n)),i&&!L.ignoreBracketsInToken(h)){
var g=x.BracketsUtils.findNextBracketInToken(i.forwardRegex,o,l,d,f);if(g)return this._toFoundBracket(i,g)}d=0}}return null},r.prototype._toFoundBracket=function(e,t){if(!t)return null;var n=this.getValueInRange(t);n=n.toLowerCase();var i=e.textIsBracket[n];return i?{range:t,open:i.open,close:i.close,isOpen:e.textIsOpenBracket[n]}:null},r.computeIndentLevel=function(e,t){for(var n=0,i=0,o=e.length;i<o;){var r=e.charCodeAt(i);if(32===r)n++;else{if(9!==r)break;n=n-n%t+t}i++}return i===o?-1:n},r.prototype._computeIndentLevel=function(e){return r.computeIndentLevel(this._buffer.getLineContent(e+1),this._options.tabSize)},r.prototype.getActiveIndentGuide=function(e,t,n){var i=this;this._assertNotDisposed();var o=this.getLineCount();if(e<1||e>o)throw new Error("Illegal value for lineNumber");for(var r=w.LanguageConfigurationRegistry.getFoldingRules(this._languageIdentifier.id),s=Boolean(r&&r.offSide),a=-2,l=-1,u=-2,d=-1,c=function(e){if(-1!==a&&(-2===a||a>e-1)){a=-1,l=-1;for(n=e-2;n>=0;n--){
var t=i._computeIndentLevel(n);if(t>=0){a=n,l=t;break}}}if(-2===u){u=-1,d=-1;for(var n=e;n<o;n++){var r=i._computeIndentLevel(n);if(r>=0){u=n,d=r;break}}}},h=-2,p=-1,f=-2,g=-1,m=function(e){if(-2===h){h=-1,p=-1;for(n=e-2;n>=0;n--){var t=i._computeIndentLevel(n);if(t>=0){h=n,p=t;break}}}if(-1!==f&&(-2===f||f<e-1)){f=-1,g=-1;for(var n=e;n<o;n++){var r=i._computeIndentLevel(n);if(r>=0){f=n,g=r;break}}}},v=0,_=!0,y=0,C=!0,b=0,S=0;_||C;S++){var E=e-S,L=e+S;if(0!==S&&(E<1||E<t)&&(_=!1),0!==S&&(L>o||L>n)&&(C=!1),S>5e4&&(_=!1,C=!1),_){var x=void 0;if((N=this._computeIndentLevel(E-1))>=0?(u=E-1,d=N,x=Math.ceil(N/this._options.tabSize)):(c(E),x=this._getIndentLevelForWhitespaceLine(s,l,d)),0===S){if(v=E,y=L,0===(b=x))return{startLineNumber:v,endLineNumber:y,indent:b};continue}x>=b?v=E:_=!1}if(C){var I=void 0,N=this._computeIndentLevel(L-1);N>=0?(h=L-1,p=N,I=Math.ceil(N/this._options.tabSize)):(m(L),I=this._getIndentLevelForWhitespaceLine(s,p,g)),I>=b?y=L:C=!1}}return{startLineNumber:v,endLineNumber:y,indent:b}},
r.prototype.getLinesIndentGuides=function(e,t){this._assertNotDisposed();var n=this.getLineCount();if(e<1||e>n)throw new Error("Illegal value for startLineNumber");if(t<1||t>n)throw new Error("Illegal value for endLineNumber");for(var i=w.LanguageConfigurationRegistry.getFoldingRules(this._languageIdentifier.id),o=Boolean(i&&i.offSide),r=new Array(t-e+1),s=-2,a=-1,l=-2,u=-1,d=e;d<=t;d++){var c=d-e,h=this._computeIndentLevel(d-1);if(h>=0)s=d-1,a=h,r[c]=Math.ceil(h/this._options.tabSize);else{if(-2===s){s=-1,a=-1;for(p=d-2;p>=0;p--){if((f=this._computeIndentLevel(p))>=0){s=p,a=f;break}}}if(-1!==l&&(-2===l||l<d-1)){l=-1,u=-1;for(var p=d;p<n;p++){var f=this._computeIndentLevel(p);if(f>=0){l=p,u=f;break}}}r[c]=this._getIndentLevelForWhitespaceLine(o,a,u)}}return r},r.prototype._getIndentLevelForWhitespaceLine=function(e,t,n){return-1===t||-1===n?0:t<n?1+Math.floor(t/this._options.tabSize):t===n?Math.ceil(n/this._options.tabSize):e?Math.ceil(n/this._options.tabSize):1+Math.floor(n/this._options.tabSize)},
r.MODEL_SYNC_LIMIT=52428800,r.LARGE_FILE_SIZE_THRESHOLD=20971520,r.LARGE_FILE_LINE_COUNT_THRESHOLD=3e5,r.DEFAULT_CREATION_OPTIONS={isForSimpleWidget:!1,tabSize:u.EDITOR_MODEL_DEFAULTS.tabSize,insertSpaces:u.EDITOR_MODEL_DEFAULTS.insertSpaces,detectIndentation:!1,defaultEOL:1,trimAutoWhitespace:u.EDITOR_MODEL_DEFAULTS.trimAutoWhitespace,largeFileOptimizations:u.EDITOR_MODEL_DEFAULTS.largeFileOptimizations},r}(r.Disposable);t.TextModel=R;var O=function(){function e(){this._decorationsTree0=new m.IntervalTree,this._decorationsTree1=new m.IntervalTree}return e.prototype.intervalSearch=function(e,t,n,i,o){var r=this._decorationsTree0.intervalSearch(e,t,n,i,o),s=this._decorationsTree1.intervalSearch(e,t,n,i,o);return r.concat(s)},e.prototype.search=function(e,t,n,i){if(n)return this._decorationsTree1.search(e,t,i);var o=this._decorationsTree0.search(e,t,i),r=this._decorationsTree1.search(e,t,i);return o.concat(r)},e.prototype.collectNodesFromOwner=function(e){
var t=this._decorationsTree0.collectNodesFromOwner(e),n=this._decorationsTree1.collectNodesFromOwner(e);return t.concat(n)},e.prototype.collectNodesPostOrder=function(){var e=this._decorationsTree0.collectNodesPostOrder(),t=this._decorationsTree1.collectNodesPostOrder();return e.concat(t)},e.prototype.insert=function(e){m.getNodeIsInOverviewRuler(e)?this._decorationsTree1.insert(e):this._decorationsTree0.insert(e)},e.prototype.delete=function(e){m.getNodeIsInOverviewRuler(e)?this._decorationsTree1.delete(e):this._decorationsTree0.delete(e)},e.prototype.resolveNode=function(e,t){m.getNodeIsInOverviewRuler(e)?this._decorationsTree1.resolveNode(e,t):this._decorationsTree0.resolveNode(e,t)},e.prototype.acceptReplace=function(e,t,n,i){this._decorationsTree0.acceptReplace(e,t,n,i),this._decorationsTree1.acceptReplace(e,t,n,i)},e}(),P=function(){function e(e){this.color=e.color||a.empty,this.darkColor=e.darkColor||a.empty,this.position="number"==typeof e.position?e.position:p.OverviewRulerLane.Center,
this._resolvedColor=null}return e.prototype.getColor=function(e){return this._resolvedColor||("light"!==e.type&&this.darkColor?this._resolvedColor=this._resolveColor(this.darkColor,e):this._resolvedColor=this._resolveColor(this.color,e)),this._resolvedColor},e.prototype.invalidateCachedColor=function(){this._resolvedColor=null},e.prototype._resolveColor=function(e,t){if("string"==typeof e)return e;var n=e?t.getColor(e.id):null;return n?n.toString():a.empty},e}();t.ModelDecorationOverviewRulerOptions=P;var A=function(){function e(e){this.stickiness=e.stickiness||0,this.zIndex=e.zIndex||0,this.className=e.className?D(e.className):null,this.hoverMessage=e.hoverMessage||null,this.glyphMarginHoverMessage=e.glyphMarginHoverMessage||null,this.isWholeLine=e.isWholeLine||!1,this.showIfCollapsed=e.showIfCollapsed||!1,this.collapseOnReplaceEdit=e.collapseOnReplaceEdit||!1,this.overviewRuler=e.overviewRuler?new P(e.overviewRuler):null,this.glyphMarginClassName=e.glyphMarginClassName?D(e.glyphMarginClassName):null,
this.linesDecorationsClassName=e.linesDecorationsClassName?D(e.linesDecorationsClassName):null,this.marginClassName=e.marginClassName?D(e.marginClassName):null,this.inlineClassName=e.inlineClassName?D(e.inlineClassName):null,this.inlineClassNameAffectsLetterSpacing=e.inlineClassNameAffectsLetterSpacing||!1,this.beforeContentClassName=e.beforeContentClassName?D(e.beforeContentClassName):null,this.afterContentClassName=e.afterContentClassName?D(e.afterContentClassName):null}return e.register=function(t){return new e(t)},e.createDynamic=function(t){return new e(t)},e}();t.ModelDecorationOptions=A,A.EMPTY=A.register({});var F=[A.register({stickiness:0}),A.register({stickiness:1}),A.register({stickiness:2}),A.register({stickiness:3})],W=function(e){function t(){var t=e.call(this)||this;return t._actual=t._register(new i.Emitter),t.event=t._actual.event,t._deferredCnt=0,t._shouldFire=!1,t}return o(t,e),t.prototype.beginDeferredEmit=function(){this._deferredCnt++},t.prototype.endDeferredEmit=function(){
this._deferredCnt--,0===this._deferredCnt&&this._shouldFire&&(this._shouldFire=!1,this._actual.fire({}))},t.prototype.fire=function(){this._shouldFire=!0},t}(r.Disposable);t.DidChangeDecorationsEmitter=W;var V=function(e){function t(){var t=e.call(this)||this;return t._fastEmitter=t._register(new i.Emitter),t.fastEvent=t._fastEmitter.event,t._slowEmitter=t._register(new i.Emitter),t.slowEvent=t._slowEmitter.event,t._deferredCnt=0,t._deferredEvent=null,t}return o(t,e),t.prototype.beginDeferredEmit=function(){this._deferredCnt++},t.prototype.endDeferredEmit=function(){if(this._deferredCnt--,0===this._deferredCnt&&null!==this._deferredEvent){var e=this._deferredEvent;this._deferredEvent=null,this._fastEmitter.fire(e),this._slowEmitter.fire(e)}},t.prototype.fire=function(e){this._deferredCnt>0?this._deferredEvent?this._deferredEvent=this._deferredEvent.merge(e):this._deferredEvent=e:(this._fastEmitter.fire(e),this._slowEmitter.fire(e))},t}(r.Disposable);t.DidChangeContentEmitter=V}),
define(t[38],n([0,1,11,8,12,3,21,26,39]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(e){return!0},d=function(e){return!1},c=function(e){return" "===e||"\t"===e},h=function(){function e(t,n,i,o){this._languageIdentifier=t;var r=o.editor;this.readOnly=r.readOnly,this.tabSize=i.tabSize,this.insertSpaces=i.insertSpaces,this.oneIndent=n,this.pageSize=Math.max(1,Math.floor(r.layoutInfo.height/r.fontInfo.lineHeight)-2),this.lineHeight=r.lineHeight,this.useTabStops=r.useTabStops,this.wordSeparators=r.wordSeparators,this.emptySelectionClipboard=r.emptySelectionClipboard,this.copyWithSyntaxHighlighting=r.copyWithSyntaxHighlighting,this.multiCursorMergeOverlapping=r.multiCursorMergeOverlapping,this.autoClosingBrackets=r.autoClosingBrackets,this.autoClosingQuotes=r.autoClosingQuotes,this.autoSurround=r.autoSurround,this.autoIndent=r.autoIndent,this.autoClosingPairsOpen={},this.autoClosingPairsClose={},this.surroundingPairs={},this._electricChars=null,
this.shouldAutoCloseBefore={quote:e._getShouldAutoClose(t,this.autoClosingQuotes),bracket:e._getShouldAutoClose(t,this.autoClosingBrackets)};var s=e._getAutoClosingPairs(t);if(s)for(l=0;l<s.length;l++)this.autoClosingPairsOpen[s[l].open]=s[l].close,this.autoClosingPairsClose[s[l].close]=s[l].open;var a=e._getSurroundingPairs(t);if(a)for(var l=0;l<a.length;l++)this.surroundingPairs[a[l].open]=a[l].close}return e.shouldRecreate=function(e){return e.layoutInfo||e.wordSeparators||e.emptySelectionClipboard||e.multiCursorMergeOverlapping||e.autoClosingBrackets||e.autoClosingQuotes||e.autoSurround||e.useTabStops||e.lineHeight||e.readOnly},Object.defineProperty(e.prototype,"electricChars",{get:function(){if(!this._electricChars){this._electricChars={};var t=e._getElectricCharacters(this._languageIdentifier);if(t)for(var n=0;n<t.length;n++)this._electricChars[t[n]]=!0}return this._electricChars},enumerable:!0,configurable:!0}),e.prototype.normalizeIndentation=function(e){
return a.TextModel.normalizeIndentation(e,this.tabSize,this.insertSpaces)},e._getElectricCharacters=function(e){try{return l.LanguageConfigurationRegistry.getElectricCharacters(e.id)}catch(e){return n.onUnexpectedError(e),null}},e._getAutoClosingPairs=function(e){try{return l.LanguageConfigurationRegistry.getAutoClosingPairs(e.id)}catch(e){return n.onUnexpectedError(e),null}},e._getShouldAutoClose=function(t,n){switch(n){case"beforeWhitespace":return c;case"languageDefined":return e._getLanguageDefinedShouldAutoClose(t);case"always":return u;case"never":return d}},e._getLanguageDefinedShouldAutoClose=function(e){try{var t=l.LanguageConfigurationRegistry.getAutoCloseBeforeSet(e.id);return function(e){return-1!==t.indexOf(e)}}catch(e){return n.onUnexpectedError(e),d}},e._getSurroundingPairs=function(e){try{return l.LanguageConfigurationRegistry.getSurroundingPairs(e.id)}catch(e){return n.onUnexpectedError(e),null}},e}();t.CursorConfiguration=h;var p=function(){function e(t,n,i,o){this.selectionStart=t,
this.selectionStartLeftoverVisibleColumns=n,this.position=i,this.leftoverVisibleColumns=o,this.selection=e._computeSelection(this.selectionStart,this.position)}return e.prototype.equals=function(e){return this.selectionStartLeftoverVisibleColumns===e.selectionStartLeftoverVisibleColumns&&this.leftoverVisibleColumns===e.leftoverVisibleColumns&&this.position.equals(e.position)&&this.selectionStart.equalsRange(e.selectionStart)},e.prototype.hasSelection=function(){return!this.selection.isEmpty()||!this.selectionStart.isEmpty()},e.prototype.move=function(t,n,i,s){return t?new e(this.selectionStart,this.selectionStartLeftoverVisibleColumns,new o.Position(n,i),s):new e(new r.Range(n,i,n,i),s,new o.Position(n,i),s)},e._computeSelection=function(e,t){var n,i,o,r;return e.isEmpty()?(n=e.startLineNumber,i=e.startColumn,o=t.lineNumber,r=t.column):t.isBeforeOrEqual(e.getStartPosition())?(n=e.endLineNumber,i=e.endColumn,o=t.lineNumber,r=t.column):(n=e.startLineNumber,i=e.startColumn,o=t.lineNumber,r=t.column),
new s.Selection(n,i,o,r)},e}();t.SingleCursorState=p;var f=function(){function e(e,t,n){this.model=t,this.viewModel=n,this.config=new h(this.model.getLanguageIdentifier(),this.model.getOneIndent(),this.model.getOptions(),e)}return e.prototype.validateViewPosition=function(e,t){return this.viewModel.coordinatesConverter.validateViewPosition(e,t)},e.prototype.validateViewRange=function(e,t){return this.viewModel.coordinatesConverter.validateViewRange(e,t)},e.prototype.convertViewRangeToModelRange=function(e){return this.viewModel.coordinatesConverter.convertViewRangeToModelRange(e)},e.prototype.convertViewPositionToModelPosition=function(e,t){return this.viewModel.coordinatesConverter.convertViewPositionToModelPosition(new o.Position(e,t))},e.prototype.convertModelPositionToViewPosition=function(e){return this.viewModel.coordinatesConverter.convertModelPositionToViewPosition(e)},e.prototype.convertModelRangeToViewRange=function(e){return this.viewModel.coordinatesConverter.convertModelRangeToViewRange(e)},
e.prototype.getCurrentScrollTop=function(){return this.viewModel.viewLayout.getCurrentScrollTop()},e.prototype.getCompletelyVisibleViewRange=function(){return this.viewModel.getCompletelyVisibleViewRange()},e.prototype.getCompletelyVisibleModelRange=function(){var e=this.viewModel.getCompletelyVisibleViewRange();return this.viewModel.coordinatesConverter.convertViewRangeToModelRange(e)},e.prototype.getCompletelyVisibleViewRangeAtScrollTop=function(e){return this.viewModel.getCompletelyVisibleViewRangeAtScrollTop(e)},e.prototype.getVerticalOffsetForViewLine=function(e){return this.viewModel.viewLayout.getVerticalOffsetForLineNumber(e)},e}();t.CursorContext=f;var g=function(){return function(e){this.modelState=e,this.viewState=null}}();t.PartialModelCursorState=g;var m=function(){return function(e){this.modelState=null,this.viewState=e}}();t.PartialViewCursorState=m;var v=function(){function e(e,t){this.modelState=e,this.viewState=t}return e.fromModelState=function(e){return new g(e)},
e.fromViewState=function(e){return new m(e)},e.fromModelSelection=function(t){var n=t.selectionStartLineNumber,i=t.selectionStartColumn,s=t.positionLineNumber,a=t.positionColumn,l=new p(new r.Range(n,i,n,i),0,new o.Position(s,a),0);return e.fromModelState(l)},e.fromModelSelections=function(e){for(var t=[],n=0,i=e.length;n<i;n++)t[n]=this.fromModelSelection(e[n]);return t},e.prototype.equals=function(e){return this.viewState.equals(e.viewState)&&this.modelState.equals(e.modelState)},e}();t.CursorState=v;var _=function(){return function(e,t,n){this.type=e,this.commands=t,this.shouldPushStackElementBefore=n.shouldPushStackElementBefore,this.shouldPushStackElementAfter=n.shouldPushStackElementAfter}}();t.EditOperationResult=_;var y=function(){function e(){}return e.isLowSurrogate=function(e,t,n){var o=e.getLineContent(t);return!(n<0||n>=o.length)&&i.isLowSurrogate(o.charCodeAt(n))},e.isHighSurrogate=function(e,t,n){var o=e.getLineContent(t);return!(n<0||n>=o.length)&&i.isHighSurrogate(o.charCodeAt(n))},
e.isInsideSurrogatePair=function(e,t,n){return this.isHighSurrogate(e,t,n-2)},e.visibleColumnFromColumn=function(e,t,n){var o=e.length;o>t-1&&(o=t-1);for(var r=0,s=0;s<o;s++){var a=e.charCodeAt(s);9===a?r=this.nextTabStop(r,n):i.isFullWidthCharacter(a)?r+=2:r+=1}return r},e.visibleColumnFromColumn2=function(e,t,n){return this.visibleColumnFromColumn(t.getLineContent(n.lineNumber),n.column,e.tabSize)},e.columnFromVisibleColumn=function(e,t,n){if(t<=0)return 1;for(var o=e.length,r=0,s=0;s<o;s++){var a=e.charCodeAt(s),l=void 0;if((l=9===a?this.nextTabStop(r,n):i.isFullWidthCharacter(a)?r+2:r+1)>=t){return l-t<t-r?s+2:s+1}r=l}return o+1},e.columnFromVisibleColumn2=function(e,t,n,i){var o=this.columnFromVisibleColumn(t.getLineContent(n),i,e.tabSize),r=t.getLineMinColumn(n);if(o<r)return r;var s=t.getLineMaxColumn(n);return o>s?s:o},e.nextTabStop=function(e,t){return e+t-e%t},e.prevTabStop=function(e,t){return e-1-(e-1)%t},e}();t.CursorColumns=y,t.isQuote=function(e){return"'"===e||'"'===e||"`"===e}}),
define(t[178],n([0,1,8,38,3,21,39]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t){this._opts=t,this._selection=e,this._useLastEditRangeForCursorEndPosition=!1,this._selectionStartColumnStaysPut=!1}return e.unshiftIndentCount=function(e,t,n){var o=i.CursorColumns.visibleColumnFromColumn(e,t,n);return i.CursorColumns.prevTabStop(o,n)/n},e.shiftIndentCount=function(e,t,n){var o=i.CursorColumns.visibleColumnFromColumn(e,t,n);return i.CursorColumns.nextTabStop(o,n)/n},e.prototype._addEditOperation=function(e,t,n){this._useLastEditRangeForCursorEndPosition?e.addTrackedEditOperation(t,n):e.addEditOperation(t,n)},e.prototype.getEditOperations=function(t,r){var a=this._selection.startLineNumber,l=this._selection.endLineNumber;1===this._selection.endColumn&&a!==l&&(l-=1);var u=this._opts.tabSize,d=this._opts.oneIndent,c=a===l;if(this._selection.isEmpty()&&/^\s*$/.test(t.getLineContent(a))&&(this._useLastEditRangeForCursorEndPosition=!0),
this._opts.useTabStops)for(var h=["",d],p=0,f=0,g=a;g<=l;g++,p=f){f=0;var m=t.getLineContent(g),v=n.firstNonWhitespaceIndex(m);if((!this._opts.isUnshift||0!==m.length&&0!==v)&&(c||this._opts.isUnshift||0!==m.length)){if(-1===v&&(v=m.length),g>1){if(i.CursorColumns.visibleColumnFromColumn(m,v+1,u)%u!=0&&t.isCheapToTokenize(g-1)){var _=s.LanguageConfigurationRegistry.getRawEnterActionAtPosition(t,g-1,t.getLineMaxColumn(g-1));if(_){if(f=p,_.appendText)for(var y=0,C=_.appendText.length;y<C&&f<u&&32===_.appendText.charCodeAt(y);y++)f++;_.removeText&&(f=Math.max(0,f-_.removeText));for(y=0;y<f&&(0!==v&&32===m.charCodeAt(v-1));y++)v--}}}if(!this._opts.isUnshift||0!==v){var b=void 0;b=this._opts.isUnshift?e.unshiftIndentCount(m,v+1,u):e.shiftIndentCount(m,v+1,u);for(y=h.length;y<=b;y++)h[y]=h[y-1]+d;this._addEditOperation(r,new o.Range(g,1,g,v+1),h[b]),g===a&&(this._selectionStartColumnStaysPut=this._selection.startColumn<=v+1)}}}else for(g=a;g<=l;g++){var m=t.getLineContent(g),v=n.firstNonWhitespaceIndex(m)
;if((!this._opts.isUnshift||0!==m.length&&0!==v)&&((c||this._opts.isUnshift||0!==m.length)&&(-1===v&&(v=m.length),!this._opts.isUnshift||0!==v)))if(this._opts.isUnshift){v=Math.min(v,u);for(var S=0;S<v;S++){if(9===m.charCodeAt(S)){v=S+1;break}}this._addEditOperation(r,new o.Range(g,1,g,v+1),"")}else this._addEditOperation(r,new o.Range(g,1,g,1),d),g===a&&(this._selectionStartColumnStaysPut=1===this._selection.startColumn)}this._selectionId=r.trackSelection(this._selection)},e.prototype.computeCursorState=function(e,t){if(this._useLastEditRangeForCursorEndPosition){var n=t.getInverseEditOperations()[0];return new r.Selection(n.range.endLineNumber,n.range.endColumn,n.range.endLineNumber,n.range.endColumn)}var i=t.getTrackedSelection(this._selectionId);if(this._selectionStartColumnStaysPut){var o=this._selection.startColumn;return i.startColumn<=o?i:0===i.getDirection()?new r.Selection(i.startLineNumber,o,i.endLineNumber,i.endColumn):new r.Selection(i.endLineNumber,i.endColumn,i.startLineNumber,o)}return i},e}()
;t.ShiftCommand=a}),define(t[372],n([0,1,38,12,3]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(){}return e._columnSelect=function(e,t,r,s,a,l){for(var u=Math.abs(a-r)+1,d=r>a,c=s>l,h=s<l,p=[],f=0;f<u;f++){var g=r+(d?-f:f),m=n.CursorColumns.columnFromVisibleColumn2(e,t,g,s),v=n.CursorColumns.columnFromVisibleColumn2(e,t,g,l),_=n.CursorColumns.visibleColumnFromColumn2(e,t,new i.Position(g,m)),y=n.CursorColumns.visibleColumnFromColumn2(e,t,new i.Position(g,v));if(h){if(_>l)continue;if(y<s)continue}if(c){if(y>s)continue;if(_<l)continue}p.push(new n.SingleCursorState(new o.Range(g,m,g,m),0,new i.Position(g,v),0))}return{viewStates:p,reversed:d,toLineNumber:a,toVisualColumn:l}},e.columnSelect=function(t,o,r,s,a){var l=new i.Position(r.selectionStartLineNumber,r.selectionStartColumn),u=n.CursorColumns.visibleColumnFromColumn2(t,o,l);return e._columnSelect(t,o,l.lineNumber,u,s,a)},e.columnSelectLeft=function(e,t,n,i,o){return o>1&&o--,
this.columnSelect(e,t,n.selection,i,o)},e.columnSelectRight=function(e,t,o,r,s){for(var a=0,l=Math.min(o.position.lineNumber,r),u=Math.max(o.position.lineNumber,r),d=l;d<=u;d++){var c=t.getLineMaxColumn(d),h=n.CursorColumns.visibleColumnFromColumn2(e,t,new i.Position(d,c));a=Math.max(a,h)}return s<a&&s++,this.columnSelect(e,t,o.selection,r,s)},e.columnSelectUp=function(e,t,n,i,o,r){return(o-=i?e.pageSize:1)<1&&(o=1),this.columnSelect(e,t,n.selection,o,r)},e.columnSelectDown=function(e,t,n,i,o,r){return(o+=i?e.pageSize:1)>t.getLineCount()&&(o=t.getLineCount()),this.columnSelect(e,t,n.selection,o,r)},e}();t.ColumnSelection=r}),define(t[181],n([0,1,38,12,3]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){return function(e,t,n){this.lineNumber=e,this.column=t,this.leftoverVisibleColumns=n}}();t.CursorPosition=r;var s=function(){function e(){}return e.left=function(e,t,i,o){
return o>t.getLineMinColumn(i)?n.CursorColumns.isLowSurrogate(t,i,o-2)?o-=2:o-=1:i>1&&(i-=1,o=t.getLineMaxColumn(i)),new r(i,o,0)},e.moveLeft=function(t,n,i,o,r){var s,a;if(i.hasSelection()&&!o)s=i.selection.startLineNumber,a=i.selection.startColumn;else{var l=e.left(t,n,i.position.lineNumber,i.position.column-(r-1));s=l.lineNumber,a=l.column}return i.move(o,s,a,0)},e.right=function(e,t,i,o){return o<t.getLineMaxColumn(i)?n.CursorColumns.isHighSurrogate(t,i,o-1)?o+=2:o+=1:i<t.getLineCount()&&(i+=1,o=t.getLineMinColumn(i)),new r(i,o,0)},e.moveRight=function(t,n,i,o,r){var s,a;if(i.hasSelection()&&!o)s=i.selection.endLineNumber,a=i.selection.endColumn;else{var l=e.right(t,n,i.position.lineNumber,i.position.column+(r-1));s=l.lineNumber,a=l.column}return i.move(o,s,a,0)},e.down=function(e,t,i,o,s,a,l){var u=n.CursorColumns.visibleColumnFromColumn(t.getLineContent(i),o,e.tabSize)+s;i+=a;var d=t.getLineCount();return i>d?(i=d,l?o=t.getLineMaxColumn(i):(o=Math.min(t.getLineMaxColumn(i),o),
n.CursorColumns.isInsideSurrogatePair(t,i,o)&&(o-=1))):(o=n.CursorColumns.columnFromVisibleColumn2(e,t,i,u),n.CursorColumns.isInsideSurrogatePair(t,i,o)&&(o-=1)),s=u-n.CursorColumns.visibleColumnFromColumn(t.getLineContent(i),o,e.tabSize),new r(i,o,s)},e.moveDown=function(t,n,i,o,r){var s,a;i.hasSelection()&&!o?(s=i.selection.endLineNumber,a=i.selection.endColumn):(s=i.position.lineNumber,a=i.position.column);var l=e.down(t,n,s,a,i.leftoverVisibleColumns,r,!0);return i.move(o,l.lineNumber,l.column,l.leftoverVisibleColumns)},e.translateDown=function(t,r,s){var a=s.selection,l=e.down(t,r,a.selectionStartLineNumber,a.selectionStartColumn,s.selectionStartLeftoverVisibleColumns,1,!1),u=e.down(t,r,a.positionLineNumber,a.positionColumn,s.leftoverVisibleColumns,1,!1);return new n.SingleCursorState(new o.Range(l.lineNumber,l.column,l.lineNumber,l.column),l.leftoverVisibleColumns,new i.Position(u.lineNumber,u.column),u.leftoverVisibleColumns)},e.up=function(e,t,i,o,s,a,l){
var u=n.CursorColumns.visibleColumnFromColumn(t.getLineContent(i),o,e.tabSize)+s;return(i-=a)<1?(i=1,l?o=t.getLineMinColumn(i):(o=Math.min(t.getLineMaxColumn(i),o),n.CursorColumns.isInsideSurrogatePair(t,i,o)&&(o-=1))):(o=n.CursorColumns.columnFromVisibleColumn2(e,t,i,u),n.CursorColumns.isInsideSurrogatePair(t,i,o)&&(o-=1)),s=u-n.CursorColumns.visibleColumnFromColumn(t.getLineContent(i),o,e.tabSize),new r(i,o,s)},e.moveUp=function(t,n,i,o,r){var s,a;i.hasSelection()&&!o?(s=i.selection.startLineNumber,a=i.selection.startColumn):(s=i.position.lineNumber,a=i.position.column);var l=e.up(t,n,s,a,i.leftoverVisibleColumns,r,!0);return i.move(o,l.lineNumber,l.column,l.leftoverVisibleColumns)},e.translateUp=function(t,r,s){var a=s.selection,l=e.up(t,r,a.selectionStartLineNumber,a.selectionStartColumn,s.selectionStartLeftoverVisibleColumns,1,!1),u=e.up(t,r,a.positionLineNumber,a.positionColumn,s.leftoverVisibleColumns,1,!1)
;return new n.SingleCursorState(new o.Range(l.lineNumber,l.column,l.lineNumber,l.column),l.leftoverVisibleColumns,new i.Position(u.lineNumber,u.column),u.leftoverVisibleColumns)},e.moveToBeginningOfLine=function(e,t,n,i){var o,r=n.position.lineNumber,s=t.getLineMinColumn(r),a=t.getLineFirstNonWhitespaceColumn(r)||s;return o=n.position.column===a?s:a,n.move(i,r,o,0)},e.moveToEndOfLine=function(e,t,n,i){var o=n.position.lineNumber,r=t.getLineMaxColumn(o);return n.move(i,o,r,0)},e.moveToBeginningOfBuffer=function(e,t,n,i){return n.move(i,1,1,0)},e.moveToEndOfBuffer=function(e,t,n,i){var o=t.getLineCount(),r=t.getLineMaxColumn(o);return n.move(i,o,r,0)},e}();t.MoveOperations=s}),define(t[182],n([0,1,8,77,38,181,3]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(){}return e.deleteRight=function(e,t,n,o){for(var a=[],l=3!==e,u=0,d=o.length;u<d;u++){var c=o[u],h=c;if(h.isEmpty()){
var p=c.getPosition(),f=r.MoveOperations.right(t,n,p.lineNumber,p.column);h=new s.Range(f.lineNumber,f.column,p.lineNumber,p.column)}h.isEmpty()?a[u]=null:(h.startLineNumber!==h.endLineNumber&&(l=!0),a[u]=new i.ReplaceCommand(h,""))}return[l,a]},e._isAutoClosingPairDelete=function(e,t,n){if("never"===e.autoClosingBrackets&&"never"===e.autoClosingQuotes)return!1;for(var i=0,r=n.length;i<r;i++){var s=n[i],a=s.getPosition();if(!s.isEmpty())return!1;var l=t.getLineContent(a.lineNumber),u=l[a.column-2];if(!e.autoClosingPairsOpen.hasOwnProperty(u))return!1;if(o.isQuote(u)){if("never"===e.autoClosingQuotes)return!1}else if("never"===e.autoClosingBrackets)return!1;if(l[a.column-1]!==e.autoClosingPairsOpen[u])return!1}return!0},e._runAutoClosingPairDelete=function(e,t,n){for(var o=[],r=0,a=n.length;r<a;r++){var l=n[r].getPosition(),u=new s.Range(l.lineNumber,l.column-1,l.lineNumber,l.column+1);o[r]=new i.ReplaceCommand(u,"")}return[!0,o]},e.deleteLeft=function(e,t,a,l){
if(this._isAutoClosingPairDelete(t,a,l))return this._runAutoClosingPairDelete(t,a,l);for(var u=[],d=2!==e,c=0,h=l.length;c<h;c++){var p=l[c],f=p;if(f.isEmpty()){var g=p.getPosition();if(t.useTabStops&&g.column>1){var m=a.getLineContent(g.lineNumber),v=n.firstNonWhitespaceIndex(m),_=-1===v?m.length+1:v+1;if(g.column<=_){var y=o.CursorColumns.visibleColumnFromColumn2(t,a,g),C=o.CursorColumns.prevTabStop(y,t.tabSize),b=o.CursorColumns.columnFromVisibleColumn2(t,a,g.lineNumber,C);f=new s.Range(g.lineNumber,b,g.lineNumber,g.column)}else f=new s.Range(g.lineNumber,g.column-1,g.lineNumber,g.column)}else{var S=r.MoveOperations.left(t,a,g.lineNumber,g.column);f=new s.Range(S.lineNumber,S.column,g.lineNumber,g.column)}}f.isEmpty()?u[c]=null:(f.startLineNumber!==f.endLineNumber&&(d=!0),u[c]=new i.ReplaceCommand(f,""))}return[d,u]},e.cut=function(e,t,n){for(var r=[],a=0,l=n.length;a<l;a++){var u=n[a];if(u.isEmpty())if(e.emptySelectionClipboard){var d=u.getPosition(),c=void 0,h=void 0,p=void 0,f=void 0
;d.lineNumber<t.getLineCount()?(c=d.lineNumber,h=1,p=d.lineNumber+1,f=1):d.lineNumber>1?(c=d.lineNumber-1,h=t.getLineMaxColumn(d.lineNumber-1),p=d.lineNumber,f=t.getLineMaxColumn(d.lineNumber)):(c=d.lineNumber,h=1,p=d.lineNumber,f=t.getLineMaxColumn(d.lineNumber));var g=new s.Range(c,h,p,f);g.isEmpty()?r[a]=null:r[a]=new i.ReplaceCommand(g,"")}else r[a]=null;else r[a]=new i.ReplaceCommand(u,"")}return new o.EditOperationResult(0,r,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!0})},e}();t.DeleteOperations=a}),define(t[137],n([0,1,11,8,77,178,432,38,80,3,74,39]),function(e,t,n,i,o,r,s,a,l,u,d,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=function(){function e(){}return e.indent=function(e,t,n){for(var i=[],o=0,s=n.length;o<s;o++)i[o]=new r.ShiftCommand(n[o],{isUnshift:!1,tabSize:e.tabSize,oneIndent:e.oneIndent,useTabStops:e.useTabStops});return i},e.outdent=function(e,t,n){for(var i=[],o=0,s=n.length;o<s;o++)i[o]=new r.ShiftCommand(n[o],{isUnshift:!0,tabSize:e.tabSize,
oneIndent:e.oneIndent,useTabStops:e.useTabStops});return i},e.shiftIndent=function(e,t,n){n=n||1;for(var i=r.ShiftCommand.shiftIndentCount(t,t.length+n,e.tabSize),o="",s=0;s<i;s++)o+="\t";return o},e.unshiftIndent=function(e,t,n){n=n||1;for(var i=r.ShiftCommand.unshiftIndentCount(t,t.length+n,e.tabSize),o="",s=0;s<i;s++)o+="\t";return o},e._distributedPaste=function(e,t,n,i){for(var r=[],s=0,l=n.length;s<l;s++)r[s]=new o.ReplaceCommand(n[s],i[s]);return new a.EditOperationResult(0,r,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!0})},e._simplePaste=function(e,t,n,i,r){for(var s=[],l=0,d=n.length;l<d;l++){var c=n[l],h=c.getPosition();if(r&&i.indexOf("\n")!==i.length-1&&(r=!1),r&&c.startLineNumber!==c.endLineNumber&&(r=!1),r&&c.startColumn===t.getLineMinColumn(c.startLineNumber)&&c.endColumn===t.getLineMaxColumn(c.startLineNumber)&&(r=!1),r){var p=new u.Range(h.lineNumber,1,h.lineNumber,1);s[l]=new o.ReplaceCommand(p,i)}else s[l]=new o.ReplaceCommand(c,i)}return new a.EditOperationResult(0,s,{
shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!0})},e._distributePasteToCursors=function(e,t,n,i){if(n)return null;if(1===e.length)return null;if(i&&i.length===e.length)return i;10===t.charCodeAt(t.length-1)&&(t=t.substr(0,t.length-1));var o=t.split(/\r\n|\r|\n/);return o.length===e.length?o:null},e.paste=function(e,t,n,i,o,r){var s=this._distributePasteToCursors(n,i,o,r);return s?(n=n.sort(u.Range.compareRangesUsingStarts),this._distributedPaste(e,t,n,s)):this._simplePaste(e,t,n,i,o)},e._goodIndentForLine=function(t,n,o){var r=null,s="",a=t.autoIndent?c.LanguageConfigurationRegistry.getInheritIndentForLine(n,o,!1):null;if(a)r=a.action,s=a.indentation;else if(o>1){var l=o-1;for(l=o-1;l>=1;l--){var h=n.getLineContent(l);if(i.lastNonWhitespaceIndex(h)>=0)break}if(l<1)return null;var p=n.getLineMaxColumn(l),f=c.LanguageConfigurationRegistry.getEnterAction(n,new u.Range(l,p,l,p));f&&(s=f.indentation,(r=f.enterAction)&&(s+=r.appendText))}return r&&(r===d.IndentAction.Indent&&(s=e.shiftIndent(t,s)),
r===d.IndentAction.Outdent&&(s=e.unshiftIndent(t,s)),s=t.normalizeIndentation(s)),s||null},e._replaceJumpToNextIndent=function(e,t,n,i){var r="",s=n.getStartPosition();if(e.insertSpaces)for(var l=a.CursorColumns.visibleColumnFromColumn2(e,t,s),u=e.tabSize,d=u-l%u,c=0;c<d;c++)r+=" ";else r="\t";return new o.ReplaceCommand(n,r,i)},e.tab=function(e,t,n){for(var s=[],a=0,l=n.length;a<l;a++){var d=n[a];if(d.isEmpty()){var c=t.getLineContent(d.startLineNumber);if(/^\s*$/.test(c)&&t.isCheapToTokenize(d.startLineNumber)){var h=this._goodIndentForLine(e,t,d.startLineNumber);h=h||"\t";var p=e.normalizeIndentation(h);if(!i.startsWith(c,p)){s[a]=new o.ReplaceCommand(new u.Range(d.startLineNumber,1,d.startLineNumber,c.length+1),p,!0);continue}}s[a]=this._replaceJumpToNextIndent(e,t,d,!0)}else{if(d.startLineNumber===d.endLineNumber){var f=t.getLineMaxColumn(d.startLineNumber);if(1!==d.startColumn||d.endColumn!==f){s[a]=this._replaceJumpToNextIndent(e,t,d,!1);continue}}s[a]=new r.ShiftCommand(d,{isUnshift:!1,
tabSize:e.tabSize,oneIndent:e.oneIndent,useTabStops:e.useTabStops})}}return s},e.replacePreviousChar=function(e,t,n,i,r,s){for(var l=[],d=0,c=i.length;d<c;d++){var h=i[d];if(h.isEmpty()){var p=h.getPosition(),f=Math.max(1,p.column-s),g=new u.Range(p.lineNumber,f,p.lineNumber,p.column);l[d]=new o.ReplaceCommand(g,r)}else l[d]=null}return new a.EditOperationResult(1,l,{shouldPushStackElementBefore:1!==e,shouldPushStackElementAfter:!1})},e._typeCommand=function(e,t,n){return n?new o.ReplaceCommandWithoutChangingPosition(e,t,!0):new o.ReplaceCommand(e,t,!0)},e._enter=function(t,n,r,s){if(!n.isCheapToTokenize(s.getStartPosition().lineNumber)){var l=n.getLineContent(s.startLineNumber),h=i.getLeadingWhitespace(l).substring(0,s.startColumn-1);return e._typeCommand(s,"\n"+t.normalizeIndentation(h),r)}var p=c.LanguageConfigurationRegistry.getEnterAction(n,s);if(p){var f=p.enterAction,g=p.indentation;if(f.indentAction===d.IndentAction.None)return e._typeCommand(s,"\n"+t.normalizeIndentation(g+f.appendText),r)
;if(f.indentAction===d.IndentAction.Indent)return e._typeCommand(s,"\n"+t.normalizeIndentation(g+f.appendText),r);if(f.indentAction===d.IndentAction.IndentOutdent){var m=t.normalizeIndentation(g),v=t.normalizeIndentation(g+f.appendText),_="\n"+v+"\n"+m;return r?new o.ReplaceCommandWithoutChangingPosition(s,_,!0):new o.ReplaceCommandWithOffsetCursorState(s,_,-1,v.length-m.length,!0)}if(f.indentAction===d.IndentAction.Outdent){var y=e.unshiftIndent(t,g);return e._typeCommand(s,"\n"+t.normalizeIndentation(y+f.appendText),r)}}if(!t.autoIndent){var C=n.getLineContent(s.startLineNumber),b=i.getLeadingWhitespace(C).substring(0,s.startColumn-1);return e._typeCommand(s,"\n"+t.normalizeIndentation(b),r)}var S=c.LanguageConfigurationRegistry.getIndentForEnter(n,s,{unshiftIndent:function(n){return e.unshiftIndent(t,n)},shiftIndent:function(n){return e.shiftIndent(t,n)},normalizeIndentation:function(e){return t.normalizeIndentation(e)}
},t.autoIndent),w=n.getLineContent(s.startLineNumber),E=i.getLeadingWhitespace(w).substring(0,s.startColumn-1);if(S){var L=a.CursorColumns.visibleColumnFromColumn2(t,n,s.getEndPosition()),x=s.endColumn,I="\n";E!==t.normalizeIndentation(S.beforeEnter)&&(I=t.normalizeIndentation(S.beforeEnter)+w.substring(E.length,s.startColumn-1)+"\n",s=new u.Range(s.startLineNumber,1,s.endLineNumber,s.endColumn));var N=n.getLineContent(s.endLineNumber),D=i.firstNonWhitespaceIndex(N);if(s=D>=0?s.setEndPosition(s.endLineNumber,Math.max(s.endColumn,D+1)):s.setEndPosition(s.endLineNumber,n.getLineMaxColumn(s.endLineNumber)),r)return new o.ReplaceCommandWithoutChangingPosition(s,I+t.normalizeIndentation(S.afterEnter),!0);var M=0;return x<=D+1&&(t.insertSpaces||(L=Math.ceil(L/t.tabSize)),M=Math.min(L+1-t.normalizeIndentation(S.afterEnter).length-1,0)),new o.ReplaceCommandWithOffsetCursorState(s,I+t.normalizeIndentation(S.afterEnter),0,M,!0)}return e._typeCommand(s,"\n"+t.normalizeIndentation(E),r)},
e._isAutoIndentType=function(e,t,n){if(!e.autoIndent)return!1;for(var i=0,o=n.length;i<o;i++)if(!t.isCheapToTokenize(n[i].getEndPosition().lineNumber))return!1;return!0},e._runAutoIndentType=function(t,n,i,o){var r=c.LanguageConfigurationRegistry.getIndentationAtPosition(n,i.startLineNumber,i.startColumn),s=c.LanguageConfigurationRegistry.getIndentActionForType(n,i,o,{shiftIndent:function(n){return e.shiftIndent(t,n)},unshiftIndent:function(n){return e.unshiftIndent(t,n)}});if(null===s)return null;if(s!==t.normalizeIndentation(r)){var a=n.getLineFirstNonWhitespaceColumn(i.startLineNumber);return 0===a?e._typeCommand(new u.Range(i.startLineNumber,0,i.endLineNumber,i.endColumn),t.normalizeIndentation(s)+o,!1):e._typeCommand(new u.Range(i.startLineNumber,0,i.endLineNumber,i.endColumn),t.normalizeIndentation(s)+n.getLineContent(i.startLineNumber).substring(a-1,i.startColumn-1)+o,!1)}return null},e._isAutoClosingCloseCharType=function(e,t,n,i){
if("never"===(a.isQuote(i)?e.autoClosingQuotes:e.autoClosingBrackets)||!e.autoClosingPairsClose.hasOwnProperty(i))return!1;for(var o=i===e.autoClosingPairsClose[i],r=0,s=n.length;r<s;r++){var l=n[r];if(!l.isEmpty())return!1;var u=l.getPosition(),d=t.getLineContent(u.lineNumber);if(d.charAt(u.column-1)!==i)return!1;if(o){var c=d.substr(0,u.column-1);if(this._countNeedlesInHaystack(c,i)%2==0)return!1}}return!0},e._countNeedlesInHaystack=function(e,t){for(var n=0,i=-1;-1!==(i=e.indexOf(t,i+1));)n++;return n},e._runAutoClosingCloseCharType=function(e,t,n,i,r){for(var s=[],l=0,d=i.length;l<d;l++){var c=i[l].getPosition(),h=new u.Range(c.lineNumber,c.column,c.lineNumber,c.column+1);s[l]=new o.ReplaceCommand(h,r)}return new a.EditOperationResult(1,s,{shouldPushStackElementBefore:1!==e,shouldPushStackElementAfter:!1})},e._isBeforeClosingBrace=function(e,t,n){var i=e.autoClosingPairsOpen[t]===t,o=!1;for(var r in e.autoClosingPairsClose){var s=e.autoClosingPairsOpen[r]===r;if((i||!s)&&n===r){o=!0;break}}return o},
e._isAutoClosingOpenCharType=function(t,i,o,r){var s=a.isQuote(r);if("never"===(s?t.autoClosingQuotes:t.autoClosingBrackets)||!t.autoClosingPairsOpen.hasOwnProperty(r))return!1;for(var u=s?t.shouldAutoCloseBefore.quote:t.shouldAutoCloseBefore.bracket,d=0,h=o.length;d<h;d++){var p=o[d];if(!p.isEmpty())return!1;var f=p.getPosition(),g=i.getLineContent(f.lineNumber);if(s&&f.column>1){var m=l.getMapForWordSeparators(t.wordSeparators),v=g.charCodeAt(f.column-2);if(0===m.get(v))return!1}var _=g.charAt(f.column-1);if(_){if(!e._isBeforeClosingBrace(t,r,_)&&!u(_))return!1}if(!i.isCheapToTokenize(f.lineNumber))return!1;i.forceTokenization(f.lineNumber);var y=i.getLineTokens(f.lineNumber),C=!1;try{C=c.LanguageConfigurationRegistry.shouldAutoClosePair(r,y,f.column)}catch(e){n.onUnexpectedError(e)}if(!C)return!1}return!0},e._runAutoClosingOpenCharType=function(e,t,n,i,r){for(var s=[],l=0,u=i.length;l<u;l++){var d=i[l],c=t.autoClosingPairsOpen[r];s[l]=new o.ReplaceCommandWithOffsetCursorState(d,r+c,0,-c.length)}
return new a.EditOperationResult(1,s,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!1})},e._shouldSurroundChar=function(e,t){return a.isQuote(t)?"quotes"===e.autoSurround||"languageDefined"===e.autoSurround:"brackets"===e.autoSurround||"languageDefined"===e.autoSurround},e._isSurroundSelectionType=function(t,n,i,o){if(!e._shouldSurroundChar(t,o)||!t.surroundingPairs.hasOwnProperty(o))return!1;for(var r=a.isQuote(o),s=0,l=i.length;s<l;s++){var u=i[s];if(u.isEmpty())return!1;for(var d=!0,c=u.startLineNumber;c<=u.endLineNumber;c++){var h=n.getLineContent(c),p=c===u.startLineNumber?u.startColumn-1:0,f=c===u.endLineNumber?u.endColumn-1:h.length,g=h.substring(p,f);if(/[^ \t]/.test(g)){d=!1;break}}if(d)return!1;if(r&&u.startLineNumber===u.endLineNumber&&u.startColumn+1===u.endColumn){var m=n.getValueInRange(u);if(a.isQuote(m))return!1}}return!0},e._runSurroundSelectionType=function(e,t,n,i,o){for(var r=[],l=0,u=i.length;l<u;l++){var d=i[l],c=t.surroundingPairs[o]
;r[l]=new s.SurroundSelectionCommand(d,o,c)}return new a.EditOperationResult(0,r,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!0})},e._isTypeInterceptorElectricChar=function(e,t,n){return!(1!==n.length||!t.isCheapToTokenize(n[0].getEndPosition().lineNumber))},e._typeInterceptorElectricChar=function(e,t,r,s,l){if(!t.electricChars.hasOwnProperty(l)||!s.isEmpty())return null;var d=s.getPosition();r.forceTokenization(d.lineNumber);var h,p=r.getLineTokens(d.lineNumber);try{h=c.LanguageConfigurationRegistry.onElectricCharacter(l,p,d.column)}catch(e){return n.onUnexpectedError(e),null}if(!h)return null;if(h.appendText){w=new o.ReplaceCommandWithOffsetCursorState(s,l+h.appendText,0,-h.appendText.length);return new a.EditOperationResult(1,[w],{shouldPushStackElementBefore:!1,shouldPushStackElementAfter:!0})}if(h.matchOpenBracket){var f=(p.getLineContent()+l).lastIndexOf(h.matchOpenBracket)+1,g=r.findMatchingBracketUp(h.matchOpenBracket,{lineNumber:d.lineNumber,column:f});if(g){
if(g.startLineNumber===d.lineNumber)return null;var m=r.getLineContent(g.startLineNumber),v=i.getLeadingWhitespace(m),_=t.normalizeIndentation(v),y=r.getLineContent(d.lineNumber),C=r.getLineFirstNonWhitespaceColumn(d.lineNumber)||d.column,b=_+y.substring(C-1,d.column-1)+l,S=new u.Range(d.lineNumber,1,d.lineNumber,d.column),w=new o.ReplaceCommand(S,b);return new a.EditOperationResult(1,[w],{shouldPushStackElementBefore:!1,shouldPushStackElementAfter:!0})}}return null},e.compositionEndWithInterceptors=function(t,i,r,s){if("never"===i.autoClosingQuotes)return null;for(var u=[],d=0;d<s.length;d++)if(s[d].isEmpty()){var h=s[d].getPosition(),p=r.getLineContent(h.lineNumber),f=p.charAt(h.column-2);if(i.autoClosingPairsClose.hasOwnProperty(f)&&f===i.autoClosingPairsClose[f]){var g=p.substr(0,h.column-2);if(this._countNeedlesInHaystack(g,f)%2==1)continue}if(i.autoClosingPairsOpen.hasOwnProperty(f)){if(a.isQuote(f)&&h.column>2){var m=l.getMapForWordSeparators(i.wordSeparators),v=p.charCodeAt(h.column-3)
;if(0===m.get(v))continue}var _=p.charAt(h.column-1);if(_){var y=e._isBeforeClosingBrace(i,f,_),C=a.isQuote(f)?i.shouldAutoCloseBefore.quote:i.shouldAutoCloseBefore.bracket;if(y)continue;if(!C(_))continue}if(!r.isCheapToTokenize(h.lineNumber))continue;r.forceTokenization(h.lineNumber);var b=r.getLineTokens(h.lineNumber),S=!1;try{S=c.LanguageConfigurationRegistry.shouldAutoClosePair(f,b,h.column-1)}catch(e){n.onUnexpectedError(e)}if(S){var w=i.autoClosingPairsOpen[f];u[d]=new o.ReplaceCommandWithOffsetCursorState(s[d],w,0,-w.length)}}}return new a.EditOperationResult(1,u,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!1})},e.typeWithInterceptors=function(t,n,i,r,s){if("\n"===s){for(var l=[],u=0,d=r.length;u<d;u++)l[u]=e._enter(n,i,!1,r[u]);return new a.EditOperationResult(1,l,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!1})}if(this._isAutoIndentType(n,i,r)){for(var c=[],h=!1,u=0,d=r.length;u<d;u++)if(c[u]=this._runAutoIndentType(n,i,r[u],s),!c[u]){h=!0;break}
if(!h)return new a.EditOperationResult(1,c,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!1})}if(this._isAutoClosingCloseCharType(n,i,r,s))return this._runAutoClosingCloseCharType(t,n,i,r,s);if(this._isAutoClosingOpenCharType(n,i,r,s))return this._runAutoClosingOpenCharType(t,n,i,r,s);if(this._isSurroundSelectionType(n,i,r,s))return this._runSurroundSelectionType(t,n,i,r,s);if(this._isTypeInterceptorElectricChar(n,i,r)){var p=this._typeInterceptorElectricChar(t,n,i,r[0],s);if(p)return p}for(var f=[],u=0,d=r.length;u<d;u++)f[u]=new o.ReplaceCommand(r[u],s);var g=1!==t;return" "===s&&(g=!0),new a.EditOperationResult(1,f,{shouldPushStackElementBefore:g,shouldPushStackElementAfter:!1})},e.typeWithoutInterceptors=function(e,t,n,i,r){for(var s=[],l=0,u=i.length;l<u;l++)s[l]=new o.ReplaceCommand(i[l],r);return new a.EditOperationResult(1,s,{shouldPushStackElementBefore:1!==e,shouldPushStackElementAfter:!1})},e.lineInsertBefore=function(e,t,n){for(var i=[],r=0,s=n.length;r<s;r++){
var a=n[r].positionLineNumber;if(1===a)i[r]=new o.ReplaceCommandWithoutChangingPosition(new u.Range(1,1,1,1),"\n");else{a--;var l=t.getLineMaxColumn(a);i[r]=this._enter(e,t,!1,new u.Range(a,l,a,l))}}return i},e.lineInsertAfter=function(e,t,n){for(var i=[],o=0,r=n.length;o<r;o++){var s=n[o].positionLineNumber,a=t.getLineMaxColumn(s);i[o]=this._enter(e,t,!1,new u.Range(s,a,s,a))}return i},e.lineBreakInsert=function(e,t,n){for(var i=[],o=0,r=n.length;o<r;o++)i[o]=this._enter(e,t,!0,n[o]);return i},e}();t.TypeOperations=h}),define(t[138],n([0,1,8,38,80,12,3]),function(e,t,n,i,r,s,a){"use strict";function l(e){return e.filter(function(e){return Boolean(e)})}Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(){}return e._createWord=function(e,t,n,i,o){return{start:i,end:o,wordType:t,nextCharClass:n}},e._findPreviousWordOnLine=function(e,t,n){var i=t.getLineContent(n.lineNumber);return this._doFindPreviousWordOnLine(i,e,n)},e._doFindPreviousWordOnLine=function(e,t,n){
for(var i=0,o=n.column-2;o>=0;o--){var r=e.charCodeAt(o),s=t.get(r);if(0===s){if(2===i)return this._createWord(e,i,s,o+1,this._findEndOfWord(e,t,i,o+1));i=1}else if(2===s){if(1===i)return this._createWord(e,i,s,o+1,this._findEndOfWord(e,t,i,o+1));i=2}else if(1===s&&0!==i)return this._createWord(e,i,s,o+1,this._findEndOfWord(e,t,i,o+1))}return 0!==i?this._createWord(e,i,1,0,this._findEndOfWord(e,t,i,0)):null},e._findEndOfWord=function(e,t,n,i){for(var o=e.length,r=i;r<o;r++){var s=e.charCodeAt(r),a=t.get(s);if(1===a)return r;if(1===n&&2===a)return r;if(2===n&&0===a)return r}return o},e._findNextWordOnLine=function(e,t,n){var i=t.getLineContent(n.lineNumber);return this._doFindNextWordOnLine(i,e,n)},e._doFindNextWordOnLine=function(e,t,n){for(var i=0,o=e.length,r=n.column-1;r<o;r++){var s=e.charCodeAt(r),a=t.get(s);if(0===a){if(2===i)return this._createWord(e,i,a,this._findStartOfWord(e,t,i,r-1),r);i=1}else if(2===a){if(1===i)return this._createWord(e,i,a,this._findStartOfWord(e,t,i,r-1),r);i=2
}else if(1===a&&0!==i)return this._createWord(e,i,a,this._findStartOfWord(e,t,i,r-1),r)}return 0!==i?this._createWord(e,i,1,this._findStartOfWord(e,t,i,o-1),o):null},e._findStartOfWord=function(e,t,n,i){for(var o=i;o>=0;o--){var r=e.charCodeAt(o),s=t.get(r);if(1===s)return o+1;if(1===n&&2===s)return o+1;if(2===n&&0===s)return o+1}return 0},e.moveWordLeft=function(t,n,i,o){var r=i.lineNumber,a=i.column,l=!1;1===a&&r>1&&(l=!0,r-=1,a=n.getLineMaxColumn(r));var u=e._findPreviousWordOnLine(t,n,new s.Position(r,a));if(0===o){if(u&&!l){if(n.getLineLastNonWhitespaceColumn(r)<a)return new s.Position(r,u.end+1)}return new s.Position(r,u?u.start+1:1)}return 1===o?(u&&2===u.wordType&&u.end-u.start==1&&0===u.nextCharClass&&(u=e._findPreviousWordOnLine(t,n,new s.Position(r,u.start+1))),new s.Position(r,u?u.start+1:1)):(u&&a<=u.end+1&&(u=e._findPreviousWordOnLine(t,n,new s.Position(r,u.start+1))),new s.Position(r,u?u.end+1:1))},e._moveWordPartLeft=function(e,t){var i=t.lineNumber,o=e.getLineMaxColumn(i)
;if(1===t.column)return i>1?new s.Position(i-1,e.getLineMaxColumn(i-1)):t;for(var r=e.getLineContent(i),a=t.column-1;a>1;a--){var l=r.charCodeAt(a-2),u=r.charCodeAt(a-1);if(95!==l&&95===u)return new s.Position(i,a);if(n.isLowerAsciiLetter(l)&&n.isUpperAsciiLetter(u))return new s.Position(i,a);if(n.isUpperAsciiLetter(l)&&n.isUpperAsciiLetter(u)&&a+1<o){var d=r.charCodeAt(a);if(n.isLowerAsciiLetter(d))return new s.Position(i,a)}}return new s.Position(i,1)},e.moveWordRight=function(t,n,i,o){var r=i.lineNumber,a=i.column;a===n.getLineMaxColumn(r)&&r<n.getLineCount()&&(r+=1,a=1);var l=e._findNextWordOnLine(t,n,new s.Position(r,a));return 2===o?(l&&2===l.wordType&&l.end-l.start==1&&0===l.nextCharClass&&(l=e._findNextWordOnLine(t,n,new s.Position(r,l.end+1))),a=l?l.end+1:n.getLineMaxColumn(r)):(l&&a>=l.start+1&&(l=e._findNextWordOnLine(t,n,new s.Position(r,l.end+1))),a=l?l.start+1:n.getLineMaxColumn(r)),new s.Position(r,a)},e._moveWordPartRight=function(e,t){var i=t.lineNumber,o=e.getLineMaxColumn(i)
;if(t.column===o)return i<e.getLineCount()?new s.Position(i+1,1):t;for(var r=e.getLineContent(i),a=t.column+1;a<o;a++){var l=r.charCodeAt(a-2),u=r.charCodeAt(a-1);if(95===l&&95!==u)return new s.Position(i,a);if(n.isLowerAsciiLetter(l)&&n.isUpperAsciiLetter(u))return new s.Position(i,a);if(n.isUpperAsciiLetter(l)&&n.isUpperAsciiLetter(u)&&a+1<o){var d=r.charCodeAt(a);if(n.isLowerAsciiLetter(d))return new s.Position(i,a)}}return new s.Position(i,o)},e._deleteWordLeftWhitespace=function(e,t){var i=e.getLineContent(t.lineNumber),o=t.column-2,r=n.lastNonWhitespaceIndex(i,o);return r+1<o?new a.Range(t.lineNumber,r+2,t.lineNumber,t.column):null},e.deleteWordLeft=function(t,n,i,o,r){if(!i.isEmpty())return i;var l=new s.Position(i.positionLineNumber,i.positionColumn),u=l.lineNumber,d=l.column;if(1===u&&1===d)return null;if(o){var c=this._deleteWordLeftWhitespace(n,l);if(c)return c}var h=e._findPreviousWordOnLine(t,n,l);return 0===r?h?d=h.start+1:d>1?d=1:(u--,
d=n.getLineMaxColumn(u)):(h&&d<=h.end+1&&(h=e._findPreviousWordOnLine(t,n,new s.Position(u,h.start+1))),h?d=h.end+1:d>1?d=1:(u--,d=n.getLineMaxColumn(u))),new a.Range(u,d,l.lineNumber,l.column)},e._deleteWordPartLeft=function(t,n){if(!n.isEmpty())return n;var i=n.getPosition(),o=e._moveWordPartLeft(t,i);return new a.Range(i.lineNumber,i.column,o.lineNumber,o.column)},e._findFirstNonWhitespaceChar=function(e,t){for(var n=e.length,i=t;i<n;i++){var o=e.charAt(i);if(" "!==o&&"\t"!==o)return i}return n},e._deleteWordRightWhitespace=function(e,t){var n=e.getLineContent(t.lineNumber),i=t.column-1,o=this._findFirstNonWhitespaceChar(n,i);return i+1<o?new a.Range(t.lineNumber,t.column,t.lineNumber,o+1):null},e.deleteWordRight=function(t,n,i,o,r){if(!i.isEmpty())return i;var l=new s.Position(i.positionLineNumber,i.positionColumn),u=l.lineNumber,d=l.column,c=n.getLineCount(),h=n.getLineMaxColumn(u);if(u===c&&d===h)return null;if(o){var p=this._deleteWordRightWhitespace(n,l);if(p)return p}
var f=e._findNextWordOnLine(t,n,l);return 2===r?f?d=f.end+1:d<h||u===c?d=h:(u++,d=(f=e._findNextWordOnLine(t,n,new s.Position(u,1)))?f.start+1:n.getLineMaxColumn(u)):(f&&d>=f.start+1&&(f=e._findNextWordOnLine(t,n,new s.Position(u,f.end+1))),f?d=f.start+1:d<h||u===c?d=h:(u++,d=(f=e._findNextWordOnLine(t,n,new s.Position(u,1)))?f.start+1:n.getLineMaxColumn(u))),new a.Range(u,d,l.lineNumber,l.column)},e._deleteWordPartRight=function(t,n){if(!n.isEmpty())return n;var i=n.getPosition(),o=e._moveWordPartRight(t,i);return new a.Range(i.lineNumber,i.column,o.lineNumber,o.column)},e.word=function(t,n,o,l,u){var d=r.getMapForWordSeparators(t.wordSeparators),c=e._findPreviousWordOnLine(d,n,u),h=e._findNextWordOnLine(d,n,u);if(!l){var p,f;return c&&1===c.wordType&&c.start<=u.column-1&&u.column-1<=c.end?(p=c.start+1,f=c.end+1):h&&1===h.wordType&&h.start<=u.column-1&&u.column-1<=h.end?(p=h.start+1,f=h.end+1):(p=c?c.end+1:1,f=h?h.start+1:n.getLineMaxColumn(u.lineNumber)),
new i.SingleCursorState(new a.Range(u.lineNumber,p,u.lineNumber,f),0,new s.Position(u.lineNumber,f),0)}var g,m;c&&1===c.wordType&&c.start<u.column-1&&u.column-1<c.end?(g=c.start+1,m=c.end+1):h&&1===h.wordType&&h.start<u.column-1&&u.column-1<h.end?(g=h.start+1,m=h.end+1):(g=u.column,m=u.column);var v,_=u.lineNumber;if(o.selectionStart.containsPosition(u))v=o.selectionStart.endColumn;else if(u.isBeforeOrEqual(o.selectionStart.getStartPosition())){v=g;y=new s.Position(_,v);o.selectionStart.containsPosition(y)&&(v=o.selectionStart.endColumn)}else{v=m;var y=new s.Position(_,v);o.selectionStart.containsPosition(y)&&(v=o.selectionStart.startColumn)}return o.move(!0,_,v,0)},e}();t.WordOperations=u;var d=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.deleteWordPartLeft=function(e,t,n,i){var o=l([u.deleteWordLeft(e,t,n,i,0),u.deleteWordLeft(e,t,n,i,2),u._deleteWordPartLeft(t,n)]);return o.sort(a.Range.compareRangesUsingEnds),o[2]},t.deleteWordPartRight=function(e,t,n,i){
var o=l([u.deleteWordRight(e,t,n,i,0),u.deleteWordRight(e,t,n,i,2),u._deleteWordPartRight(t,n)]);return o.sort(a.Range.compareRangesUsingStarts),o[0]},t.moveWordPartLeft=function(e,t,n){var i=l([u.moveWordLeft(e,t,n,0),u.moveWordLeft(e,t,n,2),u._moveWordPartLeft(t,n)]);return i.sort(s.Position.compare),i[2]},t.moveWordPartRight=function(e,t,n){var i=l([u.moveWordRight(e,t,n,0),u.moveWordRight(e,t,n,2),u._moveWordPartRight(t,n)]);return i.sort(s.Position.compare),i[0]},t}(u);t.WordPartOperations=d}),define(t[188],n([0,1,32,38,181,138,12,3]),function(e,t,n,i,o,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(){}return e.addCursorDown=function(e,t,n){for(var r=[],s=0,a=0,l=t.length;a<l;a++){var u=t[a];r[s++]=new i.CursorState(u.modelState,u.viewState),r[s++]=n?i.CursorState.fromModelState(o.MoveOperations.translateDown(e.config,e.model,u.modelState)):i.CursorState.fromViewState(o.MoveOperations.translateDown(e.config,e.viewModel,u.viewState))}return r},
e.addCursorUp=function(e,t,n){for(var r=[],s=0,a=0,l=t.length;a<l;a++){var u=t[a];r[s++]=new i.CursorState(u.modelState,u.viewState),r[s++]=n?i.CursorState.fromModelState(o.MoveOperations.translateUp(e.config,e.model,u.modelState)):i.CursorState.fromViewState(o.MoveOperations.translateUp(e.config,e.viewModel,u.viewState))}return r},e.moveToBeginningOfLine=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o];i[o]=this._moveToLineStart(e,s,n)}return i},e._moveToLineStart=function(e,t,n){var i=t.viewState.position.column,o=i===t.modelState.position.column,r=t.viewState.position.lineNumber,s=e.viewModel.getLineFirstNonWhitespaceColumn(r);return o||i===s?this._moveToLineStartByModel(e,t,n):this._moveToLineStartByView(e,t,n)},e._moveToLineStartByView=function(e,t,n){return i.CursorState.fromViewState(o.MoveOperations.moveToBeginningOfLine(e.config,e.viewModel,t.viewState,n))},e._moveToLineStartByModel=function(e,t,n){
return i.CursorState.fromModelState(o.MoveOperations.moveToBeginningOfLine(e.config,e.model,t.modelState,n))},e.moveToEndOfLine=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o];i[o]=this._moveToLineEnd(e,s,n)}return i},e._moveToLineEnd=function(e,t,n){var i=t.viewState.position,o=e.viewModel.getLineMaxColumn(i.lineNumber),r=i.column===o,s=t.modelState.position,a=e.model.getLineMaxColumn(s.lineNumber),l=o-i.column==a-s.column;return r||l?this._moveToLineEndByModel(e,t,n):this._moveToLineEndByView(e,t,n)},e._moveToLineEndByView=function(e,t,n){return i.CursorState.fromViewState(o.MoveOperations.moveToEndOfLine(e.config,e.viewModel,t.viewState,n))},e._moveToLineEndByModel=function(e,t,n){return i.CursorState.fromModelState(o.MoveOperations.moveToEndOfLine(e.config,e.model,t.modelState,n))},e.expandLineSelection=function(e,t){for(var n=[],o=0,r=t.length;o<r;o++){var l=t[o].viewState.selection,u=l.startLineNumber,d=e.viewModel.getLineCount(),c=l.endLineNumber,h=void 0
;c===d?h=e.viewModel.getLineMaxColumn(d):(c++,h=1),n[o]=i.CursorState.fromViewState(new i.SingleCursorState(new a.Range(u,1,u,1),0,new s.Position(c,h),0))}return n},e.moveToBeginningOfBuffer=function(e,t,n){for(var r=[],s=0,a=t.length;s<a;s++){var l=t[s];r[s]=i.CursorState.fromModelState(o.MoveOperations.moveToBeginningOfBuffer(e.config,e.model,l.modelState,n))}return r},e.moveToEndOfBuffer=function(e,t,n){for(var r=[],s=0,a=t.length;s<a;s++){var l=t[s];r[s]=i.CursorState.fromModelState(o.MoveOperations.moveToEndOfBuffer(e.config,e.model,l.modelState,n))}return r},e.selectAll=function(e,t){var n=e.model.getLineCount(),o=e.model.getLineMaxColumn(n);return i.CursorState.fromModelState(new i.SingleCursorState(new a.Range(1,1,1,1),0,new s.Position(n,o),0))},e.line=function(e,t,n,o,r){var l=e.model.validatePosition(o),u=r?e.validateViewPosition(new s.Position(r.lineNumber,r.column),l):e.convertModelPositionToViewPosition(l);if(!n||!t.modelState.hasSelection()){var d=e.model.getLineCount(),c=l.lineNumber+1,h=1
;return c>d&&(c=d,h=e.model.getLineMaxColumn(c)),i.CursorState.fromModelState(new i.SingleCursorState(new a.Range(l.lineNumber,1,c,h),0,new s.Position(c,h),0))}var p=t.modelState.selectionStart.getStartPosition().lineNumber;if(l.lineNumber<p)return i.CursorState.fromViewState(t.viewState.move(t.modelState.hasSelection(),u.lineNumber,1,0));if(l.lineNumber>p){var d=e.viewModel.getLineCount(),f=u.lineNumber+1,g=1;return f>d&&(f=d,g=e.viewModel.getLineMaxColumn(f)),i.CursorState.fromViewState(t.viewState.move(t.modelState.hasSelection(),f,g,0))}var m=t.modelState.selectionStart.getEndPosition();return i.CursorState.fromModelState(t.modelState.move(t.modelState.hasSelection(),m.lineNumber,m.column,0))},e.word=function(e,t,n,o){var s=e.model.validatePosition(o);return i.CursorState.fromModelState(r.WordOperations.word(e.config,e.model,t.modelState,n,s))},e.cancelSelection=function(e,t){if(!t.modelState.hasSelection())return new i.CursorState(t.modelState,t.viewState)
;var n=t.viewState.position.lineNumber,o=t.viewState.position.column;return i.CursorState.fromViewState(new i.SingleCursorState(new a.Range(n,o,n,o),0,new s.Position(n,o),0))},e.moveTo=function(e,t,n,o,r){var a=e.model.validatePosition(o),l=r?e.validateViewPosition(new s.Position(r.lineNumber,r.column),a):e.convertModelPositionToViewPosition(a);return i.CursorState.fromViewState(t.viewState.move(n,l.lineNumber,l.column,0))},e.move=function(e,t,n){var i=n.select,o=n.value;switch(n.direction){case 0:return 4===n.unit?this._moveHalfLineLeft(e,t,i):this._moveLeft(e,t,i,o);case 1:return 4===n.unit?this._moveHalfLineRight(e,t,i):this._moveRight(e,t,i,o);case 2:return 2===n.unit?this._moveUpByViewLines(e,t,i,o):this._moveUpByModelLines(e,t,i,o);case 3:return 2===n.unit?this._moveDownByViewLines(e,t,i,o):this._moveDownByModelLines(e,t,i,o);case 4:return this._moveToViewMinColumn(e,t,i);case 5:return this._moveToViewFirstNonWhitespaceColumn(e,t,i);case 6:return this._moveToViewCenterColumn(e,t,i);case 7:
return this._moveToViewMaxColumn(e,t,i);case 8:return this._moveToViewLastNonWhitespaceColumn(e,t,i);case 9:var r=t[0],s=e.getCompletelyVisibleModelRange(),a=this._firstLineNumberInRange(e.model,s,o),l=e.model.getLineFirstNonWhitespaceColumn(a);return[this._moveToModelPosition(e,r,i,a,l)];case 11:var r=t[0],s=e.getCompletelyVisibleModelRange(),a=this._lastLineNumberInRange(e.model,s,o),l=e.model.getLineFirstNonWhitespaceColumn(a);return[this._moveToModelPosition(e,r,i,a,l)];case 10:var r=t[0],s=e.getCompletelyVisibleModelRange(),a=Math.round((s.startLineNumber+s.endLineNumber)/2),l=e.model.getLineFirstNonWhitespaceColumn(a);return[this._moveToModelPosition(e,r,i,a,l)];case 12:for(var u=e.getCompletelyVisibleViewRange(),d=[],c=0,h=t.length;c<h;c++){r=t[c];d[c]=this.findPositionInViewportIfOutside(e,r,u,i)}return d}return null},e.findPositionInViewportIfOutside=function(e,t,n,o){var r=t.viewState.position.lineNumber;if(n.startLineNumber<=r&&r<=n.endLineNumber-1)return new i.CursorState(t.modelState,t.viewState)
;r>n.endLineNumber-1&&(r=n.endLineNumber-1),r<n.startLineNumber&&(r=n.startLineNumber);var s=e.viewModel.getLineFirstNonWhitespaceColumn(r);return this._moveToViewPosition(e,t,o,r,s)},e._firstLineNumberInRange=function(e,t,n){var i=t.startLineNumber;return t.startColumn!==e.getLineMinColumn(i)&&i++,Math.min(t.endLineNumber,i+n-1)},e._lastLineNumberInRange=function(e,t,n){var i=t.startLineNumber;return t.startColumn!==e.getLineMinColumn(i)&&i++,Math.max(i,t.endLineNumber-n+1)},e._moveLeft=function(e,t,n,r){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a],d=o.MoveOperations.moveLeft(e.config,e.viewModel,u.viewState,n,r);if(1===r&&d.position.lineNumber!==u.viewState.position.lineNumber){e.viewModel.coordinatesConverter.convertViewPositionToModelPosition(d.position).lineNumber===u.modelState.position.lineNumber&&(d=o.MoveOperations.moveLeft(e.config,e.viewModel,d,n,1))}s[a]=i.CursorState.fromViewState(d)}return s},e._moveHalfLineLeft=function(e,t,n){for(var r=[],s=0,a=t.length;s<a;s++){
var l=t[s],u=l.viewState.position.lineNumber,d=Math.round(e.viewModel.getLineContent(u).length/2);r[s]=i.CursorState.fromViewState(o.MoveOperations.moveLeft(e.config,e.viewModel,l.viewState,n,d))}return r},e._moveRight=function(e,t,n,r){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a],d=o.MoveOperations.moveRight(e.config,e.viewModel,u.viewState,n,r);if(1===r&&d.position.lineNumber!==u.viewState.position.lineNumber){e.viewModel.coordinatesConverter.convertViewPositionToModelPosition(d.position).lineNumber===u.modelState.position.lineNumber&&(d=o.MoveOperations.moveRight(e.config,e.viewModel,d,n,1))}s[a]=i.CursorState.fromViewState(d)}return s},e._moveHalfLineRight=function(e,t,n){for(var r=[],s=0,a=t.length;s<a;s++){var l=t[s],u=l.viewState.position.lineNumber,d=Math.round(e.viewModel.getLineContent(u).length/2);r[s]=i.CursorState.fromViewState(o.MoveOperations.moveRight(e.config,e.viewModel,l.viewState,n,d))}return r},e._moveDownByViewLines=function(e,t,n,r){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a]
;s[a]=i.CursorState.fromViewState(o.MoveOperations.moveDown(e.config,e.viewModel,u.viewState,n,r))}return s},e._moveDownByModelLines=function(e,t,n,r){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a];s[a]=i.CursorState.fromModelState(o.MoveOperations.moveDown(e.config,e.model,u.modelState,n,r))}return s},e._moveUpByViewLines=function(e,t,n,r){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a];s[a]=i.CursorState.fromViewState(o.MoveOperations.moveUp(e.config,e.viewModel,u.viewState,n,r))}return s},e._moveUpByModelLines=function(e,t,n,r){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a];s[a]=i.CursorState.fromModelState(o.MoveOperations.moveUp(e.config,e.model,u.modelState,n,r))}return s},e._moveToViewPosition=function(e,t,n,o,r){return i.CursorState.fromViewState(t.viewState.move(n,o,r,0))},e._moveToModelPosition=function(e,t,n,o,r){return i.CursorState.fromModelState(t.modelState.move(n,o,r,0))},e._moveToViewMinColumn=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){
var s=t[o],a=s.viewState.position.lineNumber,l=e.viewModel.getLineMinColumn(a);i[o]=this._moveToViewPosition(e,s,n,a,l)}return i},e._moveToViewFirstNonWhitespaceColumn=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o],a=s.viewState.position.lineNumber,l=e.viewModel.getLineFirstNonWhitespaceColumn(a);i[o]=this._moveToViewPosition(e,s,n,a,l)}return i},e._moveToViewCenterColumn=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o],a=s.viewState.position.lineNumber,l=Math.round((e.viewModel.getLineMaxColumn(a)+e.viewModel.getLineMinColumn(a))/2);i[o]=this._moveToViewPosition(e,s,n,a,l)}return i},e._moveToViewMaxColumn=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o],a=s.viewState.position.lineNumber,l=e.viewModel.getLineMaxColumn(a);i[o]=this._moveToViewPosition(e,s,n,a,l)}return i},e._moveToViewLastNonWhitespaceColumn=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o],a=s.viewState.position.lineNumber,l=e.viewModel.getLineLastNonWhitespaceColumn(a)
;i[o]=this._moveToViewPosition(e,s,n,a,l)}return i},e}();t.CursorMoveCommands=l;!function(e){e.description={description:"Move cursor to a logical position in the view",args:[{name:"Cursor move argument object",
description:"Property-value pairs that can be passed through this argument:\n\t\t\t\t\t* 'to': A mandatory logical position value providing where to move the cursor.\n\t\t\t\t\t\t```\n\t\t\t\t\t\t'left', 'right', 'up', 'down'\n\t\t\t\t\t\t'wrappedLineStart', 'wrappedLineEnd', 'wrappedLineColumnCenter'\n\t\t\t\t\t\t'wrappedLineFirstNonWhitespaceCharacter', 'wrappedLineLastNonWhitespaceCharacter'\n\t\t\t\t\t\t'viewPortTop', 'viewPortCenter', 'viewPortBottom', 'viewPortIfOutside'\n\t\t\t\t\t\t```\n\t\t\t\t\t* 'by': Unit to move. Default is computed based on 'to' value.\n\t\t\t\t\t\t```\n\t\t\t\t\t\t'line', 'wrappedLine', 'character', 'halfLine'\n\t\t\t\t\t\t```\n\t\t\t\t\t* 'value': Number of units to move. Default is '1'.\n\t\t\t\t\t* 'select': If 'true' makes the selection. Default is 'false'.\n\t\t\t\t",constraint:function(e){if(!n.isObject(e))return!1;var t=e
;return!(!n.isString(t.to)||!n.isUndefined(t.select)&&!n.isBoolean(t.select)||!n.isUndefined(t.by)&&!n.isString(t.by)||!n.isUndefined(t.value)&&!n.isNumber(t.value))}}]},e.RawDirection={Left:"left",Right:"right",Up:"up",Down:"down",WrappedLineStart:"wrappedLineStart",WrappedLineFirstNonWhitespaceCharacter:"wrappedLineFirstNonWhitespaceCharacter",WrappedLineColumnCenter:"wrappedLineColumnCenter",WrappedLineEnd:"wrappedLineEnd",WrappedLineLastNonWhitespaceCharacter:"wrappedLineLastNonWhitespaceCharacter",ViewPortTop:"viewPortTop",ViewPortCenter:"viewPortCenter",ViewPortBottom:"viewPortBottom",ViewPortIfOutside:"viewPortIfOutside"},e.RawUnit={Line:"line",WrappedLine:"wrappedLine",Character:"character",HalfLine:"halfLine"},e.parse=function(t){if(!t.to)return null;var n;switch(t.to){case e.RawDirection.Left:n=0;break;case e.RawDirection.Right:n=1;break;case e.RawDirection.Up:n=2;break;case e.RawDirection.Down:n=3;break;case e.RawDirection.WrappedLineStart:n=4;break
;case e.RawDirection.WrappedLineFirstNonWhitespaceCharacter:n=5;break;case e.RawDirection.WrappedLineColumnCenter:n=6;break;case e.RawDirection.WrappedLineEnd:n=7;break;case e.RawDirection.WrappedLineLastNonWhitespaceCharacter:n=8;break;case e.RawDirection.ViewPortTop:n=9;break;case e.RawDirection.ViewPortBottom:n=11;break;case e.RawDirection.ViewPortCenter:n=10;break;case e.RawDirection.ViewPortIfOutside:n=12;break;default:return null}var i=0;switch(t.by){case e.RawUnit.Line:i=1;break;case e.RawUnit.WrappedLine:i=2;break;case e.RawUnit.Character:i=3;break;case e.RawUnit.HalfLine:i=4}return{direction:n,unit:i,select:!!t.select,value:t.value||1}}}(t.CursorMove||(t.CursorMove={}))}),define(t[378],n([0,1,38,12,3,21]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){this._selTrackedRange=null,this._trackSelection=!0,
this._setState(e,new n.SingleCursorState(new o.Range(1,1,1,1),0,new i.Position(1,1),0),new n.SingleCursorState(new o.Range(1,1,1,1),0,new i.Position(1,1),0))}return e.prototype.dispose=function(e){this._removeTrackedRange(e)},e.prototype.startTrackingSelection=function(e){this._trackSelection=!0,this._updateTrackedRange(e)},e.prototype.stopTrackingSelection=function(e){this._trackSelection=!1,this._removeTrackedRange(e)},e.prototype._updateTrackedRange=function(e){this._trackSelection&&(this._selTrackedRange=e.model._setTrackedRange(this._selTrackedRange,this.modelState.selection,0))},e.prototype._removeTrackedRange=function(e){this._selTrackedRange=e.model._setTrackedRange(this._selTrackedRange,null,0)},e.prototype.asCursorState=function(){return new n.CursorState(this.modelState,this.viewState)},e.prototype.readSelectionFromMarkers=function(e){var t=e.model._getTrackedRange(this._selTrackedRange)
;return 0===this.modelState.selection.getDirection()?new r.Selection(t.startLineNumber,t.startColumn,t.endLineNumber,t.endColumn):new r.Selection(t.endLineNumber,t.endColumn,t.startLineNumber,t.startColumn)},e.prototype.ensureValidState=function(e){this._setState(e,this.modelState,this.viewState)},e.prototype.setState=function(e,t,n){this._setState(e,t,n)},e.prototype._setState=function(e,t,r){if(t){var s=e.model.validateRange(t.selectionStart),a=t.selectionStart.equalsRange(s)?t.selectionStartLeftoverVisibleColumns:0,l=e.model.validatePosition(t.position),u=t.position.equals(l)?t.leftoverVisibleColumns:0;t=new n.SingleCursorState(s,a,l,u)}else{if(!r)return;var s=e.model.validateRange(e.convertViewRangeToModelRange(r.selectionStart)),l=e.model.validatePosition(e.convertViewPositionToModelPosition(r.position.lineNumber,r.position.column));t=new n.SingleCursorState(s,r.selectionStartLeftoverVisibleColumns,l,r.leftoverVisibleColumns)}if(r){
var d=e.validateViewRange(r.selectionStart,t.selectionStart),c=e.validateViewPosition(r.position,t.position);r=new n.SingleCursorState(d,t.selectionStartLeftoverVisibleColumns,c,t.leftoverVisibleColumns)}else{var h=e.convertModelPositionToViewPosition(new i.Position(t.selectionStart.startLineNumber,t.selectionStart.startColumn)),p=e.convertModelPositionToViewPosition(new i.Position(t.selectionStart.endLineNumber,t.selectionStart.endColumn)),d=new o.Range(h.lineNumber,h.column,p.lineNumber,p.column),c=e.convertModelPositionToViewPosition(t.position);r=new n.SingleCursorState(d,t.selectionStartLeftoverVisibleColumns,c,t.leftoverVisibleColumns)}this.modelState=t,this.viewState=r,this._updateTrackedRange(e)},e}();t.OneCursor=s}),define(t[379],n([0,1,38,378,21]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e){this.context=e,this.primaryCursor=new i.OneCursor(e),this.secondaryCursors=[],this.lastAddedCursorIndex=0}
return e.prototype.dispose=function(){this.primaryCursor.dispose(this.context),this.killSecondaryCursors()},e.prototype.startTrackingSelections=function(){this.primaryCursor.startTrackingSelection(this.context);for(var e=0,t=this.secondaryCursors.length;e<t;e++)this.secondaryCursors[e].startTrackingSelection(this.context)},e.prototype.stopTrackingSelections=function(){this.primaryCursor.stopTrackingSelection(this.context);for(var e=0,t=this.secondaryCursors.length;e<t;e++)this.secondaryCursors[e].stopTrackingSelection(this.context)},e.prototype.updateContext=function(e){this.context=e},e.prototype.ensureValidState=function(){this.primaryCursor.ensureValidState(this.context);for(var e=0,t=this.secondaryCursors.length;e<t;e++)this.secondaryCursors[e].ensureValidState(this.context)},e.prototype.readSelectionFromMarkers=function(){var e=[];e[0]=this.primaryCursor.readSelectionFromMarkers(this.context)
;for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t].readSelectionFromMarkers(this.context);return e},e.prototype.getAll=function(){var e=[];e[0]=this.primaryCursor.asCursorState();for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t].asCursorState();return e},e.prototype.getViewPositions=function(){var e=[];e[0]=this.primaryCursor.viewState.position;for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t].viewState.position;return e},e.prototype.getSelections=function(){var e=[];e[0]=this.primaryCursor.modelState.selection;for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t].modelState.selection;return e},e.prototype.getViewSelections=function(){var e=[];e[0]=this.primaryCursor.viewState.selection;for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t].viewState.selection;return e},e.prototype.setSelections=function(e){
this.setStates(n.CursorState.fromModelSelections(e))},e.prototype.getPrimaryCursor=function(){return this.primaryCursor.asCursorState()},e.prototype.setStates=function(e){null!==e&&(this.primaryCursor.setState(this.context,e[0].modelState,e[0].viewState),this._setSecondaryStates(e.slice(1)))},e.prototype._setSecondaryStates=function(e){var t=this.secondaryCursors.length,n=e.length;if(t<n)for(var i=n-t,o=0;o<i;o++)this._addSecondaryCursor();else if(t>n)for(var r=t-n,o=0;o<r;o++)this._removeSecondaryCursor(this.secondaryCursors.length-1);for(o=0;o<n;o++)this.secondaryCursors[o].setState(this.context,e[o].modelState,e[o].viewState)},e.prototype.killSecondaryCursors=function(){this._setSecondaryStates([])},e.prototype._addSecondaryCursor=function(){this.secondaryCursors.push(new i.OneCursor(this.context)),this.lastAddedCursorIndex=this.secondaryCursors.length},e.prototype.getLastAddedCursorIndex=function(){return 0===this.secondaryCursors.length||0===this.lastAddedCursorIndex?0:this.lastAddedCursorIndex},
e.prototype._removeSecondaryCursor=function(e){this.lastAddedCursorIndex>=e+1&&this.lastAddedCursorIndex--,this.secondaryCursors[e].dispose(this.context),this.secondaryCursors.splice(e,1)},e.prototype._getAll=function(){var e=[];e[0]=this.primaryCursor;for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t];return e},e.prototype.normalize=function(){if(0!==this.secondaryCursors.length){for(var e=this._getAll(),t=[],i=0,r=e.length;i<r;i++)t.push({index:i,selection:e[i].modelState.selection});t.sort(function(e,t){return e.selection.startLineNumber===t.selection.startLineNumber?e.selection.startColumn-t.selection.startColumn:e.selection.startLineNumber-t.selection.startLineNumber});for(var s=0;s<t.length-1;s++){var a=t[s],l=t[s+1],u=a.selection,d=l.selection;if(this.context.config.multiCursorMergeOverlapping){if(d.isEmpty()||u.isEmpty()?d.getStartPosition().isBeforeOrEqual(u.getEndPosition()):d.getStartPosition().isBefore(u.getEndPosition())){
var c=a.index<l.index?s:s+1,h=a.index<l.index?s+1:s,p=t[h].index,f=t[c].index,g=t[h].selection,m=t[c].selection;if(!g.equalsSelection(m)){var v=g.plusRange(m),_=g.selectionStartLineNumber===g.startLineNumber&&g.selectionStartColumn===g.startColumn,y=m.selectionStartLineNumber===m.startLineNumber&&m.selectionStartColumn===m.startColumn,C=void 0;p===this.lastAddedCursorIndex?(C=_,this.lastAddedCursorIndex=f):C=y;var b=void 0;b=C?new o.Selection(v.startLineNumber,v.startColumn,v.endLineNumber,v.endColumn):new o.Selection(v.endLineNumber,v.endColumn,v.startLineNumber,v.startColumn),t[c].selection=b;var S=n.CursorState.fromModelSelection(b);e[f].setState(this.context,S.modelState,S.viewState)}for(var w=0;w<t.length;w++)t[w].index>p&&t[w].index--;e.splice(p,1),t.splice(h,1),this._removeSecondaryCursor(p-1),s--}}}}},e}();t.CursorCollection=r}),define(t[380],n([0,1,297,11,6,8,379,38,182,137,3,21,54,69]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0})
;var g=function(){return function(e,t,n){this.selections=e,this.source=t,this.reason=n}}();t.CursorStateChangedEvent=g;var m=function(){function e(e,t){this.modelVersionId=e.getVersionId(),this.cursorState=t.getAll()}return e.prototype.equals=function(e){if(!e)return!1;if(this.modelVersionId!==e.modelVersionId)return!1;if(this.cursorState.length!==e.cursorState.length)return!1;for(var t=0,n=this.cursorState.length;t<n;t++)if(!this.cursorState[t].equals(e.cursorState[t]))return!1;return!0},e}();t.CursorModelState=m;var v=function(e){function t(t,n,i){var o=e.call(this)||this;o._onDidReachMaxCursorCount=o._register(new r.Emitter),o.onDidReachMaxCursorCount=o._onDidReachMaxCursorCount.event,o._onDidAttemptReadOnlyEdit=o._register(new r.Emitter),o.onDidAttemptReadOnlyEdit=o._onDidAttemptReadOnlyEdit.event,o._onDidChange=o._register(new r.Emitter),o.onDidChange=o._onDidChange.event,o._configuration=t,o._model=n,o._knownModelVersionId=o._model.getVersionId(),o._viewModel=i,
o.context=new l.CursorContext(o._configuration,o._model,o._viewModel),o._cursors=new a.CursorCollection(o.context),o._isHandling=!1,o._isDoingComposition=!1,o._columnSelectData=null,o._prevEditOperationType=0,o._register(o._model.onDidChangeRawContent(function(e){if(o._knownModelVersionId=e.versionId,!o._isHandling){var t=e.containsEvent(1);o._onModelContentChanged(t)}})),o._register(i.addEventListener(function(e){(function(e){for(var t=0,n=e.length;t<n;t++)if(6===e[t].type)return!0;return!1})(e)&&o._knownModelVersionId===o._model.getVersionId()&&o.setStates("viewModel",0,o.getAll())}));var s=function(){o.context=new l.CursorContext(o._configuration,o._model,o._viewModel),o._cursors.updateContext(o.context)};return o._register(o._model.onDidChangeLanguage(function(e){s()})),o._register(o._model.onDidChangeLanguageConfiguration(function(){s()})),o._register(o._model.onDidChangeOptions(function(){s()})),o._register(o._configuration.onDidChange(function(e){l.CursorConfiguration.shouldRecreate(e)&&s()})),o}
return o(t,e),t.prototype.dispose=function(){this._cursors.dispose(),e.prototype.dispose.call(this)},t.prototype.getPrimaryCursor=function(){return this._cursors.getPrimaryCursor()},t.prototype.getLastAddedCursorIndex=function(){return this._cursors.getLastAddedCursorIndex()},t.prototype.getAll=function(){return this._cursors.getAll()},t.prototype.setStates=function(e,n,i){null!==i&&i.length>t.MAX_CURSOR_COUNT&&(i=i.slice(0,t.MAX_CURSOR_COUNT),this._onDidReachMaxCursorCount.fire(void 0));var o=new m(this._model,this);this._cursors.setStates(i),this._cursors.normalize(),this._columnSelectData=null,this._emitStateChangedIfNecessary(e,n,o)},t.prototype.setColumnSelectData=function(e){this._columnSelectData=e},t.prototype.reveal=function(e,t,n){this._revealRange(t,0,e,n)},t.prototype.revealRange=function(e,t,n,i){this.emitCursorRevealRange(t,n,e,i)},t.prototype.scrollTo=function(e){this._viewModel.viewLayout.setScrollPositionSmooth({scrollTop:e})},t.prototype.saveState=function(){
for(var e=[],t=this._cursors.getSelections(),n=0,i=t.length;n<i;n++){var o=t[n];e.push({inSelectionMode:!o.isEmpty(),selectionStart:{lineNumber:o.selectionStartLineNumber,column:o.selectionStartColumn},position:{lineNumber:o.positionLineNumber,column:o.positionColumn}})}return e},t.prototype.restoreState=function(e){for(var t=[],n=0,i=e.length;n<i;n++){var o=e[n],r=1,s=1;o.position&&o.position.lineNumber&&(r=o.position.lineNumber),o.position&&o.position.column&&(s=o.position.column);var a=r,u=s;o.selectionStart&&o.selectionStart.lineNumber&&(a=o.selectionStart.lineNumber),o.selectionStart&&o.selectionStart.column&&(u=o.selectionStart.column),t.push({selectionStartLineNumber:a,selectionStartColumn:u,positionLineNumber:r,positionColumn:s})}this.setStates("restoreState",0,l.CursorState.fromModelSelections(t)),this.reveal(!0,0,1)},t.prototype._onModelContentChanged=function(e){if(this._prevEditOperationType=0,e)this._cursors.dispose(),this._cursors=new a.CursorCollection(this.context),
this._emitStateChangedIfNecessary("model",1,null);else{var t=this._cursors.readSelectionFromMarkers();this.setStates("modelChange",2,l.CursorState.fromModelSelections(t))}},t.prototype.getSelection=function(){return this._cursors.getPrimaryCursor().modelState.selection},t.prototype.getColumnSelectData=function(){if(this._columnSelectData)return this._columnSelectData;var e=this._cursors.getPrimaryCursor().viewState.position;return{toViewLineNumber:e.lineNumber,toViewVisualColumn:l.CursorColumns.visibleColumnFromColumn2(this.context.config,this.context.viewModel,e)}},t.prototype.getSelections=function(){return this._cursors.getSelections()},t.prototype.getViewSelections=function(){return this._cursors.getViewSelections()},t.prototype.getPosition=function(){return this._cursors.getPrimaryCursor().modelState.position},t.prototype.setSelections=function(e,t){this.setStates(e,0,l.CursorState.fromModelSelections(t))},t.prototype.getPrevEditOperationType=function(){return this._prevEditOperationType},
t.prototype.setPrevEditOperationType=function(e){this._prevEditOperationType=e},t.prototype._executeEditOperation=function(e){if(e){e.shouldPushStackElementBefore&&this._model.pushStackElement();var t=_.executeCommands(this._model,this._cursors.getSelections(),e.commands);t&&(this._interpretCommandResult(t),this._prevEditOperationType=e.type),e.shouldPushStackElementAfter&&this._model.pushStackElement()}},t.prototype._interpretCommandResult=function(e){e&&0!==e.length||(e=this._cursors.readSelectionFromMarkers()),this._columnSelectData=null,this._cursors.setSelections(e),this._cursors.normalize()},t.prototype._emitStateChangedIfNecessary=function(e,t,n){var i=new m(this._model,this);if(i.equals(n))return!1;var o=this._cursors.getSelections(),r=this._cursors.getViewSelections();try{this._beginEmit().emit(new f.ViewCursorStateChangedEvent(r))}finally{this._endEmit()}return n&&n.cursorState.length===i.cursorState.length&&!i.cursorState.some(function(e,t){return!e.modelState.equals(n.cursorState[t].modelState)
})||this._onDidChange.fire(new g(o,e||"keyboard",t)),!0},t.prototype._revealRange=function(e,t,n,i){var o=this._cursors.getViewPositions(),r=o[0];if(1===e)for(s=1;s<o.length;s++)o[s].isBefore(r)&&(r=o[s]);else if(2===e)for(var s=1;s<o.length;s++)r.isBeforeOrEqual(o[s])&&(r=o[s]);else if(o.length>1)return;var a=new c.Range(r.lineNumber,r.column,r.lineNumber,r.column);this.emitCursorRevealRange(a,t,n,i)},t.prototype.emitCursorRevealRange=function(e,t,n,i){try{this._beginEmit().emit(new f.ViewRevealRangeRequestEvent(e,t,n,i))}finally{this._endEmit()}},t.prototype.trigger=function(e,t,n){var o=p.Handler;if(t!==o.CompositionStart)if(t===o.CompositionEnd&&(this._isDoingComposition=!1),this._configuration.editor.readOnly)this._onDidAttemptReadOnlyEdit.fire(void 0);else{var r=new m(this._model,this),s=0;t!==o.Undo&&t!==o.Redo&&this._cursors.stopTrackingSelections(),this._cursors.ensureValidState(),this._isHandling=!0;try{switch(t){case o.Type:this._type(e,n.text);break;case o.ReplacePreviousChar:
this._replacePreviousChar(n.text,n.replaceCharCnt);break;case o.Paste:s=4,this._paste(n.text,n.pasteOnNewLine,n.multicursorText);break;case o.Cut:this._cut();break;case o.Undo:s=5,this._interpretCommandResult(this._model.undo());break;case o.Redo:s=6,this._interpretCommandResult(this._model.redo());break;case o.ExecuteCommand:this._externalExecuteCommand(n);break;case o.ExecuteCommands:this._externalExecuteCommands(n);break;case o.CompositionEnd:this._interpretCompositionEnd(e)}}catch(e){i.onUnexpectedError(e)}this._isHandling=!1,t!==o.Undo&&t!==o.Redo&&this._cursors.startTrackingSelections(),this._emitStateChangedIfNecessary(e,s,r)&&this._revealRange(0,0,!0,0)}else this._isDoingComposition=!0},t.prototype._interpretCompositionEnd=function(e){this._isDoingComposition||"keyboard"!==e||this._executeEditOperation(d.TypeOperations.compositionEndWithInterceptors(this._prevEditOperationType,this.context.config,this.context.model,this.getSelections()))},t.prototype._type=function(e,t){
if(this._isDoingComposition||"keyboard"!==e)this._executeEditOperation(d.TypeOperations.typeWithoutInterceptors(this._prevEditOperationType,this.context.config,this.context.model,this.getSelections(),t));else for(var n=0,i=t.length;n<i;n++){var o=t.charCodeAt(n),r=void 0;s.isHighSurrogate(o)&&n+1<i?(r=t.charAt(n)+t.charAt(n+1),n++):r=t.charAt(n),this._executeEditOperation(d.TypeOperations.typeWithInterceptors(this._prevEditOperationType,this.context.config,this.context.model,this.getSelections(),r))}},t.prototype._replacePreviousChar=function(e,t){this._executeEditOperation(d.TypeOperations.replacePreviousChar(this._prevEditOperationType,this.context.config,this.context.model,this.getSelections(),e,t))},t.prototype._paste=function(e,t,n){this._executeEditOperation(d.TypeOperations.paste(this.context.config,this.context.model,this.getSelections(),e,t,n))},t.prototype._cut=function(){this._executeEditOperation(u.DeleteOperations.cut(this.context.config,this.context.model,this.getSelections()))},
t.prototype._externalExecuteCommand=function(e){this._cursors.killSecondaryCursors(),this._executeEditOperation(new l.EditOperationResult(0,[e],{shouldPushStackElementBefore:!1,shouldPushStackElementAfter:!1}))},t.prototype._externalExecuteCommands=function(e){this._executeEditOperation(new l.EditOperationResult(0,e,{shouldPushStackElementBefore:!1,shouldPushStackElementAfter:!1}))},t.MAX_CURSOR_COUNT=1e4,t}(f.ViewEventEmitter);t.Cursor=v;var _=function(){function e(){}return e.executeCommands=function(e,t,n){for(var i={model:e,selectionsBefore:t,trackedRanges:[],trackedRangesDirection:[]},o=this._innerExecuteCommands(i,n),r=0,s=i.trackedRanges.length;r<s;r++)i.model._setTrackedRange(i.trackedRanges[r],null,0);return o},e._innerExecuteCommands=function(e,t){if(this._arrayIsEmpty(t))return null;var n=this._getEditOperations(e,t);if(0===n.operations.length)return null;var i=n.operations,o=this._getLoserCursorMap(i);if(o.hasOwnProperty("0"))return console.warn("Ignoring commands"),null
;for(var r=[],s=0,a=i.length;s<a;s++)o.hasOwnProperty(i[s].identifier.major.toString())||r.push(i[s]);n.hadTrackedEditOperation&&r.length>0&&(r[0]._isTracked=!0);var l=e.model.pushEditOperations(e.selectionsBefore,r,function(n){for(var i=[],o=0;o<e.selectionsBefore.length;o++)i[o]=[];for(o=0;o<n.length;o++){var r=n[o];r.identifier&&i[r.identifier.major].push(r)}for(var s=function(e,t){return e.identifier.minor-t.identifier.minor},a=[],l=function(n){i[n].length>0?(i[n].sort(s),a[n]=t[n].computeCursorState(e.model,{getInverseEditOperations:function(){return i[n]},getTrackedSelection:function(t){var n=parseInt(t,10),i=e.model._getTrackedRange(e.trackedRanges[n]);return 0===e.trackedRangesDirection[n]?new h.Selection(i.startLineNumber,i.startColumn,i.endLineNumber,i.endColumn):new h.Selection(i.endLineNumber,i.endColumn,i.startLineNumber,i.startColumn)}})):a[n]=e.selectionsBefore[n]},o=0;o<e.selectionsBefore.length;o++)l(o);return a});l||(l=e.selectionsBefore);var u=[]
;for(var d in o)o.hasOwnProperty(d)&&u.push(parseInt(d,10));u.sort(function(e,t){return t-e});for(s=0;s<u.length;s++)l.splice(u[s],1);return l},e._arrayIsEmpty=function(e){for(var t=0,n=e.length;t<n;t++)if(e[t])return!1;return!0},e._getEditOperations=function(e,t){for(var n=[],i=!1,o=0,r=t.length;o<r;o++){var s=t[o];if(s){var a=this._getEditOperationsFromCommand(e,o,s);n=n.concat(a.operations),i=i||a.hadTrackedEditOperation}}return{operations:n,hadTrackedEditOperation:i}},e._getEditOperationsFromCommand=function(e,t,o){var r=[],s=0,a=function(e,n){e.isEmpty()&&""===n||r.push({identifier:{major:t,minor:s++},range:e,text:n,forceMoveMarkers:!1,isAutoWhitespaceEdit:o.insertsAutoWhitespace})},l=!1,u={addEditOperation:a,addTrackedEditOperation:function(e,t){l=!0,a(e,t)},trackSelection:function(t,n){var i;if(t.isEmpty())if("boolean"==typeof n)i=n?2:3;else{var o=e.model.getLineMaxColumn(t.startLineNumber);i=t.startColumn===o?2:3}else i=1;var r=e.trackedRanges.length,s=e.model._setTrackedRange(null,t,i)
;return e.trackedRanges[r]=s,e.trackedRangesDirection[r]=t.getDirection(),r.toString()}};try{o.getEditOperations(e.model,u)}catch(e){return e.friendlyMessage=n.localize(0,null),i.onUnexpectedError(e),{operations:[],hadTrackedEditOperation:!1}}return{operations:r,hadTrackedEditOperation:l}},e._getLoserCursorMap=function(e){(e=e.slice(0)).sort(function(e,t){return-c.Range.compareRangesUsingEnds(e.range,t.range)});for(var t={},n=1;n<e.length;n++){var i=e[n-1],o=e[n];if(i.range.getStartPosition().isBefore(o.range.getEndPosition())){var r=void 0;t[(r=i.identifier.major>o.identifier.major?i.identifier.major:o.identifier.major).toString()]=!0;for(var s=0;s<e.length;s++)e[s].identifier.major===r&&(e.splice(s,1),s<n&&n--,s--);n>0&&n--}}return t},e}()}),define(t[190],n([0,1,8,93,51]),function(e,t,n,i,o){"use strict";function r(e,t){return void 0===t&&(t=s),function(e,t){for(var o='<div class="monaco-tokenized-source">',r=e.split(/\r\n|\r|\n/),s=t.getInitialState(),a=0,l=r.length;a<l;a++){var u=r[a];a>0&&(o+="<br/>")
;var d=t.tokenize2(u,s,0);i.LineTokens.convertToEndOffset(d.tokens,u.length);for(var c=new i.LineTokens(d.tokens,u).inflate(),h=0,p=0,f=c.getCount();p<f;p++){var g=c.getClassName(p),m=c.getEndOffset(p);o+='<span class="'+g+'">'+n.escape(u.substring(h,m))+"</span>",h=m}s=d.endState}return o+="</div>"}(e,t||s)}Object.defineProperty(t,"__esModule",{value:!0});var s={getInitialState:function(){return o.NULL_STATE},tokenize2:function(e,t,n){return o.nullTokenize2(0,e,t,n)}};t.tokenizeToString=r,t.tokenizeLineToHTML=function(e,t,n,i,o,r){for(var s="<div>",a=i,l=0,u=0,d=t.getCount();u<d;u++){var c=t.getEndOffset(u);if(!(c<=i)){for(var h="";a<c&&a<o;a++){var p=e.charCodeAt(a);switch(p){case 9:var f=r-(a+l)%r;for(l+=f-1;f>0;)h+="&nbsp;",f--;break;case 60:h+="&lt;";break;case 62:h+="&gt;";break;case 38:h+="&amp;";break;case 0:h+="&#00;";break;case 65279:case 8232:h+="�";break;case 13:h+="&#8203";break;default:h+=String.fromCharCode(p)}}if(s+='<span style="'+t.getInlineStyle(u,n)+'">'+h+"</span>",c>o||a>=o)break}}
return s+="</div>"}}),define(t[92],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ITextModelService=n.createDecorator("textModelService")}),define(t[106],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ITextResourceConfigurationService=n.createDecorator("textResourceConfigurationService"),t.ITextResourcePropertiesService=n.createDecorator("textResourcePropertiesService")});var u=this&&this.__param||function(e,t){return function(n,i){t(n,i,e)}};define(t[193],n([0,1,16,2,148,454,14,39,218,42,106]),function(e,t,n,i,r,s,l,d,c,h,p){"use strict";function f(e,t){var n=e.getModel(t);return!!n&&!n.isTooLargeForSyncing()}Object.defineProperty(t,"__esModule",{value:!0});var g=6e4,m=3e5,v=function(e){function t(t,n){var i=e.call(this)||this;return i._modelService=t,i._workerManager=i._register(new y(i._modelService)),i._register(l.LinkProviderRegistry.register("*",{provideLinks:function(e,t){
return f(i._modelService,e.uri)?i._workerManager.withWorker().then(function(t){return t.computeLinks(e.uri)}):Promise.resolve([])}})),i._register(l.CompletionProviderRegistry.register("*",new _(i._workerManager,n,i._modelService))),i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.canComputeDiff=function(e,t){return f(this._modelService,e)&&f(this._modelService,t)},t.prototype.computeDiff=function(e,t,n){return this._workerManager.withWorker().then(function(i){return i.computeDiff(e,t,n)})},t.prototype.computeMoreMinimalEdits=function(e,t){return Array.isArray(t)&&0!==t.length&&f(this._modelService,e)?this._workerManager.withWorker().then(function(n){return n.computeMoreMinimalEdits(e,t)}):Promise.resolve(t)},t.prototype.canNavigateValueSet=function(e){return f(this._modelService,e)},t.prototype.navigateValueSet=function(e,t,n){return this._workerManager.withWorker().then(function(i){return i.navigateValueSet(e,t,n)})},t.prototype.canComputeWordRanges=function(e){
return f(this._modelService,e)},t.prototype.computeWordRanges=function(e,t){return this._workerManager.withWorker().then(function(n){return n.computeWordRanges(e,t)})},t=a([u(0,h.IModelService),u(1,p.ITextResourceConfigurationService)],t)}(i.Disposable);t.EditorWorkerServiceImpl=v;var _=function(){function e(e,t,n){this._workerManager=e,this._configurationService=t,this._modelService=n}return e.prototype.provideCompletionItems=function(e,t){if(this._configurationService.getValue(e.uri,t,"editor").wordBasedSuggestions&&f(this._modelService,e.uri))return this._workerManager.withWorker().then(function(n){return n.textualSuggest(e.uri,t)})},e}(),y=function(e){function t(t){var i=e.call(this)||this;i._modelService=t,i._editorWorkerClient=null;return i._register(new n.IntervalTimer).cancelAndSet(function(){return i._checkStopIdleWorker()},Math.round(m/2)),i._register(i._modelService.onModelRemoved(function(e){return i._checkStopEmptyWorker()})),i}return o(t,e),t.prototype.dispose=function(){
this._editorWorkerClient&&(this._editorWorkerClient.dispose(),this._editorWorkerClient=null),e.prototype.dispose.call(this)},t.prototype._checkStopEmptyWorker=function(){if(this._editorWorkerClient){0===this._modelService.getModels().length&&(this._editorWorkerClient.dispose(),this._editorWorkerClient=null)}},t.prototype._checkStopIdleWorker=function(){if(this._editorWorkerClient){(new Date).getTime()-this._lastWorkerUsedTime>m&&(this._editorWorkerClient.dispose(),this._editorWorkerClient=null)}},t.prototype.withWorker=function(){return this._lastWorkerUsedTime=(new Date).getTime(),this._editorWorkerClient||(this._editorWorkerClient=new S(this._modelService,"editorWorkerService")),Promise.resolve(this._editorWorkerClient)},t}(i.Disposable),C=function(e){function t(t,i,o){var r=e.call(this)||this;if(r._syncedModels=Object.create(null),r._syncedModelsLastUsedTime=Object.create(null),r._proxy=t,r._modelService=i,!o){var s=new n.IntervalTimer;s.cancelAndSet(function(){return r._checkStopModelSync()
},Math.round(g/2)),r._register(s)}return r}return o(t,e),t.prototype.dispose=function(){for(var t in this._syncedModels)i.dispose(this._syncedModels[t]);this._syncedModels=Object.create(null),this._syncedModelsLastUsedTime=Object.create(null),e.prototype.dispose.call(this)},t.prototype.esureSyncedResources=function(e){for(var t=0;t<e.length;t++){var n=e[t],i=n.toString();this._syncedModels[i]||this._beginModelSync(n),this._syncedModels[i]&&(this._syncedModelsLastUsedTime[i]=(new Date).getTime())}},t.prototype._checkStopModelSync=function(){var e=(new Date).getTime(),t=[];for(var n in this._syncedModelsLastUsedTime){e-this._syncedModelsLastUsedTime[n]>g&&t.push(n)}for(var i=0;i<t.length;i++)this._stopModelSync(t[i])},t.prototype._beginModelSync=function(e){var t=this,n=this._modelService.getModel(e);if(n&&!n.isTooLargeForSyncing()){var o=e.toString();this._proxy.acceptNewModel({url:n.uri.toString(),lines:n.getLinesContent(),EOL:n.getEOL(),versionId:n.getVersionId()});var r=[]
;r.push(n.onDidChangeContent(function(e){t._proxy.acceptModelChanged(o.toString(),e)})),r.push(n.onWillDispose(function(){t._stopModelSync(o)})),r.push(i.toDisposable(function(){t._proxy.acceptRemovedModel(o)})),this._syncedModels[o]=r}},t.prototype._stopModelSync=function(e){var t=this._syncedModels[e];delete this._syncedModels[e],delete this._syncedModelsLastUsedTime[e],i.dispose(t)},t}(i.Disposable),b=function(){function e(e){this._instance=e,this._proxyObj=Promise.resolve(this._instance)}return e.prototype.dispose=function(){this._instance.dispose()},e.prototype.getProxyObject=function(){return this._proxyObj},e}(),S=function(e){function t(t,n){var i=e.call(this)||this;return i._modelService=t,i._workerFactory=new s.DefaultWorkerFactory(n),i._worker=null,i._modelManager=null,i}return o(t,e),t.prototype._getOrCreateWorker=function(){if(!this._worker)try{this._worker=this._register(new r.SimpleWorkerClient(this._workerFactory,"vs/editor/common/services/editorSimpleWorker"))}catch(e){
r.logOnceWebWorkerWarning(e),this._worker=new b(new c.EditorSimpleWorkerImpl(null))}return this._worker},t.prototype._getProxy=function(){var e=this;return this._getOrCreateWorker().getProxyObject().then(null,function(t){return r.logOnceWebWorkerWarning(t),e._worker=new b(new c.EditorSimpleWorkerImpl(null)),e._getOrCreateWorker().getProxyObject()})},t.prototype._getOrCreateModelManager=function(e){return this._modelManager||(this._modelManager=this._register(new C(e,this._modelService,!1))),this._modelManager},t.prototype._withSyncedResources=function(e){var t=this;return this._getProxy().then(function(n){return t._getOrCreateModelManager(n).esureSyncedResources(e),n})},t.prototype.computeDiff=function(e,t,n){return this._withSyncedResources([e,t]).then(function(i){return i.computeDiff(e.toString(),t.toString(),n)})},t.prototype.computeMoreMinimalEdits=function(e,t){return this._withSyncedResources([e]).then(function(n){return n.computeMoreMinimalEdits(e.toString(),t)})},t.prototype.computeLinks=function(e){
return this._withSyncedResources([e]).then(function(t){return t.computeLinks(e.toString())})},t.prototype.textualSuggest=function(e,t){var n=this;return this._withSyncedResources([e]).then(function(i){var o=n._modelService.getModel(e);if(!o)return null;var r=d.LanguageConfigurationRegistry.getWordDefinition(o.getLanguageIdentifier().id),s=r.source,a=(r.global?"g":"")+(r.ignoreCase?"i":"")+(r.multiline?"m":"");return i.textualSuggest(e.toString(),t,s,a)})},t.prototype.computeWordRanges=function(e,t){var n=this;return this._withSyncedResources([e]).then(function(i){var o=n._modelService.getModel(e);if(!o)return Promise.resolve(null);var r=d.LanguageConfigurationRegistry.getWordDefinition(o.getLanguageIdentifier().id),s=r.source,a=(r.global?"g":"")+(r.ignoreCase?"i":"")+(r.multiline?"m":"");return i.computeWordRanges(e.toString(),t,s,a)})},t.prototype.navigateValueSet=function(e,t,n){var i=this;return this._withSyncedResources([e]).then(function(o){var r=i._modelService.getModel(e);if(!r)return null
;var s=d.LanguageConfigurationRegistry.getWordDefinition(r.getLanguageIdentifier().id),a=s.source,l=(s.global?"g":"")+(s.ignoreCase?"i":"")+(s.multiline?"m":"");return o.navigateValueSet(e.toString(),t,n,a,l)})},t}(i.Disposable);t.EditorWorkerClient=S}),define(t[385],n([0,1,193]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createWebWorker=function(e,t){return new i(e,t)};var i=function(e){function t(t,n){var i=e.call(this,t,n.label)||this;return i._foreignModuleId=n.moduleId,i._foreignModuleCreateData=n.createData||null,i._foreignProxy=null,i}return o(t,e),t.prototype._getForeignProxy=function(){var e=this;return this._foreignProxy||(this._foreignProxy=this._getProxy().then(function(t){return t.loadForeignModule(e._foreignModuleId,e._foreignModuleCreateData).then(function(n){e._foreignModuleCreateData=null;for(var i=function(e,n){return t.fmr(e,n)},o=function(e,t){return function(){var n=Array.prototype.slice.call(arguments,0);return t(e,n)}
},r={},s=0;s<n.length;s++)r[n[s]]=o(n[s],i);return r})})),this._foreignProxy},t.prototype.getProxy=function(){return this._getForeignProxy()},t.prototype.withSyncedResources=function(e){var t=this;return this._withSyncedResources(e).then(function(e){return t.getProxy()})},t}(n.EditorWorkerClient)}),define(t[107],n([0,1,6,426,14]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(){var e=this;this._onDidChange=new n.Emitter,this.onDidChange=this._onDidChange.event,this._updateColorMap(),o.TokenizationRegistry.onDidChange(function(t){t.changedColorMap&&e._updateColorMap()})}return e.getInstance=function(){return this._INSTANCE||(this._INSTANCE=new e),this._INSTANCE},e.prototype._updateColorMap=function(){var e=o.TokenizationRegistry.getColorMap();if(!e)return this._colors=[i.RGBA8.Empty],void(this._backgroundIsLight=!0);this._colors=[i.RGBA8.Empty];for(var t=1;t<e.length;t++){var n=e[t].rgba;this._colors[t]=new i.RGBA8(n.r,n.g,n.b,Math.round(255*n.a))}
var r=e[2].getRelativeLuminance();this._backgroundIsLight=r>=.5,this._onDidChange.fire(void 0)},e.prototype.getColor=function(e){return(e<1||e>=this._colors.length)&&(e=2),this._colors[e]},e.prototype.backgroundIsLight=function(){return this._backgroundIsLight},e._INSTANCE=null,e}();t.MinimapTokensColorTracker=r;var s=function(){function e(t,n){if(760!==t.length)throw new Error("Invalid x2CharData");if(190!==n.length)throw new Error("Invalid x1CharData");this.x2charData=t,this.x1charData=n,this.x2charDataLight=e.soften(t,.8),this.x1charDataLight=e.soften(n,50/60)}return e.soften=function(e,t){for(var n=new Uint8ClampedArray(e.length),i=0,o=e.length;i<o;i++)n[i]=e[i]*t;return n},e._getChIndex=function(e){return(e-=32)<0&&(e+=95),e%95},e.prototype.x2RenderChar=function(t,n,i,o,r,s,a){if(n+2>t.width||i+4>t.height)console.warn("bad render request outside image data");else{
var l=a?this.x2charDataLight:this.x2charData,u=e._getChIndex(o),d=4*t.width,c=s.r,h=s.g,p=s.b,f=r.r-c,g=r.g-h,m=r.b-p,v=t.data,_=4*u*2,y=i*d+4*n,C=l[_]/255;v[y+0]=c+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C;C=l[_+1]/255;v[y+4]=c+f*C,v[y+5]=h+g*C,v[y+6]=p+m*C,y+=d;C=l[_+2]/255;v[y+0]=c+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C;C=l[_+3]/255;v[y+4]=c+f*C,v[y+5]=h+g*C,v[y+6]=p+m*C,y+=d;C=l[_+4]/255;v[y+0]=c+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C;C=l[_+5]/255;v[y+4]=c+f*C,v[y+5]=h+g*C,v[y+6]=p+m*C,y+=d;C=l[_+6]/255;v[y+0]=c+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C;C=l[_+7]/255;v[y+4]=c+f*C,v[y+5]=h+g*C,v[y+6]=p+m*C}},e.prototype.x1RenderChar=function(t,n,i,o,r,s,a){if(n+1>t.width||i+2>t.height)console.warn("bad render request outside image data");else{var l=a?this.x1charDataLight:this.x1charData,u=e._getChIndex(o),d=4*t.width,c=s.r,h=s.g,p=s.b,f=r.r-c,g=r.g-h,m=r.b-p,v=t.data,_=2*u*1,y=i*d+4*n,C=l[_]/255;v[y+0]=c+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C,y+=d;C=l[_+1]/255;v[y+0]=c+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C}},e.prototype.x2BlockRenderChar=function(e,t,n,i,o,r){
if(t+2>e.width||n+4>e.height)console.warn("bad render request outside image data");else{var s=4*e.width,a=o.r,l=o.g,u=o.b,d=a+.5*(i.r-a),c=l+.5*(i.g-l),h=u+.5*(i.b-u),p=e.data,f=n*s+4*t;p[f+0]=d,p[f+1]=c,p[f+2]=h,p[f+4]=d,p[f+5]=c,p[f+6]=h,p[(f+=s)+0]=d,p[f+1]=c,p[f+2]=h,p[f+4]=d,p[f+5]=c,p[f+6]=h,p[(f+=s)+0]=d,p[f+1]=c,p[f+2]=h,p[f+4]=d,p[f+5]=c,p[f+6]=h,p[(f+=s)+0]=d,p[f+1]=c,p[f+2]=h,p[f+4]=d,p[f+5]=c,p[f+6]=h}},e.prototype.x1BlockRenderChar=function(e,t,n,i,o,r){if(t+1>e.width||n+2>e.height)console.warn("bad render request outside image data");else{var s=4*e.width,a=o.r,l=o.g,u=o.b,d=a+.5*(i.r-a),c=l+.5*(i.g-l),h=u+.5*(i.b-u),p=e.data,f=n*s+4*t;p[f+0]=d,p[f+1]=c,p[f+2]=h,p[(f+=s)+0]=d,p[f+1]=c,p[f+2]=h}},e}();t.MinimapCharRenderer=s}),define(t[387],n([0,1,107]),function(e,t,n){"use strict";function i(e){for(var t=new Uint8ClampedArray(e.length),n=0,i=e.length;n<i;n++)t[n]=e[n];return t}Object.defineProperty(t,"__esModule",{value:!0});var o=null;t.getOrCreateMinimapCharRenderer=function(){if(!o){var e=i(s)
;s=null;var t=i(r);r=null,o=new n.MinimapCharRenderer(t,e)}return o}
;var r=[0,0,0,0,0,0,0,0,39,14,39,14,14,5,29,10,96,96,29,29,0,0,0,0,49,113,195,214,227,166,135,42,40,29,194,38,75,148,197,187,145,0,160,61,75,143,2,183,138,58,163,6,177,223,197,227,38,13,11,4,0,0,0,0,10,54,52,8,62,4,71,122,73,2,19,40,10,50,155,36,79,70,145,121,7,5,0,0,2,1,36,12,204,166,16,5,0,0,0,0,1,0,154,34,0,0,0,0,96,83,0,0,0,0,0,0,0,0,46,34,0,82,2,56,53,3,146,0,146,119,152,132,152,131,145,119,170,42,15,42,15,42,172,194,131,132,0,139,80,28,227,143,159,135,15,118,11,126,171,144,20,124,88,106,217,196,0,106,189,92,168,43,5,130,164,133,130,115,183,65,134,120,141,141,170,196,2,106,31,32,105,2,145,130,116,114,132,135,138,140,138,113,147,137,81,183,129,94,0,0,21,16,4,3,46,34,0,0,45,34,1,0,160,49,0,0,43,143,203,23,1,76,0,0,38,28,131,96,38,28,0,0,168,31,29,191,98,0,118,139,5,113,45,13,37,6,97,115,161,179,204,105,223,224,83,52,111,100,184,186,120,132,212,145,180,139,174,161,212,182,104,162,131,0,131,0,104,161,219,120,110,116,110,116,219,120,207,154,163,40,147,22,207,154,202,159,161,47,145,23,111,0,139,154,144,30,144,135,139,187,110,110,168,161,150,145,110,110,185,162,43,16,43,16,185,162,73,129,0,110,0,110,191,87,149,149,236,48,195,91,146,149,146,0,146,0,146,0,187,173,200,201,222,215,172,147,95,95,193,97,224,129,159,206,97,192,155,139,153,115,153,115,156,140,189,158,123,136,190,64,111,0,155,139,153,115,153,114,156,241,197,148,150,152,170,116,110,157,156,128,169,14,13,159,158,149,212,189,43,16,43,16,43,16,148,110,148,110,147,109,182,151,133,121,106,118,114,103,89,66,94,94,211,188,205,207,139,168,151,152,87,76,101,79,151,152,130,156,125,116,47,29,43,16,169,228,11,103,120,6,230,176,55,49,55,6,55,6,193,102,92,0,71,0,13,30,0,147,63,43,12,43,12,43,142,152,71,53,61,61,0,0,0,0,0,0,0,0,0,0,158,146,25,2,0,0,0,0,0,0,0,0,107,130,170,194,176,188,109,0,203,159,113,111,202,158,0,0,135,135,114,0,136,135,0,109,187,190,148,126,177,187,0,0,149,130,218,105,169,135,37,113,146,113,49,13,49,13,0,0,178,195,147,114,255,255,109,0,193,149,110,109,109,109,12,15,125,41,33,41,144,188,1,6,75,53,10,53,210,161,110,0,152,148,210,60,110,156,213,5,63,5,63,5,45,111,0,0,232,172,190,168,190,169,0,0,190,144,109,109,109,109,0,0,168,140,148,111,168,140,0,0,200,151,113,110,255,158,0,0,184,188,147,139,186,255,0,0,122,130,111,0,109,0,0,0,132,69,109,93,110,136,51,5,205,103,61,6,47,106,0,0,110,109,110,122,155,179,0,0,132,120,113,114,84,63,0,0,124,108,202,189,160,174,0,0,144,142,79,57,159,146,0,0,138,138,119,117,255,69,0,0,97,198,47,38,208,84,23,112,41,14,157,7,121,192,35,11,35,11,35,11,160,61,129,9,40,19,20,139,236,44,0,0,15,3,97,93,0,0],s=[0,0,23,12,53,0,130,127,58,149,67,77,72,198,13,0,25,51,25,49,94,2,8,64,0,24,0,21,0,9,19,27,126,126,51,80,72,105,87,98,73,93,106,85,111,123,87,30,116,126,123,110,4,16,9,28,21,53,8,62,23,52,73,21,132,183,78,142,168,175,70,70,128,128,123,110,125,43,100,139,125,119,78,78,54,77,139,139,33,87,201,117,162,149,130,130,138,60,130,172,149,127,95,98,95,25,118,135,110,85,147,175,105,110,121,30,101,113,34,68,20,26,34,68,56,0,0,44,3,0,27,175,80,133,31,66,85,147,32,150,90,25,45,230,77,101,36,83,22,84,71,118,44,44,52,172,38,101,35,130,40,197,43,197,29,26,23,103,67,44,25,129,29,85,27,177,33,97,32,145,33,77,38,96,20,55,36,95,2,22]
}),define(t[195],n([0,1,12,3,26,69,131,59]),function(e,t,n,i,o,r,s,a){"use strict";function l(e,t,n,i,o,r,s){var a=e.createLineMapping(t,n,i,o,r);return null===a?s?h.INSTANCE:p.INSTANCE:new f(a,s)}Object.defineProperty(t,"__esModule",{value:!0});var u=function(){return function(e,t){this.outputLineIndex=e,this.outputOffset=t}}();t.OutputPosition=u;var d=function(){function e(e){this._lines=e}return e.prototype.convertViewPositionToModelPosition=function(e){return this._lines.convertViewPositionToModelPosition(e.lineNumber,e.column)},e.prototype.convertViewRangeToModelRange=function(e){var t=this._lines.convertViewPositionToModelPosition(e.startLineNumber,e.startColumn),n=this._lines.convertViewPositionToModelPosition(e.endLineNumber,e.endColumn);return new i.Range(t.lineNumber,t.column,n.lineNumber,n.column)},e.prototype.validateViewPosition=function(e,t){return this._lines.validateViewPosition(e.lineNumber,e.column,t)},e.prototype.validateViewRange=function(e,t){
var n=this._lines.validateViewPosition(e.startLineNumber,e.startColumn,t.getStartPosition()),o=this._lines.validateViewPosition(e.endLineNumber,e.endColumn,t.getEndPosition());return new i.Range(n.lineNumber,n.column,o.lineNumber,o.column)},e.prototype.convertModelPositionToViewPosition=function(e){return this._lines.convertModelPositionToViewPosition(e.lineNumber,e.column)},e.prototype.convertModelRangeToViewRange=function(e){var t=this._lines.convertModelPositionToViewPosition(e.startLineNumber,e.startColumn),n=this._lines.convertModelPositionToViewPosition(e.endLineNumber,e.endColumn);return new i.Range(t.lineNumber,t.column,n.lineNumber,n.column)},e.prototype.modelPositionIsVisible=function(e){return this._lines.modelPositionIsVisible(e.lineNumber,e.column)},e}();t.CoordinatesConverter=d;var c=function(){function e(e,t,n,i,o,r){this.model=e,this._validModelVersionId=-1,this.tabSize=n,this.wrappingColumn=i,this.columnsForFullWidthChar=o,this.wrappingIndent=r,this.linePositionMapperFactory=t,
this._constructLines(!0)}return e.prototype.dispose=function(){this.hiddenAreasIds=this.model.deltaDecorations(this.hiddenAreasIds,[])},e.prototype.createCoordinatesConverter=function(){return new d(this)},e.prototype._ensureValidState=function(){if(this.model.getVersionId()!==this._validModelVersionId)throw new Error("ViewModel is out of sync with Model!");this.lines.length!==this.model.getLineCount()&&this._constructLines(!1)},e.prototype._constructLines=function(e){var t=this;this.lines=[],e&&(this.hiddenAreasIds=[]);for(var n=this.model.getLinesContent(),o=n.length,r=new Uint32Array(o),a=this.hiddenAreasIds.map(function(e){return t.model.getDecorationRange(e)}).sort(i.Range.compareRangesUsingStarts),u=1,d=0,c=-1,h=c+1<a.length?d+1:o+2,p=0;p<o;p++){var f=p+1;f===h&&(u=a[++c].startLineNumber,d=a[c].endLineNumber,h=c+1<a.length?d+1:o+2);var g=f>=u&&f<=d,m=l(this.linePositionMapperFactory,n[p],this.tabSize,this.wrappingColumn,this.columnsForFullWidthChar,this.wrappingIndent,!g);r[p]=m.getViewLineCount(),
this.lines[p]=m}this._validModelVersionId=this.model.getVersionId(),this.prefixSumComputer=new s.PrefixSumComputerWithCache(r)},e.prototype.getHiddenAreas=function(){var e=this;return this.hiddenAreasIds.map(function(t){return e.model.getDecorationRange(t)})},e.prototype._reduceRanges=function(e){var t=this;if(0===e.length)return[];for(var n=e.map(function(e){return t.model.validateRange(e)}).sort(i.Range.compareRangesUsingStarts),o=[],r=n[0].startLineNumber,s=n[0].endLineNumber,a=1,l=n.length;a<l;a++){var u=n[a];u.startLineNumber>s+1?(o.push(new i.Range(r,1,s,1)),r=u.startLineNumber,s=u.endLineNumber):u.endLineNumber>s&&(s=u.endLineNumber)}return o.push(new i.Range(r,1,s,1)),o},e.prototype.setHiddenAreas=function(e){var t=this,n=this._reduceRanges(e),r=this.hiddenAreasIds.map(function(e){return t.model.getDecorationRange(e)}).sort(i.Range.compareRangesUsingStarts);if(n.length===r.length){for(var s=!1,a=0;a<n.length;a++)if(!n[a].equalsRange(r[a])){s=!0;break}if(!s)return!1}
for(var l=[],a=0;a<n.length;a++)l.push({range:n[a],options:o.ModelDecorationOptions.EMPTY});this.hiddenAreasIds=this.model.deltaDecorations(this.hiddenAreasIds,l);for(var u=n,d=1,c=0,h=-1,p=h+1<u.length?c+1:this.lines.length+2,f=!1,a=0;a<this.lines.length;a++){var g=a+1;g===p&&(d=u[++h].startLineNumber,c=u[h].endLineNumber,p=h+1<u.length?c+1:this.lines.length+2);var m=!1;if(g>=d&&g<=c?this.lines[a].isVisible()&&(this.lines[a]=this.lines[a].setVisible(!1),m=!0):(f=!0,this.lines[a].isVisible()||(this.lines[a]=this.lines[a].setVisible(!0),m=!0)),m){var v=this.lines[a].getViewLineCount();this.prefixSumComputer.changeValue(a,v)}}return f||this.setHiddenAreas([]),!0},e.prototype.modelPositionIsVisible=function(e,t){return!(e<1||e>this.lines.length)&&this.lines[e-1].isVisible()},e.prototype.setTabSize=function(e){return this.tabSize!==e&&(this.tabSize=e,this._constructLines(!1),!0)},e.prototype.setWrappingSettings=function(e,t,n){
return(this.wrappingIndent!==e||this.wrappingColumn!==t||this.columnsForFullWidthChar!==n)&&(this.wrappingIndent=e,this.wrappingColumn=t,this.columnsForFullWidthChar=n,this._constructLines(!1),!0)},e.prototype.onModelFlushed=function(){this._constructLines(!0)},e.prototype.onModelLinesDeleted=function(e,t,n){if(e<=this._validModelVersionId)return null;var i=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1,o=this.prefixSumComputer.getAccumulatedValue(n-1);return this.lines.splice(t-1,n-t+1),this.prefixSumComputer.removeValues(t-1,n-t+1),new r.ViewLinesDeletedEvent(i,o)},e.prototype.onModelLinesInserted=function(e,t,i,o){if(e<=this._validModelVersionId)return null;for(var s=this.getHiddenAreas(),a=!1,u=new n.Position(t,1),d=0;d<s.length;d++)if(s[d].containsPosition(u)){a=!0;break}for(var c=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1,h=0,p=[],f=new Uint32Array(o.length),d=0,g=o.length;d<g;d++){
var m=l(this.linePositionMapperFactory,o[d],this.tabSize,this.wrappingColumn,this.columnsForFullWidthChar,this.wrappingIndent,!a);p.push(m);var v=m.getViewLineCount();h+=v,f[d]=v}return this.lines=this.lines.slice(0,t-1).concat(p).concat(this.lines.slice(t-1)),this.prefixSumComputer.insertValues(t-1,f),new r.ViewLinesInsertedEvent(c,c+h-1)},e.prototype.onModelLineChanged=function(e,t,n){if(e<=this._validModelVersionId)return[!1,null,null,null];var i=t-1,o=this.lines[i].getViewLineCount(),s=this.lines[i].isVisible(),a=l(this.linePositionMapperFactory,n,this.tabSize,this.wrappingColumn,this.columnsForFullWidthChar,this.wrappingIndent,s);this.lines[i]=a;var u=this.lines[i].getViewLineCount(),d=!1,c=0,h=-1,p=0,f=-1,g=0,m=-1;o>u?(m=(g=(h=(c=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1)+u-1)+1)+(o-u)-1,d=!0):o<u?(f=(p=(h=(c=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1)+o-1)+1)+(u-o)-1,d=!0):h=(c=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1)+u-1,
this.prefixSumComputer.changeValue(i,u);return[d,c<=h?new r.ViewLinesChangedEvent(c,h):null,p<=f?new r.ViewLinesInsertedEvent(p,f):null,g<=m?new r.ViewLinesDeletedEvent(g,m):null]},e.prototype.acceptVersionId=function(e){this._validModelVersionId=e,1!==this.lines.length||this.lines[0].isVisible()||this.setHiddenAreas([])},e.prototype.getViewLineCount=function(){return this._ensureValidState(),this.prefixSumComputer.getTotalValue()},e.prototype._toValidViewLineNumber=function(e){if(e<1)return 1;var t=this.getViewLineCount();return e>t?t:e},e.prototype.warmUpLookupCache=function(e,t){this.prefixSumComputer.warmUpCache(e-1,t-1)},e.prototype.getActiveIndentGuide=function(e,t,n){this._ensureValidState(),e=this._toValidViewLineNumber(e),t=this._toValidViewLineNumber(t),n=this._toValidViewLineNumber(n)
;var i=this.convertViewPositionToModelPosition(e,this.getViewLineMinColumn(e)),o=this.convertViewPositionToModelPosition(t,this.getViewLineMinColumn(t)),r=this.convertViewPositionToModelPosition(n,this.getViewLineMinColumn(n)),s=this.model.getActiveIndentGuide(i.lineNumber,o.lineNumber,r.lineNumber),a=this.convertModelPositionToViewPosition(s.startLineNumber,1),l=this.convertModelPositionToViewPosition(s.endLineNumber,this.model.getLineMaxColumn(s.endLineNumber));return{startLineNumber:a.lineNumber,endLineNumber:l.lineNumber,indent:s.indent}},e.prototype.getViewLinesIndentGuides=function(e,t){this._ensureValidState(),e=this._toValidViewLineNumber(e),t=this._toValidViewLineNumber(t);for(var i=this.convertViewPositionToModelPosition(e,this.getViewLineMinColumn(e)),o=this.convertViewPositionToModelPosition(t,this.getViewLineMaxColumn(t)),r=[],s=[],a=[],l=i.lineNumber-1,u=o.lineNumber-1,d=null,c=l;c<=u;c++){var h=this.lines[c];if(h.isVisible()){
var p=h.getViewLineNumberOfModelPosition(0,c===l?i.column:1),f=h.getViewLineNumberOfModelPosition(0,this.model.getLineMaxColumn(c+1)),g=0;(S=f-p+1)>1&&1===h.getViewLineMinColumn(this.model,c+1,f)&&(g=0===p?1:2),s.push(S),a.push(g),null===d&&(d=new n.Position(c+1,0))}else null!==d&&(r=r.concat(this.model.getLinesIndentGuides(d.lineNumber,c)),d=null)}null!==d&&(r=r.concat(this.model.getLinesIndentGuides(d.lineNumber,o.lineNumber)),d=null);for(var m=t-e+1,v=new Array(m),_=0,y=0,C=r.length;y<C;y++){var b=r[y],S=Math.min(m-_,s[y]),w=void 0;w=2===(g=a[y])?0:1===g?1:S;for(var E=0;E<S;E++)E===w&&(b=0),v[_++]=b}return v},e.prototype.getViewLineContent=function(e){this._ensureValidState(),e=this._toValidViewLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,i=t.remainder;return this.lines[n].getViewLineContent(this.model,n+1,i)},e.prototype.getViewLineLength=function(e){this._ensureValidState(),e=this._toValidViewLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,i=t.remainder
;return this.lines[n].getViewLineLength(this.model,n+1,i)},e.prototype.getViewLineMinColumn=function(e){this._ensureValidState(),e=this._toValidViewLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,i=t.remainder;return this.lines[n].getViewLineMinColumn(this.model,n+1,i)},e.prototype.getViewLineMaxColumn=function(e){this._ensureValidState(),e=this._toValidViewLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,i=t.remainder;return this.lines[n].getViewLineMaxColumn(this.model,n+1,i)},e.prototype.getViewLineData=function(e){this._ensureValidState(),e=this._toValidViewLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,i=t.remainder;return this.lines[n].getViewLineData(this.model,n+1,i)},e.prototype.getViewLinesData=function(e,t,n){this._ensureValidState(),e=this._toValidViewLineNumber(e),t=this._toValidViewLineNumber(t);for(var i=this.prefixSumComputer.getIndexOf(e-1),o=e,r=i.index,s=i.remainder,a=[],l=r,u=this.model.getLineCount();l<u;l++){
var d=this.lines[l];if(d.isVisible()){var c=l===r?s:0,h=d.getViewLineCount()-c,p=!1;o+h>t&&(p=!0,h=t-o+1);var f=c+h;if(d.getViewLinesData(this.model,l+1,c,f,o-e,n,a),o+=h,p)break}}return a},e.prototype.validateViewPosition=function(e,t,i){this._ensureValidState(),e=this._toValidViewLineNumber(e);var o=this.prefixSumComputer.getIndexOf(e-1),r=o.index,s=o.remainder,a=this.lines[r],l=a.getViewLineMinColumn(this.model,r+1,s),u=a.getViewLineMaxColumn(this.model,r+1,s);t<l&&(t=l),t>u&&(t=u);var d=a.getModelColumnOfViewPosition(s,t);return this.model.validatePosition(new n.Position(r+1,d)).equals(i)?new n.Position(e,t):this.convertModelPositionToViewPosition(i.lineNumber,i.column)},e.prototype.convertViewPositionToModelPosition=function(e,t){this._ensureValidState(),e=this._toValidViewLineNumber(e);var i=this.prefixSumComputer.getIndexOf(e-1),o=i.index,r=i.remainder,s=this.lines[o].getModelColumnOfViewPosition(r,t);return this.model.validatePosition(new n.Position(o+1,s))},
e.prototype.convertModelPositionToViewPosition=function(e,t){this._ensureValidState();for(var i=this.model.validatePosition(new n.Position(e,t)),o=i.lineNumber,r=i.column,s=o-1,a=!1;s>0&&!this.lines[s].isVisible();)s--,a=!0;if(0===s&&!this.lines[s].isVisible())return new n.Position(1,1);var l=1+(0===s?0:this.prefixSumComputer.getAccumulatedValue(s-1));return a?this.lines[s].getViewPositionOfModelPosition(l,this.model.getLineMaxColumn(s+1)):this.lines[o-1].getViewPositionOfModelPosition(l,r)},e.prototype._getViewLineNumberForModelPosition=function(e,t){var n=e-1;if(this.lines[n].isVisible()){var i=1+(0===n?0:this.prefixSumComputer.getAccumulatedValue(n-1));return this.lines[n].getViewLineNumberOfModelPosition(i,t)}for(;n>0&&!this.lines[n].isVisible();)n--;if(0===n&&!this.lines[n].isVisible())return 1;var o=1+(0===n?0:this.prefixSumComputer.getAccumulatedValue(n-1));return this.lines[n].getViewLineNumberOfModelPosition(o,this.model.getLineMaxColumn(n+1))},
e.prototype.getAllOverviewRulerDecorations=function(e,t,n){for(var i=this.model.getOverviewRulerDecorations(e,t),o=new v,r=0,s=i.length;r<s;r++){var a=i[r],l=a.options.overviewRuler,u=l?l.position:0;if(0!==u){var d=l.getColor(n),c=this._getViewLineNumberForModelPosition(a.range.startLineNumber,a.range.startColumn),h=this._getViewLineNumberForModelPosition(a.range.endLineNumber,a.range.endColumn);o.accept(d,c,h,u)}}return o.result},e.prototype.getDecorationsInRange=function(e,t,o){var r=this.convertViewPositionToModelPosition(e.startLineNumber,e.startColumn),s=this.convertViewPositionToModelPosition(e.endLineNumber,e.endColumn);if(s.lineNumber-r.lineNumber<=e.endLineNumber-e.startLineNumber)return this.model.getDecorationsInRange(new i.Range(r.lineNumber,1,s.lineNumber,s.column),t,o);for(var a=[],l=r.lineNumber-1,u=s.lineNumber-1,d=null,c=l;c<=u;c++){if(this.lines[c].isVisible())null===d&&(d=new n.Position(c+1,c===l?r.column:1));else if(null!==d){var h=this.model.getLineMaxColumn(c)
;a=a.concat(this.model.getDecorationsInRange(new i.Range(d.lineNumber,d.column,c,h),t,o)),d=null}}null!==d&&(a=a.concat(this.model.getDecorationsInRange(new i.Range(d.lineNumber,d.column,s.lineNumber,s.column),t,o)),d=null),a.sort(function(e,t){var n=i.Range.compareRangesUsingStarts(e.range,t.range);return 0===n?e.id<t.id?-1:e.id>t.id?1:0:n});for(var p=[],f=0,g=null,m=0,v=a.length;m<v;m++){var _=a[m],y=_.id;g!==y&&(g=y,p[f++]=_)}return p},e}();t.SplitLinesCollection=c;var h=function(){function e(){}return e.prototype.isVisible=function(){return!0},e.prototype.setVisible=function(e){return e?this:p.INSTANCE},e.prototype.getViewLineCount=function(){return 1},e.prototype.getViewLineContent=function(e,t,n){return e.getLineContent(t)},e.prototype.getViewLineLength=function(e,t,n){return e.getLineLength(t)},e.prototype.getViewLineMinColumn=function(e,t,n){return e.getLineMinColumn(t)},e.prototype.getViewLineMaxColumn=function(e,t,n){return e.getLineMaxColumn(t)},e.prototype.getViewLineData=function(e,t,n){
var i=e.getLineTokens(t),o=i.getLineContent();return new a.ViewLineData(o,!1,1,o.length+1,i.inflate())},e.prototype.getViewLinesData=function(e,t,n,i,o,r,s){r[o]?s[o]=this.getViewLineData(e,t,0):s[o]=null},e.prototype.getModelColumnOfViewPosition=function(e,t){return t},e.prototype.getViewPositionOfModelPosition=function(e,t){return new n.Position(e,t)},e.prototype.getViewLineNumberOfModelPosition=function(e,t){return e},e.INSTANCE=new e,e}(),p=function(){function e(){}return e.prototype.isVisible=function(){return!1},e.prototype.setVisible=function(e){return e?h.INSTANCE:this},e.prototype.getViewLineCount=function(){return 0},e.prototype.getViewLineContent=function(e,t,n){throw new Error("Not supported")},e.prototype.getViewLineLength=function(e,t,n){throw new Error("Not supported")},e.prototype.getViewLineMinColumn=function(e,t,n){throw new Error("Not supported")},e.prototype.getViewLineMaxColumn=function(e,t,n){throw new Error("Not supported")},e.prototype.getViewLineData=function(e,t,n){
throw new Error("Not supported")},e.prototype.getViewLinesData=function(e,t,n,i,o,r,s){throw new Error("Not supported")},e.prototype.getModelColumnOfViewPosition=function(e,t){throw new Error("Not supported")},e.prototype.getViewPositionOfModelPosition=function(e,t){throw new Error("Not supported")},e.prototype.getViewLineNumberOfModelPosition=function(e,t){throw new Error("Not supported")},e.INSTANCE=new e,e}(),f=function(){function e(e,t){this.positionMapper=e,this.wrappedIndent=this.positionMapper.getWrappedLinesIndent(),this.wrappedIndentLength=this.wrappedIndent.length,this.outputLineCount=this.positionMapper.getOutputLineCount(),this._isVisible=t}return e.prototype.isVisible=function(){return this._isVisible},e.prototype.setVisible=function(e){return this._isVisible=e,this},e.prototype.getViewLineCount=function(){return this._isVisible?this.outputLineCount:0},e.prototype.getInputStartOffsetOfOutputLineIndex=function(e){return this.positionMapper.getInputOffsetOfOutputPosition(e,0)},
e.prototype.getInputEndOffsetOfOutputLineIndex=function(e,t,n){return n+1===this.outputLineCount?e.getLineMaxColumn(t)-1:this.positionMapper.getInputOffsetOfOutputPosition(n+1,0)},e.prototype.getViewLineContent=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");var i=this.getInputStartOffsetOfOutputLineIndex(n),o=this.getInputEndOffsetOfOutputLineIndex(e,t,n),r=e.getValueInRange({startLineNumber:t,startColumn:i+1,endLineNumber:t,endColumn:o+1});return n>0&&(r=this.wrappedIndent+r),r},e.prototype.getViewLineLength=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");var i=this.getInputStartOffsetOfOutputLineIndex(n),o=this.getInputEndOffsetOfOutputLineIndex(e,t,n)-i;return n>0&&(o=this.wrappedIndent.length+o),o},e.prototype.getViewLineMinColumn=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");return n>0?this.wrappedIndentLength+1:1},e.prototype.getViewLineMaxColumn=function(e,t,n){if(!this._isVisible)throw new Error("Not supported")
;return this.getViewLineContent(e,t,n).length+1},e.prototype.getViewLineData=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");var i=this.getInputStartOffsetOfOutputLineIndex(n),o=this.getInputEndOffsetOfOutputLineIndex(e,t,n),r=e.getValueInRange({startLineNumber:t,startColumn:i+1,endLineNumber:t,endColumn:o+1});n>0&&(r=this.wrappedIndent+r);var s=n>0?this.wrappedIndentLength+1:1,l=r.length+1,u=n+1<this.getViewLineCount(),d=0;n>0&&(d=this.wrappedIndentLength);var c=e.getLineTokens(t);return new a.ViewLineData(r,u,s,l,c.sliceAndInflate(i,o,d))},e.prototype.getViewLinesData=function(e,t,n,i,o,r,s){if(!this._isVisible)throw new Error("Not supported");for(var a=n;a<i;a++){var l=o+a-n;r[l]?s[l]=this.getViewLineData(e,t,a):s[l]=null}},e.prototype.getModelColumnOfViewPosition=function(e,t){if(!this._isVisible)throw new Error("Not supported");var n=t-1;return e>0&&(n<this.wrappedIndentLength?n=0:n-=this.wrappedIndentLength),this.positionMapper.getInputOffsetOfOutputPosition(e,n)+1},
e.prototype.getViewPositionOfModelPosition=function(e,t){if(!this._isVisible)throw new Error("Not supported");var i=this.positionMapper.getOutputPositionOfInputOffset(t-1),o=i.outputLineIndex,r=i.outputOffset+1;return o>0&&(r+=this.wrappedIndentLength),new n.Position(e+o,r)},e.prototype.getViewLineNumberOfModelPosition=function(e,t){if(!this._isVisible)throw new Error("Not supported");return e+this.positionMapper.getOutputPositionOfInputOffset(t-1).outputLineIndex},e}();t.SplitLine=f;var g=function(){function e(e){this._lines=e}return e.prototype._validPosition=function(e){return this._lines.model.validatePosition(e)},e.prototype._validRange=function(e){return this._lines.model.validateRange(e)},e.prototype.convertViewPositionToModelPosition=function(e){return this._validPosition(e)},e.prototype.convertViewRangeToModelRange=function(e){return this._validRange(e)},e.prototype.validateViewPosition=function(e,t){return this._validPosition(t)},e.prototype.validateViewRange=function(e,t){return this._validRange(t)
},e.prototype.convertModelPositionToViewPosition=function(e){return this._validPosition(e)},e.prototype.convertModelRangeToViewRange=function(e){return this._validRange(e)},e.prototype.modelPositionIsVisible=function(e){var t=this._lines.model.getLineCount();return!(e.lineNumber<1||e.lineNumber>t)},e}();t.IdentityCoordinatesConverter=g;var m=function(){function e(e){this.model=e}return e.prototype.dispose=function(){},e.prototype.createCoordinatesConverter=function(){return new g(this)},e.prototype.getHiddenAreas=function(){return[]},e.prototype.setHiddenAreas=function(e){return!1},e.prototype.setTabSize=function(e){return!1},e.prototype.setWrappingSettings=function(e,t,n){return!1},e.prototype.onModelFlushed=function(){},e.prototype.onModelLinesDeleted=function(e,t,n){return new r.ViewLinesDeletedEvent(t,n)},e.prototype.onModelLinesInserted=function(e,t,n,i){return new r.ViewLinesInsertedEvent(t,n)},e.prototype.onModelLineChanged=function(e,t,n){return[!1,new r.ViewLinesChangedEvent(t,t),null,null]},
e.prototype.acceptVersionId=function(e){},e.prototype.getViewLineCount=function(){return this.model.getLineCount()},e.prototype.warmUpLookupCache=function(e,t){},e.prototype.getActiveIndentGuide=function(e,t,n){return{startLineNumber:e,endLineNumber:e,indent:0}},e.prototype.getViewLinesIndentGuides=function(e,t){for(var n=t-e+1,i=new Array(n),o=0;o<n;o++)i[o]=0;return i},e.prototype.getViewLineContent=function(e){return this.model.getLineContent(e)},e.prototype.getViewLineLength=function(e){return this.model.getLineLength(e)},e.prototype.getViewLineMinColumn=function(e){return this.model.getLineMinColumn(e)},e.prototype.getViewLineMaxColumn=function(e){return this.model.getLineMaxColumn(e)},e.prototype.getViewLineData=function(e){var t=this.model.getLineTokens(e),n=t.getLineContent();return new a.ViewLineData(n,!1,1,n.length+1,t.inflate())},e.prototype.getViewLinesData=function(e,t,n){var i=this.model.getLineCount();e=Math.min(Math.max(1,e),i),t=Math.min(Math.max(1,t),i);for(var o=[],r=e;r<=t;r++){var s=r-e
;n[s]||(o[s]=null),o[s]=this.getViewLineData(r)}return o},e.prototype.getAllOverviewRulerDecorations=function(e,t,n){for(var i=this.model.getOverviewRulerDecorations(e,t),o=new v,r=0,s=i.length;r<s;r++){var a=i[r],l=a.options.overviewRuler,u=l?l.position:0;if(0!==u){var d=l.getColor(n),c=a.range.startLineNumber,h=a.range.endLineNumber;o.accept(d,c,h,u)}}return o.result},e.prototype.getDecorationsInRange=function(e,t,n){return this.model.getDecorationsInRange(e,t,n)},e}();t.IdentityLinesCollection=m;var v=function(){function e(){this.result=Object.create(null)}return e.prototype.accept=function(e,t,n,i){var o=this.result[e];if(o){var r=o[o.length-3],s=o[o.length-1];if(r===i&&s+1>=t)return void(n>s&&(o[o.length-1]=n));o.push(i,t,n)}else this.result[e]=[i,t,n]},e}()}),define(t[389],n([0,1,8,81,101,131,195]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(e){function t(t,n,i){for(var o=e.call(this,0)||this,r=0;r<t.length;r++)o.set(t.charCodeAt(r),1)
;for(r=0;r<n.length;r++)o.set(n.charCodeAt(r),2);for(r=0;r<i.length;r++)o.set(i.charCodeAt(r),3);return o}return o(t,e),t.prototype.get=function(t){return t>=12352&&t<=12543||t>=13312&&t<=19903||t>=19968&&t<=40959?4:e.prototype.get.call(this,t)},t}(i.CharacterClassifier),u=function(){function e(e,t,n){this.classifier=new l(e,t,n)}return e.nextVisibleColumn=function(e,t,n,i){return e=+e,t=+t,i=+i,n?e+(t-e%t):e+i},e.prototype.createLineMapping=function(t,i,o,a,l){if(-1===o)return null;i=+i,o=+o,a=+a;var u=0,c="",h=-1;if(0!==(l=+l)&&-1!==(h=n.firstNonWhitespaceIndex(t))){c=t.substring(0,h);for(E=0;E<h;E++)u=e.nextVisibleColumn(u,i,9===t.charCodeAt(E),1);var p=0;2===l?p=1:3===l&&(p=2);for(E=0;E<p;E++)c+="\t",u=e.nextVisibleColumn(u,i,!0,1);u+a>o&&(c="",u=0)}for(var f=this.classifier,g=0,m=[],v=0,_=0,y=-1,C=0,b=-1,S=0,w=t.length,E=0;E<w;E++){var L=t.charCodeAt(E),x=9===L,I=f.get(L);if(1===I&&(y=E,C=u),4===I&&E>0){var N=t.charCodeAt(E-1);1!==f.get(N)&&(y=E,C=u)}var D=1;if(n.isFullWidthCharacter(L)&&(D=a),
(_=e.nextVisibleColumn(_,i,x,D))>o&&0!==E){var M=void 0,k=void 0;-1!==y&&C<=o?(M=y,k=C):-1!==b&&S<=o?(M=b,k=S):(M=E,k=u),m[v++]=M-g,g=M,_=e.nextVisibleColumn(k,i,x,D),y=-1,C=0,b=-1,S=0}if(-1!==y&&(C=e.nextVisibleColumn(C,i,x,D)),-1!==b&&(S=e.nextVisibleColumn(S,i,x,D)),2===I&&(0===l||E>=h)&&(y=E+1,C=u),4===I&&E<w-1){var T=t.charCodeAt(E+1);2!==f.get(T)&&(y=E+1,C=u)}3===I&&(b=E+1,S=u)}return 0===v?null:(m[v++]=w-g,new d(new s.PrefixSumComputer(r.toUint32Array(m)),c))},e}();t.CharacterHardWrappingLineMapperFactory=u;var d=function(){function e(e,t){this._prefixSums=e,this._wrappedLinesIndent=t}return e.prototype.getOutputLineCount=function(){return this._prefixSums.getCount()},e.prototype.getWrappedLinesIndent=function(){return this._wrappedLinesIndent},e.prototype.getInputOffsetOfOutputPosition=function(e,t){return 0===e?t:this._prefixSums.getAccumulatedValue(e-1)+t},e.prototype.getOutputPositionOfInputOffset=function(e){var t=this._prefixSums.getIndexOf(e);return new a.OutputPosition(t.index,t.remainder)},e
}();t.CharacterHardWrappingLineMapping=d}),define(t[390],n([0,1,28,8,12,3,14,190,107,69,232,389,195,59,233]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var m=!0,v=function(e){function t(t,n,i,o){var r=e.call(this)||this;if(r.editorId=t,r.configuration=n,r.model=i,r.hasFocus=!1,r.viewportStartLine=-1,r.viewportStartLineTrackedRange=null,r.viewportStartLineDelta=0,m&&r.model.isTooLargeForTokenization())r.lines=new p.IdentityLinesCollection(r.model);else{var s=r.configuration.editor,a=new h.CharacterHardWrappingLineMapperFactory(s.wrappingInfo.wordWrapBreakBeforeCharacters,s.wrappingInfo.wordWrapBreakAfterCharacters,s.wrappingInfo.wordWrapBreakObtrusiveCharacters);r.lines=new p.SplitLinesCollection(r.model,a,r.model.getOptions().tabSize,s.wrappingInfo.wrappingColumn,s.fontInfo.typicalFullwidthCharacterWidth/s.fontInfo.typicalHalfwidthCharacterWidth,s.wrappingInfo.wrappingIndent)}return r.coordinatesConverter=r.lines.createCoordinatesConverter(),
r.viewLayout=r._register(new c.ViewLayout(r.configuration,r.getLineCount(),o)),r._register(r.viewLayout.onDidScroll(function(e){try{r._beginEmit().emit(new d.ViewScrollChangedEvent(e))}finally{r._endEmit()}})),r.decorations=new g.ViewModelDecorations(r.editorId,r.model,r.configuration,r.lines,r.coordinatesConverter),r._registerModelEvents(),r._register(r.configuration.onDidChange(function(e){try{var t=r._beginEmit();r._onConfigurationChanged(t,e)}finally{r._endEmit()}})),r._register(u.MinimapTokensColorTracker.getInstance().onDidChange(function(){try{r._beginEmit().emit(new d.ViewTokensColorsChangedEvent)}finally{r._endEmit()}})),r}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this.decorations.dispose(),this.lines.dispose(),this.viewportStartLineTrackedRange=this.model._setTrackedRange(this.viewportStartLineTrackedRange,null,1)},t.prototype.setHasFocus=function(e){this.hasFocus=e},t.prototype._onConfigurationChanged=function(e,t){var n=null;if(-1!==this.viewportStartLine){
var i=new r.Position(this.viewportStartLine,this.getLineMinColumn(this.viewportStartLine));n=this.coordinatesConverter.convertViewPositionToModelPosition(i)}var o=!1,s=this.configuration.editor;if(this.lines.setWrappingSettings(s.wrappingInfo.wrappingIndent,s.wrappingInfo.wrappingColumn,s.fontInfo.typicalFullwidthCharacterWidth/s.fontInfo.typicalHalfwidthCharacterWidth)&&(e.emit(new d.ViewFlushedEvent),e.emit(new d.ViewLineMappingChangedEvent),e.emit(new d.ViewDecorationsChangedEvent),this.decorations.onLineMappingChanged(),this.viewLayout.onFlushed(this.getLineCount()),0!==this.viewLayout.getCurrentScrollTop()&&(o=!0)),t.readOnly&&(this.decorations.reset(),e.emit(new d.ViewDecorationsChangedEvent)),e.emit(new d.ViewConfigurationChangedEvent(t)),this.viewLayout.onConfigurationChanged(t),o&&n){var a=this.coordinatesConverter.convertModelPositionToViewPosition(n),l=this.viewLayout.getVerticalOffsetForLineNumber(a.lineNumber);this.viewLayout.setScrollPositionNow({scrollTop:l+this.viewportStartLineDelta})}},
t.prototype._registerModelEvents=function(){var e=this;this._register(this.model.onDidChangeRawContentFast(function(t){try{for(var n=e._beginEmit(),i=!1,o=!1,r=t.changes,s=t.versionId,a=0,l=r.length;a<l;a++){var u=r[a];switch(u.changeType){case 1:e.lines.onModelFlushed(),n.emit(new d.ViewFlushedEvent),e.decorations.reset(),e.viewLayout.onFlushed(e.getLineCount()),i=!0;break;case 3:null!==(g=e.lines.onModelLinesDeleted(s,u.fromLineNumber,u.toLineNumber))&&(n.emit(g),e.viewLayout.onLinesDeleted(g.fromLineNumber,g.toLineNumber)),i=!0;break;case 4:null!==(f=e.lines.onModelLinesInserted(s,u.fromLineNumber,u.toLineNumber,u.detail))&&(n.emit(f),e.viewLayout.onLinesInserted(f.fromLineNumber,f.toLineNumber)),i=!0;break;case 2:var c=e.lines.onModelLineChanged(s,u.lineNumber,u.detail),h=c[0],p=c[1],f=c[2],g=c[3];o=h,p&&n.emit(p),f&&(n.emit(f),e.viewLayout.onLinesInserted(f.fromLineNumber,f.toLineNumber)),g&&(n.emit(g),e.viewLayout.onLinesDeleted(g.fromLineNumber,g.toLineNumber))}}e.lines.acceptVersionId(s),
e.viewLayout.onHeightMaybeChanged(),!i&&o&&(n.emit(new d.ViewLineMappingChangedEvent),n.emit(new d.ViewDecorationsChangedEvent),e.decorations.onLineMappingChanged())}finally{e._endEmit()}if(e.viewportStartLine=-1,e.configuration.setMaxLineNumber(e.model.getLineCount()),!e.hasFocus&&e.model.getAttachedEditorCount()>=2&&e.viewportStartLineTrackedRange){var m=e.model._getTrackedRange(e.viewportStartLineTrackedRange);if(m){var v=e.coordinatesConverter.convertModelPositionToViewPosition(m.getStartPosition()),_=e.viewLayout.getVerticalOffsetForLineNumber(v.lineNumber);e.viewLayout.setScrollPositionNow({scrollTop:_+e.viewportStartLineDelta})}}})),this._register(this.model.onDidChangeTokens(function(t){for(var n=[],i=0,o=t.ranges.length;i<o;i++){var s=t.ranges[i],a=e.coordinatesConverter.convertModelPositionToViewPosition(new r.Position(s.fromLineNumber,1)).lineNumber,l=e.coordinatesConverter.convertModelPositionToViewPosition(new r.Position(s.toLineNumber,e.model.getLineMaxColumn(s.toLineNumber))).lineNumber;n[i]={
fromLineNumber:a,toLineNumber:l}}try{e._beginEmit().emit(new d.ViewTokensChangedEvent(n))}finally{e._endEmit()}})),this._register(this.model.onDidChangeLanguageConfiguration(function(t){try{e._beginEmit().emit(new d.ViewLanguageConfigurationEvent)}finally{e._endEmit()}})),this._register(this.model.onDidChangeOptions(function(t){if(e.lines.setTabSize(e.model.getOptions().tabSize)){e.decorations.onLineMappingChanged(),e.viewLayout.onFlushed(e.getLineCount());try{var n=e._beginEmit();n.emit(new d.ViewFlushedEvent),n.emit(new d.ViewLineMappingChangedEvent),n.emit(new d.ViewDecorationsChangedEvent)}finally{e._endEmit()}}})),this._register(this.model.onDidChangeDecorations(function(t){e.decorations.onModelDecorationsChanged();try{e._beginEmit().emit(new d.ViewDecorationsChangedEvent)}finally{e._endEmit()}}))},t.prototype.setHiddenAreas=function(e){try{var t=this._beginEmit();this.lines.setHiddenAreas(e)&&(t.emit(new d.ViewFlushedEvent),t.emit(new d.ViewLineMappingChangedEvent),
t.emit(new d.ViewDecorationsChangedEvent),this.decorations.onLineMappingChanged(),this.viewLayout.onFlushed(this.getLineCount()),this.viewLayout.onHeightMaybeChanged())}finally{this._endEmit()}},t.prototype.getVisibleRanges=function(){var e=this.getCompletelyVisibleViewRange(),t=this.coordinatesConverter.convertViewRangeToModelRange(e),n=this.lines.getHiddenAreas();if(0===n.length)return[t];for(var i=[],o=0,r=t.startLineNumber,a=t.startColumn,l=t.endLineNumber,u=t.endColumn,d=0,c=n.length;d<c;d++){var h=n[d].startLineNumber,p=n[d].endLineNumber;p<r||(h>l||(r<h&&(i[o++]=new s.Range(r,a,h-1,this.model.getLineMaxColumn(h-1))),r=p+1,a=1))}return(r<l||r===l&&a<u)&&(i[o++]=new s.Range(r,a,l,u)),i},t.prototype.getCompletelyVisibleViewRange=function(){var e=this.viewLayout.getLinesViewportData(),t=e.completelyVisibleStartLineNumber,n=e.completelyVisibleEndLineNumber;return new s.Range(t,this.getLineMinColumn(t),n,this.getLineMaxColumn(n))},t.prototype.getCompletelyVisibleViewRangeAtScrollTop=function(e){
var t=this.viewLayout.getLinesViewportDataAtScrollTop(e),n=t.completelyVisibleStartLineNumber,i=t.completelyVisibleEndLineNumber;return new s.Range(n,this.getLineMinColumn(n),i,this.getLineMaxColumn(i))},t.prototype.saveState=function(){var e=this.viewLayout.saveState(),t=e.scrollTop,n=this.viewLayout.getLineNumberAtVerticalOffset(t),i=this.coordinatesConverter.convertViewPositionToModelPosition(new r.Position(n,this.getLineMinColumn(n))),o=this.viewLayout.getVerticalOffsetForLineNumber(n)-t;return{scrollLeft:e.scrollLeft,firstPosition:i,firstPositionDeltaTop:o}},t.prototype.reduceRestoreState=function(e){if(void 0===e.firstPosition)return this._reduceRestoreStateCompatibility(e);var t=this.model.validatePosition(e.firstPosition),n=this.coordinatesConverter.convertModelPositionToViewPosition(t),i=this.viewLayout.getVerticalOffsetForLineNumber(n.lineNumber)-e.firstPositionDeltaTop;return{scrollLeft:e.scrollLeft,scrollTop:i}},t.prototype._reduceRestoreStateCompatibility=function(e){return{
scrollLeft:e.scrollLeft,scrollTop:e.scrollTopWithoutViewZones}},t.prototype.getTabSize=function(){return this.model.getOptions().tabSize},t.prototype.getLineCount=function(){return this.lines.getViewLineCount()},t.prototype.setViewport=function(e,t,n){this.lines.warmUpLookupCache(e,t),this.viewportStartLine=e;var i=this.coordinatesConverter.convertViewPositionToModelPosition(new r.Position(e,this.getLineMinColumn(e)));this.viewportStartLineTrackedRange=this.model._setTrackedRange(this.viewportStartLineTrackedRange,new s.Range(i.lineNumber,i.column,i.lineNumber,i.column),1);var o=this.viewLayout.getVerticalOffsetForLineNumber(e),a=this.viewLayout.getCurrentScrollTop();this.viewportStartLineDelta=a-o},t.prototype.getActiveIndentGuide=function(e,t,n){return this.lines.getActiveIndentGuide(e,t,n)},t.prototype.getLinesIndentGuides=function(e,t){return this.lines.getViewLinesIndentGuides(e,t)},t.prototype.getLineContent=function(e){return this.lines.getViewLineContent(e)},t.prototype.getLineLength=function(e){
return this.lines.getViewLineLength(e)},t.prototype.getLineMinColumn=function(e){return this.lines.getViewLineMinColumn(e)},t.prototype.getLineMaxColumn=function(e){return this.lines.getViewLineMaxColumn(e)},t.prototype.getLineFirstNonWhitespaceColumn=function(e){var t=i.firstNonWhitespaceIndex(this.getLineContent(e));return-1===t?0:t+1},t.prototype.getLineLastNonWhitespaceColumn=function(e){var t=i.lastNonWhitespaceIndex(this.getLineContent(e));return-1===t?0:t+2},t.prototype.getDecorationsInViewport=function(e){return this.decorations.getDecorationsViewportData(e).decorations},t.prototype.getViewLineRenderingData=function(e,t){var n=this.model.mightContainRTL(),i=this.model.mightContainNonBasicASCII(),o=this.getTabSize(),r=this.lines.getViewLineData(t),s=this.decorations.getDecorationsViewportData(e).inlineDecorations[t-e.startLineNumber];return new f.ViewLineRenderingData(r.minColumn,r.maxColumn,r.content,r.continuesWithWrappedLine,n,i,r.tokens,s,o)},t.prototype.getViewLineData=function(e){
return this.lines.getViewLineData(e)},t.prototype.getMinimapLinesRenderingData=function(e,t,n){var i=this.lines.getViewLinesData(e,t,n);return new f.MinimapLinesRenderingData(this.getTabSize(),i)},t.prototype.getAllOverviewRulerDecorations=function(e){return this.lines.getAllOverviewRulerDecorations(this.editorId,this.configuration.editor.readOnly,e)},t.prototype.invalidateOverviewRulerColorCache=function(){for(var e=this.model.getOverviewRulerDecorations(),t=0,n=e.length;t<n;t++){var i=e[t].options.overviewRuler;i&&i.invalidateCachedColor()}},t.prototype.getValueInRange=function(e,t){var n=this.coordinatesConverter.convertViewRangeToModelRange(e);return this.model.getValueInRange(n,t)},t.prototype.getModelLineMaxColumn=function(e){return this.model.getLineMaxColumn(e)},t.prototype.validateModelPosition=function(e){return this.model.validatePosition(e)},t.prototype.validateModelRange=function(e){return this.model.validateRange(e)},t.prototype.deduceModelPositionRelativeToViewPosition=function(e,t,n){
var i=this.coordinatesConverter.convertViewPositionToModelPosition(e);2===this.model.getEOL().length&&(t<0?t-=n:t+=n);var o=this.model.getOffsetAt(i)+t;return this.model.getPositionAt(o)},t.prototype.getEOL=function(){return this.model.getEOL()},t.prototype.getPlainTextToCopy=function(e,t,n){var i=this,o=n?"\r\n":this.model.getEOL();(e=e.slice(0)).sort(s.Range.compareRangesUsingStarts);var a=e.filter(function(e){return!e.isEmpty()});if(0===a.length){if(!t)return"";for(var l=e.map(function(e){var t=new r.Position(e.startLineNumber,1);return i.coordinatesConverter.convertViewPositionToModelPosition(t).lineNumber}),u="",d=0;d<l.length;d++)d>0&&l[d-1]===l[d]||(u+=this.model.getLineContent(l[d])+o);return u}for(var c=[],d=0;d<a.length;d++)c.push(this.getValueInRange(a[d],n?2:0));return 1===c.length?c[0]:c},t.prototype.getHTMLToCopy=function(e,t){if(1===this.model.getLanguageIdentifier().id)return null;if(1!==e.length)return null;var n=this.coordinatesConverter.convertViewRangeToModelRange(e[0]);if(n.isEmpty()){
if(!t)return null;var i=n.startLineNumber;n=new s.Range(i,this.model.getLineMinColumn(i),i,this.model.getLineMaxColumn(i))}var o=this.configuration.editor.fontInfo,r=this._getColorMap();return'<div style="color: '+r[1]+";background-color: "+r[2]+";font-family: "+o.fontFamily+";font-weight: "+o.fontWeight+";font-size: "+o.fontSize+"px;line-height: "+o.lineHeight+'px;white-space: pre;">'+this._getHTMLToCopy(n,r)+"</div>"},t.prototype._getHTMLToCopy=function(e,t){for(var n=e.startLineNumber,i=e.startColumn,o=e.endLineNumber,r=e.endColumn,s=this.getTabSize(),a="",u=n;u<=o;u++){var d=this.model.getLineTokens(u),c=d.getLineContent(),h=u===n?i-1:0,p=u===o?r-1:c.length;a+=""===c?"<br>":l.tokenizeLineToHTML(c,d.inflate(),t,h,p,s)}return a},t.prototype._getColorMap=function(){var e=a.TokenizationRegistry.getColorMap(),t=["#000000"];if(e)for(var i=1,o=e.length;i<o;i++)t[i]=n.Color.Format.CSS.formatHex(e[i]);return t},t}(d.ViewEventEmitter);t.ViewModel=v}),
define(t[391],n([0,1,7,73,24,6,2,26,108,361]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e){var t=this;this._disposables=[],this._onClick=new r.Emitter,this.onClick=this._onClick.event,this._futureFixes=new o.CancellationTokenSource,this._domNode=document.createElement("div"),this._domNode.className="lightbulb-glyph",this._editor=e,this._editor.addContentWidget(this),this._disposables.push(this._editor.onDidChangeModel(function(e){return t._futureFixes.cancel()})),this._disposables.push(this._editor.onDidChangeModelLanguage(function(e){return t._futureFixes.cancel()})),this._disposables.push(this._editor.onDidChangeModelContent(function(e){var n=t._editor.getModel();t.model&&t.model.position&&n&&!(t.model.position.lineNumber>=n.getLineCount())||t._futureFixes.cancel()})),this._disposables.push(n.addStandardDisposableListener(this._domNode,"click",function(e){t._editor.focus()
;var i=n.getDomNodePagePosition(t._domNode),o=i.top,r=i.height,s=t._editor.getConfiguration().lineHeight,a=Math.floor(s/3);t._position&&t._model&&t._model.position&&null!==t._position.position&&t._position.position.lineNumber<t._model.position.lineNumber&&(a+=s),t._onClick.fire({x:e.posx,y:o+r+a})})),this._disposables.push(n.addDisposableListener(this._domNode,"mouseenter",function(e){if(1==(1&e.buttons)){t.hide();var n=new i.GlobalMouseMoveMonitor;n.startMonitoring(i.standardMouseMoveMerger,function(){},function(){n.dispose()})}})),this._disposables.push(this._editor.onDidChangeConfiguration(function(e){e.contribInfo&&!t._editor.getConfiguration().contribInfo.lightbulbEnabled&&t.hide()}))}return e.prototype.dispose=function(){s.dispose(this._disposables),this._editor.removeContentWidget(this)},e.prototype.getId=function(){return"LightBulbWidget"},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return this._position},Object.defineProperty(e.prototype,"model",{
get:function(){return this._model},set:function(e){var t=this;!e||this._position&&(!e.position||this._position.position&&this._position.position.lineNumber!==e.position.lineNumber)?this.hide():this._futureFixes&&this._futureFixes.cancel(),this._futureFixes=new o.CancellationTokenSource;var n=this._futureFixes.token;if(this._model=e,this._model&&this._model.actions){var i=this._model.rangeOrSelection;this._model.actions.then(function(e){!n.isCancellationRequested&&e&&e.length>0?!i||i.isEmpty()&&e.every(function(e){return!(!e.kind||!l.CodeActionKind.Refactor.contains(e.kind))})?t.hide():t._show():t.hide()}).catch(function(){t.hide()})}},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"title",{get:function(){return this._domNode.title},set:function(e){this._domNode.title=e},enumerable:!0,configurable:!0}),e.prototype._show=function(){var t=this,n=this._editor.getConfiguration();if(n.contribInfo.lightbulbEnabled&&this._model&&this._model.position){
var i=this._model.position,o=i.lineNumber,r=i.column,s=this._editor.getModel();if(s){var l=s.getOptions().tabSize,u=s.getLineContent(o),d=a.TextModel.computeIndentLevel(u,l),c=function(e){return e>2&&t._editor.getTopForLineNumber(e)===t._editor.getTopForLineNumber(e-1)},h=o;if(!(n.fontInfo.spaceWidth*d>22))if(o>1&&!c(o-1))h-=1;else if(c(o+1)){if(r*n.fontInfo.spaceWidth<22)return void this.hide()}else h+=1;this._position={position:{lineNumber:h,column:1},preference:e._posPref},this._editor.layoutContentWidget(this)}}},e.prototype.hide=function(){this._position=null,this._model=null,this._futureFixes.cancel(),this._editor.layoutContentWidget(this)},e._posPref=[0],e}();t.LightBulbWidget=u}),define(t[392],n([0,1,26]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e){this.editor=e,this.autoHideFoldingControls=!0}return e.prototype.getDecorationOption=function(t){
return t?e.COLLAPSED_VISUAL_DECORATION:this.autoHideFoldingControls?e.EXPANDED_AUTO_HIDE_VISUAL_DECORATION:e.EXPANDED_VISUAL_DECORATION},e.prototype.deltaDecorations=function(e,t){return this.editor.deltaDecorations(e,t)},e.prototype.changeDecorations=function(e){return this.editor.changeDecorations(e)},e.COLLAPSED_VISUAL_DECORATION=n.ModelDecorationOptions.register({stickiness:1,afterContentClassName:"inline-folded",linesDecorationsClassName:"folding collapsed"}),e.EXPANDED_AUTO_HIDE_VISUAL_DECORATION=n.ModelDecorationOptions.register({stickiness:1,linesDecorationsClassName:"folding"}),e.EXPANDED_VISUAL_DECORATION=n.ModelDecorationOptions.register({stickiness:1,linesDecorationsClassName:"folding alwaysShowFoldIcons"}),e}();t.FoldingDecorationProvider=i}),define(t[393],n([0,1,109,26,39]),function(e,t,n,i,o){"use strict";function r(e,t,n,o){void 0===o&&(o=s);var r=e.getOptions().tabSize,a=new l(o),u=void 0;n&&(u=new RegExp("("+n.start.source+")|(?:"+n.end.source+")"));var d=[];d.push({indent:-1,
line:e.getLineCount()+1,marker:!1});for(var c=e.getLineCount();c>0;c--){var h=e.getLineContent(c),p=i.TextModel.computeIndentLevel(h,r),f=d[d.length-1];if(-1!==p){var g=void 0;if(u&&(g=h.match(u))){if(!g[1]){d.push({indent:-2,line:c,marker:!0});continue}for(var m=d.length-1;m>0&&!d[m].marker;)m--;if(m>0){d.length=m+1,f=d[m],a.insertFirst(c,f.line,p),f.marker=!1,f.indent=p,f.line=c;continue}}if(f.indent>p){do{d.pop(),f=d[d.length-1]}while(f.indent>p);var v=f.line-1;v-c>=1&&a.insertFirst(c,v,p)}f.indent===p?f.line=c:d.push({indent:p,line:c,marker:!1})}else t&&!f.marker&&(f.line=c)}return a.toIndentRanges(e)}Object.defineProperty(t,"__esModule",{value:!0});var s=5e3;t.ID_INDENT_PROVIDER="indent";var a=function(){function e(e){this.editorModel=e,this.id=t.ID_INDENT_PROVIDER}return e.prototype.dispose=function(){},e.prototype.compute=function(e){var t=o.LanguageConfigurationRegistry.getFoldingRules(this.editorModel.getLanguageIdentifier().id),n=t&&!!t.offSide,i=t&&t.markers
;return Promise.resolve(r(this.editorModel,n,i))},e}();t.IndentRangeProvider=a;var l=function(){function e(e){this._startIndexes=[],this._endIndexes=[],this._indentOccurrences=[],this._length=0,this._foldingRangesLimit=e}return e.prototype.insertFirst=function(e,t,i){if(!(e>n.MAX_LINE_NUMBER||t>n.MAX_LINE_NUMBER)){var o=this._length;this._startIndexes[o]=e,this._endIndexes[o]=t,this._length++,i<1e3&&(this._indentOccurrences[i]=(this._indentOccurrences[i]||0)+1)}},e.prototype.toIndentRanges=function(e){if(this._length<=this._foldingRangesLimit){for(var t=new Uint32Array(this._length),o=new Uint32Array(this._length),r=this._length-1,s=0;r>=0;r--,s++)t[s]=this._startIndexes[r],o[s]=this._endIndexes[r];return new n.FoldingRegions(t,o)}for(var a=0,l=this._indentOccurrences.length,r=0;r<this._indentOccurrences.length;r++){var u=this._indentOccurrences[r];if(u){if(u+a>this._foldingRangesLimit){l=r;break}a+=u}}
for(var d=e.getOptions().tabSize,t=new Uint32Array(this._foldingRangesLimit),o=new Uint32Array(this._foldingRangesLimit),r=this._length-1,s=0;r>=0;r--){var c=this._startIndexes[r],h=e.getLineContent(c),p=i.TextModel.computeIndentLevel(h,d);(p<l||p===l&&a++<this._foldingRangesLimit)&&(t[s]=c,o[s]=this._endIndexes[r],s++)}return new n.FoldingRegions(t,o)},e}();t.RangesCollector=l,t.computeRanges=r}),define(t[394],n([0,1,8,178,3,21,74,39,255]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e,t,n){this._selection=e,this._isMovingDown=t,this._autoIndent=n,this._moveEndLineSelectionShrink=!1}return e.prototype.getEditOperations=function(e,t){var i=e.getLineCount();if((!this._isMovingDown||this._selection.endLineNumber!==i)&&(this._isMovingDown||1!==this._selection.startLineNumber)){this._moveEndPositionDown=!1;var s=this._selection;s.startLineNumber<s.endLineNumber&&1===s.endColumn&&(this._moveEndPositionDown=!0,
s=s.setEndPosition(s.endLineNumber-1,e.getLineMaxColumn(s.endLineNumber-1)));var u=e.getOptions().tabSize,d=e.getOptions().insertSpaces,c=this.buildIndentConverter(u),h={getLineTokens:function(t){return e.getLineTokens(t)},getLanguageIdentifier:function(){return e.getLanguageIdentifier()},getLanguageIdAtPosition:function(t,n){return e.getLanguageIdAtPosition(t,n)},getLineContent:null};if(s.startLineNumber===s.endLineNumber&&1===e.getLineMaxColumn(s.startLineNumber)){var p=s.startLineNumber,f=this._isMovingDown?p+1:p-1;1===e.getLineMaxColumn(f)?t.addEditOperation(new o.Range(1,1,1,1),null):(t.addEditOperation(new o.Range(p,1,p,1),e.getLineContent(f)),t.addEditOperation(new o.Range(f,1,f,e.getLineMaxColumn(f)),null)),s=new r.Selection(f,1,f,1)}else{var g,m=void 0;if(this._isMovingDown){g=s.endLineNumber+1,m=e.getLineContent(g),t.addEditOperation(new o.Range(g-1,e.getLineMaxColumn(g-1),g,e.getLineMaxColumn(g)),null);var v=m;if(this.shouldAutoIndent(e,s)){var _=this.matchEnterRule(e,c,u,g,s.startLineNumber-1)
;if(null!==_){var y=n.getLeadingWhitespace(e.getLineContent(g)),C=_+l.getSpaceCnt(y,u),b=l.generateIndent(C,u,d);v=b+this.trimLeft(m)}else{h.getLineContent=function(t){return t===s.startLineNumber?e.getLineContent(g):e.getLineContent(t)};var S=a.LanguageConfigurationRegistry.getGoodIndentForLine(h,e.getLanguageIdAtPosition(g,1),s.startLineNumber,c);if(null!==S){y=n.getLeadingWhitespace(e.getLineContent(g));if((C=l.getSpaceCnt(S,u))!==(I=l.getSpaceCnt(y,u))){b=l.generateIndent(C,u,d);v=b+this.trimLeft(m)}}}t.addEditOperation(new o.Range(s.startLineNumber,1,s.startLineNumber,1),v+"\n");if(null!==(E=this.matchEnterRule(e,c,u,s.startLineNumber,s.startLineNumber,v)))0!==E&&this.getIndentEditsOfMovingBlock(e,t,s,u,d,E);else{h.getLineContent=function(t){return t===s.startLineNumber?v:t>=s.startLineNumber+1&&t<=s.endLineNumber+1?e.getLineContent(t-1):e.getLineContent(t)};var w=a.LanguageConfigurationRegistry.getGoodIndentForLine(h,e.getLanguageIdAtPosition(g,1),s.startLineNumber+1,c);if(null!==w){
y=n.getLeadingWhitespace(e.getLineContent(s.startLineNumber));if((C=l.getSpaceCnt(w,u))!==(I=l.getSpaceCnt(y,u))){N=C-I;this.getIndentEditsOfMovingBlock(e,t,s,u,d,N)}}}}else t.addEditOperation(new o.Range(s.startLineNumber,1,s.startLineNumber,1),v+"\n")}else if(g=s.startLineNumber-1,m=e.getLineContent(g),t.addEditOperation(new o.Range(g,1,g+1,1),null),t.addEditOperation(new o.Range(s.endLineNumber,e.getLineMaxColumn(s.endLineNumber),s.endLineNumber,e.getLineMaxColumn(s.endLineNumber)),"\n"+m),this.shouldAutoIndent(e,s)){h.getLineContent=function(t){return t===g?e.getLineContent(s.startLineNumber):e.getLineContent(t)};var E=this.matchEnterRule(e,c,u,s.startLineNumber,s.startLineNumber-2);if(null!==E)0!==E&&this.getIndentEditsOfMovingBlock(e,t,s,u,d,E);else{var L=a.LanguageConfigurationRegistry.getGoodIndentForLine(h,e.getLanguageIdAtPosition(s.startLineNumber,1),g,c);if(null!==L){var x=n.getLeadingWhitespace(e.getLineContent(s.startLineNumber)),C=l.getSpaceCnt(L,u),I=l.getSpaceCnt(x,u);if(C!==I){var N=C-I
;this.getIndentEditsOfMovingBlock(e,t,s,u,d,N)}}}}}this._selectionId=t.trackSelection(s)}},e.prototype.buildIndentConverter=function(e){return{shiftIndent:function(t){for(var n=i.ShiftCommand.shiftIndentCount(t,t.length+1,e),o="",r=0;r<n;r++)o+="\t";return o},unshiftIndent:function(t){for(var n=i.ShiftCommand.unshiftIndentCount(t,t.length+1,e),o="",r=0;r<n;r++)o+="\t";return o}}},e.prototype.matchEnterRule=function(e,t,i,r,u,d){for(var c=u;c>=1;){var h=void 0;h=c===u&&void 0!==d?d:e.getLineContent(c);if(n.lastNonWhitespaceIndex(h)>=0)break;c--}if(c<1||r>e.getLineCount())return null;var p=e.getLineMaxColumn(c),f=a.LanguageConfigurationRegistry.getEnterAction(e,new o.Range(c,p,c,p));if(f){var g=f.indentation,m=f.enterAction;m.indentAction===s.IndentAction.None?g=f.indentation+m.appendText:m.indentAction===s.IndentAction.Indent?g=f.indentation+m.appendText:m.indentAction===s.IndentAction.IndentOutdent?g=f.indentation:m.indentAction===s.IndentAction.Outdent&&(g=t.unshiftIndent(f.indentation)+m.appendText)
;var v=e.getLineContent(r);if(this.trimLeft(v).indexOf(this.trimLeft(g))>=0){var _=n.getLeadingWhitespace(e.getLineContent(r)),y=n.getLeadingWhitespace(g),C=a.LanguageConfigurationRegistry.getIndentMetadata(e,r);null!==C&&2&C&&(y=t.unshiftIndent(y));return l.getSpaceCnt(y,i)-l.getSpaceCnt(_,i)}}return null},e.prototype.trimLeft=function(e){return e.replace(/^\s+/,"")},e.prototype.shouldAutoIndent=function(e,t){if(!this._autoIndent)return!1;if(!e.isCheapToTokenize(t.startLineNumber))return!1;var n=e.getLanguageIdAtPosition(t.startLineNumber,1);return n===e.getLanguageIdAtPosition(t.endLineNumber,1)&&null!==a.LanguageConfigurationRegistry.getIndentRulesSupport(n)},e.prototype.getIndentEditsOfMovingBlock=function(e,t,i,r,s,a){for(var u=i.startLineNumber;u<=i.endLineNumber;u++){var d=e.getLineContent(u),c=n.getLeadingWhitespace(d),h=l.getSpaceCnt(c,r)+a,p=l.generateIndent(h,r,s);p!==c&&(t.addEditOperation(new o.Range(u,1,u,c.length+1),p),
u===i.endLineNumber&&i.endColumn<=c.length+1&&""===p&&(this._moveEndLineSelectionShrink=!0))}},e.prototype.computeCursorState=function(e,t){var n=t.getTrackedSelection(this._selectionId);return this._moveEndPositionDown&&(n=n.setEndPosition(n.endLineNumber+1,1)),this._moveEndLineSelectionShrink&&n.startLineNumber<n.endLineNumber&&(n=n.setEndPosition(n.endLineNumber,2)),n},e}();t.MoveLinesCommand=u}),define(t[395],n([0,1,3,42,192]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e){this._modelService=e}return e.prototype.getRangesToPositionSync=function(e,t){var n=this._modelService.getModel(e),i=[];return n&&this._doGetRangesToPosition(n,t).forEach(function(e){i.push({type:void 0,range:e})}),i},e.prototype._doGetRangesToPosition=function(e,t){var i,r,s=o.build(e);i=o.find(s,t);for(var a=[];i;)r&&n.Range.equalsRange(r,i.range)||a.push(i.range),r=i.range,i=i.parent;return a=a.reverse()},e=a([u(0,i.IModelService)],e)}();t.TokenSelectionSupport=r}),
define(t[196],n([0,1,7,102,28,110,2,27,3,26,384]),function(e,t,n,i,o,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var d=new o.Color(new o.RGBA(0,122,204)),c={showArrow:!0,showFrame:!0,className:"",frameColor:d,arrowColor:d,keepEditorSelection:!1},h=function(){function e(e,t,n,i,o,r){this.domNode=e,this.afterLineNumber=t,this.afterColumn=n,this.heightInLines=i,this._onDomNodeTop=o,this._onComputedHeight=r}return e.prototype.onDomNodeTop=function(e){this._onDomNodeTop(e)},e.prototype.onComputedHeight=function(e){this._onComputedHeight(e)},e}();t.ViewZoneDelegate=h;var p=function(){function e(e,t){this._id=e,this._domNode=t}return e.prototype.getId=function(){return this._id},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return null},e}();t.OverlayWidgetDelegate=p;var f=function(){function e(t){this._editor=t,this._ruleName=e._IdGenerator.nextId(),this._decorations=[]}return e.prototype.dispose=function(){this.hide(),
n.removeCSSRulesContainingSelector(this._ruleName)},Object.defineProperty(e.prototype,"color",{set:function(e){this._color!==e&&(this._color=e,this._updateStyle())},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"height",{set:function(e){this._height!==e&&(this._height=e,this._updateStyle())},enumerable:!0,configurable:!0}),e.prototype._updateStyle=function(){n.removeCSSRulesContainingSelector(this._ruleName),n.createCSSRule(".monaco-editor "+this._ruleName,"border-style: solid; border-color: transparent; border-bottom-color: "+this._color+"; border-width: "+this._height+"px; bottom: -"+this._height+"px; margin-left: -"+this._height+"px; ")},e.prototype.show=function(e){this._decorations=this._editor.deltaDecorations(this._decorations,[{range:l.Range.fromPositions(e),options:{className:this._ruleName,stickiness:1}}])},e.prototype.hide=function(){this._editor.deltaDecorations(this._decorations,[])},e._IdGenerator=new r.IdGenerator(".arrow-decoration-"),e}(),g=function(){function e(e,t){
void 0===t&&(t={});var n=this;this._positionMarkerId=[],this._disposables=[],this._isShowing=!1,this.editor=e,this.options=a.deepClone(t),a.mixin(this.options,c,!1),this.domNode=document.createElement("div"),this.options.isAccessible||(this.domNode.setAttribute("aria-hidden","true"),this.domNode.setAttribute("role","presentation")),this._disposables.push(this.editor.onDidLayoutChange(function(e){var t=n._getWidth(e);n.domNode.style.width=t+"px",n.domNode.style.left=n._getLeft(e)+"px",n._onWidth(t)}))}return e.prototype.dispose=function(){var e=this;s.dispose(this._disposables),this._overlayWidget&&(this.editor.removeOverlayWidget(this._overlayWidget),this._overlayWidget=null),this._viewZone&&this.editor.changeViewZones(function(t){e._viewZone&&t.removeZone(e._viewZone.id),e._viewZone=null}),this.editor.deltaDecorations(this._positionMarkerId,[]),this._positionMarkerId=[]},e.prototype.create=function(){n.addClass(this.domNode,"zone-widget"),
this.options.className&&n.addClass(this.domNode,this.options.className),this.container=document.createElement("div"),n.addClass(this.container,"zone-widget-container"),this.domNode.appendChild(this.container),this.options.showArrow&&(this._arrow=new f(this.editor),this._disposables.push(this._arrow)),this._fillContainer(this.container),this._initSash(),this._applyStyles()},e.prototype.style=function(e){e.frameColor&&(this.options.frameColor=e.frameColor),e.arrowColor&&(this.options.arrowColor=e.arrowColor),this._applyStyles()},e.prototype._applyStyles=function(){if(this.container&&this.options.frameColor){var e=this.options.frameColor.toString();this.container.style.borderTopColor=e,this.container.style.borderBottomColor=e}if(this._arrow&&this.options.arrowColor){var t=this.options.arrowColor.toString();this._arrow.color=t}},e.prototype._getWidth=function(e){return e.width-e.minimapWidth-e.verticalScrollbarWidth},e.prototype._getLeft=function(e){return e.minimapWidth>0&&0===e.minimapLeft?e.minimapWidth:0},
e.prototype._onViewZoneTop=function(e){this.domNode.style.top=e+"px"},e.prototype._onViewZoneHeight=function(e){this.domNode.style.height=e+"px";var t=e-this._decoratingElementsHeight();this.container.style.height=t+"px";var n=this.editor.getLayoutInfo();this._doLayout(t,this._getWidth(n)),this._resizeSash.layout()},Object.defineProperty(e.prototype,"position",{get:function(){var e=this._positionMarkerId[0];if(e){var t=this.editor.getModel();if(t){var n=t.getDecorationRange(e);if(n)return n.getStartPosition()}}},enumerable:!0,configurable:!0}),e.prototype.show=function(e,t){var n=l.Range.isIRange(e)?e:new l.Range(e.lineNumber,e.column,e.lineNumber,e.column);this._isShowing=!0,this._showImpl(n,t),this._isShowing=!1,this._positionMarkerId=this.editor.deltaDecorations(this._positionMarkerId,[{range:n,options:u.ModelDecorationOptions.EMPTY}])},e.prototype.hide=function(){var e=this;this._viewZone&&(this.editor.changeViewZones(function(t){e._viewZone&&t.removeZone(e._viewZone.id)}),this._viewZone=null),
this._overlayWidget&&(this.editor.removeOverlayWidget(this._overlayWidget),this._overlayWidget=null),this._arrow&&this._arrow.hide()},e.prototype._decoratingElementsHeight=function(){var e=this.editor.getConfiguration().lineHeight,t=0;if(this.options.showArrow){t+=2*Math.round(e/3)}if(this.options.showFrame){t+=2*Math.round(e/9)}return t},e.prototype._showImpl=function(e,t){var n=this,i={lineNumber:e.startLineNumber,column:e.startColumn},o=this.editor.getLayoutInfo(),r=this._getWidth(o);this.domNode.style.width=r+"px",this.domNode.style.left=this._getLeft(o)+"px";var s=document.createElement("div");s.style.overflow="hidden";var a=this.editor.getConfiguration().lineHeight,l=this.editor.getLayoutInfo().height/a*.8;t>=l&&(t=l);var u=0,d=0;if(this.options.showArrow&&(u=Math.round(a/3),this._arrow.height=u,this._arrow.show(i)),this.options.showFrame&&(d=Math.round(a/9)),this.editor.changeViewZones(function(e){n._viewZone&&e.removeZone(n._viewZone.id),
n._overlayWidget&&(n.editor.removeOverlayWidget(n._overlayWidget),n._overlayWidget=null),n.domNode.style.top="-1000px",n._viewZone=new h(s,i.lineNumber,i.column,t,function(e){return n._onViewZoneTop(e)},function(e){return n._onViewZoneHeight(e)}),n._viewZone.id=e.addZone(n._viewZone),n._overlayWidget=new p("vs.editor.contrib.zoneWidget"+n._viewZone.id,n.domNode),n.editor.addOverlayWidget(n._overlayWidget)}),this.options.showFrame){var c=this.options.frameWidth?this.options.frameWidth:d;this.container.style.borderTopWidth=c+"px",this.container.style.borderBottomWidth=c+"px"}var f=t*a-this._decoratingElementsHeight();this.container.style.top=u+"px",this.container.style.height=f+"px",this.container.style.overflow="hidden",this._doLayout(f,r),this.options.keepEditorSelection||this.editor.setSelection(e);var g=this.editor.getModel();if(g){var m=Math.min(g.getLineCount(),Math.max(1,e.endLineNumber+1));this.revealLine(m)}},e.prototype.revealLine=function(e){this.editor.revealLine(e,0)},
e.prototype.setCssClass=function(e,t){t&&this.container.classList.remove(t),n.addClass(this.container,e)},e.prototype._onWidth=function(e){},e.prototype._doLayout=function(e,t){},e.prototype._relayout=function(e){var t=this;this._viewZone&&this._viewZone.heightInLines!==e&&this.editor.changeViewZones(function(n){t._viewZone&&(t._viewZone.heightInLines=e,n.layoutZone(t._viewZone.id))})},e.prototype._initSash=function(){var e=this;this._resizeSash=new i.Sash(this.domNode,this,{orientation:1}),this.options.isResizeable||(this._resizeSash.hide(),this._resizeSash.state=0);var t;this._disposables.push(this._resizeSash.onDidStart(function(n){e._viewZone&&(t={startY:n.startY,heightInLines:e._viewZone.heightInLines})})),this._disposables.push(this._resizeSash.onDidEnd(function(){t=void 0})),this._disposables.push(this._resizeSash.onDidChange(function(n){if(t){var i=(n.currentY-t.startY)/e.editor.getConfiguration().lineHeight,o=i<0?Math.ceil(i):Math.floor(i),r=t.heightInLines+o;r>5&&r<35&&e._relayout(r)}}))},
e.prototype.getHorizontalSashLeft=function(){return 0},e.prototype.getHorizontalSashTop=function(){return(null===this.domNode.style.height?0:parseInt(this.domNode.style.height))-this._decoratingElementsHeight()/2},e.prototype.getHorizontalSashWidth=function(){var e=this.editor.getLayoutInfo();return e.width-e.minimapWidth},e}();t.ZoneWidget=g}),define(t[397],n([0,1,16,8,93,14,103,59]),function(e,t,n,i,o,r,s,a){"use strict";function l(e,t,n){return function(e,t,n){for(var i=[],r=n.getInitialState(),l=0,u=e.length;l<u;l++){var d=e[l],c=n.tokenize2(d,r,0);o.LineTokens.convertToEndOffset(c.tokens,d.length);var h=new o.LineTokens(c.tokens,d),p=a.ViewLineRenderingData.isBasicASCII(d,!0),f=a.ViewLineRenderingData.containsRTL(d,p,!0),g=s.renderViewLine2(new s.RenderLineInput(!1,!0,d,!1,p,f,0,h.inflate(),[],t,0,-1,"none",!1,!1));(i=i.concat(g.html)).push("<br/>"),r=c.endState}return i.join("")}(e,t,n)}function u(e,t){var n=[],i=new Uint32Array(2);i[0]=0,i[1]=16793600;for(var r=0,l=e.length;r<l;r++){var u=e[r]
;i[0]=u.length;var d=new o.LineTokens(i,u),c=a.ViewLineRenderingData.isBasicASCII(u,!0),h=a.ViewLineRenderingData.containsRTL(u,c,!0),p=s.renderViewLine2(new s.RenderLineInput(!1,!0,u,!1,c,h,0,d,[],t,0,-1,"none",!1,!1));(n=n.concat(p.html)).push("<br/>")}return n.join("")}Object.defineProperty(t,"__esModule",{value:!0});var d=function(){function e(){}return e.colorizeElement=function(e,t,n,i){var o=(i=i||{}).theme||"vs",r=i.mimeType||n.getAttribute("lang")||n.getAttribute("data-lang");if(!r)return console.error("Mode not detected"),Promise.resolve();e.setTheme(o);var s=n.firstChild?n.firstChild.nodeValue:"";n.className+=" "+o;return this.colorize(t,s||"",r,i).then(function(e){n.innerHTML=e},function(e){return console.error(e)})},e.colorize=function(e,t,o,s){var a=4;s&&"number"==typeof s.tabSize&&(a=s.tabSize),i.startsWithUTF8BOM(t)&&(t=t.substr(1));var d=t.split(/\r\n|\r|\n/),c=e.getModeId(o);if(!c)return Promise.resolve(u(d,a));e.triggerMode(c);var h=r.TokenizationRegistry.get(c)
;return h?Promise.resolve(l(d,a,h)):new Promise(function(e,t){var i=null,o=null,s=function(){i&&(i.dispose(),i=null),o&&(o.dispose(),o=null);var t=r.TokenizationRegistry.get(c);return e(t?l(d,a,t):u(d,a))};(o=new n.TimeoutTimer).cancelAndSet(s,500),i=r.TokenizationRegistry.onDidChange(function(e){e.changedLanguages.indexOf(c)>=0&&s()})})},e.colorizeLine=function(e,t,n,i,o){void 0===o&&(o=4);var r=a.ViewLineRenderingData.isBasicASCII(e,t),l=a.ViewLineRenderingData.containsRTL(e,r,n);return s.renderViewLine2(new s.RenderLineInput(!1,!0,e,!1,r,l,0,i,[],o,0,-1,"none",!1,!1)).html},e.colorizeModelLine=function(e,t,n){void 0===n&&(n=4);var i=e.getLineContent(t);e.forceTokenization(t);var o=e.getLineTokens(t).inflate();return this.colorizeLine(i,e.mightContainNonBasicASCII(),e.mightContainRTL(),o,n)},e}();t.Colorizer=d}),define(t[398],n([0,1,91,14,51,198]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){this._maxCacheDepth=e,
this._entries=Object.create(null)}return e.create=function(e,t){return this._INSTANCE.create(e,t)},e.prototype.create=function(e,t){if(null!==e&&e.depth>=this._maxCacheDepth)return new a(e,t);var n=a.getStackElementId(e);n.length>0&&(n+="|"),n+=t;var i=this._entries[n];return i||(i=new a(e,t),this._entries[n]=i,i)},e._INSTANCE=new e(5),e}(),a=function(){function e(e,t){this.parent=e,this.state=t,this.depth=(this.parent?this.parent.depth:0)+1}return e.getStackElementId=function(e){for(var t="";null!==e;)t.length>0&&(t+="|"),t+=e.state,e=e.parent;return t},e._equals=function(e,t){for(;null!==e&&null!==t;){if(e===t)return!0;if(e.state!==t.state)return!1;e=e.parent,t=t.parent}return null===e&&null===t},e.prototype.equals=function(t){return e._equals(this,t)},e.prototype.push=function(e){return s.create(this,e)},e.prototype.pop=function(){return this.parent},e.prototype.popall=function(){for(var e=this;e.parent;)e=e.parent;return e},e.prototype.switchTo=function(e){return s.create(this.parent,e)},e
}(),l=function(){function e(e,t){this.modeId=e,this.state=t}return e.prototype.equals=function(e){return this.modeId===e.modeId&&this.state.equals(e.state)},e.prototype.clone=function(){return this.state.clone()===this.state?this:new e(this.modeId,this.state)},e}(),u=function(){function e(e){this._maxCacheDepth=e,this._entries=Object.create(null)}return e.create=function(e,t){return this._INSTANCE.create(e,t)},e.prototype.create=function(e,t){if(null!==t)return new d(e,t);if(null!==e&&e.depth>=this._maxCacheDepth)return new d(e,t);var n=a.getStackElementId(e),i=this._entries[n];return i||(i=new d(e,null),this._entries[n]=i,i)},e._INSTANCE=new e(5),e}(),d=function(){function e(e,t){this.stack=e,this.embeddedModeData=t}return e.prototype.clone=function(){return(this.embeddedModeData?this.embeddedModeData.clone():null)===this.embeddedModeData?this:u.create(this.stack,this.embeddedModeData)},e.prototype.equals=function(t){
return t instanceof e&&(!!this.stack.equals(t.stack)&&(null===this.embeddedModeData&&null===t.embeddedModeData||null!==this.embeddedModeData&&null!==t.embeddedModeData&&this.embeddedModeData.equals(t.embeddedModeData)))},e}(),c=Object.hasOwnProperty,h=function(){function e(){this._tokens=[],this._language=null,this._lastTokenType=null,this._lastTokenLanguage=null}return e.prototype.enterMode=function(e,t){this._language=t},e.prototype.emit=function(e,t){this._lastTokenType===t&&this._lastTokenLanguage===this._language||(this._lastTokenType=t,this._lastTokenLanguage=this._language,this._tokens.push(new n.Token(e,t,this._language)))},e.prototype.nestedModeTokenize=function(e,t,n){var o=t.modeId,r=t.state,s=i.TokenizationRegistry.get(o);if(!s)return this.enterMode(n,o),this.emit(n,""),r;var a=s.tokenize(e,r,n);return this._tokens=this._tokens.concat(a.tokens),this._lastTokenType=null,this._lastTokenLanguage=null,this._language=null,a.endState},e.prototype.finalize=function(e){
return new n.TokenizationResult(this._tokens,e)},e}(),p=function(){function e(e,t){this._modeService=e,this._theme=t,this._prependTokens=null,this._tokens=[],this._currentLanguageId=0,this._lastTokenMetadata=0}return e.prototype.enterMode=function(e,t){this._currentLanguageId=this._modeService.getLanguageIdentifier(t).id},e.prototype.emit=function(e,t){var n=this._theme.match(this._currentLanguageId,t);this._lastTokenMetadata!==n&&(this._lastTokenMetadata=n,this._tokens.push(e),this._tokens.push(n))},e._merge=function(e,t,n){var i=null!==e?e.length:0,o=t.length,r=null!==n?n.length:0;if(0===i&&0===o&&0===r)return new Uint32Array(0);if(0===i&&0===o)return n;if(0===o&&0===r)return e;var s=new Uint32Array(i+o+r);null!==e&&s.set(e);for(var a=0;a<o;a++)s[i+a]=t[a];return null!==n&&s.set(n,i+o),s},e.prototype.nestedModeTokenize=function(t,n,o){var r=n.modeId,s=n.state,a=i.TokenizationRegistry.get(r);if(!a)return this.enterMode(o,r),this.emit(o,""),s;var l=a.tokenize2(t,s,o)
;return this._prependTokens=e._merge(this._prependTokens,this._tokens,l.tokens),this._tokens=[],this._currentLanguageId=0,this._lastTokenMetadata=0,l.endState},e.prototype.finalize=function(t){return new n.TokenizationResult2(e._merge(this._prependTokens,this._tokens,null),t)},e}(),f=function(){function e(e,t,n,o){var r=this;this._modeService=e,this._standaloneThemeService=t,this._modeId=n,this._lexer=o,this._embeddedModes=Object.create(null);var s=!1;this._tokenizationRegistryListener=i.TokenizationRegistry.onDidChange(function(e){if(!s){for(var t=!1,n=0,o=e.changedLanguages.length;n<o;n++){var a=e.changedLanguages[n];if(r._embeddedModes[a]){t=!0;break}}t&&(s=!0,i.TokenizationRegistry.fire([r._modeId]),s=!1)}})}return e.prototype.dispose=function(){this._tokenizationRegistryListener.dispose()},e.prototype.getInitialState=function(){var e=s.create(null,this._lexer.start);return u.create(e,null)},e.prototype.tokenize=function(e,t,n){var i=new h,o=this._tokenize(e,t,n,i);return i.finalize(o)},
e.prototype.tokenize2=function(e,t,n){var i=new p(this._modeService,this._standaloneThemeService.getTheme().tokenTheme),o=this._tokenize(e,t,n,i);return i.finalize(o)},e.prototype._tokenize=function(e,t,n,i){return t.embeddedModeData?this._nestedTokenize(e,t,n,i):this._myTokenize(e,t,n,i)},e.prototype._findLeavingNestedModeOffset=function(e,t){var n=this._lexer.tokenizer[t.stack.state];if(!n&&!(n=r.findRules(this._lexer,t.stack.state)))throw r.createError(this._lexer,"tokenizer state is not defined: "+t.stack.state);var i=-1,o=!1;for(var s in n)if(c.call(n,s)){var a=n[s];if(r.isIAction(a.action)&&"@pop"===a.action.nextEmbedded){o=!0;var l=a.regex,u=a.regex.source;"^(?:"===u.substr(0,4)&&")"===u.substr(u.length-1,1)&&(l=new RegExp(u.substr(4,u.length-5),l.ignoreCase?"i":""));var d=e.search(l);-1!==d&&(-1===i||d<i)&&(i=d)}}if(!o)throw r.createError(this._lexer,'no rule containing nextEmbedded: "@pop" in tokenizer embedded state: '+t.stack.state);return i},e.prototype._nestedTokenize=function(e,t,n,i){
var o=this._findLeavingNestedModeOffset(e,t);if(-1===o){var r=i.nestedModeTokenize(e,t.embeddedModeData,n);return u.create(t.stack,new l(t.embeddedModeData.modeId,r))}var s=e.substring(0,o);s.length>0&&i.nestedModeTokenize(s,t.embeddedModeData,n);var a=e.substring(o);return this._myTokenize(a,t,n+o,i)},e.prototype._myTokenize=function(e,t,n,i){i.enterMode(n,this._modeId);for(var o=e.length,s=t.embeddedModeData,a=t.stack,l=0,d=null;l<o;){var h=l,p=a.depth,f=d?d.groups.length:0,g=a.state,m=null,v=null,_=null,y=null,C=null;if(d){m=d.matches;var b=d.groups.shift();v=b.matched,_=b.action,y=d.rule,0===d.groups.length&&(d=null)}else{if(l>=o)break;var S=this._lexer.tokenizer[g];if(!S&&!(S=r.findRules(this._lexer,g)))throw r.createError(this._lexer,"tokenizer state is not defined: "+g);P=e.substr(l);for(var w in S)if(c.call(S,w)){var E=S[w];if((0===l||!E.matchOnlyAtLineStart)&&(m=P.match(E.regex))){v=m[0],_=E.action;break}}}for(m||(m=[""],v=""),_||(l<o&&(v=(m=[e.charAt(l)])[0]),_=this._lexer.defaultToken),
l+=v.length;r.isFuzzyAction(_)&&r.isIAction(_)&&_.test;)_=_.test(v,m,g,l===o);var L=null;if("string"==typeof _||Array.isArray(_))L=_;else if(_.group)L=_.group;else if(null!==_.token&&void 0!==_.token){if(L=_.tokenSubst?r.substituteMatches(this._lexer,_.token,v,m,g):_.token,_.nextEmbedded)if("@pop"===_.nextEmbedded){if(!s)throw r.createError(this._lexer,"cannot pop embedded mode if not inside one");s=null}else{if(s)throw r.createError(this._lexer,"cannot enter embedded mode from within an embedded mode");C=r.substituteMatches(this._lexer,_.nextEmbedded,v,m,g)}if(_.goBack&&(l=Math.max(0,l-_.goBack)),_.switchTo&&"string"==typeof _.switchTo){if("@"===(x=r.substituteMatches(this._lexer,_.switchTo,v,m,g))[0]&&(x=x.substr(1)),!r.findRules(this._lexer,x))throw r.createError(this._lexer,"trying to switch to a state '"+x+"' that is undefined in rule: "+y.name);a=a.switchTo(x)}else{if(_.transform&&"function"==typeof _.transform)throw r.createError(this._lexer,"action.transform not supported")
;if(_.next)if("@push"===_.next){if(a.depth>=this._lexer.maxStack)throw r.createError(this._lexer,"maximum tokenizer stack size reached: ["+a.state+","+a.parent.state+",...]");a=a.push(g)}else if("@pop"===_.next){if(a.depth<=1)throw r.createError(this._lexer,"trying to pop an empty stack in rule: "+y.name);a=a.pop()}else if("@popall"===_.next)a=a.popall();else{var x=r.substituteMatches(this._lexer,_.next,v,m,g);if("@"===x[0]&&(x=x.substr(1)),!r.findRules(this._lexer,x))throw r.createError(this._lexer,"trying to set a next state '"+x+"' that is undefined in rule: "+y.name);a=a.push(x)}}_.log&&"string"==typeof _.log&&r.log(this._lexer,this._lexer.languageId+": "+r.substituteMatches(this._lexer,_.log,v,m,g))}if(null===L)throw r.createError(this._lexer,"lexer rule has no well-defined action in rule: "+y.name);if(Array.isArray(L)){if(d&&d.groups.length>0)throw r.createError(this._lexer,"groups cannot be nested: "+y.name)
;if(m.length!==L.length+1)throw r.createError(this._lexer,"matched number of groups does not match the number of actions in rule: "+y.name);for(var I=0,N=1;N<m.length;N++)I+=m[N].length;if(I!==v.length)throw r.createError(this._lexer,"with groups, all characters should be matched in consecutive groups in rule: "+y.name);d={rule:y,matches:m,groups:[]};for(N=0;N<L.length;N++)d.groups[N]={action:L[N],matched:m[N+1]};l-=v.length}else{if("@rematch"===L&&(l-=v.length,v="",m=null,L=""),0===v.length){if(p!==a.depth||g!==a.state||(d?d.groups.length:0)!==f)continue;throw r.createError(this._lexer,"no progress in tokenizer in rule: "+y.name)}var D=null;if(r.isString(L)&&0===L.indexOf("@brackets")){var M=L.substr("@brackets".length),k=function(e,t){if(!t)return null;t=r.fixCase(e,t);for(var n=e.brackets,i=0;i<n.length;i++){var o=n[i];if(o.open===t)return{token:o.token,bracketType:1};if(o.close===t)return{token:o.token,bracketType:-1}}return null}(this._lexer,v)
;if(!k)throw r.createError(this._lexer,"@brackets token returned but no bracket defined as: "+v);D=r.sanitize(k.token+M)}else{var T=""===L?"":L+this._lexer.tokenPostfix;D=r.sanitize(T)}if(i.emit(h+n,D),null!==C){var R=this._modeService.getModeIdForLanguageName(C);R&&(C=R);var O=this._getNestedEmbeddedModeData(C);if(l<o){var P=e.substr(l);return this._nestedTokenize(P,u.create(a,O),n+l,i)}return u.create(a,O)}}}return u.create(a,s)},e.prototype._getNestedEmbeddedModeData=function(e){var t=this._locateMode(e);if(t){var n=i.TokenizationRegistry.get(t);if(n)return new l(t,n.getInitialState())}return new l(t||o.NULL_MODE_ID,o.NULL_STATE)},e.prototype._locateMode=function(e){if(!e||!this._modeService.isRegisteredMode(e))return null;var t=this._modeService.getModeId(e);return t&&(this._modeService.triggerMode(t),this._embeddedModes[t]=!0),t},e}();t.createTokenizationSupport=function(e,t,n,i){return new f(e,t,n,i)}}),define(t[78],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0
}),t.IStandaloneThemeService=n.createDecorator("themeService")}),define(t[202],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IClipboardService=n.createDecorator("clipboardService")}),define(t[31],n([0,1,2,32,15,160]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ICommandService=o.createDecorator("commandService"),t.CommandsRegistry=new(function(){function e(){this._commands=new Map}return e.prototype.registerCommand=function(e,t){var o=this;if(!e)throw new Error("invalid command");if("string"==typeof e){if(!t)throw new Error("invalid command");return this.registerCommand({id:e,handler:t})}if(e.description){for(var s=[],a=0,l=e.description.args;a<l.length;a++){var u=l[a];s.push(u.constraint)}var d=e.handler;e.handler=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return i.validateConstraints(t,s),d.apply(void 0,[e].concat(t))}}var c=e.id,h=this._commands.get(c);h||(h=new r.LinkedList,
this._commands.set(c,h));var p=h.unshift(e);return n.toDisposable(function(){p(),o._commands.get(c).isEmpty()&&o._commands.delete(c)})},e.prototype.registerCommandAlias=function(e,n){return t.CommandsRegistry.registerCommand(e,function(e){for(var i=[],o=1;o<arguments.length;o++)i[o-1]=arguments[o];var r;(r=e.get(t.ICommandService)).executeCommand.apply(r,[n].concat(i))})},e.prototype.getCommand=function(e){var t=this._commands.get(e);if(t&&!t.isEmpty())return t.iterator().next().value},e.prototype.getCommands=function(){var e=this,t=Object.create(null);return this._commands.forEach(function(n,i){t[i]=e.getCommand(i)}),t},e}())}),define(t[402],n([0,1,24,11,25,3,14,42,31]),function(e,t,n,i,o,r,s,a,l){"use strict";function u(e,t){var n=[],o=s.LinkProviderRegistry.ordered(e).reverse().map(function(o){return Promise.resolve(o.provideLinks(e,t)).then(function(e){if(Array.isArray(e)){var t=e.map(function(e){return new d(e,o)});n=function(e,t){var n,i,o,s,a=[];for(n=0,o=0,i=e.length,s=t.length;n<i&&o<s;){
var l=e[n],u=t[o];if(r.Range.areIntersectingOrTouching(l.range,u.range))n++;else{r.Range.compareRangesUsingStarts(l.range,u.range)<0?(a.push(l),n++):(a.push(u),o++)}}for(;n<i;n++)a.push(e[n]);for(;o<s;o++)a.push(t[o]);return a}(n,t)}},i.onUnexpectedExternalError)});return Promise.all(o).then(function(){return n})}Object.defineProperty(t,"__esModule",{value:!0});var d=function(){function e(e,t){this._link=e,this._provider=t}return e.prototype.toJSON=function(){return{range:this.range,url:this.url}},Object.defineProperty(e.prototype,"range",{get:function(){return this._link.range},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"url",{get:function(){return this._link.url},enumerable:!0,configurable:!0}),e.prototype.resolve=function(e){var t=this;if(this._link.url)try{return Promise.resolve(o.URI.parse(this._link.url))}catch(e){return Promise.reject(new Error("invalid"))}
return"function"==typeof this._provider.resolveLink?Promise.resolve(this._provider.resolveLink(this._link,e)).then(function(n){return t._link=n||t._link,t._link.url?t.resolve(e):Promise.reject(new Error("missing"))}):Promise.reject(new Error("missing"))},e}();t.Link=d,t.getLinks=u,l.CommandsRegistry.registerCommand("_executeLinkProvider",function(e){for(var t=[],i=1;i<arguments.length;i++)t[i-1]=arguments[i];var r=t[0];if(r instanceof o.URI){var s=e.get(a.IModelService).getModel(r);if(s)return u(s,n.CancellationToken.None)}})}),define(t[18],n([0,1,8,15]),function(e,t,n,i){"use strict";function r(e,t){var n=e.getType(),i=t.getType();if(n!==i)return n-i;switch(n){case 1:case 2:case 3:case 4:case 6:return e.cmp(t);default:throw new Error("Unknown ContextKeyExpr!")}}Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(){}return e.has=function(e){return new a(e)},e.equals=function(e,t){return new l(e,t)},e.regex=function(e,t){return new c(e,t)},e.not=function(e){return new d(e)},
e.and=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return new h(e)},e.deserialize=function(e){var t=this;if(!e)return null;var n=e.split("&&");return new h(n.map(function(e){return t._deserializeOne(e)})).normalize()},e._deserializeOne=function(e){if((e=e.trim()).indexOf("!=")>=0){t=e.split("!=");return new u(t[0].trim(),this._deserializeValue(t[1]))}if(e.indexOf("==")>=0){t=e.split("==");return new l(t[0].trim(),this._deserializeValue(t[1]))}if(e.indexOf("=~")>=0){var t=e.split("=~");return new c(t[0].trim(),this._deserializeRegexValue(t[1]))}return/^\!\s*/.test(e)?new d(e.substr(1).trim()):new a(e)},e._deserializeValue=function(e){if("true"===(e=e.trim()))return!0;if("false"===e)return!1;var t=/^'([^']*)'$/.exec(e);return t?t[1].trim():e},e._deserializeRegexValue=function(e){if(n.isFalsyOrWhitespace(e))return console.warn("missing regexp-value for =~-expression"),null;var t=e.indexOf("/"),i=e.lastIndexOf("/")
;if(t===i||t<0)return console.warn("bad regexp-value '"+e+"', missing /-enclosure"),null;var o=e.slice(t+1,i),r="i"===e[i+1]?"i":"";try{return new RegExp(o,r)}catch(t){return console.warn("bad regexp-value '"+e+"', parse error: "+t),null}},e}();t.ContextKeyExpr=s;var a=function(){function e(e){this.key=e}return e.prototype.getType=function(){return 1},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:0},e.prototype.equals=function(t){return t instanceof e&&this.key===t.key},e.prototype.evaluate=function(e){return!!e.getValue(this.key)},e.prototype.normalize=function(){return this},e.prototype.keys=function(){return[this.key]},e}();t.ContextKeyDefinedExpr=a;var l=function(){function e(e,t){this.key=e,this.value=t}return e.prototype.getType=function(){return 3},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:this.value<e.value?-1:this.value>e.value?1:0},e.prototype.equals=function(t){return t instanceof e&&(this.key===t.key&&this.value===t.value)},
e.prototype.evaluate=function(e){return e.getValue(this.key)==this.value},e.prototype.normalize=function(){return"boolean"==typeof this.value?this.value?new a(this.key):new d(this.key):this},e.prototype.keys=function(){return[this.key]},e}();t.ContextKeyEqualsExpr=l;var u=function(){function e(e,t){this.key=e,this.value=t}return e.prototype.getType=function(){return 4},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:this.value<e.value?-1:this.value>e.value?1:0},e.prototype.equals=function(t){return t instanceof e&&(this.key===t.key&&this.value===t.value)},e.prototype.evaluate=function(e){return e.getValue(this.key)!=this.value},e.prototype.normalize=function(){return"boolean"==typeof this.value?this.value?new d(this.key):new a(this.key):this},e.prototype.keys=function(){return[this.key]},e}();t.ContextKeyNotEqualsExpr=u;var d=function(){function e(e){this.key=e}return e.prototype.getType=function(){return 2},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:0},
e.prototype.equals=function(t){return t instanceof e&&this.key===t.key},e.prototype.evaluate=function(e){return!e.getValue(this.key)},e.prototype.normalize=function(){return this},e.prototype.keys=function(){return[this.key]},e}();t.ContextKeyNotExpr=d;var c=function(){function e(e,t){this.key=e,this.regexp=t}return e.prototype.getType=function(){return 6},e.prototype.cmp=function(e){if(this.key<e.key)return-1;if(this.key>e.key)return 1;var t=this.regexp?this.regexp.source:"",n=e.regexp?e.regexp.source:"";return t<n?-1:t>n?1:0},e.prototype.equals=function(t){if(t instanceof e){var n=this.regexp?this.regexp.source:"",i=t.regexp?t.regexp.source:"";return this.key===t.key&&n===i}return!1},e.prototype.evaluate=function(e){var t=e.getValue(this.key);return!!this.regexp&&this.regexp.test(t)},e.prototype.normalize=function(){return this},e.prototype.keys=function(){return[this.key]},e}();t.ContextKeyRegexExpr=c;var h=function(){function e(t){this.expr=e._normalizeArr(t)}return e.prototype.getType=function(){return 5
},e.prototype.equals=function(t){if(t instanceof e){if(this.expr.length!==t.expr.length)return!1;for(var n=0,i=this.expr.length;n<i;n++)if(!this.expr[n].equals(t.expr[n]))return!1;return!0}return!1},e.prototype.evaluate=function(e){for(var t=0,n=this.expr.length;t<n;t++)if(!this.expr[t].evaluate(e))return!1;return!0},e._normalizeArr=function(t){var n=[];if(t){for(var i=0,o=t.length;i<o;i++){var s=t[i];s&&((s=s.normalize())&&(s instanceof e?n=n.concat(s.expr):n.push(s)))}n.sort(r)}return n},e.prototype.normalize=function(){return 0===this.expr.length?null:1===this.expr.length?this.expr[0]:this},e.prototype.keys=function(){for(var e=[],t=0,n=this.expr;t<n.length;t++){var i=n[t];e.push.apply(e,i.keys())}return e},e}();t.ContextKeyAndExpr=h;var p=function(e){function t(t,n){var i=e.call(this,t)||this;return i._defaultValue=n,i}return o(t,e),t.prototype.bindTo=function(e){return e.createKey(this.key,this._defaultValue)},t.prototype.getValue=function(e){return e.getContextKeyValue(this.key)},
t.prototype.toNegated=function(){return s.not(this.key)},t}(a);t.RawContextKey=p,t.IContextKeyService=i.createDecorator("contextKeyService"),t.SET_CONTEXT_COMMAND_ID="setContext"}),define(t[19],n([0,1,18]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e.editorTextFocus=new n.RawContextKey("editorTextFocus",!1),e.focus=new n.RawContextKey("editorFocus",!1),e.textInputFocus=new n.RawContextKey("textInputFocus",!1),e.readOnly=new n.RawContextKey("editorReadonly",!1),e.writable=e.readOnly.toNegated(),e.hasNonEmptySelection=new n.RawContextKey("editorHasSelection",!1),e.hasOnlyEmptySelection=e.hasNonEmptySelection.toNegated(),e.hasMultipleSelections=new n.RawContextKey("editorHasMultipleSelections",!1),e.hasSingleSelection=e.hasMultipleSelections.toNegated(),e.tabMovesFocus=new n.RawContextKey("editorTabMovesFocus",!1),e.tabDoesNotMoveFocus=e.tabMovesFocus.toNegated(),e.isInEmbeddedEditor=new n.RawContextKey("isInEmbeddedEditor",!1),
e.canUndo=new n.RawContextKey("canUndo",!1),e.canRedo=new n.RawContextKey("canRedo",!1),e.languageId=new n.RawContextKey("editorLangId",""),e.hasCompletionItemProvider=new n.RawContextKey("editorHasCompletionItemProvider",!1),e.hasCodeActionsProvider=new n.RawContextKey("editorHasCodeActionsProvider",!1),e.hasCodeLensProvider=new n.RawContextKey("editorHasCodeLensProvider",!1),e.hasDefinitionProvider=new n.RawContextKey("editorHasDefinitionProvider",!1),e.hasImplementationProvider=new n.RawContextKey("editorHasImplementationProvider",!1),e.hasTypeDefinitionProvider=new n.RawContextKey("editorHasTypeDefinitionProvider",!1),e.hasHoverProvider=new n.RawContextKey("editorHasHoverProvider",!1),e.hasDocumentHighlightProvider=new n.RawContextKey("editorHasDocumentHighlightProvider",!1),e.hasDocumentSymbolProvider=new n.RawContextKey("editorHasDocumentSymbolProvider",!1),e.hasReferenceProvider=new n.RawContextKey("editorHasReferenceProvider",!1),e.hasRenameProvider=new n.RawContextKey("editorHasRenameProvider",!1),
e.hasDocumentFormattingProvider=new n.RawContextKey("editorHasDocumentFormattingProvider",!1),e.hasDocumentSelectionFormattingProvider=new n.RawContextKey("editorHasDocumentSelectionFormattingProvider",!1),e.hasSignatureHelpProvider=new n.RawContextKey("editorHasSignatureHelpProvider",!1)}(t.EditorContextKeys||(t.EditorContextKeys={}))}),define(t[405],n([0,1,2,18]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(t,n){this._editor=t,this._ckOtherSuggestions=e.OtherSuggestions.bindTo(n)}return e.prototype.dispose=function(){this.reset()},e.prototype.reset=function(){this._ckOtherSuggestions.reset(),n.dispose(this._listener),this._model=void 0,this._acceptNext=void 0,this._ignore=!1},e.prototype.set=function(t,n){var i=this,o=t.model,r=t.index;if(0!==o.items.length){e._moveIndex(!0,o,r)!==r?(this._acceptNext=n,this._model=o,this._index=r,this._listener=this._editor.onDidChangeCursorPosition(function(){i._ignore||i.reset()}),
this._ckOtherSuggestions.set(!0)):this.reset()}else this.reset()},e._moveIndex=function(e,t,n){for(var i=n;;){if((i=(i+t.items.length+(e?1:-1))%t.items.length)===n)break;if(!t.items[i].suggestion.additionalTextEdits)break}return i},e.prototype.next=function(){this._move(!0)},e.prototype.prev=function(){this._move(!1)},e.prototype._move=function(t){if(this._model)try{this._ignore=!0,this._index=e._moveIndex(t,this._model,this._index),this._acceptNext({index:this._index,item:this._model.items[this._index],model:this._model})}finally{this._ignore=!1}},e.OtherSuggestions=new i.RawContextKey("hasOtherSuggestions",!1),e=a([u(1,i.IContextKeyService)],e)}();t.SuggestAlternatives=o}),define(t[406],n([0,1,18,2]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(t,n){var i=this;this._editor=t,this._ckAtEnd=e.AtEnd.bindTo(n),this._editor.onDidChangeConfiguration(function(e){return e.contribInfo&&i._update()}),this._update()}return e.prototype.dispose=function(){
i.dispose(this._confListener,this._selectionListener),this._ckAtEnd.reset()},e.prototype._update=function(){var e=this,t="on"===this._editor.getConfiguration().contribInfo.tabCompletion;if(this._enabled!==t)if(this._enabled=t,this._enabled){var n=function(){if(e._editor.hasModel()){var t=e._editor.getModel(),n=e._editor.getSelection(),i=t.getWordAtPosition(n.getStartPosition());i?e._ckAtEnd.set(i.endColumn===n.getStartPosition().column):e._ckAtEnd.set(!1)}else e._ckAtEnd.set(!1)};this._selectionListener=this._editor.onDidChangeCursorSelection(n),n()}else this._selectionListener&&(this._ckAtEnd.reset(),this._selectionListener.dispose(),this._selectionListener=void 0)},e.AtEnd=new n.RawContextKey("atEndOfWord",!1),e=a([u(1,n.IContextKeyService)],e)}();t.WordContextKey=o}),define(t[37],n([0,1,56,15,18,31]),function(e,t,n,i,r,s){"use strict";function l(e){return void 0!==e.command}Object.defineProperty(t,"__esModule",{value:!0}),t.isIMenuItem=l;var d=function(){function e(){this.id=String(e.ID++)}return e.ID=1,
e.EditorContext=new e,e.CommandPalette=new e,e.MenubarEditMenu=new e,e.MenubarSelectionMenu=new e,e.MenubarGoMenu=new e,e}();t.MenuId=d,t.IMenuService=i.createDecorator("menuService"),t.MenuRegistry=new(function(){function e(){this._commands=Object.create(null),this._menuItems=Object.create(null)}return e.prototype.addCommand=function(e){var t=this._commands[e.id];return this._commands[e.id]=e,void 0!==t},e.prototype.getCommand=function(e){return this._commands[e]},e.prototype.getCommands=function(){var e=Object.create(null);for(var t in this._commands)e[t]=this.getCommand(t);return e},e.prototype.appendMenuItem=function(e,t){var n=e.id,i=this._menuItems[n];return i?i.push(t):this._menuItems[n]=i=[t],{dispose:function(){var e=i.indexOf(t);e>=0&&i.splice(e,1)}}},e.prototype.getMenuItems=function(e){var t=e.id,n=this._menuItems[t]||[];return t===d.CommandPalette.id&&this._appendImplicitItems(n),n},e.prototype._appendImplicitItems=function(e){for(var t=new Set,n=0,i=e.filter(function(e){return l(e)
});n<i.length;n++){var o=i[n],r=o.command,s=o.alt;t.add(r.id),s&&t.add(s.id)}for(var a in this._commands)t.has(a)||e.push({command:this._commands[a]})},e}());var c=function(e){function t(t,n,i){var o=e.call(this,t,n)||this;return o._commandService=i,o}return o(t,e),t.prototype.run=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var n;return(n=this._commandService).executeCommand.apply(n,[this.id].concat(e))},t=a([u(2,s.ICommandService)],t)}(n.Action);t.ExecuteCommandAction=c;var h=function(e){function t(t){var n=this;return n="string"==typeof t.title?e.call(this,"",t.title,"submenu")||this:e.call(this,"",t.title.value,"submenu")||this,n.item=t,n}return o(t,e),t}(n.Action);t.SubmenuItemAction=h;var p=function(e){function t(n,i,o,r,s){var a=this;return a="string"==typeof n.title?e.call(this,n.id,n.title,s)||this:e.call(this,n.id,n.title.value,s)||this,a._cssClass=void 0,a._enabled=!n.precondition||r.contextMatchesRules(n.precondition),
a._checked=Boolean(n.toggled&&r.contextMatchesRules(n.toggled)),a._options=o||{},a.item=n,a.alt=i?new t(i,void 0,a._options,r,s):void 0,a}return o(t,e),t.prototype.run=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];var i=[];return this._options.arg&&(i=i.concat([this._options.arg])),this._options.shouldForwardArgs&&(i=i.concat(t)),e.prototype.run.apply(this,i)},t=a([u(3,r.IContextKeyService),u(4,s.ICommandService)],t)}(c);t.MenuItemAction=p}),define(t[408],n([0,1,6,2,18,37,31]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(t,i,o,s){var a=this;this._commandService=o,this._contextKeyService=s,this._menuGroups=[],this._disposables=[],this._onDidChange=new n.Emitter,i.then(function(n){var i,o=r.MenuRegistry.getMenuItems(t),s=new Set;o.sort(e._compareMenuItems);for(var l=0,u=o;l<u.length;l++){var d=u[l],c=d.group;i&&i[0]===c||(i=[c||"",[]],a._menuGroups.push(i)),i[1].push(d),e._fillInKbExprKeys(d.when,s),
r.isIMenuItem(d)&&d.command.precondition&&e._fillInKbExprKeys(d.command.precondition,s),r.isIMenuItem(d)&&d.command.toggled&&e._fillInKbExprKeys(d.command.toggled,s)}a._disposables.push(a._contextKeyService.onDidChangeContext(function(e){e.affectsSome(s)&&a._onDidChange.fire()})),a._onDidChange.fire(a)})}return e.prototype.dispose=function(){this._disposables=i.dispose(this._disposables),this._onDidChange.dispose()},e.prototype.getActions=function(e){for(var t=[],n=0,i=this._menuGroups;n<i.length;n++){for(var o=i[n],s=o[0],a=[],l=0,u=o[1];l<u.length;l++){var d=u[l];if(this._contextKeyService.contextMatchesRules(d.when||null)){var c=r.isIMenuItem(d)?new r.MenuItemAction(d.command,d.alt,e,this._contextKeyService,this._commandService):new r.SubmenuItemAction(d);a.push(c)}}a.length>0&&t.push([s,a])}return t},e._fillInKbExprKeys=function(e,t){if(e)for(var n=0,i=e.keys();n<i.length;n++){var o=i[n];t.add(o)}},e._compareMenuItems=function(e,t){var n=e.group,i=t.group;if(n!==i){if(!n)return 1;if(!i)return-1
;if("navigation"===n)return-1;if("navigation"===i)return 1;var o=n.localeCompare(i);if(0!==o)return o}var r=e.order||0,s=t.order||0;if(r<s)return-1;if(r>s)return 1;var a="string"==typeof e.command.title?e.command.title:e.command.title.value,l="string"==typeof t.command.title?t.command.title:t.command.title.value;return a.localeCompare(l)},e=a([u(2,s.ICommandService),u(3,o.IContextKeyService)],e)}();t.Menu=l}),define(t[60],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IContextViewService=n.createDecorator("contextViewService"),t.IContextMenuService=n.createDecorator("contextMenuService")}),define(t[410],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IDialogService=n.createDecorator("dialogService")}),define(t[98],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];this._entries=new Map
;for(var n=0,i=e;n<i.length;n++){var o=i[n],r=o[0],s=o[1];this.set(r,s)}}return e.prototype.set=function(e,t){var n=this._entries.get(e);return this._entries.set(e,t),n},e.prototype.has=function(e){return this._entries.has(e)},e.prototype.get=function(e){return this._entries.get(e)},e}();t.ServiceCollection=n}),define(t[412],n([0,1,11,32,357,356,15,98]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e,t,n){void 0===e&&(e=new l.ServiceCollection),void 0===t&&(t=!1),this._services=e,this._strict=t,this._parent=n,this._services.set(a.IInstantiationService,this)}return e.prototype.createChild=function(t){return new e(t,this._strict,this)},e.prototype.invokeFunction=function(e){for(var t=this,i=[],o=1;o<arguments.length;o++)i[o-1]=arguments[o];var r=d.traceInvocation(e),s=!1;try{var l={get:function(e,i){if(s)throw n.illegalState("service accessor is only valid during the invocation of its target method");var o=t._getOrCreateServiceInstance(e,r)
;if(!o&&i!==a.optional)throw new Error("[invokeFunction] unknown service '"+e+"'");return o}};return e.apply(void 0,[l].concat(i))}finally{s=!0,r.stop()}},e.prototype.createInstance=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var i,o;return e instanceof s.SyncDescriptor?(i=d.traceCreation(e.ctor),o=this._createInstance(e.ctor,e.staticArguments.concat(t),i)):(i=d.traceCreation(e),o=this._createInstance(e,t,i)),i.stop(),o},e.prototype._createInstance=function(e,t,n){void 0===t&&(t=[]);for(var o=a._util.getServiceDependencies(e).sort(function(e,t){return e.index-t.index}),r=[],s=0,l=o;s<l.length;s++){var u=l[s],d=this._getOrCreateServiceInstance(u.id,n);if(!d&&this._strict&&!u.optional)throw new Error("[createInstance] "+e.name+" depends on UNKNOWN service "+u.id+".");r.push(d)}var c=o.length>0?o[0].index:t.length;if(t.length!==c){console.warn("[createInstance] First service dependency of "+e.name+" at position "+(c+1)+" conflicts with "+t.length+" static arguments");var h=c-t.length
;t=h>0?t.concat(new Array(h)):t.slice(0,c)}return i.create.apply(null,[e].concat(t,r))},e.prototype._setServiceInstance=function(e,t){if(this._services.get(e)instanceof s.SyncDescriptor)this._services.set(e,t);else{if(!this._parent)throw new Error("illegalState - setting UNKNOWN service instance");this._parent._setServiceInstance(e,t)}},e.prototype._getServiceInstanceOrDescriptor=function(e){var t=this._services.get(e);return!t&&this._parent?this._parent._getServiceInstanceOrDescriptor(e):t},e.prototype._getOrCreateServiceInstance=function(e,t){var n=this._getServiceInstanceOrDescriptor(e);return n instanceof s.SyncDescriptor?this._createAndCacheServiceInstance(e,n,t.branch(e,!0)):(t.branch(e,!1),n)},e.prototype._createAndCacheServiceInstance=function(e,t,n){function i(){var e=new Error("[createInstance] cyclic dependency between services");throw e.message=o.toString(),e}for(var o=new r.Graph(function(e){return e.id.toString()}),l=0,u=[{id:e,desc:t,_trace:n}];u.length;){var d=u.pop();o.lookupOrInsertNode(d),
l++>100&&i();for(var c=0,h=a._util.getServiceDependencies(d.desc.ctor);c<h.length;c++){var p=h[c],f=this._getServiceInstanceOrDescriptor(p.id);if(f||p.optional||console.warn("[createInstance] "+e+" depends on "+p.id+" which is NOT registered."),f instanceof s.SyncDescriptor){var g={id:p.id,desc:f,_trace:d._trace.branch(p.id,!0)};o.insertEdge(d,g),u.push(g)}}}for(;;){var m=o.roots();if(0===m.length){o.isEmpty()||i();break}for(var v=0,_=m;v<_.length;v++){var y=_[v].data,C=this._createServiceInstanceWithOwner(y.id,y.desc.ctor,y.desc.staticArguments,!1,y._trace);this._setServiceInstance(y.id,C),o.removeNode(y)}}return this._getServiceInstanceOrDescriptor(e)},e.prototype._createServiceInstanceWithOwner=function(e,t,n,i,o){if(void 0===n&&(n=[]),this._services.get(e)instanceof s.SyncDescriptor)return this._createServiceInstance(t,n,i,o);if(this._parent)return this._parent._createServiceInstanceWithOwner(e,t,n,i,o);throw new Error("illegalState - creating UNKNOWN service instance")},
e.prototype._createServiceInstance=function(e,t,n,i){return void 0===t&&(t=[]),this._createInstance(e,t,i)},e}();t.InstantiationService=u;var d=function(){function e(e,t){this.type=e,this.name=t,this._start=Date.now(),this._dep=[]}return e.traceInvocation=function(t){return e._None},e.traceCreation=function(t){return e._None},e.prototype.branch=function(t,n){var i=new e(2,t.toString());return this._dep.push([t,n,i]),i},e.prototype.stop=function(){function t(e,n){for(var o=[],r=new Array(e+1).join("\t"),s=0,a=n._dep;s<a.length;s++){var l=a[s],u=l[0],d=l[1],c=l[2];if(d&&c){i=!0,o.push(r+"CREATES -> "+u);var h=t(e+1,c);h&&o.push(h)}else o.push(r+"uses -> "+u)}return o.join("\n")}var n=Date.now()-this._start;e._totals+=n;var i=!1,o=[(0===this.type?"CREATE":"CALL")+" "+this.name,""+t(1,this),"DONE, took "+n.toFixed(2)+"ms (grand total "+e._totals.toFixed(2)+"ms)"];(n>2||i)&&console.log(o.join("\n"))},e._None=new(function(e){function t(){return e.call(this,-1,null)||this}return o(t,e),t.prototype.stop=function(){},
t.prototype.branch=function(){return this},t}(e)),e._totals=0,e}()}),define(t[413],n([0,1,351,16,6,2]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t,n,o,s,a){var l=e.call(this)||this;return l._contextKeyService=t,l._commandService=n,l._telemetryService=o,l._statusService=a,l._notificationService=s,l._currentChord=null,l._currentChordChecker=new i.IntervalTimer,l._currentChordStatusMessage=null,l._onDidUpdateKeybindings=l._register(new r.Emitter),l}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},Object.defineProperty(t.prototype,"onDidUpdateKeybindings",{get:function(){return this._onDidUpdateKeybindings?this._onDidUpdateKeybindings.event:r.Event.None},enumerable:!0,configurable:!0}),t.prototype.lookupKeybinding=function(e){var t=this._getResolver().lookupPrimaryKeybinding(e);return t?t.resolvedKeybinding:null},t.prototype._enterChordMode=function(e,t){var i=this;this._currentChord={keypress:e,label:t},
this._statusService&&(this._currentChordStatusMessage=this._statusService.setStatusMessage(n.localize(0,null,t)));var o=Date.now();this._currentChordChecker.cancelAndSet(function(){i._documentHasFocus()?Date.now()-o>5e3&&i._leaveChordMode():i._leaveChordMode()},500)},t.prototype._leaveChordMode=function(){this._currentChordStatusMessage&&(this._currentChordStatusMessage.dispose(),this._currentChordStatusMessage=null),this._currentChordChecker.cancel(),this._currentChord=null},t.prototype._dispatch=function(e,t){var i=this,o=!1,r=this.resolveKeyboardEvent(e);if(r.isChord())return console.warn("Unexpected keyboard event mapped to a chord"),!1;var s=r.getDispatchParts()[0];if(null===s)return o;var a=this._contextKeyService.getContext(t),l=this._currentChord?this._currentChord.keypress:null,u=r.getLabel(),d=this._getResolver().resolve(a,l,s);return d&&d.enterChord?(o=!0,this._enterChordMode(s,u),
o):(this._statusService&&this._currentChord&&(d&&d.commandId||(this._statusService.setStatusMessage(n.localize(1,null,this._currentChord.label,u),1e4),o=!0)),this._leaveChordMode(),d&&d.commandId&&(d.bubble||(o=!0),void 0===d.commandArgs?this._commandService.executeCommand(d.commandId).then(void 0,function(e){return i._notificationService.warn(e)}):this._commandService.executeCommand(d.commandId,d.commandArgs).then(void 0,function(e){return i._notificationService.warn(e)}),this._telemetryService.publicLog("workbenchActionExecuted",{id:d.commandId,from:"keybinding"})),o)},t}(s.Disposable);t.AbstractKeybindingService=a}),define(t[47],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IKeybindingService=n.createDecorator("keybindingService")}),define(t[155],n([0,1,18]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(t,n){this._defaultKeybindings=t,this._defaultBoundCommands=new Map;for(var i=0,o=t.length;i<o;i++){
var r=t[i].command;r&&this._defaultBoundCommands.set(r,!0)}this._map=new Map,this._lookupMap=new Map,this._keybindings=e.combine(t,n);for(var i=0,o=this._keybindings.length;i<o;i++){var s=this._keybindings[i];null!==s.keypressFirstPart&&this._addKeyPress(s.keypressFirstPart,s)}}return e._isTargetedForRemoval=function(e,t,n,i,o){if(e.command!==i)return!1;if(t&&e.keypressFirstPart!==t)return!1;if(n&&e.keypressChordPart!==n)return!1;if(o){if(!e.when)return!1;if(!o.equals(e.when))return!1}return!0},e.combine=function(e,t){e=e.slice(0);for(var n=[],i=0,o=t.length;i<o;i++){var r=t[i];if(r.command&&0!==r.command.length&&"-"===r.command.charAt(0))for(var s=r.command.substr(1),a=r.keypressFirstPart,l=r.keypressChordPart,u=r.when,d=e.length-1;d>=0;d--)this._isTargetedForRemoval(e[d],a,l,s,u)&&e.splice(d,1);else n.push(r)}return e.concat(n)},e.prototype._addKeyPress=function(t,n){var i=this._map.get(t);if(void 0===i)return this._map.set(t,[n]),void this._addToLookupMap(n);for(var o=i.length-1;o>=0;o--){var r=i[o]
;if(r.command!==n.command){var s=null!==r.keypressChordPart,a=null!==n.keypressChordPart;s&&a&&r.keypressChordPart!==n.keypressChordPart||e.whenIsEntirelyIncluded(r.when,n.when)&&this._removeFromLookupMap(r)}}i.push(n),this._addToLookupMap(n)},e.prototype._addToLookupMap=function(e){if(e.command){var t=this._lookupMap.get(e.command);void 0===t?(t=[e],this._lookupMap.set(e.command,t)):t.push(e)}},e.prototype._removeFromLookupMap=function(e){if(e.command){var t=this._lookupMap.get(e.command);if(void 0!==t)for(var n=0,i=t.length;n<i;n++)if(t[n]===e)return void t.splice(n,1)}},e.whenIsEntirelyIncluded=function(e,t){if(!t)return!0;if(!e)return!1;for(var i=e instanceof n.ContextKeyAndExpr?e.expr:[e],o=t instanceof n.ContextKeyAndExpr?t.expr:[t],r=0,s=0;s<o.length;s++){for(var a=o[s],l=!1;!l&&r<i.length;){i[r].equals(a)&&(l=!0),r++}if(!l)return!1}return!0},e.prototype.lookupPrimaryKeybinding=function(e){var t=this._lookupMap.get(e);return void 0===t||0===t.length?null:t[t.length-1]},
e.prototype.resolve=function(e,t,n){var i=null;if(null!==t){if(void 0===(a=this._map.get(t)))return null;i=[];for(var o=0,r=a.length;o<r;o++){var s=a[o];s.keypressChordPart===n&&i.push(s)}}else{var a=this._map.get(n);if(void 0===a)return null;i=a}var l=this._findCommand(e,i);return l?null===t&&null!==l.keypressChordPart?{enterChord:!0,commandId:null,commandArgs:null,bubble:!1}:{enterChord:!1,commandId:l.command,commandArgs:l.commandArgs,bubble:l.bubble}:null},e.prototype._findCommand=function(t,n){for(var i=n.length-1;i>=0;i--){var o=n[i];if(e.contextMatchesRules(t,o.when))return o}return null},e.contextMatchesRules=function(e,t){return!t||t.evaluate(e)},e}();t.KeybindingResolver=i}),define(t[416],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){return function(e,t,n,i,o){if(this.resolvedKeybinding=e,e){var r=e.getDispatchParts(),s=r[0],a=r[1];this.keypressFirstPart=s,this.keypressChordPart=a}else this.keypressFirstPart=null,this.keypressChordPart=null
;this.bubble=!!t&&94===t.charCodeAt(0),this.command=this.bubble?t.substr(1):t,this.commandArgs=n,this.when=i,this.isDefault=o}}();t.ResolvedKeybindingItem=n}),define(t[417],n([0,1,36,154]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(t,n){var i=e.call(this)||this;if(i._os=n,!t)throw new Error("Invalid USLayoutResolvedKeybinding");return 2===t.type?(i._firstPart=t.firstPart,i._chordPart=t.chordPart):(i._firstPart=t,i._chordPart=null),i}return o(t,e),t.prototype._keyCodeToUILabel=function(e){if(2===this._os)switch(e){case 15:return"←";case 16:return"↑";case 17:return"→";case 18:return"↓"}return n.KeyCodeUtils.toString(e)},t.prototype._getUILabelForKeybinding=function(e){return e?e.isDuplicateModifierCase()?"":this._keyCodeToUILabel(e.keyCode):null},t.prototype.getLabel=function(){var e=this._getUILabelForKeybinding(this._firstPart),t=this._getUILabelForKeybinding(this._chordPart)
;return i.UILabelProvider.toLabel(this._firstPart,e,this._chordPart,t,this._os)},t.prototype._getAriaLabelForKeybinding=function(e){return e?e.isDuplicateModifierCase()?"":n.KeyCodeUtils.toString(e.keyCode):null},t.prototype.getAriaLabel=function(){var e=this._getAriaLabelForKeybinding(this._firstPart),t=this._getAriaLabelForKeybinding(this._chordPart);return i.AriaLabelProvider.toLabel(this._firstPart,e,this._chordPart,t,this._os)},t.prototype.isChord=function(){return!!this._chordPart},t.prototype.getParts=function(){return[this._toResolvedKeybindingPart(this._firstPart),this._chordPart?this._toResolvedKeybindingPart(this._chordPart):null]},t.prototype._toResolvedKeybindingPart=function(e){return new n.ResolvedKeybindingPart(e.ctrlKey,e.shiftKey,e.altKey,e.metaKey,this._getUILabelForKeybinding(e),this._getAriaLabelForKeybinding(e))},t.prototype.getDispatchParts=function(){return[this._firstPart?t.getDispatchStr(this._firstPart):null,this._chordPart?t.getDispatchStr(this._chordPart):null]},
t.getDispatchStr=function(e){if(e.isModifierKey())return null;var t="";return e.ctrlKey&&(t+="ctrl+"),e.shiftKey&&(t+="shift+"),e.altKey&&(t+="alt+"),e.metaKey&&(t+="meta+"),t+=n.KeyCodeUtils.toString(e.keyCode)},t}(n.ResolvedKeybinding);t.USLayoutResolvedKeybinding=r}),define(t[156],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.ILabelService=n.createDecorator("label")}),define(t[116],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ILogService=n.createDecorator("logService");var i=function(){function e(){}return e.prototype.trace=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n]},e.prototype.error=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n]},e.prototype.dispose=function(){},e}();t.NullLogService=i}),define(t[76],n([0,1,15,353,114]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r;!function(e){e[e.Hint=1]="Hint",e[e.Info=2]="Info",
e[e.Warning=4]="Warning",e[e.Error=8]="Error"}(r=t.MarkerSeverity||(t.MarkerSeverity={})),function(e){e.compare=function(e,t){return t-e};var t=Object.create(null);t[e.Error]=i.localize(0,null),t[e.Warning]=i.localize(1,null),t[e.Info]=i.localize(2,null),e.toString=function(e){return t[e]||""},e.fromSeverity=function(t){switch(t){case o.default.Error:return e.Error;case o.default.Warning:return e.Warning;case o.default.Info:return e.Info;case o.default.Ignore:return e.Hint}}}(r=t.MarkerSeverity||(t.MarkerSeverity={}));!function(e){var t="";e.makeKey=function(e){var n=[t];return e.source?n.push(e.source.replace("¦","¦")):n.push(t),e.code?n.push(e.code.replace("¦","¦")):n.push(t),void 0!==e.severity&&null!==e.severity?n.push(r.toString(e.severity)):n.push(t),e.message?n.push(e.message.replace("¦","¦")):n.push(t),void 0!==e.startLineNumber&&null!==e.startLineNumber?n.push(e.startLineNumber.toString()):n.push(t),void 0!==e.startColumn&&null!==e.startColumn?n.push(e.startColumn.toString()):n.push(t),
void 0!==e.endLineNumber&&null!==e.endLineNumber?n.push(e.endLineNumber.toString()):n.push(t),void 0!==e.endColumn&&null!==e.endColumn?n.push(e.endColumn.toString()):n.push(t),n.push(t),n.join("¦")}}(t.IMarkerData||(t.IMarkerData={})),t.IMarkerService=n.createDecorator("markerService")}),define(t[421],n([0,1,22,50,32,6,76]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a;!function(e){e.get=function(e,t,n){if(e[t])return e[t][n]},e.set=function(e,t,n,i){e[t]||(e[t]=Object.create(null)),e[t][n]=i},e.remove=function(e,t,n){return!(!e[t]||!e[t][n]||(delete e[t][n],o.isEmptyObject(e[t])&&delete e[t],0))}}(a||(a={}));var l=function(){function e(e){this.errors=0,this.infos=0,this.warnings=0,this.unknowns=0,this._data=Object.create(null),this._service=e,this._subscription=e.onMarkerChanged(this._update,this)}return e.prototype.dispose=function(){this._subscription.dispose(),this._data=void 0},e.prototype._update=function(e){if(this._data)for(var t=0,n=e;t<n.length;t++){
var i=n[t],o=i.toString(),r=this._data[o];r&&this._substract(r);var s=this._resourceStats(i);this._add(s),this._data[o]=s}},e.prototype._resourceStats=function(e){var t={errors:0,warnings:0,infos:0,unknowns:0};if(e.scheme===i.Schemas.inMemory||e.scheme===i.Schemas.walkThrough||e.scheme===i.Schemas.walkThroughSnippet)return t;for(var n=0,o=this._service.read({resource:e});n<o.length;n++){var r=o[n].severity;r===s.MarkerSeverity.Error?t.errors+=1:r===s.MarkerSeverity.Warning?t.warnings+=1:r===s.MarkerSeverity.Info?t.infos+=1:t.unknowns+=1}return t},e.prototype._substract=function(e){this.errors-=e.errors,this.warnings-=e.warnings,this.infos-=e.infos,this.unknowns-=e.unknowns},e.prototype._add=function(e){this.errors+=e.errors,this.warnings+=e.warnings,this.infos+=e.infos,this.unknowns+=e.unknowns},e}(),u=function(){function e(){this._onMarkerChanged=new r.Emitter,this._onMarkerChangedEvent=r.debounceEvent(this._onMarkerChanged.event,e._debouncer,0),this._byResource=Object.create(null),
this._byOwner=Object.create(null),this._stats=new l(this)}return e.prototype.dispose=function(){this._stats.dispose()},Object.defineProperty(e.prototype,"onMarkerChanged",{get:function(){return this._onMarkerChangedEvent},enumerable:!0,configurable:!0}),e.prototype.remove=function(e,t){if(!n.isFalsyOrEmpty(t))for(var i=0,o=t;i<o.length;i++){var r=o[i];this.changeOne(e,r,[])}},e.prototype.changeOne=function(t,i,o){if(n.isFalsyOrEmpty(o)){var r=a.remove(this._byResource,i.toString(),t),s=a.remove(this._byOwner,t,i.toString());if(r!==s)throw new Error("invalid marker service state");r&&s&&this._onMarkerChanged.fire([i])}else{for(var l=[],u=0,d=o;u<d.length;u++){var c=d[u],h=e._toMarker(t,i,c);h&&l.push(h)}a.set(this._byResource,i.toString(),t,l),a.set(this._byOwner,t,i.toString(),l),this._onMarkerChanged.fire([i])}},e._toMarker=function(e,t,n){var i=n.code,o=n.severity,r=n.message,s=n.source,a=n.startLineNumber,l=n.startColumn,u=n.endLineNumber,d=n.endColumn,c=n.relatedInformation,h=n.tags;if(r)return a=a>0?a:1,
l=l>0?l:1,u=u>=a?u:a,d=d>0?d:l,{resource:t,owner:e,code:i||void 0,severity:o,message:r,source:s,startLineNumber:a,startColumn:l,endLineNumber:u,endColumn:d,relatedInformation:c,tags:h}},e.prototype.read=function(t){void 0===t&&(t=Object.create(null));var n=t.owner,i=t.resource,o=t.severities,r=t.take;if((!r||r<0)&&(r=-1),n&&i){if(y=a.get(this._byResource,i.toString(),n)){for(var s=[],l=0,u=y;l<u.length;l++){var d=u[l];if(e._accept(d,o)){C=s.push(d);if(r>0&&C===r)break}}return s}return[]}if(n||i){var c=n?this._byOwner[n]:i?this._byResource[i.toString()]:void 0;if(!c)return[];s=[];for(var h in c)for(var p=0,f=c[h];p<f.length;p++){y=f[p];if(e._accept(y,o)){C=s.push(y);if(r>0&&C===r)return s}}return s}s=[];for(var g in this._byResource)for(var m in this._byResource[g])for(var v=0,_=this._byResource[g][m];v<_.length;v++){var y=_[v];if(e._accept(y,o)){var C=s.push(y);if(r>0&&C===r)return s}}return s},e._accept=function(e,t){return void 0===t||(t&e.severity)===e.severity},e._debouncer=function(t,n){
t||(e._dedupeMap=Object.create(null),t=[]);for(var i=0,o=n;i<o.length;i++){var r=o[i];void 0===e._dedupeMap[r.toString()]&&(e._dedupeMap[r.toString()]=!0,t.push(r))}return t},e}();t.MarkerService=u}),define(t[35],n([0,1,114,15]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Severity=n.default,t.INotificationService=i.createDecorator("notificationService");var o=function(){return function(){}}();t.NoOpNotification=o}),define(t[62],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IOpenerService=n.createDecorator("openerService"),t.NullOpenerService=Object.freeze({_serviceBrand:void 0,open:function(){return Promise.resolve(void 0)}})}),define(t[120],n([0,1,133,62,63,25,11,190,15,6,2,14]),function(e,t,n,i,o,r,s,l,d,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(e,t,n){void 0===n&&(n=i.NullOpenerService),this._editor=e,this._modeService=t,this._openerService=n,
this._onDidRenderCodeBlock=new c.Emitter,this.onDidRenderCodeBlock=this._onDidRenderCodeBlock.event}return e.prototype.getOptions=function(e){var t=this;return{codeBlockRenderer:function(e,n){var i=null;if(e)i=t._modeService.getModeIdForLanguageName(e);else{var o=t._editor.getModel();o&&(i=o.getLanguageIdentifier().language)}return t._modeService.triggerMode(i||""),Promise.resolve(!0).then(function(e){var t=p.TokenizationRegistry.getPromise(i||"");return t?t.then(function(e){return l.tokenizeToString(n,e)}):l.tokenizeToString(n,void 0)}).then(function(e){return'<span style="font-family: '+t._editor.getConfiguration().fontInfo.fontFamily+'">'+e+"</span>"})},codeBlockRenderCallback:function(){return t._onDidRenderCodeBlock.fire()},actionHandler:{callback:function(e){var n;try{n=r.URI.parse(e)}catch(e){}n&&t._openerService&&t._openerService.open(n).catch(s.onUnexpectedError)},disposeables:e}}},e.prototype.render=function(e){var t,i=[]
;return t=e?n.renderMarkdown(e,this.getOptions(i)):document.createElement("span"),{element:t,dispose:function(){return h.dispose(i)}}},e=a([u(1,o.IModeService),u(2,d.optional(i.IOpenerService))],e)}();t.MarkdownRenderer=f}),define(t[89],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IProgressService=n.createDecorator("progressService")}),define(t[41],n([0,1,32,135]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(){this.data={}}return e.prototype.add=function(e,t){i.ok(n.isString(e)),i.ok(n.isObject(t)),i.ok(!this.data.hasOwnProperty(e),"There is already an extension with this id"),this.data[e]=t},e.prototype.as=function(e){return this.data[e]||null},e}();t.Registry=new o}),define(t[104],n([0,1,298,6,14,39,41]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions={ModesRegistry:"editor.modesRegistry"};var a=function(){function e(){
this._onDidAddLanguages=new i.Emitter,this.onDidAddLanguages=this._onDidAddLanguages.event,this._languages=[]}return e.prototype.registerLanguage=function(e){this._languages.push(e),this._onDidAddLanguages.fire([e])},e.prototype.getLanguages=function(){return this._languages.slice(0)},e}();t.EditorModesRegistry=a,t.ModesRegistry=new a,s.Registry.add(t.Extensions.ModesRegistry,t.ModesRegistry),t.PLAINTEXT_MODE_ID="plaintext",t.PLAINTEXT_LANGUAGE_IDENTIFIER=new o.LanguageIdentifier(t.PLAINTEXT_MODE_ID,1),t.ModesRegistry.registerLanguage({id:t.PLAINTEXT_MODE_ID,extensions:[".txt",".gitignore"],aliases:[n.localize(0,null),"text"],mimetypes:["text/plain"]}),r.LanguageConfigurationRegistry.register(t.PLAINTEXT_LANGUAGE_IDENTIFIER,{brackets:[["(",")"],["[","]"],["{","}"]]})}),define(t[428],n([0,1,50,84,104,162]),function(e,t,n,i,o,r){"use strict";function s(e,t){var n=null;if(t){var i=e.getModel(t);if(i){var r=i.getLanguageIdentifier().language;r&&r!==o.PLAINTEXT_MODE_ID&&(n=r)}}return n}function a(e){
return e.replace(/\s/g,"\\$&")}Object.defineProperty(t,"__esModule",{value:!0}),t.getIconClasses=function(e,t,o,l){var u=l===r.FileKind.ROOT_FOLDER?["rootfolder-icon"]:l===r.FileKind.FOLDER?["folder-icon"]:["file-icon"];if(o){var d,c=void 0;if(o.scheme===n.Schemas.data?c=d=i.DataUri.parseMetaData(o).get(i.DataUri.META_DATA_LABEL):(d=a(i.basenameOrAuthority(o).toLowerCase()),c=o.path.toLowerCase()),l===r.FileKind.FOLDER)u.push(d+"-name-folder-icon");else{if(d){u.push(d+"-name-file-icon");for(var h=d.split("."),p=1;p<h.length;p++)u.push(h.slice(p).join(".")+"-ext-file-icon");u.push("ext-file-icon")}var f=s(e,o);(f=f||t.getModeIdByFilepathOrFirstLine(c))&&u.push(a(f)+"-lang-file-icon")}}return u},t.getConfiguredLangId=s,t.cssEscape=a}),define(t[429],n([0,1,41,6]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions={JSONContribution:"base.contributions.json"};var o=new(function(){function e(){this._onDidChangeSchema=new i.Emitter,this.schemasById={}}
return e.prototype.registerSchema=function(e,t){this.schemasById[function(e){return e.length>0&&"#"===e.charAt(e.length-1)?e.substring(0,e.length-1):e}(e)]=t,this._onDidChangeSchema.fire(e)},e}());n.Registry.add(t.Extensions.JSONContribution,o)}),define(t[82],n([0,1,350,6,41,32,8,429]),function(e,t,n,i,o,r,s,a){"use strict";function l(e){return t.OVERRIDE_PROPERTY_PATTERN.test(e)?n.localize(3,null,e):void 0!==f.getConfigurationProperties()[e]?n.localize(4,null,e):null}Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions={Configuration:"base.contributions.configuration"},t.allSettings={properties:{},patternProperties:{}},t.applicationSettings={properties:{},patternProperties:{}},t.windowSettings={properties:{},patternProperties:{}},t.resourceSettings={properties:{},patternProperties:{}},t.editorConfigurationSchemaId="vscode://schemas/settings/editor";var u=o.Registry.as(a.Extensions.JSONContribution),d=function(){function e(){this.overrideIdentifiers=[],this._onDidSchemaChange=new i.Emitter,
this._onDidRegisterConfiguration=new i.Emitter,this.configurationContributors=[],this.editorConfigurationSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting"},this.configurationProperties={},this.excludedConfigurationProperties={},this.computeOverridePropertyPattern(),u.registerSchema(t.editorConfigurationSchemaId,this.editorConfigurationSchema)}return e.prototype.registerConfiguration=function(e,t){void 0===t&&(t=!0),this.registerConfigurations([e],[],t)},e.prototype.registerConfigurations=function(e,t,n){var i=this;void 0===n&&(n=!0);var o=this.toConfiguration(t);o&&e.push(o);var r=[];e.forEach(function(e){r.push.apply(r,i.validateAndRegisterProperties(e,n)),i.configurationContributors.push(e),i.registerJSONConfiguration(e),i.updateSchemaForOverrideSettingsConfiguration(e)}),this._onDidRegisterConfiguration.fire(r)},e.prototype.registerOverrideIdentifiers=function(e){var t;(t=this.overrideIdentifiers).push.apply(t,e),
this.updateOverridePropertyPatternKey()},e.prototype.toConfiguration=function(e){for(var i={id:"defaultOverrides",title:n.localize(0,null),properties:{}},o=0,r=e;o<r.length;o++){var s=r[o];for(var a in s.defaults){var l=s.defaults[a];t.OVERRIDE_PROPERTY_PATTERN.test(a)&&"object"==typeof l&&(i.properties[a]={type:"object",default:l,description:n.localize(1,null,a),$ref:t.editorConfigurationSchemaId})}}return Object.keys(i.properties).length?i:null},e.prototype.validateAndRegisterProperties=function(e,n,i,o){void 0===n&&(n=!0),void 0===i&&(i=2),void 0===o&&(o=!1),i=r.isUndefinedOrNull(e.scope)?i:e.scope,o=e.overridable||o;var s=[],a=e.properties;if(a)for(var u in a){var d=void 0;if(n&&(d=l(u)))console.warn(d),delete a[u];else{var c=a[u],h=c.default;r.isUndefined(h)&&(c.default=function(e){switch(Array.isArray(e)?e[0]:e){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}(c.type)),o&&(c.overridable=!0),
t.OVERRIDE_PROPERTY_PATTERN.test(u)?c.scope=void 0:c.scope=r.isUndefinedOrNull(c.scope)?i:c.scope,!a[u].hasOwnProperty("included")||a[u].included?(this.configurationProperties[u]=a[u],s.push(u)):(this.excludedConfigurationProperties[u]=a[u],delete a[u])}}var p=e.allOf;if(p)for(var f=0,g=p;f<g.length;f++){var m=g[f];s.push.apply(s,this.validateAndRegisterProperties(m,n,i,o))}return s},e.prototype.getConfigurationProperties=function(){return this.configurationProperties},e.prototype.registerJSONConfiguration=function(e){function n(e){var i=e.properties;if(i)for(var o in i)switch(t.allSettings.properties[o]=i[o],i[o].scope){case 1:t.applicationSettings.properties[o]=i[o];break;case 2:t.windowSettings.properties[o]=i[o];break;case 3:t.resourceSettings.properties[o]=i[o]}var r=e.allOf;r&&r.forEach(n)}n(e),this._onDidSchemaChange.fire()},e.prototype.updateSchemaForOverrideSettingsConfiguration=function(e){e.id!==c&&(this.update(e),u.registerSchema(t.editorConfigurationSchemaId,this.editorConfigurationSchema))},
e.prototype.updateOverridePropertyPatternKey=function(){var e=t.allSettings.patternProperties[this.overridePropertyPattern];e||(e={type:"object",description:n.localize(2,null),errorMessage:"Unknown Identifier. Use language identifiers",$ref:t.editorConfigurationSchemaId}),delete t.allSettings.patternProperties[this.overridePropertyPattern],delete t.applicationSettings.patternProperties[this.overridePropertyPattern],delete t.windowSettings.patternProperties[this.overridePropertyPattern],delete t.resourceSettings.patternProperties[this.overridePropertyPattern],this.computeOverridePropertyPattern(),t.allSettings.patternProperties[this.overridePropertyPattern]=e,t.applicationSettings.patternProperties[this.overridePropertyPattern]=e,t.windowSettings.patternProperties[this.overridePropertyPattern]=e,t.resourceSettings.patternProperties[this.overridePropertyPattern]=e,this._onDidSchemaChange.fire()},e.prototype.update=function(e){var t=this,n=e.properties
;if(n)for(var i in n)n[i].overridable&&(this.editorConfigurationSchema.properties[i]=this.getConfigurationProperties()[i]);var o=e.allOf;o&&o.forEach(function(e){return t.update(e)})},e.prototype.computeOverridePropertyPattern=function(){this.overridePropertyPattern=this.overrideIdentifiers.length?p.replace("${0}",this.overrideIdentifiers.map(function(e){return s.createRegExp(e,!1).source}).join("|")):h},e}(),c="override",h="\\[.*\\]$",p="\\[(${0})\\]$";t.OVERRIDE_PROPERTY_PATTERN=new RegExp(h);var f=new d;o.Registry.add(t.Extensions.Configuration,f),t.validateProperty=l}),define(t[125],n([0,1,293,6,2,27,17,48,97,122,82,41]),function(e,t,n,i,r,s,a,l,u,d,c,h){"use strict";function p(){return null===b&&(b=Object.create(null),Object.keys(C.properties).forEach(function(e){b[e]=!0})),b}Object.defineProperty(t,"__esModule",{value:!0});var f=l.EDITOR_DEFAULTS,g=l.EDITOR_FONT_DEFAULTS,m=l.EDITOR_MODEL_DEFAULTS;t.TabFocus=new(function(){function e(){this._tabFocus=!1,this._onDidChangeTabFocus=new i.Emitter,
this.onDidChangeTabFocus=this._onDidChangeTabFocus.event}return e.prototype.getTabFocusMode=function(){return this._tabFocus},e.prototype.setTabFocusMode=function(e){this._tabFocus!==e&&(this._tabFocus=e,this._onDidChangeTabFocus.fire(this._tabFocus))},e}());var v=Object.hasOwnProperty,_=function(e){function n(n){var o=e.call(this)||this;return o._onDidChange=o._register(new i.Emitter),o.onDidChange=o._onDidChange.event,o._rawOptions=s.mixin({},n||{}),o._rawOptions.scrollbar=s.mixin({},o._rawOptions.scrollbar||{}),o._rawOptions.minimap=s.mixin({},o._rawOptions.minimap||{}),o._rawOptions.find=s.mixin({},o._rawOptions.find||{}),o._rawOptions.hover=s.mixin({},o._rawOptions.hover||{}),o._rawOptions.parameterHints=s.mixin({},o._rawOptions.parameterHints||{}),o._validatedOptions=l.EditorOptionsValidator.validate(o._rawOptions,f),o._isDominatedByLongLines=!1,o._lineNumbersDigitCount=1,o._register(u.EditorZoom.onDidChangeZoomLevel(function(e){return o._recomputeOptions()})),
o._register(t.TabFocus.onDidChangeTabFocus(function(e){return o._recomputeOptions()})),o}return o(n,e),n.prototype.observeReferenceElement=function(e){},n.prototype.dispose=function(){e.prototype.dispose.call(this)},n.prototype._recomputeOptions=function(){var e=this.editor,t=this._computeInternalOptions();e&&e.equals(t)||(this.editor=t,e&&this._onDidChange.fire(e.createChangeEvent(t)))},n.prototype.getRawOptions=function(){return this._rawOptions},n.prototype._computeInternalOptions=function(){var e=this._validatedOptions,n=this._getEnvConfiguration(),i=d.BareFontInfo.createFromRawSettings(this._rawOptions,n.zoomLevel),o={outerWidth:n.outerWidth,outerHeight:n.outerHeight,fontInfo:this.readConfiguration(i),extraEditorClassName:n.extraEditorClassName,isDominatedByLongLines:this._isDominatedByLongLines,lineNumbersDigitCount:this._lineNumbersDigitCount,emptySelectionClipboard:n.emptySelectionClipboard,pixelRatio:n.pixelRatio,tabFocusMode:t.TabFocus.getTabFocusMode(),accessibilitySupport:n.accessibilitySupport}
;return l.InternalEditorOptionsFactory.createInternalEditorOptions(o,e)},n._primitiveArrayEquals=function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0},n._subsetEquals=function(e,t){for(var n in t)if(v.call(t,n)){var i=t[n],o=e[n];if(o===i)continue;if(Array.isArray(o)&&Array.isArray(i)){if(!this._primitiveArrayEquals(o,i))return!1;continue}if("object"==typeof o&&"object"==typeof i){if(!this._subsetEquals(o,i))return!1;continue}return!1}return!0},n.prototype.updateOptions=function(e){void 0!==e&&(n._subsetEquals(this._rawOptions,e)||(this._rawOptions=s.mixin(this._rawOptions,e||{}),this._validatedOptions=l.EditorOptionsValidator.validate(this._rawOptions,f),this._recomputeOptions()))},n.prototype.setIsDominatedByLongLines=function(e){this._isDominatedByLongLines=e,this._recomputeOptions()},n.prototype.setMaxLineNumber=function(e){var t=n._digitCount(e);this._lineNumbersDigitCount!==t&&(this._lineNumbersDigitCount=t,this._recomputeOptions())},
n._digitCount=function(e){for(var t=0;e;)e=Math.floor(e/10),t++;return t||1},n}(r.Disposable);t.CommonEditorConfiguration=_;var y=h.Registry.as(c.Extensions.Configuration),C={id:"editor",order:5,type:"object",title:n.localize(0,null),overridable:!0,scope:3,properties:{"editor.fontFamily":{type:"string",default:g.fontFamily,description:n.localize(1,null)},"editor.fontWeight":{type:"string",enum:["normal","bold","100","200","300","400","500","600","700","800","900"],default:g.fontWeight,description:n.localize(2,null)},"editor.fontSize":{type:"number",default:g.fontSize,description:n.localize(3,null)},"editor.lineHeight":{type:"number",default:g.lineHeight,description:n.localize(4,null)},"editor.letterSpacing":{type:"number",default:g.letterSpacing,description:n.localize(5,null)},"editor.lineNumbers":{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[n.localize(6,null),n.localize(7,null),n.localize(8,null),n.localize(9,null)],default:"on",description:n.localize(10,null)},"editor.rulers":{
type:"array",items:{type:"number"},default:f.viewInfo.rulers,description:n.localize(11,null)},"editor.wordSeparators":{type:"string",default:f.wordSeparators,description:n.localize(12,null)},"editor.tabSize":{type:"number",default:m.tabSize,minimum:1,markdownDescription:n.localize(13,null)},"editor.insertSpaces":{type:"boolean",default:m.insertSpaces,markdownDescription:n.localize(14,null)},"editor.detectIndentation":{type:"boolean",default:m.detectIndentation,markdownDescription:n.localize(15,null)},"editor.roundedSelection":{type:"boolean",default:f.viewInfo.roundedSelection,description:n.localize(16,null)},"editor.scrollBeyondLastLine":{type:"boolean",default:f.viewInfo.scrollBeyondLastLine,description:n.localize(17,null)},"editor.scrollBeyondLastColumn":{type:"number",default:f.viewInfo.scrollBeyondLastColumn,description:n.localize(18,null)},"editor.smoothScrolling":{type:"boolean",default:f.viewInfo.smoothScrolling,description:n.localize(19,null)},"editor.minimap.enabled":{type:"boolean",
default:f.viewInfo.minimap.enabled,description:n.localize(20,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:f.viewInfo.minimap.side,description:n.localize(21,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:f.viewInfo.minimap.showSlider,description:n.localize(22,null)},"editor.minimap.renderCharacters":{type:"boolean",default:f.viewInfo.minimap.renderCharacters,description:n.localize(23,null)},"editor.minimap.maxColumn":{type:"number",default:f.viewInfo.minimap.maxColumn,description:n.localize(24,null)},"editor.hover.enabled":{type:"boolean",default:f.contribInfo.hover.enabled,description:n.localize(25,null)},"editor.hover.delay":{type:"number",default:f.contribInfo.hover.delay,description:n.localize(26,null)},"editor.hover.sticky":{type:"boolean",default:f.contribInfo.hover.sticky,description:n.localize(27,null)},"editor.find.seedSearchStringFromSelection":{type:"boolean",default:f.contribInfo.find.seedSearchStringFromSelection,
description:n.localize(28,null)},"editor.find.autoFindInSelection":{type:"boolean",default:f.contribInfo.find.autoFindInSelection,description:n.localize(29,null)},"editor.find.globalFindClipboard":{type:"boolean",default:f.contribInfo.find.globalFindClipboard,description:n.localize(30,null),included:a.isMacintosh},"editor.wordWrap":{type:"string",enum:["off","on","wordWrapColumn","bounded"],markdownEnumDescriptions:[n.localize(31,null),n.localize(32,null),n.localize(33,null),n.localize(34,null)],default:f.wordWrap,description:n.localize(35,null)},"editor.wordWrapColumn":{type:"integer",default:f.wordWrapColumn,minimum:1,markdownDescription:n.localize(36,null)},"editor.wrappingIndent":{type:"string",enum:["none","same","indent","deepIndent"],enumDescriptions:[n.localize(37,null),n.localize(38,null),n.localize(39,null),n.localize(40,null)],default:"same",description:n.localize(41,null)},"editor.mouseWheelScrollSensitivity":{type:"number",default:f.viewInfo.scrollbar.mouseWheelScrollSensitivity,
markdownDescription:n.localize(42,null)},"editor.multiCursorModifier":{type:"string",enum:["ctrlCmd","alt"],markdownEnumDescriptions:[n.localize(43,null),n.localize(44,null)],default:"alt",markdownDescription:n.localize(45,null)},"editor.multiCursorMergeOverlapping":{type:"boolean",default:f.multiCursorMergeOverlapping,description:n.localize(46,null)},"editor.quickSuggestions":{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:!1,description:n.localize(47,null)},comments:{type:"boolean",default:!1,description:n.localize(48,null)},other:{type:"boolean",default:!0,description:n.localize(49,null)}}}],default:f.contribInfo.quickSuggestions,description:n.localize(50,null)},"editor.quickSuggestionsDelay":{type:"integer",default:f.contribInfo.quickSuggestionsDelay,minimum:0,description:n.localize(51,null)},"editor.parameterHints.enabled":{type:"boolean",default:f.contribInfo.parameterHints.enabled,description:n.localize(52,null)},"editor.parameterHints.cycle":{type:"boolean",
default:f.contribInfo.parameterHints.cycle,description:n.localize(53,null)},"editor.autoClosingBrackets":{type:"string",enum:["always","languageDefined","beforeWhitespace","never"],enumDescriptions:["",n.localize(54,null),n.localize(55,null),""],default:f.autoClosingBrackets,description:n.localize(56,null)},"editor.autoClosingQuotes":{type:"string",enum:["always","languageDefined","beforeWhitespace","never"],enumDescriptions:["",n.localize(57,null),n.localize(58,null),""],default:f.autoClosingQuotes,description:n.localize(59,null)},"editor.autoSurround":{type:"string",enum:["languageDefined","brackets","quotes","never"],enumDescriptions:[n.localize(60,null),n.localize(61,null),n.localize(62,null),""],default:f.autoSurround,description:n.localize(63,null)},"editor.formatOnType":{type:"boolean",default:f.contribInfo.formatOnType,description:n.localize(64,null)},"editor.formatOnPaste":{type:"boolean",default:f.contribInfo.formatOnPaste,description:n.localize(65,null)},"editor.autoIndent":{type:"boolean",
default:f.autoIndent,description:n.localize(66,null)},"editor.suggestOnTriggerCharacters":{type:"boolean",default:f.contribInfo.suggestOnTriggerCharacters,description:n.localize(67,null)},"editor.acceptSuggestionOnEnter":{type:"string",enum:["on","smart","off"],default:f.contribInfo.acceptSuggestionOnEnter,markdownEnumDescriptions:["",n.localize(68,null),""],markdownDescription:n.localize(69,null)},"editor.acceptSuggestionOnCommitCharacter":{type:"boolean",default:f.contribInfo.acceptSuggestionOnCommitCharacter,markdownDescription:n.localize(70,null)},"editor.snippetSuggestions":{type:"string",enum:["top","bottom","inline","none"],enumDescriptions:[n.localize(71,null),n.localize(72,null),n.localize(73,null),n.localize(74,null)],default:f.contribInfo.suggest.snippets,description:n.localize(75,null)},"editor.emptySelectionClipboard":{type:"boolean",default:f.emptySelectionClipboard,description:n.localize(76,null)},"editor.copyWithSyntaxHighlighting":{type:"boolean",default:f.copyWithSyntaxHighlighting,
description:n.localize(77,null)},"editor.wordBasedSuggestions":{type:"boolean",default:f.contribInfo.wordBasedSuggestions,description:n.localize(78,null)},"editor.suggestSelection":{type:"string",enum:["first","recentlyUsed","recentlyUsedByPrefix"],markdownEnumDescriptions:[n.localize(79,null),n.localize(80,null),n.localize(81,null)],default:"recentlyUsed",description:n.localize(82,null)},"editor.suggestFontSize":{type:"integer",default:0,minimum:0,markdownDescription:n.localize(83,null)},"editor.suggestLineHeight":{type:"integer",default:0,minimum:0,markdownDescription:n.localize(84,null)},"editor.tabCompletion":{type:"string",default:"off",enum:["on","off","onlySnippets"],enumDescriptions:[n.localize(85,null),n.localize(86,null),n.localize(87,null)],description:n.localize(88,null)},"editor.suggest.filterGraceful":{type:"boolean",default:!0,description:n.localize(89,null)},"editor.suggest.localityBonus":{type:"boolean",default:!1,description:n.localize(90,null)},
"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:!0,description:n.localize(91,null)},"editor.selectionHighlight":{type:"boolean",default:f.contribInfo.selectionHighlight,description:n.localize(92,null)},"editor.occurrencesHighlight":{type:"boolean",default:f.contribInfo.occurrencesHighlight,description:n.localize(93,null)},"editor.overviewRulerLanes":{type:"integer",default:3,description:n.localize(94,null)},"editor.overviewRulerBorder":{type:"boolean",default:f.viewInfo.overviewRulerBorder,description:n.localize(95,null)},"editor.cursorBlinking":{type:"string",enum:["blink","smooth","phase","expand","solid"],default:l.blinkingStyleToString(f.viewInfo.cursorBlinking),description:n.localize(96,null)},"editor.mouseWheelZoom":{type:"boolean",default:f.viewInfo.mouseWheelZoom,markdownDescription:n.localize(97,null)},"editor.cursorStyle":{type:"string",enum:["block","block-outline","line","line-thin","underline","underline-thin"],default:l.cursorStyleToString(f.viewInfo.cursorStyle),
description:n.localize(98,null)},"editor.cursorWidth":{type:"integer",default:f.viewInfo.cursorWidth,markdownDescription:n.localize(99,null)},"editor.fontLigatures":{type:"boolean",default:f.viewInfo.fontLigatures,description:n.localize(100,null)},"editor.hideCursorInOverviewRuler":{type:"boolean",default:f.viewInfo.hideCursorInOverviewRuler,description:n.localize(101,null)},"editor.renderWhitespace":{type:"string",enum:["none","boundary","all"],enumDescriptions:["",n.localize(102,null),""],default:f.viewInfo.renderWhitespace,description:n.localize(103,null)},"editor.renderControlCharacters":{type:"boolean",default:f.viewInfo.renderControlCharacters,description:n.localize(104,null)},"editor.renderIndentGuides":{type:"boolean",default:f.viewInfo.renderIndentGuides,description:n.localize(105,null)},"editor.highlightActiveIndentGuide":{type:"boolean",default:f.viewInfo.highlightActiveIndentGuide,description:n.localize(106,null)},"editor.renderLineHighlight":{type:"string",enum:["none","gutter","line","all"],
enumDescriptions:["","","",n.localize(107,null)],default:f.viewInfo.renderLineHighlight,description:n.localize(108,null)},"editor.codeLens":{type:"boolean",default:f.contribInfo.codeLens,description:n.localize(109,null)},"editor.folding":{type:"boolean",default:f.contribInfo.folding,description:n.localize(110,null)},"editor.foldingStrategy":{type:"string",enum:["auto","indentation"],default:f.contribInfo.foldingStrategy,markdownDescription:n.localize(111,null)},"editor.showFoldingControls":{type:"string",enum:["always","mouseover"],default:f.contribInfo.showFoldingControls,description:n.localize(112,null)},"editor.matchBrackets":{type:"boolean",default:f.contribInfo.matchBrackets,description:n.localize(113,null)},"editor.glyphMargin":{type:"boolean",default:f.viewInfo.glyphMargin,description:n.localize(114,null)},"editor.useTabStops":{type:"boolean",default:f.useTabStops,description:n.localize(115,null)},"editor.trimAutoWhitespace":{type:"boolean",default:m.trimAutoWhitespace,description:n.localize(116,null)
},"editor.stablePeek":{type:"boolean",default:!1,markdownDescription:n.localize(117,null)},"editor.dragAndDrop":{type:"boolean",default:f.dragAndDrop,description:n.localize(118,null)},"editor.accessibilitySupport":{type:"string",enum:["auto","on","off"],enumDescriptions:[n.localize(119,null),n.localize(120,null),n.localize(121,null)],default:f.accessibilitySupport,description:n.localize(122,null)},"editor.showUnused":{type:"boolean",default:f.showUnused,description:n.localize(123,null)},"editor.links":{type:"boolean",default:f.contribInfo.links,description:n.localize(124,null)},"editor.colorDecorators":{type:"boolean",default:f.contribInfo.colorDecorators,description:n.localize(125,null)},"editor.lightbulb.enabled":{type:"boolean",default:f.contribInfo.lightbulbEnabled,description:n.localize(126,null)},"editor.codeActionsOnSave":{type:"object",properties:{"source.organizeImports":{type:"boolean",description:n.localize(127,null)}},additionalProperties:{type:"boolean"},default:f.contribInfo.codeActionsOnSave,
description:n.localize(128,null)},"editor.codeActionsOnSaveTimeout":{type:"number",default:f.contribInfo.codeActionsOnSaveTimeout,description:n.localize(129,null)},"editor.selectionClipboard":{type:"boolean",default:f.contribInfo.selectionClipboard,description:n.localize(130,null),included:a.isLinux},"diffEditor.renderSideBySide":{type:"boolean",default:!0,description:n.localize(131,null)},"diffEditor.ignoreTrimWhitespace":{type:"boolean",default:!0,description:n.localize(132,null)},"editor.largeFileOptimizations":{type:"boolean",default:m.largeFileOptimizations,description:n.localize(133,null)},"diffEditor.renderIndicators":{type:"boolean",default:!0,description:n.localize(134,null)}}},b=null;t.isEditorConfigurationKey=function(e){return p()["editor."+e]||!1},t.isDiffEditorConfigurationKey=function(e){return p()["diffEditor."+e]||!1},y.registerConfiguration(C)}),define(t[57],n([0,1,29,6,2,17,407,409,125,122]),function(e,t,n,i,r,s,a,l,u,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0})
;var c=function(){function e(){this._keys=Object.create(null),this._values=Object.create(null)}return e.prototype.has=function(e){var t=e.getId();return!!this._values[t]},e.prototype.get=function(e){var t=e.getId();return this._values[t]},e.prototype.put=function(e,t){var n=e.getId();this._keys[n]=e,this._values[n]=t},e.prototype.remove=function(e){var t=e.getId();delete this._keys[t],delete this._values[t]},e.prototype.getValues=function(){var e=this;return Object.keys(this._keys).map(function(t){return e._values[t]})},e}(),h=function(e){function t(){var t=e.call(this)||this;return t._onDidChange=t._register(new i.Emitter),t.onDidChange=t._onDidChange.event,t._cache=new c,t._evictUntrustedReadingsTimeout=-1,t}return o(t,e),t.prototype.dispose=function(){-1!==this._evictUntrustedReadingsTimeout&&(clearTimeout(this._evictUntrustedReadingsTimeout),this._evictUntrustedReadingsTimeout=-1),e.prototype.dispose.call(this)},t.prototype._writeToCache=function(e,t){var n=this;this._cache.put(e,t),
t.isTrusted||-1!==this._evictUntrustedReadingsTimeout||(this._evictUntrustedReadingsTimeout=setTimeout(function(){n._evictUntrustedReadingsTimeout=-1,n._evictUntrustedReadings()},5e3))},t.prototype._evictUntrustedReadings=function(){for(var e=this._cache.getValues(),t=!1,n=0,i=e.length;n<i;n++){var o=e[n];o.isTrusted||(t=!0,this._cache.remove(o))}t&&this._onDidChange.fire()},t.prototype.readConfiguration=function(e){if(!this._cache.has(e)){var i=t._actualReadConfiguration(e);(i.typicalHalfwidthCharacterWidth<=2||i.typicalFullwidthCharacterWidth<=2||i.spaceWidth<=2||i.maxDigitWidth<=2)&&(i=new d.FontInfo({zoomLevel:n.getZoomLevel(),fontFamily:i.fontFamily,fontWeight:i.fontWeight,fontSize:i.fontSize,lineHeight:i.lineHeight,letterSpacing:i.letterSpacing,isMonospace:i.isMonospace,typicalHalfwidthCharacterWidth:Math.max(i.typicalHalfwidthCharacterWidth,5),typicalFullwidthCharacterWidth:Math.max(i.typicalFullwidthCharacterWidth,5),canUseHalfwidthRightwardsArrow:i.canUseHalfwidthRightwardsArrow,
spaceWidth:Math.max(i.spaceWidth,5),maxDigitWidth:Math.max(i.maxDigitWidth,5)},!1)),this._writeToCache(e,i)}return this._cache.get(e)},t.createRequest=function(e,t,n,i){var o=new a.CharWidthRequest(e,t);return n.push(o),i&&i.push(o),o},t._actualReadConfiguration=function(e){var t=[],i=[],o=this.createRequest("n",0,t,i),r=this.createRequest("ｍ",0,t,null),s=this.createRequest(" ",0,t,i),l=this.createRequest("0",0,t,i),u=this.createRequest("1",0,t,i),c=this.createRequest("2",0,t,i),h=this.createRequest("3",0,t,i),p=this.createRequest("4",0,t,i),f=this.createRequest("5",0,t,i),g=this.createRequest("6",0,t,i),m=this.createRequest("7",0,t,i),v=this.createRequest("8",0,t,i),_=this.createRequest("9",0,t,i),y=this.createRequest("→",0,t,i),C=this.createRequest("￫",0,t,null);this.createRequest("·",0,t,i),this.createRequest("|",0,t,i),this.createRequest("/",0,t,i),this.createRequest("-",0,t,i),this.createRequest("_",0,t,i),this.createRequest("i",0,t,i),this.createRequest("l",0,t,i),this.createRequest("m",0,t,i),
this.createRequest("|",1,t,i),this.createRequest("_",1,t,i),this.createRequest("i",1,t,i),this.createRequest("l",1,t,i),this.createRequest("m",1,t,i),this.createRequest("n",1,t,i),this.createRequest("|",2,t,i),this.createRequest("_",2,t,i),this.createRequest("i",2,t,i),this.createRequest("l",2,t,i),this.createRequest("m",2,t,i),this.createRequest("n",2,t,i),a.readCharWidths(e,t);for(var b=Math.max(l.width,u.width,c.width,h.width,p.width,f.width,g.width,m.width,v.width,_.width),S=!0,w=i[0].width,E=1,L=i.length;E<L;E++){var x=w-i[E].width;if(x<-.001||x>.001){S=!1;break}}var I=!0;S&&C.width!==w&&(I=!1),C.width>y.width&&(I=!1);var N=n.getTimeSinceLastZoomLevelChanged()>2e3;return new d.FontInfo({zoomLevel:n.getZoomLevel(),fontFamily:e.fontFamily,fontWeight:e.fontWeight,fontSize:e.fontSize,lineHeight:e.lineHeight,letterSpacing:e.letterSpacing,isMonospace:S,typicalHalfwidthCharacterWidth:o.width,typicalFullwidthCharacterWidth:r.width,canUseHalfwidthRightwardsArrow:I,spaceWidth:s.width,maxDigitWidth:b},N)},
t.INSTANCE=new t,t}(r.Disposable),p=function(e){function t(t,i){void 0===i&&(i=null);var o=e.call(this,t)||this;return o._elementSizeObserver=o._register(new l.ElementSizeObserver(i,function(){return o._onReferenceDomElementSizeChanged()})),o._register(h.INSTANCE.onDidChange(function(){return o._onCSSBasedConfigurationChanged()})),o._validatedOptions.automaticLayout&&o._elementSizeObserver.startObserving(),o._register(n.onDidChangeZoomLevel(function(e){return o._recomputeOptions()})),o._register(n.onDidChangeAccessibilitySupport(function(){return o._recomputeOptions()})),o._recomputeOptions(),o}return o(t,e),t.applyFontInfoSlow=function(e,t){e.style.fontFamily=t.getMassagedFontFamily(),e.style.fontWeight=t.fontWeight,e.style.fontSize=t.fontSize+"px",e.style.lineHeight=t.lineHeight+"px",e.style.letterSpacing=t.letterSpacing+"px"},t.applyFontInfo=function(e,t){e.setFontFamily(t.getMassagedFontFamily()),e.setFontWeight(t.fontWeight),e.setFontSize(t.fontSize),e.setLineHeight(t.lineHeight),
e.setLetterSpacing(t.letterSpacing)},t.prototype._onReferenceDomElementSizeChanged=function(){this._recomputeOptions()},t.prototype._onCSSBasedConfigurationChanged=function(){this._recomputeOptions()},t.prototype.observeReferenceElement=function(e){this._elementSizeObserver.observe(e)},t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype._getExtraEditorClassName=function(){var e="";return n.isIE?e+="ie ":n.isFirefox?e+="ff ":n.isEdge?e+="edge ":n.isSafari&&(e+="safari "),s.isMacintosh&&(e+="mac "),e},t.prototype._getEnvConfiguration=function(){return{extraEditorClassName:this._getExtraEditorClassName(),outerWidth:this._elementSizeObserver.getWidth(),outerHeight:this._elementSizeObserver.getHeight(),emptySelectionClipboard:n.isWebKit||n.isFirefox,pixelRatio:n.getPixelRatio(),zoomLevel:n.getZoomLevel(),accessibilitySupport:n.getAccessibilitySupport()}},t.prototype.readConfiguration=function(e){return h.INSTANCE.readConfiguration(e)},t}(u.CommonEditorConfiguration);t.Configuration=p}),
define(t[433],n([0,1,23,57,127,33]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var n=e.call(this,t)||this;return n._visibleLines=new r.VisibleLinesCollection(n),n.domNode=n._visibleLines.domNode,n._dynamicOverlays=[],n._isFocused=!1,n.domNode.setClassName("view-overlays"),n}return o(t,e),t.prototype.shouldRender=function(){if(e.prototype.shouldRender.call(this))return!0;for(var t=0,n=this._dynamicOverlays.length;t<n;t++){if(this._dynamicOverlays[t].shouldRender())return!0}return!1},t.prototype.dispose=function(){e.prototype.dispose.call(this);for(var t=0,n=this._dynamicOverlays.length;t<n;t++){this._dynamicOverlays[t].dispose()}this._dynamicOverlays=[]},t.prototype.getDomNode=function(){return this.domNode},t.prototype.createVisibleLine=function(){return new l(this._context.configuration,this._dynamicOverlays)},t.prototype.addDynamicOverlay=function(e){this._dynamicOverlays.push(e)},t.prototype.onConfigurationChanged=function(e){
this._visibleLines.onConfigurationChanged(e);for(var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber(),i=t;i<=n;i++){this._visibleLines.getVisibleLine(i).onConfigurationChanged(e)}return!0},t.prototype.onFlushed=function(e){return this._visibleLines.onFlushed(e)},t.prototype.onFocusChanged=function(e){return this._isFocused=e.isFocused,!0},t.prototype.onLinesChanged=function(e){return this._visibleLines.onLinesChanged(e)},t.prototype.onLinesDeleted=function(e){return this._visibleLines.onLinesDeleted(e)},t.prototype.onLinesInserted=function(e){return this._visibleLines.onLinesInserted(e)},t.prototype.onScrollChanged=function(e){return this._visibleLines.onScrollChanged(e)||!0},t.prototype.onTokensChanged=function(e){return this._visibleLines.onTokensChanged(e)},t.prototype.onZonesChanged=function(e){return this._visibleLines.onZonesChanged(e)},t.prototype.prepareRender=function(e){for(var t=this._dynamicOverlays.filter(function(e){return e.shouldRender()
}),n=0,i=t.length;n<i;n++){var o=t[n];o.prepareRender(e),o.onDidRender()}},t.prototype.render=function(e){this._viewOverlaysRender(e),this.domNode.toggleClassName("focused",this._isFocused)},t.prototype._viewOverlaysRender=function(e){this._visibleLines.renderLines(e.viewportData)},t}(s.ViewPart);t.ViewOverlays=a;var l=function(){function e(e,t){this._configuration=e,this._lineHeight=this._configuration.editor.lineHeight,this._dynamicOverlays=t,this._domNode=null,this._renderedContent=null}return e.prototype.getDomNode=function(){return this._domNode?this._domNode.domNode:null},e.prototype.setDomNode=function(e){this._domNode=n.createFastDomNode(e)},e.prototype.onContentChanged=function(){},e.prototype.onTokensChanged=function(){},e.prototype.onConfigurationChanged=function(e){e.lineHeight&&(this._lineHeight=this._configuration.editor.lineHeight)},e.prototype.renderLine=function(e,t,n,i){for(var o="",r=0,s=this._dynamicOverlays.length;r<s;r++){o+=this._dynamicOverlays[r].render(n.startLineNumber,e)}
return this._renderedContent!==o&&(this._renderedContent=o,i.appendASCIIString('<div style="position:absolute;top:'),i.appendASCIIString(String(t)),i.appendASCIIString("px;width:100%;height:"),i.appendASCIIString(String(this._lineHeight)),i.appendASCIIString('px;">'),i.appendASCIIString(o),i.appendASCIIString("</div>"),!0)},e.prototype.layoutLine=function(e,t){this._domNode&&(this._domNode.setTop(t),this._domNode.setHeight(this._lineHeight))},e}();t.ViewOverlayLine=l;var u=function(e){function t(t){var n=e.call(this,t)||this;return n._contentWidth=n._context.configuration.editor.layoutInfo.contentWidth,n.domNode.setHeight(0),n}return o(t,e),t.prototype.onConfigurationChanged=function(t){return t.layoutInfo&&(this._contentWidth=this._context.configuration.editor.layoutInfo.contentWidth),e.prototype.onConfigurationChanged.call(this,t)},t.prototype.onScrollChanged=function(t){return e.prototype.onScrollChanged.call(this,t)||t.scrollWidthChanged},t.prototype._viewOverlaysRender=function(t){
e.prototype._viewOverlaysRender.call(this,t),this.domNode.setWidth(Math.max(t.scrollWidth,this._contentWidth))},t}(a);t.ContentViewOverlays=u;var d=function(e){function t(t){var n=e.call(this,t)||this;return n._contentLeft=n._context.configuration.editor.layoutInfo.contentLeft,n.domNode.setClassName("margin-view-overlays"),n.domNode.setWidth(1),i.Configuration.applyFontInfo(n.domNode,n._context.configuration.editor.fontInfo),n}return o(t,e),t.prototype.onConfigurationChanged=function(t){var n=!1;return t.fontInfo&&(i.Configuration.applyFontInfo(this.domNode,this._context.configuration.editor.fontInfo),n=!0),t.layoutInfo&&(this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft,n=!0),e.prototype.onConfigurationChanged.call(this,t)||n},t.prototype.onScrollChanged=function(t){return e.prototype.onScrollChanged.call(this,t)||t.scrollHeightChanged},t.prototype._viewOverlaysRender=function(t){e.prototype._viewOverlaysRender.call(this,t);var n=Math.min(t.scrollHeight,1e6)
;this.domNode.setHeight(n),this.domNode.setWidth(this._contentLeft)},t}(a);t.MarginViewOverlays=d}),define(t[434],n([0,1,7,23,8,57,48,12,3]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){return function(e,t,n,i,o,r){this.top=e,this.left=t,this.width=n,this.height=i,this.textContent=o,this.textContentClassName=r}}(),d=function(){function e(e){this._context=e,this._cursorStyle=this._context.configuration.editor.viewInfo.cursorStyle,this._lineHeight=this._context.configuration.editor.lineHeight,this._typicalHalfwidthCharacterWidth=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,this._lineCursorWidth=Math.min(this._context.configuration.editor.viewInfo.cursorWidth,this._typicalHalfwidthCharacterWidth),this._isVisible=!0,this._domNode=i.createFastDomNode(document.createElement("div")),this._domNode.setClassName("cursor"),this._domNode.setHeight(this._lineHeight),this._domNode.setTop(0),this._domNode.setLeft(0),
r.Configuration.applyFontInfo(this._domNode,this._context.configuration.editor.fontInfo),this._domNode.setDisplay("none"),this.updatePosition(new a.Position(1,1)),this._lastRenderedContent="",this._renderData=null}return e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return this._position},e.prototype.show=function(){this._isVisible||(this._domNode.setVisibility("inherit"),this._isVisible=!0)},e.prototype.hide=function(){this._isVisible&&(this._domNode.setVisibility("hidden"),this._isVisible=!1)},e.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.fontInfo&&(r.Configuration.applyFontInfo(this._domNode,this._context.configuration.editor.fontInfo),this._typicalHalfwidthCharacterWidth=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth),e.viewInfo&&(this._cursorStyle=this._context.configuration.editor.viewInfo.cursorStyle,
this._lineCursorWidth=Math.min(this._context.configuration.editor.viewInfo.cursorWidth,this._typicalHalfwidthCharacterWidth)),!0},e.prototype.onCursorPositionChanged=function(e){return this.updatePosition(e),!0},e.prototype._prepareRender=function(e){var t="",i="";if(this._cursorStyle===s.TextEditorCursorStyle.Line||this._cursorStyle===s.TextEditorCursorStyle.LineThin){var r=e.visibleRangeForPosition(this._position);if(!r)return null;var a;if(this._cursorStyle===s.TextEditorCursorStyle.Line){if((a=n.computeScreenAwareSize(this._lineCursorWidth>0?this._lineCursorWidth:2))>2){t=this._context.model.getLineContent(this._position.lineNumber).charAt(this._position.column-1)}}else a=n.computeScreenAwareSize(1);var d=r.left;a>=2&&d>=1&&(d-=1);var c=e.getVerticalOffsetForLineNumber(this._position.lineNumber)-e.bigNumbersDelta;return new u(c,d,a,this._lineHeight,t,i)}var h=e.linesVisibleRangesForRange(new l.Range(this._position.lineNumber,this._position.column,this._position.lineNumber,this._position.column+1),!1)
;if(!h||0===h.length||0===h[0].ranges.length)return null;var p=h[0].ranges[0],f=p.width<1?this._typicalHalfwidthCharacterWidth:p.width;if(this._cursorStyle===s.TextEditorCursorStyle.Block){var g=this._context.model.getViewLineData(this._position.lineNumber);t=g.content.charAt(this._position.column-1),o.isHighSurrogate(g.content.charCodeAt(this._position.column-1))&&(t+=g.content.charAt(this._position.column));var m=g.tokens.findTokenIndexAtOffset(this._position.column-1);i=g.tokens.getClassName(m)}var v=e.getVerticalOffsetForLineNumber(this._position.lineNumber)-e.bigNumbersDelta,_=this._lineHeight;return this._cursorStyle!==s.TextEditorCursorStyle.Underline&&this._cursorStyle!==s.TextEditorCursorStyle.UnderlineThin||(v+=this._lineHeight-2,_=2),new u(v,p.left,f,_,t,i)},e.prototype.prepareRender=function(e){this._renderData=this._prepareRender(e)},e.prototype.render=function(e){
return this._renderData?(this._lastRenderedContent!==this._renderData.textContent&&(this._lastRenderedContent=this._renderData.textContent,this._domNode.domNode.textContent=this._lastRenderedContent),this._domNode.setClassName("cursor "+this._renderData.textContentClassName),this._domNode.setDisplay("block"),this._domNode.setTop(this._renderData.top),this._domNode.setLeft(this._renderData.left),this._domNode.setWidth(this._renderData.width),this._domNode.setLineHeight(this._renderData.height),this._domNode.setHeight(this._renderData.height),{domNode:this._domNode.domNode,position:this._position,contentLeft:this._renderData.left,height:this._renderData.height,width:2}):(this._domNode.setDisplay("none"),null)},e.prototype.updatePosition=function(e){this._position=e},e}();t.ViewCursor=d}),define(t[435],n([0,1,11,6,2,424,8,14,104,51,82,41]),function(e,t,n,i,r,s,a,l,u,d,c,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=Object.prototype.hasOwnProperty,f=function(e){function t(t,n){
void 0===t&&(t=!0),void 0===n&&(n=!1);var o=e.call(this)||this;return o._onDidChange=o._register(new i.Emitter),o.onDidChange=o._onDidChange.event,o._nextLanguageId=1,o._languages={},o._mimeTypesMap={},o._nameMap={},o._lowercaseNameMap={},o._languageIds=[],o._warnOnOverwrite=n,t&&(o._registerLanguages(u.ModesRegistry.getLanguages()),o._register(u.ModesRegistry.onDidAddLanguages(function(e){return o._registerLanguages(e)}))),o}return o(t,e),t.prototype._registerLanguages=function(e){var t=this;if(0!==e.length){for(var n=0;n<e.length;n++)this._registerLanguage(e[n]);this._mimeTypesMap={},this._nameMap={},this._lowercaseNameMap={},Object.keys(this._languages).forEach(function(e){var n=t._languages[e];n.name&&(t._nameMap[n.name]=n.identifier),n.aliases.forEach(function(e){t._lowercaseNameMap[e.toLowerCase()]=n.identifier}),n.mimetypes.forEach(function(e){t._mimeTypesMap[e]=n.identifier})}),h.Registry.as(c.Extensions.Configuration).registerOverrideIdentifiers(u.ModesRegistry.getLanguages().map(function(e){
return e.id})),this._onDidChange.fire()}},t.prototype._registerLanguage=function(e){var t,n=e.id;if(p.call(this._languages,n))t=this._languages[n];else{var i=this._nextLanguageId++;t={identifier:new l.LanguageIdentifier(n,i),name:null,mimetypes:[],aliases:[],extensions:[],filenames:[],configurationFiles:[]},this._languageIds[i]=n,this._languages[n]=t}this._mergeLanguage(t,e)},t.prototype._mergeLanguage=function(e,t){var i,o=t.id,r=null;if(Array.isArray(t.mimetypes)&&t.mimetypes.length>0&&((i=e.mimetypes).push.apply(i,t.mimetypes),r=t.mimetypes[0]),r||(r="text/x-"+o,e.mimetypes.push(r)),Array.isArray(t.extensions))for(var l=0,u=t.extensions;l<u.length;l++){var d=u[l];s.registerTextMime({id:o,mime:r,extension:d},this._warnOnOverwrite),e.extensions.push(d)}if(Array.isArray(t.filenames))for(var c=0,h=t.filenames;c<h.length;c++){var p=h[c];s.registerTextMime({id:o,mime:r,filename:p},this._warnOnOverwrite),e.filenames.push(p)}if(Array.isArray(t.filenamePatterns))for(var f=0,g=t.filenamePatterns;f<g.length;f++){
var m=g[f];s.registerTextMime({id:o,mime:r,filepattern:m},this._warnOnOverwrite)}if("string"==typeof t.firstLine&&t.firstLine.length>0){var v=t.firstLine;"^"!==v.charAt(0)&&(v="^"+v);try{var _=new RegExp(v);a.regExpLeadsToEndlessLoop(_)||s.registerTextMime({id:o,mime:r,firstline:_},this._warnOnOverwrite)}catch(e){n.onUnexpectedError(e)}}e.aliases.push(o);var y=null;if(void 0!==t.aliases&&Array.isArray(t.aliases)&&(y=0===t.aliases.length?[null]:t.aliases),null!==y)for(var C=0;C<y.length;C++){var b=y[C];b&&0!==b.length&&e.aliases.push(b)}var S=null!==y&&y.length>0;if(S&&null===y[0]);else{var w=(S?y[0]:null)||o;!S&&e.name||(e.name=w)}t.configuration&&e.configurationFiles.push(t.configuration)},t.prototype.isRegisteredMode=function(e){return!!p.call(this._mimeTypesMap,e)||p.call(this._languages,e)},t.prototype.getModeIdForLanguageNameLowercase=function(e){return p.call(this._lowercaseNameMap,e)?this._lowercaseNameMap[e].language:null},t.prototype.extractModeIds=function(e){var t=this
;return e?e.split(",").map(function(e){return e.trim()}).map(function(e){return p.call(t._mimeTypesMap,e)?t._mimeTypesMap[e].language:e}).filter(function(e){return p.call(t._languages,e)}):[]},t.prototype.getLanguageIdentifier=function(e){if(e===d.NULL_MODE_ID||0===e)return d.NULL_LANGUAGE_IDENTIFIER;var t;if("string"==typeof e)t=e;else if(!(t=this._languageIds[e]))return null;return p.call(this._languages,t)?this._languages[t].identifier:null},t.prototype.getModeIdsFromFilepathOrFirstLine=function(e,t){if(!e&&!t)return[];var n=s.guessMimeTypes(e,t);return this.extractModeIds(n.join(","))},t}(r.Disposable);t.LanguagesRegistry=f}),define(t[436],n([0,1,6,2,507,51,435]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(e){function t(t,i){var o=e.call(this)||this;return o._onDidChange=o._register(new n.Emitter),o.onDidChange=o._onDidChange.event,o._selector=i,o.languageIdentifier=o._selector(),o._register(t(function(){return o._evaluate()})),o}return o(t,e),
t.prototype._evaluate=function(){var e=this._selector();e.id!==this.languageIdentifier.id&&(this.languageIdentifier=e,this._onDidChange.fire(this.languageIdentifier))},t}(i.Disposable),u=function(){function e(e){void 0===e&&(e=!1);var t=this;this._onDidCreateMode=new n.Emitter,this.onDidCreateMode=this._onDidCreateMode.event,this._onLanguagesMaybeChanged=new n.Emitter,this.onLanguagesMaybeChanged=this._onLanguagesMaybeChanged.event,this._instantiatedModes={},this._registry=new a.LanguagesRegistry(!0,e),this._registry.onDidChange(function(){return t._onLanguagesMaybeChanged.fire()})}return e.prototype.isRegisteredMode=function(e){return this._registry.isRegisteredMode(e)},e.prototype.getModeIdForLanguageName=function(e){return this._registry.getModeIdForLanguageNameLowercase(e)},e.prototype.getModeIdByFilepathOrFirstLine=function(e,t){var n=this._registry.getModeIdsFromFilepathOrFirstLine(e,t);return n.length>0?n[0]:null},e.prototype.getModeId=function(e){var t=this._registry.extractModeIds(e)
;return t.length>0?t[0]:null},e.prototype.getLanguageIdentifier=function(e){return this._registry.getLanguageIdentifier(e)},e.prototype.create=function(e){var t=this;return new l(this.onLanguagesMaybeChanged,function(){var n=t.getModeId(e);return t._createModeAndGetLanguageIdentifier(n)})},e.prototype.createByFilepathOrFirstLine=function(e,t){var n=this;return new l(this.onLanguagesMaybeChanged,function(){var i=n.getModeIdByFilepathOrFirstLine(e,t);return n._createModeAndGetLanguageIdentifier(i)})},e.prototype._createModeAndGetLanguageIdentifier=function(e){var t=this.getLanguageIdentifier(e||"plaintext")||s.NULL_LANGUAGE_IDENTIFIER;return this._getOrCreateMode(t.language),t},e.prototype.triggerMode=function(e){var t=this.getModeId(e);this._getOrCreateMode(t||"plaintext")},e.prototype._getOrCreateMode=function(e){if(!this._instantiatedModes.hasOwnProperty(e)){var t=this.getLanguageIdentifier(e)||s.NULL_LANGUAGE_IDENTIFIER;this._instantiatedModes[e]=new r.FrankensteinMode(t),
this._onDidCreateMode.fire(this._instantiatedModes[e])}return this._instantiatedModes[e]},e}();t.ModeServiceImpl=u}),define(t[45],n([0,1,41,15,82]),function(e,t,n,i,o){"use strict";function r(e,t,n,i){for(var o=t.split("."),r=o.pop(),s=e,a=0;a<o.length;a++){var l=o[a],u=s[l];switch(typeof u){case"undefined":u=s[l]=Object.create(null);break;case"object":break;default:return void i("Ignoring "+t+" as "+o.slice(0,a+1).join(".")+" is "+JSON.stringify(u))}s=u}"object"==typeof s?s[r]=n:i("Ignoring "+t+" as "+o.join(".")+" is "+JSON.stringify(s))}function s(e,t){var n=t.shift();if(0!==t.length){if(-1!==Object.keys(e).indexOf(n)){var i=e[n];"object"!=typeof i||Array.isArray(i)||(s(i,t),0===Object.keys(i).length&&delete e[n])}}else delete e[n]}Object.defineProperty(t,"__esModule",{value:!0}),t.IConfigurationService=i.createDecorator("configurationService"),t.toValuesTree=function(e,t){var n=Object.create(null);for(var i in e)r(n,i,e[i],t);return n},t.addToValueTree=r,t.removeFromValueTree=function(e,t){
s(e,t.split("."))},t.getConfigurationValue=function(e,t,n){var i=function(e,t){for(var n=e,i=0;i<t.length;i++){if("object"!=typeof n||null===n)return;n=n[t[i]]}return n}(e,t.split("."));return void 0===i?n:i},t.getConfigurationKeys=function(){var e=n.Registry.as(o.Extensions.Configuration).getConfigurationProperties();return Object.keys(e)},t.getDefaultValues=function(){var e=Object.create(null),t=n.Registry.as(o.Extensions.Configuration).getConfigurationProperties();for(var i in t)r(e,i,t[i].default,function(e){return console.error("Conflict in default settings: "+e)});return e},t.overrideIdentifierFromKey=function(e){return e.substring(1,e.length-1)}}),define(t[438],n([0,1,65,22,32,27,82,45]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e,t,n){void 0===e&&(e={}),void 0===t&&(t=[]),void 0===n&&(n=[]),this._contents=e,this._keys=t,this._overrides=n,this.isFrozen=!1}return Object.defineProperty(e.prototype,"contents",{get:function(){
return this.checkAndFreeze(this._contents)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"overrides",{get:function(){return this.checkAndFreeze(this._overrides)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"keys",{get:function(){return this.checkAndFreeze(this._keys)},enumerable:!0,configurable:!0}),e.prototype.getValue=function(e){return e?l.getConfigurationValue(this.contents,e):this.contents},e.prototype.override=function(t){var n=this.getContentsForOverrideIdentifer(t);if(!n||"object"!=typeof n||!Object.keys(n).length)return this;for(var o={},r=0,a=i.distinct(Object.keys(this.contents).concat(Object.keys(n)));r<a.length;r++){var l=a[r],u=this.contents[l],d=n[l];d&&("object"==typeof u&&"object"==typeof d?(u=s.deepClone(u),this.mergeContents(u,d)):u=d),o[l]=u}return new e(o)},e.prototype.merge=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n]
;for(var o=s.deepClone(this.contents),r=s.deepClone(this.overrides),a=this.keys.slice(),l=0,u=t;l<u.length;l++){var d=u[l];this.mergeContents(o,d.contents);for(var c=function(e){var t=r.filter(function(t){return i.equals(t.identifiers,e.identifiers)})[0];t?h.mergeContents(t.contents,e.contents):r.push(s.deepClone(e))},h=this,p=0,f=d.overrides;p<f.length;p++){c(f[p])}for(var g=0,m=d.keys;g<m.length;g++){var v=m[g];-1===a.indexOf(v)&&a.push(v)}}return new e(o,a,r)},e.prototype.freeze=function(){return this.isFrozen=!0,this},e.prototype.mergeContents=function(e,t){for(var n=0,i=Object.keys(t);n<i.length;n++){var o=i[n];o in e&&r.isObject(e[o])&&r.isObject(t[o])?this.mergeContents(e[o],t[o]):e[o]=s.deepClone(t[o])}},e.prototype.checkAndFreeze=function(e){return this.isFrozen&&!Object.isFrozen(e)?s.deepFreeze(e):e},e.prototype.getContentsForOverrideIdentifer=function(e){for(var t=0,n=this.overrides;t<n.length;t++){var i=n[t];if(-1!==i.identifiers.indexOf(e))return i.contents}return null},
e.prototype.toJSON=function(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}},e.prototype.setValue=function(e,t){this.addKey(e),l.addToValueTree(this.contents,e,t,function(e){throw new Error(e)})},e.prototype.removeValue=function(e){this.removeKey(e)&&l.removeFromValueTree(this.contents,e)},e.prototype.addKey=function(e){for(var t=this.keys.length,n=0;n<t;n++)0===e.indexOf(this.keys[n])&&(t=n);this.keys.splice(t,1,e)},e.prototype.removeKey=function(e){var t=this.keys.indexOf(e);return-1!==t&&(this.keys.splice(t,1),!0)},e}();t.ConfigurationModel=u;var d=function(e){function t(){for(var t=l.getDefaultValues(),n=l.getConfigurationKeys(),i=[],o=0,r=Object.keys(t);o<r.length;o++){var s=r[o];a.OVERRIDE_PROPERTY_PATTERN.test(s)&&i.push({identifiers:[l.overrideIdentifierFromKey(s).trim()],contents:l.toValuesTree(t[s],function(e){return console.error("Conflict in default settings file: "+e)})})}return e.call(this,t,n,i)||this}return o(t,e),t}(u);t.DefaultConfigurationModel=d;var c=function(){
function e(e,t,i,o,r,s,a){void 0===i&&(i=new u),void 0===o&&(o=new n.ResourceMap),void 0===r&&(r=new u),void 0===s&&(s=new n.ResourceMap),void 0===a&&(a=!0),this._defaultConfiguration=e,this._userConfiguration=t,this._workspaceConfiguration=i,this._folderConfigurations=o,this._memoryConfiguration=r,this._memoryConfigurationByResource=s,this._freeze=a,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new n.ResourceMap}return e.prototype.getValue=function(e,t,n){return this.getConsolidateConfigurationModel(t,n).getValue(e)},e.prototype.updateValue=function(e,t,n){void 0===n&&(n={});var i;n.resource?(i=this._memoryConfigurationByResource.get(n.resource))||(i=new u,this._memoryConfigurationByResource.set(n.resource,i)):i=this._memoryConfiguration,void 0===t?i.removeValue(e):i.setValue(e,t),n.resource||(this._workspaceConsolidatedConfiguration=null)},e.prototype.getConsolidateConfigurationModel=function(e,t){var n=this.getConsolidatedConfigurationModelForResource(e,t)
;return e.overrideIdentifier?n.override(e.overrideIdentifier):n},e.prototype.getConsolidatedConfigurationModelForResource=function(e,t){var n=e.resource,i=this.getWorkspaceConsolidatedConfiguration();if(t&&n){var o=t.getFolder(n);o&&(i=this.getFolderConsolidatedConfiguration(o.uri)||i);var r=this._memoryConfigurationByResource.get(n);r&&(i=i.merge(r))}return i},e.prototype.getWorkspaceConsolidatedConfiguration=function(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this._userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration},e.prototype.getFolderConsolidatedConfiguration=function(e){var t=this._foldersConsolidatedConfigurations.get(e);if(!t){var n=this.getWorkspaceConsolidatedConfiguration(),i=this._folderConfigurations.get(e);i?(t=n.merge(i),this._freeze&&(t=t.freeze()),
this._foldersConsolidatedConfigurations.set(e,t)):t=n}return t},e}();t.Configuration=c}),define(t[439],n([0,1,6,2,65,31,45,18,155]),function(e,t,n,i,r,s,l,d,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h="data-keybinding-context",p=function(){function e(e,t){this._id=e,this._parent=t,this._value=Object.create(null),this._value._contextId=e}return e.prototype.setValue=function(e,t){return this._value[e]!==t&&(this._value[e]=t,!0)},e.prototype.removeValue=function(e){return e in this._value&&(delete this._value[e],!0)},e.prototype.getValue=function(e){var t=this._value[e];return void 0===t&&this._parent?this._parent.getValue(e):t},e}();t.Context=p;var f=function(e){function t(){return e.call(this,-1,null)||this}return o(t,e),t.prototype.setValue=function(e,t){return!1},t.prototype.removeValue=function(e){return!1},t.prototype.getValue=function(e){},t.INSTANCE=new t,t}(p),g=function(e){function t(t,n,i){var o=e.call(this,t,null)||this;return o._configurationService=n,o._values=new Map,
o._listener=o._configurationService.onDidChangeConfiguration(function(e){if(4===e.source){var t=r.keys(o._values);o._values.clear(),i.fire(t)}else{for(var n=[],s=0,a=e.affectedKeys;s<a.length;s++){var l="config."+a[s];o._values.has(l)&&(o._values.delete(l),n.push(l))}i.fire(n)}}),o}return o(t,e),t.prototype.dispose=function(){this._listener.dispose()},t.prototype.getValue=function(n){if(0!==n.indexOf(t._keyPrefix))return e.prototype.getValue.call(this,n);if(this._values.has(n))return this._values.get(n);var i=n.substr(t._keyPrefix.length),o=this._configurationService.getValue(i),r=void 0;switch(typeof o){case"number":case"boolean":case"string":r=o}return this._values.set(n,r),r},t.prototype.setValue=function(t,n){return e.prototype.setValue.call(this,t,n)},t.prototype.removeValue=function(t){return e.prototype.removeValue.call(this,t)},t._keyPrefix="config.",t}(p),m=function(){function e(e,t,n){this._parent=e,this._key=t,this._defaultValue=n,this.reset()}return e.prototype.set=function(e){
this._parent.setContext(this._key,e)},e.prototype.reset=function(){void 0===this._defaultValue?this._parent.removeContext(this._key):this._parent.setContext(this._key,this._defaultValue)},e.prototype.get=function(){return this._parent.getContextKeyValue(this._key)},e}(),v=function(){function e(){this._keys=[]}return e.prototype.collect=function(e){this._keys=this._keys.concat(e)},e.prototype.affectsSome=function(e){for(var t=0,n=this._keys;t<n.length;t++){var i=n[t];if(e.has(i))return!0}return!1},e}();t.ContextKeyChangeEvent=v;var _=function(){function e(e){this._isDisposed=!1,this._myContextId=e,this._onDidChangeContextKey=new n.Emitter}return e.prototype.createKey=function(e,t){if(this._isDisposed)throw new Error("AbstractContextKeyService has been disposed");return new m(this,e,t)},Object.defineProperty(e.prototype,"onDidChangeContext",{get:function(){return this._onDidChangeContext||(this._onDidChangeContext=n.debounceEvent(this._onDidChangeContextKey.event,function(e,t){return e||(e=new v),e.collect(t),e
},25)),this._onDidChangeContext},enumerable:!0,configurable:!0}),e.prototype.createScoped=function(e){if(this._isDisposed)throw new Error("AbstractContextKeyService has been disposed");return new C(this,this._onDidChangeContextKey,e)},e.prototype.contextMatchesRules=function(e){if(this._isDisposed)throw new Error("AbstractContextKeyService has been disposed");var t=this.getContextValuesContainer(this._myContextId);return c.KeybindingResolver.contextMatchesRules(t,e)},e.prototype.getContextKeyValue=function(e){if(!this._isDisposed)return this.getContextValuesContainer(this._myContextId).getValue(e)},e.prototype.setContext=function(e,t){if(!this._isDisposed){var n=this.getContextValuesContainer(this._myContextId);n&&n.setValue(e,t)&&this._onDidChangeContextKey.fire(e)}},e.prototype.removeContext=function(e){this._isDisposed||this.getContextValuesContainer(this._myContextId).removeValue(e)&&this._onDidChangeContextKey.fire(e)},e.prototype.getContext=function(e){
return this._isDisposed?f.INSTANCE:this.getContextValuesContainer(function(e){for(;e;){if(e.hasAttribute(h)){var t=e.getAttribute(h);return t?parseInt(t,10):NaN}e=e.parentElement}return 0}(e))},e}();t.AbstractContextKeyService=_;var y=function(e){function t(t){var n=e.call(this,0)||this;n._toDispose=[],n._lastContextId=0,n._contexts=Object.create(null);var i=new g(n._myContextId,t,n._onDidChangeContextKey);return n._contexts[String(n._myContextId)]=i,n._toDispose.push(i),n}return o(t,e),t.prototype.dispose=function(){this._isDisposed=!0,this._toDispose=i.dispose(this._toDispose)},t.prototype.getContextValuesContainer=function(e){return this._isDisposed?f.INSTANCE:this._contexts[String(e)]},t.prototype.createChildContext=function(e){if(void 0===e&&(e=this._myContextId),this._isDisposed)throw new Error("ContextKeyService has been disposed");var t=++this._lastContextId;return this._contexts[String(t)]=new p(t,this.getContextValuesContainer(e)),t},t.prototype.disposeContext=function(e){
this._isDisposed||delete this._contexts[String(e)]},t=a([u(0,l.IConfigurationService)],t)}(_);t.ContextKeyService=y;var C=function(e){function t(t,n,i){var o=e.call(this,t.createChildContext())||this;return o._parent=t,o._onDidChangeContextKey=n,i&&(o._domNode=i,o._domNode.setAttribute(h,String(o._myContextId))),o}return o(t,e),t.prototype.dispose=function(){this._isDisposed=!0,this._parent.disposeContext(this._myContextId),this._domNode&&(this._domNode.removeAttribute(h),this._domNode=void 0)},Object.defineProperty(t.prototype,"onDidChangeContext",{get:function(){return this._parent.onDidChangeContext},enumerable:!0,configurable:!0}),t.prototype.getContextValuesContainer=function(e){return this._isDisposed?f.INSTANCE:this._parent.getContextValuesContainer(e)},t.prototype.createChildContext=function(e){if(void 0===e&&(e=this._myContextId),this._isDisposed)throw new Error("ScopedContextKeyService has been disposed");return this._parent.createChildContext(e)},t.prototype.disposeContext=function(e){
this._isDisposed||this._parent.disposeContext(e)},t}(_);s.CommandsRegistry.registerCommand(d.SET_CONTEXT_COMMAND_ID,function(e,t,n){e.get(d.IContextKeyService).createKey(String(t),n)})}),define(t[95],n([0,1,36,17,31,41]),function(e,t,n,i,o,r){"use strict";function s(e,t){return e.weight1!==t.weight1?e.weight1-t.weight1:e.command<t.command?-1:e.command>t.command?1:e.weight2-t.weight2}Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(){this._keybindings=[],this._keybindingsSorted=!0}return e.bindToCurrentPlatform=function(e){if(1===i.OS){if(e&&e.win)return e.win}else if(2===i.OS){if(e&&e.mac)return e.mac}else if(e&&e.linux)return e.linux;return e},e.prototype.registerKeybindingRule=function(t,o){void 0===o&&(o=0);var r=e.bindToCurrentPlatform(t);if(r&&r.primary){(u=n.createKeybinding(r.primary,i.OS))&&this._registerDefaultKeybinding(u,t.id,t.weight,0,t.when,o)}if(r&&Array.isArray(r.secondary))for(var s=0,a=r.secondary.length;s<a;s++){var l=r.secondary[s],u=n.createKeybinding(l,i.OS)
;u&&this._registerDefaultKeybinding(u,t.id,t.weight,-s-1,t.when,o)}},e.prototype.registerCommandAndKeybindingRule=function(e,t){void 0===t&&(t=0),this.registerKeybindingRule(e,t),o.CommandsRegistry.registerCommand(e)},e._mightProduceChar=function(e){return e>=21&&e<=30||(e>=31&&e<=56||(80===e||81===e||82===e||83===e||84===e||85===e||86===e||110===e||111===e||87===e||88===e||89===e||90===e||91===e||92===e))},e.prototype._assertNoCtrlAlt=function(t,n){t.ctrlKey&&t.altKey&&!t.metaKey&&e._mightProduceChar(t.keyCode)&&console.warn("Ctrl+Alt+ keybindings should not be used by default under Windows. Offender: ",t," for ",n)},e.prototype._registerDefaultKeybinding=function(e,t,n,o,r,s){0===s&&1===i.OS&&(2===e.type?this._assertNoCtrlAlt(e.firstPart,t):this._assertNoCtrlAlt(e,t)),this._keybindings.push({keybinding:e,command:t,commandArgs:void 0,when:r,weight1:n,weight2:o}),this._keybindingsSorted=!1},e.prototype.getDefaultKeybindings=function(){return this._keybindingsSorted||(this._keybindings.sort(s),
this._keybindingsSorted=!0),this._keybindings.slice(0)},e}();t.KeybindingsRegistry=new a,t.Extensions={EditorModes:"platform.keybindingsRegistry"},r.Registry.add(t.Extensions.EditorModes,t.KeybindingsRegistry)}),define(t[71],n([0,1,15,6]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IStorageService=n.createDecorator("storageService"),t.NullStorageService=new(function(){function e(){this._serviceBrand=void 0,this.onDidChangeStorage=i.Event.None,this.onWillSaveState=i.Event.None}return e.prototype.get=function(e,t,n){return n},e.prototype.getBoolean=function(e,t,n){return n},e.prototype.getInteger=function(e,t,n){return n},e.prototype.store=function(e,t,n){return Promise.resolve()},e.prototype.remove=function(e,t){return Promise.resolve()},e}())}),define(t[442],n([0,1,65,71,14,2]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(){}return e.prototype.select=function(e,t,n){if(0===n.length)return 0
;for(var i=n[0].score,o=1;o<n.length;o++){var r=n[o],s=r.score,a=r.suggestion;if(s!==i)break;if(a.preselect)return o}return 0},e}();t.Memory=l;var d=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.memorize=function(e,t,n){},t.prototype.toJSON=function(){},t.prototype.fromJSON=function(){},t}(l);t.NoMemory=d;var c=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t._cache=new n.LRUCache(300,.66),t._seq=0,t}return o(t,e),t.prototype.memorize=function(e,t,n){var i=n.suggestion.label,o=e.getLanguageIdentifier().language+"/"+i;this._cache.set(o,{touch:this._seq++,type:n.suggestion.kind,insertText:n.suggestion.insertText})},t.prototype.select=function(t,n,i){if(0!==t.getWordUntilPosition(n).word.length)return e.prototype.select.call(this,t,n,i);var o=t.getLineContent(n.lineNumber).substr(n.column-10,n.column-1);if(/\s$/.test(o))return e.prototype.select.call(this,t,n,i);for(var r=-1,s=-1,a=0;a<i.length;a++){
var l=i[a].suggestion,u=t.getLanguageIdentifier().language+"/"+l.label,d=this._cache.get(u);d&&d.touch>s&&d.type===l.kind&&d.insertText===l.insertText&&(s=d.touch,r=a)}return-1===r?e.prototype.select.call(this,t,n,i):r},t.prototype.toJSON=function(){var e=[];return this._cache.forEach(function(t,n){e.push([n,t])}),e},t.prototype.fromJSON=function(e){this._cache.clear();for(var t=0,n=e;t<n.length;t++){var i=n[t],o=i[0],s=i[1];s.touch=0,s.type="number"==typeof s.type?s.type:r.completionKindFromLegacyString(s.type),this._cache.set(o,s)}this._seq=this._cache.size},t}(l);t.LRUMemory=c;var h=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t._trie=n.TernarySearchTree.forStrings(),t._seq=0,t}return o(t,e),t.prototype.memorize=function(e,t,n){var i=e.getWordUntilPosition(t).word,o=e.getLanguageIdentifier().language+"/"+i;this._trie.set(o,{type:n.suggestion.kind,insertText:n.suggestion.insertText,touch:this._seq++})},t.prototype.select=function(t,n,i){var o=t.getWordUntilPosition(n).word
;if(!o)return e.prototype.select.call(this,t,n,i);var r=t.getLanguageIdentifier().language+"/"+o,s=this._trie.get(r);if(s||(s=this._trie.findSubstr(r)),s)for(var a=0;a<i.length;a++){var l=i[a].suggestion,u=l.kind,d=l.insertText;if(u===s.type&&d===s.insertText)return a}return e.prototype.select.call(this,t,n,i)},t.prototype.toJSON=function(){var e=[];return this._trie.forEach(function(t,n){return e.push([n,t])}),e.sort(function(e,t){return-(e[1].touch-t[1].touch)}).forEach(function(e,t){return e[1].touch=t}),e.slice(0,200)},t.prototype.fromJSON=function(e){if(this._trie.clear(),e.length>0){this._seq=e[0][1].touch+1;for(var t=0,n=e;t<n.length;t++){var i=n[t],o=i[0],s=i[1];s.type="number"==typeof s.type?s.type:r.completionKindFromLegacyString(s.type),this._trie.set(o,s)}}},t}(l);t.PrefixMemory=h;var p=function(e){function t(t,n){var i=e.call(this)||this;return i._storageService=n,i._storagePrefix="suggest/memories",i._setMode(t.getConfiguration().contribInfo.suggestSelection),
i._register(t.onDidChangeConfiguration(function(e){return e.contribInfo&&i._setMode(t.getConfiguration().contribInfo.suggestSelection)})),i._register(n.onWillSaveState(function(){return i._saveState()})),i}return o(t,e),t.prototype._setMode=function(e){if(this._mode!==e){this._mode=e,this._strategy="recentlyUsedByPrefix"===e?new h:"recentlyUsed"===e?new c:new d;try{var t=this._storageService.get(this._storagePrefix+"/"+this._mode,1);t&&this._strategy.fromJSON(JSON.parse(t))}catch(e){}}},t.prototype.memorize=function(e,t,n){this._strategy.memorize(e,t,n)},t.prototype.select=function(e,t,n){return this._strategy.select(e,t,n)},t.prototype._saveState=function(){var e=JSON.stringify(this._strategy);this._storageService.store(this._storagePrefix+"/"+this._mode,e,1)},t=a([u(1,i.IStorageService)],t)}(s.Disposable);t.SuggestMemories=p}),define(t[70],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ITelemetryService=n.createDecorator("telemetryService")}),
define(t[10],n([0,1,16,11,25,30,12,42,92,37,31,18,95,41,70]),function(e,t,n,i,r,s,a,u,d,c,h,p,f,g,m){"use strict";function v(e,t){h.CommandsRegistry.registerCommand(e,function(e,n){return t(e,n||{})})}Object.defineProperty(t,"__esModule",{value:!0});var _=function(){function e(e){this.id=e.id,this.precondition=e.precondition,this._kbOpts=e.kbOpts,this._menubarOpts=e.menubarOpts,this._description=e.description}return e.prototype.register=function(){var e=this;if(this._menubarOpts&&c.MenuRegistry.appendMenuItem(this._menubarOpts.menuId,{group:this._menubarOpts.group,command:{id:this.id,title:this._menubarOpts.title},when:this._menubarOpts.when,order:this._menubarOpts.order}),this._kbOpts){var t=this._kbOpts.kbExpr;this.precondition&&(t=t?p.ContextKeyExpr.and(t,this.precondition):this.precondition),f.KeybindingsRegistry.registerCommandAndKeybindingRule({id:this.id,handler:function(t,n){return e.runCommand(t,n)},weight:this._kbOpts.weight,when:t||null,primary:this._kbOpts.primary,secondary:this._kbOpts.secondary,
win:this._kbOpts.win,linux:this._kbOpts.linux,mac:this._kbOpts.mac,description:this._description})}else h.CommandsRegistry.registerCommand({id:this.id,handler:function(t,n){return e.runCommand(t,n)},description:this._description})},e}();t.Command=_;var y=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.bindToContribution=function(e){return function(t){function n(e){var n=t.call(this,e)||this;return n._callback=e.handler,n}return o(n,t),n.prototype.runEditorCommand=function(t,n,i){e(n)&&this._callback(e(n))},n}(t)},t.prototype.runCommand=function(e,t){var n=this,i=e.get(s.ICodeEditorService),o=i.getFocusedCodeEditor()||i.getActiveCodeEditor();if(o)return o.invokeWithinContext(function(e){if(e.get(p.IContextKeyService).contextMatchesRules(n.precondition))return n.runEditorCommand(e,o,t)})},t}(_);t.EditorCommand=y;var C=function(e){function t(t){var n=e.call(this,t)||this;return n.label=t.label,n.alias=t.alias,n.menuOpts=t.menuOpts,n}return o(t,e),
t.prototype.register=function(){this.menuOpts&&c.MenuRegistry.appendMenuItem(c.MenuId.EditorContext,{command:{id:this.id,title:this.label},when:p.ContextKeyExpr.and(this.precondition,this.menuOpts.when),group:this.menuOpts.group,order:this.menuOpts.order}),e.prototype.register.call(this)},t.prototype.runEditorCommand=function(e,t,n){return this.reportTelemetry(e,t),this.run(e,t,n||{})},t.prototype.reportTelemetry=function(e,t){e.get(m.ITelemetryService).publicLog("editorActionInvoked",l({name:this.label,id:this.id},t.getTelemetryData()))},t}(y);t.EditorAction=C,t.registerLanguageCommand=v,t.registerDefaultLanguageCommand=function(e,t){v(e,function(e,o){var s=o.resource,l=o.position;if(!(s instanceof r.URI))throw i.illegalArgument("resource");if(!a.Position.isIPosition(l))throw i.illegalArgument("position");var c=e.get(u.IModelService).getModel(s);if(c){var h=a.Position.lift(l);return t(c,h,o)}return e.get(d.ITextModelService).createModelReference(s).then(function(e){return n.always(new Promise(function(n,i){
try{n(t(e.object.textEditorModel,a.Position.lift(l),o))}catch(e){i(e)}}),function(){e.dispose()})})})},t.registerEditorCommand=function(e){return b.INSTANCE.registerEditorCommand(e),e},t.registerEditorAction=function(e){b.INSTANCE.registerEditorAction(new e)},t.registerInstantiatedEditorAction=function(e){b.INSTANCE.registerEditorAction(e)},t.registerEditorContribution=function(e){b.INSTANCE.registerEditorContribution(e)};!function(e){e.getEditorCommand=function(e){return b.INSTANCE.getEditorCommand(e)},e.getEditorActions=function(){return b.INSTANCE.getEditorActions()},e.getEditorContributions=function(){return b.INSTANCE.getEditorContributions()}}(t.EditorExtensionsRegistry||(t.EditorExtensionsRegistry={}));var b=function(){function e(){this.editorContributions=[],this.editorActions=[],this.editorCommands=Object.create(null)}return e.prototype.registerEditorContribution=function(e){this.editorContributions.push(e)},e.prototype.registerEditorAction=function(e){e.register(),this.editorActions.push(e)},
e.prototype.getEditorContributions=function(){return this.editorContributions.slice(0)},e.prototype.getEditorActions=function(){return this.editorActions.slice(0)},e.prototype.registerEditorCommand=function(e){e.register(),this.editorCommands[e.id]=e},e.prototype.getEditorCommand=function(e){return this.editorCommands[e]||null},e.INSTANCE=new e,e}();g.Registry.add("editor.contributions",b.INSTANCE)}),define(t[132],n([0,1,289,32,10,30,372,38,182,188,137,12,3,54,19,37,18]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v){"use strict";function _(e){e.register()}function y(e){_(new x("default:"+e,e)),_(new x(e,e))}Object.defineProperty(t,"__esModule",{value:!0});var C=0,b=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){var i=t._getCursors();i&&this.runCoreEditorCommand(i,n||{})},t}(r.EditorCommand);t.CoreEditorCommand=b;var S;!function(e){e.description={description:"Scroll editor in the given direction",args:[{
name:"Editor scroll argument object",description:"Property-value pairs that can be passed through this argument:\n\t\t\t\t\t* 'to': A mandatory direction value.\n\t\t\t\t\t\t```\n\t\t\t\t\t\t'up', 'down'\n\t\t\t\t\t\t```\n\t\t\t\t\t* 'by': Unit to move. Default is computed based on 'to' value.\n\t\t\t\t\t\t```\n\t\t\t\t\t\t'line', 'wrappedLine', 'page', 'halfPage'\n\t\t\t\t\t\t```\n\t\t\t\t\t* 'value': Number of units to move. Default is '1'.\n\t\t\t\t\t* 'revealCursor': If 'true' reveals the cursor if it is outside view port.\n\t\t\t\t",constraint:function(e){if(!i.isObject(e))return!1;var t=e;return!(!i.isString(t.to)||!i.isUndefined(t.by)&&!i.isString(t.by)||!i.isUndefined(t.value)&&!i.isNumber(t.value)||!i.isUndefined(t.revealCursor)&&!i.isBoolean(t.revealCursor))}}]},e.RawDirection={Up:"up",Down:"down"},e.RawUnit={Line:"line",WrappedLine:"wrappedLine",Page:"page",HalfPage:"halfPage"},e.parse=function(t){var n;switch(t.to){case e.RawDirection.Up:n=1;break;case e.RawDirection.Down:n=2;break;default:
return null}var i;switch(t.by){case e.RawUnit.Line:i=1;break;case e.RawUnit.WrappedLine:i=2;break;case e.RawUnit.Page:i=3;break;case e.RawUnit.HalfPage:i=4;break;default:i=2}return{direction:n,unit:i,value:Math.floor(t.value||1),revealCursor:!!t.revealCursor,select:!!t.select}}}(S=t.EditorScroll_||(t.EditorScroll_={}));var w;!function(e){e.description={description:"Reveal the given line at the given logical position",args:[{name:"Reveal line argument object",description:"Property-value pairs that can be passed through this argument:\n\t\t\t\t\t* 'lineNumber': A mandatory line number value.\n\t\t\t\t\t* 'at': Logical position at which line has to be revealed .\n\t\t\t\t\t\t```\n\t\t\t\t\t\t'top', 'center', 'bottom'\n\t\t\t\t\t\t```\n\t\t\t\t",constraint:function(e){if(!i.isObject(e))return!1;var t=e;return!(!i.isNumber(t.lineNumber)||!i.isUndefined(t.at)&&!i.isString(t.at))}}]},e.RawAtArgument={Top:"top",Center:"center",Bottom:"bottom"}}(w=t.RevealLine_||(t.RevealLine_={}));var E;!function(e){
var t=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,[d.CursorMoveCommands.moveTo(e.context,e.getPrimaryCursor(),this._inSelectionMode,t.position,t.viewPosition)]),e.reveal(!0,0,0)},t}(b);e.MoveTo=r.registerEditorCommand(new t({id:"_moveTo",inSelectionMode:!1,precondition:null})),e.MoveToSelect=r.registerEditorCommand(new t({id:"_moveToSelect",inSelectionMode:!0,precondition:null}));var n=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement();var n=this._getColumnSelectResult(e.context,e.getPrimaryCursor(),e.getColumnSelectData(),t);e.setStates(t.source,3,n.viewStates.map(function(e){return l.CursorState.fromViewState(e)})),e.setColumnSelectData({toViewLineNumber:n.toLineNumber,toViewVisualColumn:n.toVisualColumn}),
e.reveal(!0,n.reversed?1:2,0)},t}(b);e.ColumnSelect=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"columnSelect",precondition:null})||this}return o(t,e),t.prototype._getColumnSelectResult=function(e,t,n,i){var o,r=e.model.validatePosition(i.position);return o=i.viewPosition?e.validateViewPosition(new h.Position(i.viewPosition.lineNumber,i.viewPosition.column),r):e.convertModelPositionToViewPosition(r),a.ColumnSelection.columnSelect(e.config,e.viewModel,t.viewState.selection,o.lineNumber,i.mouseColumn-1)},t}(n))),e.CursorColumnSelectLeft=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"cursorColumnSelectLeft",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:3599,linux:{primary:0}}})||this}return o(t,e),t.prototype._getColumnSelectResult=function(e,t,n,i){return a.ColumnSelection.columnSelectLeft(e.config,e.viewModel,t.viewState,n.toViewLineNumber,n.toViewVisualColumn)},t}(n))),
e.CursorColumnSelectRight=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"cursorColumnSelectRight",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:3601,linux:{primary:0}}})||this}return o(t,e),t.prototype._getColumnSelectResult=function(e,t,n,i){return a.ColumnSelection.columnSelectRight(e.config,e.viewModel,t.viewState,n.toViewLineNumber,n.toViewVisualColumn)},t}(n)));var i=function(e){function t(t){var n=e.call(this,t)||this;return n._isPaged=t.isPaged,n}return o(t,e),t.prototype._getColumnSelectResult=function(e,t,n,i){return a.ColumnSelection.columnSelectUp(e.config,e.viewModel,t.viewState,this._isPaged,n.toViewLineNumber,n.toViewVisualColumn)},t}(n);e.CursorColumnSelectUp=r.registerEditorCommand(new i({isPaged:!1,id:"cursorColumnSelectUp",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:3600,linux:{primary:0}}})),e.CursorColumnSelectPageUp=r.registerEditorCommand(new i({isPaged:!0,
id:"cursorColumnSelectPageUp",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:3595,linux:{primary:0}}}));var s=function(e){function t(t){var n=e.call(this,t)||this;return n._isPaged=t.isPaged,n}return o(t,e),t.prototype._getColumnSelectResult=function(e,t,n,i){return a.ColumnSelection.columnSelectDown(e.config,e.viewModel,t.viewState,this._isPaged,n.toViewLineNumber,n.toViewVisualColumn)},t}(n);e.CursorColumnSelectDown=r.registerEditorCommand(new s({isPaged:!1,id:"cursorColumnSelectDown",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:3602,linux:{primary:0}}})),e.CursorColumnSelectPageDown=r.registerEditorCommand(new s({isPaged:!0,id:"cursorColumnSelectPageDown",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:3596,linux:{primary:0}}}));var u=function(e){function t(){return e.call(this,{id:"cursorMove",precondition:null,description:d.CursorMove.description})||this}return o(t,e),
t.prototype.runCoreEditorCommand=function(e,t){var n=d.CursorMove.parse(t);n&&this._runCursorMove(e,t.source,n)},t.prototype._runCursorMove=function(e,t,n){e.context.model.pushStackElement(),e.setStates(t,3,d.CursorMoveCommands.move(e.context,e.getAll(),n)),e.reveal(!0,0,0)},t}(b);e.CursorMoveImpl=u,e.CursorMove=r.registerEditorCommand(new u);var c=function(t){function n(e){var n=t.call(this,e)||this;return n._staticArgs=e.args,n}return o(n,t),n.prototype.runCoreEditorCommand=function(t,n){var i=this._staticArgs;-1===this._staticArgs.value&&(i={direction:this._staticArgs.direction,unit:this._staticArgs.unit,select:this._staticArgs.select,value:t.context.config.pageSize}),e.CursorMove._runCursorMove(t,n.source,i)},n}(b);e.CursorLeft=r.registerEditorCommand(new c({args:{direction:0,unit:0,select:!1,value:1},id:"cursorLeft",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:15,mac:{primary:15,secondary:[288]}}})),e.CursorLeftSelect=r.registerEditorCommand(new c({args:{
direction:0,unit:0,select:!0,value:1},id:"cursorLeftSelect",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:1039}})),e.CursorRight=r.registerEditorCommand(new c({args:{direction:1,unit:0,select:!1,value:1},id:"cursorRight",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:17,mac:{primary:17,secondary:[292]}}})),e.CursorRightSelect=r.registerEditorCommand(new c({args:{direction:1,unit:0,select:!0,value:1},id:"cursorRightSelect",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:1041}})),e.CursorUp=r.registerEditorCommand(new c({args:{direction:2,unit:2,select:!1,value:1},id:"cursorUp",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:16,mac:{primary:16,secondary:[302]}}})),e.CursorUpSelect=r.registerEditorCommand(new c({args:{direction:2,unit:2,select:!0,value:1},id:"cursorUpSelect",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:1040,
secondary:[3088],mac:{primary:1040},linux:{primary:1040}}})),e.CursorPageUp=r.registerEditorCommand(new c({args:{direction:2,unit:2,select:!1,value:-1},id:"cursorPageUp",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:11}})),e.CursorPageUpSelect=r.registerEditorCommand(new c({args:{direction:2,unit:2,select:!0,value:-1},id:"cursorPageUpSelect",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:1035}})),e.CursorDown=r.registerEditorCommand(new c({args:{direction:3,unit:2,select:!1,value:1},id:"cursorDown",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:18,mac:{primary:18,secondary:[300]}}})),e.CursorDownSelect=r.registerEditorCommand(new c({args:{direction:3,unit:2,select:!0,value:1},id:"cursorDownSelect",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:1042,secondary:[3090],mac:{primary:1042},linux:{primary:1042}}})),e.CursorPageDown=r.registerEditorCommand(new c({
args:{direction:3,unit:2,select:!1,value:-1},id:"cursorPageDown",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:12}})),e.CursorPageDownSelect=r.registerEditorCommand(new c({args:{direction:3,unit:2,select:!0,value:-1},id:"cursorPageDownSelect",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:1036}})),e.CreateCursor=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"createCursor",precondition:null})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){var n,i=e.context;n=t.wholeLine?d.CursorMoveCommands.line(i,e.getPrimaryCursor(),!1,t.position,t.viewPosition):d.CursorMoveCommands.moveTo(i,e.getPrimaryCursor(),!1,t.position,t.viewPosition);var o=e.getAll();if(o.length>1)for(var r=n.modelState?n.modelState.position:null,s=n.viewState?n.viewState.position:null,a=0,l=o.length;a<l;a++){var u=o[a]
;if((!r||u.modelState.selection.containsPosition(r))&&(!s||u.viewState.selection.containsPosition(s)))return o.splice(a,1),e.context.model.pushStackElement(),void e.setStates(t.source,3,o)}o.push(n),e.context.model.pushStackElement(),e.setStates(t.source,3,o)},t}(b))),e.LastCursorMoveToSelect=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"_lastCursorMoveToSelect",precondition:null})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){var n=e.context,i=e.getLastAddedCursorIndex(),o=e.getAll(),r=o.slice(0);r[i]=d.CursorMoveCommands.moveTo(n,o[i],!0,t.position,t.viewPosition),e.context.model.pushStackElement(),e.setStates(t.source,3,r)},t}(b)));var f=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,d.CursorMoveCommands.moveToBeginningOfLine(e.context,e.getAll(),this._inSelectionMode)),e.reveal(!0,0,0)
},t}(b);e.CursorHome=r.registerEditorCommand(new f({inSelectionMode:!1,id:"cursorHome",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:14,mac:{primary:14,secondary:[2063]}}})),e.CursorHomeSelect=r.registerEditorCommand(new f({inSelectionMode:!0,id:"cursorHomeSelect",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:1038,mac:{primary:1038,secondary:[3087]}}})),e.CursorLineStart=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"cursorLineStart",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:0,mac:{primary:287}}})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,this._exec(e.context,e.getAll())),e.reveal(!0,0,0)},t.prototype._exec=function(e,t){for(var n=[],i=0,o=t.length;i<o;i++){var r=t[i],s=r.modelState.position.lineNumber;n[i]=l.CursorState.fromModelState(r.modelState.move(!1,s,1,0))}return n},t
}(b)));var m=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,d.CursorMoveCommands.moveToEndOfLine(e.context,e.getAll(),this._inSelectionMode)),e.reveal(!0,0,0)},t}(b);e.CursorEnd=r.registerEditorCommand(new m({inSelectionMode:!1,id:"cursorEnd",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:13,mac:{primary:13,secondary:[2065]}}})),e.CursorEndSelect=r.registerEditorCommand(new m({inSelectionMode:!0,id:"cursorEndSelect",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:1037,mac:{primary:1037,secondary:[3089]}}})),e.CursorLineEnd=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"cursorLineEnd",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:0,mac:{primary:291}}})||this}return o(t,e),
t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,this._exec(e.context,e.getAll())),e.reveal(!0,0,0)},t.prototype._exec=function(e,t){for(var n=[],i=0,o=t.length;i<o;i++){var r=t[i],s=r.modelState.position.lineNumber,a=e.model.getLineMaxColumn(s);n[i]=l.CursorState.fromModelState(r.modelState.move(!1,s,a,0))}return n},t}(b)));var v=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,d.CursorMoveCommands.moveToBeginningOfBuffer(e.context,e.getAll(),this._inSelectionMode)),e.reveal(!0,0,0)},t}(b);e.CursorTop=r.registerEditorCommand(new v({inSelectionMode:!1,id:"cursorTop",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:2062,mac:{primary:2064}}})),e.CursorTopSelect=r.registerEditorCommand(new v({inSelectionMode:!0,id:"cursorTopSelect",precondition:null,
kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:3086,mac:{primary:3088}}}));var _=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,d.CursorMoveCommands.moveToEndOfBuffer(e.context,e.getAll(),this._inSelectionMode)),e.reveal(!0,0,0)},t}(b);e.CursorBottom=r.registerEditorCommand(new _({inSelectionMode:!1,id:"cursorBottom",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:2061,mac:{primary:2066}}})),e.CursorBottomSelect=r.registerEditorCommand(new _({inSelectionMode:!0,id:"cursorBottomSelect",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:3085,mac:{primary:3090}}}));var y=function(e){function t(){return e.call(this,{id:"editorScroll",precondition:null,description:S.description})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){
var n=S.parse(t);n&&this._runEditorScroll(e,t.source,n)},t.prototype._runEditorScroll=function(e,t,n){var i=this._computeDesiredScrollTop(e.context,n);if(n.revealCursor){var o=e.context.getCompletelyVisibleViewRangeAtScrollTop(i);e.setStates(t,3,[d.CursorMoveCommands.findPositionInViewportIfOutside(e.context,e.getPrimaryCursor(),o,n.select)])}e.scrollTo(i)},t.prototype._computeDesiredScrollTop=function(e,t){if(1===t.unit){var n=e.getCompletelyVisibleModelRange(),i=void 0;i=1===t.direction?Math.max(1,n.startLineNumber-t.value):Math.min(e.model.getLineCount(),n.startLineNumber+t.value);var o=e.convertModelPositionToViewPosition(new h.Position(i,1));return e.getVerticalOffsetForViewLine(o.lineNumber)}var r;r=3===t.unit?e.config.pageSize*t.value:4===t.unit?Math.round(e.config.pageSize/2)*t.value:t.value;var s=(1===t.direction?-1:1)*r;return e.getCurrentScrollTop()+s*e.config.lineHeight},t}(b);e.EditorScrollImpl=y,e.EditorScroll=r.registerEditorCommand(new y),e.ScrollLineUp=r.registerEditorCommand(new(function(t){
function n(){return t.call(this,{id:"scrollLineUp",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:2064,mac:{primary:267}}})||this}return o(n,t),n.prototype.runCoreEditorCommand=function(t,n){e.EditorScroll._runEditorScroll(t,n.source,{direction:1,unit:2,value:1,revealCursor:!1,select:!1})},n}(b))),e.ScrollPageUp=r.registerEditorCommand(new(function(t){function n(){return t.call(this,{id:"scrollPageUp",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:2059,win:{primary:523},linux:{primary:523}}})||this}return o(n,t),n.prototype.runCoreEditorCommand=function(t,n){e.EditorScroll._runEditorScroll(t,n.source,{direction:1,unit:3,value:1,revealCursor:!1,select:!1})},n}(b))),e.ScrollLineDown=r.registerEditorCommand(new(function(t){function n(){return t.call(this,{id:"scrollLineDown",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:2066,mac:{primary:268}}})||this}return o(n,t),
n.prototype.runCoreEditorCommand=function(t,n){e.EditorScroll._runEditorScroll(t,n.source,{direction:2,unit:2,value:1,revealCursor:!1,select:!1})},n}(b))),e.ScrollPageDown=r.registerEditorCommand(new(function(t){function n(){return t.call(this,{id:"scrollPageDown",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:2060,win:{primary:524},linux:{primary:524}}})||this}return o(n,t),n.prototype.runCoreEditorCommand=function(t,n){e.EditorScroll._runEditorScroll(t,n.source,{direction:2,unit:3,value:1,revealCursor:!1,select:!1})},n}(b)));var E=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,[d.CursorMoveCommands.word(e.context,e.getPrimaryCursor(),this._inSelectionMode,t.position)]),e.reveal(!0,0,0)},t}(b);e.WordSelect=r.registerEditorCommand(new E({inSelectionMode:!1,id:"_wordSelect",precondition:null})),
e.WordSelectDrag=r.registerEditorCommand(new E({inSelectionMode:!0,id:"_wordSelectDrag",precondition:null})),e.LastCursorWordSelect=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"lastCursorWordSelect",precondition:null})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){var n=e.context,i=e.getLastAddedCursorIndex(),o=e.getAll(),r=o.slice(0),s=o[i];r[i]=d.CursorMoveCommands.word(n,s,s.modelState.hasSelection(),t.position),n.model.pushStackElement(),e.setStates(t.source,3,r)},t}(b)));var L=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,[d.CursorMoveCommands.line(e.context,e.getPrimaryCursor(),this._inSelectionMode,t.position,t.viewPosition)]),e.reveal(!1,0,0)},t}(b);e.LineSelect=r.registerEditorCommand(new L({inSelectionMode:!1,id:"_lineSelect",precondition:null})),
e.LineSelectDrag=r.registerEditorCommand(new L({inSelectionMode:!0,id:"_lineSelectDrag",precondition:null}));var x=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){var n=e.getLastAddedCursorIndex(),i=e.getAll(),o=i.slice(0);o[n]=d.CursorMoveCommands.line(e.context,i[n],this._inSelectionMode,t.position,t.viewPosition),e.context.model.pushStackElement(),e.setStates(t.source,3,o)},t}(b);e.LastCursorLineSelect=r.registerEditorCommand(new x({inSelectionMode:!1,id:"lastCursorLineSelect",precondition:null})),e.LastCursorLineSelectDrag=r.registerEditorCommand(new x({inSelectionMode:!0,id:"lastCursorLineSelectDrag",precondition:null})),e.ExpandLineSelection=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"expandLineSelection",precondition:null,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:2087}})||this}return o(t,e),
t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,d.CursorMoveCommands.expandLineSelection(e.context,e.getAll())),e.reveal(!0,0,0)},t}(b))),e.CancelSelection=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"cancelSelection",precondition:g.EditorContextKeys.hasNonEmptySelection,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:9,secondary:[1033]}})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,[d.CursorMoveCommands.cancelSelection(e.context,e.getPrimaryCursor())]),e.reveal(!0,0,0)},t}(b))),e.RemoveSecondaryCursors=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"removeSecondaryCursors",precondition:g.EditorContextKeys.hasMultipleSelections,kbOpts:{weight:C+1,kbExpr:g.EditorContextKeys.textInputFocus,primary:9,secondary:[1033]}})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){
e.context.model.pushStackElement(),e.setStates(t.source,3,[e.getPrimaryCursor()]),e.reveal(!0,0,0)},t}(b))),e.RevealLine=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"revealLine",precondition:null,description:w.description})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){var n=t,i=(n.lineNumber||0)+1;i<1&&(i=1);var o=e.context.model.getLineCount();i>o&&(i=o);var r=new p.Range(i,1,i,e.context.model.getLineMaxColumn(i)),s=0;if(n.at)switch(n.at){case w.RawAtArgument.Top:s=3;break;case w.RawAtArgument.Center:s=1;break;case w.RawAtArgument.Bottom:s=4}var a=e.context.convertModelRangeToViewRange(r);e.revealRange(!1,a,s,0)},t}(b))),e.SelectAll=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"selectAll",precondition:null})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,[d.CursorMoveCommands.selectAll(e.context,e.getPrimaryCursor())])},t}(b))),
e.SetSelection=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"setSelection",precondition:null})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,3,[l.CursorState.fromModelSelection(t.selection)])},t}(b)))}(E=t.CoreNavigationCommands||(t.CoreNavigationCommands={}));!function(e){var t=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){var i=t._getCursors();i&&this.runCoreEditingCommand(t,i,n||{})},t}(r.EditorCommand);e.CoreEditingCommand=t,e.LineBreakInsert=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"lineBreakInsert",precondition:g.EditorContextKeys.writable,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:0,mac:{primary:301}}})||this}return o(t,e),t.prototype.runCoreEditingCommand=function(e,t,n){e.pushUndoStop(),
e.executeCommands(this.id,c.TypeOperations.lineBreakInsert(t.context.config,t.context.model,t.getAll().map(function(e){return e.modelState.selection})))},t}(t))),e.Outdent=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"outdent",precondition:g.EditorContextKeys.writable,kbOpts:{weight:C,kbExpr:v.ContextKeyExpr.and(g.EditorContextKeys.editorTextFocus,g.EditorContextKeys.tabDoesNotMoveFocus),primary:1026}})||this}return o(t,e),t.prototype.runCoreEditingCommand=function(e,t,n){e.pushUndoStop(),e.executeCommands(this.id,c.TypeOperations.outdent(t.context.config,t.context.model,t.getAll().map(function(e){return e.modelState.selection}))),e.pushUndoStop()},t}(t))),e.Tab=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"tab",precondition:g.EditorContextKeys.writable,kbOpts:{weight:C,kbExpr:v.ContextKeyExpr.and(g.EditorContextKeys.editorTextFocus,g.EditorContextKeys.tabDoesNotMoveFocus),primary:2}})||this}return o(t,e),
t.prototype.runCoreEditingCommand=function(e,t,n){e.pushUndoStop(),e.executeCommands(this.id,c.TypeOperations.tab(t.context.config,t.context.model,t.getAll().map(function(e){return e.modelState.selection}))),e.pushUndoStop()},t}(t))),e.DeleteLeft=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"deleteLeft",precondition:g.EditorContextKeys.writable,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:1,secondary:[1025],mac:{primary:1,secondary:[1025,294,257]}}})||this}return o(t,e),t.prototype.runCoreEditingCommand=function(e,t,n){var i=u.DeleteOperations.deleteLeft(t.getPrevEditOperationType(),t.context.config,t.context.model,t.getAll().map(function(e){return e.modelState.selection})),o=i[0],r=i[1];o&&e.pushUndoStop(),e.executeCommands(this.id,r),t.setPrevEditOperationType(2)},t}(t))),e.DeleteRight=r.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"deleteRight",precondition:g.EditorContextKeys.writable,kbOpts:{weight:C,
kbExpr:g.EditorContextKeys.textInputFocus,primary:20,mac:{primary:20,secondary:[290,276]}}})||this}return o(t,e),t.prototype.runCoreEditingCommand=function(e,t,n){var i=u.DeleteOperations.deleteRight(t.getPrevEditOperationType(),t.context.config,t.context.model,t.getAll().map(function(e){return e.modelState.selection})),o=i[0],r=i[1];o&&e.pushUndoStop(),e.executeCommands(this.id,r),t.setPrevEditOperationType(3)},t}(t)))}(t.CoreEditingCommands||(t.CoreEditingCommands={}));var L=function(e){function t(t){var n=e.call(this,t)||this;return n._editorHandler=t.editorHandler,n._inputHandler=t.inputHandler,n}return o(t,e),t.prototype.runCommand=function(e,t){var n=e.get(s.ICodeEditorService).getFocusedCodeEditor();if(n&&n.hasTextFocus())return this._runEditorHandler(e,n,t);var i=document.activeElement;if(!(i&&["input","textarea"].indexOf(i.tagName.toLowerCase())>=0)){var o=e.get(s.ICodeEditorService).getActiveCodeEditor();return o?(o.focus(),this._runEditorHandler(e,o,t)):void 0}
document.execCommand(this._inputHandler)},t.prototype._runEditorHandler=function(e,t,n){var i=this._editorHandler;"string"==typeof i?t.trigger("keyboard",i,n):((n=n||{}).source="keyboard",i.runEditorCommand(e,t,n))},t}(r.Command),x=function(e){function t(t,n){var i=e.call(this,{id:t,precondition:null})||this;return i._handlerId=n,i}return o(t,e),t.prototype.runCommand=function(e,t){var n=e.get(s.ICodeEditorService).getFocusedCodeEditor();n&&n.trigger("keyboard",this._handlerId,t)},t}(r.Command);_(new L({editorHandler:E.SelectAll,inputHandler:"selectAll",id:"editor.action.selectAll",precondition:g.EditorContextKeys.textInputFocus,kbOpts:{weight:C,kbExpr:null,primary:2079},menubarOpts:{menuId:m.MenuId.MenubarSelectionMenu,group:"1_basic",title:n.localize(0,null),order:1}})),_(new L({editorHandler:f.Handler.Undo,inputHandler:"undo",id:f.Handler.Undo,precondition:g.EditorContextKeys.writable,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:2104},menubarOpts:{menuId:m.MenuId.MenubarEditMenu,
group:"1_do",title:n.localize(1,null),order:1}})),_(new x("default:"+f.Handler.Undo,f.Handler.Undo)),_(new L({editorHandler:f.Handler.Redo,inputHandler:"redo",id:f.Handler.Redo,precondition:g.EditorContextKeys.writable,kbOpts:{weight:C,kbExpr:g.EditorContextKeys.textInputFocus,primary:2103,secondary:[3128],mac:{primary:3128}},menubarOpts:{menuId:m.MenuId.MenubarEditMenu,group:"1_do",title:n.localize(2,null),order:2}})),_(new x("default:"+f.Handler.Redo,f.Handler.Redo)),y(f.Handler.Type),y(f.Handler.ReplacePreviousChar),y(f.Handler.CompositionStart),y(f.Handler.CompositionEnd),y(f.Handler.Paste),y(f.Handler.Cut)}),define(t[446],n([0,1,132,12]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n,i){this.configuration=e,this.viewModel=t,this.outgoingEvents=n,this.commandDelegate=i}return e.prototype._execMouseCommand=function(e,t){t.source="mouse",this.commandDelegate.executeEditorCommand(e,t)},e.prototype.paste=function(e,t,n,i){
this.commandDelegate.paste(e,t,n,i)},e.prototype.type=function(e,t){this.commandDelegate.type(e,t)},e.prototype.replacePreviousChar=function(e,t,n){this.commandDelegate.replacePreviousChar(e,t,n)},e.prototype.compositionStart=function(e){this.commandDelegate.compositionStart(e)},e.prototype.compositionEnd=function(e){this.commandDelegate.compositionEnd(e)},e.prototype.cut=function(e){this.commandDelegate.cut(e)},e.prototype.setSelection=function(e,t){this.commandDelegate.executeEditorCommand(n.CoreNavigationCommands.SetSelection,{source:e,selection:t})},e.prototype._validateViewColumn=function(e){var t=this.viewModel.getLineMinColumn(e.lineNumber);return e.column<t?new i.Position(e.lineNumber,t):e},e.prototype._hasMulticursorModifier=function(e){switch(this.configuration.editor.multiCursorModifier){case"altKey":return e.altKey;case"ctrlKey":return e.ctrlKey;case"metaKey":return e.metaKey}return!1},e.prototype._hasNonMulticursorModifier=function(e){switch(this.configuration.editor.multiCursorModifier){
case"altKey":return e.ctrlKey||e.metaKey;case"ctrlKey":return e.altKey||e.metaKey;case"metaKey":return e.ctrlKey||e.altKey}return!1},e.prototype.dispatchMouse=function(e){
e.middleButton?e.inSelectionMode?this.columnSelect(e.position,e.mouseColumn):this.moveTo(e.position):e.startedOnLineNumbers?this._hasMulticursorModifier(e)?e.inSelectionMode?this.lastCursorLineSelect(e.position):this.createCursor(e.position,!0):e.inSelectionMode?this.lineSelectDrag(e.position):this.lineSelect(e.position):e.mouseDownCount>=4?this.selectAll():3===e.mouseDownCount?this._hasMulticursorModifier(e)?e.inSelectionMode?this.lastCursorLineSelectDrag(e.position):this.lastCursorLineSelect(e.position):e.inSelectionMode?this.lineSelectDrag(e.position):this.lineSelect(e.position):2===e.mouseDownCount?this._hasMulticursorModifier(e)?this.lastCursorWordSelect(e.position):e.inSelectionMode?this.wordSelectDrag(e.position):this.wordSelect(e.position):this._hasMulticursorModifier(e)?this._hasNonMulticursorModifier(e)||(e.shiftKey?this.columnSelect(e.position,e.mouseColumn):e.inSelectionMode?this.lastCursorMoveToSelect(e.position):this.createCursor(e.position,!1)):e.inSelectionMode?this.moveToSelect(e.position):this.moveTo(e.position)
},e.prototype._usualArgs=function(e){return e=this._validateViewColumn(e),{position:this.convertViewToModelPosition(e),viewPosition:e}},e.prototype.moveTo=function(e){this._execMouseCommand(n.CoreNavigationCommands.MoveTo,this._usualArgs(e))},e.prototype.moveToSelect=function(e){this._execMouseCommand(n.CoreNavigationCommands.MoveToSelect,this._usualArgs(e))},e.prototype.columnSelect=function(e,t){e=this._validateViewColumn(e),this._execMouseCommand(n.CoreNavigationCommands.ColumnSelect,{position:this.convertViewToModelPosition(e),viewPosition:e,mouseColumn:t})},e.prototype.createCursor=function(e,t){e=this._validateViewColumn(e),this._execMouseCommand(n.CoreNavigationCommands.CreateCursor,{position:this.convertViewToModelPosition(e),viewPosition:e,wholeLine:t})},e.prototype.lastCursorMoveToSelect=function(e){this._execMouseCommand(n.CoreNavigationCommands.LastCursorMoveToSelect,this._usualArgs(e))},e.prototype.wordSelect=function(e){
this._execMouseCommand(n.CoreNavigationCommands.WordSelect,this._usualArgs(e))},e.prototype.wordSelectDrag=function(e){this._execMouseCommand(n.CoreNavigationCommands.WordSelectDrag,this._usualArgs(e))},e.prototype.lastCursorWordSelect=function(e){this._execMouseCommand(n.CoreNavigationCommands.LastCursorWordSelect,this._usualArgs(e))},e.prototype.lineSelect=function(e){this._execMouseCommand(n.CoreNavigationCommands.LineSelect,this._usualArgs(e))},e.prototype.lineSelectDrag=function(e){this._execMouseCommand(n.CoreNavigationCommands.LineSelectDrag,this._usualArgs(e))},e.prototype.lastCursorLineSelect=function(e){this._execMouseCommand(n.CoreNavigationCommands.LastCursorLineSelect,this._usualArgs(e))},e.prototype.lastCursorLineSelectDrag=function(e){this._execMouseCommand(n.CoreNavigationCommands.LastCursorLineSelectDrag,this._usualArgs(e))},e.prototype.selectAll=function(){this._execMouseCommand(n.CoreNavigationCommands.SelectAll,{})},e.prototype.convertViewToModelPosition=function(e){
return this.viewModel.coordinatesConverter.convertViewPositionToModelPosition(e)},e.prototype.emitKeyDown=function(e){this.outgoingEvents.emitKeyDown(e)},e.prototype.emitKeyUp=function(e){this.outgoingEvents.emitKeyUp(e)},e.prototype.emitContextMenu=function(e){this.outgoingEvents.emitContextMenu(e)},e.prototype.emitMouseMove=function(e){this.outgoingEvents.emitMouseMove(e)},e.prototype.emitMouseLeave=function(e){this.outgoingEvents.emitMouseLeave(e)},e.prototype.emitMouseUp=function(e){this.outgoingEvents.emitMouseUp(e)},e.prototype.emitMouseDown=function(e){this.outgoingEvents.emitMouseDown(e)},e.prototype.emitMouseDrag=function(e){this.outgoingEvents.emitMouseDrag(e)},e.prototype.emitMouseDrop=function(e){this.outgoingEvents.emitMouseDrop(e)},e}();t.ViewController=o}),define(t[447],n([0,1,302,10,19,234]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t,n){var i=e.call(this,n)||this;return i.left=t,i}return o(t,e),
t.prototype.run=function(e,t){if(t.hasModel()){for(var n=[],i=t.getSelections(),o=0;o<i.length;o++)n.push(new s.MoveCaretCommand(i[o],this.left));t.pushUndoStop(),t.executeCommands(this.id,n),t.pushUndoStop()}},t}(i.EditorAction),l=function(e){function t(){return e.call(this,!0,{id:"editor.action.moveCarretLeftAction",label:n.localize(0,null),alias:"Move Caret Left",precondition:r.EditorContextKeys.writable})||this}return o(t,e),t}(a),u=function(e){function t(){return e.call(this,!1,{id:"editor.action.moveCarretRightAction",label:n.localize(1,null),alias:"Move Caret Right",precondition:r.EditorContextKeys.writable})||this}return o(t,e),t}(a);i.registerEditorAction(l),i.registerEditorAction(u)}),define(t[448],n([0,1,303,8,10,77,12,3,19]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var d=function(e){function t(){return e.call(this,{id:"editor.action.transposeLetters",label:n.localize(0,null),alias:"Transpose Letters",precondition:u.EditorContextKeys.writable,
kbOpts:{kbExpr:u.EditorContextKeys.textInputFocus,primary:0,mac:{primary:306},weight:100}})||this}return o(t,e),t.prototype.positionLeftOf=function(e,t){var n=e.column,o=e.lineNumber;return n>t.getLineMinColumn(o)?i.isLowSurrogate(t.getLineContent(o).charCodeAt(n-2))?n-=2:n-=1:o>1&&(o-=1,n=t.getLineMaxColumn(o)),new a.Position(o,n)},t.prototype.positionRightOf=function(e,t){var n=e.column,o=e.lineNumber;return n<t.getLineMaxColumn(o)?i.isHighSurrogate(t.getLineContent(o).charCodeAt(n-1))?n+=2:n+=1:o<t.getLineCount()&&(o+=1,n=0),new a.Position(o,n)},t.prototype.run=function(e,t){if(t.hasModel()){for(var n=t.getModel(),i=[],o=0,r=t.getSelections();o<r.length;o++){var a=r[o];if(a.isEmpty()){var u=a.startLineNumber,d=a.startColumn,c=n.getLineMaxColumn(u);if(1!==u||1!==d&&(2!==d||2!==c)){
var h=d===c?a.getPosition():this.positionRightOf(a.getPosition(),n),p=this.positionLeftOf(h,n),f=this.positionLeftOf(p,n),g=n.getValueInRange(l.Range.fromPositions(f,p)),m=n.getValueInRange(l.Range.fromPositions(p,h)),v=l.Range.fromPositions(f,h);i.push(new s.ReplaceCommand(v,m+g))}}}i.length>0&&(t.pushUndoStop(),t.executeCommands(this.id,i),t.pushUndoStop())}},t}(r.EditorAction);r.registerEditorAction(d)}),define(t[449],n([0,1,304,29,17,150,10,30,19,37,360]),function(e,t,n,i,r,s,a,l,u,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c="9_cutcopypaste",h=r.isNative||document.queryCommandSupported("cut"),p=r.isNative||document.queryCommandSupported("copy"),f=p&&!i.isEdgeOrIE,g=r.isNative||!i.isChrome&&document.queryCommandSupported("paste"),m=function(e){function t(t,n){var i=e.call(this,n)||this;return i.browserCommand=t,i}return o(t,e),t.prototype.runCommand=function(e,t){var n=e.get(l.ICodeEditorService).getFocusedCodeEditor()
;n&&n.hasTextFocus()?n.trigger("keyboard",this.id,t):document.execCommand(this.browserCommand)},t.prototype.run=function(e,t){t.focus(),document.execCommand(this.browserCommand)},t}(a.EditorAction),v=function(e){function t(){var t={kbExpr:u.EditorContextKeys.textInputFocus,primary:2102,win:{primary:2102,secondary:[1044]},weight:100};return r.isNative||(t=null),e.call(this,"cut",{id:"editor.action.clipboardCutAction",label:n.localize(0,null),alias:"Cut",precondition:u.EditorContextKeys.writable,kbOpts:t,menuOpts:{group:c,order:1},menubarOpts:{menuId:d.MenuId.MenubarEditMenu,group:"2_ccp",title:n.localize(1,null),order:1}})||this}return o(t,e),t.prototype.run=function(t,n){if(n.hasModel()){!n.getConfiguration().emptySelectionClipboard&&n.getSelection().isEmpty()||e.prototype.run.call(this,t,n)}},t}(m),_=function(e){function t(){var t={kbExpr:u.EditorContextKeys.textInputFocus,primary:2081,win:{primary:2081,secondary:[2067]},weight:100};return r.isNative||(t=null),e.call(this,"copy",{
id:"editor.action.clipboardCopyAction",label:n.localize(2,null),alias:"Copy",precondition:null,kbOpts:t,menuOpts:{group:c,order:2},menubarOpts:{menuId:d.MenuId.MenubarEditMenu,group:"2_ccp",title:n.localize(3,null),order:2}})||this}return o(t,e),t.prototype.run=function(t,n){if(n.hasModel()){!n.getConfiguration().emptySelectionClipboard&&n.getSelection().isEmpty()||e.prototype.run.call(this,t,n)}},t}(m),y=function(e){function t(){var t={kbExpr:u.EditorContextKeys.textInputFocus,primary:2100,win:{primary:2100,secondary:[1043]},weight:100};return r.isNative||(t=null),e.call(this,"paste",{id:"editor.action.clipboardPasteAction",label:n.localize(4,null),alias:"Paste",precondition:u.EditorContextKeys.writable,kbOpts:t,menuOpts:{group:c,order:3},menubarOpts:{menuId:d.MenuId.MenubarEditMenu,group:"2_ccp",title:n.localize(5,null),order:3}})||this}return o(t,e),t}(m),C=function(e){function t(){return e.call(this,"copy",{id:"editor.action.clipboardCopyWithSyntaxHighlightingAction",label:n.localize(6,null),
alias:"Copy With Syntax Highlighting",precondition:null,kbOpts:{kbExpr:u.EditorContextKeys.textInputFocus,primary:0,weight:100}})||this}return o(t,e),t.prototype.run=function(t,n){if(n.hasModel()){!n.getConfiguration().emptySelectionClipboard&&n.getSelection().isEmpty()||(s.CopyOptions.forceCopyWithSyntaxHighlighting=!0,e.prototype.run.call(this,t,n),s.CopyOptions.forceCopyWithSyntaxHighlighting=!1)}},t}(m);h&&a.registerEditorAction(v),p&&a.registerEditorAction(_),g&&a.registerEditorAction(y),f&&a.registerEditorAction(C)}),define(t[450],n([0,1,22,24,11,25,10,3,14,42,108]),function(e,t,n,i,o,r,s,a,l,u,d){"use strict";function c(e,t,r,s){void 0===s&&(s=i.CancellationToken.None);var a={only:r&&r.filter&&r.filter.kind?r.filter.kind.value:void 0,trigger:r&&"manual"===r.type?2:1},u=l.CodeActionProviderRegistry.all(e).filter(function(e){return!e.providedCodeActionKinds||e.providedCodeActionKinds.some(function(e){return h(r&&r.filter,e)})}).map(function(n){
return Promise.resolve(n.provideCodeActions(e,t,a,s)).then(function(e){return Array.isArray(e)?e.filter(function(e){return function(e,t){return t&&h(e,t.kind)}(r&&r.filter,e)}):[]},function(e){if(o.isPromiseCanceledError(e))throw e;return o.onUnexpectedExternalError(e),[]})});return Promise.all(u).then(n.flatten).then(function(e){return n.mergeSort(e,p)})}function h(e,t){return!(e&&e.kind&&(!t||!e.kind.contains(t)))&&!(t&&d.CodeActionKind.Source.contains(t)&&(!e||!e.includeSourceActions))}function p(e,t){var i=!n.isFalsyOrEmpty(e.diagnostics),o=!n.isFalsyOrEmpty(t.diagnostics);return i?o?e.diagnostics[0].message.localeCompare(t.diagnostics[0].message):-1:o?1:0}Object.defineProperty(t,"__esModule",{value:!0}),t.getCodeActions=c,s.registerLanguageCommand("_executeCodeActionProvider",function(e,t){var n=t.resource,i=t.range;if(!(n instanceof r.URI&&a.Range.isIRange(i)))throw o.illegalArgument();var s=e.get(u.IModelService).getModel(n);if(!s)throw o.illegalArgument();return c(s,s.validateRange(i),{type:"manual",
filter:{includeSourceActions:!0}})})}),define(t[451],n([0,1,16,6,2,3,14,18,450]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SUPPORTED_CODE_ACTIONS=new a.RawContextKey("supportedCodeAction","");var u=function(){function e(e,t,i,o,r){void 0===o&&(o=250);var s=this;this._editor=e,this._markerService=t,this._signalChange=i,this._delay=o,this._progressService=r,this._disposables=[],this._autoTriggerTimer=new n.TimeoutTimer,this._disposables.push(this._markerService.onMarkerChanged(function(e){return s._onMarkerChanges(e)}),this._editor.onDidChangeCursorPosition(function(){return s._onCursorChange()}))}return e.prototype.dispose=function(){this._disposables=o.dispose(this._disposables),this._autoTriggerTimer.cancel()},e.prototype.trigger=function(e){var t=this._getRangeOfSelectionUnlessWhitespaceEnclosed(e);return this._createEventAndSignalChange(e,t)},e.prototype._onMarkerChanges=function(e){var t=this,n=this._editor.getModel();n&&e.some(function(e){
return e.toString()===n.uri.toString()})&&this._autoTriggerTimer.cancelAndSet(function(){t.trigger({type:"auto"})},this._delay)},e.prototype._onCursorChange=function(){var e=this;this._autoTriggerTimer.cancelAndSet(function(){e.trigger({type:"auto"})},this._delay)},e.prototype._getRangeOfMarker=function(e){var t=this._editor.getModel();if(t)for(var n=0,i=this._markerService.read({resource:t.uri});n<i.length;n++){var o=i[n];if(r.Range.intersectRanges(o,e))return r.Range.lift(o)}},e.prototype._getRangeOfSelectionUnlessWhitespaceEnclosed=function(e){var t=this._editor.getModel(),n=this._editor.getSelection();if(t&&n&&n.isEmpty()&&(!e.filter||!e.filter.includeSourceActions)){var i=n.getPosition(),o=i.lineNumber,r=i.column,s=t.getLineContent(o);if(0===s.length)return;if(1===r){if(/\s/.test(s[0]))return}else if(r===t.getLineMaxColumn(o)){if(/\s/.test(s[s.length-1]))return}else if(/\s/.test(s[r-2])&&/\s/.test(s[r-1]))return}return n||void 0},e.prototype._createEventAndSignalChange=function(e,t){if(t){
var i=this._editor.getModel();if(!i)return this._signalChange({trigger:e,rangeOrSelection:void 0,position:void 0,actions:void 0}),Promise.resolve(void 0);var o=this._getRangeOfMarker(t),r=o?o.getStartPosition():t.getStartPosition(),s=n.createCancelablePromise(function(n){return l.getCodeActions(i,t,e,n)});return this._progressService&&"manual"===e.type&&this._progressService.showWhile(s,250),this._signalChange({trigger:e,rangeOrSelection:t,position:r,actions:s}),s}return this._signalChange({trigger:e,rangeOrSelection:void 0,position:void 0,actions:void 0}),Promise.resolve(void 0)},e}();t.CodeActionOracle=u;var d=function(){function e(e,n,o,r){var a=this;this._progressService=r,this._onDidChangeFixes=new i.Emitter,this._disposables=[],this._editor=e,this._markerService=n,this._supportedCodeActions=t.SUPPORTED_CODE_ACTIONS.bindTo(o),this._disposables.push(this._editor.onDidChangeModel(function(){return a._update()})),this._disposables.push(this._editor.onDidChangeModelLanguage(function(){return a._update()})),
this._disposables.push(s.CodeActionProviderRegistry.onDidChange(this._update,this)),this._update()}return e.prototype.dispose=function(){this._disposables=o.dispose(this._disposables),o.dispose(this._codeActionOracle)},Object.defineProperty(e.prototype,"onDidChangeFixes",{get:function(){return this._onDidChangeFixes.event},enumerable:!0,configurable:!0}),e.prototype._update=function(){var e=this;this._codeActionOracle&&(this._codeActionOracle.dispose(),this._codeActionOracle=void 0,this._onDidChangeFixes.fire(void 0));var t=this._editor.getModel();if(t&&s.CodeActionProviderRegistry.has(t)&&!this._editor.getConfiguration().readOnly){for(var n=[],i=0,o=s.CodeActionProviderRegistry.all(t);i<o.length;i++){var r=o[i];Array.isArray(r.providedCodeActionKinds)&&n.push.apply(n,r.providedCodeActionKinds)}this._supportedCodeActions.set(n.join(" ")),this._codeActionOracle=new u(this._editor,this._markerService,function(t){return e._onDidChangeFixes.fire(t)},void 0,this._progressService),this._codeActionOracle.trigger({
type:"auto"})}else this._supportedCodeActions.reset()},e.prototype.trigger=function(e){return this._codeActionOracle?this._codeActionOracle.trigger(e):Promise.resolve(void 0)},e}();t.CodeActionModel=d}),define(t[452],n([0,1,22,24,11,25,10,14,42]),function(e,t,n,i,o,r,s,a,l){"use strict";function u(e,t){var i=[],r=a.CodeLensProviderRegistry.ordered(e),s=r.map(function(n){return Promise.resolve(n.provideCodeLenses(e,t)).then(function(e){if(Array.isArray(e))for(var t=0,o=e;t<o.length;t++){var r=o[t];i.push({symbol:r,provider:n})}}).catch(o.onUnexpectedExternalError)});return Promise.all(s).then(function(){return n.mergeSort(i,function(e,t){return e.symbol.range.startLineNumber<t.symbol.range.startLineNumber?-1:e.symbol.range.startLineNumber>t.symbol.range.startLineNumber?1:r.indexOf(e.provider)<r.indexOf(t.provider)?-1:r.indexOf(e.provider)>r.indexOf(t.provider)?1:e.symbol.range.startColumn<t.symbol.range.startColumn?-1:e.symbol.range.startColumn>t.symbol.range.startColumn?1:0})})}
Object.defineProperty(t,"__esModule",{value:!0}),t.getCodeLensData=u,s.registerLanguageCommand("_executeCodeLensProvider",function(e,t){var n=t.resource,s=t.itemResolveCount;if(!(n instanceof r.URI))throw o.illegalArgument();var a=e.get(l.IModelService).getModel(n);if(!a)throw o.illegalArgument();var d=[];return u(a,i.CancellationToken.None).then(function(e){for(var t=[],n=function(e){void 0===s||Boolean(e.symbol.command)?d.push(e.symbol):s-- >0&&e.provider.resolveCodeLens&&t.push(Promise.resolve(e.provider.resolveCodeLens(a,e.symbol,i.CancellationToken.None)).then(function(t){return d.push(t||e.symbol)}))},o=0,r=e;o<r.length;o++){n(r[o])}return Promise.all(t)}).then(function(){return d})})}),define(t[174],n([0,1,24,11,25,10,3,14,42]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getColors=function(e,t){var n=[],i=a.ColorProviderRegistry.ordered(e).reverse().map(function(i){return Promise.resolve(i.provideDocumentColors(e,t)).then(function(e){
if(Array.isArray(e))for(var t=0,o=e;t<o.length;t++){var r=o[t];n.push({colorInfo:r,provider:i})}})});return Promise.all(i).then(function(){return n})},t.getColorPresentations=function(e,t,n,i){return Promise.resolve(n.provideColorPresentations(e,t,i))},r.registerLanguageCommand("_executeDocumentColorProvider",function(e,t){var r=t.resource;if(!(r instanceof o.URI))throw i.illegalArgument();var s=e.get(l.IModelService).getModel(r);if(!s)throw i.illegalArgument();var u=[],d=a.ColorProviderRegistry.ordered(s).reverse().map(function(e){return Promise.resolve(e.provideDocumentColors(s,n.CancellationToken.None)).then(function(e){if(Array.isArray(e))for(var t=0,n=e;t<n.length;t++){var i=n[t];u.push({range:i.range,color:[i.color.red,i.color.green,i.color.blue,i.color.alpha]})}})});return Promise.all(d).then(function(){return u})}),r.registerLanguageCommand("_executeColorPresentationProvider",function(e,t){var r=t.resource,u=t.color,d=t.range
;if(!(r instanceof o.URI&&Array.isArray(u)&&4===u.length&&s.Range.isIRange(d)))throw i.illegalArgument();var c=u[0],h=u[1],p=u[2],f=u[3],g=e.get(l.IModelService).getModel(r);if(!g)throw i.illegalArgument();var m={range:d,color:{red:c,green:h,blue:p,alpha:f}},v=[],_=a.ColorProviderRegistry.ordered(g).reverse().map(function(e){return Promise.resolve(e.provideColorPresentations(g,m,n.CancellationToken.None)).then(function(e){Array.isArray(e)&&v.push.apply(v,e)})});return Promise.all(_).then(function(){return v})})}),define(t[175],n([0,1,16,28,11,418,2,10,30,3,26,14,174,45]),function(e,t,n,i,o,r,s,l,d,c,h,p,f,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var m=function(){function e(e,t,n){var i=this;this._editor=e,this._codeEditorService=t,this._configurationService=n,this._globalToDispose=[],this._localToDispose=[],this._decorationsIds=[],this._colorDatas=new Map,this._colorDecoratorIds=[],this._decorationsTypes={},this._globalToDispose.push(e.onDidChangeModel(function(e){
i._isEnabled=i.isEnabled(),i.onModelChanged()})),this._globalToDispose.push(e.onDidChangeModelLanguage(function(e){return i.onModelChanged()})),this._globalToDispose.push(p.ColorProviderRegistry.onDidChange(function(e){return i.onModelChanged()})),this._globalToDispose.push(e.onDidChangeConfiguration(function(e){var t=i._isEnabled;i._isEnabled=i.isEnabled(),t!==i._isEnabled&&(i._isEnabled?i.onModelChanged():i.removeAllDecorations())})),this._timeoutTimer=null,this._computePromise=null,this._isEnabled=this.isEnabled(),this.onModelChanged()}return e.prototype.isEnabled=function(){var e=this._editor.getModel();if(!e)return!1;var t=e.getLanguageIdentifier(),n=this._configurationService.getValue(t.language);if(n){var i=n.colorDecorators;if(i&&void 0!==i.enable&&!i.enable)return i.enable}return this._editor.getConfiguration().contribInfo.colorDecorators},e.prototype.getId=function(){return e.ID},e.get=function(e){return e.getContribution(this.ID)},e.prototype.dispose=function(){this.stop(),
this.removeAllDecorations(),this._globalToDispose=s.dispose(this._globalToDispose)},e.prototype.onModelChanged=function(){var t=this;if(this.stop(),this._isEnabled){var i=this._editor.getModel();i&&p.ColorProviderRegistry.has(i)&&(this._localToDispose.push(this._editor.onDidChangeModelContent(function(i){t._timeoutTimer||(t._timeoutTimer=new n.TimeoutTimer,t._timeoutTimer.cancelAndSet(function(){t._timeoutTimer=null,t.beginCompute()},e.RECOMPUTE_TIME))})),this.beginCompute())}},e.prototype.beginCompute=function(){var e=this;this._computePromise=n.createCancelablePromise(function(t){var n=e._editor.getModel();return n?f.getColors(n,t):Promise.resolve([])}),this._computePromise.then(function(t){e.updateDecorations(t),e.updateColorDecorators(t),e._computePromise=null},o.onUnexpectedError)},e.prototype.stop=function(){this._timeoutTimer&&(this._timeoutTimer.cancel(),this._timeoutTimer=null),this._computePromise&&(this._computePromise.cancel(),this._computePromise=null),
this._localToDispose=s.dispose(this._localToDispose)},e.prototype.updateDecorations=function(e){var t=this,n=e.map(function(e){return{range:{startLineNumber:e.colorInfo.range.startLineNumber,startColumn:e.colorInfo.range.startColumn,endLineNumber:e.colorInfo.range.endLineNumber,endColumn:e.colorInfo.range.endColumn},options:h.ModelDecorationOptions.EMPTY}});this._decorationsIds=this._editor.deltaDecorations(this._decorationsIds,n),this._colorDatas=new Map,this._decorationsIds.forEach(function(n,i){return t._colorDatas.set(n,e[i])})},e.prototype.updateColorDecorators=function(e){for(var t=[],n={},o=0;o<e.length&&t.length<500;o++){var s=e[o].colorInfo.color,a=s.red,l=s.green,u=s.blue,d=s.alpha,c=new i.RGBA(Math.round(255*a),Math.round(255*l),Math.round(255*u),d),h=r.hash(c).toString(16),p="rgba("+c.r+", "+c.g+", "+c.b+", "+c.a+")",f="colorBox-"+h;this._decorationsTypes[f]||n[f]||this._codeEditorService.registerDecorationType(f,{before:{contentText:" ",border:"solid 0.1em #000",margin:"0.1em 0.2em 0 0.2em",
width:"0.8em",height:"0.8em",backgroundColor:p},dark:{before:{border:"solid 0.1em #eee"}}}),n[f]=!0,t.push({range:{startLineNumber:e[o].colorInfo.range.startLineNumber,startColumn:e[o].colorInfo.range.startColumn,endLineNumber:e[o].colorInfo.range.endLineNumber,endColumn:e[o].colorInfo.range.endColumn},options:this._codeEditorService.resolveDecorationOptions(f,!0)})}for(var g in this._decorationsTypes)n[g]||this._codeEditorService.removeDecorationType(g);this._colorDecoratorIds=this._editor.deltaDecorations(this._colorDecoratorIds,t)},e.prototype.removeAllDecorations=function(){this._decorationsIds=this._editor.deltaDecorations(this._decorationsIds,[]),this._colorDecoratorIds=this._editor.deltaDecorations(this._colorDecoratorIds,[]);for(var e in this._decorationsTypes)this._codeEditorService.removeDecorationType(e)},e.prototype.getColorData=function(e){var t=this,n=this._editor.getModel();if(!n)return null;var i=n.getDecorationsInRange(c.Range.fromPositions(e,e)).filter(function(e){
return t._colorDatas.has(e.id)});return 0===i.length?null:this._colorDatas.get(i[0].id)},e.ID="editor.contrib.colorDetector",e.RECOMPUTE_TIME=1e3,e=a([u(1,d.ICodeEditorService),u(2,g.IConfigurationService)],e)}();t.ColorDetector=m,l.registerEditorContribution(m)}),define(t[455],n([0,1,306,36,10,19,171,239,37]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var d=function(e){function t(t,n){var i=e.call(this,n)||this;return i._type=t,i}return o(t,e),t.prototype.run=function(e,t){if(t.hasModel()){for(var n=t.getModel(),i=[],o=t.getSelections(),r=n.getOptions(),s=0;s<o.length;s++)i.push(new l.LineCommentCommand(o[s],r.tabSize,this._type));t.pushUndoStop(),t.executeCommands(this.id,i),t.pushUndoStop()}},t}(r.EditorAction),c=function(e){function t(){return e.call(this,0,{id:"editor.action.commentLine",label:n.localize(0,null),alias:"Toggle Line Comment",precondition:s.EditorContextKeys.writable,kbOpts:{kbExpr:s.EditorContextKeys.editorTextFocus,primary:2133,weight:100},
menubarOpts:{menuId:u.MenuId.MenubarEditMenu,group:"5_insert",title:n.localize(1,null),order:1}})||this}return o(t,e),t}(d),h=function(e){function t(){return e.call(this,1,{id:"editor.action.addCommentLine",label:n.localize(2,null),alias:"Add Line Comment",precondition:s.EditorContextKeys.writable,kbOpts:{kbExpr:s.EditorContextKeys.editorTextFocus,primary:i.KeyChord(2089,2081),weight:100}})||this}return o(t,e),t}(d),p=function(e){function t(){return e.call(this,2,{id:"editor.action.removeCommentLine",label:n.localize(3,null),alias:"Remove Line Comment",precondition:s.EditorContextKeys.writable,kbOpts:{kbExpr:s.EditorContextKeys.editorTextFocus,primary:i.KeyChord(2089,2099),weight:100}})||this}return o(t,e),t}(d),f=function(e){function t(){return e.call(this,{id:"editor.action.blockComment",label:n.localize(4,null),alias:"Toggle Block Comment",precondition:s.EditorContextKeys.writable,kbOpts:{kbExpr:s.EditorContextKeys.editorTextFocus,primary:1567,linux:{primary:3103},weight:100},menubarOpts:{
menuId:u.MenuId.MenubarEditMenu,group:"5_insert",title:n.localize(5,null),order:2}})||this}return o(t,e),t.prototype.run=function(e,t){if(t.hasModel()){for(var n=[],i=t.getSelections(),o=0;o<i.length;o++)n.push(new a.BlockCommentCommand(i[o]));t.pushUndoStop(),t.executeCommands(this.id,n),t.pushUndoStop()}},t}(r.EditorAction);r.registerEditorAction(c),r.registerEditorAction(h),r.registerEditorAction(p),r.registerEditorAction(f)}),define(t[456],n([0,1,307,7,67,2,10,19,37,18,60,47]),function(e,t,n,i,r,s,l,d,c,h,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var g=function(){function e(e,t,n,i,o,r){var s=this;this._contextMenuService=t,this._contextViewService=n,this._contextKeyService=i,this._keybindingService=o,this._menuService=r,this._toDispose=[],this._contextMenuIsBeingShownCount=0,this._editor=e,this._toDispose.push(this._editor.onContextMenu(function(e){return s._onContextMenu(e)})),this._toDispose.push(this._editor.onDidScrollChange(function(e){
s._contextMenuIsBeingShownCount>0&&s._contextViewService.hideContextView()})),this._toDispose.push(this._editor.onKeyDown(function(e){58===e.keyCode&&(e.preventDefault(),e.stopPropagation(),s.showContextMenu())}))}return e.get=function(t){return t.getContribution(e.ID)},e.prototype._onContextMenu=function(e){if(!this._editor.getConfiguration().contribInfo.contextmenu)return this._editor.focus(),void(e.target.position&&!this._editor.getSelection().containsPosition(e.target.position)&&this._editor.setPosition(e.target.position));if(12!==e.target.type&&(e.event.preventDefault(),6===e.target.type||7===e.target.type||1===e.target.type)){this._editor.focus(),e.target.position&&!this._editor.getSelection().containsPosition(e.target.position)&&this._editor.setPosition(e.target.position);var t;1!==e.target.type&&(t={x:e.event.posx-1,width:2,y:e.event.posy-1,height:2}),this.showContextMenu(t)}},e.prototype.showContextMenu=function(e){
if(this._editor.getConfiguration().contribInfo.contextmenu)if(this._contextMenuService){var t=this._getMenuActions();t.length>0&&this._doShowContextMenu(t,e)}else this._editor.focus()},e.prototype._getMenuActions=function(){var e=[],t=this._menuService.createMenu(c.MenuId.EditorContext,this._contextKeyService),n=t.getActions({arg:this._editor.getModel().uri});t.dispose();for(var i=0,o=n;i<o.length;i++){var s=o[i][1];e.push.apply(e,s),e.push(new r.Separator)}return e.pop(),e},e.prototype._doShowContextMenu=function(e,t){var n=this;void 0===t&&(t=null);var o=this._editor.getConfiguration().contribInfo.hover;if(this._editor.updateOptions({hover:{enabled:!1}}),!t){this._editor.revealPosition(this._editor.getPosition(),1),this._editor.render();var s=this._editor.getScrolledVisiblePosition(this._editor.getPosition()),a=i.getDomNodePagePosition(this._editor.getDomNode()),l=a.left+s.left,u=a.top+s.top+s.height;t={x:l,y:u}}this._contextMenuIsBeingShownCount++,this._contextMenuService.showContextMenu({
getAnchor:function(){return t},getActions:function(){return Promise.resolve(e)},getActionItem:function(e){var t=n._keybindingFor(e);if(t)return new r.ActionItem(e,e,{label:!0,keybinding:t.getLabel(),isMenu:!0});var i=e;return"function"==typeof i.getActionItem?i.getActionItem():new r.ActionItem(e,e,{icon:!0,label:!0,isMenu:!0})},getKeyBinding:function(e){return n._keybindingFor(e)},onHide:function(e){n._contextMenuIsBeingShownCount--,n._editor.focus(),n._editor.updateOptions({hover:o})}})},e.prototype._keybindingFor=function(e){return this._keybindingService.lookupKeybinding(e.id)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._contextMenuIsBeingShownCount>0&&this._contextViewService.hideContextView(),this._toDispose=s.dispose(this._toDispose)},e.ID="editor.contrib.contextmenu",e=a([u(1,p.IContextMenuService),u(2,p.IContextViewService),u(3,h.IContextKeyService),u(4,f.IKeybindingService),u(5,c.IMenuService)],e)}();t.ContextMenuController=g;var m=function(e){function t(){
return e.call(this,{id:"editor.action.showContextMenu",label:n.localize(0,null),alias:"Show Editor Context Menu",precondition:null,kbOpts:{kbExpr:d.EditorContextKeys.textInputFocus,primary:1092,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){g.get(t).showContextMenu()},t}(l.EditorAction);l.registerEditorContribution(g),l.registerEditorAction(m)}),define(t[457],n([0,1,308,2,10,19]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e){this.selections=e}return e.prototype.equals=function(e){var t=this.selections.length;if(t!==e.selections.length)return!1;for(var n=0;n<t;n++)if(!this.selections[n].equalsSelection(e.selections[n]))return!1;return!0},e}(),l=function(e){function t(t){var n=e.call(this)||this;return n._editor=t,n._isCursorUndo=!1,n._undoStack=[],n._prevState=n._readState(),n._register(t.onDidChangeModel(function(e){n._undoStack=[],n._prevState=null})),n._register(t.onDidChangeModelContent(function(e){n._undoStack=[],
n._prevState=null})),n._register(t.onDidChangeCursorSelection(function(e){!n._isCursorUndo&&n._prevState&&(n._undoStack.push(n._prevState),n._undoStack.length>50&&n._undoStack.shift()),n._prevState=n._readState()})),n}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype._readState=function(){return this._editor.hasModel()?new a(this._editor.getSelections()):null},t.prototype.getId=function(){return t.ID},t.prototype.cursorUndo=function(){if(this._editor.hasModel())for(var e=new a(this._editor.getSelections());this._undoStack.length>0;){var t=this._undoStack.pop();if(!t.equals(e))return this._isCursorUndo=!0,this._editor.setSelections(t.selections),this._editor.revealRangeInCenterIfOutsideViewport(t.selections[0],0),void(this._isCursorUndo=!1)}},t.ID="editor.contrib.cursorUndoController",t}(i.Disposable);t.CursorUndoController=l;var u=function(e){function t(){return e.call(this,{id:"cursorUndo",label:n.localize(0,null),alias:"Soft Undo",precondition:null,kbOpts:{
kbExpr:s.EditorContextKeys.textInputFocus,primary:2099,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t,n){l.get(t).cursorUndo()},t}(r.EditorAction);t.CursorUndo=u,r.registerEditorContribution(l),r.registerEditorAction(u)}),define(t[458],n([0,1,2,17,10,12,3,21,240,26,365]),function(e,t,n,i,o,r,s,a,l,u){"use strict";function d(e){return i.isMacintosh?e.altKey:e.ctrlKey}Object.defineProperty(t,"__esModule",{value:!0});var c=function(){function e(e){var t=this;this._editor=e,this._toUnhook=[],this._toUnhook.push(this._editor.onMouseDown(function(e){return t._onEditorMouseDown(e)})),this._toUnhook.push(this._editor.onMouseUp(function(e){return t._onEditorMouseUp(e)})),this._toUnhook.push(this._editor.onMouseDrag(function(e){return t._onEditorMouseDrag(e)})),this._toUnhook.push(this._editor.onMouseDrop(function(e){return t._onEditorMouseDrop(e)})),this._toUnhook.push(this._editor.onKeyDown(function(e){return t.onEditorKeyDown(e)})),this._toUnhook.push(this._editor.onKeyUp(function(e){
return t.onEditorKeyUp(e)})),this._toUnhook.push(this._editor.onDidBlurEditorWidget(function(){return t.onEditorBlur()})),this._dndDecorationIds=[],this._mouseDown=!1,this._modiferPressed=!1,this._dragSelection=null}return e.prototype.onEditorBlur=function(){this._removeDecoration(),this._dragSelection=null,this._mouseDown=!1,this._modiferPressed=!1},e.prototype.onEditorKeyDown=function(e){this._editor.getConfiguration().dragAndDrop&&(d(e)&&(this._modiferPressed=!0),this._mouseDown&&d(e)&&this._editor.updateOptions({mouseStyle:"copy"}))},e.prototype.onEditorKeyUp=function(t){this._editor.getConfiguration().dragAndDrop&&(d(t)&&(this._modiferPressed=!1),this._mouseDown&&t.keyCode===e.TRIGGER_KEY_VALUE&&this._editor.updateOptions({mouseStyle:"default"}))},e.prototype._onEditorMouseDown=function(e){this._mouseDown=!0},e.prototype._onEditorMouseUp=function(e){this._mouseDown=!1,this._editor.updateOptions({mouseStyle:"text"})},e.prototype._onEditorMouseDrag=function(e){var t=e.target;if(null===this._dragSelection){
var n=(this._editor.getSelections()||[]).filter(function(e){return t.position&&e.containsPosition(t.position)});if(1!==n.length)return;this._dragSelection=n[0]}d(e.event)?this._editor.updateOptions({mouseStyle:"copy"}):this._editor.updateOptions({mouseStyle:"default"}),t.position&&(this._dragSelection.containsPosition(t.position)?this._removeDecoration():this.showAt(t.position))},e.prototype._onEditorMouseDrop=function(t){if(t.target&&(this._hitContent(t.target)||this._hitMargin(t.target))&&t.target.position){var n=new r.Position(t.target.position.lineNumber,t.target.position.column);if(null===this._dragSelection){var i=null;if(t.event.shiftKey){var o=this._editor.getSelection();if(o){var s=o.selectionStartLineNumber,u=o.selectionStartColumn;i=[new a.Selection(s,u,n.lineNumber,n.column)]}}else i=(this._editor.getSelections()||[]).map(function(e){return e.containsPosition(n)?new a.Selection(n.lineNumber,n.column,n.lineNumber,n.column):e});this._editor.setSelections(i||[],"mouse")
}else(!this._dragSelection.containsPosition(n)||(d(t.event)||this._modiferPressed)&&(this._dragSelection.getEndPosition().equals(n)||this._dragSelection.getStartPosition().equals(n)))&&(this._editor.pushUndoStop(),this._editor.executeCommand(e.ID,new l.DragAndDropCommand(this._dragSelection,n,d(t.event)||this._modiferPressed)),this._editor.pushUndoStop())}this._editor.updateOptions({mouseStyle:"text"}),this._removeDecoration(),this._dragSelection=null,this._mouseDown=!1},e.prototype.showAt=function(t){var n=[{range:new s.Range(t.lineNumber,t.column,t.lineNumber,t.column),options:e._DECORATION_OPTIONS}];this._dndDecorationIds=this._editor.deltaDecorations(this._dndDecorationIds,n),this._editor.revealPosition(t,1)},e.prototype._removeDecoration=function(){this._dndDecorationIds=this._editor.deltaDecorations(this._dndDecorationIds,[])},e.prototype._hitContent=function(e){return 6===e.type||7===e.type},e.prototype._hitMargin=function(e){return 2===e.type||3===e.type||4===e.type},e.prototype.getId=function(){
return e.ID},e.prototype.dispose=function(){this._removeDecoration(),this._dragSelection=null,this._mouseDown=!1,this._modiferPressed=!1,this._toUnhook=n.dispose(this._toUnhook)},e.ID="editor.contrib.dragAndDrop",e.TRIGGER_KEY_VALUE=i.isMacintosh?6:5,e._DECORATION_OPTIONS=u.ModelDecorationOptions.register({className:"dnd-target"}),e}();t.DragAndDropController=c,o.registerEditorContribution(c)}),define(t[459],n([0,1,311,32,8,16,36,2,10,245,392,19,246,39,393,14,203,248,11,367]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v,_,y){"use strict";function C(e){if(!i.isUndefined(e)){if(!i.isObject(e))return!1;var t=e;if(!i.isUndefined(t.levels)&&!i.isNumber(t.levels))return!1;if(!i.isUndefined(t.direction)&&!i.isString(t.direction))return!1;if(!(i.isUndefined(t.selectionLines)||i.isArray(t.selectionLines)&&t.selectionLines.every(i.isNumber)))return!1}return!0}Object.defineProperty(t,"__esModule",{value:!0}),t.ID="editor.contrib.folding";var b=function(){function e(e){var t=this;this.editor=e,
this._isEnabled=this.editor.getConfiguration().contribInfo.folding,this._autoHideFoldingControls="mouseover"===this.editor.getConfiguration().contribInfo.showFoldingControls,this._useFoldingProviders="indentation"!==this.editor.getConfiguration().contribInfo.foldingStrategy,this.globalToDispose=[],this.localToDispose=[],this.foldingDecorationProvider=new c.FoldingDecorationProvider(e),this.foldingDecorationProvider.autoHideFoldingControls=this._autoHideFoldingControls,this.globalToDispose.push(this.editor.onDidChangeModel(function(){return t.onModelChanged()})),this.globalToDispose.push(m.FoldingRangeProviderRegistry.onDidChange(function(){return t.onFoldingStrategyChanged()})),this.globalToDispose.push(this.editor.onDidChangeConfiguration(function(e){if(e.contribInfo){var n=t._isEnabled;t._isEnabled=t.editor.getConfiguration().contribInfo.folding,n!==t._isEnabled&&t.onModelChanged();var i=t._autoHideFoldingControls
;t._autoHideFoldingControls="mouseover"===t.editor.getConfiguration().contribInfo.showFoldingControls,i!==t._autoHideFoldingControls&&(t.foldingDecorationProvider.autoHideFoldingControls=t._autoHideFoldingControls,t.onModelContentChanged());var o=t._useFoldingProviders;t._useFoldingProviders="indentation"!==t.editor.getConfiguration().contribInfo.foldingStrategy,o!==t._useFoldingProviders&&t.onFoldingStrategyChanged()}})),this.globalToDispose.push({dispose:function(){return l.dispose(t.localToDispose)}}),this.onModelChanged()}return e.get=function(e){return e.getContribution(t.ID)},e.prototype.getId=function(){return t.ID},e.prototype.dispose=function(){this.globalToDispose=l.dispose(this.globalToDispose)},e.prototype.saveViewState=function(){var e=this.editor.getModel();if(!e||!this._isEnabled||e.isTooLargeForTokenization())return{};if(this.foldingModel){var t=this.foldingModel.isInitialized?this.foldingModel.getMemento():this.hiddenRangeModel.getMemento(),n=this.rangeProvider?this.rangeProvider.id:void 0
;return{collapsedRegions:t,lineCount:e.getLineCount(),provider:n}}},e.prototype.restoreViewState=function(e){var t=this.editor.getModel();if(t&&this._isEnabled&&!t.isTooLargeForTokenization()&&this.hiddenRangeModel&&e&&e.collapsedRegions&&e.lineCount===t.getLineCount()){e.provider!==v.ID_SYNTAX_PROVIDER&&e.provider!==_.ID_INIT_PROVIDER||(this.foldingStateMemento=e);var n=e.collapsedRegions;if(this.hiddenRangeModel.applyMemento(n)){var i=this.getFoldingModel();i&&i.then(function(e){e&&e.applyMemento(n)}).then(void 0,y.onUnexpectedError)}}},e.prototype.onModelChanged=function(){var e=this;this.localToDispose=l.dispose(this.localToDispose);var t=this.editor.getModel();this._isEnabled&&t&&!t.isTooLargeForTokenization()&&(this.foldingModel=new d.FoldingModel(t,this.foldingDecorationProvider),this.localToDispose.push(this.foldingModel),this.hiddenRangeModel=new p.HiddenRangeModel(this.foldingModel),this.localToDispose.push(this.hiddenRangeModel),
this.localToDispose.push(this.hiddenRangeModel.onDidChange(function(t){return e.onHiddenRangesChanges(t)})),this.updateScheduler=new s.Delayer(200),this.cursorChangedScheduler=new s.RunOnceScheduler(function(){return e.revealCursor()},200),this.localToDispose.push(this.cursorChangedScheduler),this.localToDispose.push(this.editor.onDidChangeModelLanguageConfiguration(function(){return e.onModelContentChanged()})),this.localToDispose.push(this.editor.onDidChangeModelContent(function(){return e.onModelContentChanged()})),this.localToDispose.push(this.editor.onDidChangeCursorPosition(function(){return e.onCursorPositionChanged()})),this.localToDispose.push(this.editor.onMouseDown(function(t){return e.onEditorMouseDown(t)})),this.localToDispose.push(this.editor.onMouseUp(function(t){return e.onEditorMouseUp(t)})),this.localToDispose.push({dispose:function(){e.foldingRegionPromise&&(e.foldingRegionPromise.cancel(),e.foldingRegionPromise=null),e.updateScheduler&&e.updateScheduler.cancel(),e.updateScheduler=null,
e.foldingModel=null,e.foldingModelPromise=null,e.hiddenRangeModel=null,e.cursorChangedScheduler=null,e.foldingStateMemento=null,e.rangeProvider&&e.rangeProvider.dispose(),e.rangeProvider=null}}),this.onModelContentChanged())},e.prototype.onFoldingStrategyChanged=function(){this.rangeProvider&&this.rangeProvider.dispose(),this.rangeProvider=null,this.onModelContentChanged()},e.prototype.getRangeProvider=function(e){var t=this;if(this.rangeProvider)return this.rangeProvider;if(this.rangeProvider=new g.IndentRangeProvider(e),this._useFoldingProviders&&this.foldingModel){var n=m.FoldingRangeProviderRegistry.ordered(this.foldingModel.textModel);if(0===n.length&&this.foldingStateMemento&&this.foldingStateMemento.collapsedRegions){return this.rangeProvider=new _.InitializingRangeProvider(e,this.foldingStateMemento.collapsedRegions,function(){t.foldingStateMemento=null,t.onFoldingStrategyChanged()},3e4)}n.length>0&&(this.rangeProvider=new v.SyntaxRangeProvider(e,n))}return this.foldingStateMemento=null,
this.rangeProvider},e.prototype.getFoldingModel=function(){return this.foldingModelPromise},e.prototype.onModelContentChanged=function(){var e=this;this.updateScheduler&&(this.foldingRegionPromise&&(this.foldingRegionPromise.cancel(),this.foldingRegionPromise=null),this.foldingModelPromise=this.updateScheduler.trigger(function(){var t=e.foldingModel;if(!t)return null;var n=e.foldingRegionPromise=s.createCancelablePromise(function(n){return e.getRangeProvider(t.textModel).compute(n)});return n.then(function(i){if(i&&n===e.foldingRegionPromise){var o=e.editor.getSelections(),r=o?o.map(function(e){return e.startLineNumber}):[];t.update(i,r)}return t})}))},e.prototype.onHiddenRangesChanges=function(e){if(this.hiddenRangeModel&&e.length){var t=this.editor.getSelections();t&&this.hiddenRangeModel.adjustSelections(t)&&this.editor.setSelections(t)}this.editor.setHiddenAreas(e)},e.prototype.onCursorPositionChanged=function(){
this.hiddenRangeModel&&this.hiddenRangeModel.hasRanges()&&this.cursorChangedScheduler.schedule()},e.prototype.revealCursor=function(){var e=this,t=this.getFoldingModel();t&&t.then(function(t){if(t){var n=e.editor.getSelections();if(n&&n.length>0){for(var i=[],o=function(n){var o=n.selectionStartLineNumber;e.hiddenRangeModel&&e.hiddenRangeModel.isHidden(o)&&i.push.apply(i,t.getAllRegionsAtLine(o,function(e){return e.isCollapsed&&o>e.startLineNumber}))},r=0,s=n;r<s.length;r++){o(s[r])}i.length&&(t.toggleCollapseState(i),e.reveal(n[0].getPosition()))}}}).then(void 0,y.onUnexpectedError)},e.prototype.onEditorMouseDown=function(e){if(this.mouseDownInfo=null,this.hiddenRangeModel&&e.target&&e.target.range&&(e.event.leftButton||e.event.middleButton)){var t=e.target.range,n=!1;switch(e.target.type){case 4:var i=e.target.detail,o=e.target.element.offsetLeft;if(i.offsetX-o<5)return;n=!0;break;case 7:if(this.hiddenRangeModel.hasRanges()){if(!e.target.detail.isAfterLines)break}return;case 6:
if(this.hiddenRangeModel.hasRanges()){var r=this.editor.getModel();if(r&&t.startColumn===r.getLineMaxColumn(t.startLineNumber))break}return;default:return}this.mouseDownInfo={lineNumber:t.startLineNumber,iconClicked:n}}},e.prototype.onEditorMouseUp=function(e){var t=this,n=this.getFoldingModel();if(n&&this.mouseDownInfo&&e.target){var i=this.mouseDownInfo.lineNumber,o=this.mouseDownInfo.iconClicked,r=e.target.range;if(r&&r.startLineNumber===i){if(o){if(4!==e.target.type)return}else{var s=this.editor.getModel();if(!s||r.startColumn!==s.getLineMaxColumn(i))return}n.then(function(n){if(n){var r=n.getRegionAtLine(i);if(r&&r.startLineNumber===i){var s=r.isCollapsed;if(o||s){var a=[r];(e.event.middleButton||e.event.shiftKey)&&a.push.apply(a,n.getRegionsInside(r,function(e){return e.isCollapsed===s})),n.toggleCollapseState(a),t.reveal({lineNumber:i,column:1})}}}}).then(void 0,y.onUnexpectedError)}}},e.prototype.reveal=function(e){this.editor.revealPositionInCenterIfOutsideViewport(e,0)},e}();t.FoldingController=b
;var S=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){var i=this,o=b.get(t);if(o){var r=o.getFoldingModel();return r?(this.reportTelemetry(e,t),r.then(function(e){if(e){i.invoke(o,e,t,n);var r=t.getSelection();r&&o.reveal(r.getStartPosition())}})):void 0}},t.prototype.getSelectedLines=function(e){var t=e.getSelections();return t?t.map(function(e){return e.startLineNumber}):[]},t.prototype.getLineNumbers=function(e,t){return e&&e.selectionLines?e.selectionLines.map(function(e){return e+1}):this.getSelectedLines(t)},t.prototype.run=function(e,t){},t}(u.EditorAction),w=function(e){function t(){return e.call(this,{id:"editor.unfold",label:n.localize(0,null),alias:"Unfold",precondition:null,kbOpts:{kbExpr:h.EditorContextKeys.editorTextFocus,primary:3161,mac:{primary:2649},weight:100},description:{description:"Unfold the content in the editor",args:[{name:"Unfold editor argument",
description:"Property-value pairs that can be passed through this argument:\n\t\t\t\t\t\t* 'levels': Number of levels to unfold. If not set, defaults to 1.\n\t\t\t\t\t\t* 'direction': If 'up', unfold given number of levels up otherwise unfolds down.\n\t\t\t\t\t\t* 'selectionLines': The start lines (0-based) of the editor selections to apply the unfold action to. If not set, the active selection(s) will be used.\n\t\t\t\t\t\t",constraint:C}]}})||this}return o(t,e),t.prototype.invoke=function(e,t,n,i){var o=i&&i.levels||1,r=this.getLineNumbers(i,n);i&&"up"===i.direction?d.setCollapseStateLevelsUp(t,!1,o,r):d.setCollapseStateLevelsDown(t,!1,o,r)},t}(S),E=function(e){function t(){return e.call(this,{id:"editor.unfoldRecursively",label:n.localize(1,null),alias:"Unfold Recursively",precondition:null,kbOpts:{kbExpr:h.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2137),weight:100}})||this}return o(t,e),t.prototype.invoke=function(e,t,n,i){
d.setCollapseStateLevelsDown(t,!1,Number.MAX_VALUE,this.getSelectedLines(n))},t}(S),L=function(e){function t(){return e.call(this,{id:"editor.fold",label:n.localize(2,null),alias:"Fold",precondition:null,kbOpts:{kbExpr:h.EditorContextKeys.editorTextFocus,primary:3159,mac:{primary:2647},weight:100},description:{description:"Fold the content in the editor",args:[{name:"Fold editor argument",description:"Property-value pairs that can be passed through this argument:\n\t\t\t\t\t\t\t* 'levels': Number of levels to fold. Defaults to 1.\n\t\t\t\t\t\t\t* 'direction': If 'up', folds given number of levels up otherwise folds down.\n\t\t\t\t\t\t\t* 'selectionLines': The start lines (0-based) of the editor selections to apply the fold action to. If not set, the active selection(s) will be used.\n\t\t\t\t\t\t",constraint:C}]}})||this}return o(t,e),t.prototype.invoke=function(e,t,n,i){var o=i&&i.levels||1,r=this.getLineNumbers(i,n)
;i&&"up"===i.direction?d.setCollapseStateLevelsUp(t,!0,o,r):d.setCollapseStateLevelsDown(t,!0,o,r)},t}(S),x=function(e){function t(){return e.call(this,{id:"editor.foldRecursively",label:n.localize(3,null),alias:"Fold Recursively",precondition:null,kbOpts:{kbExpr:h.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2135),weight:100}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){var i=this.getSelectedLines(n);d.setCollapseStateLevelsDown(t,!0,Number.MAX_VALUE,i)},t}(S),I=function(e){function t(){return e.call(this,{id:"editor.foldAllBlockComments",label:n.localize(4,null),alias:"Fold All Block Comments",precondition:null,kbOpts:{kbExpr:h.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2133),weight:100}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){if(t.regions.hasTypes())d.setCollapseStateForType(t,m.FoldingRangeKind.Comment.value,!0);else{var i=n.getModel();if(!i)return;var o=f.LanguageConfigurationRegistry.getComments(i.getLanguageIdentifier().id)
;if(o&&o.blockCommentStartToken){var s=new RegExp("^\\s*"+r.escapeRegExpCharacters(o.blockCommentStartToken));d.setCollapseStateForMatchingLines(t,s,!0)}}},t}(S),N=function(e){function t(){return e.call(this,{id:"editor.foldAllMarkerRegions",label:n.localize(5,null),alias:"Fold All Regions",precondition:null,kbOpts:{kbExpr:h.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2077),weight:100}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){if(t.regions.hasTypes())d.setCollapseStateForType(t,m.FoldingRangeKind.Region.value,!0);else{var i=n.getModel();if(!i)return;var o=f.LanguageConfigurationRegistry.getFoldingRules(i.getLanguageIdentifier().id);if(o&&o.markers&&o.markers.start){var r=new RegExp(o.markers.start);d.setCollapseStateForMatchingLines(t,r,!0)}}},t}(S),D=function(e){function t(){return e.call(this,{id:"editor.unfoldAllMarkerRegions",label:n.localize(6,null),alias:"Unfold All Regions",precondition:null,kbOpts:{kbExpr:h.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2078),
weight:100}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){if(t.regions.hasTypes())d.setCollapseStateForType(t,m.FoldingRangeKind.Region.value,!1);else{var i=n.getModel();if(!i)return;var o=f.LanguageConfigurationRegistry.getFoldingRules(i.getLanguageIdentifier().id);if(o&&o.markers&&o.markers.start){var r=new RegExp(o.markers.start);d.setCollapseStateForMatchingLines(t,r,!1)}}},t}(S),M=function(e){function t(){return e.call(this,{id:"editor.foldAll",label:n.localize(7,null),alias:"Fold All",precondition:null,kbOpts:{kbExpr:h.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2069),weight:100}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){d.setCollapseStateLevelsDown(t,!0)},t}(S),k=function(e){function t(){return e.call(this,{id:"editor.unfoldAll",label:n.localize(8,null),alias:"Unfold All",precondition:null,kbOpts:{kbExpr:h.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2088),weight:100}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){
d.setCollapseStateLevelsDown(t,!1)},t}(S),T=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.getFoldingLevel=function(){return parseInt(this.id.substr(t.ID_PREFIX.length))},t.prototype.invoke=function(e,t,n){d.setCollapseStateAtLevel(t,this.getFoldingLevel(),!0,this.getSelectedLines(n))},t.ID_PREFIX="editor.foldLevel",t.ID=function(e){return t.ID_PREFIX+e},t}(S);u.registerEditorContribution(b),u.registerEditorAction(w),u.registerEditorAction(E),u.registerEditorAction(L),u.registerEditorAction(x),u.registerEditorAction(M),u.registerEditorAction(k),u.registerEditorAction(I),u.registerEditorAction(N),u.registerEditorAction(D);for(var R=1;R<=7;R++)u.registerInstantiatedEditorAction(new T({id:T.ID(R),label:n.localize(9,null,R),alias:"Fold Level "+R,precondition:null,kbOpts:{kbExpr:h.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2048|21+R),weight:100}}))}),define(t[460],n([0,1,312,10,97]),function(e,t,n,i,r){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(){return e.call(this,{id:"editor.action.fontZoomIn",label:n.localize(0,null),alias:"Editor Font Zoom In",precondition:null})||this}return o(t,e),t.prototype.run=function(e,t){r.EditorZoom.setZoomLevel(r.EditorZoom.getZoomLevel()+1)},t}(i.EditorAction),a=function(e){function t(){return e.call(this,{id:"editor.action.fontZoomOut",label:n.localize(1,null),alias:"Editor Font Zoom Out",precondition:null})||this}return o(t,e),t.prototype.run=function(e,t){r.EditorZoom.setZoomLevel(r.EditorZoom.getZoomLevel()-1)},t}(i.EditorAction),l=function(e){function t(){return e.call(this,{id:"editor.action.fontZoomReset",label:n.localize(2,null),alias:"Editor Font Zoom Reset",precondition:null})||this}return o(t,e),t.prototype.run=function(e,t){r.EditorZoom.setZoomLevel(0)},t}(i.EditorAction);i.registerEditorAction(s),i.registerEditorAction(a),i.registerEditorAction(l)}),
define(t[461],n([0,1,11,25,22,3,10,14,42,16,24]),function(e,t,n,i,r,s,a,l,u,d,c){"use strict";function h(e,t,i,o){var s=l.DocumentRangeFormattingEditProviderRegistry.ordered(e);return 0===s.length?Promise.reject(new g):d.first(s.map(function(r){return function(){return Promise.resolve(r.provideDocumentRangeFormattingEdits(e,t,i,o)).then(void 0,n.onUnexpectedExternalError)}}),function(e){return!r.isFalsyOrEmpty(e)})}function p(e,t,i){var o=l.DocumentFormattingEditProviderRegistry.ordered(e);return 0===o.length?h(e,e.getFullModelRange(),t,i):d.first(o.map(function(o){return function(){return Promise.resolve(o.provideDocumentFormattingEdits(e,t,i)).then(void 0,n.onUnexpectedExternalError)}}),function(e){return!r.isFalsyOrEmpty(e)})}function f(e,t,i,o){var r=l.OnTypeFormattingEditProviderRegistry.ordered(e)[0];return r?r.autoFormatTriggerCharacters.indexOf(i)<0?Promise.resolve(void 0):Promise.resolve(r.provideOnTypeFormattingEdits(e,t,i,o,c.CancellationToken.None)).then(function(e){return e
},n.onUnexpectedExternalError):Promise.resolve(void 0)}Object.defineProperty(t,"__esModule",{value:!0});var g=function(e){function t(n){var i=e.call(this)||this;return i.name=t.Name,i.message=n,i}return o(t,e),t.Name="NOPRO",t}(Error);t.NoProviderError=g,t.getDocumentRangeFormattingEdits=h,t.getDocumentFormattingEdits=p,t.getOnTypeFormattingEdits=f,a.registerLanguageCommand("_executeFormatRangeProvider",function(e,t){var o=t.resource,r=t.range,a=t.options;if(!(o instanceof i.URI&&s.Range.isIRange(r)))throw n.illegalArgument();var l=e.get(u.IModelService).getModel(o);if(!l)throw n.illegalArgument("resource");return h(l,s.Range.lift(r),a,c.CancellationToken.None)}),a.registerLanguageCommand("_executeFormatDocumentProvider",function(e,t){var o=t.resource,r=t.options;if(!(o instanceof i.URI))throw n.illegalArgument("resource");var s=e.get(u.IModelService).getModel(o);if(!s)throw n.illegalArgument("resource");return p(s,r,c.CancellationToken.None)}),
a.registerDefaultLanguageCommand("_executeFormatOnTypeProvider",function(e,t,i){var o=i.ch,r=i.options;if("string"!=typeof o)throw n.illegalArgument("ch");return f(e,t,o,r)})}),define(t[462],n([0,1,313,22,36,2,18,10,14,461,249,31,30,64,81,3,43,66,19,35,24]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y,C,b,S,w){"use strict";function E(e){if((e=e.filter(function(e){return e.range})).length){for(var t=e[0].range,i=1;i<e.length;i++)t=_.Range.plusRange(t,e[i].range);var o=t.startLineNumber,r=t.endLineNumber;o===r?1===e.length?y.alert(n.localize(0,null,o)):y.alert(n.localize(1,null,e.length,o)):1===e.length?y.alert(n.localize(2,null,o,r)):y.alert(n.localize(3,null,e.length,o,r))}}Object.defineProperty(t,"__esModule",{value:!0});var L=function(){function e(e,t){var n=this;this.editor=e,this.workerService=t,this.callOnDispose=[],this.callOnModel=[],this.callOnDispose.push(e.onDidChangeConfiguration(function(){return n.update()})),this.callOnDispose.push(e.onDidChangeModel(function(){return n.update()})),
this.callOnDispose.push(e.onDidChangeModelLanguage(function(){return n.update()})),this.callOnDispose.push(c.OnTypeFormattingEditProviderRegistry.onDidChange(this.update,this))}return e.prototype.update=function(){var e=this;if(this.callOnModel=s.dispose(this.callOnModel),this.editor.getConfiguration().contribInfo.formatOnType&&this.editor.getModel()){var t=this.editor.getModel(),n=c.OnTypeFormattingEditProviderRegistry.ordered(t)[0];if(n&&n.autoFormatTriggerCharacters){for(var i=new v.CharacterSet,o=0,r=n.autoFormatTriggerCharacters;o<r.length;o++){var a=r[o];i.add(a.charCodeAt(0))}this.callOnModel.push(this.editor.onDidType(function(t){var n=t.charCodeAt(t.length-1);i.has(n)&&e.trigger(String.fromCharCode(n))}))}}},e.prototype.trigger=function(e){var t=this;if(!(this.editor.getSelections().length>1)){var n=this.editor.getModel(),o=this.editor.getPosition(),r=!1,s=this.editor.onDidChangeModelContent(function(e){if(e.isFlush)return r=!0,void s.dispose();for(var t=0,n=e.changes.length;t<n;t++){
if(e.changes[t].range.endLineNumber<=o.lineNumber)return r=!0,void s.dispose()}}),a=n.getOptions();h.getOnTypeFormattingEdits(n,o,e,{tabSize:a.tabSize,insertSpaces:a.insertSpaces}).then(function(e){return t.workerService.computeMoreMinimalEdits(n.uri,e)}).then(function(e){s.dispose(),r||i.isFalsyOrEmpty(e)||(p.FormattingEdit.execute(t.editor,e),E(e))},function(e){throw s.dispose(),e})}},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.callOnDispose=s.dispose(this.callOnDispose),this.callOnModel=s.dispose(this.callOnModel)},e.ID="editor.contrib.autoFormat",e=a([u(1,m.IEditorWorkerService)],e)}(),x=function(){function e(e,t){var n=this;this.editor=e,this.workerService=t,this.callOnDispose=[],this.callOnModel=[],this.callOnDispose.push(e.onDidChangeConfiguration(function(){return n.update()})),this.callOnDispose.push(e.onDidChangeModel(function(){return n.update()})),this.callOnDispose.push(e.onDidChangeModelLanguage(function(){return n.update()})),
this.callOnDispose.push(c.DocumentRangeFormattingEditProviderRegistry.onDidChange(this.update,this))}return e.prototype.update=function(){var e=this;if(this.callOnModel=s.dispose(this.callOnModel),this.editor.getConfiguration().contribInfo.formatOnPaste&&this.editor.getModel()){var t=this.editor.getModel(),n=c.DocumentRangeFormattingEditProviderRegistry.ordered(t)[0];n&&n.provideDocumentRangeFormattingEdits&&this.callOnModel.push(this.editor.onDidPaste(function(t){e.trigger(t)}))}},e.prototype.trigger=function(e){var t=this;if(!(this.editor.getSelections().length>1)){var n=this.editor.getModel(),o=n.getOptions(),r=o.tabSize,s=o.insertSpaces,a=new C.EditorState(this.editor,5);h.getDocumentRangeFormattingEdits(n,e,{tabSize:r,insertSpaces:s},w.CancellationToken.None).then(function(e){return t.workerService.computeMoreMinimalEdits(n.uri,e)}).then(function(e){a.validate(t.editor)&&!i.isFalsyOrEmpty(e)&&(p.FormattingEdit.execute(t.editor,e),E(e))})}},e.prototype.getId=function(){return e.ID},
e.prototype.dispose=function(){this.callOnDispose=s.dispose(this.callOnDispose),this.callOnModel=s.dispose(this.callOnModel)},e.ID="editor.contrib.formatOnPaste",e=a([u(1,m.IEditorWorkerService)],e)}(),I=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){var n=this,o=e.get(m.IEditorWorkerService),r=e.get(S.INotificationService),s=this._getFormattingEdits(t,w.CancellationToken.None);if(!s)return Promise.resolve(void 0);var a=new C.EditorState(t,5);return s.then(function(e){return o.computeMoreMinimalEdits(t.getModel().uri,e)}).then(function(e){a.validate(t)&&!i.isFalsyOrEmpty(e)&&(p.FormattingEdit.execute(t,e),E(e),t.focus(),t.revealPositionInCenterIfOutsideViewport(t.getPosition(),1))},function(e){if(!(e instanceof Error&&e.name===h.NoProviderError.Name))throw e;n._notifyNoProviderError(r,t.getModel().getLanguageIdentifier().language)})},t.prototype._notifyNoProviderError=function(e,t){e.info(n.localize(4,null,t))},t}(d.EditorAction)
;t.AbstractFormatAction=I;var N=function(e){function t(){return e.call(this,{id:"editor.action.formatDocument",label:n.localize(5,null),alias:"Format Document",precondition:b.EditorContextKeys.writable,kbOpts:{kbExpr:b.EditorContextKeys.editorTextFocus,primary:1572,linux:{primary:3111},weight:100},menuOpts:{when:b.EditorContextKeys.hasDocumentFormattingProvider,group:"1_modification",order:1.3}})||this}return o(t,e),t.prototype._getFormattingEdits=function(e,t){var n=e.getModel(),i=n.getOptions(),o=i.tabSize,r=i.insertSpaces;return h.getDocumentFormattingEdits(n,{tabSize:o,insertSpaces:r},t)},t.prototype._notifyNoProviderError=function(e,t){e.info(n.localize(6,null,t))},t}(I);t.FormatDocumentAction=N;var D=function(e){function t(){return e.call(this,{id:"editor.action.formatSelection",label:n.localize(7,null),alias:"Format Code",precondition:l.ContextKeyExpr.and(b.EditorContextKeys.writable),kbOpts:{kbExpr:b.EditorContextKeys.editorTextFocus,primary:r.KeyChord(2089,2084),weight:100},menuOpts:{
when:l.ContextKeyExpr.and(b.EditorContextKeys.hasDocumentSelectionFormattingProvider,b.EditorContextKeys.hasNonEmptySelection),group:"1_modification",order:1.31}})||this}return o(t,e),t.prototype._getFormattingEdits=function(e,t){var n=e.getModel(),i=e.getSelection();if(i.isEmpty()){var o=n.getLineMaxColumn(i.startLineNumber);i=(i=i.setStartPosition(i.startLineNumber,1)).setEndPosition(i.endLineNumber,o)}var r=n.getOptions(),s=r.tabSize,a=r.insertSpaces;return h.getDocumentRangeFormattingEdits(n,i,{tabSize:s,insertSpaces:a},t)},t.prototype._notifyNoProviderError=function(e,t){e.info(n.localize(8,null,t))},t}(I);t.FormatSelectionAction=D,d.registerEditorContribution(L),d.registerEditorContribution(x),d.registerEditorAction(N),d.registerEditorAction(D),f.CommandsRegistry.registerCommand("editor.action.format",function(e){var t=e.get(g.ICodeEditorService).getFocusedCodeEditor();if(t)return(new(function(e){function t(){return e.call(this,{})||this}return o(t,e),t.prototype._getFormattingEdits=function(e,t){
var n=e.getModel(),i=e.getSelection(),o=n.getOptions(),r=o.tabSize,s=o.insertSpaces;return i.isEmpty()?h.getDocumentFormattingEdits(n,{tabSize:r,insertSpaces:s},t):h.getDocumentRangeFormattingEdits(n,i,{tabSize:r,insertSpaces:s},t)},t}(I))).run(e,t)})}),define(t[176],n([0,1,22,24,11,10,14]),function(e,t,n,i,o,r,s){"use strict";function a(e,t,i,r){var s=i.ordered(e).map(function(n){return Promise.resolve(r(n,e,t)).then(void 0,function(e){return o.onUnexpectedExternalError(e),null})});return Promise.all(s).then(n.flatten).then(n.coalesce)}function l(e,t,n){return a(e,t,s.DefinitionProviderRegistry,function(e,t,i){return e.provideDefinition(t,i,n)})}function u(e,t,n){return a(e,t,s.ImplementationProviderRegistry,function(e,t,i){return e.provideImplementation(t,i,n)})}function d(e,t,n){return a(e,t,s.TypeDefinitionProviderRegistry,function(e,t,i){return e.provideTypeDefinition(t,i,n)})}Object.defineProperty(t,"__esModule",{value:!0}),t.getDefinitionsAtPosition=l,t.getImplementationsAtPosition=u,
t.getTypeDefinitionsAtPosition=d,r.registerDefaultLanguageCommand("_executeDefinitionProvider",function(e,t){return l(e,t,i.CancellationToken.None)}),r.registerDefaultLanguageCommand("_executeImplementationProvider",function(e,t){return u(e,t,i.CancellationToken.None)}),r.registerDefaultLanguageCommand("_executeTypeDefinitionProvider",function(e,t){return d(e,t,i.CancellationToken.None)})}),define(t[464],n([0,1,22,24,11,10,14]),function(e,t,n,i,o,r,s){"use strict";function a(e,t,i){var r=s.HoverProviderRegistry.ordered(e).map(function(n){return Promise.resolve(n.provideHover(e,t,i)).then(function(e){return e&&function(e){var t=void 0!==e.range,n=void 0!==e.contents&&e.contents&&e.contents.length>0;return t&&n}(e)?e:void 0},function(e){o.onUnexpectedExternalError(e)})});return Promise.all(r).then(n.coalesce)}Object.defineProperty(t,"__esModule",{value:!0}),t.getHover=a,r.registerDefaultLanguageCommand("_executeHoverProvider",function(e,t){return a(e,t,i.CancellationToken.None)})}),
define(t[465],n([0,1,321,36,132,10,77,425,137,49,12,3,21,19,256,257,394,258,37]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v,_,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var C=function(e){function t(t,n){var i=e.call(this,n)||this;return i.down=t,i}return o(t,e),t.prototype.run=function(e,t){for(var n=[],i=t.getSelections()||[],o=0;o<i.length;o++)n.push(new g.CopyLinesCommand(i[o],this.down));t.pushUndoStop(),t.executeCommands(this.id,n),t.pushUndoStop()},t}(s.EditorAction),b=function(e){function t(){return e.call(this,!1,{id:"editor.action.copyLinesUpAction",label:n.localize(0,null),alias:"Copy Line Up",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.editorTextFocus,primary:1552,linux:{primary:3600},weight:100},menubarOpts:{menuId:y.MenuId.MenubarSelectionMenu,group:"2_line",title:n.localize(1,null),order:1}})||this}return o(t,e),t}(C),S=function(e){function t(){return e.call(this,!0,{id:"editor.action.copyLinesDownAction",label:n.localize(2,null),
alias:"Copy Line Down",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.editorTextFocus,primary:1554,linux:{primary:3602},weight:100},menubarOpts:{menuId:y.MenuId.MenubarSelectionMenu,group:"2_line",title:n.localize(3,null),order:2}})||this}return o(t,e),t}(C),w=function(e){function t(t,n){var i=e.call(this,n)||this;return i.down=t,i}return o(t,e),t.prototype.run=function(e,t){for(var n=[],i=t.getSelections()||[],o=t.getConfiguration().autoIndent,r=0;r<i.length;r++)n.push(new v.MoveLinesCommand(i[r],this.down,o));t.pushUndoStop(),t.executeCommands(this.id,n),t.pushUndoStop()},t}(s.EditorAction),E=function(e){function t(){return e.call(this,!1,{id:"editor.action.moveLinesUpAction",label:n.localize(4,null),alias:"Move Line Up",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.editorTextFocus,primary:528,linux:{primary:528},weight:100},menubarOpts:{menuId:y.MenuId.MenubarSelectionMenu,group:"2_line",title:n.localize(5,null),order:3}})||this}return o(t,e),t
}(w),L=function(e){function t(){return e.call(this,!0,{id:"editor.action.moveLinesDownAction",label:n.localize(6,null),alias:"Move Line Down",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.editorTextFocus,primary:530,linux:{primary:530},weight:100},menubarOpts:{menuId:y.MenuId.MenubarSelectionMenu,group:"2_line",title:n.localize(7,null),order:4}})||this}return o(t,e),t}(w),x=function(e){function t(t,n){var i=e.call(this,n)||this;return i.descending=t,i}return o(t,e),t.prototype.run=function(e,t){for(var n=t.getSelections()||[],i=0,o=n.length;i<o;i++){var r=n[i];if(!_.SortLinesCommand.canRun(t.getModel(),r,this.descending))return}for(var s=[],i=0,o=n.length;i<o;i++)s[i]=new _.SortLinesCommand(n[i],this.descending);t.pushUndoStop(),t.executeCommands(this.id,s),t.pushUndoStop()},t}(s.EditorAction);t.AbstractSortLinesAction=x;var I=function(e){function t(){return e.call(this,!1,{id:"editor.action.sortLinesAscending",label:n.localize(8,null),alias:"Sort Lines Ascending",
precondition:f.EditorContextKeys.writable})||this}return o(t,e),t}(x);t.SortLinesAscendingAction=I;var N=function(e){function t(){return e.call(this,!0,{id:"editor.action.sortLinesDescending",label:n.localize(9,null),alias:"Sort Lines Descending",precondition:f.EditorContextKeys.writable})||this}return o(t,e),t}(x);t.SortLinesDescendingAction=N;var D=function(e){function t(){return e.call(this,{id:t.ID,label:n.localize(10,null),alias:"Trim Trailing Whitespace",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.editorTextFocus,primary:i.KeyChord(2089,2102),weight:100}})||this}return o(t,e),t.prototype.run=function(e,t,n){var i=[];"auto-save"===n.reason&&(i=(t.getSelections()||[]).map(function(e){return new c.Position(e.positionLineNumber,e.positionColumn)}));var o=new l.TrimTrailingWhitespaceCommand(t.getSelection(),i);t.pushUndoStop(),t.executeCommands(this.id,[o]),t.pushUndoStop()},t.ID="editor.action.trimTrailingWhitespace",t}(s.EditorAction);t.TrimTrailingWhitespaceAction=D
;var M=function(e){function t(){return e.call(this,{id:"editor.action.deleteLines",label:n.localize(11,null),alias:"Delete Line",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.textInputFocus,primary:3113,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=this._getLinesToRemove(t).map(function(e){return new m.DeleteLinesCommand(e.startLineNumber,e.endLineNumber,e.positionColumn)});t.pushUndoStop(),t.executeCommands(this.id,n),t.pushUndoStop()},t.prototype._getLinesToRemove=function(e){var t=e.getSelections().map(function(e){var t=e.endLineNumber;return e.startLineNumber<e.endLineNumber&&1===e.endColumn&&(t-=1),{startLineNumber:e.startLineNumber,endLineNumber:t,positionColumn:e.positionColumn}});t.sort(function(e,t){return e.startLineNumber-t.startLineNumber});for(var n=[],i=t[0],o=1;o<t.length;o++)i.endLineNumber+1===t[o].startLineNumber?i.endLineNumber=t[o].endLineNumber:(n.push(i),i=t[o]);return n.push(i),n},t}(s.EditorAction),k=function(e){function t(){
return e.call(this,{id:"editor.action.indentLines",label:n.localize(12,null),alias:"Indent Line",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.editorTextFocus,primary:2137,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=t._getCursors();n&&(t.pushUndoStop(),t.executeCommands(this.id,u.TypeOperations.indent(n.context.config,t.getModel(),t.getSelections())),t.pushUndoStop())},t}(s.EditorAction);t.IndentLinesAction=k;var T=function(e){function t(){return e.call(this,{id:"editor.action.outdentLines",label:n.localize(13,null),alias:"Outdent Line",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.editorTextFocus,primary:2135,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){r.CoreEditingCommands.Outdent.runEditorCommand(null,t,null)},t}(s.EditorAction),R=function(e){function t(){return e.call(this,{id:"editor.action.insertLineBefore",label:n.localize(14,null),alias:"Insert Line Above",
precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.editorTextFocus,primary:3075,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=t._getCursors();n&&(t.pushUndoStop(),t.executeCommands(this.id,u.TypeOperations.lineInsertBefore(n.context.config,t.getModel(),t.getSelections())))},t}(s.EditorAction);t.InsertLineBeforeAction=R;var O=function(e){function t(){return e.call(this,{id:"editor.action.insertLineAfter",label:n.localize(15,null),alias:"Insert Line Below",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.editorTextFocus,primary:2051,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=t._getCursors();n&&(t.pushUndoStop(),t.executeCommands(this.id,u.TypeOperations.lineInsertAfter(n.context.config,t.getModel(),t.getSelections())))},t}(s.EditorAction);t.InsertLineAfterAction=O;var P=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){
for(var n=t.getSelection(),i=this._getRangesToDelete(t),o=[],r=0,s=i.length-1;r<s;r++){var a=i[r],l=i[r+1];null===h.Range.intersectRanges(a,l)?o.push(a):i[r+1]=h.Range.plusRange(a,l)}o.push(i[i.length-1]);var u=this._getEndCursorState(n,o),c=o.map(function(e){return d.EditOperation.replace(e,"")});t.pushUndoStop(),t.executeEdits(this.id,c,u),t.pushUndoStop()},t}(s.EditorAction);t.AbstractDeleteAllToBoundaryAction=P;var A=function(e){function t(){return e.call(this,{id:"deleteAllLeft",label:n.localize(16,null),alias:"Delete All Left",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.textInputFocus,primary:0,mac:{primary:2049},weight:100}})||this}return o(t,e),t.prototype._getEndCursorState=function(e,t){var n,i=[],o=0;return t.forEach(function(t){var r;if(1===t.endColumn&&o>0){var s=t.startLineNumber-o;r=new p.Selection(s,t.startColumn,s,t.startColumn)}else r=new p.Selection(t.startLineNumber,t.startColumn,t.startLineNumber,t.startColumn);o+=t.endLineNumber-t.startLineNumber,
t.intersectRanges(e)?n=r:i.push(r)}),n&&i.unshift(n),i},t.prototype._getRangesToDelete=function(e){var t=e.getSelections(),n=e.getModel();return t.sort(h.Range.compareRangesUsingStarts),t=t.map(function(e){if(e.isEmpty()){if(1===e.startColumn){var t=Math.max(1,e.startLineNumber-1),i=1===e.startLineNumber?1:n.getLineContent(t).length+1;return new h.Range(t,i,e.startLineNumber,1)}return new h.Range(e.startLineNumber,1,e.startLineNumber,e.startColumn)}return e})},t}(P);t.DeleteAllLeftAction=A;var F=function(e){function t(){return e.call(this,{id:"deleteAllRight",label:n.localize(17,null),alias:"Delete All Right",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.textInputFocus,primary:0,mac:{primary:297,secondary:[2068]},weight:100}})||this}return o(t,e),t.prototype._getEndCursorState=function(e,t){for(var n,i=[],o=0,r=t.length;o<r;o++){var s=t[o],a=new p.Selection(s.startLineNumber-0,s.startColumn,s.startLineNumber-0,s.startColumn);s.intersectRanges(e)?n=a:i.push(a)}
return n&&i.unshift(n),i},t.prototype._getRangesToDelete=function(e){var t=e.getModel(),n=e.getSelections().map(function(e){if(e.isEmpty()){var n=t.getLineMaxColumn(e.startLineNumber);return e.startColumn===n?new h.Range(e.startLineNumber,e.startColumn,e.startLineNumber+1,1):new h.Range(e.startLineNumber,e.startColumn,e.startLineNumber,n)}return e});return n.sort(h.Range.compareRangesUsingStarts),n},t}(P);t.DeleteAllRightAction=F;var W=function(e){function t(){return e.call(this,{id:"editor.action.joinLines",label:n.localize(18,null),alias:"Join Lines",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.editorTextFocus,primary:0,mac:{primary:296},weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=t.getSelections(),i=t.getSelection();n.sort(h.Range.compareRangesUsingStarts);var o=[],r=n.reduce(function(e,t){return e.isEmpty()?e.endLineNumber===t.startLineNumber?(i.equalsSelection(e)&&(i=t),t):t.startLineNumber>e.endLineNumber+1?(o.push(e),
t):new p.Selection(e.startLineNumber,e.startColumn,t.endLineNumber,t.endColumn):t.startLineNumber>e.endLineNumber?(o.push(e),t):new p.Selection(e.startLineNumber,e.startColumn,t.endLineNumber,t.endColumn)});o.push(r);for(var s=t.getModel(),a=[],l=[],u=i,c=0,f=0,g=o.length;f<g;f++){var m=o[f],v=m.startLineNumber,_=0,y=void 0,C=void 0,b=s.getLineContent(m.endLineNumber).length-m.endColumn;if(m.isEmpty()||m.startLineNumber===m.endLineNumber){var S=m.getStartPosition();S.lineNumber<s.getLineCount()?(y=v+1,C=s.getLineMaxColumn(y)):(y=S.lineNumber,C=s.getLineMaxColumn(S.lineNumber))}else y=m.endLineNumber,C=s.getLineMaxColumn(y);for(var w=s.getLineContent(v),E=v+1;E<=y;E++){var L=s.getLineContent(E),x=s.getLineFirstNonWhitespaceColumn(E);if(x>=1){var I=!0;""===w&&(I=!1),!I||" "!==w.charAt(w.length-1)&&"\t"!==w.charAt(w.length-1)||(I=!1,w=w.replace(/[\s\uFEFF\xA0]+$/g," "));var N=L.substr(x-1);w+=(I?" ":"")+N,_=I?N.length+1:N.length}else _=0}var D=new h.Range(v,1,y,C);if(!D.isEmpty()){var M=void 0
;m.isEmpty()?(a.push(d.EditOperation.replace(D,w)),M=new p.Selection(D.startLineNumber-c,w.length-_+1,v-c,w.length-_+1)):m.startLineNumber===m.endLineNumber?(a.push(d.EditOperation.replace(D,w)),M=new p.Selection(m.startLineNumber-c,m.startColumn,m.endLineNumber-c,m.endColumn)):(a.push(d.EditOperation.replace(D,w)),M=new p.Selection(m.startLineNumber-c,m.startColumn,m.startLineNumber-c,w.length-b)),null!==h.Range.intersectRanges(D,i)?u=M:l.push(M)}c+=D.endLineNumber-D.startLineNumber}l.unshift(u),t.pushUndoStop(),t.executeEdits(this.id,a,l),t.pushUndoStop()},t}(s.EditorAction);t.JoinLinesAction=W;var V=function(e){function t(){return e.call(this,{id:"editor.action.transpose",label:n.localize(19,null),alias:"Transpose characters around the cursor",precondition:f.EditorContextKeys.writable})||this}return o(t,e),t.prototype.run=function(e,t){for(var n=t.getSelections(),i=t.getModel(),o=[],r=0,s=n.length;r<s;r++){var l=n[r];if(l.isEmpty()){var u=l.getStartPosition(),d=i.getLineMaxColumn(u.lineNumber)
;if(u.column>=d){if(u.lineNumber===i.getLineCount())continue;var c=new h.Range(u.lineNumber,Math.max(1,u.column-1),u.lineNumber+1,1),f=i.getValueInRange(c).split("").reverse().join("");o.push(new a.ReplaceCommand(new p.Selection(u.lineNumber,Math.max(1,u.column-1),u.lineNumber+1,1),f))}else{var c=new h.Range(u.lineNumber,Math.max(1,u.column-1),u.lineNumber,u.column+1),f=i.getValueInRange(c).split("").reverse().join("");o.push(new a.ReplaceCommandThatPreservesSelection(c,f,new p.Selection(u.lineNumber,u.column+1,u.lineNumber,u.column+1)))}}}t.pushUndoStop(),t.executeCommands(this.id,o),t.pushUndoStop()},t}(s.EditorAction);t.TransposeAction=V;var H=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){for(var n=t.getSelections(),i=t.getModel(),o=[],r=0,s=n.length;r<s;r++){var l=n[r];if(l.isEmpty()){var u=l.getStartPosition(),d=i.getWordAtPosition(u);if(!d)continue
;var c=new h.Range(u.lineNumber,d.startColumn,u.lineNumber,d.endColumn),f=i.getValueInRange(c);o.push(new a.ReplaceCommandThatPreservesSelection(c,this._modifyText(f),new p.Selection(u.lineNumber,u.column,u.lineNumber,u.column)))}else{f=i.getValueInRange(l);o.push(new a.ReplaceCommandThatPreservesSelection(l,this._modifyText(f),l))}}t.pushUndoStop(),t.executeCommands(this.id,o),t.pushUndoStop()},t}(s.EditorAction);t.AbstractCaseAction=H;var B=function(e){function t(){return e.call(this,{id:"editor.action.transformToUppercase",label:n.localize(20,null),alias:"Transform to Uppercase",precondition:f.EditorContextKeys.writable})||this}return o(t,e),t.prototype._modifyText=function(e){return e.toLocaleUpperCase()},t}(H);t.UpperCaseAction=B;var z=function(e){function t(){return e.call(this,{id:"editor.action.transformToLowercase",label:n.localize(21,null),alias:"Transform to Lowercase",precondition:f.EditorContextKeys.writable})||this}return o(t,e),t.prototype._modifyText=function(e){return e.toLocaleLowerCase()},t
}(H);t.LowerCaseAction=z,s.registerEditorAction(b),s.registerEditorAction(S),s.registerEditorAction(E),s.registerEditorAction(L),s.registerEditorAction(I),s.registerEditorAction(N),s.registerEditorAction(D),s.registerEditorAction(M),s.registerEditorAction(k),s.registerEditorAction(T),s.registerEditorAction(R),s.registerEditorAction(O),s.registerEditorAction(A),s.registerEditorAction(F),s.registerEditorAction(W),s.registerEditorAction(V),s.registerEditorAction(B),s.registerEditorAction(z)}),define(t[177],n([0,1,16,11,10,14,18,24]),function(e,t,n,i,o,r,s,a){"use strict";function l(e,t,o,s){var a=r.SignatureHelpProviderRegistry.ordered(e);return n.first(a.map(function(n){return function(){return Promise.resolve(n.provideSignatureHelp(e,t,s,o)).catch(i.onUnexpectedExternalError)}}))}Object.defineProperty(t,"__esModule",{value:!0}),t.Context={Visible:new s.RawContextKey("parameterHintsVisible",!1),MultipleSignatures:new s.RawContextKey("parameterHintsMultipleSignatures",!1)},t.provideSignatureHelp=l,
o.registerDefaultLanguageCommand("_executeSignatureHelpProvider",function(e,t){return l(e,t,{triggerReason:r.SignatureHelpTriggerReason.Invoke,isRetrigger:!1},a.CancellationToken.None)})}),define(t[467],n([0,1,11,25,3,10,14,42,24]),function(e,t,n,i,o,r,s,a,l){"use strict";function u(e,t,i){var o=[],r=s.DocumentSymbolProviderRegistry.all(e).map(function(t){return Promise.resolve(t.provideDocumentSymbols(e,i)).then(function(e){Array.isArray(e)&&o.push.apply(o,e)},function(e){n.onUnexpectedExternalError(e)})});return Promise.all(r).then(function(){var e=[];return i.isCancellationRequested?e:(t?c(e,o,""):e=o,e.sort(d),e)})}function d(e,t){return o.Range.compareRangesUsingStarts(e.range,t.range)}function c(e,t,n){for(var i=0,o=t;i<o.length;i++){var r=o[i];e.push({kind:r.kind,name:r.name,detail:r.detail,containerName:r.containerName||n,range:r.range,selectionRange:r.selectionRange,children:void 0}),r.children&&c(e,r.children,r.name)}}Object.defineProperty(t,"__esModule",{value:!0}),t.getDocumentSymbols=u,
r.registerLanguageCommand("_executeDocumentSymbolProvider",function(e,t){var o=t.resource;if(!(o instanceof i.URI))throw n.illegalArgument("resource");var r=e.get(a.IModelService).getModel(o);if(!r)throw n.illegalArgument("resource");return u(r,!1,l.CancellationToken.None)})}),define(t[468],n([0,1,335,22,15,3,19,10,395,37]),function(e,t,n,i,r,s,l,d,c,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=function(){return function(e){this.editor=e,this.next=null,this.previous=null,this.selection=e.getSelection()}}(),f=function(){function e(e,t){this.editor=e,this._tokenSelectionSupport=t.createInstance(c.TokenSelectionSupport),this._state=null,this._ignoreSelection=!1}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.dispose=function(){},e.prototype.getId=function(){return e.ID},e.prototype.run=function(e){var t=this,n=this.editor.getSelection(),o=this.editor.getModel();this._state&&this._state.editor!==this.editor&&(this._state=null);var r=Promise.resolve(null)
;return this._state||(r=Promise.resolve(this._tokenSelectionSupport.getRangesToPositionSync(o.uri,n.getStartPosition())).then(function(e){if(!i.isFalsyOrEmpty(e)){var n;e.filter(function(e){var n=t.editor.getSelection(),i=new s.Range(e.range.startLineNumber,e.range.startColumn,e.range.endLineNumber,e.range.endColumn);return i.containsPosition(n.getStartPosition())&&i.containsPosition(n.getEndPosition())}).forEach(function(e){var i=e.range,o=new p(t.editor);o.selection=new s.Range(i.startLineNumber,i.startColumn,i.endLineNumber,i.endColumn),n&&(o.next=n,n.previous=o),n=o});var o=new p(t.editor);o.next=n,n&&(n.previous=o),t._state=o;var r=t.editor.onDidChangeCursorPosition(function(e){t._ignoreSelection||(t._state=null,r.dispose())})}})),r.then(function(){if(t._state&&(t._state=e?t._state.next:t._state.previous,t._state)){t._ignoreSelection=!0;try{t.editor.setSelection(t._state.selection)}finally{t._ignoreSelection=!1}}})},e.ID="editor.contrib.smartSelectController",e=a([u(1,r.IInstantiationService)],e)
}(),g=function(e){function t(t,n){var i=e.call(this,n)||this;return i._forward=t,i}return o(t,e),t.prototype.run=function(e,t){var n=f.get(t);if(n)return n.run(this._forward)},t}(d.EditorAction),m=function(e){function t(){return e.call(this,!0,{id:"editor.action.smartSelect.grow",label:n.localize(0,null),alias:"Expand Select",precondition:null,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:1553,mac:{primary:3345},weight:100},menubarOpts:{menuId:h.MenuId.MenubarSelectionMenu,group:"1_basic",title:n.localize(1,null),order:2}})||this}return o(t,e),t}(g),v=function(e){function t(){return e.call(this,!1,{id:"editor.action.smartSelect.shrink",label:n.localize(2,null),alias:"Shrink Select",precondition:null,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:1551,mac:{primary:3343},weight:100},menubarOpts:{menuId:h.MenuId.MenubarSelectionMenu,group:"1_basic",title:n.localize(3,null),order:3}})||this}return o(t,e),t}(g);d.registerEditorContribution(f),d.registerEditorAction(m),
d.registerEditorAction(v)}),define(t[85],n([0,1,16,22,27,11,10,14,18,24,3]),function(e,t,n,i,o,r,s,a,l,u,d){"use strict";function c(e,t,s,l,c,p){void 0===s&&(s="bottom"),void 0===p&&(p=u.CancellationToken.None);var f=[],g=function(e){return"none"===e?function(e){return 25!==e.kind}:function(){return!0}}(s),_=e.getWordUntilPosition(t),y=new d.Range(t.lineNumber,_.startColumn,t.lineNumber,_.endColumn);t=t.clone();var C=a.CompletionProviderRegistry.orderedGroups(e);"none"!==s&&v&&C.unshift([v]);var b=c||{triggerKind:0},S=!1,w=C.map(function(n){return function(){return Promise.all(n.map(function(n){if(i.isFalsyOrEmpty(l)||!(l.indexOf(n)<0))return Promise.resolve(n.provideCompletionItems(e,t,b,p)).then(function(r){var s=f.length;if(r&&!i.isFalsyOrEmpty(r.suggestions))for(var a=0,l=r.suggestions;a<l.length;a++){var u=l[a];g(u)&&(u.range||(u.range=y),h(u),f.push({position:t,container:r,suggestion:u,support:n,resolve:function(e,t,n,i){var r;return function(s){
return r||(r="function"==typeof e.resolveCompletionItem?Promise.resolve(e.resolveCompletionItem(n,i,t,s)).then(function(e){o.assign(t,e)}):Promise.resolve(void 0)),r}}(n,u,e,t)}))}s!==f.length&&n!==v&&(S=!0)},r.onUnexpectedExternalError)}))}});return n.first(w,function(){return S||p.isCancellationRequested}).then(function(){return p.isCancellationRequested?Promise.reject(r.canceled()):f.sort(m(s))})}function h(e){e._labelLow||(e._labelLow=e.label.toLowerCase()),e.sortText&&!e._sortTextLow&&(e._sortTextLow=e.sortText.toLowerCase()),e.filterText&&!e._filterTextLow&&(e._filterTextLow=e.filterText.toLowerCase())}function p(e,t){if(e.suggestion._sortTextLow&&t.suggestion._sortTextLow){if(e.suggestion._sortTextLow<t.suggestion._sortTextLow)return-1;if(e.suggestion._sortTextLow>t.suggestion._sortTextLow)return 1}return e.suggestion.label<t.suggestion.label?-1:e.suggestion.label>t.suggestion.label?1:e.suggestion.kind-t.suggestion.kind}function f(e,t){if(e.suggestion.kind!==t.suggestion.kind){
if(25===e.suggestion.kind)return-1;if(25===t.suggestion.kind)return 1}return p(e,t)}function g(e,t){if(e.suggestion.kind!==t.suggestion.kind){if(25===e.suggestion.kind)return 1;if(25===t.suggestion.kind)return-1}return p(e,t)}function m(e){return"top"===e?f:"bottom"===e?g:p}Object.defineProperty(t,"__esModule",{value:!0}),t.Context={Visible:new l.RawContextKey("suggestWidgetVisible",!1),MultipleSuggestions:new l.RawContextKey("suggestWidgetMultipleSuggestions",!1),MakesTextEdit:new l.RawContextKey("suggestionMakesTextEdit",!0),AcceptSuggestionsOnEnter:new l.RawContextKey("acceptSuggestionOnEnter",!0)};var v;t.getSnippetSuggestSupport=function(){return v},t.provideSuggestionItems=c,t.ensureLowerCaseVariants=h,t.getSuggestionComparator=m,s.registerDefaultLanguageCommand("_executeCompletionItemProvider",function(e,t,n){var i={incomplete:!1,suggestions:[]},o=[],r=n.maxItemsToResolve||0;return c(e,t).then(function(e){for(var t=0,n=e;t<n.length;t++){var s=n[t]
;o.length<r&&o.push(s.resolve(u.CancellationToken.None)),i.incomplete=i.incomplete||s.container.incomplete,i.suggestions.push(s.suggestion)}}).then(function(){return Promise.all(o)}).then(function(){return i})});var _=new(function(){function e(){this.onlyOnceSuggestions=[]}return e.prototype.provideCompletionItems=function(){var e={suggestions:this.onlyOnceSuggestions.slice(0)};return this.onlyOnceSuggestions.length=0,e},e}());a.CompletionProviderRegistry.register("*",_),t.showSimpleSuggestions=function(e,t){setTimeout(function(){var n;(n=_.onlyOnceSuggestions).push.apply(n,t),e.getContribution("editor.contrib.suggestController").triggerSuggest([_])},0)}}),define(t[470],n([0,1,100,2,85,48]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){return function(){}}();t.LineContext=s;var a=function(){function e(t,n,i,o,s){void 0===s&&(s=r.EDITOR_DEFAULTS.contribInfo.suggest),this._snippetCompareFn=e._compareCompletionItems,this._items=t,this._column=n,
this._wordDistance=o,this._options=s,this._refilterKind=1,this._lineContext=i,"top"===s.snippets?this._snippetCompareFn=e._compareCompletionItemsSnippetsUp:"bottom"===s.snippets&&(this._snippetCompareFn=e._compareCompletionItemsSnippetsDown)}return e.prototype.dispose=function(){for(var e=new Set,t=0,n=this._items;t<n.length;t++){var o=n[t].container;e.has(o)||(e.add(o),i.isDisposable(o)&&o.dispose())}},Object.defineProperty(e.prototype,"lineContext",{get:function(){return this._lineContext},set:function(e){this._lineContext.leadingLineContent===e.leadingLineContent&&this._lineContext.characterCountDelta===e.characterCountDelta||(this._refilterKind=this._lineContext.characterCountDelta<e.characterCountDelta&&this._filteredItems?2:1,this._lineContext=e)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"items",{get:function(){return this._ensureCachedState(),this._filteredItems},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"incomplete",{get:function(){
return this._ensureCachedState(),this._isIncomplete},enumerable:!0,configurable:!0}),e.prototype.adopt=function(e){for(var t=new Array,n=0;n<this._items.length;)e.has(this._items[n].support)?n++:(t.push(this._items[n]),this._items[n]=this._items[this._items.length-1],this._items.pop());return this._refilterKind=1,t},Object.defineProperty(e.prototype,"stats",{get:function(){return this._ensureCachedState(),this._stats},enumerable:!0,configurable:!0}),e.prototype._ensureCachedState=function(){0!==this._refilterKind&&this._createCachedState()},e.prototype._createCachedState=function(){this._isIncomplete=new Set,this._stats={suggestionCount:0,snippetCount:0,textCount:0};for(var e=this._lineContext,t=e.leadingLineContent,i=e.characterCountDelta,r="",s="",a=1===this._refilterKind?this._items:this._filteredItems,l=[],u=!this._options.filterGraceful||a.length>2e3?n.fuzzyScore:n.fuzzyScoreGracefulAggressive,d=0;d<a.length;d++){var c=a[d],h=c.suggestion,p=c.container;o.ensureLowerCaseVariants(h),
p.incomplete&&this._isIncomplete.add(c.support);var f=c.position.column-h.range.startColumn,g=f+i-(c.position.column-this._column);if(r.length!==g&&(s=(r=0===g?"":t.slice(-g)).toLowerCase()),c.word=r,0===g)c.score=-100,c.matches=void 0;else{for(var m=0;m<f;){var v=r.charCodeAt(m);if(32!==v&&9!==v)break;m+=1}if(m>=g)c.score=-100,c.matches=[];else if("string"==typeof h.filterText){if(!(_=u(r,s,m,h.filterText,h._filterTextLow,0,!1)))continue;c.score=_[0],c.matches=(n.fuzzyScore(r,s,0,h.label,h._labelLow,0,!0)||n.anyScore(r,h.label))[1]}else{var _=u(r,s,m,h.label,h._labelLow,0,!1);if(!_)continue;c.score=_[0],c.matches=_[1]}}switch(c.idx=d,c.distance=this._wordDistance.distance(c.position,h),l.push(c),this._stats.suggestionCount++,h.kind){case 25:this._stats.snippetCount++;break;case 18:this._stats.textCount++}}this._filteredItems=l.sort(this._snippetCompareFn),this._refilterKind=0},e._compareCompletionItems=function(e,t){
return e.score>t.score?-1:e.score<t.score?1:e.distance<t.distance?-1:e.distance>t.distance?1:e.idx<t.idx?-1:e.idx>t.idx?1:0},e._compareCompletionItemsSnippetsDown=function(t,n){if(t.suggestion.kind!==n.suggestion.kind){if(25===t.suggestion.kind)return 1;if(25===n.suggestion.kind)return-1}return e._compareCompletionItems(t,n)},e._compareCompletionItemsSnippetsUp=function(t,n){if(t.suggestion.kind!==n.suggestion.kind){if(25===t.suggestion.kind)return-1;if(25===n.suggestion.kind)return 1}return e._compareCompletionItems(t,n)},e}();t.CompletionModel=a}),define(t[179],n([0,1,340,43,10,125]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(){return e.call(this,{id:t.ID,label:n.localize(0,null),alias:"Toggle Tab Key Moves Focus",precondition:null,kbOpts:{kbExpr:null,primary:2091,mac:{primary:1323},weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var o=!s.TabFocus.getTabFocusMode();s.TabFocus.setTabFocusMode(o),
o?i.alert(n.localize(1,null)):i.alert(n.localize(2,null))},t.ID="editor.action.toggleTabFocusMode",t}(r.EditorAction);t.ToggleTabFocusModeAction=a,r.registerEditorAction(a)}),define(t[180],n([0,1,10,77,38,138,80,12,3,21,19]),function(e,t,n,i,r,s,a,l,u,d,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n._wordNavigationType=t.wordNavigationType,n}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){var i=this;if(t.hasModel()){var o=t.getConfiguration(),s=a.getMapForWordSeparators(o.wordSeparators),u=t.getModel(),d=t.getSelections().map(function(e){var t=new l.Position(e.positionLineNumber,e.positionColumn),n=i._move(s,u,t,i._wordNavigationType);return i._moveTo(e,n,i._inSelectionMode)});if(t._getCursors().setStates("moveWordCommand",0,d.map(function(e){return r.CursorState.fromModelSelection(e)})),1===d.length){var c=new l.Position(d[0].positionLineNumber,d[0].positionColumn)
;t.revealPosition(c,0)}}},t.prototype._moveTo=function(e,t,n){return n?new d.Selection(e.selectionStartLineNumber,e.selectionStartColumn,t.lineNumber,t.column):new d.Selection(t.lineNumber,t.column,t.lineNumber,t.column)},t}(n.EditorCommand);t.MoveWordCommand=h;var p=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._move=function(e,t,n,i){return s.WordOperations.moveWordLeft(e,t,n,i)},t}(h);t.WordLeftCommand=p;var f=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._move=function(e,t,n,i){return s.WordOperations.moveWordRight(e,t,n,i)},t}(h);t.WordRightCommand=f;var g=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:0,id:"cursorWordStartLeft",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.textInputFocus,primary:2063,mac:{primary:527},weight:100}})||this}return o(t,e),t}(p);t.CursorWordStartLeft=g;var m=function(e){function t(){return e.call(this,{inSelectionMode:!1,
wordNavigationType:2,id:"cursorWordEndLeft",precondition:null})||this}return o(t,e),t}(p);t.CursorWordEndLeft=m;var v=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:1,id:"cursorWordLeft",precondition:null})||this}return o(t,e),t}(p);t.CursorWordLeft=v;var _=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:0,id:"cursorWordStartLeftSelect",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.textInputFocus,primary:3087,mac:{primary:1551},weight:100}})||this}return o(t,e),t}(p);t.CursorWordStartLeftSelect=_;var y=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:2,id:"cursorWordEndLeftSelect",precondition:null})||this}return o(t,e),t}(p);t.CursorWordEndLeftSelect=y;var C=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:0,id:"cursorWordLeftSelect",precondition:null})||this}return o(t,e),t}(p);t.CursorWordLeftSelect=C;var b=function(e){function t(){return e.call(this,{
inSelectionMode:!1,wordNavigationType:0,id:"cursorWordStartRight",precondition:null})||this}return o(t,e),t}(f);t.CursorWordStartRight=b;var S=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:2,id:"cursorWordEndRight",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.textInputFocus,primary:2065,mac:{primary:529},weight:100}})||this}return o(t,e),t}(f);t.CursorWordEndRight=S;var w=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:2,id:"cursorWordRight",precondition:null})||this}return o(t,e),t}(f);t.CursorWordRight=w;var E=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:0,id:"cursorWordStartRightSelect",precondition:null})||this}return o(t,e),t}(f);t.CursorWordStartRightSelect=E;var L=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:2,id:"cursorWordEndRightSelect",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.textInputFocus,primary:3089,mac:{primary:1553},weight:100}
})||this}return o(t,e),t}(f);t.CursorWordEndRightSelect=L;var x=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:2,id:"cursorWordRightSelect",precondition:null})||this}return o(t,e),t}(f);t.CursorWordRightSelect=x;var I=function(e){function t(t){var n=e.call(this,t)||this;return n._whitespaceHeuristics=t.whitespaceHeuristics,n._wordNavigationType=t.wordNavigationType,n}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){var o=this;if(t.hasModel()){var r=t.getConfiguration(),s=a.getMapForWordSeparators(r.wordSeparators),l=t.getModel(),u=t.getSelections().map(function(e){var t=o._delete(s,l,e,o._whitespaceHeuristics,o._wordNavigationType);return new i.ReplaceCommand(t,"")});t.pushUndoStop(),t.executeCommands(this.id,u),t.pushUndoStop()}},t}(n.EditorCommand);t.DeleteWordCommand=I;var N=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._delete=function(e,t,n,i,o){var r=s.WordOperations.deleteWordLeft(e,t,n,i,o)
;return r||new u.Range(1,1,1,1)},t}(I);t.DeleteWordLeftCommand=N;var D=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._delete=function(e,t,n,i,o){var r=s.WordOperations.deleteWordRight(e,t,n,i,o);if(r)return r;var a=t.getLineCount(),l=t.getLineMaxColumn(a);return new u.Range(a,l,a,l)},t}(I);t.DeleteWordRightCommand=D;var M=function(e){function t(){return e.call(this,{whitespaceHeuristics:!1,wordNavigationType:0,id:"deleteWordStartLeft",precondition:c.EditorContextKeys.writable})||this}return o(t,e),t}(N);t.DeleteWordStartLeft=M;var k=function(e){function t(){return e.call(this,{whitespaceHeuristics:!1,wordNavigationType:2,id:"deleteWordEndLeft",precondition:c.EditorContextKeys.writable})||this}return o(t,e),t}(N);t.DeleteWordEndLeft=k;var T=function(e){function t(){return e.call(this,{whitespaceHeuristics:!0,wordNavigationType:0,id:"deleteWordLeft",precondition:c.EditorContextKeys.writable,kbOpts:{kbExpr:c.EditorContextKeys.textInputFocus,primary:2049,mac:{
primary:513},weight:100}})||this}return o(t,e),t}(N);t.DeleteWordLeft=T;var R=function(e){function t(){return e.call(this,{whitespaceHeuristics:!1,wordNavigationType:0,id:"deleteWordStartRight",precondition:c.EditorContextKeys.writable})||this}return o(t,e),t}(D);t.DeleteWordStartRight=R;var O=function(e){function t(){return e.call(this,{whitespaceHeuristics:!1,wordNavigationType:2,id:"deleteWordEndRight",precondition:c.EditorContextKeys.writable})||this}return o(t,e),t}(D);t.DeleteWordEndRight=O;var P=function(e){function t(){return e.call(this,{whitespaceHeuristics:!0,wordNavigationType:2,id:"deleteWordRight",precondition:c.EditorContextKeys.writable,kbOpts:{kbExpr:c.EditorContextKeys.textInputFocus,primary:2068,mac:{primary:532},weight:100}})||this}return o(t,e),t}(D);t.DeleteWordRight=P,n.registerEditorCommand(new g),n.registerEditorCommand(new m),n.registerEditorCommand(new v),n.registerEditorCommand(new _),n.registerEditorCommand(new y),n.registerEditorCommand(new C),n.registerEditorCommand(new b),
n.registerEditorCommand(new S),n.registerEditorCommand(new w),n.registerEditorCommand(new E),n.registerEditorCommand(new L),n.registerEditorCommand(new x),n.registerEditorCommand(new M),n.registerEditorCommand(new k),n.registerEditorCommand(new T),n.registerEditorCommand(new R),n.registerEditorCommand(new O),n.registerEditorCommand(new P)}),define(t[473],n([0,1,10,138,3,19,180,31]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(e){function t(){return e.call(this,{whitespaceHeuristics:!0,wordNavigationType:0,id:"deleteWordPartLeft",precondition:s.EditorContextKeys.writable,kbOpts:{kbExpr:s.EditorContextKeys.textInputFocus,primary:0,mac:{primary:769},weight:100}})||this}return o(t,e),t.prototype._delete=function(e,t,n,o,s){var a=i.WordPartOperations.deleteWordPartLeft(e,t,n,o);return a||new r.Range(1,1,1,1)},t}(a.DeleteWordCommand);t.DeleteWordPartLeft=u;var d=function(e){function t(){return e.call(this,{whitespaceHeuristics:!0,wordNavigationType:2,
id:"deleteWordPartRight",precondition:s.EditorContextKeys.writable,kbOpts:{kbExpr:s.EditorContextKeys.textInputFocus,primary:0,mac:{primary:788},weight:100}})||this}return o(t,e),t.prototype._delete=function(e,t,n,o,s){var a=i.WordPartOperations.deleteWordPartRight(e,t,n,o);if(a)return a;var l=t.getLineCount(),u=t.getLineMaxColumn(l);return new r.Range(l,u,l,u)},t}(a.DeleteWordCommand);t.DeleteWordPartRight=d;var c=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._move=function(e,t,n,o){return i.WordPartOperations.moveWordPartLeft(e,t,n)},t}(a.MoveWordCommand);t.WordPartLeftCommand=c;var h=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:0,id:"cursorWordPartLeft",precondition:null,kbOpts:{kbExpr:s.EditorContextKeys.textInputFocus,primary:0,mac:{primary:783},weight:100}})||this}return o(t,e),t}(c);t.CursorWordPartLeft=h,l.CommandsRegistry.registerCommandAlias("cursorWordPartStartLeft","cursorWordPartLeft");var p=function(e){
function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:0,id:"cursorWordPartLeftSelect",precondition:null,kbOpts:{kbExpr:s.EditorContextKeys.textInputFocus,primary:0,mac:{primary:1807},weight:100}})||this}return o(t,e),t}(c);t.CursorWordPartLeftSelect=p,l.CommandsRegistry.registerCommandAlias("cursorWordPartStartLeftSelect","cursorWordPartLeftSelect");var f=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._move=function(e,t,n,o){return i.WordPartOperations.moveWordPartRight(e,t,n)},t}(a.MoveWordCommand);t.WordPartRightCommand=f;var g=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:2,id:"cursorWordPartRight",precondition:null,kbOpts:{kbExpr:s.EditorContextKeys.textInputFocus,primary:0,mac:{primary:785},weight:100}})||this}return o(t,e),t}(f);t.CursorWordPartRight=g;var m=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:2,id:"cursorWordPartRightSelect",precondition:null,kbOpts:{
kbExpr:s.EditorContextKeys.textInputFocus,primary:0,mac:{primary:1809},weight:100}})||this}return o(t,e),t}(f);t.CursorWordPartRightSelect=m,n.registerEditorCommand(new u),n.registerEditorCommand(new d),n.registerEditorCommand(new h),n.registerEditorCommand(new p),n.registerEditorCommand(new g),n.registerEditorCommand(new m)}),define(t[474],n([0,1,29,7,2,10,388]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){var t=this;this.editor=e,this.toDispose=[],n.isIPad&&(this.toDispose.push(e.onDidChangeConfiguration(function(){return t.update()})),this.update())}return e.prototype.update=function(){var e=!this.editor.getConfiguration().readOnly;!this.widget&&e?this.widget=new a(this.editor):this.widget&&!e&&(this.widget.dispose(),this.widget=null)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.toDispose=o.dispose(this.toDispose),this.widget&&(this.widget.dispose(),this.widget=null)},
e.ID="editor.contrib.iPadShowKeyboard",e}();t.IPadShowKeyboard=s;var a=function(){function e(e){var t=this;this.editor=e,this._domNode=document.createElement("textarea"),this._domNode.className="iPadShowKeyboard",this._toDispose=[],this._toDispose.push(i.addDisposableListener(this._domNode,"touchstart",function(e){t.editor.focus()})),this._toDispose.push(i.addDisposableListener(this._domNode,"focus",function(e){t.editor.focus()})),this.editor.addOverlayWidget(this)}return e.prototype.dispose=function(){this.editor.removeOverlayWidget(this),this._toDispose=o.dispose(this._toDispose)},e.prototype.getId=function(){return e.ID},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return{preference:1}},e.ID="editor.contrib.ShowKeyboardWidget",e}();r.registerEditorContribution(s)}),define(t[475],n([0,1,349,10,78]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(){var t=e.call(this,{
id:"editor.action.toggleHighContrast",label:n.localize(0,null),alias:"Toggle High Contrast Theme",precondition:null})||this;return t._originalThemeName=null,t}return o(t,e),t.prototype.run=function(e,t){var n=e.get(r.IStandaloneThemeService);this._originalThemeName?(n.setTheme(this._originalThemeName),this._originalThemeName=null):(this._originalThemeName=n.getTheme().themeName,n.setTheme("hc-black"))},t}(i.EditorAction);i.registerEditorAction(s)}),define(t[476],n([0,1,508,70,116,2]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(e){function t(t,i,o){var r=e.call(this)||this;return r.logService=o,r.contextView=r._register(new n.ContextView(t)),r}return o(t,e),t.prototype.setContainer=function(e){this.logService.trace("ContextViewService#setContainer"),this.contextView.setContainer(e)},t.prototype.showContextView=function(e){this.logService.trace("ContextViewService#showContextView"),this.contextView.show(e)},t.prototype.layout=function(){
this.contextView.layout()},t.prototype.hideContextView=function(e){this.logService.trace("ContextViewService#hideContextView"),this.contextView.hide(e)},t=a([u(1,i.ITelemetryService),u(2,r.ILogService)],t)}(s.Disposable);t.ContextViewService=l}),define(t[477],n([0,1,53]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NullTelemetryService=new(function(){function e(){}return e.prototype.publicLog=function(e,t){return n.TPromise.wrap(void 0)},e.prototype.getTelemetryInfo=function(){return n.TPromise.wrap({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId"})},e}())}),define(t[478],n([0,1,7,430,50,84,30,31,15,70,477]),function(e,t,n,i,o,r,s,l,d,c,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=function(){function e(e,t,n){void 0===n&&(n=h.NullTelemetryService),this._editorService=e,this._commandService=t,this._telemetryService=n}return e.prototype.open=function(e,t){var s
;this._telemetryService&&this._telemetryService.publicLog("openerService",{scheme:e.scheme});var a=e.scheme,u=e.path,d=e.query,c=e.fragment,h=void 0;if(a===o.Schemas.http||a===o.Schemas.https||a===o.Schemas.mailto)n.windowOpenNoOpener(e.toString(!0));else if("command"===a&&l.CommandsRegistry.getCommand(u)){var p=[];try{p=i.parse(d),Array.isArray(p)||(p=[p])}catch(e){}h=(s=this._commandService).executeCommand.apply(s,[u].concat(p))}else{var f=void 0,g=/^L?(\d+)(?:,(\d+))?/.exec(c);if(g&&(f={startLineNumber:parseInt(g[1]),startColumn:g[2]?parseInt(g[2]):1},e=e.with({fragment:""})),!e.scheme)return Promise.resolve(void 0);e.scheme===o.Schemas.file&&(e=r.normalizePath(e)),h=this._editorService.openCodeEditor({resource:e,options:{selection:f}},this._editorService.getFocusedCodeEditor(),t&&t.openToSide)}return Promise.resolve(h)},e=a([u(0,s.ICodeEditorService),u(1,l.ICommandService),u(2,d.optional(c.ITelemetryService))],e)}();t.OpenerService=p}),define(t[20],n([0,1,41,28,354]),function(e,t,n,i,o){"use strict"
;function r(e,t,n,i,o){return u.registerColor(e,t,n,i,o)}function s(e,t){return function(n){var i=l(e,n);return i?i.transparent(t):null}}function a(e,t,n,o){return function(r){var s=l(e,r);if(s){var a=l(t,r);return a?s.isDarkerThan(a)?i.Color.getLighterColor(s,a,n).transparent(o):i.Color.getDarkerColor(s,a,n).transparent(o):s.transparent(n*o)}return null}}function l(e,t){return null===e?null:"string"==typeof e?"#"===e[0]?i.Color.fromHex(e):t.getColor(e):e instanceof i.Color?e:"function"==typeof e?e(t):null}Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions={ColorContribution:"base.contributions.colors"};var u=new(function(){function e(){this.colorSchema={type:"object",description:o.localize(0,null),properties:{},additionalProperties:!1},this.colorReferenceSchema={type:"string",enum:[],enumDescriptions:[]},this.colorsById={}}return e.prototype.registerColor=function(e,t,n,i,o){void 0===i&&(i=!1);var r={id:e,description:n,defaults:t,needsTransparency:i,deprecationMessage:o};this.colorsById[e]=r
;var s={type:"string",description:n,format:"color-hex",default:"#ff0000"};return o&&(s.deprecationMessage=o),this.colorSchema.properties[e]=s,this.colorReferenceSchema.enum.push(e),this.colorReferenceSchema.enumDescriptions.push(n),e},e.prototype.resolveDefaultColor=function(e,t){var n=this.colorsById[e];if(n&&n.defaults){return l(n.defaults[t.type],t)}return null},e.prototype.toString=function(){var e=this;return Object.keys(this.colorsById).sort(function(e,t){var n=-1===e.indexOf(".")?0:1,i=-1===t.indexOf(".")?0:1;return n!==i?n-i:e.localeCompare(t)}).map(function(t){return"- `"+t+"`: "+e.colorsById[t].description}).join("\n")},e}());n.Registry.add(t.Extensions.ColorContribution,u),t.registerColor=r,t.foreground=r("foreground",{dark:"#CCCCCC",light:"#616161",hc:"#FFFFFF"},o.localize(1,null)),t.errorForeground=r("errorForeground",{dark:"#F48771",light:"#A1260D",hc:"#F48771"},o.localize(2,null)),t.focusBorder=r("focusBorder",{dark:i.Color.fromHex("#0E639C").transparent(.8),
light:i.Color.fromHex("#007ACC").transparent(.4),hc:"#F38518"},o.localize(3,null)),t.contrastBorder=r("contrastBorder",{light:null,dark:null,hc:"#6FC3DF"},o.localize(4,null)),t.activeContrastBorder=r("contrastActiveBorder",{light:null,dark:null,hc:t.focusBorder},o.localize(5,null)),t.textLinkForeground=r("textLink.foreground",{light:"#006AB1",dark:"#3794FF",hc:"#3794FF"},o.localize(6,null)),t.textCodeBlockBackground=r("textCodeBlock.background",{light:"#dcdcdc66",dark:"#0a0a0a66",hc:i.Color.black},o.localize(7,null)),t.widgetShadow=r("widget.shadow",{dark:"#000000",light:"#A8A8A8",hc:null},o.localize(8,null)),t.inputBackground=r("input.background",{dark:"#3C3C3C",light:i.Color.white,hc:i.Color.black},o.localize(9,null)),t.inputForeground=r("input.foreground",{dark:t.foreground,light:t.foreground,hc:t.foreground},o.localize(10,null)),t.inputBorder=r("input.border",{dark:null,light:null,hc:t.contrastBorder},o.localize(11,null)),t.inputActiveOptionBorder=r("inputOption.activeBorder",{dark:"#007ACC",
light:"#007ACC",hc:t.activeContrastBorder},o.localize(12,null)),t.inputValidationInfoBackground=r("inputValidation.infoBackground",{dark:"#063B49",light:"#D6ECF2",hc:i.Color.black},o.localize(13,null)),t.inputValidationInfoForeground=r("inputValidation.infoForeground",{dark:null,light:null,hc:null},o.localize(14,null)),t.inputValidationInfoBorder=r("inputValidation.infoBorder",{dark:"#007acc",light:"#007acc",hc:t.contrastBorder},o.localize(15,null)),t.inputValidationWarningBackground=r("inputValidation.warningBackground",{dark:"#352A05",light:"#F6F5D2",hc:i.Color.black},o.localize(16,null)),t.inputValidationWarningForeground=r("inputValidation.warningForeground",{dark:null,light:null,hc:null},o.localize(17,null)),t.inputValidationWarningBorder=r("inputValidation.warningBorder",{dark:"#B89500",light:"#B89500",hc:t.contrastBorder},o.localize(18,null)),t.inputValidationErrorBackground=r("inputValidation.errorBackground",{dark:"#5A1D1D",light:"#F2DEDE",hc:i.Color.black},o.localize(19,null)),
t.inputValidationErrorForeground=r("inputValidation.errorForeground",{dark:null,light:null,hc:null},o.localize(20,null)),t.inputValidationErrorBorder=r("inputValidation.errorBorder",{dark:"#BE1100",light:"#BE1100",hc:t.contrastBorder},o.localize(21,null)),t.selectBackground=r("dropdown.background",{dark:"#3C3C3C",light:i.Color.white,hc:i.Color.black},o.localize(22,null)),t.selectForeground=r("dropdown.foreground",{dark:"#F0F0F0",light:null,hc:i.Color.white},o.localize(23,null)),t.listFocusBackground=r("list.focusBackground",{dark:"#062F4A",light:"#D6EBFF",hc:null},o.localize(24,null)),t.listFocusForeground=r("list.focusForeground",{dark:null,light:null,hc:null},o.localize(25,null)),t.listActiveSelectionBackground=r("list.activeSelectionBackground",{dark:"#094771",light:"#2477CE",hc:null},o.localize(26,null)),t.listActiveSelectionForeground=r("list.activeSelectionForeground",{dark:i.Color.white,light:i.Color.white,hc:null},o.localize(27,null)),
t.listInactiveSelectionBackground=r("list.inactiveSelectionBackground",{dark:"#37373D",light:"#E4E6F1",hc:null},o.localize(28,null)),t.listInactiveSelectionForeground=r("list.inactiveSelectionForeground",{dark:null,light:null,hc:null},o.localize(29,null)),t.listInactiveFocusBackground=r("list.inactiveFocusBackground",{dark:"#313135",light:"#d8dae6",hc:null},o.localize(30,null)),t.listHoverBackground=r("list.hoverBackground",{dark:"#2A2D2E",light:"#F0F0F0",hc:null},o.localize(31,null)),t.listHoverForeground=r("list.hoverForeground",{dark:null,light:null,hc:null},o.localize(32,null)),t.listDropBackground=r("list.dropBackground",{dark:t.listFocusBackground,light:t.listFocusBackground,hc:null},o.localize(33,null)),t.listHighlightForeground=r("list.highlightForeground",{dark:"#0097fb",light:"#0066BF",hc:t.focusBorder},o.localize(34,null)),t.pickerGroupForeground=r("pickerGroup.foreground",{dark:"#3794FF",light:"#0066BF",hc:i.Color.white},o.localize(35,null)),t.pickerGroupBorder=r("pickerGroup.border",{
dark:"#3F3F46",light:"#CCCEDB",hc:i.Color.white},o.localize(36,null)),t.badgeBackground=r("badge.background",{dark:"#4D4D4D",light:"#C4C4C4",hc:i.Color.black},o.localize(37,null)),t.badgeForeground=r("badge.foreground",{dark:i.Color.white,light:"#333",hc:i.Color.white},o.localize(38,null)),t.scrollbarShadow=r("scrollbar.shadow",{dark:"#000000",light:"#DDDDDD",hc:null},o.localize(39,null)),t.scrollbarSliderBackground=r("scrollbarSlider.background",{dark:i.Color.fromHex("#797979").transparent(.4),light:i.Color.fromHex("#646464").transparent(.4),hc:s(t.contrastBorder,.6)},o.localize(40,null)),t.scrollbarSliderHoverBackground=r("scrollbarSlider.hoverBackground",{dark:i.Color.fromHex("#646464").transparent(.7),light:i.Color.fromHex("#646464").transparent(.7),hc:s(t.contrastBorder,.8)},o.localize(41,null)),t.scrollbarSliderActiveBackground=r("scrollbarSlider.activeBackground",{dark:i.Color.fromHex("#BFBFBF").transparent(.4),light:i.Color.fromHex("#000000").transparent(.6),hc:t.contrastBorder},o.localize(42,null)),
t.progressBarBackground=r("progressBar.background",{dark:i.Color.fromHex("#0E70C0"),light:i.Color.fromHex("#0E70C0"),hc:t.contrastBorder},o.localize(43,null)),t.menuBorder=r("menu.border",{dark:null,light:null,hc:t.contrastBorder},o.localize(44,null)),t.menuForeground=r("menu.foreground",{dark:t.selectForeground,light:t.selectForeground,hc:t.selectForeground},o.localize(45,null)),t.menuBackground=r("menu.background",{dark:t.selectBackground,light:t.selectBackground,hc:t.selectBackground},o.localize(46,null)),t.menuSelectionForeground=r("menu.selectionForeground",{dark:t.listActiveSelectionForeground,light:t.listActiveSelectionForeground,hc:t.listActiveSelectionForeground},o.localize(47,null)),t.menuSelectionBackground=r("menu.selectionBackground",{dark:t.listActiveSelectionBackground,light:t.listActiveSelectionBackground,hc:t.listActiveSelectionBackground},o.localize(48,null)),t.menuSelectionBorder=r("menu.selectionBorder",{dark:null,light:null,hc:t.activeContrastBorder},o.localize(49,null)),
t.menuSeparatorBackground=r("menu.separatorBackground",{dark:"#BBBBBB",light:"#888888",hc:t.contrastBorder},o.localize(50,null)),t.editorBackground=r("editor.background",{light:"#fffffe",dark:"#1E1E1E",hc:i.Color.black},o.localize(51,null)),t.editorForeground=r("editor.foreground",{light:"#333333",dark:"#BBBBBB",hc:i.Color.white},o.localize(52,null)),t.editorWidgetBackground=r("editorWidget.background",{dark:"#252526",light:"#F3F3F3",hc:"#0C141F"},o.localize(53,null)),t.editorWidgetBorder=r("editorWidget.border",{dark:"#454545",light:"#C8C8C8",hc:t.contrastBorder},o.localize(54,null)),t.editorWidgetResizeBorder=r("editorWidget.resizeBorder",{light:null,dark:null,hc:null},o.localize(55,null)),t.editorSelectionBackground=r("editor.selectionBackground",{light:"#ADD6FF",dark:"#264F78",hc:"#f3f518"},o.localize(56,null)),t.editorSelectionForeground=r("editor.selectionForeground",{light:null,dark:null,hc:"#000000"},o.localize(57,null)),t.editorInactiveSelection=r("editor.inactiveSelectionBackground",{
light:s(t.editorSelectionBackground,.5),dark:s(t.editorSelectionBackground,.5),hc:s(t.editorSelectionBackground,.5)},o.localize(58,null),!0),t.editorSelectionHighlight=r("editor.selectionHighlightBackground",{light:a(t.editorSelectionBackground,t.editorBackground,.3,.6),dark:a(t.editorSelectionBackground,t.editorBackground,.3,.6),hc:null},o.localize(59,null),!0),t.editorSelectionHighlightBorder=r("editor.selectionHighlightBorder",{light:null,dark:null,hc:t.activeContrastBorder},o.localize(60,null)),t.editorFindMatch=r("editor.findMatchBackground",{light:"#A8AC94",dark:"#515C6A",hc:null},o.localize(61,null)),t.editorFindMatchHighlight=r("editor.findMatchHighlightBackground",{light:"#EA5C0055",dark:"#EA5C0055",hc:null},o.localize(62,null),!0),t.editorFindRangeHighlight=r("editor.findRangeHighlightBackground",{dark:"#3a3d4166",light:"#b4b4b44d",hc:null},o.localize(63,null),!0),t.editorFindMatchBorder=r("editor.findMatchBorder",{light:null,dark:null,hc:t.activeContrastBorder},o.localize(64,null)),
t.editorFindMatchHighlightBorder=r("editor.findMatchHighlightBorder",{light:null,dark:null,hc:t.activeContrastBorder},o.localize(65,null)),t.editorFindRangeHighlightBorder=r("editor.findRangeHighlightBorder",{dark:null,light:null,hc:s(t.activeContrastBorder,.4)},o.localize(66,null),!0),t.editorHoverHighlight=r("editor.hoverHighlightBackground",{light:"#ADD6FF26",dark:"#264f7840",hc:"#ADD6FF26"},o.localize(67,null),!0),t.editorHoverBackground=r("editorHoverWidget.background",{light:t.editorWidgetBackground,dark:t.editorWidgetBackground,hc:t.editorWidgetBackground},o.localize(68,null)),t.editorHoverBorder=r("editorHoverWidget.border",{light:t.editorWidgetBorder,dark:t.editorWidgetBorder,hc:t.editorWidgetBorder},o.localize(69,null)),t.editorActiveLinkForeground=r("editorLink.activeForeground",{dark:"#4E94CE",light:i.Color.blue,hc:i.Color.cyan},o.localize(70,null)),t.defaultInsertColor=new i.Color(new i.RGBA(155,185,85,.2)),t.defaultRemoveColor=new i.Color(new i.RGBA(255,0,0,.2)),
t.diffInserted=r("diffEditor.insertedTextBackground",{dark:t.defaultInsertColor,light:t.defaultInsertColor,hc:null},o.localize(71,null),!0),t.diffRemoved=r("diffEditor.removedTextBackground",{dark:t.defaultRemoveColor,light:t.defaultRemoveColor,hc:null},o.localize(72,null),!0),t.diffInsertedOutline=r("diffEditor.insertedTextBorder",{dark:null,light:null,hc:"#33ff2eff"},o.localize(73,null)),t.diffRemovedOutline=r("diffEditor.removedTextBorder",{dark:null,light:null,hc:"#FF008F"},o.localize(74,null)),t.diffBorder=r("diffEditor.border",{dark:null,light:null,hc:t.contrastBorder},o.localize(75,null)),t.snippetTabstopHighlightBackground=r("editor.snippetTabstopHighlightBackground",{dark:new i.Color(new i.RGBA(124,124,124,.3)),light:new i.Color(new i.RGBA(10,50,100,.2)),hc:new i.Color(new i.RGBA(124,124,124,.3))},o.localize(76,null)),t.snippetTabstopHighlightBorder=r("editor.snippetTabstopHighlightBorder",{dark:null,light:null,hc:null},o.localize(77,null)),
t.snippetFinalTabstopHighlightBackground=r("editor.snippetFinalTabstopHighlightBackground",{dark:null,light:null,hc:null},o.localize(78,null)),t.snippetFinalTabstopHighlightBorder=r("editor.snippetFinalTabstopHighlightBorder",{dark:"#525252",light:new i.Color(new i.RGBA(10,50,100,.5)),hc:"#525252"},o.localize(79,null));var d=new i.Color(new i.RGBA(246,185,77,.7));t.overviewRulerFindMatchForeground=r("editorOverviewRuler.findMatchForeground",{dark:d,light:d,hc:d},o.localize(80,null),!0),t.overviewRulerSelectionHighlightForeground=r("editorOverviewRuler.selectionHighlightForeground",{dark:"#A0A0A0CC",light:"#A0A0A0CC",hc:"#A0A0A0CC"},o.localize(81,null),!0),t.transparent=s,t.oneOf=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return function(t){for(var n=0,i=e;n<i.length;n++){var o=l(i[n],t);if(o)return o}return null}}}),define(t[86],n([0,1,20,27]),function(e,t,n,i){"use strict";function o(e,t){var n=Object.create(null);for(var i in t){var o=t[i]
;"string"==typeof o?n[i]=e.getColor(o):"function"==typeof o&&(n[i]=o(e))}return n}function r(e,t,n){function i(i){var r=o(e.getTheme(),t);"function"==typeof n?n(r):n.style(r)}return i(e.getTheme()),e.onThemeChange(i)}Object.defineProperty(t,"__esModule",{value:!0}),t.computeStyles=o,t.attachStyler=r,t.attachBadgeStyler=function(e,t,i){return r(t,{badgeBackground:i&&i.badgeBackground||n.badgeBackground,badgeForeground:i&&i.badgeForeground||n.badgeForeground,badgeBorder:n.contrastBorder},e)},t.attachQuickOpenStyler=function(e,t,i){return r(t,{foreground:i&&i.foreground||n.foreground,background:i&&i.background||n.editorBackground,borderColor:i&&i.borderColor||n.contrastBorder,widgetShadow:i&&i.widgetShadow||n.widgetShadow,progressBarBackground:i&&i.progressBarBackground||n.progressBarBackground,pickerGroupForeground:i&&i.pickerGroupForeground||n.pickerGroupForeground,pickerGroupBorder:i&&i.pickerGroupBorder||n.pickerGroupBorder,inputBackground:i&&i.inputBackground||n.inputBackground,
inputForeground:i&&i.inputForeground||n.inputForeground,inputBorder:i&&i.inputBorder||n.inputBorder,inputValidationInfoBorder:i&&i.inputValidationInfoBorder||n.inputValidationInfoBorder,inputValidationInfoBackground:i&&i.inputValidationInfoBackground||n.inputValidationInfoBackground,inputValidationInfoForeground:i&&i.inputValidationInfoForeground||n.inputValidationInfoForeground,inputValidationWarningBorder:i&&i.inputValidationWarningBorder||n.inputValidationWarningBorder,inputValidationWarningBackground:i&&i.inputValidationWarningBackground||n.inputValidationWarningBackground,inputValidationWarningForeground:i&&i.inputValidationWarningForeground||n.inputValidationWarningForeground,inputValidationErrorBorder:i&&i.inputValidationErrorBorder||n.inputValidationErrorBorder,inputValidationErrorBackground:i&&i.inputValidationErrorBackground||n.inputValidationErrorBackground,inputValidationErrorForeground:i&&i.inputValidationErrorForeground||n.inputValidationErrorForeground,
listFocusBackground:i&&i.listFocusBackground||n.listFocusBackground,listFocusForeground:i&&i.listFocusForeground||n.listFocusForeground,listActiveSelectionBackground:i&&i.listActiveSelectionBackground||n.listActiveSelectionBackground,listActiveSelectionForeground:i&&i.listActiveSelectionForeground||n.listActiveSelectionForeground,listFocusAndSelectionBackground:i&&i.listFocusAndSelectionBackground||n.listActiveSelectionBackground,listFocusAndSelectionForeground:i&&i.listFocusAndSelectionForeground||n.listActiveSelectionForeground,listInactiveSelectionBackground:i&&i.listInactiveSelectionBackground||n.listInactiveSelectionBackground,listInactiveSelectionForeground:i&&i.listInactiveSelectionForeground||n.listInactiveSelectionForeground,listInactiveFocusBackground:i&&i.listInactiveFocusBackground||n.listInactiveFocusBackground,listHoverBackground:i&&i.listHoverBackground||n.listHoverBackground,listHoverForeground:i&&i.listHoverForeground||n.listHoverForeground,
listDropBackground:i&&i.listDropBackground||n.listDropBackground,listFocusOutline:i&&i.listFocusOutline||n.activeContrastBorder,listSelectionOutline:i&&i.listSelectionOutline||n.activeContrastBorder,listHoverOutline:i&&i.listHoverOutline||n.activeContrastBorder},e)},t.attachListStyler=function(e,n,o){return r(n,i.mixin(o||Object.create(null),t.defaultListStyles,!1),e)},t.defaultListStyles={listFocusBackground:n.listFocusBackground,listFocusForeground:n.listFocusForeground,listActiveSelectionBackground:n.listActiveSelectionBackground,listActiveSelectionForeground:n.listActiveSelectionForeground,listFocusAndSelectionBackground:n.listActiveSelectionBackground,listFocusAndSelectionForeground:n.listActiveSelectionForeground,listInactiveSelectionBackground:n.listInactiveSelectionBackground,listInactiveSelectionForeground:n.listInactiveSelectionForeground,listInactiveFocusBackground:n.listInactiveFocusBackground,listHoverBackground:n.listHoverBackground,listHoverForeground:n.listHoverForeground,
listDropBackground:n.listDropBackground,listFocusOutline:n.activeContrastBorder,listSelectionOutline:n.activeContrastBorder,listHoverOutline:n.activeContrastBorder},t.defaultMenuStyles={shadowColor:n.widgetShadow,borderColor:n.menuBorder,foregroundColor:n.menuForeground,backgroundColor:n.menuBackground,selectionForegroundColor:n.menuSelectionForeground,selectionBackgroundColor:n.menuSelectionBackground,selectionBorderColor:n.menuSelectionBorder,separatorColor:n.menuSeparatorBackground},t.attachMenuStyler=function(e,i,o){var s=l({},t.defaultMenuStyles,o),a={foregroundColor:s.foregroundColor&&i&&i.getTheme().getColor(s.foregroundColor)?s.foregroundColor:n.foreground};return r(i,l({},s,a),e)}}),define(t[481],n([0,1,7,288,20,86]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e,t,n,i,o,r){this.codeEditor=e,this.themeService=r,this.create(t,n,i,o)}return e.prototype.create=function(e,t,n,s){this.domNode=document.createElement("div"),
this.quickOpenWidget=new i.QuickOpenWidget(this.domNode,{onOk:e,onCancel:t,onType:n},{inputPlaceHolder:null,inputAriaLabel:s.inputAriaLabel,keyboardSupport:!0}),this.styler=r.attachQuickOpenStyler(this.quickOpenWidget,this.themeService,{pickerGroupForeground:o.foreground}),this.quickOpenWidget.create(),this.codeEditor.addOverlayWidget(this)},e.prototype.setInput=function(e,t){this.quickOpenWidget.setInput(e,t)},e.prototype.getId=function(){return e.ID},e.prototype.getDomNode=function(){return this.domNode},e.prototype.destroy=function(){this.codeEditor.removeOverlayWidget(this),this.quickOpenWidget.dispose(),this.styler.dispose()},e.prototype.show=function(e){this.visible=!0;var t=this.codeEditor.getLayoutInfo();t&&this.quickOpenWidget.layout(new n.Dimension(t.width,t.height)),this.quickOpenWidget.show(e),this.codeEditor.layoutOverlayWidget(this)},e.prototype.getPosition=function(){return this.visible?{preference:2}:null},e.ID="editor.contrib.quickOpenEditorWidget",e}();t.QuickOpenEditorWidget=s}),
define(t[482],n([0,1,2,40,56,279,7,86,72,404]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e,t,n,i,o,r){this.contextViewService=t,this.telemetryService=n,this.notificationService=i,this.keybindingService=o,this.themeService=r,this.setContainer(e)}return e.prototype.setContainer=function(e){var t=this;this.element&&(this.elementDisposable=n.dispose(this.elementDisposable),this.element=null),e&&(this.element=e,this.elementDisposable=s.addDisposableListener(this.element,s.EventType.MOUSE_DOWN,function(e){return t.onMouseDown(e)}))},e.prototype.showContextMenu=function(e){var t=this;e.getActions().then(function(i){if(i.length){t.focusToReturn=document.activeElement;var u;t.contextViewService.showContextView({getAnchor:function(){return e.getAnchor()},canRelayout:!1,render:function(d){t.menuContainerElement=d;var c=e.getMenuClassName?e.getMenuClassName():"";c&&(d.className+=" "+c);var h=[],p=e.actionRunner||new o.ActionRunner
;return p.onDidBeforeRun(t.onActionRun,t,h),p.onDidRun(t.onDidActionRun,t,h),u=new r.Menu(d,i,{actionItemProvider:e.getActionItem,context:e.getActionsContext?e.getActionsContext():null,actionRunner:p,getKeyBinding:e.getKeyBinding?e.getKeyBinding:function(e){return t.keybindingService.lookupKeybinding(e.id)}}),h.push(a.attachMenuStyler(u,t.themeService)),u.onDidCancel(function(){return t.contextViewService.hideContextView(!0)},null,h),u.onDidBlur(function(){return t.contextViewService.hideContextView(!0)},null,h),l.domEvent(window,s.EventType.BLUR)(function(){t.contextViewService.hideContextView(!0)},null,h),n.combinedDisposable(h.concat([u]))},focus:function(){u.focus(!!e.autoSelectFirstItem)},onHide:function(n){e.onHide&&e.onHide(n),t.menuContainerElement=null}})}})},e.prototype.onActionRun=function(e){this.telemetryService&&this.telemetryService.publicLog("workbenchActionExecuted",{id:e.action.id,from:"contextMenu"}),this.contextViewService.hideContextView(!1),this.focusToReturn&&this.focusToReturn.focus()
},e.prototype.onDidActionRun=function(e){e.error&&this.notificationService&&this.notificationService.error(e.error)},e.prototype.onMouseDown=function(e){if(this.menuContainerElement){for(var t=new i.StandardMouseEvent(e).target;t;){if(t===this.menuContainerElement)return;t=t.parentElement}this.contextViewService.hideContextView()}},e.prototype.dispose=function(){this.setContainer(null)},e}();t.ContextMenuHandler=u}),define(t[13],n([0,1,15,2,41,6]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IThemeService=n.createDecorator("themeService"),t.themeColorFromId=function(e){return{id:e}},t.DARK="dark",t.HIGH_CONTRAST="hc",t.getThemeTypeSelector=function(e){switch(e){case t.DARK:return"vs-dark";case t.HIGH_CONTRAST:return"hc-black";default:return"vs"}},t.Extensions={ThemingContribution:"base.contributions.theming"};var s=new(function(){function e(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new r.Emitter}
return e.prototype.onThemeChange=function(e){var t=this;return this.themingParticipants.push(e),this.onThemingParticipantAddedEmitter.fire(e),i.toDisposable(function(){var n=t.themingParticipants.indexOf(e);t.themingParticipants.splice(n,1)})},e.prototype.getThemingParticipants=function(){return this.themingParticipants},e}());o.Registry.add(t.Extensions.ThemingContribution,s),t.registerThemingParticipant=function(e){return s.onThemeChange(e)}}),define(t[484],n([0,1,7,2,8,25,415,54,44,13]),function(e,t,n,i,r,s,l,d,c,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=function(e){function t(t,i){void 0===i&&(i=n.createStyleSheet());var o=e.call(this)||this;return o._styleSheet=i,o._decorationOptionProviders=Object.create(null),o._themeService=t,o}return o(t,e),t.prototype.registerDecorationType=function(e,t,n){var i=this._decorationOptionProviders[e];if(!i){var o={styleSheet:this._styleSheet,key:e,parentTypeKey:n,options:t||Object.create(null)}
;i=n?new f(this._themeService,o):new g(this._themeService,o),this._decorationOptionProviders[e]=i}i.refCount++},t.prototype.removeDecorationType=function(e){var t=this._decorationOptionProviders[e];t&&(t.refCount--,t.refCount<=0&&(delete this._decorationOptionProviders[e],t.dispose(),this.listCodeEditors().forEach(function(t){return t.removeDecorations(e)})))},t.prototype.resolveDecorationOptions=function(e,t){var n=this._decorationOptionProviders[e];if(!n)throw new Error("Unknown decoration type key: "+e);return n.getOptions(this,t)},t=a([u(0,h.IThemeService)],t)}(l.AbstractCodeEditorService);t.CodeEditorServiceImpl=p;var f=function(){function e(e,t){this._parentTypeKey=t.parentTypeKey,this.refCount=0,this._beforeContentRules=new v(3,t,e),this._afterContentRules=new v(4,t,e)}return e.prototype.getOptions=function(e,t){var n=e.resolveDecorationOptions(this._parentTypeKey,!0);return this._beforeContentRules&&(n.beforeContentClassName=this._beforeContentRules.className),
this._afterContentRules&&(n.afterContentClassName=this._afterContentRules.className),n},e.prototype.dispose=function(){this._beforeContentRules&&(this._beforeContentRules.dispose(),this._beforeContentRules=null),this._afterContentRules&&(this._afterContentRules.dispose(),this._afterContentRules=null)},e}(),g=function(){function e(e,t){var n=this;this.refCount=0,this._disposables=[];var i=function(i){var o=new v(i,t,e);if(o.hasContent)return n._disposables.push(o),o.className};this.className=i(0);var o=function(i){var o=new v(i,t,e);return o.hasContent?(n._disposables.push(o),{className:o.className,hasLetterSpacing:o.hasLetterSpacing}):null}(1);o&&(this.inlineClassName=o.className,this.inlineClassNameAffectsLetterSpacing=o.hasLetterSpacing),this.beforeContentClassName=i(3),this.afterContentClassName=i(4),this.glyphMarginClassName=i(2);var r=t.options;this.isWholeLine=Boolean(r.isWholeLine),this.stickiness=r.rangeBehavior
;var s=r.light&&r.light.overviewRulerColor||r.overviewRulerColor,a=r.dark&&r.dark.overviewRulerColor||r.overviewRulerColor;void 0===s&&void 0===a||(this.overviewRuler={color:s||a,darkColor:a||s,position:r.overviewRulerLane||c.OverviewRulerLane.Center})}return e.prototype.getOptions=function(e,t){return t?{inlineClassName:this.inlineClassName,beforeContentClassName:this.beforeContentClassName,afterContentClassName:this.afterContentClassName,className:this.className,glyphMarginClassName:this.glyphMarginClassName,isWholeLine:this.isWholeLine,overviewRuler:this.overviewRuler,stickiness:this.stickiness}:this},e.prototype.dispose=function(){this._disposables=i.dispose(this._disposables)},e}(),m={color:"color:{0} !important;",opacity:"opacity:{0}; will-change: opacity;",backgroundColor:"background-color:{0};",outline:"outline:{0};",outlineColor:"outline-color:{0};",outlineStyle:"outline-style:{0};",outlineWidth:"outline-width:{0};",border:"border:{0};",borderColor:"border-color:{0};",
borderRadius:"border-radius:{0};",borderSpacing:"border-spacing:{0};",borderStyle:"border-style:{0};",borderWidth:"border-width:{0};",fontStyle:"font-style:{0};",fontWeight:"font-weight:{0};",textDecoration:"text-decoration:{0};",cursor:"cursor:{0};",letterSpacing:"letter-spacing:{0};",gutterIconPath:"background:url('{0}') center center no-repeat;",gutterIconSize:"background-size:{0};",contentText:"content:'{0}';",contentIconPath:"content:url('{0}');",margin:"margin:{0};",width:"width:{0};",height:"height:{0};"},v=function(){function e(e,t,n){var i=this;this._theme=n.getTheme(),this._ruleType=e,this._providerArgs=t,this._usesThemeColors=!1,this._hasContent=!1,this._hasLetterSpacing=!1;var o=_.getClassName(this._providerArgs.key,e);this._providerArgs.parentTypeKey&&(o=o+" "+_.getClassName(this._providerArgs.parentTypeKey,e)),this._className=o,this._unThemedSelector=_.getSelector(this._providerArgs.key,this._providerArgs.parentTypeKey,e),this._buildCSS(),
this._usesThemeColors?this._themeListener=n.onThemeChange(function(e){i._theme=n.getTheme(),i._removeCSS(),i._buildCSS()}):this._themeListener=null}return e.prototype.dispose=function(){this._hasContent&&(this._removeCSS(),this._hasContent=!1),this._themeListener&&(this._themeListener.dispose(),this._themeListener=null)},Object.defineProperty(e.prototype,"hasContent",{get:function(){return this._hasContent},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"hasLetterSpacing",{get:function(){return this._hasLetterSpacing},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"className",{get:function(){return this._className},enumerable:!0,configurable:!0}),e.prototype._buildCSS=function(){var e,t,n,i=this._providerArgs.options;switch(this._ruleType){case 0:e=this.getCSSTextForModelDecorationClassName(i),t=this.getCSSTextForModelDecorationClassName(i.light),n=this.getCSSTextForModelDecorationClassName(i.dark);break;case 1:e=this.getCSSTextForModelDecorationInlineClassName(i),
t=this.getCSSTextForModelDecorationInlineClassName(i.light),n=this.getCSSTextForModelDecorationInlineClassName(i.dark);break;case 2:e=this.getCSSTextForModelDecorationGlyphMarginClassName(i),t=this.getCSSTextForModelDecorationGlyphMarginClassName(i.light),n=this.getCSSTextForModelDecorationGlyphMarginClassName(i.dark);break;case 3:e=this.getCSSTextForModelDecorationContentClassName(i.before),t=this.getCSSTextForModelDecorationContentClassName(i.light&&i.light.before),n=this.getCSSTextForModelDecorationContentClassName(i.dark&&i.dark.before);break;case 4:e=this.getCSSTextForModelDecorationContentClassName(i.after),t=this.getCSSTextForModelDecorationContentClassName(i.light&&i.light.after),n=this.getCSSTextForModelDecorationContentClassName(i.dark&&i.dark.after);break;default:throw new Error("Unknown rule type: "+this._ruleType)}var o=this._providerArgs.styleSheet.sheet,r=!1;e.length>0&&(o.insertRule(this._unThemedSelector+" {"+e+"}",0),r=!0),t.length>0&&(o.insertRule(".vs"+this._unThemedSelector+" {"+t+"}",0),
r=!0),n.length>0&&(o.insertRule(".vs-dark"+this._unThemedSelector+", .hc-black"+this._unThemedSelector+" {"+n+"}",0),r=!0),this._hasContent=r},e.prototype._removeCSS=function(){n.removeCSSRulesContainingSelector(this._unThemedSelector,this._providerArgs.styleSheet)},e.prototype.getCSSTextForModelDecorationClassName=function(e){if(!e)return"";var t=[];return this.collectCSSText(e,["backgroundColor"],t),this.collectCSSText(e,["outline","outlineColor","outlineStyle","outlineWidth"],t),this.collectBorderSettingsCSSText(e,t),t.join("")},e.prototype.getCSSTextForModelDecorationInlineClassName=function(e){if(!e)return"";var t=[];return this.collectCSSText(e,["fontStyle","fontWeight","textDecoration","cursor","color","opacity","letterSpacing"],t),e.letterSpacing&&(this._hasLetterSpacing=!0),t.join("")},e.prototype.getCSSTextForModelDecorationContentClassName=function(e){if(!e)return"";var t=[];if(void 0!==e){if(this.collectBorderSettingsCSSText(e,t),
void 0!==e.contentIconPath&&("string"==typeof e.contentIconPath?t.push(r.format(m.contentIconPath,s.URI.file(e.contentIconPath).toString().replace(/'/g,"%27"))):t.push(r.format(m.contentIconPath,s.URI.revive(e.contentIconPath).toString(!0).replace(/'/g,"%27")))),"string"==typeof e.contentText){var n=e.contentText.match(/^.*$/m)[0].replace(/['\\]/g,"\\$&");t.push(r.format(m.contentText,n))}this.collectCSSText(e,["fontStyle","fontWeight","textDecoration","color","opacity","backgroundColor","margin"],t),this.collectCSSText(e,["width","height"],t)&&t.push("display:inline-block;")}return t.join("")},e.prototype.getCSSTextForModelDecorationGlyphMarginClassName=function(e){if(!e)return"";var t=[];return void 0!==e.gutterIconPath&&("string"==typeof e.gutterIconPath?t.push(r.format(m.gutterIconPath,s.URI.file(e.gutterIconPath).toString())):t.push(r.format(m.gutterIconPath,s.URI.revive(e.gutterIconPath).toString(!0).replace(/'/g,"%27"))),void 0!==e.gutterIconSize&&t.push(r.format(m.gutterIconSize,e.gutterIconSize))),
t.join("")},e.prototype.collectBorderSettingsCSSText=function(e,t){return!!this.collectCSSText(e,["border","borderColor","borderRadius","borderSpacing","borderStyle","borderWidth"],t)&&(t.push(r.format("box-sizing: border-box;")),!0)},e.prototype.collectCSSText=function(e,t,n){for(var i=n.length,o=0,s=t;o<s.length;o++){var a=s[o],l=this.resolveValue(e[a]);"string"==typeof l&&n.push(r.format(m[a],l))}return n.length!==i},e.prototype.resolveValue=function(e){if(d.isThemeColor(e)){this._usesThemeColors=!0;var t=this._theme.getColor(e.id);return t?t.toString():"transparent"}return e},e}(),_=function(){function e(){}return e.getClassName=function(e,t){return"ced-"+e+"-"+t},e.getSelector=function(e,t,n){var i=".monaco-editor ."+this.getClassName(e,n);return t&&(i=i+"."+this.getClassName(t,n)),3===n?i+="::before":4===n&&(i+="::after"),i},e}()}),define(t[485],n([0,1,7,23,55,33,13]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(e){function t(t,o,l,u){
var d=e.call(this,t)||this,c=d._context.configuration.editor.viewInfo.scrollbar,h={listenOnDomNode:l.domNode,className:"editor-scrollable "+a.getThemeTypeSelector(t.theme.type),useShadows:!1,lazyRender:!0,vertical:c.vertical,horizontal:c.horizontal,verticalHasArrows:c.verticalHasArrows,horizontalHasArrows:c.horizontalHasArrows,verticalScrollbarSize:c.verticalScrollbarSize,verticalSliderSize:c.verticalSliderSize,horizontalScrollbarSize:c.horizontalScrollbarSize,horizontalSliderSize:c.horizontalSliderSize,handleMouseWheel:c.handleMouseWheel,arrowSize:c.arrowSize,mouseWheelScrollSensitivity:c.mouseWheelScrollSensitivity};d.scrollbar=d._register(new r.SmoothScrollableElement(o.domNode,h,d._context.viewLayout.scrollable)),s.PartFingerprints.write(d.scrollbar.getDomNode(),5),d.scrollbarDomNode=i.createFastDomNode(d.scrollbar.getDomNode()),d.scrollbarDomNode.setPosition("absolute"),d._setLayout();var p=function(e,t,n){var i={};if(t){var o=e.scrollTop;o&&(i.scrollTop=d._context.viewLayout.getCurrentScrollTop()+o,
e.scrollTop=0)}if(n){var r=e.scrollLeft;r&&(i.scrollLeft=d._context.viewLayout.getCurrentScrollLeft()+r,e.scrollLeft=0)}d._context.viewLayout.setScrollPositionNow(i)};return d._register(n.addDisposableListener(l.domNode,"scroll",function(e){return p(l.domNode,!0,!0)})),d._register(n.addDisposableListener(o.domNode,"scroll",function(e){return p(o.domNode,!0,!1)})),d._register(n.addDisposableListener(u.domNode,"scroll",function(e){return p(u.domNode,!0,!1)})),d._register(n.addDisposableListener(d.scrollbarDomNode.domNode,"scroll",function(e){return p(d.scrollbarDomNode.domNode,!0,!1)})),d}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype._setLayout=function(){var e=this._context.configuration.editor.layoutInfo;this.scrollbarDomNode.setLeft(e.contentLeft);"right"===this._context.configuration.editor.viewInfo.minimap.side?this.scrollbarDomNode.setWidth(e.contentWidth+e.minimapWidth):this.scrollbarDomNode.setWidth(e.contentWidth),
this.scrollbarDomNode.setHeight(e.contentHeight)},t.prototype.getOverviewRulerLayoutInfo=function(){return this.scrollbar.getOverviewRulerLayoutInfo()},t.prototype.getDomNode=function(){return this.scrollbarDomNode},t.prototype.delegateVerticalScrollbarMouseDown=function(e){this.scrollbar.delegateVerticalScrollbarMouseDown(e)},t.prototype.onConfigurationChanged=function(e){if(e.viewInfo){var t=this._context.configuration.editor,n={handleMouseWheel:t.viewInfo.scrollbar.handleMouseWheel,mouseWheelScrollSensitivity:t.viewInfo.scrollbar.mouseWheelScrollSensitivity};this.scrollbar.updateOptions(n)}return e.layoutInfo&&this._setLayout(),!0},t.prototype.onScrollChanged=function(e){return!0},t.prototype.onThemeChanged=function(e){return this.scrollbar.updateClassName("editor-scrollable "+a.getThemeTypeSelector(this._context.theme.type)),!0},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){this.scrollbar.renderNow()},t}(s.ViewPart);t.EditorScrollbar=l}),
define(t[184],n([0,1,29,23,17,207,83,129,103,13]),function(e,t,n,i,r,s,a,l,u,d){"use strict";function c(e,t,n,i,o){return new C(e,t,n,i,o)}function h(e,t,n,i,o){return new y(e,t,n,i,o)}Object.defineProperty(t,"__esModule",{value:!0});var p=!!r.isNative||!(r.isLinux||n.isFirefox||n.isSafari),f=n.isEdgeOrIE,g=function(){function e(e,t){this._domNode=e,this._clientRectDeltaLeft=0,this._clientRectDeltaLeftRead=!1,this.endNode=t}return Object.defineProperty(e.prototype,"clientRectDeltaLeft",{get:function(){return this._clientRectDeltaLeftRead||(this._clientRectDeltaLeftRead=!0,this._clientRectDeltaLeft=this._domNode.getBoundingClientRect().left),this._clientRectDeltaLeft},enumerable:!0,configurable:!0}),e}();t.DomReadingContext=g;var m=function(){function e(e,t){this.themeType=t,this.renderWhitespace=e.editor.viewInfo.renderWhitespace,this.renderControlCharacters=e.editor.viewInfo.renderControlCharacters,this.spaceWidth=e.editor.fontInfo.spaceWidth,
this.useMonospaceOptimizations=e.editor.fontInfo.isMonospace&&!e.editor.viewInfo.disableMonospaceOptimizations,this.canUseHalfwidthRightwardsArrow=e.editor.fontInfo.canUseHalfwidthRightwardsArrow,this.lineHeight=e.editor.lineHeight,this.stopRenderingLineAfter=e.editor.viewInfo.stopRenderingLineAfter,this.fontLigatures=e.editor.viewInfo.fontLigatures}return e.prototype.equals=function(e){return this.themeType===e.themeType&&this.renderWhitespace===e.renderWhitespace&&this.renderControlCharacters===e.renderControlCharacters&&this.spaceWidth===e.spaceWidth&&this.useMonospaceOptimizations===e.useMonospaceOptimizations&&this.canUseHalfwidthRightwardsArrow===e.canUseHalfwidthRightwardsArrow&&this.lineHeight===e.lineHeight&&this.stopRenderingLineAfter===e.stopRenderingLineAfter&&this.fontLigatures===e.fontLigatures},e}();t.ViewLineOptions=m;var v=function(){function e(e){this._options=e,this._isMaybeInvalid=!0,this._renderedViewLine=null}return e.prototype.getDomNode=function(){
return this._renderedViewLine&&this._renderedViewLine.domNode?this._renderedViewLine.domNode.domNode:null},e.prototype.setDomNode=function(e){if(!this._renderedViewLine)throw new Error("I have no rendered view line to set the dom node to...");this._renderedViewLine.domNode=i.createFastDomNode(e)},e.prototype.onContentChanged=function(){this._isMaybeInvalid=!0},e.prototype.onTokensChanged=function(){this._isMaybeInvalid=!0},e.prototype.onDecorationsChanged=function(){this._isMaybeInvalid=!0},e.prototype.onOptionsChanged=function(e){this._isMaybeInvalid=!0,this._options=e},e.prototype.onSelectionChanged=function(){return!(!f&&this._options.themeType!==d.HIGH_CONTRAST)&&(this._isMaybeInvalid=!0,!0)},e.prototype.renderLine=function(t,n,i,o){if(!1===this._isMaybeInvalid)return!1;this._isMaybeInvalid=!1;var r=i.getViewLineRenderingData(t),s=this._options,a=l.LineDecoration.filter(r.inlineDecorations,t,r.minColumn,r.maxColumn);if(f||s.themeType===d.HIGH_CONTRAST)for(var c=i.selections,h=0,g=c.length;h<g;h++){
var m=c[h];if(!(m.endLineNumber<t||m.startLineNumber>t)){var v=m.startLineNumber===t?m.startColumn:r.minColumn,y=m.endLineNumber===t?m.endColumn:r.maxColumn;v<y&&a.push(new l.LineDecoration(v,y,"inline-selected-text",0))}}var C=new u.RenderLineInput(s.useMonospaceOptimizations,s.canUseHalfwidthRightwardsArrow,r.content,r.continuesWithWrappedLine,r.isBasicASCII,r.containsRTL,r.minColumn-1,r.tokens,a,r.tabSize,s.spaceWidth,s.stopRenderingLineAfter,s.renderWhitespace,s.renderControlCharacters,s.fontLigatures);if(this._renderedViewLine&&this._renderedViewLine.input.equals(C))return!1;o.appendASCIIString('<div style="top:'),o.appendASCIIString(String(n)),o.appendASCIIString("px;height:"),o.appendASCIIString(String(this._options.lineHeight)),o.appendASCIIString('px;" class="'),o.appendASCIIString(e.CLASS_NAME),o.appendASCIIString('">');var S=u.renderViewLine(C,o);o.appendASCIIString("</div>");var w=null
;return p&&r.isBasicASCII&&s.useMonospaceOptimizations&&0===S.containsForeignElements&&r.content.length<300&&C.lineTokens.getCount()<100&&(w=new _(this._renderedViewLine?this._renderedViewLine.domNode:null,C,S.characterMapping)),w||(w=b(this._renderedViewLine?this._renderedViewLine.domNode:null,C,S.characterMapping,S.containsRTL,S.containsForeignElements)),this._renderedViewLine=w,!0},e.prototype.layoutLine=function(e,t){this._renderedViewLine&&this._renderedViewLine.domNode&&(this._renderedViewLine.domNode.setTop(t),this._renderedViewLine.domNode.setHeight(this._options.lineHeight))},e.prototype.getWidth=function(){return this._renderedViewLine?this._renderedViewLine.getWidth():0},e.prototype.getWidthIsFast=function(){return!this._renderedViewLine||this._renderedViewLine.getWidthIsFast()},e.prototype.getVisibleRangesForRange=function(e,t,n){if(!this._renderedViewLine)return null;e|=0,t|=0,e=Math.min(this._renderedViewLine.input.lineContent.length+1,Math.max(1,e)),
t=Math.min(this._renderedViewLine.input.lineContent.length+1,Math.max(1,t));var i=0|this._renderedViewLine.input.stopRenderingLineAfter;return-1!==i&&e>i&&t>i?null:(-1!==i&&e>i&&(e=i),-1!==i&&t>i&&(t=i),this._renderedViewLine.getVisibleRangesForRange(e,t,n))},e.prototype.getColumnOfNodeOffset=function(e,t,n){return this._renderedViewLine?this._renderedViewLine.getColumnOfNodeOffset(e,t,n):1},e.CLASS_NAME="view-line",e}();t.ViewLine=v;var _=function(){function e(e,t,n){this.domNode=e,this.input=t,this._characterMapping=n,this._charWidth=t.spaceWidth}return e.prototype.getWidth=function(){return this._getCharPosition(this._characterMapping.length)},e.prototype.getWidthIsFast=function(){return!0},e.prototype.getVisibleRangesForRange=function(e,t,n){var i=this._getCharPosition(e),o=this._getCharPosition(t);return[new a.HorizontalRange(i,o-i)]},e.prototype._getCharPosition=function(e){var t=this._characterMapping.getAbsoluteOffsets();return 0===t.length?0:Math.round(this._charWidth*t[e-1])},
e.prototype.getColumnOfNodeOffset=function(e,t,n){for(var i=t.textContent.length,o=-1;t;)t=t.previousSibling,o++;return this._characterMapping.partDataToCharOffset(o,i,n)+1},e}(),y=function(){function e(e,t,n,i,o){if(this.domNode=e,this.input=t,this._characterMapping=n,this._isWhitespaceOnly=/^\s*$/.test(t.lineContent),this._containsForeignElements=o,this._cachedWidth=-1,this._pixelOffsetCache=null,!i||0===this._characterMapping.length){this._pixelOffsetCache=new Int32Array(Math.max(2,this._characterMapping.length+1));for(var r=0,s=this._characterMapping.length;r<=s;r++)this._pixelOffsetCache[r]=-1}}return e.prototype._getReadingTarget=function(){return this.domNode.domNode.firstChild},e.prototype.getWidth=function(){return-1===this._cachedWidth&&(this._cachedWidth=this._getReadingTarget().offsetWidth),this._cachedWidth},e.prototype.getWidthIsFast=function(){return-1!==this._cachedWidth},e.prototype.getVisibleRangesForRange=function(e,t,n){if(null!==this._pixelOffsetCache){var i=this._readPixelOffset(e,n)
;if(-1===i)return null;var o=this._readPixelOffset(t,n);return-1===o?null:[new a.HorizontalRange(i,o-i)]}return this._readVisibleRangesForRange(e,t,n)},e.prototype._readVisibleRangesForRange=function(e,t,n){if(e===t){var i=this._readPixelOffset(e,n);return-1===i?null:[new a.HorizontalRange(i,0)]}return this._readRawVisibleRangesForRange(e,t,n)},e.prototype._readPixelOffset=function(e,t){if(0===this._characterMapping.length){if(0===this._containsForeignElements)return 0;if(2===this._containsForeignElements)return 0;if(1===this._containsForeignElements)return this.getWidth()}if(null!==this._pixelOffsetCache){var n=this._pixelOffsetCache[e];if(-1!==n)return n;var i=this._actualReadPixelOffset(e,t);return this._pixelOffsetCache[e]=i,i}return this._actualReadPixelOffset(e,t)},e.prototype._actualReadPixelOffset=function(e,t){if(0===this._characterMapping.length){var n=s.RangeUtil.readHorizontalRanges(this._getReadingTarget(),0,0,0,0,t.clientRectDeltaLeft,t.endNode);return n&&0!==n.length?n[0].left:-1}
if(e===this._characterMapping.length&&this._isWhitespaceOnly&&0===this._containsForeignElements)return this.getWidth();var i=this._characterMapping.charOffsetToPartData(e-1),o=u.CharacterMapping.getPartIndex(i),r=u.CharacterMapping.getCharIndex(i),a=s.RangeUtil.readHorizontalRanges(this._getReadingTarget(),o,r,o,r,t.clientRectDeltaLeft,t.endNode);return a&&0!==a.length?a[0].left:-1},e.prototype._readRawVisibleRangesForRange=function(e,t,n){if(1===e&&t===this._characterMapping.length)return[new a.HorizontalRange(0,this.getWidth())];var i=this._characterMapping.charOffsetToPartData(e-1),o=u.CharacterMapping.getPartIndex(i),r=u.CharacterMapping.getCharIndex(i),l=this._characterMapping.charOffsetToPartData(t-1),d=u.CharacterMapping.getPartIndex(l),c=u.CharacterMapping.getCharIndex(l);return s.RangeUtil.readHorizontalRanges(this._getReadingTarget(),o,r,d,c,n.clientRectDeltaLeft,n.endNode)},e.prototype.getColumnOfNodeOffset=function(e,t,n){for(var i=t.textContent.length,o=-1;t;)t=t.previousSibling,o++
;return this._characterMapping.partDataToCharOffset(o,i,n)+1},e}(),C=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._readVisibleRangesForRange=function(t,n,i){var o=e.prototype._readVisibleRangesForRange.call(this,t,n,i);if(!o||0===o.length||t===n||1===t&&n===this._characterMapping.length)return o;if(!this.input.containsRTL){var r=this._readPixelOffset(n,i);if(-1!==r){var s=o[o.length-1];s.left<r&&(s.width=r-s.left)}}return o},t}(y),b=n.isWebKit?c:h}),define(t[185],n([0,1,29,134,33,184,12,3]),function(e,t,n,i,r,s,a,l){"use strict";function u(e){return{isAfterLines:!1,horizontalDistanceToText:e}}Object.defineProperty(t,"__esModule",{value:!0});var d=function(){function e(e,t,n,i,o,r){void 0===n&&(n=0),void 0===i&&(i=null),void 0===o&&(o=null),void 0===r&&(r=null),this.element=e,this.type=t,this.mouseColumn=n,this.position=i,!o&&i&&(o=new l.Range(i.lineNumber,i.column,i.lineNumber,i.column)),this.range=o,this.detail=r}return e._typeToString=function(e){
return 1===e?"TEXTAREA":2===e?"GUTTER_GLYPH_MARGIN":3===e?"GUTTER_LINE_NUMBERS":4===e?"GUTTER_LINE_DECORATIONS":5===e?"GUTTER_VIEW_ZONE":6===e?"CONTENT_TEXT":7===e?"CONTENT_EMPTY":8===e?"CONTENT_VIEW_ZONE":9===e?"CONTENT_WIDGET":10===e?"OVERVIEW_RULER":11===e?"SCROLLBAR":12===e?"OVERLAY_WIDGET":"UNKNOWN"},e.toString=function(e){return this._typeToString(e.type)+": "+e.position+" - "+e.range+" - "+e.detail},e.prototype.toString=function(){return e.toString(this)},e}();t.MouseTarget=d;var c=function(){function e(){}return e.isTextArea=function(e){return 2===e.length&&3===e[0]&&6===e[1]},e.isChildOfViewLines=function(e){return e.length>=4&&3===e[0]&&7===e[3]},e.isStrictChildOfViewLines=function(e){return e.length>4&&3===e[0]&&7===e[3]},e.isChildOfScrollableElement=function(e){return e.length>=2&&3===e[0]&&5===e[1]},e.isChildOfMinimap=function(e){return e.length>=2&&3===e[0]&&8===e[1]},e.isChildOfContentWidgets=function(e){return e.length>=4&&3===e[0]&&1===e[3]},e.isChildOfOverflowingContentWidgets=function(e){
return e.length>=1&&2===e[0]},e.isChildOfOverlayWidgets=function(e){return e.length>=2&&3===e[0]&&4===e[1]},e}(),h=function(){function e(e,t,n){this.model=e.model,this.layoutInfo=e.configuration.editor.layoutInfo,this.viewDomNode=t.viewDomNode,this.lineHeight=e.configuration.editor.lineHeight,this.typicalHalfwidthCharacterWidth=e.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,this.lastViewCursorsRenderData=n,this._context=e,this._viewHelper=t}return e.prototype.getZoneAtCoord=function(t){return e.getZoneAtCoord(this._context,t)},e.getZoneAtCoord=function(e,t){var n=e.viewLayout.getWhitespaceAtVerticalOffset(t);if(n){var i=n.verticalOffset+n.height/2,o=e.model.getLineCount(),r=null,s=void 0,l=null;return n.afterLineNumber!==o&&(l=new a.Position(n.afterLineNumber+1,1)),n.afterLineNumber>0&&(r=new a.Position(n.afterLineNumber,e.model.getLineMaxColumn(n.afterLineNumber))),s=null===l?r:null===r?l:t<i?r:l,{viewZoneId:n.id,afterLineNumber:n.afterLineNumber,positionBefore:r,positionAfter:l,position:s}}
return null},e.prototype.getFullLineRangeAtCoord=function(e){if(this._context.viewLayout.isAfterLines(e)){var t=this._context.model.getLineCount(),n=this._context.model.getLineMaxColumn(t);return{range:new l.Range(t,n,t,n),isAfterLines:!0}}var i=this._context.viewLayout.getLineNumberAtVerticalOffset(e),o=this._context.model.getLineMaxColumn(i);return{range:new l.Range(i,1,i,o),isAfterLines:!1}},e.prototype.getLineNumberAtVerticalOffset=function(e){return this._context.viewLayout.getLineNumberAtVerticalOffset(e)},e.prototype.isAfterLines=function(e){return this._context.viewLayout.isAfterLines(e)},e.prototype.getVerticalOffsetForLineNumber=function(e){return this._context.viewLayout.getVerticalOffsetForLineNumber(e)},e.prototype.findAttribute=function(t,n){return e._findAttribute(t,n,this._viewHelper.viewDomNode)},e._findAttribute=function(e,t,n){for(;e&&e!==document.body;){if(e.hasAttribute&&e.hasAttribute(t))return e.getAttribute(t);if(e===n)return null;e=e.parentNode}return null},
e.prototype.getLineWidth=function(e){return this._viewHelper.getLineWidth(e)},e.prototype.visibleRangeForPosition2=function(e,t){return this._viewHelper.visibleRangeForPosition2(e,t)},e.prototype.getPositionFromDOMInfo=function(e,t){return this._viewHelper.getPositionFromDOMInfo(e,t)},e.prototype.getCurrentScrollTop=function(){return this._context.viewLayout.getCurrentScrollTop()},e.prototype.getCurrentScrollLeft=function(){return this._context.viewLayout.getCurrentScrollLeft()},e}();t.HitTestContext=h;var p=function(e){function t(t,n,i,o){var s=e.call(this,t,n,i)||this;return s._ctx=t,o?(s.target=o,s.targetPath=r.PartFingerprints.collect(o,t.viewDomNode)):(s.target=null,s.targetPath=new Uint8Array(0)),s}return o(t,e),t.prototype.toString=function(){
return"pos("+this.pos.x+","+this.pos.y+"), editorPos("+this.editorPos.x+","+this.editorPos.y+"), mouseVerticalOffset: "+this.mouseVerticalOffset+", mouseContentHorizontalOffset: "+this.mouseContentHorizontalOffset+"\n\ttarget: "+(this.target?this.target.outerHTML:null)},t.prototype.fulfill=function(e,t,n,i){return void 0===t&&(t=null),void 0===n&&(n=null),void 0===i&&(i=null),new d(this.target,e,this.mouseColumn,t,n,i)},t.prototype.withTarget=function(e){return new t(this._ctx,this.editorPos,this.pos,e)},t}(function(){return function(e,t,n){this.editorPos=t,this.pos=n,this.mouseVerticalOffset=Math.max(0,e.getCurrentScrollTop()+n.y-t.y),this.mouseContentHorizontalOffset=e.getCurrentScrollLeft()+n.x-t.x-e.layoutInfo.contentLeft,this.isInMarginArea=n.x-t.x<e.layoutInfo.contentLeft&&n.x-t.x>=e.layoutInfo.glyphMarginLeft,this.isInContentArea=!this.isInMarginArea,this.mouseColumn=Math.max(0,g._getMouseColumn(this.mouseContentHorizontalOffset,e.typicalHalfwidthCharacterWidth))}}()),f={isAfterLines:!0},g=function(){
function e(e,t){this._context=e,this._viewHelper=t}return e.prototype.mouseTargetIsWidget=function(e){var t=e.target,n=r.PartFingerprints.collect(t,this._viewHelper.viewDomNode);return!(!c.isChildOfContentWidgets(n)&&!c.isChildOfOverflowingContentWidgets(n))||!!c.isChildOfOverlayWidgets(n)},e.prototype.createMouseTarget=function(t,n,i,o){var r=new h(this._context,this._viewHelper,t),s=new p(r,n,i,o);try{return e._createMouseTarget(r,s,!1)}catch(e){return s.fulfill(0)}},e._createMouseTarget=function(t,n,i){if(null===n.target){if(i)return n.fulfill(0);var o=e._doHitTest(t,n);return o.position?e.createMouseTargetFromHitTestPosition(t,n,o.position.lineNumber,o.position.column):this._createMouseTarget(t,n.withTarget(o.hitTarget),!0)}var r=n,s=null;return s=s||e._hitTestContentWidget(t,r),s=s||e._hitTestOverlayWidget(t,r),s=s||e._hitTestMinimap(t,r),s=s||e._hitTestScrollbarSlider(t,r),s=s||e._hitTestViewZone(t,r),s=s||e._hitTestMargin(t,r),s=s||e._hitTestViewCursor(t,r),s=s||e._hitTestTextArea(t,r),
s=s||e._hitTestViewLines(t,r,i),(s=s||e._hitTestScrollbar(t,r))||n.fulfill(0)},e._hitTestContentWidget=function(e,t){if(c.isChildOfContentWidgets(t.targetPath)||c.isChildOfOverflowingContentWidgets(t.targetPath)){var n=e.findAttribute(t.target,"widgetId");return n?t.fulfill(9,null,null,n):t.fulfill(0)}return null},e._hitTestOverlayWidget=function(e,t){if(c.isChildOfOverlayWidgets(t.targetPath)){var n=e.findAttribute(t.target,"widgetId");return n?t.fulfill(12,null,null,n):t.fulfill(0)}return null},e._hitTestViewCursor=function(e,t){if(t.target)for(var n=0,i=(o=e.lastViewCursorsRenderData).length;n<i;n++){a=o[n];if(t.target===a.domNode)return t.fulfill(6,a.position)}if(t.isInContentArea)for(var o=e.lastViewCursorsRenderData,r=t.mouseContentHorizontalOffset,s=t.mouseVerticalOffset,n=0,i=o.length;n<i;n++){var a;if(!(r<(a=o[n]).contentLeft)&&!(r>a.contentLeft+a.width)){var l=e.getVerticalOffsetForLineNumber(a.position.lineNumber);if(l<=s&&s<=l+a.height)return t.fulfill(6,a.position)}}return null},
e._hitTestViewZone=function(e,t){var n=e.getZoneAtCoord(t.mouseVerticalOffset);if(n){var i=t.isInContentArea?8:5;return t.fulfill(i,n.position,null,n)}return null},e._hitTestTextArea=function(e,t){return c.isTextArea(t.targetPath)?t.fulfill(1):null},e._hitTestMargin=function(e,t){if(t.isInMarginArea){var n=e.getFullLineRangeAtCoord(t.mouseVerticalOffset),i=n.range.getStartPosition(),o=Math.abs(t.pos.x-t.editorPos.x),r={isAfterLines:n.isAfterLines,glyphMarginLeft:e.layoutInfo.glyphMarginLeft,glyphMarginWidth:e.layoutInfo.glyphMarginWidth,lineNumbersWidth:e.layoutInfo.lineNumbersWidth,offsetX:o};return(o-=e.layoutInfo.glyphMarginLeft)<=e.layoutInfo.glyphMarginWidth?t.fulfill(2,i,n.range,r):(o-=e.layoutInfo.glyphMarginWidth)<=e.layoutInfo.lineNumbersWidth?t.fulfill(3,i,n.range,r):(o-=e.layoutInfo.lineNumbersWidth,t.fulfill(4,i,n.range,r))}return null},e._hitTestViewLines=function(t,n,i){if(!c.isChildOfViewLines(n.targetPath))return null;if(t.isAfterLines(n.mouseVerticalOffset)){
var o=t.model.getLineCount(),r=t.model.getLineMaxColumn(o);return n.fulfill(7,new a.Position(o,r),void 0,f)}if(i){if(c.isStrictChildOfViewLines(n.targetPath)){var s=t.getLineNumberAtVerticalOffset(n.mouseVerticalOffset);if(0===t.model.getLineLength(s)){var l=t.getLineWidth(s),d=u(n.mouseContentHorizontalOffset-l);return n.fulfill(7,new a.Position(s,1),void 0,d)}}return n.fulfill(0)}var h=e._doHitTest(t,n);return h.position?e.createMouseTargetFromHitTestPosition(t,n,h.position.lineNumber,h.position.column):this._createMouseTarget(t,n.withTarget(h.hitTarget),!0)},e._hitTestMinimap=function(e,t){if(c.isChildOfMinimap(t.targetPath)){var n=e.getLineNumberAtVerticalOffset(t.mouseVerticalOffset),i=e.model.getLineMaxColumn(n);return t.fulfill(11,new a.Position(n,i))}return null},e._hitTestScrollbarSlider=function(e,t){if(c.isChildOfScrollableElement(t.targetPath)&&t.target&&1===t.target.nodeType){var n=t.target.className;if(n&&/\b(slider|scrollbar)\b/.test(n)){
var i=e.getLineNumberAtVerticalOffset(t.mouseVerticalOffset),o=e.model.getLineMaxColumn(i);return t.fulfill(11,new a.Position(i,o))}}return null},e._hitTestScrollbar=function(e,t){if(c.isChildOfScrollableElement(t.targetPath)){var n=e.getLineNumberAtVerticalOffset(t.mouseVerticalOffset),i=e.model.getLineMaxColumn(n);return t.fulfill(11,new a.Position(n,i))}return null},e.prototype.getMouseColumn=function(t,n){var i=this._context.configuration.editor.layoutInfo,o=this._context.viewLayout.getCurrentScrollLeft()+n.x-t.x-i.contentLeft;return e._getMouseColumn(o,this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth)},e._getMouseColumn=function(e,t){if(e<0)return 1;return Math.round(e/t)+1},e.createMouseTargetFromHitTestPosition=function(e,t,i,o){var r=new a.Position(i,o),s=e.getLineWidth(i);if(t.mouseContentHorizontalOffset>s){if(n.isEdge&&1===r.column){var d=u(t.mouseContentHorizontalOffset-s);return t.fulfill(7,new a.Position(i,e.model.getLineMaxColumn(i)),void 0,d)}
var c=u(t.mouseContentHorizontalOffset-s);return t.fulfill(7,r,void 0,c)}var h=e.visibleRangeForPosition2(i,o);if(!h)return t.fulfill(0,r);var p=h.left;if(t.mouseContentHorizontalOffset===p)return t.fulfill(6,r);var f=[];if(f.push({offset:h.left,column:o}),o>1){var g=e.visibleRangeForPosition2(i,o-1);g&&f.push({offset:g.left,column:o-1})}if(o<e.model.getLineMaxColumn(i)){var m=e.visibleRangeForPosition2(i,o+1);m&&f.push({offset:m.left,column:o+1})}f.sort(function(e,t){return e.offset-t.offset});for(var v=1;v<f.length;v++){var _=f[v-1],y=f[v];if(_.offset<=t.mouseContentHorizontalOffset&&t.mouseContentHorizontalOffset<=y.offset){var C=new l.Range(i,_.column,i,y.column);return t.fulfill(6,r,C)}}return t.fulfill(6,r)},e._doHitTestWithCaretRangeFromPoint=function(e,t){var n=e.getLineNumberAtVerticalOffset(t.mouseVerticalOffset),o=e.getVerticalOffsetForLineNumber(n)+Math.floor(e.lineHeight/2),r=t.pos.y+(o-t.mouseVerticalOffset);r<=t.editorPos.y&&(r=t.editorPos.y+1),
r>=t.editorPos.y+e.layoutInfo.height&&(r=t.editorPos.y+e.layoutInfo.height-1);var s=new i.PageCoordinates(t.pos.x,r),a=this._actualDoHitTestWithCaretRangeFromPoint(e,s.toClientCoordinates());return a.position?a:this._actualDoHitTestWithCaretRangeFromPoint(e,t.pos.toClientCoordinates())},e._actualDoHitTestWithCaretRangeFromPoint=function(e,t){var n=document.caretRangeFromPoint(t.clientX,t.clientY);if(!n||!n.startContainer)return{position:null,hitTarget:null};var i=n.startContainer,o=null;if(i.nodeType===i.TEXT_NODE){var r=(l=(a=i.parentNode)?a.parentNode:null)?l.parentNode:null;if((r&&r.nodeType===r.ELEMENT_NODE?r.className:null)===s.ViewLine.CLASS_NAME){return{position:u=e.getPositionFromDOMInfo(a,n.startOffset),hitTarget:null}}o=i.parentNode}else if(i.nodeType===i.ELEMENT_NODE){var a=i.parentNode,l=a?a.parentNode:null;if((l&&l.nodeType===l.ELEMENT_NODE?l.className:null)===s.ViewLine.CLASS_NAME){var u=e.getPositionFromDOMInfo(i,i.textContent.length);return{position:u,hitTarget:null}}o=i}return{position:null,
hitTarget:o}},e._doHitTestWithCaretPositionFromPoint=function(e,t){var n=document.caretPositionFromPoint(t.clientX,t.clientY);if(n.offsetNode.nodeType===n.offsetNode.TEXT_NODE){var i=n.offsetNode.parentNode,o=i?i.parentNode:null,r=o?o.parentNode:null;if((r&&r.nodeType===r.ELEMENT_NODE?r.className:null)===s.ViewLine.CLASS_NAME){return{position:e.getPositionFromDOMInfo(n.offsetNode.parentNode,n.offset),hitTarget:null}}return{position:null,hitTarget:n.offsetNode.parentNode}}return{position:null,hitTarget:n.offsetNode}},e._doHitTestWithMoveToPoint=function(e,t){var n=null,i=null,o=document.body.createTextRange();try{o.moveToPoint(t.clientX,t.clientY)}catch(e){return{position:null,hitTarget:null}}o.collapse(!0);var r=o?o.parentElement():null,a=r?r.parentNode:null,l=a?a.parentNode:null;if((l&&l.nodeType===l.ELEMENT_NODE?l.className:"")===s.ViewLine.CLASS_NAME){var u=o.duplicate();u.moveToElementText(r),u.setEndPoint("EndToStart",o),n=e.getPositionFromDOMInfo(r,u.text.length),u.moveToElementText(e.viewDomNode)
}else i=r;return o.moveToElementText(e.viewDomNode),{position:n,hitTarget:i}},e._doHitTest=function(e,t){return document.caretRangeFromPoint?this._doHitTestWithCaretRangeFromPoint(e,t):document.caretPositionFromPoint?this._doHitTestWithCaretPositionFromPoint(e,t.pos.toClientCoordinates()):document.body.createTextRange?this._doHitTestWithMoveToPoint(e,t.pos.toClientCoordinates()):{position:null,hitTarget:null}},e}();t.MouseTargetFactory=g}),define(t[488],n([0,1,29,7,40,16,2,17,185,134,97,12,21,79]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f){"use strict";function g(e){return function(t,n){var i=!1;return e&&(i=e.mouseTargetIsWidget(n)),i||n.preventDefault(),n}}Object.defineProperty(t,"__esModule",{value:!0});var m=function(e){function t(n,o,a){var l=e.call(this)||this;l._isFocused=!1,l._context=n,l.viewController=o,l.viewHelper=a,l.mouseTargetFactory=new u.MouseTargetFactory(l._context,a),l._mouseDownOperation=l._register(new v(l._context,l.viewController,l.viewHelper,function(e,t){return l._createMouseTarget(e,t)
},function(e){return l._getMouseColumn(e)})),l._asyncFocus=l._register(new s.RunOnceScheduler(function(){return l.viewHelper.focusTextArea()},0)),l.lastMouseLeaveTime=-1;var h=new d.EditorMouseEventFactory(l.viewHelper.viewDomNode);l._register(h.onContextMenu(l.viewHelper.viewDomNode,function(e){return l._onContextMenu(e,!0)})),l._register(h.onMouseMoveThrottled(l.viewHelper.viewDomNode,function(e){return l._onMouseMove(e)},g(l.mouseTargetFactory),t.MOUSE_MOVE_MINIMUM_TIME)),l._register(h.onMouseUp(l.viewHelper.viewDomNode,function(e){return l._onMouseUp(e)})),l._register(h.onMouseLeave(l.viewHelper.viewDomNode,function(e){return l._onMouseLeave(e)})),l._register(h.onMouseDown(l.viewHelper.viewDomNode,function(e){return l._onMouseDown(e)}));var p=function(e){if(l._context.configuration.editor.viewInfo.mouseWheelZoom){var t=new r.StandardMouseWheelEvent(e);if(t.browserEvent.ctrlKey||t.browserEvent.metaKey){var n=c.EditorZoom.getZoomLevel(),i=t.deltaY>0?1:-1;c.EditorZoom.setZoomLevel(n+i),t.preventDefault(),
t.stopPropagation()}}};return l._register(i.addDisposableListener(l.viewHelper.viewDomNode,"mousewheel",p,!0)),l._register(i.addDisposableListener(l.viewHelper.viewDomNode,"DOMMouseScroll",p,!0)),l._context.addEventHandler(l),l}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),e.prototype.dispose.call(this)},t.prototype.onCursorStateChanged=function(e){return this._mouseDownOperation.onCursorStateChanged(e),!1},t.prototype.onFocusChanged=function(e){return this._isFocused=e.isFocused,!1},t.prototype.onScrollChanged=function(e){return this._mouseDownOperation.onScrollChanged(),!1},t.prototype.getTargetAtClientPoint=function(e,t){var n=new d.ClientCoordinates(e,t).toPageCoordinates(),i=d.createEditorPagePosition(this.viewHelper.viewDomNode);if(n.y<i.y||n.y>i.y+i.height||n.x<i.x||n.x>i.x+i.width)return null;var o=this.viewHelper.getLastViewCursorsRenderData();return this.mouseTargetFactory.createMouseTarget(o,i,n,null)},t.prototype._createMouseTarget=function(e,t){
var n=this.viewHelper.getLastViewCursorsRenderData();return this.mouseTargetFactory.createMouseTarget(n,e.editorPos,e.pos,t?e.target:null)},t.prototype._getMouseColumn=function(e){return this.mouseTargetFactory.getMouseColumn(e.editorPos,e.pos)},t.prototype._onContextMenu=function(e,t){this.viewController.emitContextMenu({event:e,target:this._createMouseTarget(e,t)})},t.prototype._onMouseMove=function(e){if(!this._mouseDownOperation.isActive()){e.timestamp<this.lastMouseLeaveTime||this.viewController.emitMouseMove({event:e,target:this._createMouseTarget(e,!0)})}},t.prototype._onMouseLeave=function(e){this.lastMouseLeaveTime=(new Date).getTime(),this.viewController.emitMouseLeave({event:e,target:null})},t.prototype._onMouseUp=function(e){this.viewController.emitMouseUp({event:e,target:this._createMouseTarget(e,!0)})},t.prototype._onMouseDown=function(e){
var t=this,i=this._createMouseTarget(e,!0),o=6===i.type||7===i.type,r=2===i.type||3===i.type||4===i.type,s=3===i.type,a=this._context.configuration.editor.viewInfo.selectOnLineNumbers,u=8===i.type||5===i.type,d=9===i.type,c=e.leftButton||e.middleButton;l.isMacintosh&&e.leftButton&&e.ctrlKey&&(c=!1);var h=function(){n.isIE&&!t._isFocused?t._asyncFocus.schedule():(e.preventDefault(),t.viewHelper.focusTextArea())};if(c&&(o||s&&a))h(),this._mouseDownOperation.start(i.type,e);else if(r)e.preventDefault();else if(u){var p=i.detail;this.viewHelper.shouldSuppressMouseDownOnViewZone(p.viewZoneId)&&(h(),this._mouseDownOperation.start(i.type,e),e.preventDefault())}else d&&this.viewHelper.shouldSuppressMouseDownOnWidget(i.detail)&&(h(),e.preventDefault());this.viewController.emitMouseDown({event:e,target:i})},t.MOUSE_MOVE_MINIMUM_TIME=100,t}(f.ViewEventHandler);t.MouseHandler=m;var v=function(e){function t(t,n,i,o,r){var a=e.call(this)||this;return a._context=t,a._viewController=n,a._viewHelper=i,a._createMouseTarget=o,
a._getMouseColumn=r,a._mouseMoveMonitor=a._register(new d.GlobalEditorMouseMoveMonitor(a._viewHelper.viewDomNode)),a._onScrollTimeout=a._register(new s.TimeoutTimer),a._mouseState=new _,a._currentSelection=new p.Selection(1,1,1,1),a._isActive=!1,a._lastMouseEvent=null,a}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.isActive=function(){return this._isActive},t.prototype._onMouseDownThenMove=function(e){this._lastMouseEvent=e,this._mouseState.setModifiers(e);var t=this._findMousePosition(e,!0);t&&(this._mouseState.isDragAndDrop?this._viewController.emitMouseDrag({event:e,target:t}):this._dispatchMouse(t,!0))},t.prototype.start=function(e,t){var n=this;this._lastMouseEvent=t,this._mouseState.setStartedOnLineNumbers(3===e),this._mouseState.setStartButtons(t),this._mouseState.setModifiers(t);var i=this._findMousePosition(t,!0);if(i&&i.position){if(this._mouseState.trySetCount(t.detail,i.position),t.detail=this._mouseState.count,
!this._context.configuration.editor.readOnly&&this._context.configuration.editor.dragAndDrop&&!this._mouseState.altKey&&t.detail<2&&!this._isActive&&!this._currentSelection.isEmpty()&&6===i.type&&i.position&&this._currentSelection.containsPosition(i.position))return this._mouseState.isDragAndDrop=!0,this._isActive=!0,void this._mouseMoveMonitor.startMonitoring(g(null),function(e){return n._onMouseDownThenMove(e)},function(){var e=n._findMousePosition(n._lastMouseEvent,!0);n._viewController.emitMouseDrop({event:n._lastMouseEvent,target:e?n._createMouseTarget(n._lastMouseEvent,!0):null}),n._stop()});this._mouseState.isDragAndDrop=!1,this._dispatchMouse(i,t.shiftKey),this._isActive||(this._isActive=!0,this._mouseMoveMonitor.startMonitoring(g(null),function(e){return n._onMouseDownThenMove(e)},function(){return n._stop()}))}},t.prototype._stop=function(){this._isActive=!1,this._onScrollTimeout.cancel()},t.prototype.onScrollChanged=function(){var e=this;this._isActive&&this._onScrollTimeout.setIfNotSet(function(){
if(e._lastMouseEvent){var t=e._findMousePosition(e._lastMouseEvent,!1);t&&(e._mouseState.isDragAndDrop||e._dispatchMouse(t,!0))}},10)},t.prototype.onCursorStateChanged=function(e){this._currentSelection=e.selections[0]},t.prototype._getPositionOutsideEditor=function(e){var t=e.editorPos,n=this._context.model,i=this._context.viewLayout,o=this._getMouseColumn(e);if(e.posy<t.y){s=Math.max(i.getCurrentScrollTop()-(t.y-e.posy),0);if(a=u.HitTestContext.getZoneAtCoord(this._context,s)){if(l=this._helpPositionJumpOverViewZone(a))return new u.MouseTarget(null,13,o,l)}var r=i.getLineNumberAtVerticalOffset(s);return new u.MouseTarget(null,13,o,new h.Position(r,1))}if(e.posy>t.y+t.height){var s=i.getCurrentScrollTop()+(e.posy-t.y),a=u.HitTestContext.getZoneAtCoord(this._context,s);if(a){var l=this._helpPositionJumpOverViewZone(a);if(l)return new u.MouseTarget(null,13,o,l)}var d=i.getLineNumberAtVerticalOffset(s);return new u.MouseTarget(null,13,o,new h.Position(d,n.getLineMaxColumn(d)))}
var c=i.getLineNumberAtVerticalOffset(i.getCurrentScrollTop()+(e.posy-t.y));return e.posx<t.x?new u.MouseTarget(null,13,o,new h.Position(c,1)):e.posx>t.x+t.width?new u.MouseTarget(null,13,o,new h.Position(c,n.getLineMaxColumn(c))):null},t.prototype._findMousePosition=function(e,t){var n=this._getPositionOutsideEditor(e);if(n)return n;var i=this._createMouseTarget(e,t);if(!i.position)return null;if(8===i.type||5===i.type){var o=this._helpPositionJumpOverViewZone(i.detail);if(o)return new u.MouseTarget(i.element,i.type,i.mouseColumn,o,null,i.detail)}return i},t.prototype._helpPositionJumpOverViewZone=function(e){var t=new h.Position(this._currentSelection.selectionStartLineNumber,this._currentSelection.selectionStartColumn),n=e.positionBefore,i=e.positionAfter;return n&&i?n.isBefore(t)?n:i:null},t.prototype._dispatchMouse=function(e,t){e.position&&this._viewController.dispatchMouse({position:e.position,mouseColumn:e.mouseColumn,startedOnLineNumbers:this._mouseState.startedOnLineNumbers,inSelectionMode:t,
mouseDownCount:this._mouseState.count,altKey:this._mouseState.altKey,ctrlKey:this._mouseState.ctrlKey,metaKey:this._mouseState.metaKey,shiftKey:this._mouseState.shiftKey,leftButton:this._mouseState.leftButton,middleButton:this._mouseState.middleButton})},t}(a.Disposable),_=function(){function e(){this._altKey=!1,this._ctrlKey=!1,this._metaKey=!1,this._shiftKey=!1,this._leftButton=!1,this._middleButton=!1,this._startedOnLineNumbers=!1,this._lastMouseDownPosition=null,this._lastMouseDownPositionEqualCount=0,this._lastMouseDownCount=0,this._lastSetMouseDownCountTime=0,this.isDragAndDrop=!1}return Object.defineProperty(e.prototype,"altKey",{get:function(){return this._altKey},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"ctrlKey",{get:function(){return this._ctrlKey},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"metaKey",{get:function(){return this._metaKey},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"shiftKey",{get:function(){return this._shiftKey
},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"leftButton",{get:function(){return this._leftButton},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"middleButton",{get:function(){return this._middleButton},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"startedOnLineNumbers",{get:function(){return this._startedOnLineNumbers},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"count",{get:function(){return this._lastMouseDownCount},enumerable:!0,configurable:!0}),e.prototype.setModifiers=function(e){this._altKey=e.altKey,this._ctrlKey=e.ctrlKey,this._metaKey=e.metaKey,this._shiftKey=e.shiftKey},e.prototype.setStartButtons=function(e){this._leftButton=e.leftButton,this._middleButton=e.middleButton},e.prototype.setStartedOnLineNumbers=function(e){this._startedOnLineNumbers=e},e.prototype.trySetCount=function(t,n){var i=(new Date).getTime();i-this._lastSetMouseDownCountTime>e.CLEAR_MOUSE_DOWN_COUNT_TIME&&(t=1),
this._lastSetMouseDownCountTime=i,t>this._lastMouseDownCount+1&&(t=this._lastMouseDownCount+1),this._lastMouseDownPosition&&this._lastMouseDownPosition.equals(n)?this._lastMouseDownPositionEqualCount++:this._lastMouseDownPositionEqualCount=1,this._lastMouseDownPosition=n,this._lastMouseDownCount=Math.min(t,this._lastMouseDownPositionEqualCount)},e.CLEAR_MOUSE_DOWN_COUNT_TIME=400,e}()}),define(t[489],n([0,1,7,75,488,134]),function(e,t,n,i,r,s){"use strict";function a(e,t){var n={translationY:t.translationY,translationX:t.translationX};return e&&(n.translationY+=e.translationY,n.translationX+=e.translationX),n}Object.defineProperty(t,"__esModule",{value:!0});var l=function(e){function t(t,i,o){var r=e.call(this,t,i,o)||this;return r.viewHelper.linesContentDomNode.style.msTouchAction="none",r.viewHelper.linesContentDomNode.style.msContentZooming="none",r._installGestureHandlerTimeout=window.setTimeout(function(){if(r._installGestureHandlerTimeout=-1,window.MSGesture){var e=new MSGesture,t=new MSGesture
;e.target=r.viewHelper.linesContentDomNode,t.target=r.viewHelper.linesContentDomNode,r.viewHelper.linesContentDomNode.addEventListener("MSPointerDown",function(n){var i=n.pointerType;i!==(n.MSPOINTER_TYPE_MOUSE||"mouse")?i===(n.MSPOINTER_TYPE_TOUCH||"touch")?(r._lastPointerType="touch",e.addPointer(n.pointerId)):(r._lastPointerType="pen",t.addPointer(n.pointerId)):r._lastPointerType="mouse"}),r._register(n.addDisposableThrottledListener(r.viewHelper.linesContentDomNode,"MSGestureChange",function(e){return r._onGestureChange(e)},a)),r._register(n.addDisposableListener(r.viewHelper.linesContentDomNode,"MSGestureTap",function(e){return r._onCaptureGestureTap(e)},!0))}},100),r._lastPointerType="mouse",r}return o(t,e),t.prototype._onMouseDown=function(t){"mouse"===this._lastPointerType&&e.prototype._onMouseDown.call(this,t)},t.prototype._onCaptureGestureTap=function(e){var t=this,n=new s.EditorMouseEvent(e,this.viewHelper.viewDomNode),i=this._createMouseTarget(n,!1)
;i.position&&this.viewController.moveTo(i.position),n.browserEvent.fromElement?(n.preventDefault(),this.viewHelper.focusTextArea()):setTimeout(function(){t.viewHelper.focusTextArea()})},t.prototype._onGestureChange=function(e){this._context.viewLayout.deltaScrollNow(-e.translationX,-e.translationY)},t.prototype.dispose=function(){window.clearTimeout(this._installGestureHandlerTimeout),e.prototype.dispose.call(this)},t}(r.MouseHandler),u=function(e){function t(t,i,o){var r=e.call(this,t,i,o)||this;return r.viewHelper.linesContentDomNode.style.touchAction="none",r._installGestureHandlerTimeout=window.setTimeout(function(){if(r._installGestureHandlerTimeout=-1,window.MSGesture){var e=new MSGesture,t=new MSGesture;e.target=r.viewHelper.linesContentDomNode,t.target=r.viewHelper.linesContentDomNode,r.viewHelper.linesContentDomNode.addEventListener("pointerdown",function(n){var i=n.pointerType;"mouse"!==i?"touch"===i?(r._lastPointerType="touch",e.addPointer(n.pointerId)):(r._lastPointerType="pen",
t.addPointer(n.pointerId)):r._lastPointerType="mouse"}),r._register(n.addDisposableThrottledListener(r.viewHelper.linesContentDomNode,"MSGestureChange",function(e){return r._onGestureChange(e)},a)),r._register(n.addDisposableListener(r.viewHelper.linesContentDomNode,"MSGestureTap",function(e){return r._onCaptureGestureTap(e)},!0))}},100),r._lastPointerType="mouse",r}return o(t,e),t.prototype._onMouseDown=function(t){"mouse"===this._lastPointerType&&e.prototype._onMouseDown.call(this,t)},t.prototype._onCaptureGestureTap=function(e){var t=this,n=new s.EditorMouseEvent(e,this.viewHelper.viewDomNode),i=this._createMouseTarget(n,!1);i.position&&this.viewController.moveTo(i.position),n.browserEvent.fromElement?(n.preventDefault(),this.viewHelper.focusTextArea()):setTimeout(function(){t.viewHelper.focusTextArea()})},t.prototype._onGestureChange=function(e){this._context.viewLayout.deltaScrollNow(-e.translationX,-e.translationY)},t.prototype.dispose=function(){window.clearTimeout(this._installGestureHandlerTimeout),
e.prototype.dispose.call(this)},t}(r.MouseHandler),d=function(e){function t(t,o,r){var a=e.call(this,t,o,r)||this;return i.Gesture.addTarget(a.viewHelper.linesContentDomNode),a._register(n.addDisposableListener(a.viewHelper.linesContentDomNode,i.EventType.Tap,function(e){return a.onTap(e)})),a._register(n.addDisposableListener(a.viewHelper.linesContentDomNode,i.EventType.Change,function(e){return a.onChange(e)})),a._register(n.addDisposableListener(a.viewHelper.linesContentDomNode,i.EventType.Contextmenu,function(e){return a._onContextMenu(new s.EditorMouseEvent(e,a.viewHelper.viewDomNode),!1)})),a}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.onTap=function(e){e.preventDefault(),this.viewHelper.focusTextArea();var t=this._createMouseTarget(new s.EditorMouseEvent(e,this.viewHelper.viewDomNode),!1);t.position&&this.viewController.moveTo(t.position)},t.prototype.onChange=function(e){this._context.viewLayout.deltaScrollNow(-e.translationX,-e.translationY)},t
}(r.MouseHandler),c=function(){function e(e,t,n){window.navigator.msPointerEnabled?this.handler=new l(e,t,n):window.TouchEvent?this.handler=new d(e,t,n):window.navigator.pointerEnabled||window.PointerEvent?this.handler=new u(e,t,n):this.handler=new r.MouseHandler(e,t,n)}return e.prototype.getTargetAtClientPoint=function(e,t){return this.handler.getTargetAtClientPoint(e,t)},e.prototype.dispose=function(){this.handler.dispose()},e}();t.PointerHandler=c}),define(t[490],n([0,1,2,185]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(t){var n=e.call(this)||this;return n.onDidScroll=null,n.onDidGainFocus=null,n.onDidLoseFocus=null,n.onKeyDown=null,n.onKeyUp=null,n.onContextMenu=null,n.onMouseMove=null,n.onMouseLeave=null,n.onMouseUp=null,n.onMouseDown=null,n.onMouseDrag=null,n.onMouseDrop=null,n._viewModel=t,n}return o(t,e),t.prototype.emitScrollChanged=function(e){this.onDidScroll&&this.onDidScroll(e)},t.prototype.emitViewFocusGained=function(){
this.onDidGainFocus&&this.onDidGainFocus(void 0)},t.prototype.emitViewFocusLost=function(){this.onDidLoseFocus&&this.onDidLoseFocus(void 0)},t.prototype.emitKeyDown=function(e){this.onKeyDown&&this.onKeyDown(e)},t.prototype.emitKeyUp=function(e){this.onKeyUp&&this.onKeyUp(e)},t.prototype.emitContextMenu=function(e){this.onContextMenu&&this.onContextMenu(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseMove=function(e){this.onMouseMove&&this.onMouseMove(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseLeave=function(e){this.onMouseLeave&&this.onMouseLeave(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseUp=function(e){this.onMouseUp&&this.onMouseUp(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseDown=function(e){this.onMouseDown&&this.onMouseDown(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseDrag=function(e){this.onMouseDrag&&this.onMouseDrag(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseDrop=function(e){
this.onMouseDrop&&this.onMouseDrop(this._convertViewToModelMouseEvent(e))},t.prototype._convertViewToModelMouseEvent=function(e){return e.target?{event:e.event,target:this._convertViewToModelMouseTarget(e.target)}:e},t.prototype._convertViewToModelMouseTarget=function(e){return new s(e.element,e.type,e.mouseColumn,e.position?this._convertViewToModelPosition(e.position):null,e.range?this._convertViewToModelRange(e.range):null,e.detail)},t.prototype._convertViewToModelPosition=function(e){return this._viewModel.coordinatesConverter.convertViewPositionToModelPosition(e)},t.prototype._convertViewToModelRange=function(e){return this._viewModel.coordinatesConverter.convertViewRangeToModelRange(e)},t}(n.Disposable);t.ViewOutgoingEvents=r;var s=function(){function e(e,t,n,i,o,r){this.element=e,this.type=t,this.mouseColumn=n,this.position=i,this.range=o,this.detail=r}return e.prototype.toString=function(){return i.MouseTarget.toString(this)},e}()}),
define(t[491],n([0,1,16,57,127,33,184,12,3,83,266]),function(e,t,n,i,r,s,a,l,u,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c=function(){function e(){this._currentVisibleRange=new u.Range(1,1,1,1)}return e.prototype.getCurrentVisibleRange=function(){return this._currentVisibleRange},e.prototype.setCurrentVisibleRange=function(e){this._currentVisibleRange=e},e}(),h=function(){return function(e,t,n,i,o,r){this.lineNumber=e,this.startColumn=t,this.endColumn=n,this.startScrollTop=i,this.stopScrollTop=o,this.scrollType=r}}(),p=function(e){function t(t,o){var l=e.call(this,t)||this;l._linesContent=o,l._textRangeRestingSpot=document.createElement("div"),l._visibleLines=new r.VisibleLinesCollection(l),l.domNode=l._visibleLines.domNode;var u=l._context.configuration;return l._lineHeight=u.editor.lineHeight,l._typicalHalfwidthCharacterWidth=u.editor.fontInfo.typicalHalfwidthCharacterWidth,l._isViewportWrapping=u.editor.wrappingInfo.isViewportWrapping,
l._revealHorizontalRightPadding=u.editor.viewInfo.revealHorizontalRightPadding,l._canUseLayerHinting=u.editor.canUseLayerHinting,l._viewLineOptions=new a.ViewLineOptions(u,l._context.theme.type),s.PartFingerprints.write(l.domNode,7),l.domNode.setClassName("view-lines"),i.Configuration.applyFontInfo(l.domNode,u.editor.fontInfo),l._maxLineWidth=0,l._asyncUpdateLineWidths=new n.RunOnceScheduler(function(){l._updateLineWidthsSlow()},200),l._lastRenderedData=new c,l._horizontalRevealRequest=null,l}return o(t,e),t.prototype.dispose=function(){this._asyncUpdateLineWidths.dispose(),e.prototype.dispose.call(this)},t.prototype.getDomNode=function(){return this.domNode},t.prototype.createVisibleLine=function(){return new a.ViewLine(this._viewLineOptions)},t.prototype.onConfigurationChanged=function(e){this._visibleLines.onConfigurationChanged(e),e.wrappingInfo&&(this._maxLineWidth=0);var t=this._context.configuration;return e.lineHeight&&(this._lineHeight=t.editor.lineHeight),
e.fontInfo&&(this._typicalHalfwidthCharacterWidth=t.editor.fontInfo.typicalHalfwidthCharacterWidth),e.wrappingInfo&&(this._isViewportWrapping=t.editor.wrappingInfo.isViewportWrapping),e.viewInfo&&(this._revealHorizontalRightPadding=t.editor.viewInfo.revealHorizontalRightPadding),e.canUseLayerHinting&&(this._canUseLayerHinting=t.editor.canUseLayerHinting),e.fontInfo&&i.Configuration.applyFontInfo(this.domNode,t.editor.fontInfo),this._onOptionsMaybeChanged(),e.layoutInfo&&(this._maxLineWidth=0),!0},t.prototype._onOptionsMaybeChanged=function(){var e=this._context.configuration,t=new a.ViewLineOptions(e,this._context.theme.type);if(!this._viewLineOptions.equals(t)){this._viewLineOptions=t;for(var n=this._visibleLines.getStartLineNumber(),i=this._visibleLines.getEndLineNumber(),o=n;o<=i;o++){this._visibleLines.getVisibleLine(o).onOptionsChanged(this._viewLineOptions)}return!0}return!1},t.prototype.onCursorStateChanged=function(e){
for(var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber(),i=!1,o=t;o<=n;o++)i=this._visibleLines.getVisibleLine(o).onSelectionChanged()||i;return i},t.prototype.onDecorationsChanged=function(e){for(var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber(),i=t;i<=n;i++)this._visibleLines.getVisibleLine(i).onDecorationsChanged();return!0},t.prototype.onFlushed=function(e){var t=this._visibleLines.onFlushed(e);return this._maxLineWidth=0,t},t.prototype.onLinesChanged=function(e){return this._visibleLines.onLinesChanged(e)},t.prototype.onLinesDeleted=function(e){return this._visibleLines.onLinesDeleted(e)},t.prototype.onLinesInserted=function(e){return this._visibleLines.onLinesInserted(e)},t.prototype.onRevealRangeRequest=function(e){var t=this._computeScrollTopToRevealRange(this._context.viewLayout.getFutureViewport(),e.range,e.verticalType),n=this._context.viewLayout.validateScrollPosition({scrollTop:t})
;e.revealHorizontal?e.range.startLineNumber!==e.range.endLineNumber?n={scrollTop:n.scrollTop,scrollLeft:0}:this._horizontalRevealRequest=new h(e.range.startLineNumber,e.range.startColumn,e.range.endColumn,this._context.viewLayout.getCurrentScrollTop(),n.scrollTop,e.scrollType):this._horizontalRevealRequest=null;var i=Math.abs(this._context.viewLayout.getCurrentScrollTop()-n.scrollTop);return 0===e.scrollType&&i>this._lineHeight?this._context.viewLayout.setScrollPositionSmooth(n):this._context.viewLayout.setScrollPositionNow(n),!0},t.prototype.onScrollChanged=function(e){if(this._horizontalRevealRequest&&e.scrollLeftChanged&&(this._horizontalRevealRequest=null),this._horizontalRevealRequest&&e.scrollTopChanged){var t=Math.min(this._horizontalRevealRequest.startScrollTop,this._horizontalRevealRequest.stopScrollTop),n=Math.max(this._horizontalRevealRequest.startScrollTop,this._horizontalRevealRequest.stopScrollTop);(e.scrollTop<t||e.scrollTop>n)&&(this._horizontalRevealRequest=null)}
return this.domNode.setWidth(e.scrollWidth),this._visibleLines.onScrollChanged(e)||!0},t.prototype.onTokensChanged=function(e){return this._visibleLines.onTokensChanged(e)},t.prototype.onZonesChanged=function(e){return this._context.viewLayout.onMaxLineWidthChanged(this._maxLineWidth),this._visibleLines.onZonesChanged(e)},t.prototype.onThemeChanged=function(e){return this._onOptionsMaybeChanged()},t.prototype.getPositionFromDOMInfo=function(e,t){var n=this._getViewLineDomNode(e);if(null===n)return null;var i=this._getLineNumberFor(n);if(-1===i)return null;if(i<1||i>this._context.model.getLineCount())return null;if(1===this._context.model.getLineMaxColumn(i))return new l.Position(i,1);var o=this._visibleLines.getStartLineNumber(),r=this._visibleLines.getEndLineNumber();if(i<o||i>r)return null;var s=this._visibleLines.getVisibleLine(i).getColumnOfNodeOffset(i,e,t),a=this._context.model.getLineMinColumn(i);return s<a&&(s=a),new l.Position(i,s)},t.prototype._getViewLineDomNode=function(e){
for(;e&&1===e.nodeType;){if(e.className===a.ViewLine.CLASS_NAME)return e;e=e.parentElement}return null},t.prototype._getLineNumberFor=function(e){for(var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber(),i=t;i<=n;i++){if(e===this._visibleLines.getVisibleLine(i).getDomNode())return i}return-1},t.prototype.getLineWidth=function(e){var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber();return e<t||e>n?-1:this._visibleLines.getVisibleLine(e).getWidth()},t.prototype.linesVisibleRangesForRange=function(e,t){if(this.shouldRender())return null;var n=e.endLineNumber,i=u.Range.intersectRanges(e,this._lastRenderedData.getCurrentVisibleRange());if(!i)return null;var o=[],r=0,s=new a.DomReadingContext(this.domNode.domNode,this._textRangeRestingSpot),c=0;t&&(c=this._context.model.coordinatesConverter.convertViewPositionToModelPosition(new l.Position(i.startLineNumber,1)).lineNumber)
;for(var h=this._visibleLines.getStartLineNumber(),p=this._visibleLines.getEndLineNumber(),f=i.startLineNumber;f<=i.endLineNumber;f++)if(!(f<h||f>p)){var g=f===i.startLineNumber?i.startColumn:1,m=f===i.endLineNumber?i.endColumn:this._context.model.getLineMaxColumn(f),v=this._visibleLines.getVisibleLine(f).getVisibleRangesForRange(g,m,s);if(v&&0!==v.length){if(t&&f<n){c!==(c=this._context.model.coordinatesConverter.convertViewPositionToModelPosition(new l.Position(f+1,1)).lineNumber)&&(v[v.length-1].width+=this._typicalHalfwidthCharacterWidth)}o[r++]=new d.LineVisibleRanges(f,v)}}return 0===r?null:o},t.prototype.visibleRangesForRange2=function(e){if(this.shouldRender())return null;var t=u.Range.intersectRanges(e,this._lastRenderedData.getCurrentVisibleRange());if(!t)return null;for(var n=[],i=new a.DomReadingContext(this.domNode.domNode,this._textRangeRestingSpot),o=this._visibleLines.getStartLineNumber(),r=this._visibleLines.getEndLineNumber(),s=t.startLineNumber;s<=t.endLineNumber;s++)if(!(s<o||s>r)){
var l=s===t.startLineNumber?t.startColumn:1,d=s===t.endLineNumber?t.endColumn:this._context.model.getLineMaxColumn(s),c=this._visibleLines.getVisibleLine(s).getVisibleRangesForRange(l,d,i);c&&0!==c.length&&(n=n.concat(c))}return 0===n.length?null:n},t.prototype.visibleRangeForPosition=function(e){var t=this.visibleRangesForRange2(new u.Range(e.lineNumber,e.column,e.lineNumber,e.column));return t?t[0]:null},t.prototype.updateLineWidths=function(){this._updateLineWidths(!1)},t.prototype._updateLineWidthsFast=function(){return this._updateLineWidths(!0)},t.prototype._updateLineWidthsSlow=function(){this._updateLineWidths(!1)},t.prototype._updateLineWidths=function(e){for(var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber(),i=1,o=!0,r=t;r<=n;r++){var s=this._visibleLines.getVisibleLine(r);!e||s.getWidthIsFast()?i=Math.max(i,s.getWidth()):o=!1}return o&&1===t&&n===this._context.model.getLineCount()&&(this._maxLineWidth=0),this._ensureMaxLineWidth(i),o},
t.prototype.prepareRender=function(){throw new Error("Not supported")},t.prototype.render=function(){throw new Error("Not supported")},t.prototype.renderText=function(e){if(this._visibleLines.renderLines(e),this._lastRenderedData.setCurrentVisibleRange(e.visibleRange),this.domNode.setWidth(this._context.viewLayout.getScrollWidth()),this.domNode.setHeight(Math.min(this._context.viewLayout.getScrollHeight(),1e6)),this._horizontalRevealRequest){var t=this._horizontalRevealRequest.lineNumber,n=this._horizontalRevealRequest.startColumn,i=this._horizontalRevealRequest.endColumn,o=this._horizontalRevealRequest.scrollType;if(e.startLineNumber<=t&&t<=e.endLineNumber){this._horizontalRevealRequest=null,this.onDidRender();var r=this._computeScrollLeftToRevealRange(t,n,i);this._isViewportWrapping||this._ensureMaxLineWidth(r.maxHorizontalOffset),0===o?this._context.viewLayout.setScrollPositionSmooth({scrollLeft:r.scrollLeft}):this._context.viewLayout.setScrollPositionNow({scrollLeft:r.scrollLeft})}}
this._updateLineWidthsFast()||this._asyncUpdateLineWidths.schedule(),this._linesContent.setLayerHinting(this._canUseLayerHinting);var s=this._context.viewLayout.getCurrentScrollTop()-e.bigNumbersDelta;this._linesContent.setTop(-s),this._linesContent.setLeft(-this._context.viewLayout.getCurrentScrollLeft())},t.prototype._ensureMaxLineWidth=function(e){var t=Math.ceil(e);this._maxLineWidth<t&&(this._maxLineWidth=t,this._context.viewLayout.onMaxLineWidthChanged(this._maxLineWidth))},t.prototype._computeScrollTopToRevealRange=function(e,t,n){var i,o,r=e.top,s=e.height,a=r+s;i=this._context.viewLayout.getVerticalOffsetForLineNumber(t.startLineNumber),o=this._context.viewLayout.getVerticalOffsetForLineNumber(t.endLineNumber)+this._lineHeight,0!==n&&4!==n||(o+=this._lineHeight);var l;if(1===n||2===n)if(2===n&&r<=i&&o<=a)l=r;else{var u=(i+o)/2;l=Math.max(0,u-s/2)}else l=this._computeMinimumScrolling(r,a,i,o,3===n,4===n);return l},t.prototype._computeScrollLeftToRevealRange=function(e,n,i){
var o=0,r=this._context.viewLayout.getCurrentViewport(),s=r.left,a=s+r.width,l=this.visibleRangesForRange2(new u.Range(e,n,e,i)),d=Number.MAX_VALUE,c=0;if(!l)return{scrollLeft:s,maxHorizontalOffset:o};for(var h=0;h<l.length;h++){var p=l[h];p.left<d&&(d=p.left),p.left+p.width>c&&(c=p.left+p.width)}o=c,d=Math.max(0,d-t.HORIZONTAL_EXTRA_PX),c+=this._revealHorizontalRightPadding;return{scrollLeft:this._computeMinimumScrolling(s,a,d,c),maxHorizontalOffset:o}},t.prototype._computeMinimumScrolling=function(e,t,n,i,o,r){o=!!o,r=!!r;var s=(t|=0)-(e|=0);return(i|=0)-(n|=0)<s?o?n:r?Math.max(0,i-s):n<e?n:i>t?Math.max(0,i-s):e:n},t.HORIZONTAL_EXTRA_PX=30,t}(s.ViewPart);t.ViewLines=p}),define(t[492],n([0,1,7,23,73,17,8,127,33,3,107,387,69,20,13,272]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g){"use strict";function m(e){return 2===e?4:4===e?6:1===e?2:3}function v(e){return 2===e?2:4===e?2:1}Object.defineProperty(t,"__esModule",{value:!0});var _=140,y=function(){function e(e){
var t=e.editor.pixelRatio,n=e.editor.layoutInfo,i=e.editor.viewInfo,o=e.editor.fontInfo;this.renderMinimap=0|n.renderMinimap,this.scrollBeyondLastLine=i.scrollBeyondLastLine,this.showSlider=i.minimap.showSlider,this.pixelRatio=t,this.typicalHalfwidthCharacterWidth=o.typicalHalfwidthCharacterWidth,this.lineHeight=e.editor.lineHeight,this.minimapLeft=n.minimapLeft,this.minimapWidth=n.minimapWidth,this.minimapHeight=n.height,this.canvasInnerWidth=Math.max(1,Math.floor(t*this.minimapWidth)),this.canvasInnerHeight=Math.max(1,Math.floor(t*this.minimapHeight)),this.canvasOuterWidth=this.canvasInnerWidth/t,this.canvasOuterHeight=this.canvasInnerHeight/t}return e.prototype.equals=function(e){
return this.renderMinimap===e.renderMinimap&&this.scrollBeyondLastLine===e.scrollBeyondLastLine&&this.showSlider===e.showSlider&&this.pixelRatio===e.pixelRatio&&this.typicalHalfwidthCharacterWidth===e.typicalHalfwidthCharacterWidth&&this.lineHeight===e.lineHeight&&this.minimapLeft===e.minimapLeft&&this.minimapWidth===e.minimapWidth&&this.minimapHeight===e.minimapHeight&&this.canvasInnerWidth===e.canvasInnerWidth&&this.canvasInnerHeight===e.canvasInnerHeight&&this.canvasOuterWidth===e.canvasOuterWidth&&this.canvasOuterHeight===e.canvasOuterHeight},e}(),C=function(){function e(e,t,n,i,o,r,s){this.scrollTop=e,this.scrollHeight=t,this._computedSliderRatio=n,this.sliderTop=i,this.sliderHeight=o,this.startLineNumber=r,this.endLineNumber=s}return e.prototype.getDesiredScrollTopFromDelta=function(e){var t=this.sliderTop+e;return Math.round(t/this._computedSliderRatio)},e.create=function(t,n,i,o,r,s,a,l,u){var d,c=t.pixelRatio,h=m(t.renderMinimap),p=Math.floor(t.canvasInnerHeight/h),f=t.lineHeight;if(r&&i!==s){
var g=i-n+1;d=Math.floor(g*h/c)}else{var v=o/f;d=Math.floor(v*h/c)}var _;_=t.scrollBeyondLastLine?(s-1)*h/c:Math.max(0,s*h/c-d);var y=(_=Math.min(t.minimapHeight-d,_))/(l-o),C=a*y;if(p>=s){return new e(a,l,y,C,d,b=1,S=s)}var b=Math.max(1,Math.floor(n-C*c/h));u&&u.scrollHeight===l&&(u.scrollTop>a&&(b=Math.min(b,u.startLineNumber)),u.scrollTop<a&&(b=Math.max(b,u.startLineNumber)));var S=Math.min(s,b+p-1);return new e(a,l,y,C,d,b,S)},e}(),b=function(){function e(e){this.dy=e}return e.prototype.onContentChanged=function(){this.dy=-1},e.prototype.onTokensChanged=function(){this.dy=-1},e.INVALID=new e(-1),e}(),S=function(){function e(e,t,n){this.renderedLayout=e,this._imageData=t,this._renderedLines=new l.RenderedLinesCollection(function(){return b.INVALID}),this._renderedLines._set(e.startLineNumber,n)}return e.prototype.linesEquals=function(e){if(this.renderedLayout.startLineNumber!==e.startLineNumber)return!1;if(this.renderedLayout.endLineNumber!==e.endLineNumber)return!1
;for(var t=this._renderedLines._get().lines,n=0,i=t.length;n<i;n++)if(-1===t[n].dy)return!1;return!0},e.prototype._get=function(){var e=this._renderedLines._get();return{imageData:this._imageData,rendLineNumberStart:e.rendLineNumberStart,lines:e.lines}},e.prototype.onLinesChanged=function(e){return this._renderedLines.onLinesChanged(e.fromLineNumber,e.toLineNumber)},e.prototype.onLinesDeleted=function(e){this._renderedLines.onLinesDeleted(e.fromLineNumber,e.toLineNumber)},e.prototype.onLinesInserted=function(e){this._renderedLines.onLinesInserted(e.fromLineNumber,e.toLineNumber)},e.prototype.onTokensChanged=function(e){return this._renderedLines.onTokensChanged(e.ranges)},e}(),w=function(){function e(t,n,i,o){this._backgroundFillData=e._createBackgroundFillData(n,i,o),this._buffers=[t.createImageData(n,i),t.createImageData(n,i)],this._lastUsedBuffer=0}return e.prototype.getBuffer=function(){this._lastUsedBuffer=1-this._lastUsedBuffer;var e=this._buffers[this._lastUsedBuffer]
;return e.data.set(this._backgroundFillData),e},e._createBackgroundFillData=function(e,t,n){for(var i=n.r,o=n.g,r=n.b,s=new Uint8ClampedArray(e*t*4),a=0,l=0;l<t;l++)for(var u=0;u<e;u++)s[a]=i,s[a+1]=o,s[a+2]=r,s[a+3]=255,a+=4;return s},e}(),E=function(e){function t(t){var o=e.call(this,t)||this;return o._options=new y(o._context.configuration),o._lastRenderData=null,o._buffers=null,o._domNode=i.createFastDomNode(document.createElement("div")),u.PartFingerprints.write(o._domNode,8),o._domNode.setClassName(o._getMinimapDomNodeClassName()),o._domNode.setPosition("absolute"),o._domNode.setAttribute("role","presentation"),o._domNode.setAttribute("aria-hidden","true"),o._shadow=i.createFastDomNode(document.createElement("div")),o._shadow.setClassName("minimap-shadow-hidden"),o._domNode.appendChild(o._shadow),o._canvas=i.createFastDomNode(document.createElement("canvas")),o._canvas.setPosition("absolute"),o._canvas.setLeft(0),o._domNode.appendChild(o._canvas),
o._slider=i.createFastDomNode(document.createElement("div")),o._slider.setPosition("absolute"),o._slider.setClassName("minimap-slider"),o._slider.setLayerHinting(!0),o._domNode.appendChild(o._slider),o._sliderHorizontal=i.createFastDomNode(document.createElement("div")),o._sliderHorizontal.setPosition("absolute"),o._sliderHorizontal.setClassName("minimap-slider-horizontal"),o._slider.appendChild(o._sliderHorizontal),o._tokensColorTracker=c.MinimapTokensColorTracker.getInstance(),o._applyLayout(),o._mouseDownListener=n.addStandardDisposableListener(o._canvas.domNode,"mousedown",function(e){e.preventDefault();var t=o._options.renderMinimap;if(0!==t&&o._lastRenderData){var n=m(t),i=o._options.pixelRatio*e.browserEvent.offsetY,r=Math.floor(i/n)+o._lastRenderData.renderedLayout.startLineNumber;r=Math.min(r,o._context.model.getLineCount()),o._context.privateViewEventBus.emit(new p.ViewRevealRangeRequestEvent(new d.Range(r,1,r,1),1,!1,0))}}),o._sliderMouseMoveMonitor=new r.GlobalMouseMoveMonitor,
o._sliderMouseDownListener=n.addStandardDisposableListener(o._slider.domNode,"mousedown",function(e){if(e.preventDefault(),e.leftButton&&o._lastRenderData){var t=e.posy,n=e.posx,i=o._lastRenderData.renderedLayout;o._slider.toggleClassName("active",!0),o._sliderMouseMoveMonitor.startMonitoring(r.standardMouseMoveMerger,function(e){var r=Math.abs(e.posx-n);if(s.isWindows&&r>_)o._context.viewLayout.setScrollPositionNow({scrollTop:i.scrollTop});else{var a=e.posy-t;o._context.viewLayout.setScrollPositionNow({scrollTop:i.getDesiredScrollTopFromDelta(a)})}},function(){o._slider.toggleClassName("active",!1)})}}),o}return o(t,e),t.prototype.dispose=function(){this._mouseDownListener.dispose(),this._sliderMouseMoveMonitor.dispose(),this._sliderMouseDownListener.dispose(),e.prototype.dispose.call(this)},t.prototype._getMinimapDomNodeClassName=function(){return"always"===this._options.showSlider?"minimap slider-always":"minimap slider-mouseover"},t.prototype.getDomNode=function(){return this._domNode},
t.prototype._applyLayout=function(){this._domNode.setLeft(this._options.minimapLeft),this._domNode.setWidth(this._options.minimapWidth),this._domNode.setHeight(this._options.minimapHeight),this._shadow.setHeight(this._options.minimapHeight),this._canvas.setWidth(this._options.canvasOuterWidth),this._canvas.setHeight(this._options.canvasOuterHeight),this._canvas.domNode.width=this._options.canvasInnerWidth,this._canvas.domNode.height=this._options.canvasInnerHeight,this._slider.setWidth(this._options.minimapWidth)},t.prototype._getBuffer=function(){return this._buffers||(this._buffers=new w(this._canvas.domNode.getContext("2d"),this._options.canvasInnerWidth,this._options.canvasInnerHeight,this._tokensColorTracker.getColor(2))),this._buffers.getBuffer()},t.prototype._onOptionsMaybeChanged=function(){var e=new y(this._context.configuration);return!this._options.equals(e)&&(this._options=e,this._lastRenderData=null,this._buffers=null,this._applyLayout(),
this._domNode.setClassName(this._getMinimapDomNodeClassName()),!0)},t.prototype.onConfigurationChanged=function(e){return this._onOptionsMaybeChanged()},t.prototype.onFlushed=function(e){return this._lastRenderData=null,!0},t.prototype.onLinesChanged=function(e){return!!this._lastRenderData&&this._lastRenderData.onLinesChanged(e)},t.prototype.onLinesDeleted=function(e){return this._lastRenderData&&this._lastRenderData.onLinesDeleted(e),!0},t.prototype.onLinesInserted=function(e){return this._lastRenderData&&this._lastRenderData.onLinesInserted(e),!0},t.prototype.onScrollChanged=function(e){return!0},t.prototype.onTokensChanged=function(e){return!!this._lastRenderData&&this._lastRenderData.onTokensChanged(e)},t.prototype.onTokensColorsChanged=function(e){return this._lastRenderData=null,this._buffers=null,!0},t.prototype.onZonesChanged=function(e){return this._lastRenderData=null,!0},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){
if(0===this._options.renderMinimap)return this._shadow.setClassName("minimap-shadow-hidden"),this._sliderHorizontal.setWidth(0),void this._sliderHorizontal.setHeight(0);e.scrollLeft+e.viewportWidth>=e.scrollWidth?this._shadow.setClassName("minimap-shadow-hidden"):this._shadow.setClassName("minimap-shadow-visible");var t=C.create(this._options,e.visibleRange.startLineNumber,e.visibleRange.endLineNumber,e.viewportHeight,e.viewportData.whitespaceViewportData.length>0,this._context.model.getLineCount(),e.scrollTop,e.scrollHeight,this._lastRenderData?this._lastRenderData.renderedLayout:null);this._slider.setTop(t.sliderTop),this._slider.setHeight(t.sliderHeight);var n=e.scrollLeft/this._options.typicalHalfwidthCharacterWidth,i=Math.min(this._options.minimapWidth,Math.round(n*v(this._options.renderMinimap)/this._options.pixelRatio));this._sliderHorizontal.setLeft(i),this._sliderHorizontal.setWidth(this._options.minimapWidth-i),this._sliderHorizontal.setTop(0),this._sliderHorizontal.setHeight(t.sliderHeight),
this._lastRenderData=this.renderLines(t)},t.prototype.renderLines=function(e){var n=this._options.renderMinimap,i=e.startLineNumber,o=e.endLineNumber,r=m(n);if(this._lastRenderData&&this._lastRenderData.linesEquals(e)){var s=this._lastRenderData._get();return new S(e,s.imageData,s.lines)}for(var a=this._getBuffer(),l=t._renderUntouchedLines(a,i,o,r,this._lastRenderData),u=l[0],d=l[1],c=l[2],p=this._context.model.getMinimapLinesRenderingData(i,o,c),f=p.tabSize,g=this._tokensColorTracker.getColor(2),v=this._tokensColorTracker.backgroundIsLight(),_=0,y=[],C=0,w=o-i+1;C<w;C++)c[C]&&t._renderLine(a,g,v,n,this._tokensColorTracker,h.getOrCreateMinimapCharRenderer(),_,f,p.data[C]),y[C]=new b(_),_+=r;var E=-1===u?0:u,L=(-1===d?a.height:d)-E;return this._canvas.domNode.getContext("2d").putImageData(a,0,0,0,E,a.width,L),new S(e,a,y)},t._renderUntouchedLines=function(e,t,n,i,o){var r=[];if(!o){for(var s=0,a=n-t+1;s<a;s++)r[s]=!0;return[-1,-1,r]}
for(var l=o._get(),u=l.imageData.data,d=l.rendLineNumberStart,c=l.lines,h=c.length,p=e.width,f=e.data,g=(n-t+1)*i*p*4,m=-1,v=-1,_=-1,y=-1,C=-1,b=-1,S=0,w=t;w<=n;w++){var E=w-t,L=w-d,x=L>=0&&L<h?c[L].dy:-1;if(-1!==x){var I=x*p*4,N=(x+i)*p*4,D=S*p*4,M=(S+i)*p*4;y===I&&b===D?(y=N,b=M):(-1!==_&&(f.set(u.subarray(_,y),C),-1===m&&0===_&&_===C&&(m=y),-1===v&&y===g&&_===C&&(v=_)),_=I,y=N,C=D,b=M),r[E]=!1,S+=i}else r[E]=!0,S+=i}-1!==_&&(f.set(u.subarray(_,y),C),-1===m&&0===_&&_===C&&(m=y),-1===v&&y===g&&_===C&&(v=_));return[-1===m?-1:m/(4*p),-1===v?-1:v/(4*p),r]},t._renderLine=function(e,t,n,i,o,r,s,l,u){for(var d=u.content,c=u.tokens,h=v(i),p=e.width-h,f=0,g=0,m=0,_=0,y=c.getCount();_<y;_++)for(var C=c.getEndOffset(_),b=c.getForeground(_),S=o.getColor(b);g<C;g++){if(f>p)return;var w=d.charCodeAt(g);if(9===w){var E=l-(g+m)%l;m+=E-1,f+=E*h
}else if(32===w)f+=h;else for(var L=a.isFullWidthCharacter(w)?2:1,x=0;x<L;x++)if(2===i?r.x2RenderChar(e,f,s,w,S,t,n):1===i?r.x1RenderChar(e,f,s,w,S,t,n):4===i?r.x2BlockRenderChar(e,f,s,S,t,n):r.x1BlockRenderChar(e,f,s,S,t,n),(f+=h)>p)return}},t}(u.ViewPart);t.Minimap=E,g.registerThemingParticipant(function(e,t){var n=e.getColor(f.scrollbarSliderBackground);if(n){var i=n.transparent(.5);t.addRule(".monaco-editor .minimap-slider, .monaco-editor .minimap-slider .minimap-slider-horizontal { background: "+i+"; }")}var o=e.getColor(f.scrollbarSliderHoverBackground);if(o){var r=o.transparent(.5);t.addRule(".monaco-editor .minimap-slider:hover, .monaco-editor .minimap-slider:hover .minimap-slider-horizontal { background: "+r+"; }")}var s=e.getColor(f.scrollbarSliderActiveBackground);if(s){var a=s.transparent(.5);t.addRule(".monaco-editor .minimap-slider.active, .monaco-editor .minimap-slider.active .minimap-slider-horizontal { background: "+a+"; }")}var l=e.getColor(f.scrollbarShadow)
;l&&t.addRule(".monaco-editor .minimap-shadow-visible { box-shadow: "+l+" -6px 0 6px -6px inset; }")})}),define(t[493],n([0,1,23,33,20,13,284]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var i=e.call(this,t)||this;return i._scrollTop=0,i._width=0,i._updateWidth(),i._shouldShow=!1,i._useShadows=i._context.configuration.editor.viewInfo.scrollbar.useShadows,i._domNode=n.createFastDomNode(document.createElement("div")),i._domNode.setAttribute("role","presentation"),i._domNode.setAttribute("aria-hidden","true"),i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype._updateShouldShow=function(){var e=this._useShadows&&this._scrollTop>0;return this._shouldShow!==e&&(this._shouldShow=e,!0)},t.prototype.getDomNode=function(){return this._domNode},t.prototype._updateWidth=function(){var e=this._context.configuration.editor.layoutInfo,t=0
;return t=0===e.renderMinimap||e.minimapWidth>0&&0===e.minimapLeft?e.width:e.width-e.minimapWidth-e.verticalScrollbarWidth,this._width!==t&&(this._width=t,!0)},t.prototype.onConfigurationChanged=function(e){var t=!1;return e.viewInfo&&(this._useShadows=this._context.configuration.editor.viewInfo.scrollbar.useShadows),e.layoutInfo&&(t=this._updateWidth()),this._updateShouldShow()||t},t.prototype.onScrollChanged=function(e){return this._scrollTop=e.scrollTop,this._updateShouldShow()},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){this._domNode.setWidth(this._width),this._domNode.setClassName(this._shouldShow?"scroll-decoration":"")},t}(i.ViewPart);t.ScrollDecorationViewPart=a,s.registerThemingParticipant(function(e,t){var n=e.getColor(r.scrollbarShadow);n&&t.addRule(".monaco-editor .scroll-decoration { box-shadow: "+n+" 0 6px 6px -6px inset; }")})}),define(t[494],n([0,1,29,61,20,13,286]),function(e,t,n,i,r,s){"use strict";function a(e){return new d(e)}function l(e){
return new c(e.lineNumber,e.ranges.map(a))}function u(e){return e<0?-e:e}Object.defineProperty(t,"__esModule",{value:!0});var d=function(){return function(e){this.left=e.left,this.width=e.width,this.startStyle=null,this.endStyle=null}}(),c=function(){return function(e,t){this.lineNumber=e,this.ranges=t}}(),h=n.isEdgeOrIE,p=function(e){function t(t){var n=e.call(this)||this;return n._previousFrameVisibleRangesWithStyle=[],n._context=t,n._lineHeight=n._context.configuration.editor.lineHeight,n._roundedSelection=n._context.configuration.editor.viewInfo.roundedSelection,n._typicalHalfwidthCharacterWidth=n._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,n._selections=[],n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),
e.viewInfo&&(this._roundedSelection=this._context.configuration.editor.viewInfo.roundedSelection),e.fontInfo&&(this._typicalHalfwidthCharacterWidth=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth),!0},t.prototype.onCursorStateChanged=function(e){return this._selections=e.selections.slice(0),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype._visibleRangesHaveGaps=function(e){for(var t=0,n=e.length;t<n;t++){if(e[t].ranges.length>1)return!0}return!1},t.prototype._enrichVisibleRangesWithStyle=function(e,t,n){var i=this._typicalHalfwidthCharacterWidth/4,o=null,r=null;if(n&&n.length>0&&t.length>0){var s=t[0].lineNumber
;if(s===e.startLineNumber)for(l=0;!o&&l<n.length;l++)n[l].lineNumber===s&&(o=n[l].ranges[0]);var a=t[t.length-1].lineNumber;if(a===e.endLineNumber)for(l=n.length-1;!r&&l>=0;l--)n[l].lineNumber===a&&(r=n[l].ranges[0]);o&&!o.startStyle&&(o=null),r&&!r.startStyle&&(r=null)}for(var l=0,d=t.length;l<d;l++){var c=t[l].ranges[0],h=c.left,p=c.left+c.width,f={top:0,bottom:0},g={top:0,bottom:0};if(l>0){var m=t[l-1].ranges[0].left,v=t[l-1].ranges[0].left+t[l-1].ranges[0].width;u(h-m)<i?f.top=2:h>m&&(f.top=1),u(p-v)<i?g.top=2:m<p&&p<v&&(g.top=1)}else o&&(f.top=o.startStyle.top,g.top=o.endStyle.top);if(l+1<d){var _=t[l+1].ranges[0].left,y=t[l+1].ranges[0].left+t[l+1].ranges[0].width;u(h-_)<i?f.bottom=2:_<h&&h<y&&(f.bottom=1),u(p-y)<i?g.bottom=2:p<y&&(g.bottom=1)}else r&&(f.bottom=r.startStyle.bottom,g.bottom=r.endStyle.bottom);c.startStyle=f,c.endStyle=g}},t.prototype._getVisibleRangesWithStyle=function(e,t,n){var i=(t.linesVisibleRangesForRange(e,!0)||[]).map(l),o=this._visibleRangesHaveGaps(i)
;return h||o||!this._roundedSelection||this._enrichVisibleRangesWithStyle(t.visibleRange,i,n),i},t.prototype._createSelectionPiece=function(e,t,n,i,o){return'<div class="cslr '+n+'" style="top:'+e.toString()+"px;left:"+i.toString()+"px;width:"+o.toString()+"px;height:"+t+'px;"></div>'},t.prototype._actualRenderOneSelection=function(e,n,i,o){for(var r=o.length>0&&o[0].ranges[0].startStyle,s=this._lineHeight.toString(),a=(this._lineHeight-1).toString(),l=o.length>0?o[0].lineNumber:0,u=o.length>0?o[o.length-1].lineNumber:0,d=0,c=o.length;d<c;d++){for(var h=o[d],p=h.lineNumber,f=p-n,g=i&&(p===u||p===l)?a:s,m=i&&p===l?1:0,v="",_=0,y=h.ranges.length;_<y;_++){var C=h.ranges[_];if(r){var b=C.startStyle,S=C.endStyle;if(1===b.top||1===b.bottom){v+=this._createSelectionPiece(m,g,t.SELECTION_CLASS_NAME,C.left-t.ROUNDED_PIECE_WIDTH,t.ROUNDED_PIECE_WIDTH);var w=t.EDITOR_BACKGROUND_CLASS_NAME;1===b.top&&(w+=" "+t.SELECTION_TOP_RIGHT),1===b.bottom&&(w+=" "+t.SELECTION_BOTTOM_RIGHT),
v+=this._createSelectionPiece(m,g,w,C.left-t.ROUNDED_PIECE_WIDTH,t.ROUNDED_PIECE_WIDTH)}if(1===S.top||1===S.bottom){v+=this._createSelectionPiece(m,g,t.SELECTION_CLASS_NAME,C.left+C.width,t.ROUNDED_PIECE_WIDTH);var E=t.EDITOR_BACKGROUND_CLASS_NAME;1===S.top&&(E+=" "+t.SELECTION_TOP_LEFT),1===S.bottom&&(E+=" "+t.SELECTION_BOTTOM_LEFT),v+=this._createSelectionPiece(m,g,E,C.left+C.width,t.ROUNDED_PIECE_WIDTH)}}var L=t.SELECTION_CLASS_NAME;if(r){var b=C.startStyle,S=C.endStyle;0===b.top&&(L+=" "+t.SELECTION_TOP_LEFT),0===b.bottom&&(L+=" "+t.SELECTION_BOTTOM_LEFT),0===S.top&&(L+=" "+t.SELECTION_TOP_RIGHT),0===S.bottom&&(L+=" "+t.SELECTION_BOTTOM_RIGHT)}v+=this._createSelectionPiece(m,g,L,C.left,C.width)}e[f]+=v}},t.prototype.prepareRender=function(e){for(var t=[],n=e.visibleRange.startLineNumber,i=e.visibleRange.endLineNumber,o=n;o<=i;o++){t[o-n]=""}for(var r=[],s=0,a=this._selections.length;s<a;s++){var l=this._selections[s];if(l.isEmpty())r[s]=null;else{
var u=this._getVisibleRangesWithStyle(l,e,this._previousFrameVisibleRangesWithStyle[s]);r[s]=u,this._actualRenderOneSelection(t,n,this._selections.length>1,u)}}this._previousFrameVisibleRangesWithStyle=r,this._renderResult=t},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;return n<0||n>=this._renderResult.length?"":this._renderResult[n]},t.SELECTION_CLASS_NAME="selected-text",t.SELECTION_TOP_LEFT="top-left-radius",t.SELECTION_BOTTOM_LEFT="bottom-left-radius",t.SELECTION_TOP_RIGHT="top-right-radius",t.SELECTION_BOTTOM_RIGHT="bottom-right-radius",t.EDITOR_BACKGROUND_CLASS_NAME="monaco-editor-background",t.ROUNDED_PIECE_WIDTH=10,t}(i.DynamicViewOverlay);t.SelectionsOverlay=p,s.registerThemingParticipant(function(e,t){var n=e.getColor(r.editorSelectionBackground);n&&t.addRule(".monaco-editor .focused .selected-text { background-color: "+n+"; }");var i=e.getColor(r.editorInactiveSelection);i&&t.addRule(".monaco-editor .selected-text { background-color: "+i+"; }")
;var o=e.getColor(r.editorSelectionForeground);o&&t.addRule(".monaco-editor .view-line span.inline-selected-text { color: "+o+"; }")})}),define(t[34],n([0,1,300,28,20,13]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.editorLineHighlight=o.registerColor("editor.lineHighlightBackground",{dark:null,light:null,hc:null},n.localize(0,null)),t.editorLineHighlightBorder=o.registerColor("editor.lineHighlightBorder",{dark:"#282828",light:"#eeeeee",hc:"#f38518"},n.localize(1,null)),t.editorRangeHighlight=o.registerColor("editor.rangeHighlightBackground",{dark:"#ffffff0b",light:"#fdff0033",hc:null},n.localize(2,null),!0),t.editorRangeHighlightBorder=o.registerColor("editor.rangeHighlightBorder",{dark:null,light:null,hc:o.activeContrastBorder},n.localize(3,null),!0),t.editorCursorForeground=o.registerColor("editorCursor.foreground",{dark:"#AEAFAD",light:i.Color.black,hc:i.Color.white},n.localize(4,null)),
t.editorCursorBackground=o.registerColor("editorCursor.background",null,n.localize(5,null)),t.editorWhitespaces=o.registerColor("editorWhitespace.foreground",{dark:"#e3e4e229",light:"#33333333",hc:"#e3e4e229"},n.localize(6,null)),t.editorIndentGuides=o.registerColor("editorIndentGuide.background",{dark:t.editorWhitespaces,light:t.editorWhitespaces,hc:t.editorWhitespaces},n.localize(7,null)),t.editorActiveIndentGuides=o.registerColor("editorIndentGuide.activeBackground",{dark:t.editorWhitespaces,light:t.editorWhitespaces,hc:t.editorWhitespaces},n.localize(8,null)),t.editorLineNumbers=o.registerColor("editorLineNumber.foreground",{dark:"#858585",light:"#237893",hc:i.Color.white},n.localize(9,null));var s=o.registerColor("editorActiveLineNumber.foreground",{dark:"#c6c6c6",light:"#0B216F",hc:o.activeContrastBorder},n.localize(10,null),!1,n.localize(11,null));t.editorActiveLineNumber=o.registerColor("editorLineNumber.activeForeground",{dark:s,light:s,hc:s},n.localize(12,null)),
t.editorRuler=o.registerColor("editorRuler.foreground",{dark:"#5A5A5A",light:i.Color.lightgrey,hc:i.Color.white},n.localize(13,null)),t.editorCodeLensForeground=o.registerColor("editorCodeLens.foreground",{dark:"#999999",light:"#999999",hc:"#999999"},n.localize(14,null)),t.editorBracketMatchBackground=o.registerColor("editorBracketMatch.background",{dark:"#0064001a",light:"#0064001a",hc:"#0064001a"},n.localize(15,null)),t.editorBracketMatchBorder=o.registerColor("editorBracketMatch.border",{dark:"#888",light:"#B9B9B9",hc:"#fff"},n.localize(16,null)),t.editorOverviewRulerBorder=o.registerColor("editorOverviewRuler.border",{dark:"#7f7f7f4d",light:"#7f7f7f4d",hc:"#7f7f7f4d"},n.localize(17,null)),t.editorGutter=o.registerColor("editorGutter.background",{dark:o.editorBackground,light:o.editorBackground,hc:o.editorBackground},n.localize(18,null)),t.editorErrorForeground=o.registerColor("editorError.foreground",{dark:"#ea4646",light:"#d60a0a",hc:null},n.localize(19,null)),
t.editorErrorBorder=o.registerColor("editorError.border",{dark:null,light:null,hc:i.Color.fromHex("#E47777").transparent(.8)},n.localize(20,null)),t.editorWarningForeground=o.registerColor("editorWarning.foreground",{dark:"#4d9e4d",light:"#117711",hc:null},n.localize(21,null)),t.editorWarningBorder=o.registerColor("editorWarning.border",{dark:null,light:null,hc:i.Color.fromHex("#71B771").transparent(.8)},n.localize(22,null)),t.editorInfoForeground=o.registerColor("editorInfo.foreground",{dark:"#008000",light:"#008000",hc:null},n.localize(23,null)),t.editorInfoBorder=o.registerColor("editorInfo.border",{dark:null,light:null,hc:i.Color.fromHex("#71B771").transparent(.8)},n.localize(24,null)),t.editorHintForeground=o.registerColor("editorHint.foreground",{dark:i.Color.fromHex("#eeeeee").transparent(.7),light:"#6c6c6c",hc:null},n.localize(25,null)),t.editorHintBorder=o.registerColor("editorHint.border",{dark:null,light:null,hc:i.Color.fromHex("#eeeeee").transparent(.8)},n.localize(26,null)),
t.editorUnnecessaryCodeBorder=o.registerColor("editorUnnecessaryCode.border",{dark:null,light:null,hc:i.Color.fromHex("#fff").transparent(.8)},n.localize(27,null)),t.editorUnnecessaryCodeOpacity=o.registerColor("editorUnnecessaryCode.opacity",{dark:i.Color.fromHex("#000a"),light:i.Color.fromHex("#0007"),hc:null},n.localize(28,null)),t.overviewRulerError=o.registerColor("editorOverviewRuler.errorForeground",{dark:new i.Color(new i.RGBA(255,18,18,.7)),light:new i.Color(new i.RGBA(255,18,18,.7)),hc:new i.Color(new i.RGBA(255,50,50,1))},n.localize(29,null)),t.overviewRulerWarning=o.registerColor("editorOverviewRuler.warningForeground",{dark:new i.Color(new i.RGBA(18,136,18,.7)),light:new i.Color(new i.RGBA(18,136,18,.7)),hc:new i.Color(new i.RGBA(50,255,50,1))},n.localize(30,null)),t.overviewRulerInfo=o.registerColor("editorOverviewRuler.infoForeground",{dark:new i.Color(new i.RGBA(18,18,136,.7)),light:new i.Color(new i.RGBA(18,18,136,.7)),hc:new i.Color(new i.RGBA(50,50,255,1))},n.localize(31,null)),
r.registerThemingParticipant(function(e,n){var i=e.getColor(o.editorBackground);i&&n.addRule(".monaco-editor, .monaco-editor-background, .monaco-editor .inputarea.ime-input { background-color: "+i+"; }");var r=e.getColor(o.editorForeground);r&&n.addRule(".monaco-editor, .monaco-editor .inputarea.ime-input { color: "+r+"; }");var s=e.getColor(t.editorGutter);s&&n.addRule(".monaco-editor .margin { background-color: "+s+"; }");var a=e.getColor(t.editorRangeHighlight);a&&n.addRule(".monaco-editor .rangeHighlight { background-color: "+a+"; }");var l=e.getColor(t.editorRangeHighlightBorder);l&&n.addRule(".monaco-editor .rangeHighlight { border: 1px "+("hc"===e.type?"dotted":"solid")+" "+l+"; }");var u=e.getColor(t.editorWhitespaces);u&&n.addRule(".vs-whitespace { color: "+u+" !important; }")})}),define(t[496],n([0,1,61,34,13,251]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(t){var n=e.call(this)||this;return n._context=t,
n._lineHeight=n._context.configuration.editor.lineHeight,n._renderLineHighlight=n._context.configuration.editor.viewInfo.renderLineHighlight,n._selectionIsEmpty=!0,n._primaryCursorLineNumber=1,n._scrollWidth=0,n._contentWidth=n._context.configuration.editor.layoutInfo.contentWidth,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo&&(this._renderLineHighlight=this._context.configuration.editor.viewInfo.renderLineHighlight),e.layoutInfo&&(this._contentWidth=this._context.configuration.editor.layoutInfo.contentWidth),!0},t.prototype.onCursorStateChanged=function(e){var t=!1,n=e.selections[0].positionLineNumber;this._primaryCursorLineNumber!==n&&(this._primaryCursorLineNumber=n,t=!0);var i=e.selections[0].isEmpty();return this._selectionIsEmpty!==i?(this._selectionIsEmpty=i,
t=!0,!0):t},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollWidthChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype.prepareRender=function(e){this._scrollWidth=e.scrollWidth},t.prototype.render=function(e,t){if(t===this._primaryCursorLineNumber){if(this._shouldShowCurrentLine()){return'<div class="'+("current-line"+(this._willRenderMarginCurrentLine()?" current-line-both":""))+'" style="width:'+String(Math.max(this._scrollWidth,this._contentWidth))+"px; height:"+String(this._lineHeight)+'px;"></div>'}return""}return""},t.prototype._shouldShowCurrentLine=function(){return("line"===this._renderLineHighlight||"all"===this._renderLineHighlight)&&this._selectionIsEmpty},t.prototype._willRenderMarginCurrentLine=function(){return"gutter"===this._renderLineHighlight||"all"===this._renderLineHighlight},t}(n.DynamicViewOverlay)
;t.CurrentLineHighlightOverlay=s,r.registerThemingParticipant(function(e,t){var n=e.getColor(i.editorLineHighlight);if(n&&t.addRule(".monaco-editor .view-overlays .current-line { background-color: "+n+"; }"),!n||n.isTransparent()||e.defines(i.editorLineHighlightBorder)){var o=e.getColor(i.editorLineHighlightBorder);o&&(t.addRule(".monaco-editor .view-overlays .current-line { border: 2px solid "+o+"; }"),"hc"===e.type&&t.addRule(".monaco-editor .view-overlays .current-line { border-width: 1px; }"))}})}),define(t[497],n([0,1,61,34,13,252]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._lineHeight=n._context.configuration.editor.lineHeight,n._renderLineHighlight=n._context.configuration.editor.viewInfo.renderLineHighlight,n._selectionIsEmpty=!0,n._primaryCursorLineNumber=1,n._contentLeft=n._context.configuration.editor.layoutInfo.contentLeft,n._context.addEventHandler(n),n}return o(t,e),
t.prototype.dispose=function(){this._context.removeEventHandler(this),e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo&&(this._renderLineHighlight=this._context.configuration.editor.viewInfo.renderLineHighlight),e.layoutInfo&&(this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft),!0},t.prototype.onCursorStateChanged=function(e){var t=!1,n=e.selections[0].positionLineNumber;this._primaryCursorLineNumber!==n&&(this._primaryCursorLineNumber=n,t=!0);var i=e.selections[0].isEmpty();return this._selectionIsEmpty!==i?(this._selectionIsEmpty=i,t=!0,!0):t},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onZonesChanged=function(e){return!0},t.prototype.prepareRender=function(e){},t.prototype.render=function(e,t){if(t===this._primaryCursorLineNumber){
var n="current-line";if(this._shouldShowCurrentLine()){n="current-line current-line-margin"+(this._willRenderContentCurrentLine()?" current-line-margin-both":"")}return'<div class="'+n+'" style="width:'+String(this._contentLeft)+"px; height:"+String(this._lineHeight)+'px;"></div>'}return""},t.prototype._shouldShowCurrentLine=function(){return"gutter"===this._renderLineHighlight||"all"===this._renderLineHighlight},t.prototype._willRenderContentCurrentLine=function(){return("line"===this._renderLineHighlight||"all"===this._renderLineHighlight)&&this._selectionIsEmpty},t}(n.DynamicViewOverlay);t.CurrentLineMarginHighlightOverlay=s,r.registerThemingParticipant(function(e,t){var n=e.getColor(i.editorLineHighlight);if(n)t.addRule(".monaco-editor .margin-view-overlays .current-line-margin { background-color: "+n+"; border: none; }");else{var o=e.getColor(i.editorLineHighlightBorder);o&&t.addRule(".monaco-editor .margin-view-overlays .current-line-margin { border: 2px solid "+o+"; }"),
"hc"===e.type&&t.addRule(".monaco-editor .margin-view-overlays .current-line-margin { border-width: 1px; }")}})}),define(t[498],n([0,1,61,12,34,13,262]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._primaryLineNumber=0,n._lineHeight=n._context.configuration.editor.lineHeight,n._spaceWidth=n._context.configuration.editor.fontInfo.spaceWidth,n._enabled=n._context.configuration.editor.viewInfo.renderIndentGuides,n._activeIndentEnabled=n._context.configuration.editor.viewInfo.highlightActiveIndentGuide,n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),
e.fontInfo&&(this._spaceWidth=this._context.configuration.editor.fontInfo.spaceWidth),e.viewInfo&&(this._enabled=this._context.configuration.editor.viewInfo.renderIndentGuides,this._activeIndentEnabled=this._context.configuration.editor.viewInfo.highlightActiveIndentGuide),!0},t.prototype.onCursorStateChanged=function(e){var t=e.selections[0],n=t.isEmpty()?t.positionLineNumber:0;return this._primaryLineNumber!==n&&(this._primaryLineNumber=n,!0)},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype.onLanguageConfigurationChanged=function(e){return!0},t.prototype.prepareRender=function(e){if(this._enabled){
var t=e.visibleRange.startLineNumber,n=e.visibleRange.endLineNumber,o=this._context.model.getTabSize()*this._spaceWidth,r=e.scrollWidth,s=this._lineHeight,a=o,l=this._context.model.getLinesIndentGuides(t,n),u=0,d=0,c=0;if(this._activeIndentEnabled&&this._primaryLineNumber){var h=this._context.model.getActiveIndentGuide(this._primaryLineNumber,t,n);u=h.startLineNumber,d=h.endLineNumber,c=h.indent}for(var p=[],f=t;f<=n;f++){for(var g=u<=f&&f<=d,m=f-t,v=l[m],_="",y=e.visibleRangeForPosition(new i.Position(f,1)),C=y?y.left:0,b=1;b<=v;b++){if(_+='<div class="'+(g&&b===c?"cigra":"cigr")+'" style="left:'+C+"px;height:"+s+"px;width:"+a+'px"></div>',(C+=o)>r)break}p[m]=_}this._renderResult=p}else this._renderResult=null},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;return n<0||n>=this._renderResult.length?"":this._renderResult[n]},t}(n.DynamicViewOverlay);t.IndentGuidesOverlay=a,s.registerThemingParticipant(function(e,t){var n=e.getColor(r.editorIndentGuides)
;n&&t.addRule(".monaco-editor .lines-content .cigr { box-shadow: 1px 0 0 0 "+n+" inset; }");var i=e.getColor(r.editorActiveIndentGuides)||n;i&&t.addRule(".monaco-editor .lines-content .cigra { box-shadow: 1px 0 0 0 "+i+" inset; }")})}),define(t[187],n([0,1,17,61,12,34,13,265]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._readConfig(),n._lastCursorModelPosition=new r.Position(1,1),n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype._readConfig=function(){var e=this._context.configuration.editor;this._lineHeight=e.lineHeight,this._renderLineNumbers=e.viewInfo.renderLineNumbers,this._renderCustomLineNumbers=e.viewInfo.renderCustomLineNumbers,this._lineNumbersLeft=e.layoutInfo.lineNumbersLeft,this._lineNumbersWidth=e.layoutInfo.lineNumbersWidth},t.prototype.dispose=function(){this._context.removeEventHandler(this),this._renderResult=null,e.prototype.dispose.call(this)
},t.prototype.onConfigurationChanged=function(e){return this._readConfig(),!0},t.prototype.onCursorStateChanged=function(e){var t=e.selections[0].getPosition();return this._lastCursorModelPosition=this._context.model.coordinatesConverter.convertViewPositionToModelPosition(t),2===this._renderLineNumbers||3===this._renderLineNumbers},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype._getLineRenderLineNumber=function(e){var t=this._context.model.coordinatesConverter.convertViewPositionToModelPosition(new r.Position(e,1));if(1!==t.column)return"";var n=t.lineNumber;if(this._renderCustomLineNumbers)return this._renderCustomLineNumbers(n);if(2===this._renderLineNumbers){var i=Math.abs(this._lastCursorModelPosition.lineNumber-n)
;return 0===i?'<span class="relative-current-line-number">'+n+"</span>":String(i)}return 3===this._renderLineNumbers?this._lastCursorModelPosition.lineNumber===n?String(n):n%10==0?String(n):"":String(n)},t.prototype.prepareRender=function(e){if(0!==this._renderLineNumbers){for(var i=n.isLinux?this._lineHeight%2==0?" lh-even":" lh-odd":"",o=e.visibleRange.startLineNumber,r=e.visibleRange.endLineNumber,s='<div class="'+t.CLASS_NAME+i+'" style="left:'+this._lineNumbersLeft.toString()+"px;width:"+this._lineNumbersWidth.toString()+'px;">',a=[],l=o;l<=r;l++){var u=l-o,d=this._getLineRenderLineNumber(l);a[u]=d?s+d+"</div>":""}this._renderResult=a}else this._renderResult=null},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;return n<0||n>=this._renderResult.length?"":this._renderResult[n]},t.CLASS_NAME="line-numbers",t}(i.DynamicViewOverlay);t.LineNumbersOverlay=l,a.registerThemingParticipant(function(e,t){var n=e.getColor(s.editorLineNumbers)
;n&&t.addRule(".monaco-editor .line-numbers { color: "+n+"; }");var i=e.getColor(s.editorActiveLineNumber);i&&t.addRule(".monaco-editor .current-line ~ .line-numbers { color: "+i+"; }")})}),define(t[500],n([0,1,29,23,17,8,57,150,173,33,187,168,80,12,3,21,69,250]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v){"use strict";function _(e,t){var i=document.createElement("canvas").getContext("2d");i.font=function(e){return function(e,t,n,i,o){return e+" normal "+t+" "+n+"px / "+i+"px "+o}("normal",e.fontWeight,e.fontSize,e.lineHeight,e.fontFamily)}(t);var o=i.measureText(e);return n.isFirefox?o.width+2:o.width}Object.defineProperty(t,"__esModule",{value:!0});var y=function(){function e(e,t,n){this.top=e,this.left=t,this.width=n}return e.prototype.setWidth=function(t){return new e(this.top,this.left,t)},e}(),C=n.isEdgeOrIE||n.isFirefox,b=function(){function e(){this._lastState=null}return e.prototype.set=function(e){this._lastState=e},e.prototype.get=function(e){
return this._lastState&&this._lastState.lastCopiedValue===e?this._lastState:(this._lastState=null,null)},e.INSTANCE=new e,e}(),S=function(e){function t(t,o,s){var a=e.call(this,t)||this;a._primaryCursorVisibleRange=null,a._viewController=o,a._viewHelper=s;var c=a._context.configuration.editor;a._accessibilitySupport=c.accessibilitySupport,a._contentLeft=c.layoutInfo.contentLeft,a._contentWidth=c.layoutInfo.contentWidth,a._contentHeight=c.layoutInfo.contentHeight,a._scrollLeft=0,a._scrollTop=0,a._fontInfo=c.fontInfo,a._lineHeight=c.lineHeight,a._emptySelectionClipboard=c.emptySelectionClipboard,a._copyWithSyntaxHighlighting=c.copyWithSyntaxHighlighting,a._visibleTextArea=null,a._selections=[new m.Selection(1,1,1,1)],a.textArea=i.createFastDomNode(document.createElement("textarea")),d.PartFingerprints.write(a.textArea,6),a.textArea.setClassName("inputarea"),a.textArea.setAttribute("wrap","off"),a.textArea.setAttribute("autocorrect","off"),a.textArea.setAttribute("autocapitalize","off"),
a.textArea.setAttribute("autocomplete","off"),a.textArea.setAttribute("spellcheck","false"),a.textArea.setAttribute("aria-label",c.viewInfo.ariaLabel),a.textArea.setAttribute("role","textbox"),a.textArea.setAttribute("aria-multiline","true"),a.textArea.setAttribute("aria-haspopup","false"),a.textArea.setAttribute("aria-autocomplete","both"),a.textAreaCover=i.createFastDomNode(document.createElement("div")),a.textAreaCover.setPosition("absolute");var h={getLineCount:function(){return a._context.model.getLineCount()},getLineMaxColumn:function(e){return a._context.model.getLineMaxColumn(e)},getValueInRange:function(e,t){return a._context.model.getValueInRange(e,t)}},p={getPlainTextToCopy:function(){var e=a._context.model.getPlainTextToCopy(a._selections,a._emptySelectionClipboard,r.isWindows),t=a._context.model.getEOL(),i=a._emptySelectionClipboard&&1===a._selections.length&&a._selections[0].isEmpty(),o=Array.isArray(e)?e:null,s=Array.isArray(e)?e.join(t):e,l=null;if(i||o){l={
lastCopiedValue:n.isFirefox?s.replace(/\r\n/g,"\n"):s,isFromEmptySelection:a._emptySelectionClipboard&&1===a._selections.length&&a._selections[0].isEmpty(),multicursorText:o}}return b.INSTANCE.set(l),s},getHTMLToCopy:function(){return a._copyWithSyntaxHighlighting||l.CopyOptions.forceCopyWithSyntaxHighlighting?a._context.model.getHTMLToCopy(a._selections,a._emptySelectionClipboard):null},getScreenReaderContent:function(e){if(n.isIPad)return u.TextAreaState.EMPTY;if(1===a._accessibilitySupport){if(r.isMacintosh){var t=a._selections[0];if(t.isEmpty()){var i=t.getStartPosition(),o=a._getWordBeforePosition(i);if(0===o.length&&(o=a._getCharacterBeforePosition(i)),o.length>0)return new u.TextAreaState(o,o.length,o.length,i,i)}}return u.TextAreaState.EMPTY}return u.PagedScreenReaderStrategy.fromEditorSelection(e,h,a._selections[0],0===a._accessibilitySupport)},deduceModelPosition:function(e,t,n){return a._context.model.deduceModelPositionRelativeToViewPosition(e,t,n)}}
;return a._textAreaInput=a._register(new l.TextAreaInput(p,a.textArea)),a._register(a._textAreaInput.onKeyDown(function(e){a._viewController.emitKeyDown(e)})),a._register(a._textAreaInput.onKeyUp(function(e){a._viewController.emitKeyUp(e)})),a._register(a._textAreaInput.onPaste(function(e){var t=b.INSTANCE.get(e.text),n=!1,i=null;t&&(n=a._emptySelectionClipboard&&t.isFromEmptySelection,i=t.multicursorText),a._viewController.paste("keyboard",e.text,n,i)})),a._register(a._textAreaInput.onCut(function(){a._viewController.cut("keyboard")})),a._register(a._textAreaInput.onType(function(e){e.replaceCharCnt?a._viewController.replacePreviousChar("keyboard",e.text,e.replaceCharCnt):a._viewController.type("keyboard",e.text)})),a._register(a._textAreaInput.onSelectionChangeRequest(function(e){a._viewController.setSelection("keyboard",e)})),a._register(a._textAreaInput.onCompositionStart(function(){var e=a._selections[0].startLineNumber,t=a._selections[0].startColumn
;a._context.privateViewEventBus.emit(new v.ViewRevealRangeRequestEvent(new g.Range(e,t,e,t),0,!0,1));var n=a._viewHelper.visibleRangeForPositionRelativeToEditor(e,t);n&&(a._visibleTextArea=new y(a._context.viewLayout.getVerticalOffsetForLineNumber(e),n.left,C?0:1),a._render()),a.textArea.setClassName("inputarea ime-input"),a._viewController.compositionStart("keyboard")})),a._register(a._textAreaInput.onCompositionUpdate(function(e){n.isEdgeOrIE?a._visibleTextArea=a._visibleTextArea.setWidth(0):a._visibleTextArea=a._visibleTextArea.setWidth(_(e.data,a._fontInfo)),a._render()})),a._register(a._textAreaInput.onCompositionEnd(function(){a._visibleTextArea=null,a._render(),a.textArea.setClassName("inputarea"),a._viewController.compositionEnd("keyboard")})),a._register(a._textAreaInput.onFocus(function(){a._context.privateViewEventBus.emit(new v.ViewFocusChangedEvent(!0))})),a._register(a._textAreaInput.onBlur(function(){a._context.privateViewEventBus.emit(new v.ViewFocusChangedEvent(!1))})),a}return o(t,e),
t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype._getWordBeforePosition=function(e){for(var t=this._context.model.getLineContent(e.lineNumber),n=p.getMapForWordSeparators(this._context.configuration.editor.wordSeparators),i=e.column,o=0;i>1;){var r=t.charCodeAt(i-2);if(0!==n.get(r)||o>50)return t.substring(i-1,e.column-1);o++,i--}return t.substring(0,e.column-1)},t.prototype._getCharacterBeforePosition=function(e){if(e.column>1){var t=this._context.model.getLineContent(e.lineNumber).charAt(e.column-2);if(!s.isHighSurrogate(t.charCodeAt(0)))return t}return""},t.prototype.onConfigurationChanged=function(e){var t=this._context.configuration.editor;return e.fontInfo&&(this._fontInfo=t.fontInfo),e.viewInfo&&this.textArea.setAttribute("aria-label",t.viewInfo.ariaLabel),e.layoutInfo&&(this._contentLeft=t.layoutInfo.contentLeft,this._contentWidth=t.layoutInfo.contentWidth,this._contentHeight=t.layoutInfo.contentHeight),e.lineHeight&&(this._lineHeight=t.lineHeight),
e.accessibilitySupport&&(this._accessibilitySupport=t.accessibilitySupport,this._textAreaInput.writeScreenReaderContent("strategy changed")),e.emptySelectionClipboard&&(this._emptySelectionClipboard=t.emptySelectionClipboard),e.copyWithSyntaxHighlighting&&(this._copyWithSyntaxHighlighting=t.copyWithSyntaxHighlighting),!0},t.prototype.onCursorStateChanged=function(e){return this._selections=e.selections.slice(0),this._textAreaInput.writeScreenReaderContent("selection changed"),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return this._scrollLeft=e.scrollLeft,this._scrollTop=e.scrollTop,!0},t.prototype.onZonesChanged=function(e){return!0},t.prototype.isFocused=function(){return this._textAreaInput.isFocused()},t.prototype.focusTextArea=function(){
this._textAreaInput.focusTextArea()},t.prototype.prepareRender=function(e){if(2===this._accessibilitySupport)this._primaryCursorVisibleRange=null;else{var t=new f.Position(this._selections[0].positionLineNumber,this._selections[0].positionColumn);this._primaryCursorVisibleRange=e.visibleRangeForPosition(t)}},t.prototype.render=function(e){this._textAreaInput.writeScreenReaderContent("render"),this._render()},t.prototype._render=function(){if(this._visibleTextArea)this._renderInsideEditor(this._visibleTextArea.top-this._scrollTop,this._contentLeft+this._visibleTextArea.left-this._scrollLeft,this._visibleTextArea.width,this._lineHeight,!0);else if(this._primaryCursorVisibleRange){var e=this._contentLeft+this._primaryCursorVisibleRange.left-this._scrollLeft;if(e<this._contentLeft||e>this._contentLeft+this._contentWidth)this._renderAtTopLeft();else{var t=this._context.viewLayout.getVerticalOffsetForLineNumber(this._selections[0].positionLineNumber)-this._scrollTop
;t<0||t>this._contentHeight?this._renderAtTopLeft():this._renderInsideEditor(t,e,C?0:1,C?0:1,!1)}}else this._renderAtTopLeft()},t.prototype._renderInsideEditor=function(e,t,n,i,o){var r=this.textArea,s=this.textAreaCover;o?a.Configuration.applyFontInfo(r,this._fontInfo):(r.setFontSize(1),r.setLineHeight(this._fontInfo.lineHeight)),r.setTop(e),r.setLeft(t),r.setWidth(n),r.setHeight(i),s.setTop(0),s.setLeft(0),s.setWidth(0),s.setHeight(0)},t.prototype._renderAtTopLeft=function(){var e=this.textArea,t=this.textAreaCover;if(a.Configuration.applyFontInfo(e,this._fontInfo),e.setTop(0),e.setLeft(0),t.setTop(0),t.setLeft(0),C)return e.setWidth(0),e.setHeight(0),t.setWidth(0),void t.setHeight(0);e.setWidth(1),e.setHeight(1),t.setWidth(1),t.setHeight(1),
this._context.configuration.editor.viewInfo.glyphMargin?t.setClassName("monaco-editor-background textAreaCover "+h.Margin.OUTER_CLASS_NAME):0!==this._context.configuration.editor.viewInfo.renderLineNumbers?t.setClassName("monaco-editor-background textAreaCover "+c.LineNumbersOverlay.CLASS_NAME):t.setClassName("monaco-editor-background textAreaCover")},t}(d.ViewPart);t.TextAreaHandler=S}),define(t[501],n([0,1,23,28,33,12,14,34]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e,t){this.lineHeight=e.editor.lineHeight,this.pixelRatio=e.editor.pixelRatio,this.overviewRulerLanes=e.editor.viewInfo.overviewRulerLanes,this.renderBorder=e.editor.viewInfo.overviewRulerBorder;var n=t.getColor(l.editorOverviewRulerBorder);this.borderColor=n?n.toString():null,this.hideCursor=e.editor.viewInfo.hideCursorInOverviewRuler;var o=t.getColor(l.editorCursorForeground);this.cursorColor=o?o.transparent(.7).toString():null,this.themeType=t.type
;var r=e.editor.viewInfo.minimap.enabled,s=e.editor.viewInfo.minimap.side,u=r?a.TokenizationRegistry.getDefaultBackground():null;this.backgroundColor=null===u||"left"===s?null:i.Color.Format.CSS.formatHex(u);var d=e.editor.layoutInfo.overviewRuler;this.top=d.top,this.right=d.right,this.domWidth=d.width,this.domHeight=d.height,this.canvasWidth=this.domWidth*this.pixelRatio|0,this.canvasHeight=this.domHeight*this.pixelRatio|0;var c=this._initLanes(1,this.canvasWidth,this.overviewRulerLanes),h=c[0],p=c[1];this.x=h,this.w=p}return e.prototype._initLanes=function(e,t,n){var i=t-e;if(n>=3){var o=i-(s=Math.floor(i/3))-(a=Math.floor(i/3)),r=(l=e)+s;return[[0,l,r,l,u=l+s+o,l,r,l],[0,s,o,s+o,a,s+o+a,o+a,s+o+a]]}if(2===n){var s=Math.floor(i/2),a=i-s,l=e,u=l+s;return[[0,l,l,l,u,l,l,l],[0,s,s,s,a,s+a,s+a,s+a]]}var d=e,c=i;return[[0,d,d,d,d,d,d,d],[0,c,c,c,c,c,c,c]]},e.prototype.equals=function(e){
return this.lineHeight===e.lineHeight&&this.pixelRatio===e.pixelRatio&&this.overviewRulerLanes===e.overviewRulerLanes&&this.renderBorder===e.renderBorder&&this.borderColor===e.borderColor&&this.hideCursor===e.hideCursor&&this.cursorColor===e.cursorColor&&this.themeType===e.themeType&&this.backgroundColor===e.backgroundColor&&this.top===e.top&&this.right===e.right&&this.domWidth===e.domWidth&&this.domHeight===e.domHeight&&this.canvasWidth===e.canvasWidth&&this.canvasHeight===e.canvasHeight},e}(),d=function(e){function t(t){var i=e.call(this,t)||this;return i._domNode=n.createFastDomNode(document.createElement("canvas")),i._domNode.setClassName("decorationsOverviewRuler"),i._domNode.setPosition("absolute"),i._domNode.setLayerHinting(!0),i._domNode.setAttribute("aria-hidden","true"),i._updateSettings(!1),i._tokensColorTrackerListener=a.TokenizationRegistry.onDidChange(function(e){e.changedColorMap&&i._updateSettings(!0)}),i._cursorPositions=[],i}return o(t,e),t.prototype.dispose=function(){
e.prototype.dispose.call(this),this._tokensColorTrackerListener.dispose()},t.prototype._updateSettings=function(e){var t=new u(this._context.configuration,this._context.theme);return(!this._settings||!this._settings.equals(t))&&(this._settings=t,this._domNode.setTop(this._settings.top),this._domNode.setRight(this._settings.right),this._domNode.setWidth(this._settings.domWidth),this._domNode.setHeight(this._settings.domHeight),this._domNode.domNode.width=this._settings.canvasWidth,this._domNode.domNode.height=this._settings.canvasHeight,e&&this._render(),!0)},t.prototype.onConfigurationChanged=function(e){return this._updateSettings(!1)},t.prototype.onCursorStateChanged=function(e){this._cursorPositions=[];for(var t=0,n=e.selections.length;t<n;t++)this._cursorPositions[t]=e.selections[t].getPosition();return this._cursorPositions.sort(s.Position.compare),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onScrollChanged=function(e){
return e.scrollHeightChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype.onThemeChanged=function(e){return this._context.model.invalidateOverviewRulerColorCache(),this._updateSettings(!1)},t.prototype.getDomNode=function(){return this._domNode.domNode},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){this._render()},t.prototype._render=function(){var e=this._settings.canvasWidth,t=this._settings.canvasHeight,n=this._settings.lineHeight,i=this._context.viewLayout,o=t/this._context.viewLayout.getScrollHeight(),r=this._context.model.getAllOverviewRulerDecorations(this._context.theme),s=6*this._settings.pixelRatio|0,a=s/2|0,l=this._domNode.domNode.getContext("2d");null===this._settings.backgroundColor?l.clearRect(0,0,e,t):(l.fillStyle=this._settings.backgroundColor,l.fillRect(0,0,e,t));var u=this._settings.x,d=this._settings.w,c=Object.keys(r);c.sort();for(var h=0,p=c.length;h<p;h++){var f=c[h],g=r[f];l.fillStyle=f;for(var m=0,v=0,_=0,y=0,C=g.length;y<C;y++){
var b=g[3*y],S=g[3*y+1],w=g[3*y+2],E=i.getVerticalOffsetForLineNumber(S)*o|0;if((k=(i.getVerticalOffsetForLineNumber(w)+n)*o|0)-E<s){(M=(E+k)/2|0)<a?M=a:M+a>t&&(M=t-a),E=M-a,k=M+a}E>_+1||b!==m?(0!==y&&l.fillRect(u[m],v,d[m],_-v),m=b,v=E,_=k):k>_&&(_=k)}l.fillRect(u[m],v,d[m],_-v)}if(!this._settings.hideCursor&&this._settings.cursorColor){var L=2*this._settings.pixelRatio|0,x=L/2|0,I=this._settings.x[7],N=this._settings.w[7];l.fillStyle=this._settings.cursorColor;for(var v=-100,_=-100,y=0,C=this._cursorPositions.length;y<C;y++){var D=this._cursorPositions[y],M=i.getVerticalOffsetForLineNumber(D.lineNumber)*o|0;M<x?M=x:M+x>t&&(M=t-x);var k=(E=M-x)+L;E>_+1?(0!==y&&l.fillRect(I,v,N,_-v),v=E,_=k):k>_&&(_=k)}l.fillRect(I,v,N,_-v)}this._settings.renderBorder&&this._settings.borderColor&&this._settings.overviewRulerLanes>0&&(l.beginPath(),l.lineWidth=1,l.strokeStyle=this._settings.borderColor,l.moveTo(0,0),l.lineTo(0,t),l.stroke(),l.moveTo(0,0),l.lineTo(e,0),l.stroke())},t}(r.ViewPart);t.DecorationsOverviewRuler=d}),
define(t[502],n([0,1,23,33,34,13,281]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var i=e.call(this,t)||this;return i.domNode=n.createFastDomNode(document.createElement("div")),i.domNode.setAttribute("role","presentation"),i.domNode.setAttribute("aria-hidden","true"),i.domNode.setClassName("view-rulers"),i._renderedRulers=[],i._rulers=i._context.configuration.editor.viewInfo.rulers,i._typicalHalfwidthCharacterWidth=i._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return!!(e.viewInfo||e.layoutInfo||e.fontInfo)&&(this._rulers=this._context.configuration.editor.viewInfo.rulers,this._typicalHalfwidthCharacterWidth=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,!0)},t.prototype.onScrollChanged=function(e){return e.scrollHeightChanged},
t.prototype.prepareRender=function(e){},t.prototype._ensureRulersCount=function(){var e=this._renderedRulers.length,t=this._rulers.length;if(e!==t)if(e<t)for(var i=this._context.model.getTabSize(),o=t-e;o>0;){(s=n.createFastDomNode(document.createElement("div"))).setClassName("view-ruler"),s.setWidth(i),this.domNode.appendChild(s),this._renderedRulers.push(s),o--}else for(var r=e-t;r>0;){var s=this._renderedRulers.pop();this.domNode.removeChild(s),r--}},t.prototype.render=function(e){this._ensureRulersCount();for(var t=0,n=this._rulers.length;t<n;t++){var i=this._renderedRulers[t];i.setHeight(Math.min(e.scrollHeight,1e6)),i.setLeft(this._rulers[t]*this._typicalHalfwidthCharacterWidth)}},t}(i.ViewPart);t.Rulers=a,s.registerThemingParticipant(function(e,t){var n=e.getColor(r.editorRuler);n&&t.addRule(".monaco-editor .view-ruler { box-shadow: 1px 0 0 0 "+n+" inset; }")})}),define(t[503],n([0,1,23,16,33,434,48,34,13,295]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0})
;var d=function(e){function t(t){var o=e.call(this,t)||this;return o._readOnly=o._context.configuration.editor.readOnly,o._cursorBlinking=o._context.configuration.editor.viewInfo.cursorBlinking,o._cursorStyle=o._context.configuration.editor.viewInfo.cursorStyle,o._selectionIsEmpty=!0,o._primaryCursor=new s.ViewCursor(o._context),o._secondaryCursors=[],o._renderData=[],o._domNode=n.createFastDomNode(document.createElement("div")),o._domNode.setAttribute("role","presentation"),o._domNode.setAttribute("aria-hidden","true"),o._updateDomClassName(),o._domNode.appendChild(o._primaryCursor.getDomNode()),o._startCursorBlinkAnimation=new i.TimeoutTimer,o._cursorFlatBlinkInterval=new i.IntervalTimer,o._blinkingEnabled=!1,o._editorHasFocus=!1,o._updateBlinking(),o}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._startCursorBlinkAnimation.dispose(),this._cursorFlatBlinkInterval.dispose()},t.prototype.getDomNode=function(){return this._domNode},
t.prototype.onConfigurationChanged=function(e){e.readOnly&&(this._readOnly=this._context.configuration.editor.readOnly),e.viewInfo&&(this._cursorBlinking=this._context.configuration.editor.viewInfo.cursorBlinking,this._cursorStyle=this._context.configuration.editor.viewInfo.cursorStyle),this._primaryCursor.onConfigurationChanged(e),this._updateBlinking(),e.viewInfo&&this._updateDomClassName();for(var t=0,n=this._secondaryCursors.length;t<n;t++)this._secondaryCursors[t].onConfigurationChanged(e);return!0},t.prototype._onCursorPositionChanged=function(e,t){if(this._primaryCursor.onCursorPositionChanged(e),this._updateBlinking(),this._secondaryCursors.length<t.length)for(var n=t.length-this._secondaryCursors.length,i=0;i<n;i++){var o=new s.ViewCursor(this._context);this._domNode.domNode.insertBefore(o.getDomNode().domNode,this._primaryCursor.getDomNode().domNode.nextSibling),this._secondaryCursors.push(o)
}else if(this._secondaryCursors.length>t.length)for(var r=this._secondaryCursors.length-t.length,i=0;i<r;i++)this._domNode.removeChild(this._secondaryCursors[0].getDomNode()),this._secondaryCursors.splice(0,1);for(i=0;i<t.length;i++)this._secondaryCursors[i].onCursorPositionChanged(t[i])},t.prototype.onCursorStateChanged=function(e){for(var t=[],n=0,i=e.selections.length;n<i;n++)t[n]=e.selections[n].getPosition();this._onCursorPositionChanged(t[0],t.slice(1));var o=e.selections[0].isEmpty();return this._selectionIsEmpty!==o&&(this._selectionIsEmpty=o,this._updateDomClassName()),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onFocusChanged=function(e){return this._editorHasFocus=e.isFocused,this._updateBlinking(),!1},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return!0},
t.prototype.onTokensChanged=function(e){var t=function(t){for(var n=0,i=e.ranges.length;n<i;n++)if(e.ranges[n].fromLineNumber<=t.lineNumber&&t.lineNumber<=e.ranges[n].toLineNumber)return!0;return!1};if(t(this._primaryCursor.getPosition()))return!0;for(var n=0;n<this._secondaryCursors.length;n++)if(t(this._secondaryCursors[n].getPosition()))return!0;return!1},t.prototype.onZonesChanged=function(e){return!0},t.prototype._getCursorBlinking=function(){return this._editorHasFocus?this._readOnly?5:this._cursorBlinking:0},t.prototype._updateBlinking=function(){var e=this;this._startCursorBlinkAnimation.cancel(),this._cursorFlatBlinkInterval.cancel();var n=this._getCursorBlinking(),i=0===n,o=5===n;i?this._hide():this._show(),this._blinkingEnabled=!1,this._updateDomClassName(),i||o||(1===n?this._cursorFlatBlinkInterval.cancelAndSet(function(){e._isVisible?e._hide():e._show()},t.BLINK_INTERVAL):this._startCursorBlinkAnimation.setIfNotSet(function(){e._blinkingEnabled=!0,e._updateDomClassName()},t.BLINK_INTERVAL))},
t.prototype._updateDomClassName=function(){this._domNode.setClassName(this._getClassName())},t.prototype._getClassName=function(){var e="cursors-layer";switch(this._selectionIsEmpty||(e+=" has-selection"),this._cursorStyle){case a.TextEditorCursorStyle.Line:e+=" cursor-line-style";break;case a.TextEditorCursorStyle.Block:e+=" cursor-block-style";break;case a.TextEditorCursorStyle.Underline:e+=" cursor-underline-style";break;case a.TextEditorCursorStyle.LineThin:e+=" cursor-line-thin-style";break;case a.TextEditorCursorStyle.BlockOutline:e+=" cursor-block-outline-style";break;case a.TextEditorCursorStyle.UnderlineThin:e+=" cursor-underline-thin-style";break;default:e+=" cursor-line-style"}if(this._blinkingEnabled)switch(this._getCursorBlinking()){case 1:e+=" cursor-blink";break;case 2:e+=" cursor-smooth";break;case 3:e+=" cursor-phase";break;case 4:e+=" cursor-expand";break;case 5:e+=" cursor-solid";break;default:e+=" cursor-solid"}else e+=" cursor-solid";return e},t.prototype._show=function(){
this._primaryCursor.show();for(var e=0,t=this._secondaryCursors.length;e<t;e++)this._secondaryCursors[e].show();this._isVisible=!0},t.prototype._hide=function(){this._primaryCursor.hide();for(var e=0,t=this._secondaryCursors.length;e<t;e++)this._secondaryCursors[e].hide();this._isVisible=!1},t.prototype.prepareRender=function(e){this._primaryCursor.prepareRender(e);for(var t=0,n=this._secondaryCursors.length;t<n;t++)this._secondaryCursors[t].prepareRender(e)},t.prototype.render=function(e){var t=[],n=0,i=this._primaryCursor.render(e);i&&(t[n++]=i);for(var o=0,r=this._secondaryCursors.length;o<r;o++){var s=this._secondaryCursors[o].render(e);s&&(t[n++]=s)}this._renderData=t},t.prototype.getLastRenderData=function(){return this._renderData},t.BLINK_INTERVAL=500,t}(r.ViewPart);t.ViewCursors=d,u.registerThemingParticipant(function(e,t){var n=e.getColor(l.editorCursorForeground);if(n){var i=e.getColor(l.editorCursorBackground);i||(i=n.opposite()),
t.addRule(".monaco-editor .cursor { background-color: "+n+"; border-color: "+n+"; color: "+i+"; }"),"hc"===e.type&&t.addRule(".monaco-editor .cursors-layer.has-selection .cursor { border-left: 1px solid "+i+"; border-right: 1px solid "+i+"; }")}})}),define(t[504],n([0,1,7,23,11,489,500,446,433,33,222,496,497,223,485,136,498,187,491,225,168,227,492,228,501,229,502,493,494,503,230,12,83,208,209,69,213,79,13]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,I,N,D,M,k,T,R,O,P,A,F,W,V){"use strict";function H(e){try{return e()}catch(e){r.onUnexpectedError(e)}}Object.defineProperty(t,"__esModule",{value:!0});var B=function(){throw new Error("Invalid change accessor")},z=function(e){function t(t,n,i,o,r,u){var d=e.call(this)||this;d._cursor=r,d._renderAnimationFrame=null,d.outgoingEvents=u;var c=new l.ViewController(n,o,d.outgoingEvents,t);return d.eventDispatcher=new P.ViewEventDispatcher(function(e){return d._renderOnce(e)}),d.eventDispatcher.addEventHandler(d),
d._context=new O.ViewContext(n,i.getTheme(),o,d.eventDispatcher),d._register(i.onThemeChange(function(e){d._context.theme=e,d.eventDispatcher.emit(new A.ViewThemeChangedEvent),d.render(!0,!1)})),d.viewParts=[],d._textAreaHandler=new a.TextAreaHandler(d._context,c,d.createTextAreaHandlerHelper()),d.viewParts.push(d._textAreaHandler),d.createViewParts(),d._setLayout(),d.pointerHandler=new s.PointerHandler(d._context,c,d.createPointerHandlerHelper()),d._register(o.addEventListener(function(e){d.eventDispatcher.emitMany(e)})),d._register(d._cursor.addEventListener(function(e){d.eventDispatcher.emitMany(e)})),d}return o(t,e),t.prototype.createViewParts=function(){this.linesContent=i.createFastDomNode(document.createElement("div")),this.linesContent.setClassName("lines-content monaco-editor-background"),this.linesContent.setPosition("absolute"),this.domNode=i.createFastDomNode(document.createElement("div")),this.domNode.setClassName(this.getEditorClassName()),
this.overflowGuardContainer=i.createFastDomNode(document.createElement("div")),d.PartFingerprints.write(this.overflowGuardContainer,3),this.overflowGuardContainer.setClassName("overflow-guard"),this._scrollbar=new g.EditorScrollbar(this._context,this.linesContent,this.domNode,this.overflowGuardContainer),this.viewParts.push(this._scrollbar),this.viewLines=new y.ViewLines(this._context,this.linesContent),this.viewZones=new k.ViewZones(this._context),this.viewParts.push(this.viewZones);var e=new L.DecorationsOverviewRuler(this._context);this.viewParts.push(e);var t=new N.ScrollDecorationViewPart(this._context);this.viewParts.push(t);var n=new u.ContentViewOverlays(this._context);this.viewParts.push(n),n.addDynamicOverlay(new h.CurrentLineHighlightOverlay(this._context)),n.addDynamicOverlay(new D.SelectionsOverlay(this._context)),n.addDynamicOverlay(new v.IndentGuidesOverlay(this._context)),n.addDynamicOverlay(new f.DecorationsOverlay(this._context));var o=new u.MarginViewOverlays(this._context)
;this.viewParts.push(o),o.addDynamicOverlay(new p.CurrentLineMarginHighlightOverlay(this._context)),o.addDynamicOverlay(new m.GlyphMarginOverlay(this._context)),o.addDynamicOverlay(new S.MarginViewLineDecorationsOverlay(this._context)),o.addDynamicOverlay(new C.LinesDecorationsOverlay(this._context)),o.addDynamicOverlay(new _.LineNumbersOverlay(this._context));var r=new b.Margin(this._context);r.getDomNode().appendChild(this.viewZones.marginDomNode),r.getDomNode().appendChild(o.getDomNode()),this.viewParts.push(r),this.contentWidgets=new c.ViewContentWidgets(this._context,this.domNode),this.viewParts.push(this.contentWidgets),this.viewCursors=new M.ViewCursors(this._context),this.viewParts.push(this.viewCursors),this.overlayWidgets=new E.ViewOverlayWidgets(this._context),this.viewParts.push(this.overlayWidgets);var s=new I.Rulers(this._context);this.viewParts.push(s);var a=new w.Minimap(this._context);if(this.viewParts.push(a),e){var l=this._scrollbar.getOverviewRulerLayoutInfo()
;l.parent.insertBefore(e.getDomNode(),l.insertBefore)}this.linesContent.appendChild(n.getDomNode()),this.linesContent.appendChild(s.domNode),this.linesContent.appendChild(this.viewZones.domNode),this.linesContent.appendChild(this.viewLines.getDomNode()),this.linesContent.appendChild(this.contentWidgets.domNode),this.linesContent.appendChild(this.viewCursors.getDomNode()),this.overflowGuardContainer.appendChild(r.getDomNode()),this.overflowGuardContainer.appendChild(this._scrollbar.getDomNode()),this.overflowGuardContainer.appendChild(t.getDomNode()),this.overflowGuardContainer.appendChild(this._textAreaHandler.textArea),this.overflowGuardContainer.appendChild(this._textAreaHandler.textAreaCover),this.overflowGuardContainer.appendChild(this.overlayWidgets.getDomNode()),this.overflowGuardContainer.appendChild(a.getDomNode()),this.domNode.appendChild(this.overflowGuardContainer),this.domNode.appendChild(this.contentWidgets.overflowingContentWidgetsDomNode)},t.prototype._flushAccumulatedAndRenderNow=function(){
this._renderNow()},t.prototype.createPointerHandlerHelper=function(){var e=this;return{viewDomNode:this.domNode.domNode,linesContentDomNode:this.linesContent.domNode,focusTextArea:function(){e.focus()},getLastViewCursorsRenderData:function(){return e.viewCursors.getLastRenderData()||[]},shouldSuppressMouseDownOnViewZone:function(t){return e.viewZones.shouldSuppressMouseDownOnViewZone(t)},shouldSuppressMouseDownOnWidget:function(t){return e.contentWidgets.shouldSuppressMouseDownOnWidget(t)},getPositionFromDOMInfo:function(t,n){return e._flushAccumulatedAndRenderNow(),e.viewLines.getPositionFromDOMInfo(t,n)},visibleRangeForPosition2:function(t,n){return e._flushAccumulatedAndRenderNow(),e.viewLines.visibleRangeForPosition(new T.Position(t,n))},getLineWidth:function(t){return e._flushAccumulatedAndRenderNow(),e.viewLines.getLineWidth(t)}}},t.prototype.createTextAreaHandlerHelper=function(){var e=this;return{visibleRangeForPositionRelativeToEditor:function(t,n){return e._flushAccumulatedAndRenderNow(),
e.viewLines.visibleRangeForPosition(new T.Position(t,n))}}},t.prototype._setLayout=function(){var e=this._context.configuration.editor.layoutInfo;this.domNode.setWidth(e.width),this.domNode.setHeight(e.height),this.overflowGuardContainer.setWidth(e.width),this.overflowGuardContainer.setHeight(e.height),this.linesContent.setWidth(1e6),this.linesContent.setHeight(1e6)},t.prototype.getEditorClassName=function(){var e=this._textAreaHandler.isFocused()?" focused":"";return this._context.configuration.editor.editorClassName+" "+V.getThemeTypeSelector(this._context.theme.type)+e},t.prototype.onConfigurationChanged=function(e){return e.editorClassName&&this.domNode.setClassName(this.getEditorClassName()),e.layoutInfo&&this._setLayout(),!1},t.prototype.onFocusChanged=function(e){return this.domNode.setClassName(this.getEditorClassName()),this._context.model.setHasFocus(e.isFocused),e.isFocused?this.outgoingEvents.emitViewFocusGained():this.outgoingEvents.emitViewFocusLost(),!1},t.prototype.onScrollChanged=function(e){
return this.outgoingEvents.emitScrollChanged(e),!1},t.prototype.onThemeChanged=function(e){return this.domNode.setClassName(this.getEditorClassName()),!1},t.prototype.dispose=function(){null!==this._renderAnimationFrame&&(this._renderAnimationFrame.dispose(),this._renderAnimationFrame=null),this.eventDispatcher.removeEventHandler(this),this.outgoingEvents.dispose(),this.pointerHandler.dispose(),this.viewLines.dispose();for(var t=0,n=this.viewParts.length;t<n;t++)this.viewParts[t].dispose();this.viewParts=[],e.prototype.dispose.call(this)},t.prototype._renderOnce=function(e){var t=H(e);return this._scheduleRender(),t},t.prototype._scheduleRender=function(){null===this._renderAnimationFrame&&(this._renderAnimationFrame=n.runAtThisOrScheduleAtNextAnimationFrame(this._onRenderScheduled.bind(this),100))},t.prototype._onRenderScheduled=function(){this._renderAnimationFrame=null,this._flushAccumulatedAndRenderNow()},t.prototype._renderNow=function(){var e=this;H(function(){return e._actualRender()})},
t.prototype._getViewPartsToRender=function(){for(var e=[],t=0,n=0,i=this.viewParts.length;n<i;n++){var o=this.viewParts[n];o.shouldRender()&&(e[t++]=o)}return e},t.prototype._actualRender=function(){if(n.isInDOM(this.domNode.domNode)){var e=this._getViewPartsToRender();if(this.viewLines.shouldRender()||0!==e.length){var t=this._context.viewLayout.getLinesViewportData();this._context.model.setViewport(t.startLineNumber,t.endLineNumber,t.centeredLineNumber);var i=new F.ViewportData(this._cursor.getViewSelections(),t,this._context.viewLayout.getWhitespaceViewportData(),this._context.model);this.contentWidgets.shouldRender()&&this.contentWidgets.onBeforeRender(i),this.viewLines.shouldRender()&&(this.viewLines.renderText(i),this.viewLines.onDidRender(),e=this._getViewPartsToRender());for(var o=new R.RenderingContext(this._context.viewLayout,i,this.viewLines),r=0,s=e.length;r<s;r++){(a=e[r]).prepareRender(o)}for(var r=0,s=e.length;r<s;r++){var a=e[r];a.render(o),a.onDidRender()}}}},
t.prototype.delegateVerticalScrollbarMouseDown=function(e){this._scrollbar.delegateVerticalScrollbarMouseDown(e)},t.prototype.restoreState=function(e){this._context.viewLayout.setScrollPositionNow({scrollTop:e.scrollTop}),this._renderNow(),this.viewLines.updateLineWidths(),this._context.viewLayout.setScrollPositionNow({scrollLeft:e.scrollLeft})},t.prototype.getOffsetForColumn=function(e,t){var n=this._context.model.validateModelPosition({lineNumber:e,column:t}),i=this._context.model.coordinatesConverter.convertModelPositionToViewPosition(n);this._flushAccumulatedAndRenderNow();var o=this.viewLines.visibleRangeForPosition(new T.Position(i.lineNumber,i.column));return o?o.left:-1},t.prototype.getTargetAtClientPoint=function(e,t){return this.pointerHandler.getTargetAtClientPoint(e,t)},t.prototype.createOverviewRuler=function(e){return new x.OverviewRuler(this._context,e)},t.prototype.change=function(e){var t=this,n=!1;return this._renderOnce(function(){var i={addZone:function(e){return n=!0,
t.viewZones.addZone(e)},removeZone:function(e){e&&(n=t.viewZones.removeZone(e)||n)},layoutZone:function(e){e&&(n=t.viewZones.layoutZone(e)||n)}};!function(e,t){try{e(t)}catch(e){r.onUnexpectedError(e)}}(e,i),i.addZone=B,i.removeZone=B,i.layoutZone=B,n&&(t._context.viewLayout.onHeightMaybeChanged(),t._context.privateViewEventBus.emit(new A.ViewZonesChangedEvent))}),n},t.prototype.render=function(e,t){if(t){this.viewLines.forceShouldRender();for(var n=0,i=this.viewParts.length;n<i;n++){this.viewParts[n].forceShouldRender()}}e?this._flushAccumulatedAndRenderNow():this._scheduleRender()},t.prototype.focus=function(){this._textAreaHandler.focusTextArea()},t.prototype.isFocused=function(){return this._textAreaHandler.isFocused()},t.prototype.addContentWidget=function(e){this.contentWidgets.addWidget(e.widget),this.layoutContentWidget(e),this._scheduleRender()},t.prototype.layoutContentWidget=function(e){
var t=e.position?e.position.position:null,n=e.position?e.position.range:null,i=e.position?e.position.preference:null;this.contentWidgets.setWidgetPosition(e.widget,t,n,i),this._scheduleRender()},t.prototype.removeContentWidget=function(e){this.contentWidgets.removeWidget(e.widget),this._scheduleRender()},t.prototype.addOverlayWidget=function(e){this.overlayWidgets.addWidget(e.widget),this.layoutOverlayWidget(e),this._scheduleRender()},t.prototype.layoutOverlayWidget=function(e){var t=e.position?e.position.preference:null;this.overlayWidgets.setWidgetPosition(e.widget,t)&&this._scheduleRender()},t.prototype.removeOverlayWidget=function(e){this.overlayWidgets.removeWidget(e.widget),this._scheduleRender()},t}(W.ViewEventHandler);t.View=z}),define(t[99],n([0,1,290,7,11,6,2,50,57,10,30,504,490,380,38,12,3,21,165,54,19,14,34,390,31,18,15,98,35,13,355,358]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,I,N,D,M,k,T){"use strict";function R(e){return z+encodeURIComponent(e.toString())+K}
Object.defineProperty(t,"__esModule",{value:!0});var O=0,P="showUnused",A=function(){function e(e,t,n,i,o,r){this.model=e,this.viewModel=t,this.cursor=n,this.view=i,this.hasRealView=o,this.listenersToRemove=r}return e.prototype.dispose=function(){l.dispose(this.listenersToRemove),this.model.onBeforeDetached(),this.hasRealView&&this.view.dispose(),this.cursor.dispose(),this.viewModel.dispose()},e}(),F=function(e){function t(t,n,i,o,a,l,u,d,c){var p=e.call(this)||this;p._onDidDispose=p._register(new s.Emitter),p.onDidDispose=p._onDidDispose.event,p._onDidChangeModelContent=p._register(new s.Emitter),p.onDidChangeModelContent=p._onDidChangeModelContent.event,p._onDidChangeModelLanguage=p._register(new s.Emitter),p.onDidChangeModelLanguage=p._onDidChangeModelLanguage.event,p._onDidChangeModelLanguageConfiguration=p._register(new s.Emitter),p.onDidChangeModelLanguageConfiguration=p._onDidChangeModelLanguageConfiguration.event,p._onDidChangeModelOptions=p._register(new s.Emitter),
p.onDidChangeModelOptions=p._onDidChangeModelOptions.event,p._onDidChangeModelDecorations=p._register(new s.Emitter),p.onDidChangeModelDecorations=p._onDidChangeModelDecorations.event,p._onDidChangeConfiguration=p._register(new s.Emitter),p.onDidChangeConfiguration=p._onDidChangeConfiguration.event,p._onDidChangeModel=p._register(new s.Emitter),p.onDidChangeModel=p._onDidChangeModel.event,p._onDidChangeCursorPosition=p._register(new s.Emitter),p.onDidChangeCursorPosition=p._onDidChangeCursorPosition.event,p._onDidChangeCursorSelection=p._register(new s.Emitter),p.onDidChangeCursorSelection=p._onDidChangeCursorSelection.event,p._onDidAttemptReadOnlyEdit=p._register(new s.Emitter),p.onDidAttemptReadOnlyEdit=p._onDidAttemptReadOnlyEdit.event,p._onDidLayoutChange=p._register(new s.Emitter),p.onDidLayoutChange=p._onDidLayoutChange.event,p._editorTextFocus=p._register(new W),p.onDidFocusEditorText=p._editorTextFocus.onDidChangeToTrue,p.onDidBlurEditorText=p._editorTextFocus.onDidChangeToFalse,
p._editorWidgetFocus=p._register(new W),p.onDidFocusEditorWidget=p._editorWidgetFocus.onDidChangeToTrue,p.onDidBlurEditorWidget=p._editorWidgetFocus.onDidChangeToFalse,p._onWillType=p._register(new s.Emitter),p.onWillType=p._onWillType.event,p._onDidType=p._register(new s.Emitter),p.onDidType=p._onDidType.event,p._onCompositionStart=p._register(new s.Emitter),p.onCompositionStart=p._onCompositionStart.event,p._onCompositionEnd=p._register(new s.Emitter),p.onCompositionEnd=p._onCompositionEnd.event,p._onDidPaste=p._register(new s.Emitter),p.onDidPaste=p._onDidPaste.event,p._onMouseUp=p._register(new s.Emitter),p.onMouseUp=p._onMouseUp.event,p._onMouseDown=p._register(new s.Emitter),p.onMouseDown=p._onMouseDown.event,p._onMouseDrag=p._register(new s.Emitter),p.onMouseDrag=p._onMouseDrag.event,p._onMouseDrop=p._register(new s.Emitter),p.onMouseDrop=p._onMouseDrop.event,p._onContextMenu=p._register(new s.Emitter),p.onContextMenu=p._onContextMenu.event,p._onMouseMove=p._register(new s.Emitter),
p.onMouseMove=p._onMouseMove.event,p._onMouseLeave=p._register(new s.Emitter),p.onMouseLeave=p._onMouseLeave.event,p._onKeyUp=p._register(new s.Emitter),p.onKeyUp=p._onKeyUp.event,p._onKeyDown=p._register(new s.Emitter),p.onKeyDown=p._onKeyDown.event,p._onDidScrollChange=p._register(new s.Emitter),p.onDidScrollChange=p._onDidScrollChange.event,p._onDidChangeViewZones=p._register(new s.Emitter),p.onDidChangeViewZones=p._onDidChangeViewZones.event,p._domElement=t,p._id=++O,p._decorationTypeKeysToIds={},p._decorationTypeSubtypes={},p.isSimpleWidget=i.isSimpleWidget||!1,p._telemetryData=i.telemetryData||null,n=n||{},p._configuration=p._register(p._createConfiguration(n)),p._register(p._configuration.onDidChange(function(e){p._onDidChangeConfiguration.fire(e),e.layoutInfo&&p._onDidLayoutChange.fire(p._configuration.editor.layoutInfo),p._configuration.editor.showUnused?p._domElement.classList.add(P):p._domElement.classList.remove(P)})),p._contextKeyService=p._register(u.createScoped(p._domElement)),
p._notificationService=c,p._codeEditorService=a,p._commandService=l,p._themeService=d,p._register(new V(p,p._contextKeyService)),p._register(new H(p,p._contextKeyService)),p._instantiationService=o.createChild(new M.ServiceCollection([N.IContextKeyService,p._contextKeyService])),p._attachModel(null),p._contributions={},p._actions={},p._focusTracker=new B(t),p._focusTracker.onChange(function(){p._editorWidgetFocus.setValue(p._focusTracker.hasFocus())}),p._contentWidgets={},p._overlayWidgets={};for(var f,g=0,m=(f=Array.isArray(i.contributions)?i.contributions:h.EditorExtensionsRegistry.getEditorContributions()).length;g<m;g++){var v=f[g];try{var _=p._instantiationService.createInstance(v,p);p._contributions[_.getId()]=_}catch(e){r.onUnexpectedError(e)}}return h.EditorExtensionsRegistry.getEditorActions().forEach(function(e){var t=new b.InternalEditorAction(e.id,e.label,e.alias,e.precondition,function(){return p._instantiationService.invokeFunction(function(t){return Promise.resolve(e.runEditorCommand(t,p,null))
})},p._contextKeyService);p._actions[t.id]=t}),p._codeEditorService.addCodeEditor(p),p}return o(t,e),t.prototype._createConfiguration=function(e){return new c.Configuration(e,this._domElement)},t.prototype.getId=function(){return this.getEditorType()+":"+this._id},t.prototype.getEditorType=function(){return S.EditorType.ICodeEditor},t.prototype.dispose=function(){this._codeEditorService.removeCodeEditor(this),this._focusTracker.dispose();for(var t=Object.keys(this._contributions),n=0,i=t.length;n<i;n++){var o=t[n];this._contributions[o].dispose()}this._removeDecorationTypes(),this._postDetachModelCleanup(this._detachModel()),this._onDidDispose.fire(),e.prototype.dispose.call(this)},t.prototype.invokeWithinContext=function(e){return this._instantiationService.invokeFunction(e)},t.prototype.updateOptions=function(e){this._configuration.updateOptions(e)},t.prototype.getConfiguration=function(){return this._configuration.editor},t.prototype.getRawConfiguration=function(){return this._configuration.getRawOptions()
},t.prototype.getValue=function(e){if(void 0===e&&(e=null),!this._modelData)return"";var t=!(!e||!e.preserveBOM),n=0;return e&&e.lineEnding&&"\n"===e.lineEnding?n=1:e&&e.lineEnding&&"\r\n"===e.lineEnding&&(n=2),this._modelData.model.getValue(n,t)},t.prototype.setValue=function(e){this._modelData&&this._modelData.model.setValue(e)},t.prototype.getModel=function(){return this._modelData?this._modelData.model:null},t.prototype.setModel=function(e){if(void 0===e&&(e=null),!(null===this._modelData&&null===e||this._modelData&&this._modelData.model===e)){var t=this._detachModel();this._attachModel(e);var n={oldModelUrl:t?t.uri:null,newModelUrl:e?e.uri:null};this._removeDecorationTypes(),this._onDidChangeModel.fire(n),this._postDetachModelCleanup(t)}},t.prototype._removeDecorationTypes=function(){if(this._decorationTypeKeysToIds={},this._decorationTypeSubtypes){for(var e in this._decorationTypeSubtypes){var t=this._decorationTypeSubtypes[e];for(var n in t)this._removeDecorationType(e+"-"+n)}
this._decorationTypeSubtypes={}}},t.prototype.getVisibleRanges=function(){return this._modelData?this._modelData.viewModel.getVisibleRanges():[]},t.prototype.getWhitespaces=function(){return this._modelData?this._modelData.viewModel.viewLayout.getWhitespaces():[]},t._getVerticalOffsetForPosition=function(e,t,n){var i=e.model.validatePosition({lineNumber:t,column:n}),o=e.viewModel.coordinatesConverter.convertModelPositionToViewPosition(i);return e.viewModel.viewLayout.getVerticalOffsetForLineNumber(o.lineNumber)},t.prototype.getTopForLineNumber=function(e){return this._modelData?t._getVerticalOffsetForPosition(this._modelData,e,1):-1},t.prototype.getTopForPosition=function(e,n){return this._modelData?t._getVerticalOffsetForPosition(this._modelData,e,n):-1},t.prototype.setHiddenAreas=function(e){this._modelData&&this._modelData.viewModel.setHiddenAreas(e.map(function(e){return y.Range.lift(e)}))},t.prototype.getVisibleColumnFromPosition=function(e){if(!this._modelData)return e.column
;var t=this._modelData.model.validatePosition(e),n=this._modelData.model.getOptions().tabSize;return v.CursorColumns.visibleColumnFromColumn(this._modelData.model.getLineContent(t.lineNumber),t.column,n)+1},t.prototype.getPosition=function(){return this._modelData?this._modelData.cursor.getPosition():null},t.prototype.setPosition=function(e){if(this._modelData){if(!_.Position.isIPosition(e))throw new Error("Invalid arguments");this._modelData.cursor.setSelections("api",[{selectionStartLineNumber:e.lineNumber,selectionStartColumn:e.column,positionLineNumber:e.lineNumber,positionColumn:e.column}])}},t.prototype._sendRevealRange=function(e,t,n,i){if(this._modelData){if(!y.Range.isIRange(e))throw new Error("Invalid arguments");var o=this._modelData.model.validateRange(e),r=this._modelData.viewModel.coordinatesConverter.convertModelRangeToViewRange(o);this._modelData.cursor.emitCursorRevealRange(r,t,n,i)}},t.prototype.revealLine=function(e,t){void 0===t&&(t=0),this._revealLine(e,0,t)},
t.prototype.revealLineInCenter=function(e,t){void 0===t&&(t=0),this._revealLine(e,1,t)},t.prototype.revealLineInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),this._revealLine(e,2,t)},t.prototype._revealLine=function(e,t,n){if("number"!=typeof e)throw new Error("Invalid arguments");this._sendRevealRange(new y.Range(e,1,e,1),t,!1,n)},t.prototype.revealPosition=function(e,t){void 0===t&&(t=0),this._revealPosition(e,0,!0,t)},t.prototype.revealPositionInCenter=function(e,t){void 0===t&&(t=0),this._revealPosition(e,1,!0,t)},t.prototype.revealPositionInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),this._revealPosition(e,2,!0,t)},t.prototype._revealPosition=function(e,t,n,i){if(!_.Position.isIPosition(e))throw new Error("Invalid arguments");this._sendRevealRange(new y.Range(e.lineNumber,e.column,e.lineNumber,e.column),t,n,i)},t.prototype.getSelection=function(){return this._modelData?this._modelData.cursor.getSelection():null},t.prototype.getSelections=function(){
return this._modelData?this._modelData.cursor.getSelections():null},t.prototype.setSelection=function(e){var t=C.Selection.isISelection(e),n=y.Range.isIRange(e);if(!t&&!n)throw new Error("Invalid arguments");if(t)this._setSelectionImpl(e);else if(n){var i={selectionStartLineNumber:e.startLineNumber,selectionStartColumn:e.startColumn,positionLineNumber:e.endLineNumber,positionColumn:e.endColumn};this._setSelectionImpl(i)}},t.prototype._setSelectionImpl=function(e){if(this._modelData){var t=new C.Selection(e.selectionStartLineNumber,e.selectionStartColumn,e.positionLineNumber,e.positionColumn);this._modelData.cursor.setSelections("api",[t])}},t.prototype.revealLines=function(e,t,n){void 0===n&&(n=0),this._revealLines(e,t,0,n)},t.prototype.revealLinesInCenter=function(e,t,n){void 0===n&&(n=0),this._revealLines(e,t,1,n)},t.prototype.revealLinesInCenterIfOutsideViewport=function(e,t,n){void 0===n&&(n=0),this._revealLines(e,t,2,n)},t.prototype._revealLines=function(e,t,n,i){
if("number"!=typeof e||"number"!=typeof t)throw new Error("Invalid arguments");this._sendRevealRange(new y.Range(e,1,t,1),n,!1,i)},t.prototype.revealRange=function(e,t,n,i){void 0===t&&(t=0),void 0===n&&(n=!1),void 0===i&&(i=!0),this._revealRange(e,n?1:0,i,t)},t.prototype.revealRangeInCenter=function(e,t){void 0===t&&(t=0),this._revealRange(e,1,!0,t)},t.prototype.revealRangeInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),this._revealRange(e,2,!0,t)},t.prototype.revealRangeAtTop=function(e,t){void 0===t&&(t=0),this._revealRange(e,3,!0,t)},t.prototype._revealRange=function(e,t,n,i){if(!y.Range.isIRange(e))throw new Error("Invalid arguments");this._sendRevealRange(y.Range.lift(e),t,n,i)},t.prototype.setSelections=function(e,t){if(void 0===t&&(t="api"),this._modelData){if(!e||0===e.length)throw new Error("Invalid arguments");for(var n=0,i=e.length;n<i;n++)if(!C.Selection.isISelection(e[n]))throw new Error("Invalid arguments");this._modelData.cursor.setSelections(t,e)}},
t.prototype.getScrollWidth=function(){return this._modelData?this._modelData.viewModel.viewLayout.getScrollWidth():-1},t.prototype.getScrollLeft=function(){return this._modelData?this._modelData.viewModel.viewLayout.getCurrentScrollLeft():-1},t.prototype.getScrollHeight=function(){return this._modelData?this._modelData.viewModel.viewLayout.getScrollHeight():-1},t.prototype.getScrollTop=function(){return this._modelData?this._modelData.viewModel.viewLayout.getCurrentScrollTop():-1},t.prototype.setScrollLeft=function(e){if(this._modelData){if("number"!=typeof e)throw new Error("Invalid arguments");this._modelData.viewModel.viewLayout.setScrollPositionNow({scrollLeft:e})}},t.prototype.setScrollTop=function(e){if(this._modelData){if("number"!=typeof e)throw new Error("Invalid arguments");this._modelData.viewModel.viewLayout.setScrollPositionNow({scrollTop:e})}},t.prototype.setScrollPosition=function(e){this._modelData&&this._modelData.viewModel.viewLayout.setScrollPositionNow(e)},
t.prototype.saveViewState=function(){if(!this._modelData)return null;for(var e={},t=Object.keys(this._contributions),n=0,i=t.length;n<i;n++){var o=t[n],r=this._contributions[o];"function"==typeof r.saveViewState&&(e[o]=r.saveViewState())}return{cursorState:this._modelData.cursor.saveState(),viewState:this._modelData.viewModel.saveState(),contributionsState:e}},t.prototype.restoreViewState=function(e){if(this._modelData&&this._modelData.hasRealView&&e&&e.cursorState&&e.viewState){var t=e.cursorState;Array.isArray(t)?this._modelData.cursor.restoreState(t):this._modelData.cursor.restoreState([t]);for(var n=e.contributionsState||{},i=Object.keys(this._contributions),o=0,r=i.length;o<r;o++){var s=i[o],a=this._contributions[s];"function"==typeof a.restoreViewState&&a.restoreViewState(n[s])}
var l=this._modelData.viewModel.reduceRestoreState(e.viewState),u=this._modelData.viewModel.viewLayout.getLinesViewportDataAtScrollTop(l.scrollTop),d=this._modelData.viewModel.coordinatesConverter.convertViewPositionToModelPosition(new _.Position(u.startLineNumber,1)),c=this._modelData.viewModel.coordinatesConverter.convertViewPositionToModelPosition(new _.Position(u.endLineNumber,1));this._modelData.model.tokenizeViewport(d.lineNumber,c.lineNumber),this._modelData.view.restoreState(l)}},t.prototype.getContribution=function(e){return this._contributions[e]||null},t.prototype.getActions=function(){for(var e=[],t=Object.keys(this._actions),n=0,i=t.length;n<i;n++){var o=t[n];e.push(this._actions[o])}return e},t.prototype.getSupportedActions=function(){var e=this.getActions();return e=e.filter(function(e){return e.isSupported()})},t.prototype.getAction=function(e){return this._actions[e]||null},t.prototype.trigger=function(e,t,n){if(n=n||{},t===S.Handler.Type){
if(!this._modelData||"string"!=typeof n.text||0===n.text.length)return;return"keyboard"===e&&this._onWillType.fire(n.text),this._modelData.cursor.trigger(e,t,n),void("keyboard"===e&&this._onDidType.fire(n.text))}if(t!==S.Handler.Paste){t===S.Handler.CompositionStart&&this._onCompositionStart.fire(),t===S.Handler.CompositionEnd&&this._onCompositionEnd.fire();var i=this.getAction(t);i?Promise.resolve(i.run()).then(null,r.onUnexpectedError):this._modelData&&(this._triggerEditorCommand(e,t,n)||this._modelData.cursor.trigger(e,t,n))}else{if(!this._modelData||"string"!=typeof n.text||0===n.text.length)return;var o=this._modelData.cursor.getSelection().getStartPosition();this._modelData.cursor.trigger(e,t,n);var s=this._modelData.cursor.getSelection().getStartPosition();"keyboard"===e&&this._onDidPaste.fire(new y.Range(o.lineNumber,o.column,s.lineNumber,s.column))}},t.prototype._triggerEditorCommand=function(e,t,n){var i=this,o=h.EditorExtensionsRegistry.getEditorCommand(t);return!!o&&(n=n||{},n.source=e,
this._instantiationService.invokeFunction(function(e){Promise.resolve(o.runEditorCommand(e,i,n)).then(null,r.onUnexpectedError)}),!0)},t.prototype._getCursors=function(){return this._modelData?this._modelData.cursor:null},t.prototype.pushUndoStop=function(){return!!this._modelData&&(!this._configuration.editor.readOnly&&(this._modelData.model.pushStackElement(),!0))},t.prototype.executeEdits=function(e,t,n){return!!this._modelData&&(!this._configuration.editor.readOnly&&(this._modelData.model.pushEditOperations(this._modelData.cursor.getSelections(),t,function(){return n||null}),n&&this._modelData.cursor.setSelections(e,n),!0))},t.prototype.executeCommand=function(e,t){this._modelData&&this._modelData.cursor.trigger(e,S.Handler.ExecuteCommand,t)},t.prototype.executeCommands=function(e,t){this._modelData&&this._modelData.cursor.trigger(e,S.Handler.ExecuteCommands,t)},t.prototype.changeDecorations=function(e){return this._modelData?this._modelData.model.changeDecorations(e,this._id):null},
t.prototype.getLineDecorations=function(e){return this._modelData?this._modelData.model.getLineDecorations(e,this._id,this._configuration.editor.readOnly):null},t.prototype.deltaDecorations=function(e,t){return this._modelData?0===e.length&&0===t.length?e:this._modelData.model.deltaDecorations(e,t,this._id):[]},t.prototype.removeDecorations=function(e){var t=this._decorationTypeKeysToIds[e];t&&this.deltaDecorations(t,[]),this._decorationTypeKeysToIds.hasOwnProperty(e)&&delete this._decorationTypeKeysToIds[e],this._decorationTypeSubtypes.hasOwnProperty(e)&&delete this._decorationTypeSubtypes[e]},t.prototype.getLayoutInfo=function(){return this._configuration.editor.layoutInfo},t.prototype.createOverviewRuler=function(e){return this._modelData&&this._modelData.hasRealView?this._modelData.view.createOverviewRuler(e):null},t.prototype.getDomNode=function(){return this._modelData&&this._modelData.hasRealView?this._modelData.view.domNode.domNode:null},t.prototype.delegateVerticalScrollbarMouseDown=function(e){
this._modelData&&this._modelData.hasRealView&&this._modelData.view.delegateVerticalScrollbarMouseDown(e)},t.prototype.layout=function(e){this._configuration.observeReferenceElement(e),this.render()},t.prototype.focus=function(){this._modelData&&this._modelData.hasRealView&&this._modelData.view.focus()},t.prototype.hasTextFocus=function(){return!(!this._modelData||!this._modelData.hasRealView)&&this._modelData.view.isFocused()},t.prototype.hasWidgetFocus=function(){return this._focusTracker&&this._focusTracker.hasFocus()},t.prototype.addContentWidget=function(e){var t={widget:e,position:e.getPosition()};this._contentWidgets.hasOwnProperty(e.getId())&&console.warn("Overwriting a content widget with the same id."),this._contentWidgets[e.getId()]=t,this._modelData&&this._modelData.hasRealView&&this._modelData.view.addContentWidget(t)},t.prototype.layoutContentWidget=function(e){var t=e.getId();if(this._contentWidgets.hasOwnProperty(t)){var n=this._contentWidgets[t];n.position=e.getPosition(),
this._modelData&&this._modelData.hasRealView&&this._modelData.view.layoutContentWidget(n)}},t.prototype.removeContentWidget=function(e){var t=e.getId();if(this._contentWidgets.hasOwnProperty(t)){var n=this._contentWidgets[t];delete this._contentWidgets[t],this._modelData&&this._modelData.hasRealView&&this._modelData.view.removeContentWidget(n)}},t.prototype.addOverlayWidget=function(e){var t={widget:e,position:e.getPosition()};this._overlayWidgets.hasOwnProperty(e.getId())&&console.warn("Overwriting an overlay widget with the same id."),this._overlayWidgets[e.getId()]=t,this._modelData&&this._modelData.hasRealView&&this._modelData.view.addOverlayWidget(t)},t.prototype.layoutOverlayWidget=function(e){var t=e.getId();if(this._overlayWidgets.hasOwnProperty(t)){var n=this._overlayWidgets[t];n.position=e.getPosition(),this._modelData&&this._modelData.hasRealView&&this._modelData.view.layoutOverlayWidget(n)}},t.prototype.removeOverlayWidget=function(e){var t=e.getId();if(this._overlayWidgets.hasOwnProperty(t)){
var n=this._overlayWidgets[t];delete this._overlayWidgets[t],this._modelData&&this._modelData.hasRealView&&this._modelData.view.removeOverlayWidget(n)}},t.prototype.changeViewZones=function(e){if(this._modelData&&this._modelData.hasRealView){this._modelData.view.change(e)&&this._onDidChangeViewZones.fire()}},t.prototype.getTargetAtClientPoint=function(e,t){return this._modelData&&this._modelData.hasRealView?this._modelData.view.getTargetAtClientPoint(e,t):null},t.prototype.getScrolledVisiblePosition=function(e){if(!this._modelData||!this._modelData.hasRealView)return null;var n=this._modelData.model.validatePosition(e),i=this._configuration.editor.layoutInfo;return{top:t._getVerticalOffsetForPosition(this._modelData,n.lineNumber,n.column)-this.getScrollTop(),left:this._modelData.view.getOffsetForColumn(n.lineNumber,n.column)+i.glyphMarginWidth+i.lineNumbersWidth+i.decorationsWidth-this.getScrollLeft(),height:this._configuration.editor.lineHeight}},t.prototype.getOffsetForColumn=function(e,t){
return this._modelData&&this._modelData.hasRealView?this._modelData.view.getOffsetForColumn(e,t):-1},t.prototype.render=function(){this._modelData&&this._modelData.hasRealView&&this._modelData.view.render(!0,!1)},t.prototype.applyFontInfo=function(e){c.Configuration.applyFontInfoSlow(e,this._configuration.editor.fontInfo)},t.prototype._attachModel=function(e){var t=this;if(e){var o=[];this._domElement.setAttribute("data-mode-id",e.getLanguageIdentifier().language),this._configuration.setIsDominatedByLongLines(e.isDominatedByLongLines()),this._configuration.setMaxLineNumber(e.getLineCount()),e.onBeforeAttached();var r=new x.ViewModel(this._id,this._configuration,e,function(e){return i.scheduleAtNextAnimationFrame(e)});o.push(e.onDidChangeDecorations(function(e){return t._onDidChangeModelDecorations.fire(e)})),o.push(e.onDidChangeLanguage(function(n){t._domElement.setAttribute("data-mode-id",e.getLanguageIdentifier().language),t._onDidChangeModelLanguage.fire(n)})),
o.push(e.onDidChangeLanguageConfiguration(function(e){return t._onDidChangeModelLanguageConfiguration.fire(e)})),o.push(e.onDidChangeContent(function(e){return t._onDidChangeModelContent.fire(e)})),o.push(e.onDidChangeOptions(function(e){return t._onDidChangeModelOptions.fire(e)})),o.push(e.onWillDispose(function(){return t.setModel(null)}));var s=new m.Cursor(this._configuration,e,r);o.push(s.onDidReachMaxCursorCount(function(){t._notificationService.warn(n.localize(0,null,m.Cursor.MAX_CURSOR_COUNT))})),o.push(s.onDidAttemptReadOnlyEdit(function(){t._onDidAttemptReadOnlyEdit.fire(void 0)})),o.push(s.onDidChange(function(e){for(var n=[],i=0,o=e.selections.length;i<o;i++)n[i]=e.selections[i].getPosition();var r={position:n[0],secondaryPositions:n.slice(1),reason:e.reason,source:e.source};t._onDidChangeCursorPosition.fire(r);var s={selection:e.selections[0],secondarySelections:e.selections.slice(1),source:e.source,reason:e.reason};t._onDidChangeCursorSelection.fire(s)}))
;var a=this._createView(r,s),l=a[0],u=a[1];if(u){this._domElement.appendChild(l.domNode.domNode);for(var d=Object.keys(this._contentWidgets),c=0,h=d.length;c<h;c++){p=d[c];l.addContentWidget(this._contentWidgets[p])}for(var c=0,h=(d=Object.keys(this._overlayWidgets)).length;c<h;c++){var p=d[c];l.addOverlayWidget(this._overlayWidgets[p])}l.render(!1,!0),l.domNode.domNode.setAttribute("data-uri",e.uri.toString())}this._modelData=new A(e,r,s,l,u,o)}else this._modelData=null},t.prototype._createView=function(e,t){var n,i=this;n=this.isSimpleWidget?{executeEditorCommand:function(e,n){e.runCoreEditorCommand(t,n)},paste:function(e,t,n,o){i.trigger(e,S.Handler.Paste,{text:t,pasteOnNewLine:n,multicursorText:o})},type:function(e,t){i.trigger(e,S.Handler.Type,{text:t})},replacePreviousChar:function(e,t,n){i.trigger(e,S.Handler.ReplacePreviousChar,{text:t,replaceCharCnt:n})},compositionStart:function(e){i.trigger(e,S.Handler.CompositionStart,void 0)},compositionEnd:function(e){i.trigger(e,S.Handler.CompositionEnd,void 0)
},cut:function(e){i.trigger(e,S.Handler.Cut,void 0)}}:{executeEditorCommand:function(e,n){e.runCoreEditorCommand(t,n)},paste:function(e,t,n,o){i._commandService.executeCommand(S.Handler.Paste,{text:t,pasteOnNewLine:n,multicursorText:o})},type:function(e,t){i._commandService.executeCommand(S.Handler.Type,{text:t})},replacePreviousChar:function(e,t,n){i._commandService.executeCommand(S.Handler.ReplacePreviousChar,{text:t,replaceCharCnt:n})},compositionStart:function(e){i._commandService.executeCommand(S.Handler.CompositionStart,{})},compositionEnd:function(e){i._commandService.executeCommand(S.Handler.CompositionEnd,{})},cut:function(e){i._commandService.executeCommand(S.Handler.Cut,{})}};var o=new g.ViewOutgoingEvents(e);o.onDidGainFocus=function(){i._editorTextFocus.setValue(!0),i._editorWidgetFocus.setValue(!0)},o.onDidScroll=function(e){return i._onDidScrollChange.fire(e)},o.onDidLoseFocus=function(){return i._editorTextFocus.setValue(!1)},o.onContextMenu=function(e){return i._onContextMenu.fire(e)},
o.onMouseDown=function(e){return i._onMouseDown.fire(e)},o.onMouseUp=function(e){return i._onMouseUp.fire(e)},o.onMouseDrag=function(e){return i._onMouseDrag.fire(e)},o.onMouseDrop=function(e){return i._onMouseDrop.fire(e)},o.onKeyUp=function(e){return i._onKeyUp.fire(e)},o.onMouseMove=function(e){return i._onMouseMove.fire(e)},o.onMouseLeave=function(e){return i._onMouseLeave.fire(e)},o.onKeyDown=function(e){return i._onKeyDown.fire(e)};return[new f.View(n,this._configuration,this._themeService,e,t,o),!0]},t.prototype._postDetachModelCleanup=function(e){e&&e.removeAllDecorationsWithOwnerId(this._id)},t.prototype._detachModel=function(){if(!this._modelData)return null;var e=this._modelData.model,t=this._modelData.hasRealView?this._modelData.view.domNode.domNode:null;return this._modelData.dispose(),this._modelData=null,this._domElement.removeAttribute("data-mode-id"),t&&this._domElement.removeChild(t),e},t.prototype._removeDecorationType=function(e){this._codeEditorService.removeDecorationType(e)},
t.prototype.getTelemetryData=function(){return this._telemetryData},t.prototype.hasModel=function(){return null!==this._modelData},t=a([u(3,D.IInstantiationService),u(4,p.ICodeEditorService),u(5,I.ICommandService),u(6,N.IContextKeyService),u(7,T.IThemeService),u(8,k.INotificationService)],t)}(l.Disposable);t.CodeEditorWidget=F;var W=function(e){function t(){var t=e.call(this)||this;return t._onDidChangeToTrue=t._register(new s.Emitter),t.onDidChangeToTrue=t._onDidChangeToTrue.event,t._onDidChangeToFalse=t._register(new s.Emitter),t.onDidChangeToFalse=t._onDidChangeToFalse.event,t._value=0,t}return o(t,e),t.prototype.setValue=function(e){var t=e?2:1;this._value!==t&&(this._value=t,2===this._value?this._onDidChangeToTrue.fire():1===this._value&&this._onDidChangeToFalse.fire())},t}(l.Disposable);t.BooleanEventEmitter=W;var V=function(e){function t(t,n){var i=e.call(this)||this;return i._editor=t,n.createKey("editorId",t.getId()),i._editorFocus=w.EditorContextKeys.focus.bindTo(n),
i._textInputFocus=w.EditorContextKeys.textInputFocus.bindTo(n),i._editorTextFocus=w.EditorContextKeys.editorTextFocus.bindTo(n),i._editorTabMovesFocus=w.EditorContextKeys.tabMovesFocus.bindTo(n),i._editorReadonly=w.EditorContextKeys.readOnly.bindTo(n),i._hasMultipleSelections=w.EditorContextKeys.hasMultipleSelections.bindTo(n),i._hasNonEmptySelection=w.EditorContextKeys.hasNonEmptySelection.bindTo(n),i._canUndo=w.EditorContextKeys.canUndo.bindTo(n),i._canRedo=w.EditorContextKeys.canRedo.bindTo(n),i._register(i._editor.onDidChangeConfiguration(function(){return i._updateFromConfig()})),i._register(i._editor.onDidChangeCursorSelection(function(){return i._updateFromSelection()})),i._register(i._editor.onDidFocusEditorWidget(function(){return i._updateFromFocus()})),i._register(i._editor.onDidBlurEditorWidget(function(){return i._updateFromFocus()})),i._register(i._editor.onDidFocusEditorText(function(){return i._updateFromFocus()})),i._register(i._editor.onDidBlurEditorText(function(){
return i._updateFromFocus()})),i._register(i._editor.onDidChangeModel(function(){return i._updateFromModel()})),i._register(i._editor.onDidChangeConfiguration(function(){return i._updateFromModel()})),i._updateFromConfig(),i._updateFromSelection(),i._updateFromFocus(),i._updateFromModel(),i}return o(t,e),t.prototype._updateFromConfig=function(){var e=this._editor.getConfiguration();this._editorTabMovesFocus.set(e.tabFocusMode),this._editorReadonly.set(e.readOnly)},t.prototype._updateFromSelection=function(){var e=this._editor.getSelections();e?(this._hasMultipleSelections.set(e.length>1),this._hasNonEmptySelection.set(e.some(function(e){return!e.isEmpty()}))):(this._hasMultipleSelections.reset(),this._hasNonEmptySelection.reset())},t.prototype._updateFromFocus=function(){this._editorFocus.set(this._editor.hasWidgetFocus()&&!this._editor.isSimpleWidget),this._editorTextFocus.set(this._editor.hasTextFocus()&&!this._editor.isSimpleWidget),this._textInputFocus.set(this._editor.hasTextFocus())},
t.prototype._updateFromModel=function(){var e=this._editor.getModel();this._canUndo.set(Boolean(e&&e.canUndo())),this._canRedo.set(Boolean(e&&e.canRedo()))},t}(l.Disposable),H=function(e){function t(t,n){var i=e.call(this)||this;i._editor=t,i._langId=w.EditorContextKeys.languageId.bindTo(n),i._hasCompletionItemProvider=w.EditorContextKeys.hasCompletionItemProvider.bindTo(n),i._hasCodeActionsProvider=w.EditorContextKeys.hasCodeActionsProvider.bindTo(n),i._hasCodeLensProvider=w.EditorContextKeys.hasCodeLensProvider.bindTo(n),i._hasDefinitionProvider=w.EditorContextKeys.hasDefinitionProvider.bindTo(n),i._hasImplementationProvider=w.EditorContextKeys.hasImplementationProvider.bindTo(n),i._hasTypeDefinitionProvider=w.EditorContextKeys.hasTypeDefinitionProvider.bindTo(n),i._hasHoverProvider=w.EditorContextKeys.hasHoverProvider.bindTo(n),i._hasDocumentHighlightProvider=w.EditorContextKeys.hasDocumentHighlightProvider.bindTo(n),i._hasDocumentSymbolProvider=w.EditorContextKeys.hasDocumentSymbolProvider.bindTo(n),
i._hasReferenceProvider=w.EditorContextKeys.hasReferenceProvider.bindTo(n),i._hasRenameProvider=w.EditorContextKeys.hasRenameProvider.bindTo(n),i._hasDocumentFormattingProvider=w.EditorContextKeys.hasDocumentFormattingProvider.bindTo(n),i._hasDocumentSelectionFormattingProvider=w.EditorContextKeys.hasDocumentSelectionFormattingProvider.bindTo(n),i._hasSignatureHelpProvider=w.EditorContextKeys.hasSignatureHelpProvider.bindTo(n),i._isInWalkThrough=w.EditorContextKeys.isInEmbeddedEditor.bindTo(n);var o=function(){return i._update()};return i._register(t.onDidChangeModel(o)),i._register(t.onDidChangeModelLanguage(o)),i._register(E.CompletionProviderRegistry.onDidChange(o)),i._register(E.CodeActionProviderRegistry.onDidChange(o)),i._register(E.CodeLensProviderRegistry.onDidChange(o)),i._register(E.DefinitionProviderRegistry.onDidChange(o)),i._register(E.ImplementationProviderRegistry.onDidChange(o)),i._register(E.TypeDefinitionProviderRegistry.onDidChange(o)),i._register(E.HoverProviderRegistry.onDidChange(o)),
i._register(E.DocumentHighlightProviderRegistry.onDidChange(o)),i._register(E.DocumentSymbolProviderRegistry.onDidChange(o)),i._register(E.ReferenceProviderRegistry.onDidChange(o)),i._register(E.RenameProviderRegistry.onDidChange(o)),i._register(E.DocumentFormattingEditProviderRegistry.onDidChange(o)),i._register(E.DocumentRangeFormattingEditProviderRegistry.onDidChange(o)),i._register(E.SignatureHelpProviderRegistry.onDidChange(o)),o(),i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.reset=function(){this._langId.reset(),this._hasCompletionItemProvider.reset(),this._hasCodeActionsProvider.reset(),this._hasCodeLensProvider.reset(),this._hasDefinitionProvider.reset(),this._hasImplementationProvider.reset(),this._hasTypeDefinitionProvider.reset(),this._hasHoverProvider.reset(),this._hasDocumentHighlightProvider.reset(),this._hasDocumentSymbolProvider.reset(),this._hasReferenceProvider.reset(),this._hasRenameProvider.reset(),this._hasDocumentFormattingProvider.reset(),
this._hasDocumentSelectionFormattingProvider.reset(),this._hasSignatureHelpProvider.reset(),this._isInWalkThrough.reset()},t.prototype._update=function(){var e=this._editor.getModel();e?(this._langId.set(e.getLanguageIdentifier().language),this._hasCompletionItemProvider.set(E.CompletionProviderRegistry.has(e)),this._hasCodeActionsProvider.set(E.CodeActionProviderRegistry.has(e)),this._hasCodeLensProvider.set(E.CodeLensProviderRegistry.has(e)),this._hasDefinitionProvider.set(E.DefinitionProviderRegistry.has(e)),this._hasImplementationProvider.set(E.ImplementationProviderRegistry.has(e)),this._hasTypeDefinitionProvider.set(E.TypeDefinitionProviderRegistry.has(e)),this._hasHoverProvider.set(E.HoverProviderRegistry.has(e)),this._hasDocumentHighlightProvider.set(E.DocumentHighlightProviderRegistry.has(e)),this._hasDocumentSymbolProvider.set(E.DocumentSymbolProviderRegistry.has(e)),this._hasReferenceProvider.set(E.ReferenceProviderRegistry.has(e)),this._hasRenameProvider.set(E.RenameProviderRegistry.has(e)),
this._hasSignatureHelpProvider.set(E.SignatureHelpProviderRegistry.has(e)),this._hasDocumentFormattingProvider.set(E.DocumentFormattingEditProviderRegistry.has(e)||E.DocumentRangeFormattingEditProviderRegistry.has(e)),this._hasDocumentSelectionFormattingProvider.set(E.DocumentRangeFormattingEditProviderRegistry.has(e)),this._isInWalkThrough.set(e.uri.scheme===d.Schemas.walkThroughSnippet)):this.reset()},t}(l.Disposable);t.EditorModeContext=H;var B=function(e){function t(t){var n=e.call(this)||this;return n._onChange=n._register(new s.Emitter),n.onChange=n._onChange.event,n._hasFocus=!1,n._domFocusTracker=n._register(i.trackFocus(t)),n._register(n._domFocusTracker.onDidFocus(function(){n._hasFocus=!0,n._onChange.fire(void 0)})),n._register(n._domFocusTracker.onDidBlur(function(){n._hasFocus=!1,n._onChange.fire(void 0)})),n}return o(t,e),t.prototype.hasFocus=function(){return this._hasFocus},t
}(l.Disposable),z=encodeURIComponent("<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 6 3' enable-background='new 0 0 6 3' height='3' width='6'><g fill='"),K=encodeURIComponent("'><polygon points='5.5,0 2.5,3 1.1,3 4.1,0'/><polygon points='4,0 6,2 6,0.6 5.4,0'/><polygon points='0,2 1,3 2.4,3 0,0.6'/></g></svg>"),U=encodeURIComponent('<svg xmlns="http://www.w3.org/2000/svg" height="3" width="12"><g fill="'),j=encodeURIComponent('"><circle cx="1" cy="1" r="1"/><circle cx="5" cy="1" r="1"/><circle cx="9" cy="1" r="1"/></g></svg>');T.registerThemingParticipant(function(e,t){var n=e.getColor(L.editorErrorBorder);n&&t.addRule(".monaco-editor .squiggly-error { border-bottom: 4px double "+n+"; }");var i=e.getColor(L.editorErrorForeground);i&&t.addRule('.monaco-editor .squiggly-error { background: url("data:image/svg+xml,'+R(i)+'") repeat-x bottom left; }');var o=e.getColor(L.editorWarningBorder);o&&t.addRule(".monaco-editor .squiggly-warning { border-bottom: 4px double "+o+"; }")
;var r=e.getColor(L.editorWarningForeground);r&&t.addRule('.monaco-editor .squiggly-warning { background: url("data:image/svg+xml,'+R(r)+'") repeat-x bottom left; }');var s=e.getColor(L.editorInfoBorder);s&&t.addRule(".monaco-editor .squiggly-info { border-bottom: 4px double "+s+"; }");var a=e.getColor(L.editorInfoForeground);a&&t.addRule('.monaco-editor .squiggly-info { background: url("data:image/svg+xml,'+R(a)+'") repeat-x bottom left; }');var l=e.getColor(L.editorHintBorder);l&&t.addRule(".monaco-editor .squiggly-hint { border-bottom: 2px dotted "+l+"; }");var u=e.getColor(L.editorHintForeground);u&&t.addRule('.monaco-editor .squiggly-hint { background: url("data:image/svg+xml,'+function(e){return U+encodeURIComponent(e.toString())+j}(u)+'") no-repeat bottom left; }');var d=e.getColor(L.editorUnnecessaryCodeOpacity);d&&t.addRule("."+P+" .monaco-editor .squiggly-inline-unnecessary { opacity: "+d.rgba.a+"; will-change: opacity; }");var c=e.getColor(L.editorUnnecessaryCodeBorder)
;c&&t.addRule("."+P+" .monaco-editor .squiggly-unnecessary { border-bottom: 2px dashed "+c+"; }")})}),define(t[506],n([0,1,292,7,23,67,55,56,2,57,10,30,93,12,34,103,59,18,20,13,331]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v,_,y,C){"use strict";function b(e){for(var t=e.get(h.ICodeEditorService).listDiffEditors(),n=0,i=t.length;n<i;n++){var o=t[n];if(o.hasWidgetFocus())return o}return null}Object.defineProperty(t,"__esModule",{value:!0});var S=function(){function e(e,t,n,i){this.originalLineStart=e,this.originalLineEnd=t,this.modifiedLineStart=n,this.modifiedLineEnd=i}return e.prototype.getType=function(){return 0===this.originalLineStart?1:0===this.modifiedLineStart?2:0},e}(),w=function(){return function(e){this.entries=e}}(),E=function(e){function t(t){var o=e.call(this)||this;return o._width=0,o._diffEditor=t,o._isVisible=!1,o.shadow=r.createFastDomNode(document.createElement("div")),o.shadow.setClassName("diff-review-shadow"),o.actionBarContainer=r.createFastDomNode(document.createElement("div")),
o.actionBarContainer.setClassName("diff-review-actions"),o._actionBar=o._register(new s.ActionBar(o.actionBarContainer.domNode)),o._actionBar.push(new l.Action("diffreview.close",n.localize(0,null),"close-diff-review",!0,function(){return o.hide(),null}),{label:!1,icon:!0}),o.domNode=r.createFastDomNode(document.createElement("div")),o.domNode.setClassName("diff-review monaco-editor-background"),o._content=r.createFastDomNode(document.createElement("div")),o._content.setClassName("diff-review-content"),o.scrollbar=o._register(new a.DomScrollableElement(o._content.domNode,{})),o.domNode.domNode.appendChild(o.scrollbar.getDomNode()),o._register(t.onDidUpdateDiff(function(){o._isVisible&&(o._diffs=o._compute(),o._render())})),o._register(t.getModifiedEditor().onDidChangeCursorPosition(function(){o._isVisible&&o._render()})),o._register(t.getOriginalEditor().onDidFocusEditorWidget(function(){o._isVisible&&o.hide()})),o._register(t.getModifiedEditor().onDidFocusEditorWidget(function(){o._isVisible&&o.hide()})),
o._register(i.addStandardDisposableListener(o.domNode.domNode,"click",function(e){e.preventDefault();var t=i.findParentWithClass(e.target,"diff-review-row");t&&o._goToRow(t)})),o._register(i.addStandardDisposableListener(o.domNode.domNode,"keydown",function(e){(e.equals(18)||e.equals(2066)||e.equals(530))&&(e.preventDefault(),o._goToRow(o._getNextRow())),(e.equals(16)||e.equals(2064)||e.equals(528))&&(e.preventDefault(),o._goToRow(o._getPrevRow())),(e.equals(9)||e.equals(2057)||e.equals(521)||e.equals(1033))&&(e.preventDefault(),o.hide()),(e.equals(10)||e.equals(3))&&(e.preventDefault(),o.accept())})),o._diffs=[],o._currentDiff=null,o}return o(t,e),t.prototype.prev=function(){var e=0;if(this._isVisible||(this._diffs=this._compute()),this._isVisible){for(var t=-1,n=0,i=this._diffs.length;n<i;n++)if(this._diffs[n]===this._currentDiff){t=n;break}e=this._diffs.length+t-1}else e=this._findDiffIndex(this._diffEditor.getPosition());0!==this._diffs.length&&(e%=this._diffs.length,
this._diffEditor.setPosition(new f.Position(this._diffs[e].entries[0].modifiedLineStart,1)),this._isVisible=!0,this._diffEditor.doLayout(),this._render(),this._goToRow(this._getNextRow()))},t.prototype.next=function(){var e=0;if(this._isVisible||(this._diffs=this._compute()),this._isVisible){for(var t=-1,n=0,i=this._diffs.length;n<i;n++)if(this._diffs[n]===this._currentDiff){t=n;break}e=t+1}else e=this._findDiffIndex(this._diffEditor.getPosition());0!==this._diffs.length&&(e%=this._diffs.length,this._diffEditor.setPosition(new f.Position(this._diffs[e].entries[0].modifiedLineStart,1)),this._isVisible=!0,this._diffEditor.doLayout(),this._render(),this._goToRow(this._getNextRow()))},t.prototype.accept=function(){var e=-1,t=this._getCurrentFocusedRow();if(t){var n=parseInt(t.getAttribute("data-line"),10);isNaN(n)||(e=n)}this.hide(),-1!==e&&(this._diffEditor.setPosition(new f.Position(e,1)),this._diffEditor.revealPosition(new f.Position(e,1),1))},t.prototype.hide=function(){this._isVisible=!1,
this._diffEditor.focus(),this._diffEditor.doLayout(),this._render()},t.prototype._getPrevRow=function(){var e=this._getCurrentFocusedRow();return e?e.previousElementSibling?e.previousElementSibling:e:this._getFirstRow()},t.prototype._getNextRow=function(){var e=this._getCurrentFocusedRow();return e?e.nextElementSibling?e.nextElementSibling:e:this._getFirstRow()},t.prototype._getFirstRow=function(){return this.domNode.domNode.querySelector(".diff-review-row")},t.prototype._getCurrentFocusedRow=function(){var e=document.activeElement;return e&&/diff-review-row/.test(e.className)?e:null},t.prototype._goToRow=function(e){var t=this._getCurrentFocusedRow();e.tabIndex=0,e.focus(),t&&t!==e&&(t.tabIndex=-1),this.scrollbar.scanDomNode()},t.prototype.isVisible=function(){return this._isVisible},t.prototype.layout=function(e,t,n){this._width=t,this.shadow.setTop(e-6),this.shadow.setWidth(t),this.shadow.setHeight(this._isVisible?6:0),this.domNode.setTop(e),this.domNode.setWidth(t),this.domNode.setHeight(n),
this._content.setHeight(n),this._content.setWidth(t),this._isVisible?(this.actionBarContainer.setAttribute("aria-hidden","false"),this.actionBarContainer.setDisplay("block")):(this.actionBarContainer.setAttribute("aria-hidden","true"),this.actionBarContainer.setDisplay("none"))},t.prototype._compute=function(){var e=this._diffEditor.getLineChanges();if(!e||0===e.length)return[];var n=this._diffEditor.getOriginalEditor().getModel(),i=this._diffEditor.getModifiedEditor().getModel();return n&&i?t._mergeAdjacent(e,n.getLineCount(),i.getLineCount()):[]},t._mergeAdjacent=function(e,t,n){if(!e||0===e.length)return[];for(var i=[],o=0,r=0,s=e.length;r<s;r++){var a=e[r],l=a.originalStartLineNumber,u=a.originalEndLineNumber,d=a.modifiedStartLineNumber,c=a.modifiedEndLineNumber,h=[],p=0,f=0===u?l:l-1,g=0===c?d:d-1,m=1,v=1;if(r>0){var _=e[r-1];m=0===_.originalEndLineNumber?_.originalStartLineNumber+1:_.originalEndLineNumber+1,v=0===_.modifiedEndLineNumber?_.modifiedStartLineNumber+1:_.modifiedEndLineNumber+1}
var y=f-3+1,C=g-3+1;if(y<m){y+=M=m-y,C+=M}if(C<v){y+=M=v-C,C+=M}h[p++]=new S(y,f,C,g),0!==u&&(h[p++]=new S(l,u,0,0)),0!==c&&(h[p++]=new S(0,0,d,c));var b=0===u?l+1:u+1,E=0===c?d+1:c+1,L=t,x=n;if(r+1<s){var I=e[r+1];L=0===I.originalEndLineNumber?I.originalStartLineNumber:I.originalStartLineNumber-1,x=0===I.modifiedEndLineNumber?I.modifiedStartLineNumber:I.modifiedStartLineNumber-1}var N=b+3-1,D=E+3-1;if(N>L){N+=M=L-N,D+=M}if(D>x){var M=x-D;N+=M,D+=M}h[p++]=new S(b,N,E,D),i[o++]=new w(h)}for(var k=i[0].entries,T=[],R=0,r=1,s=i.length;r<s;r++){var O=i[r].entries,P=k[k.length-1],A=O[0];0===P.getType()&&0===A.getType()&&A.originalLineStart<=P.originalLineEnd?(k[k.length-1]=new S(P.originalLineStart,A.originalLineEnd,P.modifiedLineStart,A.modifiedLineEnd),k=k.concat(O.slice(1))):(T[R++]=new w(k),k=O)}return T[R++]=new w(k),T},t.prototype._findDiffIndex=function(e){for(var t=e.lineNumber,n=0,i=this._diffs.length;n<i;n++){var o=this._diffs[n].entries;if(t<=o[o.length-1].modifiedLineEnd)return n}return 0},
t.prototype._render=function(){var e=this._diffEditor.getOriginalEditor().getConfiguration(),o=this._diffEditor.getModifiedEditor().getConfiguration(),r=this._diffEditor.getOriginalEditor().getModel(),s=this._diffEditor.getModifiedEditor().getModel(),a=r.getOptions(),l=s.getOptions();if(!this._isVisible||!r||!s)return i.clearNode(this._content.domNode),this._currentDiff=null,void this.scrollbar.scanDomNode();var u=this._diffEditor.getPosition(),c=this._findDiffIndex(u);if(this._diffs[c]!==this._currentDiff){this._currentDiff=this._diffs[c];var h=this._diffs[c].entries,p=document.createElement("div");p.className="diff-review-table",p.setAttribute("role","list"),d.Configuration.applyFontInfoSlow(p,o.fontInfo);for(var f=0,g=0,m=0,v=0,_=0,y=h.length;_<y;_++){var C=(T=h[_]).originalLineStart,b=T.originalLineEnd,S=T.modifiedLineStart,w=T.modifiedLineEnd;0!==C&&(0===f||C<f)&&(f=C),0!==b&&(0===g||b>g)&&(g=b),0!==S&&(0===m||S<m)&&(m=S),0!==w&&(0===v||w>v)&&(v=w)}var E=document.createElement("div")
;E.className="diff-review-row";var L=document.createElement("div");L.className="diff-review-cell diff-review-summary";var x=g-f+1,I=v-m+1;L.appendChild(document.createTextNode(c+1+"/"+this._diffs.length+": @@ -"+f+","+x+" +"+m+","+I+" @@")),E.setAttribute("data-line",String(m));var N=function(e){return 0===e?n.localize(1,null):1===e?n.localize(2,null):n.localize(3,null,e)},D=N(x),M=N(I);E.setAttribute("aria-label",n.localize(4,null,c+1,this._diffs.length,f,D,m,M)),E.appendChild(L),E.setAttribute("role","listitem"),p.appendChild(E);for(var k=m,_=0,y=h.length;_<y;_++){var T=h[_];t._renderSection(p,T,k,this._width,e,r,a,o,s,l),0!==T.modifiedLineStart&&(k=T.modifiedLineEnd)}i.clearNode(this._content.domNode),this._content.domNode.appendChild(p),this.scrollbar.scanDomNode()}},t._renderSection=function(e,t,i,o,r,s,a,l,u,d){var c=t.getType(),h="diff-review-row",p="",f="diff-review-spacer";switch(c){case 1:h="diff-review-row line-insert",p=" char-insert",f="diff-review-spacer insert-sign";break;case 2:
h="diff-review-row line-delete",p=" char-delete",f="diff-review-spacer delete-sign"}for(var g=t.originalLineStart,m=t.originalLineEnd,v=t.modifiedLineStart,_=t.modifiedLineEnd,y=Math.max(_-v,m-g),C=r.layoutInfo.glyphMarginWidth+r.layoutInfo.lineNumbersWidth,b=10+l.layoutInfo.glyphMarginWidth+l.layoutInfo.lineNumbersWidth,S=0;S<=y;S++){var w=0===g?0:g+S,E=0===v?0:v+S,L=document.createElement("div");L.style.minWidth=o+"px",L.className=h,L.setAttribute("role","listitem"),0!==E&&(i=E),L.setAttribute("data-line",String(i));var x=document.createElement("div");x.className="diff-review-cell",L.appendChild(x);var I=document.createElement("span");I.style.width=C+"px",I.style.minWidth=C+"px",I.className="diff-review-line-number"+p,0!==w?I.appendChild(document.createTextNode(String(w))):I.innerHTML="&nbsp;",x.appendChild(I);var N=document.createElement("span");N.style.width=b+"px",N.style.minWidth=b+"px",N.style.paddingRight="10px",N.className="diff-review-line-number"+p,
0!==E?N.appendChild(document.createTextNode(String(E))):N.innerHTML="&nbsp;",x.appendChild(N);var D=document.createElement("span");D.className=f,D.innerHTML="&nbsp;&nbsp;",x.appendChild(D);var M=void 0;0!==E?(x.insertAdjacentHTML("beforeend",this._renderLine(u,l,d.tabSize,E)),M=u.getLineContent(E)):(x.insertAdjacentHTML("beforeend",this._renderLine(s,r,a.tabSize,w)),M=s.getLineContent(w)),0===M.length&&(M=n.localize(5,null));var k=void 0;switch(c){case 0:k=n.localize(6,null,w,E,M);break;case 1:k=n.localize(7,null,E,M);break;case 2:k=n.localize(8,null,w,M)}L.setAttribute("aria-label",k),e.appendChild(L)}},t._renderLine=function(e,t,n,i){var o=e.getLineContent(i),r=new Uint32Array(2);r[0]=o.length,r[1]=16793600;var s=new p.LineTokens(r,o),a=v.ViewLineRenderingData.isBasicASCII(o,e.mightContainNonBasicASCII()),l=v.ViewLineRenderingData.containsRTL(o,a,e.mightContainRTL())
;return m.renderViewLine2(new m.RenderLineInput(t.fontInfo.isMonospace&&!t.viewInfo.disableMonospaceOptimizations,t.fontInfo.canUseHalfwidthRightwardsArrow,o,!1,a,l,0,s,[],n,t.fontInfo.spaceWidth,t.viewInfo.stopRenderingLineAfter,t.viewInfo.renderWhitespace,t.viewInfo.renderControlCharacters,t.viewInfo.fontLigatures)).html},t}(u.Disposable);t.DiffReview=E,C.registerThemingParticipant(function(e,t){var n=e.getColor(g.editorLineNumbers);n&&t.addRule(".monaco-diff-editor .diff-review-line-number { color: "+n+"; }");var i=e.getColor(y.scrollbarShadow);i&&t.addRule(".monaco-diff-editor .diff-review-shadow { box-shadow: "+i+" 0 -6px 6px -6px inset; }")});var L=function(e){function t(){return e.call(this,{id:"editor.action.diffReview.next",label:n.localize(9,null),alias:"Go to Next Difference",precondition:_.ContextKeyExpr.has("isInDiffEditor"),kbOpts:{kbExpr:null,primary:65,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=b(e);n&&n.diffReviewNext()},t}(c.EditorAction),x=function(e){
function t(){return e.call(this,{id:"editor.action.diffReview.prev",label:n.localize(10,null),alias:"Go to Previous Difference",precondition:_.ContextKeyExpr.has("isInDiffEditor"),kbOpts:{kbExpr:null,primary:1089,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=b(e);n&&n.diffReviewPrev()},t}(c.EditorAction);c.registerEditorAction(L),c.registerEditorAction(x)}),define(t[189],n([0,1,291,7,23,102,16,6,2,27,57,66,30,99,506,48,3,121,54,26,64,157,129,103,59,18,15,98,35,20,13,296]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,I,N,D,M,k,T,R){"use strict";function O(e,t,n,i,o){return{range:new y.Range(e,t,n,i),options:o}}function P(e){return e.modifiedEndLineNumber>0}function A(e){return e.originalEndLineNumber>0}Object.defineProperty(t,"__esModule",{value:!0});var F=function(){function e(){this._zones=[],this._zonesMap={},this._decorations=[]}return e.prototype.getForeignViewZones=function(e){var t=this;return e.filter(function(e){return!t._zonesMap[String(e.id)]})},
e.prototype.clean=function(e){var t=this;this._zones.length>0&&e.changeViewZones(function(e){for(var n=0,i=t._zones.length;n<i;n++)e.removeZone(t._zones[n])}),this._zones=[],this._zonesMap={},this._decorations=e.deltaDecorations(this._decorations,[])},e.prototype.apply=function(e,t,n,i){var o=this,r=i?f.StableEditorScrollState.capture(e):null;e.changeViewZones(function(e){for(var t=0,i=o._zones.length;t<i;t++)e.removeZone(o._zones[t]);o._zones=[],o._zonesMap={};for(var t=0,r=n.zones.length;t<r;t++){n.zones[t].suppressMouseDown=!0;var s=e.addZone(n.zones[t]);o._zones.push(s),o._zonesMap[String(s)]=!0}}),r&&r.restore(e),this._decorations=e.deltaDecorations(this._decorations,n.decorations),t&&t.setZones(n.overviewZones)},e}(),W=0,V=function(e){function t(n,o,s,a,u,c,h,p){var f=e.call(this)||this;f._onDidDispose=f._register(new d.Emitter),f.onDidDispose=f._onDidDispose.event,f._onDidUpdateDiff=f._register(new d.Emitter),f.onDidUpdateDiff=f._onDidUpdateDiff.event,f._lastOriginalWarning=null,
f._lastModifiedWarning=null,f._editorWorkerService=s,f._codeEditorService=c,f._contextKeyService=f._register(a.createScoped(n)),f._contextKeyService.createKey("isInDiffEditor",!0),f._themeService=h,f._notificationService=p,f.id=++W,f._domElement=n,o=o||{},f._renderSideBySide=!0,void 0!==o.renderSideBySide&&(f._renderSideBySide=o.renderSideBySide),f._ignoreTrimWhitespace=!0,void 0!==o.ignoreTrimWhitespace&&(f._ignoreTrimWhitespace=o.ignoreTrimWhitespace),f._renderIndicators=!0,void 0!==o.renderIndicators&&(f._renderIndicators=o.renderIndicators),f._originalIsEditable=!1,void 0!==o.originalEditable&&(f._originalIsEditable=Boolean(o.originalEditable)),f._updateDecorationsRunner=f._register(new l.RunOnceScheduler(function(){return f._updateDecorations()},0)),f._containerDomElement=document.createElement("div"),f._containerDomElement.className=t._getClassName(f._themeService.getTheme(),f._renderSideBySide),f._containerDomElement.style.position="relative",f._containerDomElement.style.height="100%",
f._domElement.appendChild(f._containerDomElement),f._overviewViewportDomElement=r.createFastDomNode(document.createElement("div")),f._overviewViewportDomElement.setClassName("diffViewport"),f._overviewViewportDomElement.setPosition("absolute"),f._overviewDomElement=document.createElement("div"),f._overviewDomElement.className="diffOverview",f._overviewDomElement.style.position="absolute",f._overviewDomElement.appendChild(f._overviewViewportDomElement.domNode),f._register(i.addStandardDisposableListener(f._overviewDomElement,"mousedown",function(e){f.modifiedEditor.delegateVerticalScrollbarMouseDown(e)})),f._containerDomElement.appendChild(f._overviewDomElement),f._createLeftHandSide(),f._createRightHandSide(),f._beginUpdateDecorationsTimeout=-1,f._currentlyChangingViewZones=!1,f._diffComputationToken=0,f._originalEditorState=new F,f._modifiedEditorState=new F,f._isVisible=!0,f._isHandlingScrollEvent=!1,f._width=0,f._height=0,f._reviewHeight=0,f._diffComputationResult=null
;var g=f._contextKeyService.createScoped();g.createKey("isInDiffLeftEditor",!0);var m=new M.ServiceCollection;m.set(N.IContextKeyService,g);var _=u.createChild(m),y=f._contextKeyService.createScoped();y.createKey("isInDiffRightEditor",!0);var C=new M.ServiceCollection;C.set(N.IContextKeyService,y);var b=u.createChild(C);return f._createLeftHandSideEditor(o,_),f._createRightHandSideEditor(o,b),f._reviewPane=new v.DiffReview(f),f._containerDomElement.appendChild(f._reviewPane.domNode.domNode),f._containerDomElement.appendChild(f._reviewPane.shadow.domNode),f._containerDomElement.appendChild(f._reviewPane.actionBarContainer.domNode),o.automaticLayout&&(f._measureDomElementToken=window.setInterval(function(){return f._measureDomElement(!1)},100)),f._enableSplitViewResizing=!0,void 0!==o.enableSplitViewResizing&&(f._enableSplitViewResizing=o.enableSplitViewResizing),
f._renderSideBySide?f._setStrategy(new U(f._createDataSource(),f._enableSplitViewResizing)):f._setStrategy(new q(f._createDataSource(),f._enableSplitViewResizing)),f._register(h.onThemeChange(function(e){f._strategy&&f._strategy.applyColors(e)&&f._updateDecorationsRunner.schedule(),f._containerDomElement.className=t._getClassName(f._themeService.getTheme(),f._renderSideBySide)})),f._codeEditorService.addDiffEditor(f),f}return o(t,e),t.prototype.hasWidgetFocus=function(){return i.isAncestor(document.activeElement,this._domElement)},t.prototype.diffReviewNext=function(){this._reviewPane.next()},t.prototype.diffReviewPrev=function(){this._reviewPane.prev()},t._getClassName=function(e,t){var n="monaco-diff-editor monaco-editor-background ";return t&&(n+="side-by-side "),n+=R.getThemeTypeSelector(e.type)},t.prototype._recreateOverviewRulers=function(){this._originalOverviewRuler&&(this._overviewDomElement.removeChild(this._originalOverviewRuler.getDomNode()),this._originalOverviewRuler.dispose()),
this._originalOverviewRuler=this.originalEditor.createOverviewRuler("original diffOverviewRuler"),this._overviewDomElement.appendChild(this._originalOverviewRuler.getDomNode()),this._modifiedOverviewRuler&&(this._overviewDomElement.removeChild(this._modifiedOverviewRuler.getDomNode()),this._modifiedOverviewRuler.dispose()),this._modifiedOverviewRuler=this.modifiedEditor.createOverviewRuler("modified diffOverviewRuler"),this._overviewDomElement.appendChild(this._modifiedOverviewRuler.getDomNode()),this._layoutOverviewRulers()},t.prototype._createLeftHandSide=function(){this._originalDomNode=document.createElement("div"),this._originalDomNode.className="editor original",this._originalDomNode.style.position="absolute",this._originalDomNode.style.height="100%",this._containerDomElement.appendChild(this._originalDomNode)},t.prototype._createRightHandSide=function(){this._modifiedDomNode=document.createElement("div"),this._modifiedDomNode.className="editor modified",this._modifiedDomNode.style.position="absolute",
this._modifiedDomNode.style.height="100%",this._containerDomElement.appendChild(this._modifiedDomNode)},t.prototype._createLeftHandSideEditor=function(e,t){var n=this;this.originalEditor=this._createInnerEditor(t,this._originalDomNode,this._adjustOptionsForLeftHandSide(e,this._originalIsEditable)),this._register(this.originalEditor.onDidScrollChange(function(e){n._isHandlingScrollEvent||(e.scrollTopChanged||e.scrollLeftChanged||e.scrollHeightChanged)&&(n._isHandlingScrollEvent=!0,n.modifiedEditor.setScrollPosition({scrollLeft:e.scrollLeft,scrollTop:e.scrollTop}),n._isHandlingScrollEvent=!1,n._layoutOverviewViewport())})),this._register(this.originalEditor.onDidChangeViewZones(function(){n._onViewZonesChanged()})),this._register(this.originalEditor.onDidChangeModelContent(function(){n._isVisible&&n._beginUpdateDecorationsSoon()}))},t.prototype._createRightHandSideEditor=function(e,t){var n=this;this.modifiedEditor=this._createInnerEditor(t,this._modifiedDomNode,this._adjustOptionsForRightHandSide(e)),
this._register(this.modifiedEditor.onDidScrollChange(function(e){n._isHandlingScrollEvent||(e.scrollTopChanged||e.scrollLeftChanged||e.scrollHeightChanged)&&(n._isHandlingScrollEvent=!0,n.originalEditor.setScrollPosition({scrollLeft:e.scrollLeft,scrollTop:e.scrollTop}),n._isHandlingScrollEvent=!1,n._layoutOverviewViewport())})),this._register(this.modifiedEditor.onDidChangeViewZones(function(){n._onViewZonesChanged()})),this._register(this.modifiedEditor.onDidChangeConfiguration(function(e){e.fontInfo&&n.modifiedEditor.getModel()&&n._onViewZonesChanged()})),this._register(this.modifiedEditor.onDidChangeModelContent(function(){n._isVisible&&n._beginUpdateDecorationsSoon()}))},t.prototype._createInnerEditor=function(e,t,n){return e.createInstance(m.CodeEditorWidget,t,n,{})},t.prototype.dispose=function(){this._codeEditorService.removeDiffEditor(this),-1!==this._beginUpdateDecorationsTimeout&&(window.clearTimeout(this._beginUpdateDecorationsTimeout),this._beginUpdateDecorationsTimeout=-1),
window.clearInterval(this._measureDomElementToken),this._cleanViewZonesAndDecorations(),this._originalOverviewRuler&&(this._overviewDomElement.removeChild(this._originalOverviewRuler.getDomNode()),this._originalOverviewRuler.dispose()),this._modifiedOverviewRuler&&(this._overviewDomElement.removeChild(this._modifiedOverviewRuler.getDomNode()),this._modifiedOverviewRuler.dispose()),this._overviewDomElement.removeChild(this._overviewViewportDomElement.domNode),this._containerDomElement.removeChild(this._overviewDomElement),this._containerDomElement.removeChild(this._originalDomNode),this.originalEditor.dispose(),this._containerDomElement.removeChild(this._modifiedDomNode),this.modifiedEditor.dispose(),this._strategy.dispose(),this._containerDomElement.removeChild(this._reviewPane.domNode.domNode),this._containerDomElement.removeChild(this._reviewPane.shadow.domNode),this._containerDomElement.removeChild(this._reviewPane.actionBarContainer.domNode),this._reviewPane.dispose(),
this._domElement.removeChild(this._containerDomElement),this._onDidDispose.fire(),e.prototype.dispose.call(this)},t.prototype.getId=function(){return this.getEditorType()+":"+this.id},t.prototype.getEditorType=function(){return b.EditorType.IDiffEditor},t.prototype.getLineChanges=function(){return this._diffComputationResult?this._diffComputationResult.changes:null},t.prototype.getOriginalEditor=function(){return this.originalEditor},t.prototype.getModifiedEditor=function(){return this.modifiedEditor},t.prototype.updateOptions=function(e){var n=!1;void 0!==e.renderSideBySide&&this._renderSideBySide!==e.renderSideBySide&&(this._renderSideBySide=e.renderSideBySide,n=!0);var i=!1;void 0!==e.ignoreTrimWhitespace&&this._ignoreTrimWhitespace!==e.ignoreTrimWhitespace&&(this._ignoreTrimWhitespace=e.ignoreTrimWhitespace,i=!0),void 0!==e.renderIndicators&&this._renderIndicators!==e.renderIndicators&&(this._renderIndicators=e.renderIndicators,i=!0),i&&this._beginUpdateDecorations(),
void 0!==e.originalEditable&&(this._originalIsEditable=Boolean(e.originalEditable)),this.modifiedEditor.updateOptions(this._adjustOptionsForRightHandSide(e)),this.originalEditor.updateOptions(this._adjustOptionsForLeftHandSide(e,this._originalIsEditable)),void 0!==e.enableSplitViewResizing&&(this._enableSplitViewResizing=e.enableSplitViewResizing),this._strategy.setEnableSplitViewResizing(this._enableSplitViewResizing),n&&(this._renderSideBySide?this._setStrategy(new U(this._createDataSource(),this._enableSplitViewResizing)):this._setStrategy(new q(this._createDataSource(),this._enableSplitViewResizing)),this._containerDomElement.className=t._getClassName(this._themeService.getTheme(),this._renderSideBySide))},t.prototype.getModel=function(){return{original:this.originalEditor.getModel(),modified:this.modifiedEditor.getModel()}},t.prototype.setModel=function(e){
if(e&&(!e.original||!e.modified))throw new Error(e.original?"DiffEditorWidget.setModel: Modified model is null":"DiffEditorWidget.setModel: Original model is null");this._cleanViewZonesAndDecorations(),this.originalEditor.setModel(e?e.original:null),this.modifiedEditor.setModel(e?e.modified:null),this._updateDecorationsRunner.cancel(),e&&(this.originalEditor.setScrollTop(0),this.modifiedEditor.setScrollTop(0)),this._diffComputationResult=null,this._diffComputationToken++,e?(this._recreateOverviewRulers(),this._beginUpdateDecorations()):this._diffComputationResult=null,this._layoutOverviewViewport()},t.prototype.getDomNode=function(){return this._domElement},t.prototype.getVisibleColumnFromPosition=function(e){return this.modifiedEditor.getVisibleColumnFromPosition(e)},t.prototype.getPosition=function(){return this.modifiedEditor.getPosition()},t.prototype.setPosition=function(e){this.modifiedEditor.setPosition(e)},t.prototype.revealLine=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealLine(e,t)},
t.prototype.revealLineInCenter=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealLineInCenter(e,t)},t.prototype.revealLineInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealLineInCenterIfOutsideViewport(e,t)},t.prototype.revealPosition=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealPosition(e,t)},t.prototype.revealPositionInCenter=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealPositionInCenter(e,t)},t.prototype.revealPositionInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealPositionInCenterIfOutsideViewport(e,t)},t.prototype.getSelection=function(){return this.modifiedEditor.getSelection()},t.prototype.getSelections=function(){return this.modifiedEditor.getSelections()},t.prototype.setSelection=function(e){this.modifiedEditor.setSelection(e)},t.prototype.setSelections=function(e){this.modifiedEditor.setSelections(e)},t.prototype.revealLines=function(e,t,n){void 0===n&&(n=0),this.modifiedEditor.revealLines(e,t,n)},
t.prototype.revealLinesInCenter=function(e,t,n){void 0===n&&(n=0),this.modifiedEditor.revealLinesInCenter(e,t,n)},t.prototype.revealLinesInCenterIfOutsideViewport=function(e,t,n){void 0===n&&(n=0),this.modifiedEditor.revealLinesInCenterIfOutsideViewport(e,t,n)},t.prototype.revealRange=function(e,t,n,i){void 0===t&&(t=0),void 0===n&&(n=!1),void 0===i&&(i=!0),this.modifiedEditor.revealRange(e,t,n,i)},t.prototype.revealRangeInCenter=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealRangeInCenter(e,t)},t.prototype.revealRangeInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealRangeInCenterIfOutsideViewport(e,t)},t.prototype.revealRangeAtTop=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealRangeAtTop(e,t)},t.prototype.getSupportedActions=function(){return this.modifiedEditor.getSupportedActions()},t.prototype.saveViewState=function(){return{original:this.originalEditor.saveViewState(),modified:this.modifiedEditor.saveViewState()}},
t.prototype.restoreViewState=function(e){if(e.original&&e.original){var t=e;this.originalEditor.restoreViewState(t.original),this.modifiedEditor.restoreViewState(t.modified)}},t.prototype.layout=function(e){this._measureDomElement(!1,e)},t.prototype.focus=function(){this.modifiedEditor.focus()},t.prototype.hasTextFocus=function(){return this.originalEditor.hasTextFocus()||this.modifiedEditor.hasTextFocus()},t.prototype.trigger=function(e,t,n){this.modifiedEditor.trigger(e,t,n)},t.prototype.changeDecorations=function(e){return this.modifiedEditor.changeDecorations(e)},t.prototype._measureDomElement=function(e,t){if((t=t||{width:this._containerDomElement.clientWidth,height:this._containerDomElement.clientHeight}).width<=0)return this._width=0,this._height=0,void(this._reviewHeight=0);(e||t.width!==this._width||t.height!==this._height)&&(this._width=t.width,this._height=t.height,this._reviewHeight=this._reviewPane.isVisible()?this._height:0,this._doLayout())},t.prototype._layoutOverviewRulers=function(){
var e=t.ENTIRE_DIFF_OVERVIEW_WIDTH-2*t.ONE_OVERVIEW_WIDTH;this.modifiedEditor.getLayoutInfo()&&(this._originalOverviewRuler.setLayout({top:0,width:t.ONE_OVERVIEW_WIDTH,right:e+t.ONE_OVERVIEW_WIDTH,height:this._height-this._reviewHeight}),this._modifiedOverviewRuler.setLayout({top:0,right:0,width:t.ONE_OVERVIEW_WIDTH,height:this._height-this._reviewHeight}))},t.prototype._onViewZonesChanged=function(){this._currentlyChangingViewZones||this._updateDecorationsRunner.schedule()},t.prototype._beginUpdateDecorationsSoon=function(){var e=this;-1!==this._beginUpdateDecorationsTimeout&&(window.clearTimeout(this._beginUpdateDecorationsTimeout),this._beginUpdateDecorationsTimeout=-1),this._beginUpdateDecorationsTimeout=window.setTimeout(function(){return e._beginUpdateDecorations()},t.UPDATE_DIFF_DECORATIONS_DELAY)},t._equals=function(e,t){return!e&&!t||!(!e||!t)&&e.toString()===t.toString()},t.prototype._beginUpdateDecorations=function(){var e=this;this._beginUpdateDecorationsTimeout=-1
;var i=this.originalEditor.getModel(),o=this.modifiedEditor.getModel();if(i&&o){this._diffComputationToken++;var r=this._diffComputationToken;this._editorWorkerService.canComputeDiff(i.uri,o.uri)?this._editorWorkerService.computeDiff(i.uri,o.uri,this._ignoreTrimWhitespace).then(function(t){r===e._diffComputationToken&&i===e.originalEditor.getModel()&&o===e.modifiedEditor.getModel()&&(e._diffComputationResult=t,e._updateDecorationsRunner.schedule(),e._onDidUpdateDiff.fire())},function(t){r===e._diffComputationToken&&i===e.originalEditor.getModel()&&o===e.modifiedEditor.getModel()&&(e._diffComputationResult=null,e._updateDecorationsRunner.schedule())}):t._equals(i.uri,this._lastOriginalWarning)&&t._equals(o.uri,this._lastModifiedWarning)||(this._lastOriginalWarning=i.uri,this._lastModifiedWarning=o.uri,this._notificationService.warn(n.localize(0,null)))}},t.prototype._cleanViewZonesAndDecorations=function(){this._originalEditorState.clean(this.originalEditor),this._modifiedEditorState.clean(this.modifiedEditor)
},t.prototype._updateDecorations=function(){if(this.originalEditor.getModel()&&this.modifiedEditor.getModel()){var e=this._diffComputationResult?this._diffComputationResult.changes:[],t=this._originalEditorState.getForeignViewZones(this.originalEditor.getWhitespaces()),n=this._modifiedEditorState.getForeignViewZones(this.modifiedEditor.getWhitespaces()),i=this._strategy.getEditorsDiffDecorations(e,this._ignoreTrimWhitespace,this._renderIndicators,t,n,this.originalEditor,this.modifiedEditor);try{this._currentlyChangingViewZones=!0,this._originalEditorState.apply(this.originalEditor,this._originalOverviewRuler,i.original,!1),this._modifiedEditorState.apply(this.modifiedEditor,this._modifiedOverviewRuler,i.modified,!0)}finally{this._currentlyChangingViewZones=!1}}},t.prototype._adjustOptionsForSubEditor=function(e){var t=h.deepClone(e||{});return t.inDiffEditor=!0,t.wordWrap="off",t.wordWrapMinified=!1,t.automaticLayout=!1,t.scrollbar=t.scrollbar||{},t.scrollbar.vertical="visible",t.folding=!1,t.codeLens=!1,
t.fixedOverflowWidgets=!0,t.minimap||(t.minimap={}),t.minimap.enabled=!1,t},t.prototype._adjustOptionsForLeftHandSide=function(e,t){var n=this._adjustOptionsForSubEditor(e);return n.readOnly=!t,n.overviewRulerLanes=1,n.extraEditorClassName="original-in-monaco-diff-editor",n},t.prototype._adjustOptionsForRightHandSide=function(e){var n=this._adjustOptionsForSubEditor(e);return n.revealHorizontalRightPadding=_.EDITOR_DEFAULTS.viewInfo.revealHorizontalRightPadding+t.ENTIRE_DIFF_OVERVIEW_WIDTH,n.scrollbar.verticalHasArrows=!1,n.extraEditorClassName="modified-in-monaco-diff-editor",n},t.prototype.doLayout=function(){this._measureDomElement(!0)},t.prototype._doLayout=function(){var e=this._strategy.layout();this._originalDomNode.style.width=e+"px",this._originalDomNode.style.left="0px",this._modifiedDomNode.style.width=this._width-e+"px",this._modifiedDomNode.style.left=e+"px",this._overviewDomElement.style.top="0px",this._overviewDomElement.style.height=this._height-this._reviewHeight+"px",
this._overviewDomElement.style.width=t.ENTIRE_DIFF_OVERVIEW_WIDTH+"px",this._overviewDomElement.style.left=this._width-t.ENTIRE_DIFF_OVERVIEW_WIDTH+"px",this._overviewViewportDomElement.setWidth(t.ENTIRE_DIFF_OVERVIEW_WIDTH),this._overviewViewportDomElement.setHeight(30),this.originalEditor.layout({width:e,height:this._height-this._reviewHeight}),this.modifiedEditor.layout({width:this._width-e-t.ENTIRE_DIFF_OVERVIEW_WIDTH,height:this._height-this._reviewHeight}),(this._originalOverviewRuler||this._modifiedOverviewRuler)&&this._layoutOverviewRulers(),this._reviewPane.layout(this._height-this._reviewHeight,this._width,this._reviewHeight),this._layoutOverviewViewport()},t.prototype._layoutOverviewViewport=function(){var e=this._computeOverviewViewport();e?(this._overviewViewportDomElement.setTop(e.top),this._overviewViewportDomElement.setHeight(e.height)):(this._overviewViewportDomElement.setTop(0),this._overviewViewportDomElement.setHeight(0))},t.prototype._computeOverviewViewport=function(){
var e=this.modifiedEditor.getLayoutInfo();if(!e)return null;var t=this.modifiedEditor.getScrollTop(),n=this.modifiedEditor.getScrollHeight(),i=Math.max(0,e.contentHeight),o=Math.max(0,i-0),r=n>0?o/n:0;return{height:Math.max(0,Math.floor(e.contentHeight*r)),top:Math.floor(t*r)}},t.prototype._createDataSource=function(){var e=this;return{getWidth:function(){return e._width},getHeight:function(){return e._height-e._reviewHeight},getContainerDomNode:function(){return e._containerDomElement},relayoutEditors:function(){e._doLayout()},getOriginalEditor:function(){return e.originalEditor},getModifiedEditor:function(){return e.modifiedEditor}}},t.prototype._setStrategy=function(e){this._strategy&&this._strategy.dispose(),this._strategy=e,e.applyColors(this._themeService.getTheme()),this._diffComputationResult&&this._updateDecorations(),this._measureDomElement(!0)},t.prototype._getLineChangeAtOrBeforeLineNumber=function(e,t){var n=this._diffComputationResult?this._diffComputationResult.changes:[]
;if(0===n.length||e<t(n[0]))return null;for(var i=0,o=n.length-1;i<o;){var r=Math.floor((i+o)/2),s=t(n[r]),a=r+1<=o?t(n[r+1]):Number.MAX_VALUE;e<s?o=r-1:e>=a?i=r+1:(i=r,o=r)}return n[i]},t.prototype._getEquivalentLineForOriginalLineNumber=function(e){var t=this._getLineChangeAtOrBeforeLineNumber(e,function(e){return e.originalStartLineNumber});if(!t)return e;var n=t.originalStartLineNumber+(t.originalEndLineNumber>0?-1:0),i=t.modifiedStartLineNumber+(t.modifiedEndLineNumber>0?-1:0),o=t.originalEndLineNumber>0?t.originalEndLineNumber-t.originalStartLineNumber+1:0,r=t.modifiedEndLineNumber>0?t.modifiedEndLineNumber-t.modifiedStartLineNumber+1:0,s=e-n;return s<=o?i+Math.min(s,r):i+r-o+s},t.prototype._getEquivalentLineForModifiedLineNumber=function(e){var t=this._getLineChangeAtOrBeforeLineNumber(e,function(e){return e.modifiedStartLineNumber});if(!t)return e
;var n=t.originalStartLineNumber+(t.originalEndLineNumber>0?-1:0),i=t.modifiedStartLineNumber+(t.modifiedEndLineNumber>0?-1:0),o=t.originalEndLineNumber>0?t.originalEndLineNumber-t.originalStartLineNumber+1:0,r=t.modifiedEndLineNumber>0?t.modifiedEndLineNumber-t.modifiedStartLineNumber+1:0,s=e-i;return s<=r?n+Math.min(s,o):n+o-r+s},t.prototype.getDiffLineInformationForOriginal=function(e){return this._diffComputationResult?{equivalentLineNumber:this._getEquivalentLineForOriginalLineNumber(e)}:null},t.prototype.getDiffLineInformationForModified=function(e){return this._diffComputationResult?{equivalentLineNumber:this._getEquivalentLineForModifiedLineNumber(e)}:null},t.ONE_OVERVIEW_WIDTH=15,t.ENTIRE_DIFF_OVERVIEW_WIDTH=30,t.UPDATE_DIFF_DECORATIONS_DELAY=200,t=a([u(2,w.IEditorWorkerService),u(3,N.IContextKeyService),u(4,D.IInstantiationService),u(5,g.ICodeEditorService),u(6,R.IThemeService),u(7,k.INotificationService)],t)}(c.Disposable);t.DiffEditorWidget=V;var H=function(e){function t(t){
var n=e.call(this)||this;return n._dataSource=t,n}return o(t,e),t.prototype.applyColors=function(e){var t=(e.getColor(T.diffInserted)||T.defaultInsertColor).transparent(2),n=(e.getColor(T.diffRemoved)||T.defaultRemoveColor).transparent(2),i=!t.equals(this._insertColor)||!n.equals(this._removeColor);return this._insertColor=t,this._removeColor=n,i},t.prototype.getEditorsDiffDecorations=function(e,t,n,i,o,r,s){o=o.sort(function(e,t){return e.afterLineNumber-t.afterLineNumber}),i=i.sort(function(e,t){return e.afterLineNumber-t.afterLineNumber});var a=this._getViewZones(e,i,o,r,s,n),l=this._getOriginalEditorDecorations(e,t,n,r,s),u=this._getModifiedEditorDecorations(e,t,n,r,s);return{original:{decorations:l.decorations,overviewZones:l.overviewZones,zones:a.original},modified:{decorations:u.decorations,overviewZones:u.overviewZones,zones:a.modified}}},t}(c.Disposable),B=function(){function e(e){this._source=e,this._index=-1,this.advance()}return e.prototype.advance=function(){this._index++,
this._index<this._source.length?this.current=this._source[this._index]:this.current=null},e}(),z=function(){function e(e,t,n){this.lineChanges=e,this.originalForeignVZ=t,this.modifiedForeignVZ=n}return e.prototype.getViewZones=function(){for(var e={original:[],modified:[]},t=0,n=0,i=0,o=0,r=0,s=0,a=function(e,t){return e.afterLineNumber-t.afterLineNumber},l=function(e,t){if(null===t.domNode&&e.length>0){var n=e[e.length-1];if(n.afterLineNumber===t.afterLineNumber&&null===n.domNode)return void(n.heightInLines+=t.heightInLines)}e.push(t)},u=new B(this.modifiedForeignVZ),d=new B(this.originalForeignVZ),c=0,h=this.lineChanges.length;c<=h;c++){var p=c<h?this.lineChanges[c]:null;null!==p?(i=p.originalStartLineNumber+(p.originalEndLineNumber>0?-1:0),o=p.modifiedStartLineNumber+(p.modifiedEndLineNumber>0?-1:0),n=p.originalEndLineNumber>0?p.originalEndLineNumber-p.originalStartLineNumber+1:0,t=p.modifiedEndLineNumber>0?p.modifiedEndLineNumber-p.modifiedStartLineNumber+1:0,
r=Math.max(p.originalStartLineNumber,p.originalEndLineNumber),s=Math.max(p.modifiedStartLineNumber,p.modifiedEndLineNumber)):(r=i+=1e7+n,s=o+=1e7+t);for(var f=[],g=[];u.current&&u.current.afterLineNumber<=s;){v=void 0;v=u.current.afterLineNumber<=o?i-o+u.current.afterLineNumber:r;var m=null;p&&p.modifiedStartLineNumber<=u.current.afterLineNumber&&u.current.afterLineNumber<=p.modifiedEndLineNumber&&(m=this._createOriginalMarginDomNodeForModifiedForeignViewZoneInAddedRegion()),f.push({afterLineNumber:v,heightInLines:u.current.heightInLines,domNode:null,marginDomNode:m}),u.advance()}for(;d.current&&d.current.afterLineNumber<=r;){var v=void 0;v=d.current.afterLineNumber<=i?o-i+d.current.afterLineNumber:s,g.push({afterLineNumber:v,heightInLines:d.current.heightInLines,domNode:null}),d.advance()}if(null!==p&&P(p)){(_=this._produceOriginalFromDiff(p,n,t))&&f.push(_)}if(null!==p&&A(p)){var _=this._produceModifiedFromDiff(p,n,t);_&&g.push(_)}var y=0,C=0;for(f=f.sort(a),g=g.sort(a);y<f.length&&C<g.length;){
var b=f[y],S=g[C],w=b.afterLineNumber-i,E=S.afterLineNumber-o;w<E?(l(e.original,b),y++):E<w?(l(e.modified,S),C++):b.shouldNotShrink?(l(e.original,b),y++):S.shouldNotShrink?(l(e.modified,S),C++):b.heightInLines>=S.heightInLines?(b.heightInLines-=S.heightInLines,C++):(S.heightInLines-=b.heightInLines,y++)}for(;y<f.length;)l(e.original,f[y]),y++;for(;C<g.length;)l(e.modified,g[C]),C++}var L=function(e){e.domNode||(e.domNode=function(){var e=document.createElement("div");return e.className="diagonal-fill",e}())};return e.original.forEach(L),e.modified.forEach(L),e},e}(),K={charDelete:S.ModelDecorationOptions.register({className:"char-delete"}),charDeleteWholeLine:S.ModelDecorationOptions.register({className:"char-delete",isWholeLine:!0}),charInsert:S.ModelDecorationOptions.register({className:"char-insert"}),charInsertWholeLine:S.ModelDecorationOptions.register({className:"char-insert",isWholeLine:!0}),lineInsert:S.ModelDecorationOptions.register({className:"line-insert",marginClassName:"line-insert",
isWholeLine:!0}),lineInsertWithSign:S.ModelDecorationOptions.register({className:"line-insert",linesDecorationsClassName:"insert-sign",marginClassName:"line-insert",isWholeLine:!0}),lineDelete:S.ModelDecorationOptions.register({className:"line-delete",marginClassName:"line-delete",isWholeLine:!0}),lineDeleteWithSign:S.ModelDecorationOptions.register({className:"line-delete",linesDecorationsClassName:"delete-sign",marginClassName:"line-delete",isWholeLine:!0}),lineDeleteMargin:S.ModelDecorationOptions.register({marginClassName:"line-delete"})},U=function(e){function t(t,n){var i=e.call(this,t)||this;return i._disableSash=!1===n,i._sashRatio=null,i._sashPosition=null,i._sash=i._register(new s.Sash(i._dataSource.getContainerDomNode(),i)),i._disableSash&&(i._sash.state=0),i._sash.onDidStart(function(){return i.onSashDragStart()}),i._sash.onDidChange(function(e){return i.onSashDrag(e)}),i._sash.onDidEnd(function(){return i.onSashDragEnd()}),i._sash.onDidReset(function(){return i.onSashReset()}),i}return o(t,e),
t.prototype.setEnableSplitViewResizing=function(e){var t=!1===e;this._disableSash!==t&&(this._disableSash=t,this._sash.state=this._disableSash?0:3)},t.prototype.layout=function(e){void 0===e&&(e=this._sashRatio);var n=this._dataSource.getWidth()-V.ENTIRE_DIFF_OVERVIEW_WIDTH,i=Math.floor((e||.5)*n),o=Math.floor(.5*n);return i=this._disableSash?o:i||o,n>2*t.MINIMUM_EDITOR_WIDTH?(i<t.MINIMUM_EDITOR_WIDTH&&(i=t.MINIMUM_EDITOR_WIDTH),i>n-t.MINIMUM_EDITOR_WIDTH&&(i=n-t.MINIMUM_EDITOR_WIDTH)):i=o,this._sashPosition!==i&&(this._sashPosition=i,this._sash.layout()),this._sashPosition},t.prototype.onSashDragStart=function(){this._startSashPosition=this._sashPosition},t.prototype.onSashDrag=function(e){var t=this._dataSource.getWidth()-V.ENTIRE_DIFF_OVERVIEW_WIDTH,n=this.layout((this._startSashPosition+(e.currentX-e.startX))/t);this._sashRatio=n/t,this._dataSource.relayoutEditors()},t.prototype.onSashDragEnd=function(){this._sash.layout()},t.prototype.onSashReset=function(){this._sashRatio=.5,
this._dataSource.relayoutEditors(),this._sash.layout()},t.prototype.getVerticalSashTop=function(e){return 0},t.prototype.getVerticalSashLeft=function(e){return this._sashPosition},t.prototype.getVerticalSashHeight=function(e){return this._dataSource.getHeight()},t.prototype._getViewZones=function(e,t,n,i,o){return new j(e,t,n).getViewZones()},t.prototype._getOriginalEditorDecorations=function(e,t,n,i,o){for(var r=this._removeColor.toString(),s={decorations:[],overviewZones:[]},a=i.getModel(),l=0,u=e.length;l<u;l++){var d=e[l];if(A(d)&&(s.decorations.push({range:new y.Range(d.originalStartLineNumber,1,d.originalEndLineNumber,Number.MAX_VALUE),options:n?K.lineDeleteWithSign:K.lineDelete}),P(d)&&d.charChanges||s.decorations.push(O(d.originalStartLineNumber,1,d.originalEndLineNumber,Number.MAX_VALUE,K.charDeleteWholeLine)),s.overviewZones.push(new E.OverviewRulerZone(d.originalStartLineNumber,d.originalEndLineNumber,r)),d.charChanges))for(var c=0,h=d.charChanges.length;c<h;c++){var p=d.charChanges[c]
;if(A(p))if(t)for(var f=p.originalStartLineNumber;f<=p.originalEndLineNumber;f++){var g=void 0,m=void 0;g=f===p.originalStartLineNumber?p.originalStartColumn:a.getLineFirstNonWhitespaceColumn(f),m=f===p.originalEndLineNumber?p.originalEndColumn:a.getLineLastNonWhitespaceColumn(f),s.decorations.push(O(f,g,f,m,K.charDelete))}else s.decorations.push(O(p.originalStartLineNumber,p.originalStartColumn,p.originalEndLineNumber,p.originalEndColumn,K.charDelete))}}return s},t.prototype._getModifiedEditorDecorations=function(e,t,n,i,o){for(var r=this._insertColor.toString(),s={decorations:[],overviewZones:[]},a=o.getModel(),l=0,u=e.length;l<u;l++){var d=e[l];if(P(d)&&(s.decorations.push({range:new y.Range(d.modifiedStartLineNumber,1,d.modifiedEndLineNumber,Number.MAX_VALUE),options:n?K.lineInsertWithSign:K.lineInsert}),A(d)&&d.charChanges||s.decorations.push(O(d.modifiedStartLineNumber,1,d.modifiedEndLineNumber,Number.MAX_VALUE,K.charInsertWholeLine)),
s.overviewZones.push(new E.OverviewRulerZone(d.modifiedStartLineNumber,d.modifiedEndLineNumber,r)),d.charChanges))for(var c=0,h=d.charChanges.length;c<h;c++){var p=d.charChanges[c];if(P(p))if(t)for(var f=p.modifiedStartLineNumber;f<=p.modifiedEndLineNumber;f++){var g=void 0,m=void 0;g=f===p.modifiedStartLineNumber?p.modifiedStartColumn:a.getLineFirstNonWhitespaceColumn(f),m=f===p.modifiedEndLineNumber?p.modifiedEndColumn:a.getLineLastNonWhitespaceColumn(f),s.decorations.push(O(f,g,f,m,K.charInsert))}else s.decorations.push(O(p.modifiedStartLineNumber,p.modifiedStartColumn,p.modifiedEndLineNumber,p.modifiedEndColumn,K.charInsert))}}return s},t.MINIMUM_EDITOR_WIDTH=100,t}(H),j=function(e){function t(t,n,i){return e.call(this,t,n,i)||this}return o(t,e),t.prototype._createOriginalMarginDomNodeForModifiedForeignViewZoneInAddedRegion=function(){return null},t.prototype._produceOriginalFromDiff=function(e,t,n){return n>t?{afterLineNumber:Math.max(e.originalStartLineNumber,e.originalEndLineNumber),heightInLines:n-t,
domNode:null}:null},t.prototype._produceModifiedFromDiff=function(e,t,n){return t>n?{afterLineNumber:Math.max(e.modifiedStartLineNumber,e.modifiedEndLineNumber),heightInLines:t-n,domNode:null}:null},t}(z),q=function(e){function t(t,n){var i=e.call(this,t)||this;return i.decorationsLeft=t.getOriginalEditor().getLayoutInfo().decorationsLeft,i._register(t.getOriginalEditor().onDidLayoutChange(function(e){i.decorationsLeft!==e.decorationsLeft&&(i.decorationsLeft=e.decorationsLeft,t.relayoutEditors())})),i}return o(t,e),t.prototype.setEnableSplitViewResizing=function(e){},t.prototype._getViewZones=function(e,t,n,i,o,r){return new G(e,t,n,i,o,r).getViewZones()},t.prototype._getOriginalEditorDecorations=function(e,t,n,i,o){for(var r=this._removeColor.toString(),s={decorations:[],overviewZones:[]},a=0,l=e.length;a<l;a++){var u=e[a];A(u)&&(s.decorations.push({range:new y.Range(u.originalStartLineNumber,1,u.originalEndLineNumber,Number.MAX_VALUE),options:K.lineDeleteMargin}),
s.overviewZones.push(new E.OverviewRulerZone(u.originalStartLineNumber,u.originalEndLineNumber,r)))}return s},t.prototype._getModifiedEditorDecorations=function(e,t,n,i,o){for(var r=this._insertColor.toString(),s={decorations:[],overviewZones:[]},a=o.getModel(),l=0,u=e.length;l<u;l++){var d=e[l];if(P(d))if(s.decorations.push({range:new y.Range(d.modifiedStartLineNumber,1,d.modifiedEndLineNumber,Number.MAX_VALUE),options:n?K.lineInsertWithSign:K.lineInsert}),s.overviewZones.push(new E.OverviewRulerZone(d.modifiedStartLineNumber,d.modifiedEndLineNumber,r)),d.charChanges)for(var c=0,h=d.charChanges.length;c<h;c++){var p=d.charChanges[c];if(P(p))if(t)for(var f=p.modifiedStartLineNumber;f<=p.modifiedEndLineNumber;f++){var g=void 0,m=void 0;g=f===p.modifiedStartLineNumber?p.modifiedStartColumn:a.getLineFirstNonWhitespaceColumn(f),m=f===p.modifiedEndLineNumber?p.modifiedEndColumn:a.getLineLastNonWhitespaceColumn(f),s.decorations.push(O(f,g,f,m,K.charInsert))
}else s.decorations.push(O(p.modifiedStartLineNumber,p.modifiedStartColumn,p.modifiedEndLineNumber,p.modifiedEndColumn,K.charInsert))}else s.decorations.push(O(d.modifiedStartLineNumber,1,d.modifiedEndLineNumber,Number.MAX_VALUE,K.charInsertWholeLine))}return s},t.prototype.layout=function(){return Math.max(5,this.decorationsLeft)},t}(H),G=function(e){function t(t,n,i,o,r,s){var a=e.call(this,t,n,i)||this;return a.originalModel=o.getModel(),a.modifiedEditorConfiguration=r.getConfiguration(),a.modifiedEditorTabSize=r.getModel().getOptions().tabSize,a.renderIndicators=s,a}return o(t,e),t.prototype._createOriginalMarginDomNodeForModifiedForeignViewZoneInAddedRegion=function(){var e=document.createElement("div");return e.className="inline-added-margin-view-zone",e},t.prototype._produceOriginalFromDiff=function(e,t,n){var i=document.createElement("div");return i.className="inline-added-margin-view-zone",{afterLineNumber:Math.max(e.originalStartLineNumber,e.originalEndLineNumber),heightInLines:n,
domNode:document.createElement("div"),marginDomNode:i}},t.prototype._produceModifiedFromDiff=function(e,t,n){var i=[];if(e.charChanges)for(var o=0,r=e.charChanges.length;o<r;o++){var s=e.charChanges[o];A(s)&&i.push(new I.InlineDecoration(new y.Range(s.originalStartLineNumber,s.originalStartColumn,s.originalEndLineNumber,s.originalEndColumn),"char-delete",0))}for(var a=C.createStringBuilder(1e4),l=[],u=this.modifiedEditorConfiguration.layoutInfo.decorationsWidth,d=this.modifiedEditorConfiguration.lineHeight,c=this.modifiedEditorConfiguration.fontInfo.typicalHalfwidthCharacterWidth,h=0,f=e.originalStartLineNumber;f<=e.originalEndLineNumber;f++)if(h=Math.max(h,this._renderOriginalLine(f-e.originalStartLineNumber,this.originalModel,this.modifiedEditorConfiguration,this.modifiedEditorTabSize,f,i,a)),this.renderIndicators){var g=f-e.originalStartLineNumber;l=l.concat(['<div class="delete-sign" style="position:absolute;top:'+g*d+"px;width:"+u+"px;height:"+d+'px;right:0;"></div>'])}
h+=this.modifiedEditorConfiguration.viewInfo.scrollBeyondLastColumn;var m=document.createElement("div");m.className="view-lines line-delete",m.innerHTML=a.build(),p.Configuration.applyFontInfoSlow(m,this.modifiedEditorConfiguration.fontInfo);var v=document.createElement("div");return v.className="inline-deleted-margin-view-zone",v.innerHTML=l.join(""),p.Configuration.applyFontInfoSlow(v,this.modifiedEditorConfiguration.fontInfo),{shouldNotShrink:!0,afterLineNumber:0===e.modifiedEndLineNumber?e.modifiedStartLineNumber:e.modifiedStartLineNumber-1,heightInLines:t,minWidthInPx:h*c,domNode:m,marginDomNode:v}},t.prototype._renderOriginalLine=function(e,t,n,i,o,r,s){var a=t.getLineTokens(o),l=a.getLineContent(),u=L.LineDecoration.filter(r,o,1,l.length+1);s.appendASCIIString('<div class="view-line'),0===r.length&&s.appendASCIIString(" char-delete"),s.appendASCIIString('" style="top:'),s.appendASCIIString(String(e*n.lineHeight)),s.appendASCIIString('px;width:1000000px;">')
;var d=I.ViewLineRenderingData.isBasicASCII(l,t.mightContainNonBasicASCII()),c=I.ViewLineRenderingData.containsRTL(l,d,t.mightContainRTL()),h=x.renderViewLine(new x.RenderLineInput(n.fontInfo.isMonospace&&!n.viewInfo.disableMonospaceOptimizations,n.fontInfo.canUseHalfwidthRightwardsArrow,l,!1,d,c,0,a,u,i,n.fontInfo.spaceWidth,n.viewInfo.stopRenderingLineAfter,n.viewInfo.renderWhitespace,n.viewInfo.renderControlCharacters,n.viewInfo.fontLigatures),s);s.appendASCIIString("</div>");var p=h.characterMapping.getAbsoluteOffsets();return p.length>0?p[p.length-1]:0},t}(z);R.registerThemingParticipant(function(e,t){var n=e.getColor(T.diffInserted);n&&(t.addRule(".monaco-editor .line-insert, .monaco-editor .char-insert { background-color: "+n+"; }"),t.addRule(".monaco-diff-editor .line-insert, .monaco-diff-editor .char-insert { background-color: "+n+"; }"),t.addRule(".monaco-editor .inline-added-margin-view-zone { background-color: "+n+"; }"));var i=e.getColor(T.diffRemoved)
;i&&(t.addRule(".monaco-editor .line-delete, .monaco-editor .char-delete { background-color: "+i+"; }"),t.addRule(".monaco-diff-editor .line-delete, .monaco-diff-editor .char-delete { background-color: "+i+"; }"),t.addRule(".monaco-editor .inline-deleted-margin-view-zone { background-color: "+i+"; }"));var o=e.getColor(T.diffInsertedOutline);o&&t.addRule(".monaco-editor .line-insert, .monaco-editor .char-insert { border: 1px "+("hc"===e.type?"dashed":"solid")+" "+o+"; }");var r=e.getColor(T.diffRemovedOutline);r&&t.addRule(".monaco-editor .line-delete, .monaco-editor .char-delete { border: 1px "+("hc"===e.type?"dashed":"solid")+" "+r+"; }");var s=e.getColor(T.scrollbarShadow);s&&t.addRule(".monaco-diff-editor.side-by-side .editor.modified { box-shadow: -6px 0 5px -5px "+s+"; }");var a=e.getColor(T.diffBorder);a&&t.addRule(".monaco-diff-editor.side-by-side .editor.modified { border-left: 1px solid "+a+"; }")})}),define(t[139],n([0,1,27,30,99,31,18,15,35,13]),function(e,t,n,i,r,s,l,d,c,h){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var p=function(e){function t(t,n,i,o,r,s,a,l,u){var d=e.call(this,t,i.getRawConfiguration(),{},o,r,s,a,l,u)||this;return d._parentEditor=i,d._overwriteOptions=n,e.prototype.updateOptions.call(d,d._overwriteOptions),d._register(i.onDidChangeConfiguration(function(e){return d._onParentConfigurationChanged(e)})),d}return o(t,e),t.prototype.getParentEditor=function(){return this._parentEditor},t.prototype._onParentConfigurationChanged=function(t){e.prototype.updateOptions.call(this,this._parentEditor.getRawConfiguration()),e.prototype.updateOptions.call(this,this._overwriteOptions)},t.prototype.updateOptions=function(t){n.mixin(this._overwriteOptions,t,!0),e.prototype.updateOptions.call(this,this._overwriteOptions)},t=a([u(3,d.IInstantiationService),u(4,i.ICodeEditorService),u(5,s.ICommandService),u(6,l.IContextKeyService),u(7,h.IThemeService),u(8,c.INotificationService)],t)}(r.CodeEditorWidget);t.EmbeddedCodeEditorWidget=p}),
define(t[509],n([0,1,299,22,6,68,2,50,58,17,48,3,44,26,104,106,34,45,76,13]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y,C,b,S){"use strict";function w(e){return e.toString()}Object.defineProperty(t,"__esModule",{value:!0});var E=function(){function e(e,t,n){this.model=e,this._languageSelection=null,this._languageSelectionListener=null,this._markerDecorations=[],this._modelEventListeners=[],this._modelEventListeners.push(e.onWillDispose(function(){return t(e)})),this._modelEventListeners.push(e.onDidChangeLanguage(function(t){return n(e,t)}))}return e.prototype._disposeLanguageSelection=function(){this._languageSelectionListener&&(this._languageSelectionListener.dispose(),this._languageSelectionListener=null),this._languageSelection&&(this._languageSelection.dispose(),this._languageSelection=null)},e.prototype.dispose=function(){this._markerDecorations=this.model.deltaDecorations(this._markerDecorations,[]),this._modelEventListeners=l.dispose(this._modelEventListeners),this._disposeLanguageSelection()},
e.prototype.acceptMarkerDecorations=function(e){this._markerDecorations=this.model.deltaDecorations(this._markerDecorations,e)},e.prototype.setLanguage=function(e){var t=this;this._disposeLanguageSelection(),this._languageSelection=e,this._languageSelectionListener=this._languageSelection.onDidChange(function(){return t.model.setMode(e.languageIdentifier)}),this.model.setMode(e.languageIdentifier)},e}(),L=function(){function e(){}return e.setMarkers=function(t,n){var i=n.read({resource:t.model.uri,take:500}).map(function(n){return{range:e._createDecorationRange(t.model,n),options:e._createDecorationOption(n)}});t.acceptMarkerDecorations(i)},e._createDecorationRange=function(e,t){var n=f.Range.lift(t);if(t.severity===b.MarkerSeverity.Hint&&(t.tags&&-1!==t.tags.indexOf(1)||(n=n.setEndPosition(n.startLineNumber,n.startColumn+2))),(n=e.validateRange(n)).isEmpty()){var i=e.getWordAtPosition(n.getStartPosition());if(i)n=new f.Range(n.startLineNumber,i.startColumn,n.endLineNumber,i.endColumn);else{
var o=e.getLineLastNonWhitespaceColumn(n.startLineNumber)||e.getLineMaxColumn(n.startLineNumber);1===o||(n=n.endColumn>=o?new f.Range(n.startLineNumber,o-1,n.endLineNumber,o):new f.Range(n.startLineNumber,n.startColumn,n.endLineNumber,n.endColumn+1))}}else if(t.endColumn===Number.MAX_VALUE&&1===t.startColumn&&n.startLineNumber===n.endLineNumber){var r=e.getLineFirstNonWhitespaceColumn(t.startLineNumber);r<n.endColumn&&(n=new f.Range(n.startLineNumber,r,n.endLineNumber,n.endColumn),t.startColumn=r)}return n},e._createDecorationOption=function(e){var t,o,r=void 0,a=void 0;switch(e.severity){case b.MarkerSeverity.Hint:t=e.tags&&e.tags.indexOf(1)>=0?"squiggly-unnecessary":"squiggly-hint",o=0;break;case b.MarkerSeverity.Warning:t="squiggly-warning",r=S.themeColorFromId(y.overviewRulerWarning),o=20;break;case b.MarkerSeverity.Info:t="squiggly-info",r=S.themeColorFromId(y.overviewRulerInfo),o=10;break;case b.MarkerSeverity.Error:default:t="squiggly-error",r=S.themeColorFromId(y.overviewRulerError),o=30}
e.tags&&-1!==e.tags.indexOf(1)&&(a="squiggly-inline-unnecessary");var l=null,u=e.message,d=e.source,h=e.relatedInformation,p=e.code;if("string"==typeof u&&(u=u.trim(),d&&(u=/\n/g.test(u)?p?n.localize(0,null,d,u,p):n.localize(1,null,d,u):p?n.localize(2,null,d,u,p):n.localize(3,null,d,u)),l=(new s.MarkdownString).appendCodeblock("_",u),!i.isFalsyOrEmpty(h))){l.appendMarkdown("\n");for(var f=0,m=h;f<m.length;f++){var v=m[f],_=v.message,C=v.resource,w=v.startLineNumber,E=v.startColumn;l.appendMarkdown("* ["+c.basename(C.path)+"("+w+", "+E+")]("+C.toString(!1)+"#"+w+","+E+"): "),l.appendText(""+_),l.appendMarkdown("\n")}l.appendMarkdown("\n")}return{stickiness:1,className:t,hoverMessage:l,showIfCollapsed:!0,overviewRuler:{color:r,position:g.OverviewRulerLane.Right},zIndex:o,inlineClassName:a}},e}(),x=h.isLinux||h.isMacintosh?1:2,I=function(e){function t(t,n,i){var o=e.call(this)||this;return o._onModelAdded=o._register(new r.Emitter),o.onModelAdded=o._onModelAdded.event,
o._onModelRemoved=o._register(new r.Emitter),o.onModelRemoved=o._onModelRemoved.event,o._onModelModeChanged=o._register(new r.Emitter),o.onModelModeChanged=o._onModelModeChanged.event,o._markerService=t,o._configurationService=n,o._resourcePropertiesService=i,o._models={},o._modelCreationOptionsByLanguageAndResource=Object.create(null),o._markerService&&(o._markerServiceSubscription=o._markerService.onMarkerChanged(o._handleMarkerChange,o)),o._configurationServiceSubscription=o._configurationService.onDidChangeConfiguration(function(e){return o._updateModelOptions()}),o._updateModelOptions(),o}return o(t,e),t._readModelOptions=function(e,t){var n=p.EDITOR_MODEL_DEFAULTS.tabSize;if(e.editor&&void 0!==e.editor.tabSize){var i=parseInt(e.editor.tabSize,10);isNaN(i)||(n=i),n<1&&(n=1)}var o=p.EDITOR_MODEL_DEFAULTS.insertSpaces;e.editor&&void 0!==e.editor.insertSpaces&&(o="false"!==e.editor.insertSpaces&&Boolean(e.editor.insertSpaces));var r=x,s=e.eol;"\r\n"===s?r=2:"\n"===s&&(r=1)
;var a=p.EDITOR_MODEL_DEFAULTS.trimAutoWhitespace;e.editor&&void 0!==e.editor.trimAutoWhitespace&&(a="false"!==e.editor.trimAutoWhitespace&&Boolean(e.editor.trimAutoWhitespace));var l=p.EDITOR_MODEL_DEFAULTS.detectIndentation;e.editor&&void 0!==e.editor.detectIndentation&&(l="false"!==e.editor.detectIndentation&&Boolean(e.editor.detectIndentation));var u=p.EDITOR_MODEL_DEFAULTS.largeFileOptimizations;return e.editor&&void 0!==e.editor.largeFileOptimizations&&(u="false"!==e.editor.largeFileOptimizations&&Boolean(e.editor.largeFileOptimizations)),{isForSimpleWidget:t,tabSize:n,insertSpaces:o,detectIndentation:l,defaultEOL:r,trimAutoWhitespace:a,largeFileOptimizations:u}},t.prototype.getCreationOptions=function(e,n,i){var o=this._modelCreationOptionsByLanguageAndResource[e+n];if(!o){var r=this._configurationService.getValue("editor",{overrideIdentifier:e,resource:n}),s=this._resourcePropertiesService.getEOL(n,e);o=t._readModelOptions({editor:r,eol:s},i),this._modelCreationOptionsByLanguageAndResource[e+n]=o}
return o},t.prototype._updateModelOptions=function(){var e=this._modelCreationOptionsByLanguageAndResource;this._modelCreationOptionsByLanguageAndResource=Object.create(null);for(var n=Object.keys(this._models),i=0,o=n.length;i<o;i++){var r=n[i],s=this._models[r],a=s.model.getLanguageIdentifier().language,l=s.model.uri,u=e[a+l],d=this.getCreationOptions(a,l,s.model.isForSimpleWidget);t._setModelOptionsForModel(s.model,d,u)}},t._setModelOptionsForModel=function(e,t,n){n&&n.detectIndentation===t.detectIndentation&&n.insertSpaces===t.insertSpaces&&n.tabSize===t.tabSize&&n.trimAutoWhitespace===t.trimAutoWhitespace||(t.detectIndentation?(e.detectIndentation(t.insertSpaces,t.tabSize),e.updateOptions({trimAutoWhitespace:t.trimAutoWhitespace})):e.updateOptions({insertSpaces:t.insertSpaces,tabSize:t.tabSize,trimAutoWhitespace:t.trimAutoWhitespace}))},t.prototype.dispose=function(){this._markerServiceSubscription&&this._markerServiceSubscription.dispose(),this._configurationServiceSubscription.dispose(),
e.prototype.dispose.call(this)},t.prototype._handleMarkerChange=function(e){var t=this;e.forEach(function(e){var n=w(e),i=t._models[n];i&&L.setMarkers(i,t._markerService)})},t.prototype._cleanUp=function(e){var t=this;e.uri.scheme!==d.Schemas.inMemory&&e.uri.scheme!==d.Schemas.internal&&e.uri.scheme!==d.Schemas.vscode||this._markerService&&this._markerService.read({resource:e.uri}).map(function(e){return e.owner}).forEach(function(n){return t._markerService.remove(n,[e.uri])}),delete this._modelCreationOptionsByLanguageAndResource[e.getLanguageIdentifier().language+e.uri]},t.prototype._createModelData=function(e,t,n,i){var o=this,r=this.getCreationOptions(t.language,n,i),s=new m.TextModel(e,r,t,n),a=w(s.uri);if(this._models[a])throw new Error("ModelService: Cannot add model because it already exists!");var l=new E(s,function(e){return o._onWillDispose(e)},function(e,t){return o._onDidChangeLanguage(e,t)});return this._models[a]=l,l},t.prototype.createModel=function(e,t,n,i){void 0===i&&(i=!1);var o
;return t?(o=this._createModelData(e,t.languageIdentifier,n,i),this.setMode(o.model,t)):o=this._createModelData(e,v.PLAINTEXT_LANGUAGE_IDENTIFIER,n,i),this._markerService&&L.setMarkers(o,this._markerService),this._onModelAdded.fire(o.model),o.model},t.prototype.setMode=function(e,t){if(t){var n=this._models[w(e.uri)];n&&n.setLanguage(t)}},t.prototype.getModels=function(){for(var e=[],t=Object.keys(this._models),n=0,i=t.length;n<i;n++){var o=t[n];e.push(this._models[o].model)}return e},t.prototype.getModel=function(e){var t=w(e),n=this._models[t];return n?n.model:null},t.prototype._onWillDispose=function(e){var t=w(e.uri),n=this._models[t];delete this._models[t],n.dispose(),this._cleanUp(e),this._onModelRemoved.fire(e)},t.prototype._onDidChangeLanguage=function(e,n){var i=n.oldLanguage,o=e.getLanguageIdentifier().language,r=this.getCreationOptions(i,e.uri,e.isForSimpleWidget),s=this.getCreationOptions(o,e.uri,e.isForSimpleWidget);t._setModelOptionsForModel(e,s,r),this._onModelModeChanged.fire({model:e,
oldModeId:i})},t=a([u(0,b.IMarkerService),u(1,C.IConfigurationService),u(2,_.ITextResourcePropertiesService)],t)}(l.Disposable);t.ModelServiceImpl=I}),define(t[510],n([0,1,301,16,2,10,12,21,19,44,26,34,20,13,359]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var g=p.registerColor("editorOverviewRuler.bracketMatchForeground",{dark:"#A0A0A0",light:"#A0A0A0",hc:"#A0A0A0"},n.localize(0,null)),m=function(e){function t(){return e.call(this,{id:"editor.action.jumpToBracket",label:n.localize(1,null),alias:"Go to Bracket",precondition:null,kbOpts:{kbExpr:u.EditorContextKeys.editorTextFocus,primary:3160,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=y.get(t);n&&n.jumpToBracket()},t}(s.EditorAction),v=function(e){function t(){return e.call(this,{id:"editor.action.selectToBracket",label:n.localize(2,null),alias:"Select to Bracket",precondition:null})||this}return o(t,e),t.prototype.run=function(e,t){var n=y.get(t);n&&n.selectToBracket()},t
}(s.EditorAction),_=function(){return function(e,t){this.position=e,this.brackets=t}}(),y=function(e){function t(t){var n=e.call(this)||this;return n._editor=t,n._lastBracketsData=[],n._lastVersionId=0,n._decorations=[],n._updateBracketsSoon=n._register(new i.RunOnceScheduler(function(){return n._updateBrackets()},50)),n._matchBrackets=n._editor.getConfiguration().contribInfo.matchBrackets,n._updateBracketsSoon.schedule(),n._register(t.onDidChangeCursorPosition(function(e){n._matchBrackets&&n._updateBracketsSoon.schedule()})),n._register(t.onDidChangeModelContent(function(e){n._updateBracketsSoon.schedule()})),n._register(t.onDidChangeModel(function(e){n._lastBracketsData=[],n._decorations=[],n._updateBracketsSoon.schedule()})),n._register(t.onDidChangeModelLanguageConfiguration(function(e){n._lastBracketsData=[],n._updateBracketsSoon.schedule()})),n._register(t.onDidChangeConfiguration(function(e){n._matchBrackets=n._editor.getConfiguration().contribInfo.matchBrackets,
!n._matchBrackets&&n._decorations.length>0&&(n._decorations=n._editor.deltaDecorations(n._decorations,[])),n._updateBracketsSoon.schedule()})),n}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.getId=function(){return t.ID},t.prototype.jumpToBracket=function(){if(this._editor.hasModel()){var e=this._editor.getModel(),t=this._editor.getSelections().map(function(t){var n=t.getStartPosition(),i=e.matchBracket(n),o=null;if(i)i[0].containsPosition(n)?o=i[1].getStartPosition():i[1].containsPosition(n)&&(o=i[0].getStartPosition());else{var r=e.findNextBracket(n);r&&r.range&&(o=r.range.getStartPosition())}return o?new l.Selection(o.lineNumber,o.column,o.lineNumber,o.column):new l.Selection(n.lineNumber,n.column,n.lineNumber,n.column)});this._editor.setSelections(t),this._editor.revealRange(t[0])}},t.prototype.selectToBracket=function(){if(this._editor.hasModel()){var e=this._editor.getModel(),t=[];this._editor.getSelections().forEach(function(n){
var i=n.getStartPosition(),o=e.matchBracket(i),r=null,s=null;if(!o){var a=e.findNextBracket(i);a&&a.range&&(o=e.matchBracket(a.range.getStartPosition()))}o&&(o[0].startLineNumber===o[1].startLineNumber?(r=o[1].startColumn<o[0].startColumn?o[1].getStartPosition():o[0].getStartPosition(),s=o[1].startColumn<o[0].startColumn?o[0].getEndPosition():o[1].getEndPosition()):(r=o[1].startLineNumber<o[0].startLineNumber?o[1].getStartPosition():o[0].getStartPosition(),s=o[1].startLineNumber<o[0].startLineNumber?o[0].getEndPosition():o[1].getEndPosition())),r&&s&&t.push(new l.Selection(r.lineNumber,r.column,s.lineNumber,s.column))}),t.length>0&&(this._editor.setSelections(t),this._editor.revealRange(t[0]))}},t.prototype._updateBrackets=function(){if(this._matchBrackets){this._recomputeBrackets();for(var e=[],n=0,i=0,o=this._lastBracketsData.length;i<o;i++){var r=this._lastBracketsData[i].brackets;r&&(e[n++]={range:r[0],options:t._DECORATION_OPTIONS},e[n++]={range:r[1],options:t._DECORATION_OPTIONS})}
this._decorations=this._editor.deltaDecorations(this._decorations,e)}},t.prototype._recomputeBrackets=function(){if(!this._editor.hasModel())return this._lastBracketsData=[],void(this._lastVersionId=0);var e=this._editor.getModel(),t=e.getVersionId(),n=[];this._lastVersionId===t&&(n=this._lastBracketsData);for(var i=this._editor.getSelections(),o=[],r=0,s=0,l=i.length;s<l;s++){var u=i[s];u.isEmpty()&&(o[r++]=u.getStartPosition())}o.length>1&&o.sort(a.Position.compare);for(var d=[],c=0,h=0,p=n.length,s=0,l=o.length;s<l;s++){for(var f=o[s];h<p&&n[h].position.isBefore(f);)h++;if(h<p&&n[h].position.equals(f))d[c++]=n[h];else{var g=e.matchBracket(f);d[c++]=new _(f,g)}}this._lastBracketsData=d,this._lastVersionId=t},t.ID="editor.contrib.bracketMatchingController",t._DECORATION_OPTIONS=c.ModelDecorationOptions.register({stickiness:1,className:"bracket-match",overviewRuler:{color:f.themeColorFromId(g),position:d.OverviewRulerLane.Center}}),t}(r.Disposable);t.BracketMatchingController=y,
s.registerEditorContribution(y),s.registerEditorAction(v),s.registerEditorAction(m),f.registerThemingParticipant(function(e,t){var n=e.getColor(h.editorBracketMatchBackground);n&&t.addRule(".monaco-editor .bracket-match { background-color: "+n+"; }");var i=e.getColor(h.editorBracketMatchBorder);i&&t.addRule(".monaco-editor .bracket-match { border: 1px solid "+i+"; }")})}),define(t[511],n([0,1,7,22,2,8,3,26,34,20,13,362]),function(e,t,n,i,o,r,s,a,l,u,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c=function(){function e(e,t){this.afterLineNumber=e,this._onHeight=t,this.heightInLines=1,this.suppressMouseDown=!0,this.domNode=document.createElement("div")}return e.prototype.onComputedHeight=function(e){void 0===this._lastHeight?this._lastHeight=e:this._lastHeight!==e&&(this._lastHeight=e,this._onHeight())},e}(),h=function(){function e(t,i,o,r){var s=this;this.allowEditorOverflow=!1,this.suppressMouseDown=!0,this._disposables=[],this._commands=Object.create(null),
this._id="codeLensWidget"+ ++e._idPool,this._editor=t,this.setSymbolRange(i),this._domNode=document.createElement("span"),this._domNode.innerHTML="&nbsp;",n.addClass(this._domNode,"codelens-decoration"),n.addClass(this._domNode,"invisible-cl"),this._updateHeight(),this._disposables.push(this._editor.onDidChangeConfiguration(function(e){return e.fontInfo&&s._updateHeight()})),this._disposables.push(n.addDisposableListener(this._domNode,"click",function(e){var n=e.target;if("A"===n.tagName&&n.id){var i=s._commands[n.id];i&&(t.focus(),o.executeCommand.apply(o,[i.id].concat(i.arguments)).then(void 0,function(e){r.error(e)}))}})),this.updateVisibility()}return e.prototype.dispose=function(){o.dispose(this._disposables)},e.prototype._updateHeight=function(){var e=this._editor.getConfiguration(),t=e.fontInfo,n=e.lineHeight;this._domNode.style.height=Math.round(1.1*n)+"px",this._domNode.style.lineHeight=n+"px",this._domNode.style.fontSize=Math.round(.9*t.fontSize)+"px",this._domNode.innerHTML="&nbsp;"},
e.prototype.updateVisibility=function(){this.isVisible()&&(n.removeClass(this._domNode,"invisible-cl"),n.addClass(this._domNode,"fadein"))},e.prototype.withCommands=function(e){if(this._commands=Object.create(null),e=i.coalesce(e),i.isFalsyOrEmpty(e))this._domNode.innerHTML="no commands";else{for(var t=[],n=0;n<e.length;n++){var o=e[n].command,s=r.escape(o.title),a=void 0;o.id?(a=r.format("<a id={0}>{1}</a>",n,s),this._commands[n]=o):a=r.format("<span>{0}</span>",s),t.push(a)}this._domNode.innerHTML=t.join("<span>&nbsp;|&nbsp;</span>"),this._editor.layoutContentWidget(this)}},e.prototype.getId=function(){return this._id},e.prototype.getDomNode=function(){return this._domNode},e.prototype.setSymbolRange=function(e){var t=e.startLineNumber,n=this._editor.getModel().getLineFirstNonWhitespaceColumn(t);this._widgetPosition={position:{lineNumber:t,column:n},preference:[1]}},e.prototype.getPosition=function(){return this._widgetPosition},e.prototype.isVisible=function(){
return this._domNode.hasAttribute("monaco-visible-content-widget")},e._idPool=0,e}(),p=function(){function e(){this._removeDecorations=[],this._addDecorations=[],this._addDecorationsCallbacks=[]}return e.prototype.addDecoration=function(e,t){this._addDecorations.push(e),this._addDecorationsCallbacks.push(t)},e.prototype.removeDecoration=function(e){this._removeDecorations.push(e)},e.prototype.commit=function(e){for(var t=e.deltaDecorations(this._removeDecorations,this._addDecorations),n=0,i=t.length;n<i;n++)this._addDecorationsCallbacks[n](t[n])},e}();t.CodeLensHelper=p;var f=function(){function e(e,t,n,i,o,r,l){var u=this;this._editor=t,this._data=e,this._decorationIds=new Array(this._data.length);var d;this._data.forEach(function(e,t){n.addDecoration({range:e.symbol.range,options:a.ModelDecorationOptions.EMPTY},function(e){return u._decorationIds[t]=e}),d=d?s.Range.plusRange(d,e.symbol.range):s.Range.lift(e.symbol.range)}),this._contentWidget=new h(t,d,o,r),this._viewZone=new c(d.startLineNumber-1,l),
this._viewZoneId=i.addZone(this._viewZone),this._editor.addContentWidget(this._contentWidget)}return e.prototype.dispose=function(e,t){for(;this._decorationIds.length;)e.removeDecoration(this._decorationIds.pop());t&&t.removeZone(this._viewZoneId),this._editor.removeContentWidget(this._contentWidget),this._contentWidget.dispose()},e.prototype.isValid=function(){var e=this;return this._decorationIds.some(function(t,n){var i=e._editor.getModel().getDecorationRange(t),o=e._data[n].symbol;return i&&s.Range.isEmpty(o.range)===i.isEmpty()})},e.prototype.updateCodeLensSymbols=function(e,t){for(var n=this;this._decorationIds.length;)t.removeDecoration(this._decorationIds.pop());this._data=e,this._decorationIds=new Array(this._data.length),this._data.forEach(function(e,i){t.addDecoration({range:e.symbol.range,options:a.ModelDecorationOptions.EMPTY},function(e){return n._decorationIds[i]=e})})},e.prototype.computeIfNecessary=function(e){if(this._contentWidget.updateVisibility(),
!this._contentWidget.isVisible())return null;for(var t=0;t<this._decorationIds.length;t++)this._data[t].symbol.range=e.getDecorationRange(this._decorationIds[t]);return this._data},e.prototype.updateCommands=function(e){this._contentWidget.withCommands(e)},e.prototype.getLineNumber=function(){var e=this._editor.getModel().getDecorationRange(this._decorationIds[0]);return e?e.startLineNumber:-1},e.prototype.update=function(e){if(this.isValid()){var t=this._editor.getModel().getDecorationRange(this._decorationIds[0]);this._viewZone.afterLineNumber=t.startLineNumber-1,e.layoutZone(this._viewZoneId),this._contentWidget.setSymbolRange(t),this._editor.layoutContentWidget(this._contentWidget)}},e}();t.CodeLens=f,d.registerThemingParticipant(function(e,t){var n=e.getColor(l.editorCodeLensForeground);n&&t.addRule(".monaco-editor .codelens-decoration { color: "+n+"; }");var i=e.getColor(u.editorActiveLinkForeground);i&&t.addRule(".monaco-editor .codelens-decoration > a:hover { color: "+i+" !important; }")})}),
define(t[512],n([0,1,16,11,2,66,10,14,452,511,31,35]),function(e,t,n,i,o,r,s,l,d,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(e,t,n){var i=this;this._editor=e,this._commandService=t,this._notificationService=n,this._isEnabled=this._editor.getConfiguration().contribInfo.codeLens,this._globalToDispose=[],this._localToDispose=[],this._lenses=[],this._currentFindCodeLensSymbolsPromise=null,this._modelChangeCounter=0,this._globalToDispose.push(this._editor.onDidChangeModel(function(){return i._onModelChange()})),this._globalToDispose.push(this._editor.onDidChangeModelLanguage(function(){return i._onModelChange()})),this._globalToDispose.push(this._editor.onDidChangeConfiguration(function(e){var t=i._isEnabled;i._isEnabled=i._editor.getConfiguration().contribInfo.codeLens,t!==i._isEnabled&&i._onModelChange()})),this._globalToDispose.push(l.CodeLensProviderRegistry.onDidChange(this._onModelChange,this)),this._onModelChange()}return e.prototype.dispose=function(){
this._localDispose(),this._globalToDispose=o.dispose(this._globalToDispose)},e.prototype._localDispose=function(){this._currentFindCodeLensSymbolsPromise&&(this._currentFindCodeLensSymbolsPromise.cancel(),this._currentFindCodeLensSymbolsPromise=null,this._modelChangeCounter++),this._currentResolveCodeLensSymbolsPromise&&(this._currentResolveCodeLensSymbolsPromise.cancel(),this._currentResolveCodeLensSymbolsPromise=null),this._localToDispose=o.dispose(this._localToDispose)},e.prototype.getId=function(){return e.ID},e.prototype._onModelChange=function(){var e=this;this._localDispose();var t=this._editor.getModel();if(t&&this._isEnabled&&l.CodeLensProviderRegistry.has(t)){for(var s=0,a=l.CodeLensProviderRegistry.all(t);s<a.length;s++){var u=a[s];if("function"==typeof u.onDidChange){var h=u.onDidChange(function(){return p.schedule()});this._localToDispose.push(h)}}this._detectVisibleLenses=new n.RunOnceScheduler(function(){e._onViewportChanged()},500);var p=new n.RunOnceScheduler(function(){
var o=++e._modelChangeCounter;e._currentFindCodeLensSymbolsPromise&&e._currentFindCodeLensSymbolsPromise.cancel(),e._currentFindCodeLensSymbolsPromise=n.createCancelablePromise(function(e){return d.getCodeLensData(t,e)}),e._currentFindCodeLensSymbolsPromise.then(function(t){o===e._modelChangeCounter&&(e._renderCodeLensSymbols(t),e._detectVisibleLenses.schedule())},i.onUnexpectedError)},250);this._localToDispose.push(p),this._localToDispose.push(this._detectVisibleLenses),this._localToDispose.push(this._editor.onDidChangeModelContent(function(t){e._editor.changeDecorations(function(t){e._editor.changeViewZones(function(n){var i=[],o=-1;e._lenses.forEach(function(e){e.isValid()&&o!==e.getLineNumber()?(e.update(n),o=e.getLineNumber()):i.push(e)});var r=new c.CodeLensHelper;i.forEach(function(t){t.dispose(r,n),e._lenses.splice(e._lenses.indexOf(t),1)}),r.commit(t)})}),e._detectVisibleLenses.schedule(),p.schedule()})),this._localToDispose.push(this._editor.onDidScrollChange(function(t){
t.scrollTopChanged&&e._lenses.length>0&&e._detectVisibleLenses.schedule()})),this._localToDispose.push(this._editor.onDidLayoutChange(function(t){e._detectVisibleLenses.schedule()})),this._localToDispose.push(o.toDisposable(function(){if(e._editor.getModel()){var t=r.StableEditorScrollState.capture(e._editor);e._editor.changeDecorations(function(t){e._editor.changeViewZones(function(n){e._disposeAllLenses(t,n)})}),t.restore(e._editor)}else e._disposeAllLenses(null,null)})),p.schedule()}},e.prototype._disposeAllLenses=function(e,t){var n=new c.CodeLensHelper;this._lenses.forEach(function(e){return e.dispose(n,t)}),e&&n.commit(e),this._lenses=[]},e.prototype._renderCodeLensSymbols=function(e){var t=this;if(this._editor.getModel()){for(var n,i=this._editor.getModel().getLineCount(),o=[],s=0,a=e;s<a.length;s++){var l=a[s],u=l.symbol.range.startLineNumber;u<1||u>i||(n&&n[n.length-1].symbol.range.startLineNumber===u?n.push(l):(n=[l],o.push(n)))}var d=r.StableEditorScrollState.capture(this._editor)
;this._editor.changeDecorations(function(e){t._editor.changeViewZones(function(n){for(var i=0,r=0,s=new c.CodeLensHelper;r<o.length&&i<t._lenses.length;){var a=o[r][0].symbol.range.startLineNumber,l=t._lenses[i].getLineNumber();l<a?(t._lenses[i].dispose(s,n),t._lenses.splice(i,1)):l===a?(t._lenses[i].updateCodeLensSymbols(o[r],s),r++,i++):(t._lenses.splice(i,0,new c.CodeLens(o[r],t._editor,s,n,t._commandService,t._notificationService,function(){return t._detectVisibleLenses.schedule()})),i++,r++)}for(;i<t._lenses.length;)t._lenses[i].dispose(s,n),t._lenses.splice(i,1);for(;r<o.length;)t._lenses.push(new c.CodeLens(o[r],t._editor,s,n,t._commandService,t._notificationService,function(){return t._detectVisibleLenses.schedule()})),r++;s.commit(e)})}),d.restore(this._editor)}},e.prototype._onViewportChanged=function(){var e=this;this._currentResolveCodeLensSymbolsPromise&&(this._currentResolveCodeLensSymbolsPromise.cancel(),this._currentResolveCodeLensSymbolsPromise=null);var t=this._editor.getModel();if(t){
var o=[],r=[];this._lenses.forEach(function(e){var n=e.computeIfNecessary(t);n&&(o.push(n),r.push(e))}),0!==o.length&&(this._currentResolveCodeLensSymbolsPromise=n.createCancelablePromise(function(e){var n=o.map(function(n,i){var o=new Array(n.length),s=n.map(function(n,i){return"function"==typeof n.provider.resolveCodeLens?Promise.resolve(n.provider.resolveCodeLens(t,n.symbol,e)).then(function(e){o[i]=e}):(o[i]=n.symbol,Promise.resolve(void 0))});return Promise.all(s).then(function(){r[i].updateCommands(o)})});return Promise.all(n)}),this._currentResolveCodeLensSymbolsPromise.then(function(){e._currentResolveCodeLensSymbolsPromise=null}).catch(function(t){e._currentResolveCodeLensSymbolsPromise=null,i.onUnexpectedError(t)}))}},e.ID="css.editor.codeLens",e=a([u(1,h.ICommandService),u(2,p.INotificationService)],e)}();t.CodeLensContribution=f,s.registerEditorContribution(f)}),define(t[513],n([0,1,29,7,73,46,28,6,2,20,13,363]),function(e,t,n,i,r,s,a,l,u,d,c){"use strict";Object.defineProperty(t,"__esModule",{
value:!0});var h=i.$,p=function(e){function t(t,n,o){var r=e.call(this)||this;r.model=n,r.domNode=h(".colorpicker-header"),i.append(t,r.domNode),r.pickedColorNode=i.append(r.domNode,h(".picked-color"));var s=i.append(r.domNode,h(".original-color"));return s.style.backgroundColor=a.Color.Format.CSS.format(r.model.originalColor),r.backgroundColor=o.getTheme().getColor(d.editorHoverBackground)||a.Color.white,r._register(c.registerThemingParticipant(function(e,t){r.backgroundColor=e.getColor(d.editorHoverBackground)||a.Color.white})),r._register(i.addDisposableListener(r.pickedColorNode,i.EventType.CLICK,function(){return r.model.selectNextColorPresentation()})),r._register(i.addDisposableListener(s,i.EventType.CLICK,function(){r.model.color=r.model.originalColor,r.model.flushColor()})),r._register(n.onDidChangeColor(r.onDidChangeColor,r)),r._register(n.onDidChangePresentation(r.onDidChangePresentation,r)),r.pickedColorNode.style.backgroundColor=a.Color.Format.CSS.format(n.color),
i.toggleClass(r.pickedColorNode,"light",n.color.rgba.a<.5?r.backgroundColor.isLighter():n.color.isLighter()),r}return o(t,e),t.prototype.onDidChangeColor=function(e){this.pickedColorNode.style.backgroundColor=a.Color.Format.CSS.format(e),i.toggleClass(this.pickedColorNode,"light",e.rgba.a<.5?this.backgroundColor.isLighter():e.isLighter()),this.onDidChangePresentation()},t.prototype.onDidChangePresentation=function(){this.pickedColorNode.textContent=this.model.presentation?this.model.presentation.label:""},t}(u.Disposable);t.ColorPickerHeader=p;var f=function(e){function t(t,n,o){var r=e.call(this)||this;return r.model=n,r.pixelRatio=o,r.domNode=h(".colorpicker-body"),i.append(t,r.domNode),r.saturationBox=new g(r.domNode,r.model,r.pixelRatio),r._register(r.saturationBox),r._register(r.saturationBox.onDidChange(r.onDidSaturationValueChange,r)),r._register(r.saturationBox.onColorFlushed(r.flushColor,r)),r.opacityStrip=new v(r.domNode,r.model),r._register(r.opacityStrip),
r._register(r.opacityStrip.onDidChange(r.onDidOpacityChange,r)),r._register(r.opacityStrip.onColorFlushed(r.flushColor,r)),r.hueStrip=new _(r.domNode,r.model),r._register(r.hueStrip),r._register(r.hueStrip.onDidChange(r.onDidHueChange,r)),r._register(r.hueStrip.onColorFlushed(r.flushColor,r)),r}return o(t,e),t.prototype.flushColor=function(){this.model.flushColor()},t.prototype.onDidSaturationValueChange=function(e){var t=e.s,n=e.v,i=this.model.color.hsva;this.model.color=new a.Color(new a.HSVA(i.h,t,n,i.a))},t.prototype.onDidOpacityChange=function(e){var t=this.model.color.hsva;this.model.color=new a.Color(new a.HSVA(t.h,t.s,t.v,e))},t.prototype.onDidHueChange=function(e){var t=this.model.color.hsva,n=360*(1-e);this.model.color=new a.Color(new a.HSVA(360===n?0:n,t.s,t.v,t.a))},t.prototype.layout=function(){this.saturationBox.layout(),this.opacityStrip.layout(),this.hueStrip.layout()},t}(u.Disposable);t.ColorPickerBody=f;var g=function(e){function t(t,n,o){var r=e.call(this)||this;return r.model=n,
r.pixelRatio=o,r._onDidChange=new l.Emitter,r.onDidChange=r._onDidChange.event,r._onColorFlushed=new l.Emitter,r.onColorFlushed=r._onColorFlushed.event,r.domNode=h(".saturation-wrap"),i.append(t,r.domNode),r.canvas=document.createElement("canvas"),r.canvas.className="saturation-box",i.append(r.domNode,r.canvas),r.selection=h(".saturation-selection"),i.append(r.domNode,r.selection),r.layout(),r._register(i.addDisposableListener(r.domNode,i.EventType.MOUSE_DOWN,function(e){return r.onMouseDown(e)})),r._register(r.model.onDidChangeColor(r.onDidChangeColor,r)),r.monitor=null,r}return o(t,e),t.prototype.onMouseDown=function(e){var t=this;this.monitor=this._register(new r.GlobalMouseMoveMonitor);var n=i.getDomNodePagePosition(this.domNode);e.target!==this.selection&&this.onDidChangePosition(e.offsetX,e.offsetY),this.monitor.startMonitoring(r.standardMouseMoveMerger,function(e){return t.onDidChangePosition(e.posx-n.left,e.posy-n.top)},function(){return null})
;var o=i.addDisposableListener(document,i.EventType.MOUSE_UP,function(){t._onColorFlushed.fire(),o.dispose(),t.monitor.stopMonitoring(!0),t.monitor=null},!0)},t.prototype.onDidChangePosition=function(e,t){var n=Math.max(0,Math.min(1,e/this.width)),i=Math.max(0,Math.min(1,1-t/this.height));this.paintSelection(n,i),this._onDidChange.fire({s:n,v:i})},t.prototype.layout=function(){this.width=this.domNode.offsetWidth,this.height=this.domNode.offsetHeight,this.canvas.width=this.width*this.pixelRatio,this.canvas.height=this.height*this.pixelRatio,this.paint();var e=this.model.color.hsva;this.paintSelection(e.s,e.v)},t.prototype.paint=function(){var e=this.model.color.hsva,t=new a.Color(new a.HSVA(e.h,1,1,1)),n=this.canvas.getContext("2d"),i=n.createLinearGradient(0,0,this.canvas.width,0);i.addColorStop(0,"rgba(255, 255, 255, 1)"),i.addColorStop(.5,"rgba(255, 255, 255, 0.5)"),i.addColorStop(1,"rgba(255, 255, 255, 0)");var o=n.createLinearGradient(0,0,0,this.canvas.height);o.addColorStop(0,"rgba(0, 0, 0, 0)"),
o.addColorStop(1,"rgba(0, 0, 0, 1)"),n.rect(0,0,this.canvas.width,this.canvas.height),n.fillStyle=a.Color.Format.CSS.format(t),n.fill(),n.fillStyle=i,n.fill(),n.fillStyle=o,n.fill()},t.prototype.paintSelection=function(e,t){this.selection.style.left=e*this.width+"px",this.selection.style.top=this.height-t*this.height+"px"},t.prototype.onDidChangeColor=function(){this.monitor&&this.monitor.isMonitoring()||this.paint()},t}(u.Disposable),m=function(e){function t(t,n){var o=e.call(this)||this;return o.model=n,o._onDidChange=new l.Emitter,o.onDidChange=o._onDidChange.event,o._onColorFlushed=new l.Emitter,o.onColorFlushed=o._onColorFlushed.event,o.domNode=i.append(t,h(".strip")),o.overlay=i.append(o.domNode,h(".overlay")),o.slider=i.append(o.domNode,h(".slider")),o.slider.style.top="0px",o._register(i.addDisposableListener(o.domNode,i.EventType.MOUSE_DOWN,function(e){return o.onMouseDown(e)})),o.layout(),o}return o(t,e),t.prototype.layout=function(){this.height=this.domNode.offsetHeight-this.slider.offsetHeight
;var e=this.getValue(this.model.color);this.updateSliderPosition(e)},t.prototype.onMouseDown=function(e){var t=this,n=this._register(new r.GlobalMouseMoveMonitor),o=i.getDomNodePagePosition(this.domNode);i.addClass(this.domNode,"grabbing"),e.target!==this.slider&&this.onDidChangeTop(e.offsetY),n.startMonitoring(r.standardMouseMoveMerger,function(e){return t.onDidChangeTop(e.posy-o.top)},function(){return null});var s=i.addDisposableListener(document,i.EventType.MOUSE_UP,function(){t._onColorFlushed.fire(),s.dispose(),n.stopMonitoring(!0),i.removeClass(t.domNode,"grabbing")},!0)},t.prototype.onDidChangeTop=function(e){var t=Math.max(0,Math.min(1,1-e/this.height));this.updateSliderPosition(t),this._onDidChange.fire(t)},t.prototype.updateSliderPosition=function(e){this.slider.style.top=(1-e)*this.height+"px"},t}(u.Disposable),v=function(e){function t(t,n){var o=e.call(this,t,n)||this;return i.addClass(o.domNode,"opacity-strip"),o._register(n.onDidChangeColor(o.onDidChangeColor,o)),
o.onDidChangeColor(o.model.color),o}return o(t,e),t.prototype.onDidChangeColor=function(e){var t=e.rgba,n=t.r,i=t.g,o=t.b,r=new a.Color(new a.RGBA(n,i,o,1)),s=new a.Color(new a.RGBA(n,i,o,0));this.overlay.style.background="linear-gradient(to bottom, "+r+" 0%, "+s+" 100%)"},t.prototype.getValue=function(e){return e.hsva.a},t}(m),_=function(e){function t(t,n){var o=e.call(this,t,n)||this;return i.addClass(o.domNode,"hue-strip"),o}return o(t,e),t.prototype.getValue=function(e){return 1-e.hsva.h/360},t}(m),y=function(e){function t(t,i,o,r){var s=e.call(this)||this;s.model=i,s.pixelRatio=o,s._register(n.onDidChangeZoomLevel(function(){return s.layout()}));var a=h(".colorpicker-widget");t.appendChild(a);var l=new p(a,s.model,r);return s.body=new f(a,s.model,s.pixelRatio),s._register(l),s._register(s.body),s}return o(t,e),t.prototype.layout=function(){this.body.layout()},t}(s.Widget);t.ColorPickerWidget=y}),define(t[514],n([0,1,3,44,26,20,13]),function(e,t,n,i,o,r,s){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e){this._editor=e,this._decorations=[],this._overviewRulerApproximateDecorations=[],this._findScopeDecorationId=null,this._rangeHighlightDecorationId=null,this._highlightedDecorationId=null,this._startPosition=this._editor.getPosition()}return e.prototype.dispose=function(){this._editor.deltaDecorations(this._allDecorations(),[]),this._decorations=[],this._overviewRulerApproximateDecorations=[],this._findScopeDecorationId=null,this._rangeHighlightDecorationId=null,this._highlightedDecorationId=null},e.prototype.reset=function(){this._decorations=[],this._overviewRulerApproximateDecorations=[],this._findScopeDecorationId=null,this._rangeHighlightDecorationId=null,this._highlightedDecorationId=null},e.prototype.getCount=function(){return this._decorations.length},e.prototype.getFindScope=function(){return this._findScopeDecorationId?this._editor.getModel().getDecorationRange(this._findScopeDecorationId):null},
e.prototype.getStartPosition=function(){return this._startPosition},e.prototype.setStartPosition=function(e){this._startPosition=e,this.setCurrentFindMatch(null)},e.prototype._getDecorationIndex=function(e){var t=this._decorations.indexOf(e);return t>=0?t+1:1},e.prototype.getCurrentMatchesPosition=function(t){for(var n=this._editor.getModel().getDecorationsInRange(t),i=0,o=n.length;i<o;i++){var r=n[i],s=r.options;if(s===e._FIND_MATCH_DECORATION||s===e._CURRENT_FIND_MATCH_DECORATION)return this._getDecorationIndex(r.id)}return 1},e.prototype.setCurrentFindMatch=function(t){var i=this,o=null,r=0;if(t)for(var s=0,a=this._decorations.length;s<a;s++){var l=this._editor.getModel().getDecorationRange(this._decorations[s]);if(t.equalsRange(l)){o=this._decorations[s],r=s+1;break}}return null===this._highlightedDecorationId&&null===o||this._editor.changeDecorations(function(t){if(null!==i._highlightedDecorationId&&(t.changeDecorationOptions(i._highlightedDecorationId,e._FIND_MATCH_DECORATION),
i._highlightedDecorationId=null),null!==o&&(i._highlightedDecorationId=o,t.changeDecorationOptions(i._highlightedDecorationId,e._CURRENT_FIND_MATCH_DECORATION)),null!==i._rangeHighlightDecorationId&&(t.removeDecoration(i._rangeHighlightDecorationId),i._rangeHighlightDecorationId=null),null!==o){var r=i._editor.getModel().getDecorationRange(o);if(r.startLineNumber!==r.endLineNumber&&1===r.endColumn){var s=r.endLineNumber-1,a=i._editor.getModel().getLineMaxColumn(s);r=new n.Range(r.startLineNumber,r.startColumn,s,a)}i._rangeHighlightDecorationId=t.addDecoration(r,e._RANGE_HIGHLIGHT_DECORATION)}}),r},e.prototype.set=function(t,i){var o=this;this._editor.changeDecorations(function(r){var s=e._FIND_MATCH_DECORATION,a=[];if(t.length>1e3){s=e._FIND_MATCH_NO_OVERVIEW_DECORATION;for(var l=o._editor.getModel().getLineCount(),u=o._editor.getLayoutInfo().height/l,d=Math.max(2,Math.ceil(3/u)),c=t[0].range.startLineNumber,h=t[0].range.endLineNumber,p=1,f=t.length;p<f;p++){var g=t[p].range
;h+d>=g.startLineNumber?g.endLineNumber>h&&(h=g.endLineNumber):(a.push({range:new n.Range(c,1,h,1),options:e._FIND_MATCH_ONLY_OVERVIEW_DECORATION}),c=g.startLineNumber,h=g.endLineNumber)}a.push({range:new n.Range(c,1,h,1),options:e._FIND_MATCH_ONLY_OVERVIEW_DECORATION})}for(var m=new Array(t.length),p=0,f=t.length;p<f;p++)m[p]={range:t[p].range,options:s};o._decorations=r.deltaDecorations(o._decorations,m),o._overviewRulerApproximateDecorations=r.deltaDecorations(o._overviewRulerApproximateDecorations,a),o._rangeHighlightDecorationId&&(r.removeDecoration(o._rangeHighlightDecorationId),o._rangeHighlightDecorationId=null),o._findScopeDecorationId&&(r.removeDecoration(o._findScopeDecorationId),o._findScopeDecorationId=null),i&&(o._findScopeDecorationId=r.addDecoration(i,e._FIND_SCOPE_DECORATION))})},e.prototype.matchBeforePosition=function(e){if(0===this._decorations.length)return null;for(var t=this._decorations.length-1;t>=0;t--){var n=this._decorations[t],i=this._editor.getModel().getDecorationRange(n)
;if(i&&!(i.endLineNumber>e.lineNumber)){if(i.endLineNumber<e.lineNumber)return i;if(!(i.endColumn>e.column))return i}}return this._editor.getModel().getDecorationRange(this._decorations[this._decorations.length-1])},e.prototype.matchAfterPosition=function(e){if(0===this._decorations.length)return null;for(var t=0,n=this._decorations.length;t<n;t++){var i=this._decorations[t],o=this._editor.getModel().getDecorationRange(i);if(o&&!(o.startLineNumber<e.lineNumber)){if(o.startLineNumber>e.lineNumber)return o;if(!(o.startColumn<e.column))return o}}return this._editor.getModel().getDecorationRange(this._decorations[0])},e.prototype._allDecorations=function(){var e=[];return e=e.concat(this._decorations),e=e.concat(this._overviewRulerApproximateDecorations),this._findScopeDecorationId&&e.push(this._findScopeDecorationId),this._rangeHighlightDecorationId&&e.push(this._rangeHighlightDecorationId),e},e._CURRENT_FIND_MATCH_DECORATION=o.ModelDecorationOptions.register({stickiness:1,zIndex:13,className:"currentFindMatch",
showIfCollapsed:!0,overviewRuler:{color:s.themeColorFromId(r.overviewRulerFindMatchForeground),position:i.OverviewRulerLane.Center}}),e._FIND_MATCH_DECORATION=o.ModelDecorationOptions.register({stickiness:1,className:"findMatch",showIfCollapsed:!0,overviewRuler:{color:s.themeColorFromId(r.overviewRulerFindMatchForeground),position:i.OverviewRulerLane.Center}}),e._FIND_MATCH_NO_OVERVIEW_DECORATION=o.ModelDecorationOptions.register({stickiness:1,className:"findMatch",showIfCollapsed:!0}),e._FIND_MATCH_ONLY_OVERVIEW_DECORATION=o.ModelDecorationOptions.register({stickiness:1,overviewRuler:{color:s.themeColorFromId(r.overviewRulerFindMatchForeground),position:i.OverviewRulerLane.Center}}),e._RANGE_HIGHLIGHT_DECORATION=o.ModelDecorationOptions.register({stickiness:1,className:"rangeHighlight",isWholeLine:!0}),e._FIND_SCOPE_DECORATION=o.ModelDecorationOptions.register({className:"findScope",isWholeLine:!0}),e}();t.FindDecorations=a}),
define(t[140],n([0,1,16,2,77,12,3,21,112,514,242,243,18]),function(e,t,n,i,o,r,s,a,l,u,d,c,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CONTEXT_FIND_WIDGET_VISIBLE=new h.RawContextKey("findWidgetVisible",!1),t.CONTEXT_FIND_INPUT_FOCUSED=new h.RawContextKey("findInputFocussed",!1),t.CONTEXT_REPLACE_INPUT_FOCUSED=new h.RawContextKey("replaceInputFocussed",!1),t.ToggleCaseSensitiveKeybinding={primary:545,mac:{primary:2593}},t.ToggleWholeWordKeybinding={primary:565,mac:{primary:2613}},t.ToggleRegexKeybinding={primary:560,mac:{primary:2608}},t.ToggleSearchScopeKeybinding={primary:554,mac:{primary:2602}},t.FIND_IDS={StartFindAction:"actions.find",StartFindWithSelection:"actions.findWithSelection",NextMatchFindAction:"editor.action.nextMatchFindAction",PreviousMatchFindAction:"editor.action.previousMatchFindAction",NextSelectionMatchFindAction:"editor.action.nextSelectionMatchFindAction",PreviousSelectionMatchFindAction:"editor.action.previousSelectionMatchFindAction",
StartFindReplaceAction:"editor.action.startFindReplaceAction",CloseFindWidgetCommand:"closeFindWidget",ToggleCaseSensitiveCommand:"toggleFindCaseSensitive",ToggleWholeWordCommand:"toggleFindWholeWord",ToggleRegexCommand:"toggleFindRegex",ToggleSearchScopeCommand:"toggleFindInSelection",ReplaceOneAction:"editor.action.replaceOne",ReplaceAllAction:"editor.action.replaceAll",SelectAllMatchesAction:"editor.action.selectAllMatches"},t.MATCHES_LIMIT=19999;var p=function(){function e(e,t){var i=this;this._editor=e,this._state=t,this._toDispose=[],this._isDisposed=!1,this._startSearchingTimer=new n.TimeoutTimer,this._decorations=new u.FindDecorations(e),this._toDispose.push(this._decorations),this._updateDecorationsScheduler=new n.RunOnceScheduler(function(){return i.research(!1)},100),this._toDispose.push(this._updateDecorationsScheduler),this._toDispose.push(this._editor.onDidChangeCursorPosition(function(e){3!==e.reason&&5!==e.reason&&6!==e.reason||i._decorations.setStartPosition(i._editor.getPosition())})),
this._ignoreModelContentChanged=!1,this._toDispose.push(this._editor.onDidChangeModelContent(function(e){i._ignoreModelContentChanged||(e.isFlush&&i._decorations.reset(),i._decorations.setStartPosition(i._editor.getPosition()),i._updateDecorationsScheduler.schedule())})),this._toDispose.push(this._state.onFindReplaceStateChange(function(e){return i._onStateChanged(e)})),this.research(!1,this._state.searchScope)}return e.prototype.dispose=function(){this._isDisposed=!0,i.dispose(this._startSearchingTimer),this._toDispose=i.dispose(this._toDispose)},e.prototype._onStateChanged=function(e){var t=this;if(!this._isDisposed&&this._editor.getModel()&&(e.searchString||e.isReplaceRevealed||e.isRegex||e.wholeWord||e.matchCase||e.searchScope)){this._editor.getModel().isTooLargeForSyncing()?(this._startSearchingTimer.cancel(),this._startSearchingTimer.setIfNotSet(function(){e.searchScope?t.research(e.moveCursor,t._state.searchScope):t.research(e.moveCursor)
},240)):e.searchScope?this.research(e.moveCursor,this._state.searchScope):this.research(e.moveCursor)}},e._getSearchRange=function(e,t){return t||e.getFullModelRange()},e.prototype.research=function(e,n){var i=null;null!==(i=void 0!==n?n:this._decorations.getFindScope())&&i.startLineNumber!==i.endLineNumber&&(i=1===i.endColumn?new s.Range(i.startLineNumber,1,i.endLineNumber-1,this._editor.getModel().getLineMaxColumn(i.endLineNumber-1)):new s.Range(i.startLineNumber,1,i.endLineNumber,this._editor.getModel().getLineMaxColumn(i.endLineNumber)));var o=this._findMatches(i,!1,t.MATCHES_LIMIT);this._decorations.set(o,i),this._state.changeMatchInfo(this._decorations.getCurrentMatchesPosition(this._editor.getSelection()),this._decorations.getCount(),void 0),e&&this._moveToNextMatch(this._decorations.getStartPosition())},e.prototype._hasMatches=function(){return this._state.matchesCount>0},e.prototype._cannotFind=function(){if(!this._hasMatches()){var e=this._decorations.getFindScope()
;return e&&this._editor.revealRangeInCenterIfOutsideViewport(e,0),!0}return!1},e.prototype._setCurrentFindMatch=function(e){var t=this._decorations.setCurrentFindMatch(e);this._state.changeMatchInfo(t,this._decorations.getCount(),e),this._editor.setSelection(e),this._editor.revealRangeInCenterIfOutsideViewport(e,0)},e.prototype._prevSearchPosition=function(e){var t=this._state.isRegex&&(this._state.searchString.indexOf("^")>=0||this._state.searchString.indexOf("$")>=0),n=e.lineNumber,i=e.column,o=this._editor.getModel();return t||1===i?(1===n?n=o.getLineCount():n--,i=o.getLineMaxColumn(n)):i--,new r.Position(n,i)},e.prototype._moveToPrevMatch=function(n,i){if(void 0===i&&(i=!1),this._decorations.getCount()<t.MATCHES_LIMIT){var o=this._decorations.matchBeforePosition(n);return o&&o.isEmpty()&&o.getStartPosition().equals(n)&&(n=this._prevSearchPosition(n),o=this._decorations.matchBeforePosition(n)),void(o&&this._setCurrentFindMatch(o))}if(!this._cannotFind()){
var s=this._decorations.getFindScope(),a=e._getSearchRange(this._editor.getModel(),s);a.getEndPosition().isBefore(n)&&(n=a.getEndPosition()),n.isBefore(a.getStartPosition())&&(n=a.getEndPosition());var l=n.lineNumber,u=n.column,d=this._editor.getModel(),c=new r.Position(l,u),h=d.findPreviousMatch(this._state.searchString,c,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1);if(h&&h.range.isEmpty()&&h.range.getStartPosition().equals(c)&&(c=this._prevSearchPosition(c),h=d.findPreviousMatch(this._state.searchString,c,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1)),h)return i||a.containsRange(h.range)?void this._setCurrentFindMatch(h.range):this._moveToPrevMatch(h.range.getStartPosition(),!0)}},e.prototype.moveToPrevMatch=function(){this._moveToPrevMatch(this._editor.getSelection().getStartPosition())},e.prototype._nextSearchPosition=function(e){
var t=this._state.isRegex&&(this._state.searchString.indexOf("^")>=0||this._state.searchString.indexOf("$")>=0),n=e.lineNumber,i=e.column,o=this._editor.getModel();return t||i===o.getLineMaxColumn(n)?(n===o.getLineCount()?n=1:n++,i=1):i++,new r.Position(n,i)},e.prototype._moveToNextMatch=function(e){if(this._decorations.getCount()<t.MATCHES_LIMIT){var n=this._decorations.matchAfterPosition(e);return n&&n.isEmpty()&&n.getStartPosition().equals(e)&&(e=this._nextSearchPosition(e),n=this._decorations.matchAfterPosition(e)),void(n&&this._setCurrentFindMatch(n))}var i=this._getNextMatch(e,!1,!0);i&&this._setCurrentFindMatch(i.range)},e.prototype._getNextMatch=function(t,n,i,o){if(void 0===o&&(o=!1),this._cannotFind())return null;var s=this._decorations.getFindScope(),a=e._getSearchRange(this._editor.getModel(),s);a.getEndPosition().isBefore(t)&&(t=a.getStartPosition()),t.isBefore(a.getStartPosition())&&(t=a.getStartPosition())
;var l=t.lineNumber,u=t.column,d=this._editor.getModel(),c=new r.Position(l,u),h=d.findNextMatch(this._state.searchString,c,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null,n);return i&&h&&h.range.isEmpty()&&h.range.getStartPosition().equals(c)&&(c=this._nextSearchPosition(c),h=d.findNextMatch(this._state.searchString,c,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null,n)),h?o||a.containsRange(h.range)?h:this._getNextMatch(h.range.getEndPosition(),n,i,!0):null},e.prototype.moveToNextMatch=function(){this._moveToNextMatch(this._editor.getSelection().getEndPosition())},e.prototype._getReplacePattern=function(){return this._state.isRegex?c.parseReplaceString(this._state.replaceString):c.ReplacePattern.fromStaticValue(this._state.replaceString)},e.prototype.replace=function(){if(this._hasMatches()){
var e=this._getReplacePattern(),t=this._editor.getSelection(),n=this._getNextMatch(t.getStartPosition(),e.hasReplacementPatterns,!1);if(n)if(t.equalsRange(n.range)){var i=e.buildReplaceString(n.matches),s=new o.ReplaceCommand(t,i);this._executeEditorCommand("replace",s),this._decorations.setStartPosition(new r.Position(t.startLineNumber,t.startColumn+i.length)),this.research(!0)}else this._decorations.setStartPosition(this._editor.getPosition()),this._setCurrentFindMatch(n.range)}},e.prototype._findMatches=function(t,n,i){var o=e._getSearchRange(this._editor.getModel(),t);return this._editor.getModel().findMatches(this._state.searchString,o,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null,n,i)},e.prototype.replaceAll=function(){if(this._hasMatches()){var e=this._decorations.getFindScope();null===e&&this._state.matchesCount>=t.MATCHES_LIMIT?this._largeReplaceAll():this._regularReplaceAll(e),this.research(!1)}},
e.prototype._largeReplaceAll=function(){var e=new l.SearchParams(this._state.searchString,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null).parseSearchRequest();if(e){var t=e.regex;if(!t.multiline){var n="m";t.ignoreCase&&(n+="i"),t.global&&(n+="g"),t=new RegExp(t.source,n)}var i,r=this._editor.getModel(),s=r.getValue(1),a=r.getFullModelRange(),u=this._getReplacePattern();i=u.hasReplacementPatterns?s.replace(t,function(){return u.buildReplaceString(arguments)}):s.replace(t,u.buildReplaceString(null));var d=new o.ReplaceCommandThatPreservesSelection(a,i,this._editor.getSelection());this._executeEditorCommand("replaceAll",d)}},e.prototype._regularReplaceAll=function(e){for(var t=this._getReplacePattern(),n=this._findMatches(e,t.hasReplacementPatterns,1073741824),i=[],o=0,r=n.length;o<r;o++)i[o]=t.buildReplaceString(n[o].matches);var s=new d.ReplaceAllCommand(this._editor.getSelection(),n.map(function(e){return e.range}),i)
;this._executeEditorCommand("replaceAll",s)},e.prototype.selectAllMatches=function(){if(this._hasMatches()){for(var e=this._decorations.getFindScope(),t=this._findMatches(e,!1,1073741824).map(function(e){return new a.Selection(e.range.startLineNumber,e.range.startColumn,e.range.endLineNumber,e.range.endColumn)}),n=this._editor.getSelection(),i=0,o=t.length;i<o;i++){if(t[i].equalsRange(n)){t=[n].concat(t.slice(0,i)).concat(t.slice(i+1));break}}this._editor.setSelections(t)}},e.prototype._executeEditorCommand=function(e,t){try{this._ignoreModelContentChanged=!0,this._editor.pushUndoStop(),this._editor.executeCommand(e,t),this._editor.pushUndoStop()}finally{this._ignoreModelContentChanged=!1}},e}();t.FindModelBoundToEditorModel=p}),define(t[516],n([0,1,7,152,46,16,140,20,13]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var d=function(e){function t(t,o,r,u){var d=e.call(this)||this;d._hideSoon=d._register(new s.RunOnceScheduler(function(){return d._hide()},2e3)),
d._isVisible=!1,d._editor=t,d._state=o,d._keybindingService=r,d._domNode=document.createElement("div"),d._domNode.className="findOptionsWidget",d._domNode.style.display="none",d._domNode.style.top="10px",d._domNode.setAttribute("role","presentation"),d._domNode.setAttribute("aria-hidden","true");var c=u.getTheme().getColor(l.inputActiveOptionBorder);return d.caseSensitive=d._register(new i.CaseSensitiveCheckbox({appendTitle:d._keybindingLabelFor(a.FIND_IDS.ToggleCaseSensitiveCommand),isChecked:d._state.matchCase,inputActiveOptionBorder:c})),d._domNode.appendChild(d.caseSensitive.domNode),d._register(d.caseSensitive.onChange(function(){d._state.change({matchCase:d.caseSensitive.checked},!1)})),d.wholeWords=d._register(new i.WholeWordsCheckbox({appendTitle:d._keybindingLabelFor(a.FIND_IDS.ToggleWholeWordCommand),isChecked:d._state.wholeWord,inputActiveOptionBorder:c})),d._domNode.appendChild(d.wholeWords.domNode),d._register(d.wholeWords.onChange(function(){d._state.change({wholeWord:d.wholeWords.checked},!1)
})),d.regex=d._register(new i.RegexCheckbox({appendTitle:d._keybindingLabelFor(a.FIND_IDS.ToggleRegexCommand),isChecked:d._state.isRegex,inputActiveOptionBorder:c})),d._domNode.appendChild(d.regex.domNode),d._register(d.regex.onChange(function(){d._state.change({isRegex:d.regex.checked},!1)})),d._editor.addOverlayWidget(d),d._register(d._state.onFindReplaceStateChange(function(e){var t=!1;e.isRegex&&(d.regex.checked=d._state.isRegex,t=!0),e.wholeWord&&(d.wholeWords.checked=d._state.wholeWord,t=!0),e.matchCase&&(d.caseSensitive.checked=d._state.matchCase,t=!0),!d._state.isRevealed&&t&&d._revealTemporarily()})),d._register(n.addDisposableNonBubblingMouseOutListener(d._domNode,function(e){return d._onMouseOut()})),d._register(n.addDisposableListener(d._domNode,"mouseover",function(e){return d._onMouseOver()})),d._applyTheme(u.getTheme()),d._register(u.onThemeChange(d._applyTheme.bind(d))),d}return o(t,e),t.prototype._keybindingLabelFor=function(e){var t=this._keybindingService.lookupKeybinding(e)
;return t?" ("+t.getLabel()+")":""},t.prototype.dispose=function(){this._editor.removeOverlayWidget(this),e.prototype.dispose.call(this)},t.prototype.getId=function(){return t.ID},t.prototype.getDomNode=function(){return this._domNode},t.prototype.getPosition=function(){return{preference:0}},t.prototype.highlightFindOptions=function(){this._revealTemporarily()},t.prototype._revealTemporarily=function(){this._show(),this._hideSoon.schedule()},t.prototype._onMouseOut=function(){this._hideSoon.schedule()},t.prototype._onMouseOver=function(){this._hideSoon.cancel()},t.prototype._show=function(){this._isVisible||(this._isVisible=!0,this._domNode.style.display="block")},t.prototype._hide=function(){this._isVisible&&(this._isVisible=!1,this._domNode.style.display="none")},t.prototype._applyTheme=function(e){var t={inputActiveOptionBorder:e.getColor(l.inputActiveOptionBorder)};this.caseSensitive.style(t),this.wholeWords.style(t),this.regex.style(t)},t.ID="editor.contrib.findOptionsWidget",t}(r.Widget)
;t.FindOptionsWidget=d,u.registerThemingParticipant(function(e,t){var n=e.getColor(l.editorWidgetBackground);n&&t.addRule(".monaco-editor .findOptionsWidget { background-color: "+n+"; }");var i=e.getColor(l.widgetShadow);i&&t.addRule(".monaco-editor .findOptionsWidget { box-shadow: 0 2px 8px "+i+"; }");var o=e.getColor(l.contrastBorder);o&&t.addRule(".monaco-editor .findOptionsWidget { border: 2px solid "+o+"; }")})}),define(t[517],n([0,1,317,7,2,76,3,196,20,28,34,55,158,22,6,370]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var m=function(){function e(e,t,n){var o=this;this._lines=0,this._longestLineLength=0,this._relatedDiagnostics=new WeakMap,this._disposables=[],this._editor=t;var r=document.createElement("div");r.className="descriptioncontainer",r.setAttribute("aria-live","assertive"),r.setAttribute("role","alert"),this._messageBlock=document.createElement("div"),r.appendChild(this._messageBlock),this._relatedBlock=document.createElement("div"),
r.appendChild(this._relatedBlock),this._disposables.push(i.addStandardDisposableListener(this._relatedBlock,"click",function(e){e.preventDefault();var t=o._relatedDiagnostics.get(e.target);t&&n(t)})),this._scrollable=new h.ScrollableElement(r,{horizontal:1,vertical:1,useShadows:!1,horizontalScrollbarSize:3,verticalScrollbarSize:3}),i.addClass(this._scrollable.getDomNode(),"block"),e.appendChild(this._scrollable.getDomNode()),this._disposables.push(this._scrollable.onScroll(function(e){r.style.left="-"+e.scrollLeft+"px",r.style.top="-"+e.scrollTop+"px"})),this._disposables.push(this._scrollable)}return e.prototype.dispose=function(){r.dispose(this._disposables)},e.prototype.update=function(e){var t=e.source,n=e.message,o=e.relatedInformation,r=e.code;if(t){this._lines=0,this._longestLineLength=0;for(var s=new Array(t.length+3+1).join(" "),a=n.split(/\r\n|\r|\n/g),l=0;l<a.length;l++){var u=a[l];this._lines+=1,r&&l===a.length-1&&(u+=" ["+r+"]"),this._longestLineLength=Math.max(u.length,this._longestLineLength),
0===l?n="["+t+"] "+u:n+="\n"+s+u}}else this._lines=1,r&&(n+=" ["+r+"]"),this._longestLineLength=n.length;if(i.clearNode(this._relatedBlock),!f.isFalsyOrEmpty(o)){this._relatedBlock.style.paddingTop=Math.floor(.66*this._editor.getConfiguration().lineHeight)+"px",this._lines+=1;for(var d=0,c=o||[];d<c.length;d++){var h=c[d],g=document.createElement("div"),m=document.createElement("span");i.addClass(m,"filename"),m.innerHTML=p.getBaseLabel(h.resource)+"("+h.startLineNumber+", "+h.startColumn+"): ",m.title=p.getPathLabel(h.resource,void 0),this._relatedDiagnostics.set(m,h);var v=document.createElement("span");v.innerText=h.message,this._editor.applyFontInfo(v),g.appendChild(m),g.appendChild(v),this._lines+=1,this._relatedBlock.appendChild(g)}}this._messageBlock.innerText=n,this._editor.applyFontInfo(this._messageBlock);var _=this._editor.getConfiguration().fontInfo,y=Math.ceil(_.typicalFullwidthCharacterWidth*this._longestLineLength*.75),C=_.lineHeight*this._lines;this._scrollable.setScrollDimensions({
scrollWidth:y,scrollHeight:C})},e.prototype.layout=function(e,t){this._scrollable.getDomNode().style.height=e+"px",this._scrollable.setScrollDimensions({width:t,height:e})},e.prototype.getHeightInLines=function(){return Math.min(17,this._lines)},e}(),v=function(e){function l(t,n){var i=e.call(this,t,{showArrow:!0,showFrame:!0,isAccessible:!0})||this;return i._themeService=n,i._callOnDispose=[],i._onDidSelectRelatedInformation=new g.Emitter,i.onDidSelectRelatedInformation=i._onDidSelectRelatedInformation.event,i._severity=s.MarkerSeverity.Warning,i._backgroundColor=d.Color.white,i._applyTheme(n.getTheme()),i._callOnDispose.push(n.onThemeChange(i._applyTheme.bind(i))),i.create(),i}return o(l,e),l.prototype._applyTheme=function(e){this._backgroundColor=e.getColor(t.editorMarkerNavigationBackground);var n=t.editorMarkerNavigationError;this._severity===s.MarkerSeverity.Warning?n=t.editorMarkerNavigationWarning:this._severity===s.MarkerSeverity.Info&&(n=t.editorMarkerNavigationInfo);var i=e.getColor(n);this.style({
arrowColor:i,frameColor:i})},l.prototype._applyStyles=function(){this._parentContainer&&(this._parentContainer.style.backgroundColor=this._backgroundColor?this._backgroundColor.toString():""),e.prototype._applyStyles.call(this)},l.prototype.dispose=function(){this._callOnDispose=r.dispose(this._callOnDispose),e.prototype.dispose.call(this)},l.prototype.focus=function(){this._parentContainer.focus()},l.prototype._fillContainer=function(e){var t=this;this._parentContainer=e,i.addClass(e,"marker-widget"),this._parentContainer.tabIndex=0,this._parentContainer.setAttribute("role","tooltip"),this._container=document.createElement("div"),e.appendChild(this._container),this._title=document.createElement("div"),this._title.className="block title",this._container.appendChild(this._title),this._message=new m(this._container,this.editor,function(e){return t._onDidSelectRelatedInformation.fire(e)}),this._disposables.push(this._message)},l.prototype.show=function(e,t){throw new Error("call showAtMarker")},
l.prototype.showAtMarker=function(t,i,o){this._container.classList.remove("stale"),this._title.innerHTML=n.localize(0,null,i,o),this._message.update(t),this._severity=t.severity,this._applyTheme(this._themeService.getTheme());var r=a.Range.lift(t),s=this.editor.getPosition(),l=s&&r.containsPosition(s)?s:r.getStartPosition();e.prototype.show.call(this,l,this.computeRequiredHeight()),this.editor.revealPositionInCenter(l,0),1!==this.editor.getConfiguration().accessibilitySupport&&this.focus()},l.prototype.updateMarker=function(e){this._container.classList.remove("stale"),this._message.update(e)},l.prototype.showStale=function(){this._container.classList.add("stale"),this._relayout()},l.prototype._doLayout=function(e,t){this._message.layout(e,t),this._container.style.height=e+"px"},l.prototype._relayout=function(){e.prototype._relayout.call(this,this.computeRequiredHeight())},l.prototype.computeRequiredHeight=function(){return 1+this._message.getHeightInLines()},l}(l.ZoneWidget);t.MarkerNavigationWidget=v
;var _=u.oneOf(c.editorErrorForeground,c.editorErrorBorder),y=u.oneOf(c.editorWarningForeground,c.editorWarningBorder),C=u.oneOf(c.editorInfoForeground,c.editorInfoBorder);t.editorMarkerNavigationError=u.registerColor("editorMarkerNavigationError.background",{dark:_,light:_,hc:_},n.localize(1,null)),t.editorMarkerNavigationWarning=u.registerColor("editorMarkerNavigationWarning.background",{dark:y,light:y,hc:y},n.localize(2,null)),t.editorMarkerNavigationInfo=u.registerColor("editorMarkerNavigationInfo.background",{dark:C,light:C,hc:C},n.localize(3,null)),t.editorMarkerNavigationBackground=u.registerColor("editorMarkerNavigation.background",{dark:"#2D2D30",light:d.Color.white,hc:"#0C141F"},n.localize(4,null))}),define(t[518],n([0,1,316,6,2,18,76,3,10,13,19,517,8,22,30,11]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var y=function(){function e(e,t){var n=this;this._editor=e,this._markers=null,this._nextIdx=-1,this._toUnbind=[],
this._ignoreSelectionChange=!1,this._onCurrentMarkerChanged=new i.Emitter,this._onMarkerSetChanged=new i.Emitter,this.setMarkers(t),this._toUnbind.push(this._editor.onDidDispose(function(){return n.dispose()})),this._toUnbind.push(this._editor.onDidChangeCursorPosition(function(){n._ignoreSelectionChange||n.currentMarker&&d.Range.containsPosition(n.currentMarker,n._editor.getPosition())||(n._nextIdx=-1)}))}return Object.defineProperty(e.prototype,"onCurrentMarkerChanged",{get:function(){return this._onCurrentMarkerChanged.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMarkerSetChanged",{get:function(){return this._onMarkerSetChanged.event},enumerable:!0,configurable:!0}),e.prototype.setMarkers=function(e){var t=this._nextIdx>=0?this._markers[this._nextIdx]:void 0;this._markers=e||[],this._markers.sort(b.compareMarker),this._nextIdx=t?Math.max(-1,m.binarySearch(this._markers,t,b.compareMarker)):-1,this._onMarkerSetChanged.fire(this)},
e.prototype.withoutWatchingEditorPosition=function(e){this._ignoreSelectionChange=!0;try{e()}finally{this._ignoreSelectionChange=!1}},e.prototype._initIdx=function(e){for(var t=!1,n=this._editor.getPosition(),i=0;i<this._markers.length;i++){var o=d.Range.lift(this._markers[i]);if(o.isEmpty()){var r=this._editor.getModel().getWordAtPosition(o.getStartPosition());r&&(o=new d.Range(o.startLineNumber,r.startColumn,o.startLineNumber,r.endColumn))}if(o.containsPosition(n)||n.isBeforeOrEqual(o.getStartPosition())){this._nextIdx=i,t=!0;break}}t||(this._nextIdx=e?0:this._markers.length-1),this._nextIdx<0&&(this._nextIdx=this._markers.length-1)},Object.defineProperty(e.prototype,"currentMarker",{get:function(){return this.canNavigate()?this._markers[this._nextIdx]:void 0},enumerable:!0,configurable:!0}),e.prototype.move=function(e,t){if(!this.canNavigate())return this._onCurrentMarkerChanged.fire(void 0),!t;var n=this._nextIdx,i=!1
;if(-1===this._nextIdx?this._initIdx(e):e?t||this._nextIdx+1<this._markers.length?this._nextIdx=(this._nextIdx+1)%this._markers.length:i=!0:e||(t||this._nextIdx>0?this._nextIdx=(this._nextIdx-1+this._markers.length)%this._markers.length:i=!0),n!==this._nextIdx){var o=this._markers[this._nextIdx];this._onCurrentMarkerChanged.fire(o)}return i},e.prototype.canNavigate=function(){return this._markers.length>0},e.prototype.findMarkerAtPosition=function(e){for(var t=0,n=this._markers;t<n.length;t++){var i=n[t];if(d.Range.containsPosition(i,e))return i}},Object.defineProperty(e.prototype,"total",{get:function(){return this._markers.length},enumerable:!0,configurable:!0}),e.prototype.indexOf=function(e){return 1+this._markers.indexOf(e)},e.prototype.dispose=function(){this._toUnbind=r.dispose(this._toUnbind)},e}(),C=function(){function e(e,t,n,i,o){this._markerService=t,this._contextKeyService=n,this._themeService=i,this._editorService=o,this._disposeOnClose=[],this._editor=e,
this._widgetVisible=x.bindTo(this._contextKeyService)}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._cleanUp()},e.prototype._cleanUp=function(){this._widgetVisible.reset(),this._disposeOnClose=r.dispose(this._disposeOnClose),this._widget=null,this._model=null},e.prototype.getOrCreateModel=function(){var e=this;if(this._model)return this._model;var t=this._getMarkers();return this._model=new y(this._editor,t),this._markerService.onMarkerChanged(this._onMarkerChanged,this,this._disposeOnClose),this._widget=new f.MarkerNavigationWidget(this._editor,this._themeService),this._widgetVisible.set(!0),this._disposeOnClose.push(this._model),this._disposeOnClose.push(this._widget),this._disposeOnClose.push(this._widget.onDidSelectRelatedInformation(function(t){e._editorService.openCodeEditor({resource:t.resource,options:{pinned:!0,revealIfOpened:!0,selection:d.Range.lift(t).collapseToStart()}
},e._editor).then(void 0,_.onUnexpectedError),e.closeMarkersNavigation(!1)})),this._disposeOnClose.push(this._editor.onDidChangeModel(function(){return e._cleanUp()})),this._disposeOnClose.push(this._model.onCurrentMarkerChanged(function(t){t?e._model.withoutWatchingEditorPosition(function(){e._widget.showAtMarker(t,e._model.indexOf(t),e._model.total)}):e._cleanUp()})),this._disposeOnClose.push(this._model.onMarkerSetChanged(function(){var t=e._model.findMarkerAtPosition(e._widget.position);t?e._widget.updateMarker(t):e._widget.showStale()})),this._model},e.prototype.closeMarkersNavigation=function(e){void 0===e&&(e=!0),this._cleanUp(),e&&this._editor.focus()},e.prototype._onMarkerChanged=function(e){var t=this;e.some(function(e){return t._editor.getModel().uri.toString()===e.toString()})&&this._model.setMarkers(this._getMarkers())},e.prototype._getMarkers=function(){return this._markerService.read({resource:this._editor.getModel().uri,
severities:l.MarkerSeverity.Error|l.MarkerSeverity.Warning|l.MarkerSeverity.Info})},e.ID="editor.contrib.markerController",e=a([u(1,l.IMarkerService),u(2,s.IContextKeyService),u(3,h.IThemeService),u(4,v.ICodeEditorService)],e)}(),b=function(e){function t(t,n,i){var o=e.call(this,i)||this;return o._isNext=t,o._multiFile=n,o}return o(t,e),t.prototype.run=function(e,n){var i=this,o=e.get(l.IMarkerService),r=e.get(v.ICodeEditorService),s=C.get(n);if(s){var a=s.getOrCreateModel();if(a.move(this._isNext,!this._multiFile)&&this._multiFile){var u=o.read({severities:l.MarkerSeverity.Error|l.MarkerSeverity.Warning|l.MarkerSeverity.Info}).sort(t.compareMarker);if(0!==u.length){var d=a.currentMarker||{resource:n.getModel().uri,severity:l.MarkerSeverity.Error,startLineNumber:1,startColumn:1,endLineNumber:1,endColumn:1},c=m.binarySearch(u,d,t.compareMarker);c<0?(c=~c,c%=u.length):c=this._isNext?(c+1)%u.length:(c+u.length-1)%u.length;var h=u[c]
;if(h.resource.toString()!==n.getModel().uri.toString())return s.closeMarkersNavigation(),r.openCodeEditor({resource:h.resource,options:{pinned:!1,revealIfOpened:!0,revealInCenterIfOutsideViewport:!0,selection:h}},n).then(function(e){if(e)return e.getAction(i.id).run()});a.move(this._isNext,!0)}}}},t.compareMarker=function(e,t){var n=g.compare(e.resource.toString(),t.resource.toString());return 0===n&&(n=l.MarkerSeverity.compare(e.severity,t.severity)),0===n&&(n=d.Range.compareRangesUsingStarts(e,t)),n},t}(c.EditorAction),S=function(e){function t(){return e.call(this,!0,!1,{id:"editor.action.marker.next",label:n.localize(0,null),alias:"Go to Next Error or Warning",precondition:p.EditorContextKeys.writable})||this}return o(t,e),t}(b),w=function(e){function t(){return e.call(this,!1,!1,{id:"editor.action.marker.prev",label:n.localize(1,null),alias:"Go to Previous Error or Warning",precondition:p.EditorContextKeys.writable})||this}return o(t,e),t}(b),E=function(e){function t(){return e.call(this,!0,!0,{
id:"editor.action.marker.nextInFiles",label:n.localize(2,null),alias:"Go to Next Error or Warning in Files",precondition:p.EditorContextKeys.writable,kbOpts:{kbExpr:p.EditorContextKeys.focus,primary:66,weight:100}})||this}return o(t,e),t}(b),L=function(e){function t(){return e.call(this,!1,!0,{id:"editor.action.marker.prevInFiles",label:n.localize(3,null),alias:"Go to Previous Error or Warning in Files",precondition:p.EditorContextKeys.writable,kbOpts:{kbExpr:p.EditorContextKeys.focus,primary:1090,weight:100}})||this}return o(t,e),t}(b);c.registerEditorContribution(C),c.registerEditorAction(S),c.registerEditorAction(w),c.registerEditorAction(E),c.registerEditorAction(L);var x=new s.RawContextKey("markersNavigationVisible",!1),I=c.EditorCommand.bindToContribution(C.get);c.registerEditorCommand(new I({id:"closeMarkersNavigation",precondition:x,handler:function(e){return e.closeMarkersNavigation()},kbOpts:{weight:150,kbExpr:p.EditorContextKeys.focus,primary:9,secondary:[1033]}}))}),
define(t[519],n([0,1,319,7,24,28,68,2,12,3,26,14,174,175,237,513,464,186,191]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v,_,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var C=i.$,b=function(){return function(e,t,n){this.range=e,this.color=t,this.provider=n}}(),S=function(){function e(e){this._editor=e,this._range=null}return e.prototype.setRange=function(e){this._range=e,this._result=[]},e.prototype.clearResult=function(){this._result=[]},e.prototype.computeAsync=function(e){var t=this._editor.getModel();return h.HoverProviderRegistry.has(t)?v.getHover(t,new u.Position(this._range.startLineNumber,this._range.startColumn),e):Promise.resolve(null)},e.prototype.computeSync=function(){var e=this,t=this._range.startLineNumber;if(t>this._editor.getModel().getLineCount())return[];var n=f.ColorDetector.get(this._editor),i=this._editor.getModel().getLineMaxColumn(t),o=!1;return this._editor.getLineDecorations(t).map(function(r){
var s=r.range.startLineNumber===t?r.range.startColumn:1,l=r.range.endLineNumber===t?r.range.endColumn:i;if(s>e._range.startColumn||e._range.endColumn>l)return null;var u=new d.Range(e._range.startLineNumber,s,e._range.startLineNumber,l),c=n.getColorData(r.range.getStartPosition());if(!o&&c){o=!0;var h=c.colorInfo,p=h.color,f=h.range;return new b(f,p,c.provider)}if(a.isEmptyMarkdownString(r.options.hoverMessage))return null;var g=void 0;return r.options.hoverMessage&&(g=Array.isArray(r.options.hoverMessage)?r.options.hoverMessage.slice():[r.options.hoverMessage]),{contents:g,range:u}}).filter(function(e){return!!e})},e.prototype.onResult=function(e,t){this._result=t?e.concat(this._result.sort(function(e,t){return e instanceof b?-1:t instanceof b?1:0})):this._result.concat(e)},e.prototype.getResult=function(){return this._result.slice(0)},e.prototype.getResultWithLoadingMessage=function(){return this._result.slice(0).concat([this._getLoadingMessage()])},e.prototype._getLoadingMessage=function(){return{
range:this._range,contents:[(new a.MarkdownString).appendText(n.localize(0,null))]}},e}(),w=function(e){function t(n,o,r){var s=e.call(this,t.ID,n)||this;return s._themeService=r,s.renderDisposable=l.Disposable.None,s._computer=new S(s._editor),s._highlightDecorations=[],s._isChangingDecorations=!1,s._markdownRenderer=o,s._register(o.onDidRenderCodeBlock(s.onContentsChange,s)),s._hoverOperation=new _.HoverOperation(s._computer,function(e){return s._withResult(e,!0)},null,function(e){return s._withResult(e,!1)}),s._register(i.addStandardDisposableListener(s.getDomNode(),i.EventType.FOCUS,function(){s._colorPicker&&i.addClass(s.getDomNode(),"colorpicker-hover")})),s._register(i.addStandardDisposableListener(s.getDomNode(),i.EventType.BLUR,function(){i.removeClass(s.getDomNode(),"colorpicker-hover")})),s._register(n.onDidChangeConfiguration(function(e){s._hoverOperation.setHoverTime(s._editor.getConfiguration().contribInfo.hover.delay)})),s}return o(t,e),t.prototype.dispose=function(){
this.renderDisposable.dispose(),this.renderDisposable=l.Disposable.None,this._hoverOperation.cancel(),e.prototype.dispose.call(this)},t.prototype.onModelDecorationsChanged=function(){this._isChangingDecorations||this.isVisible&&(this._hoverOperation.cancel(),this._computer.clearResult(),this._colorPicker||this._hoverOperation.start(0))},t.prototype.startShowingAt=function(e,t,n){if(!this._lastRange||!this._lastRange.equalsRange(e)){if(this._hoverOperation.cancel(),this.isVisible)if(this._showAtPosition.lineNumber!==e.startLineNumber)this.hide();else{for(var i=[],o=0,r=this._messages.length;o<r;o++){var s=this._messages[o],l=s.range;l.startColumn<=e.startColumn&&l.endColumn>=e.endColumn&&i.push(s)}if(i.length>0){if(function(e,t){if(!e&&t||e&&!t||e.length!==t.length)return!1;for(var n=0;n<e.length;n++){var i=e[n],o=t[n];if(i instanceof b)return!1;if(o instanceof b)return!1;if(!a.markedStringsEquals(i.contents,o.contents))return!1}return!0}(i,this._messages))return;this._renderMessages(e,i)}else this.hide()}
this._lastRange=e,this._computer.setRange(e),this._shouldFocus=n,this._hoverOperation.start(t)}},t.prototype.hide=function(){this._lastRange=null,this._hoverOperation.cancel(),e.prototype.hide.call(this),this._isChangingDecorations=!0,this._highlightDecorations=this._editor.deltaDecorations(this._highlightDecorations,[]),this._isChangingDecorations=!1,this.renderDisposable.dispose(),this.renderDisposable=l.Disposable.None,this._colorPicker=null},t.prototype.isColorPickerVisible=function(){return!!this._colorPicker},t.prototype._withResult=function(e,t){this._messages=e,this._lastRange&&this._messages.length>0?this._renderMessages(this._lastRange,this._messages):t&&this.hide()},t.prototype._renderMessages=function(e,n){var i=this;this.renderDisposable.dispose(),this._colorPicker=null;var o,c=Number.MAX_VALUE,h=d.Range.lift(n[0].range),f=document.createDocumentFragment(),v=!0,_=!1;n.forEach(function(e){if(e.range)if(c=Math.min(c,e.range.startColumn),h=d.Range.plusRange(h,e.range),e instanceof b){_=!0
;var t=e.color,n=t.red,u=t.green,y=t.blue,S=t.alpha,w=new s.RGBA(255*n,255*u,255*y,S),E=new s.Color(w),L=i._editor.getModel(),x=new d.Range(e.range.startLineNumber,e.range.startColumn,e.range.endLineNumber,e.range.endColumn),I={range:e.range,color:e.color},N=new g.ColorPickerModel(E,[],0),D=new m.ColorPickerWidget(f,N,i._editor.getConfiguration().pixelRatio,i._themeService);p.getColorPresentations(L,I,e.provider,r.CancellationToken.None).then(function(t){N.colorPresentations=t;var n=i._editor.getModel().getValueInRange(e.range);N.guessColorPresentation(E,n);var s=function(){var e,t;N.presentation.textEdit?(e=[N.presentation.textEdit],t=(t=new d.Range(N.presentation.textEdit.range.startLineNumber,N.presentation.textEdit.range.startColumn,N.presentation.textEdit.range.endLineNumber,N.presentation.textEdit.range.endColumn)).setEndPosition(t.endLineNumber,t.startColumn+N.presentation.textEdit.text.length)):(e=[{identifier:null,range:x,text:N.presentation.label,forceMoveMarkers:!1}],
t=x.setEndPosition(x.endLineNumber,x.startColumn+N.presentation.label.length)),i._editor.pushUndoStop(),i._editor.executeEdits("colorpicker",e),N.presentation.additionalTextEdits&&(e=N.presentation.additionalTextEdits.slice(),i._editor.executeEdits("colorpicker",e),i.hide()),i._editor.pushUndoStop(),x=t},a=function(t){return p.getColorPresentations(L,{range:x,color:{red:t.rgba.r/255,green:t.rgba.g/255,blue:t.rgba.b/255,alpha:t.rgba.a}},e.provider,r.CancellationToken.None).then(function(e){N.colorPresentations=e})},u=N.onColorFlushed(function(e){a(e).then(s)}),c=N.onDidChangeColor(a);i._colorPicker=D,i.showAt(x.getStartPosition(),x,i._shouldFocus),i.updateContents(f),i._colorPicker.layout(),i.renderDisposable=l.combinedDisposable([u,c,D,o])})}else e.contents.filter(function(e){return!a.isEmptyMarkdownString(e)}).forEach(function(e){var t=i._markdownRenderer.render(e);o=t,f.appendChild(C("div.hover-row",null,t.element)),v=!1})}),_||v||(this.showAt(new u.Position(e.startLineNumber,c),h,this._shouldFocus),
this.updateContents(f)),this._isChangingDecorations=!0,this._highlightDecorations=this._editor.deltaDecorations(this._highlightDecorations,[{range:h,options:t._DECORATION_OPTIONS}]),this._isChangingDecorations=!1},t.ID="editor.contrib.modesContentHoverWidget",t._DECORATION_OPTIONS=c.ModelDecorationOptions.register({className:"hoverHighlight"}),t}(y.ContentHoverWidget);t.ModesContentHoverWidget=w}),define(t[520],n([0,1,318,36,2,17,10,3,19,63,519,253,120,62,20,13,371]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var y=function(){function e(e,t,n,i){var o=this;this._editor=e,this._openerService=t,this._modeService=n,this._themeService=i,this._toUnhook=[],this._isMouseDown=!1,this._hoverClicked=!1,this._hookEvents(),this._didChangeConfigurationHandler=this._editor.onDidChangeConfiguration(function(e){e.contribInfo&&(o._hideWidgets(),o._unhookEvents(),o._hookEvents())})}return Object.defineProperty(e.prototype,"contentWidget",{get:function(){
return this._contentWidget||this._createHoverWidget(),this._contentWidget},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"glyphWidget",{get:function(){return this._glyphWidget||this._createHoverWidget(),this._glyphWidget},enumerable:!0,configurable:!0}),e.get=function(t){return t.getContribution(e.ID)},e.prototype._hookEvents=function(){var e=this,t=function(){return e._hideWidgets()},n=this._editor.getConfiguration().contribInfo.hover;this._isHoverEnabled=n.enabled,this._isHoverSticky=n.sticky,this._isHoverEnabled?(this._toUnhook.push(this._editor.onMouseDown(function(t){return e._onEditorMouseDown(t)})),this._toUnhook.push(this._editor.onMouseUp(function(t){return e._onEditorMouseUp(t)})),this._toUnhook.push(this._editor.onMouseMove(function(t){return e._onEditorMouseMove(t)})),this._toUnhook.push(this._editor.onKeyDown(function(t){return e._onKeyDown(t)})),this._toUnhook.push(this._editor.onDidChangeModelDecorations(function(){return e._onModelDecorationsChanged()
}))):this._toUnhook.push(this._editor.onMouseMove(t)),this._toUnhook.push(this._editor.onMouseLeave(t)),this._toUnhook.push(this._editor.onDidChangeModel(t)),this._toUnhook.push(this._editor.onDidScrollChange(function(t){return e._onEditorScrollChanged(t)}))},e.prototype._unhookEvents=function(){this._toUnhook=r.dispose(this._toUnhook)},e.prototype._onModelDecorationsChanged=function(){this.contentWidget.onModelDecorationsChanged(),this.glyphWidget.onModelDecorationsChanged()},e.prototype._onEditorScrollChanged=function(e){(e.scrollTopChanged||e.scrollLeftChanged)&&this._hideWidgets()},e.prototype._onEditorMouseDown=function(e){this._isMouseDown=!0;var t=e.target.type;9!==t||e.target.detail!==p.ModesContentHoverWidget.ID?12===t&&e.target.detail===f.ModesGlyphHoverWidget.ID||(12!==t&&e.target.detail!==f.ModesGlyphHoverWidget.ID&&(this._hoverClicked=!1),this._hideWidgets()):this._hoverClicked=!0},e.prototype._onEditorMouseUp=function(e){this._isMouseDown=!1},e.prototype._onEditorMouseMove=function(e){
var t=e.target.type,n=s.isMacintosh?e.event.metaKey:e.event.ctrlKey;if(!(this._isMouseDown&&this._hoverClicked&&this.contentWidget.isColorPickerVisible())&&(!this._isHoverSticky||9!==t||e.target.detail!==p.ModesContentHoverWidget.ID||n)&&(!this._isHoverSticky||12!==t||e.target.detail!==f.ModesGlyphHoverWidget.ID||n)){if(7===t){var i=this._editor.getConfiguration().fontInfo.typicalHalfwidthCharacterWidth/2,o=e.target.detail;o&&!o.isAfterLines&&"number"==typeof o.horizontalDistanceToText&&o.horizontalDistanceToText<i&&(t=6)}6===t?(this.glyphWidget.hide(),this._isHoverEnabled&&this.contentWidget.startShowingAt(e.target.range,0,!1)):2===t?(this.contentWidget.hide(),this._isHoverEnabled&&this.glyphWidget.startShowingAt(e.target.position.lineNumber)):this._hideWidgets()}},e.prototype._onKeyDown=function(e){5!==e.keyCode&&6!==e.keyCode&&57!==e.keyCode&&4!==e.keyCode&&this._hideWidgets()},e.prototype._hideWidgets=function(){
!this._contentWidget||this._isMouseDown&&this._hoverClicked&&this._contentWidget.isColorPickerVisible()||(this._glyphWidget.hide(),this._contentWidget.hide())},e.prototype._createHoverWidget=function(){var e=new g.MarkdownRenderer(this._editor,this._modeService,this._openerService);this._contentWidget=new p.ModesContentHoverWidget(this._editor,e,this._themeService),this._glyphWidget=new f.ModesGlyphHoverWidget(this._editor,e)},e.prototype.showContentHover=function(e,t,n){this.contentWidget.startShowingAt(e,t,n)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._unhookEvents(),this._didChangeConfigurationHandler.dispose(),this._glyphWidget&&(this._glyphWidget.dispose(),this._glyphWidget=null),this._contentWidget&&(this._contentWidget.dispose(),this._contentWidget=null)},e.ID="editor.contrib.hover",e=a([u(1,m.IOpenerService),u(2,h.IModeService),u(3,_.IThemeService)],e)}();t.ModesHoverController=y;var C=function(e){function t(){return e.call(this,{id:"editor.action.showHover",
label:n.localize(0,null),alias:"Show Hover",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.editorTextFocus,primary:i.KeyChord(2089,2087),weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=y.get(t);if(n){var i=t.getPosition(),o=new d.Range(i.lineNumber,i.column,i.lineNumber,i.column);n.showContentHover(o,1,!0)}},t}(l.EditorAction);l.registerEditorContribution(y),l.registerEditorAction(C),_.registerThemingParticipant(function(e,t){var n=e.getColor(v.editorHoverHighlight);n&&t.addRule(".monaco-editor .hoverHighlight { background-color: "+n+"; }");var i=e.getColor(v.editorHoverBackground);i&&t.addRule(".monaco-editor .monaco-editor-hover { background-color: "+i+"; }");var o=e.getColor(v.editorHoverBorder);o&&(t.addRule(".monaco-editor .monaco-editor-hover { border: 1px solid "+o+"; }"),t.addRule(".monaco-editor .monaco-editor-hover .hover-row:not(:first-child):not(:empty) { border-top: 1px solid "+o.transparent(.5)+"; }"));var r=e.getColor(v.textLinkForeground)
;r&&t.addRule(".monaco-editor .monaco-editor-hover a { color: "+r+"; }");var s=e.getColor(v.textCodeBlockBackground);s&&t.addRule(".monaco-editor .monaco-editor-hover code { background-color: "+s+"; }")})}),define(t[521],n([0,1,320,3,21,19,10,64,254,66,13,34,26,16,11]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var _=function(){function e(e,t){this.decorationIds=[],this.editor=e,this.editorWorkerService=t}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.dispose=function(){},e.prototype.getId=function(){return e.ID},e.prototype.run=function(t,n){var o=this;this.currentRequest&&this.currentRequest.cancel();var s=this.editor.getSelection(),a=this.editor.getModel().uri;if(s.startLineNumber!==s.endLineNumber)return null;var l=new h.EditorState(this.editor,5);return this.editorWorkerService.canNavigateValueSet(a)?(this.currentRequest=m.createCancelablePromise(function(e){return o.editorWorkerService.navigateValueSet(a,s,n)}),
this.currentRequest.then(function(n){if(n&&n.range&&n.value&&l.validate(o.editor)){var a=i.Range.lift(n.range),u=n.range,d=n.value.length-(s.endColumn-s.startColumn);u={startLineNumber:u.startLineNumber,startColumn:u.startColumn,endLineNumber:u.endLineNumber,endColumn:u.startColumn+n.value.length},d>1&&(s=new r.Selection(s.startLineNumber,s.startColumn,s.endLineNumber,s.endColumn+d-1));var h=new c.InPlaceReplaceCommand(a,s,n.value);o.editor.pushUndoStop(),o.editor.executeCommand(t,h),o.editor.pushUndoStop(),o.decorationIds=o.editor.deltaDecorations(o.decorationIds,[{range:u,options:e.DECORATION}]),o.decorationRemover&&o.decorationRemover.cancel(),o.decorationRemover=m.timeout(350),o.decorationRemover.then(function(){return o.decorationIds=o.editor.deltaDecorations(o.decorationIds,[])}).catch(v.onUnexpectedError)}}).catch(v.onUnexpectedError)):void 0},e.ID="editor.contrib.inPlaceReplaceController",e.DECORATION=g.ModelDecorationOptions.register({className:"valueSetReplacement"}),
e=a([u(1,d.IEditorWorkerService)],e)}(),y=function(e){function t(){return e.call(this,{id:"editor.action.inPlaceReplace.up",label:n.localize(0,null),alias:"Replace with Previous Value",precondition:s.EditorContextKeys.writable,kbOpts:{kbExpr:s.EditorContextKeys.editorTextFocus,primary:3154,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=_.get(t);if(n)return n.run(this.id,!0)},t}(l.EditorAction),C=function(e){function t(){return e.call(this,{id:"editor.action.inPlaceReplace.down",label:n.localize(1,null),alias:"Replace with Next Value",precondition:s.EditorContextKeys.writable,kbOpts:{kbExpr:s.EditorContextKeys.editorTextFocus,primary:3156,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=_.get(t);if(n)return n.run(this.id,!1)},t}(l.EditorAction);l.registerEditorContribution(_),l.registerEditorAction(y),l.registerEditorAction(C),p.registerThemingParticipant(function(e,t){var n=e.getColor(f.editorBracketMatchBorder)
;n&&t.addRule(".monaco-editor.vs .valueSetReplacement { outline: solid 2px "+n+"; }")})});var d=this&&this.__awaiter||function(e,t,n,i){return new(n||(n=Promise))(function(o,r){function s(e){try{l(i.next(e))}catch(e){r(e)}}function a(e){try{l(i.throw(e))}catch(e){r(e)}}function l(e){e.done?o(e.value):new n(function(t){t(e.value)}).then(s,a)}l((i=i.apply(e,t||[])).next())})},c=this&&this.__generator||function(e,t){function n(n){return function(s){return function(n){if(i)throw new TypeError("Generator is already executing.");for(;a;)try{if(i=1,o&&(r=2&n[0]?o.return:n[0]?o.throw||((r=o.return)&&r.call(o),0):o.next)&&!(r=r.call(o,n[1])).done)return r;switch(o=0,r&&(n=[2&n[0],r.value]),n[0]){case 0:case 1:r=n;break;case 4:return a.label++,{value:n[1],done:!1};case 5:a.label++,o=n[1],n=[0];continue;case 7:n=a.ops.pop(),a.trys.pop();continue;default:if(r=a.trys,!(r=r.length>0&&r[r.length-1])&&(6===n[0]||2===n[0])){a=0;continue}if(3===n[0]&&(!r||n[1]>r[0]&&n[1]<r[3])){a.label=n[1];break}if(6===n[0]&&a.label<r[1]){
a.label=r[1],r=n;break}if(r&&a.label<r[2]){a.label=r[2],a.ops.push(n);break}r[2]&&a.ops.pop(),a.trys.pop();continue}n=t.call(e,a)}catch(e){n=[6,e],o=0}finally{i=r=0}if(5&n[0])throw n[1];return{value:n[0]?n[1]:void 0,done:!0}}([n,s])}}var i,o,r,s,a={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return s={next:n(0),throw:n(1),return:n(2)},"function"==typeof Symbol&&(s[Symbol.iterator]=function(){return this}),s};define(t[522],n([0,1,322,16,24,11,68,2,17,10,26,14,183,402,35,62,20,13,373]),function(e,t,n,i,r,s,l,h,p,f,g,m,v,_,y,C,b,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var w=(new l.MarkdownString).appendText(p.isMacintosh?n.localize(0,null):n.localize(1,null)),E=(new l.MarkdownString).appendText(p.isMacintosh?n.localize(2,null):n.localize(3,null)),L=(new l.MarkdownString).appendText(p.isMacintosh?n.localize(4,null):n.localize(5,null)),x=(new l.MarkdownString).appendText(p.isMacintosh?n.localize(6,null):n.localize(7,null)),I={
meta:g.ModelDecorationOptions.register({stickiness:1,collapseOnReplaceEdit:!0,inlineClassName:"detected-link",hoverMessage:w}),metaActive:g.ModelDecorationOptions.register({stickiness:1,collapseOnReplaceEdit:!0,inlineClassName:"detected-link-active",hoverMessage:w}),alt:g.ModelDecorationOptions.register({stickiness:1,collapseOnReplaceEdit:!0,inlineClassName:"detected-link",hoverMessage:L}),altActive:g.ModelDecorationOptions.register({stickiness:1,collapseOnReplaceEdit:!0,inlineClassName:"detected-link-active",hoverMessage:L}),altCommand:g.ModelDecorationOptions.register({stickiness:1,collapseOnReplaceEdit:!0,inlineClassName:"detected-link",hoverMessage:x}),altCommandActive:g.ModelDecorationOptions.register({stickiness:1,collapseOnReplaceEdit:!0,inlineClassName:"detected-link-active",hoverMessage:x}),metaCommand:g.ModelDecorationOptions.register({stickiness:1,collapseOnReplaceEdit:!0,inlineClassName:"detected-link",hoverMessage:E}),metaCommandActive:g.ModelDecorationOptions.register({stickiness:1,
collapseOnReplaceEdit:!0,inlineClassName:"detected-link-active",hoverMessage:E})},N=function(){function e(e,t){this.link=e,this.decorationId=t}return e.decoration=function(t,n){return{range:t.range,options:e._getOptions(t,n,!1)}},e._getOptions=function(e,t,n){return e.url&&/^command:/i.test(e.url)?t?n?I.metaCommandActive:I.metaCommand:n?I.altCommandActive:I.altCommand:t?n?I.metaActive:I.meta:n?I.altActive:I.alt},e.prototype.activate=function(t,n){t.changeDecorationOptions(this.decorationId,e._getOptions(this.link,n,!0))},e.prototype.deactivate=function(t,n){t.changeDecorationOptions(this.decorationId,e._getOptions(this.link,n,!1))},e}(),D=function(){function e(e,t,n){var o=this;this.editor=e,this.openerService=t,this.notificationService=n,this.listenersToRemove=[];var r=new v.ClickLinkGesture(e);this.listenersToRemove.push(r),this.listenersToRemove.push(r.onMouseMoveOrRelevantKeyDown(function(e){var t=e[0],n=e[1];o._onEditorMouseMove(t,n)})),this.listenersToRemove.push(r.onExecute(function(e){
o.onEditorMouseUp(e)})),this.listenersToRemove.push(r.onCancel(function(e){o.cleanUpActiveLinkDecoration()})),this.enabled=e.getConfiguration().contribInfo.links,this.listenersToRemove.push(e.onDidChangeConfiguration(function(t){var n=e.getConfiguration().contribInfo.links;o.enabled!==n&&(o.enabled=n,o.updateDecorations([]),o.stop(),o.beginCompute())})),this.listenersToRemove.push(e.onDidChangeModelContent(function(e){return o.onChange()})),this.listenersToRemove.push(e.onDidChangeModel(function(e){return o.onModelChanged()})),this.listenersToRemove.push(e.onDidChangeModelLanguage(function(e){return o.onModelModeChanged()})),this.listenersToRemove.push(m.LinkProviderRegistry.onDidChange(function(e){return o.onModelModeChanged()})),this.timeout=new i.TimeoutTimer,this.computePromise=null,this.currentOccurrences={},this.activeLinkDecorationId=null,this.beginCompute()}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.onModelChanged=function(){
this.currentOccurrences={},this.activeLinkDecorationId=null,this.stop(),this.beginCompute()},e.prototype.onModelModeChanged=function(){this.stop(),this.beginCompute()},e.prototype.onChange=function(){var t=this;this.timeout.setIfNotSet(function(){return t.beginCompute()},e.RECOMPUTE_TIME)},e.prototype.beginCompute=function(){return d(this,void 0,void 0,function(){var e,t,n;return c(this,function(o){switch(o.label){case 0:if(!this.editor.hasModel()||!this.enabled)return[2];if(e=this.editor.getModel(),!m.LinkProviderRegistry.has(e))return[2];this.computePromise=i.createCancelablePromise(function(t){return _.getLinks(e,t)}),o.label=1;case 1:return o.trys.push([1,3,4,5]),[4,this.computePromise];case 2:return t=o.sent(),this.updateDecorations(t),[3,5];case 3:return n=o.sent(),s.onUnexpectedError(n),[3,5];case 4:return this.computePromise=null,[7];case 5:return[2]}})})},e.prototype.updateDecorations=function(e){
for(var t="altKey"===this.editor.getConfiguration().multiCursorModifier,n=[],i=Object.keys(this.currentOccurrences),o=0,r=i.length;o<r;o++){var s=i[o],a=this.currentOccurrences[s];n.push(a.decorationId)}var l=[];if(e)for(o=0;o<e.length;o++)l.push(N.decoration(e[o],t));var u=this.editor.deltaDecorations(n,l);this.currentOccurrences={},this.activeLinkDecorationId=null;for(var o=0,r=u.length;o<r;o++){a=new N(e[o],u[o]);this.currentOccurrences[a.decorationId]=a}},e.prototype._onEditorMouseMove=function(e,t){var n=this,i="altKey"===this.editor.getConfiguration().multiCursorModifier;if(this.isEnabled(e,t)){this.cleanUpActiveLinkDecoration();var o=this.getLinkOccurrence(e.target.position);o&&this.editor.changeDecorations(function(e){o.activate(e,i),n.activeLinkDecorationId=o.decorationId})}else this.cleanUpActiveLinkDecoration()},e.prototype.cleanUpActiveLinkDecoration=function(){var e="altKey"===this.editor.getConfiguration().multiCursorModifier;if(this.activeLinkDecorationId){
var t=this.currentOccurrences[this.activeLinkDecorationId];t&&this.editor.changeDecorations(function(n){t.deactivate(n,e)}),this.activeLinkDecorationId=null}},e.prototype.onEditorMouseUp=function(e){if(this.isEnabled(e)){var t=this.getLinkOccurrence(e.target.position);t&&this.openLinkOccurrence(t,e.hasSideBySideModifier)}},e.prototype.openLinkOccurrence=function(e,t){var i=this;if(this.openerService){var o=e.link;o.resolve(r.CancellationToken.None).then(function(e){return i.openerService.open(e,{openToSide:t})},function(e){"invalid"===e?i.notificationService.warn(n.localize(8,null,o.url)):"missing"===e?i.notificationService.warn(n.localize(9,null)):s.onUnexpectedError(e)})}},e.prototype.getLinkOccurrence=function(e){if(!this.editor.hasModel()||!e)return null;for(var t=this.editor.getModel().getDecorationsInRange({startLineNumber:e.lineNumber,startColumn:e.column,endLineNumber:e.lineNumber,endColumn:e.column},0,!0),n=0;n<t.length;n++){var i=t[n],o=this.currentOccurrences[i.id];if(o)return o}return null},
e.prototype.isEnabled=function(e,t){return Boolean(6===e.target.type&&(e.hasTriggerModifier||t&&t.keyCodeIsTriggerKey))},e.prototype.stop=function(){this.timeout.cancel(),this.computePromise&&(this.computePromise.cancel(),this.computePromise=null)},e.prototype.dispose=function(){this.listenersToRemove=h.dispose(this.listenersToRemove),this.stop(),this.timeout.dispose()},e.ID="editor.linkDetector",e.RECOMPUTE_TIME=1e3,e=a([u(1,C.IOpenerService),u(2,y.INotificationService)],e)}(),M=function(e){function t(){return e.call(this,{id:"editor.action.openLink",label:n.localize(10,null),alias:"Open Link",precondition:null})||this}return o(t,e),t.prototype.run=function(e,t){var n=D.get(t);if(n&&t.hasModel())for(var i=0,o=t.getSelections();i<o.length;i++){var r=o[i],s=n.getLinkOccurrence(r.getEndPosition());s&&n.openLinkOccurrence(s,!1)}},t}(f.EditorAction);f.registerEditorContribution(D),f.registerEditorAction(M),S.registerThemingParticipant(function(e,t){var n=e.getColor(b.editorActiveLinkForeground)
;n&&t.addRule(".monaco-editor .detected-link-active { color: "+n+" !important; }")})}),define(t[141],n([0,1,323,16,2,43,3,10,18,13,20,374]),function(e,t,n,i,r,s,l,d,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(e){function t(n,i){var o=e.call(this)||this;return o._messageListeners=[],o._editor=n,o._visible=t.MESSAGE_VISIBLE.bindTo(i),o._register(o._editor.onDidAttemptReadOnlyEdit(function(){return o._onDidAttemptReadOnlyEdit()})),o}return o(t,e),t.get=function(e){return e.getContribution(t._id)},t.prototype.getId=function(){return t._id},t.prototype.dispose=function(){e.prototype.dispose.call(this),this._visible.reset()},t.prototype.showMessage=function(e,t){var n=this;s.alert(e),this._visible.set(!0),r.dispose(this._messageWidget),this._messageListeners=r.dispose(this._messageListeners),this._messageWidget=new m(this._editor,t,e),this._messageListeners.push(this._editor.onDidBlurEditorText(function(){return n.closeMessage()})),
this._messageListeners.push(this._editor.onDidChangeCursorPosition(function(){return n.closeMessage()})),this._messageListeners.push(this._editor.onDidDispose(function(){return n.closeMessage()})),this._messageListeners.push(this._editor.onDidChangeModel(function(){return n.closeMessage()})),this._messageListeners.push(new i.TimeoutTimer(function(){return n.closeMessage()},3e3));var o;this._messageListeners.push(this._editor.onMouseMove(function(e){e.target.position&&(o?o.containsPosition(e.target.position)||n.closeMessage():o=new l.Range(t.lineNumber-3,1,e.target.position.lineNumber+3,1))}))},t.prototype.closeMessage=function(){this._visible.reset(),this._messageListeners=r.dispose(this._messageListeners),this._messageListeners.push(m.fadeOut(this._messageWidget))},t.prototype._onDidAttemptReadOnlyEdit=function(){this._editor.hasModel()&&this.showMessage(n.localize(0,null),this._editor.getPosition())},t._id="editor.contrib.messageController",t.MESSAGE_VISIBLE=new c.RawContextKey("messageVisible",!1),
t=a([u(1,c.IContextKeyService)],t)}(r.Disposable);t.MessageController=f;var g=d.EditorCommand.bindToContribution(f.get);d.registerEditorCommand(new g({id:"leaveEditorMessage",precondition:f.MESSAGE_VISIBLE,handler:function(e){return e.closeMessage()},kbOpts:{weight:130,primary:9}}));var m=function(){function e(e,t,n){var i=t.lineNumber,o=t.column;this.allowEditorOverflow=!0,this.suppressMouseDown=!1,this._editor=e,this._editor.revealLinesInCenterIfOutsideViewport(i,i,0),this._position={lineNumber:i,column:o-1},this._domNode=document.createElement("div"),this._domNode.classList.add("monaco-editor-overlaymessage");var r=document.createElement("div");r.classList.add("message"),r.textContent=n,this._domNode.appendChild(r);var s=document.createElement("div");s.classList.add("anchor"),this._domNode.appendChild(s),this._editor.addContentWidget(this),this._domNode.classList.add("fadeIn")}return e.fadeOut=function(e){var t,n=function(){e.dispose(),clearTimeout(t),e.getDomNode().removeEventListener("animationend",n)}
;return t=setTimeout(n,110),e.getDomNode().addEventListener("animationend",n),e.getDomNode().classList.add("fadeOut"),{dispose:n}},e.prototype.dispose=function(){this._editor.removeContentWidget(this)},e.prototype.getId=function(){return"messageoverlay"},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return{position:this._position,preference:[1]}},e}();d.registerEditorContribution(f),h.registerThemingParticipant(function(e,t){var n=e.getColor(p.inputValidationInfoBorder);if(n){var i=e.type===h.HIGH_CONTRAST?2:1;t.addRule(".monaco-editor .monaco-editor-overlaymessage .anchor { border-top-color: "+n+"; }"),t.addRule(".monaco-editor .monaco-editor-overlaymessage .message { border: "+i+"px solid "+n+"; }")}var o=e.getColor(p.inputValidationInfoBackground);o&&t.addRule(".monaco-editor .monaco-editor-overlaymessage .message { background-color: "+o+"; }");var r=e.getColor(p.inputValidationInfoForeground)
;r&&t.addRule(".monaco-editor .monaco-editor-overlaymessage .message { color: "+r+"; }")})}),define(t[524],n([0,1,2,8,10,126,19,141,305,31,18,60,47,76,89,451,108,236,391,11]),function(e,t,n,i,r,s,l,h,p,f,g,m,v,_,y,C,b,S,w,E){"use strict";function L(e){return g.ContextKeyExpr.regex(C.SUPPORTED_CODE_ACTIONS.keys()[0],new RegExp("(\\s|^)"+i.escapeRegExpCharacters(e.value)+"\\b"))}function x(e,t,n,i){return d(this,void 0,void 0,function(){return c(this,function(o){switch(o.label){case 0:return e.edit?[4,t.apply(e.edit,{editor:i})]:[3,2];case 1:o.sent(),o.label=2;case 2:return e.command?[4,n.executeCommand.apply(n,[e.command.id].concat(e.command.arguments))]:[3,4];case 3:o.sent(),o.label=4;case 4:return[2]}})})}function I(e,t,n,i){var o=N.get(e);if(o){var r=e.getPosition();o.triggerFromEditorSelection(n,i).then(function(n){n&&n.length||h.MessageController.get(e).showMessage(t,r)})}}Object.defineProperty(t,"__esModule",{value:!0});var N=function(){function e(e,t,n,i,o,r,s,a){var l=this;this._commandService=r,
this._keybindingService=s,this._bulkEditService=a,this._disposables=[],this._editor=e,this._model=new C.CodeActionModel(this._editor,t,n,i),this._codeActionContextMenu=new S.CodeActionContextMenu(e,o,function(e){return l._onApplyCodeAction(e)}),this._lightBulbWidget=new w.LightBulbWidget(e),this._updateLightBulbTitle(),this._disposables.push(this._codeActionContextMenu.onDidExecuteCodeAction(function(e){return l._model.trigger({type:"auto",filter:{}})}),this._lightBulbWidget.onClick(this._handleLightBulbSelect,this),this._model.onDidChangeFixes(function(e){return l._onCodeActionsEvent(e)}),this._keybindingService.onDidUpdateKeybindings(this._updateLightBulbTitle,this))}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.dispose=function(){this._model.dispose(),n.dispose(this._disposables)},e.prototype._onCodeActionsEvent=function(e){var t=this;this._activeRequest&&(this._activeRequest.cancel(),this._activeRequest=void 0),e&&e.actions&&(this._activeRequest=e.actions),
e&&e.actions&&e.trigger.filter&&e.trigger.filter.kind?e.actions.then(function(n){2===e.trigger.autoApply||1===e.trigger.autoApply&&1===n.length?t._onApplyCodeAction(n[0]):t._codeActionContextMenu.show(e.actions,e.position)}).catch(E.onUnexpectedError):e&&"manual"===e.trigger.type?this._codeActionContextMenu.show(e.actions,e.position):e&&e.actions?this._codeActionContextMenu.isVisible?this._codeActionContextMenu.show(e.actions,e.position):this._lightBulbWidget.model=e:this._lightBulbWidget.hide()},e.prototype.getId=function(){return e.ID},e.prototype._handleLightBulbSelect=function(e){this._lightBulbWidget.model&&this._lightBulbWidget.model.actions&&this._codeActionContextMenu.show(this._lightBulbWidget.model.actions,e)},e.prototype.triggerFromEditorSelection=function(e,t){return this._model.trigger({type:"manual",filter:e,autoApply:t})},e.prototype._updateLightBulbTitle=function(){var e,t=this._keybindingService.lookupKeybinding(D.Id);e=t?p.localize(0,null,t.getLabel()):p.localize(1,null),
this._lightBulbWidget.title=e},e.prototype._onApplyCodeAction=function(e){return x(e,this._bulkEditService,this._commandService,this._editor)},e.ID="editor.contrib.quickFixController",e=a([u(1,_.IMarkerService),u(2,g.IContextKeyService),u(3,y.IProgressService),u(4,m.IContextMenuService),u(5,f.ICommandService),u(6,v.IKeybindingService),u(7,s.IBulkEditService)],e)}();t.QuickFixController=N,t.applyCodeAction=x;var D=function(e){function t(){return e.call(this,{id:t.Id,label:p.localize(2,null),alias:"Quick Fix",precondition:g.ContextKeyExpr.and(l.EditorContextKeys.writable,l.EditorContextKeys.hasCodeActionsProvider),kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:2132,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){return I(t,p.localize(3,null))},t.Id="editor.action.quickFix",t}(r.EditorAction);t.QuickFixAction=D;var M=function(){function e(e,t){this.kind=e,this.apply=t}return e.fromUser=function(t){
return t&&"object"==typeof t?new e(e.getKindFromUser(t),e.getApplyFromUser(t)):new e(b.CodeActionKind.Empty,1)},e.getApplyFromUser=function(e){switch("string"==typeof e.apply?e.apply.toLowerCase():""){case"first":return 2;case"never":return 3;case"ifsingle":default:return 1}},e.getKindFromUser=function(e){return"string"==typeof e.kind?new b.CodeActionKind(e.kind):b.CodeActionKind.Empty},e}(),k=function(e){function t(){return e.call(this,{id:t.Id,precondition:g.ContextKeyExpr.and(l.EditorContextKeys.writable,l.EditorContextKeys.hasCodeActionsProvider)})||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){var i=M.fromUser(n);return I(t,p.localize(4,null),{kind:i.kind,includeSourceActions:!0},i.apply)},t.Id="editor.action.codeAction",t}(r.EditorCommand);t.CodeActionCommand=k;var T=function(e){function t(){return e.call(this,{id:t.Id,label:p.localize(5,null),alias:"Refactor",precondition:g.ContextKeyExpr.and(l.EditorContextKeys.writable,l.EditorContextKeys.hasCodeActionsProvider),kbOpts:{
kbExpr:l.EditorContextKeys.editorTextFocus,primary:3120,mac:{primary:1328},weight:100},menuOpts:{group:"1_modification",order:2,when:g.ContextKeyExpr.and(l.EditorContextKeys.writable,L(b.CodeActionKind.Refactor))}})||this}return o(t,e),t.prototype.run=function(e,t){return I(t,p.localize(6,null),{kind:b.CodeActionKind.Refactor},3)},t.Id="editor.action.refactor",t}(r.EditorAction);t.RefactorAction=T;var R=function(e){function t(){return e.call(this,{id:t.Id,label:p.localize(7,null),alias:"Source Action",precondition:g.ContextKeyExpr.and(l.EditorContextKeys.writable,l.EditorContextKeys.hasCodeActionsProvider),menuOpts:{group:"1_modification",order:2.1,when:g.ContextKeyExpr.and(l.EditorContextKeys.writable,L(b.CodeActionKind.Source))}})||this}return o(t,e),t.prototype.run=function(e,t){return I(t,p.localize(8,null),{kind:b.CodeActionKind.Source,includeSourceActions:!0},3)},t.Id="editor.action.sourceAction",t}(r.EditorAction);t.SourceAction=R;var O=function(e){function t(){return e.call(this,{id:t.Id,
label:p.localize(9,null),alias:"Organize Imports",precondition:g.ContextKeyExpr.and(l.EditorContextKeys.writable,L(b.CodeActionKind.SourceOrganizeImports)),kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:1581,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){return I(t,p.localize(10,null),{kind:b.CodeActionKind.SourceOrganizeImports,includeSourceActions:!0},1)},t.Id="editor.action.organizeImports",t}(r.EditorAction);t.OrganizeImportsAction=O}),define(t[525],n([0,1,10,524]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),n.registerEditorContribution(i.QuickFixController),n.registerEditorAction(i.QuickFixAction),n.registerEditorAction(i.RefactorAction),n.registerEditorAction(i.SourceAction),n.registerEditorAction(i.OrganizeImportsAction),n.registerEditorCommand(new i.CodeActionCommand)}),define(t[526],n([0,1,326,2,7,43,14,16,11,6,72,18,177,55,81,13,20,62,63,120,375]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y,C,b,S){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var w=r.$,E=function(e){function t(n,i){void 0===i&&(i=t.DEFAULT_DELAY);var o=e.call(this)||this;return o._onHint=o._register(new h.Emitter),o.onHint=o._onHint.event,o._onCancel=o._register(new h.Emitter),o.onCancel=o._onCancel.event,o.active=!1,o.pending=!1,o.triggerChars=new v.CharacterSet,o.retriggerChars=new v.CharacterSet,o.editor=n,o.enabled=!1,o.triggerCharactersListeners=[],o.throttledDelayer=new d.RunOnceScheduler(function(){return o.doTrigger()},i),o._register(o.editor.onDidChangeConfiguration(function(){return o.onEditorConfigurationChange()})),o._register(o.editor.onDidChangeModel(function(e){return o.onModelChanged()})),o._register(o.editor.onDidChangeModelLanguage(function(e){return o.onModelChanged()})),o._register(o.editor.onDidChangeCursorSelection(function(e){return o.onCursorChange(e)})),o._register(o.editor.onDidChangeModelContent(function(e){return o.onModelContentChange()})),
o._register(l.SignatureHelpProviderRegistry.onDidChange(o.onModelChanged,o)),o._register(o.editor.onDidType(function(e){return o.onDidType(e)})),o.onEditorConfigurationChange(),o.onModelChanged(),o}return o(t,e),t.prototype.cancel=function(e){void 0===e&&(e=!1),this.active=!1,this.pending=!1,this.triggerContext=void 0,this.throttledDelayer.cancel(),e||this._onCancel.fire(void 0),this.provideSignatureHelpRequest&&(this.provideSignatureHelpRequest.cancel(),this.provideSignatureHelpRequest=void 0)},t.prototype.trigger=function(e,t){if(l.SignatureHelpProviderRegistry.has(this.editor.getModel())){var n=this.isTriggered;return this.cancel(!0),this.triggerContext={triggerReason:e.triggerReason,triggerCharacter:e.triggerCharacter,isRetrigger:n},this.throttledDelayer.schedule(t)}},t.prototype.doTrigger=function(){var e=this;this.provideSignatureHelpRequest&&this.provideSignatureHelpRequest.cancel(),this.pending=!0;var t=this.triggerContext||{triggerReason:l.SignatureHelpTriggerReason.Invoke,isRetrigger:!1}
;this.triggerContext=void 0,this.provideSignatureHelpRequest=d.createCancelablePromise(function(n){return g.provideSignatureHelp(e.editor.getModel(),e.editor.getPosition(),t,n)}),this.provideSignatureHelpRequest.then(function(t){if(e.pending=!1,!t||!t.signatures||0===t.signatures.length)return e.cancel(),e._onCancel.fire(void 0),!1;e.active=!0;var n={hints:t};return e._onHint.fire(n),!0}).catch(function(t){e.pending=!1,c.onUnexpectedError(t)})},Object.defineProperty(t.prototype,"isTriggered",{get:function(){return this.active||this.pending||this.throttledDelayer.isScheduled()},enumerable:!0,configurable:!0}),t.prototype.onModelChanged=function(){this.cancel(),this.triggerChars=new v.CharacterSet,this.retriggerChars=new v.CharacterSet;var e=this.editor.getModel();if(e)for(var t=0,n=l.SignatureHelpProviderRegistry.ordered(e);t<n.length;t++){var i=n[t];if(Array.isArray(i.signatureHelpTriggerCharacters))for(var o=0,r=i.signatureHelpTriggerCharacters;o<r.length;o++){u=r[o];this.triggerChars.add(u.charCodeAt(0)),
this.retriggerChars.add(u.charCodeAt(0))}if(Array.isArray(i.signatureHelpRetriggerCharacters))for(var s=0,a=i.signatureHelpRetriggerCharacters;s<a.length;s++){var u=a[s];this.retriggerChars.add(u.charCodeAt(0))}}},t.prototype.onDidType=function(e){if(this.enabled){var t=e.length-1,n=e.charCodeAt(t);(this.triggerChars.has(n)||this.isTriggered&&this.retriggerChars.has(n))&&this.trigger({triggerReason:l.SignatureHelpTriggerReason.TriggerCharacter,triggerCharacter:e.charAt(t)})}},t.prototype.onCursorChange=function(e){"mouse"===e.source?this.cancel():this.isTriggered&&this.trigger({triggerReason:l.SignatureHelpTriggerReason.ContentChange})},t.prototype.onModelContentChange=function(){this.isTriggered&&this.trigger({triggerReason:l.SignatureHelpTriggerReason.ContentChange})},t.prototype.onEditorConfigurationChange=function(){this.enabled=this.editor.getConfiguration().contribInfo.parameterHints.enabled,this.enabled||this.cancel()},t.prototype.dispose=function(){this.cancel(!0),
this.triggerCharactersListeners=i.dispose(this.triggerCharactersListeners),e.prototype.dispose.call(this)},t.DEFAULT_DELAY=120,t}(i.Disposable);t.ParameterHintsModel=E;var L=function(){function e(e,t,n,i){var o=this;this.editor=e,this.allowEditorOverflow=!0,this.markdownRenderer=new S.MarkdownRenderer(e,i,n),this.model=new E(e),this.keyVisible=g.Context.Visible.bindTo(t),this.keyMultipleSignatures=g.Context.MultipleSignatures.bindTo(t),this.visible=!1,this.disposables=[],this.disposables.push(this.model.onHint(function(e){o.show(),o.hints=e.hints,o.currentSignature=e.hints.activeSignature,o.render()})),this.disposables.push(this.model.onCancel(function(){o.hide()}))}return e.prototype.createParamaterHintDOMNodes=function(){var e=this;this.element=w(".editor-widget.parameter-hints-widget");var t=r.append(this.element,w(".wrapper")),n=r.append(t,w(".buttons")),i=r.append(n,w(".button.previous")),o=r.append(n,w(".button.next"));p.stop(p.domEvent(i,"click"))(this.previous,this,this.disposables)
;p.stop(p.domEvent(o,"click"))(this.next,this,this.disposables),this.overloads=r.append(t,w(".overloads"));var s=w(".body");this.scrollbar=new m.DomScrollableElement(s,{}),this.disposables.push(this.scrollbar),t.appendChild(this.scrollbar.getDomNode()),this.signature=r.append(s,w(".signature")),this.docs=r.append(s,w(".docs")),this.currentSignature=0,this.editor.addContentWidget(this),this.hide(),this.element.style.userSelect="text",this.disposables.push(this.editor.onDidChangeCursorSelection(function(t){e.visible&&e.editor.layoutContentWidget(e)}));var a=function(){var t=e.editor.getConfiguration().fontInfo;e.element.style.fontSize=t.fontSize+"px"};a(),h.chain(this.editor.onDidChangeConfiguration.bind(this.editor)).filter(function(e){return e.fontInfo}).on(a,null,this.disposables),this.disposables.push(this.editor.onDidLayoutChange(function(t){return e.updateMaxHeight()})),this.updateMaxHeight()},e.prototype.show=function(){var e=this
;this.model&&!this.visible&&(this.element||this.createParamaterHintDOMNodes(),this.keyVisible.set(!0),this.visible=!0,setTimeout(function(){return r.addClass(e.element,"visible")},100),this.editor.layoutContentWidget(this))},e.prototype.hide=function(){this.model&&this.visible&&(this.element||this.createParamaterHintDOMNodes(),this.keyVisible.reset(),this.visible=!1,this.hints=null,this.announcedLabel=null,r.removeClass(this.element,"visible"),this.editor.layoutContentWidget(this))},e.prototype.getPosition=function(){return this.visible?{position:this.editor.getPosition(),preference:[1,2]}:null},e.prototype.render=function(){var e=this.hints.signatures.length>1;r.toggleClass(this.element,"multiple",e),this.keyMultipleSignatures.set(e),this.signature.innerHTML="",this.docs.innerHTML="";var t=this.hints.signatures[this.currentSignature];if(t){var o=r.append(this.signature,w(".code")),a=t.parameters.length>0,l=this.editor.getConfiguration().fontInfo;if(o.style.fontSize=l.fontSize+"px",
o.style.fontFamily=l.fontFamily,a)this.renderParameters(o,t,this.hints.activeParameter);else{r.append(o,w("span")).textContent=t.label}i.dispose(this.renderDisposeables),this.renderDisposeables=[];var u=t.parameters[this.hints.activeParameter];if(u&&u.documentation){var d=w("span.documentation");if("string"==typeof u.documentation)d.textContent=u.documentation;else{c=this.markdownRenderer.render(u.documentation);r.addClass(c.element,"markdown-docs"),this.renderDisposeables.push(c),d.appendChild(c.element)}r.append(this.docs,w("p",null,d))}if(r.toggleClass(this.signature,"has-docs",!!t.documentation),"string"==typeof t.documentation)r.append(this.docs,w("p",null,t.documentation));else{var c=this.markdownRenderer.render(t.documentation);r.addClass(c.element,"markdown-docs"),this.renderDisposeables.push(c),r.append(this.docs,c.element)}var h=String(this.currentSignature+1);if(this.hints.signatures.length<10&&(h+="/"+this.hints.signatures.length),this.overloads.textContent=h,u){
var p=this.getParameterLabel(t,this.hints.activeParameter);this.announcedLabel!==p&&(s.alert(n.localize(0,null,p)),this.announcedLabel=p)}this.editor.layoutContentWidget(this),this.scrollbar.scanDomNode()}},e.prototype.renderParameters=function(e,t,n){var i=this.getParameterLabelOffsets(t,n),o=i[0],s=i[1],a=document.createElement("span");a.textContent=t.label.substring(0,o);var l=document.createElement("span");l.textContent=t.label.substring(o,s),l.className="parameter active";var u=document.createElement("span");u.textContent=t.label.substring(s),r.append(e,a,l,u)},e.prototype.getParameterLabel=function(e,t){var n=e.parameters[t];return"string"==typeof n.label?n.label:e.label.substring(n.label[0],n.label[1])},e.prototype.getParameterLabelOffsets=function(e,t){var n=e.parameters[t];if(n){if(Array.isArray(n.label))return n.label;var i=e.label.lastIndexOf(n.label);return i>=0?[i,i+n.label.length]:[0,0]}return[0,0]},e.prototype.next=function(){
var e=this.hints.signatures.length,t=this.currentSignature%e==e-1,n=this.editor.getConfiguration().contribInfo.parameterHints.cycle;return(e<2||t)&&!n?(this.cancel(),!1):(t&&n?this.currentSignature=0:this.currentSignature++,this.render(),!0)},e.prototype.previous=function(){var e=this.hints.signatures.length,t=0===this.currentSignature,n=this.editor.getConfiguration().contribInfo.parameterHints.cycle;return(e<2||t)&&!n?(this.cancel(),!1):(t&&n?this.currentSignature=e-1:this.currentSignature--,this.render(),!0)},e.prototype.cancel=function(){this.model.cancel()},e.prototype.getDomNode=function(){return this.element},e.prototype.getId=function(){return e.ID},e.prototype.trigger=function(e){this.model.trigger(e,0)},e.prototype.updateMaxHeight=function(){var e=Math.max(this.editor.getLayoutInfo().height/4,250);this.element.style.maxHeight=e+"px"},e.prototype.dispose=function(){this.disposables=i.dispose(this.disposables),this.renderDisposeables=i.dispose(this.renderDisposeables),this.model&&(this.model.dispose(),
this.model=null)},e.ID="editor.widget.parameterHintsWidget",e=a([u(1,f.IContextKeyService),u(2,C.IOpenerService),u(3,b.IModeService)],e)}();t.ParameterHintsWidget=L,_.registerThemingParticipant(function(e,t){var n=e.getColor(y.editorHoverBorder);if(n){var i=e.type===_.HIGH_CONTRAST?2:1;t.addRule(".monaco-editor .parameter-hints-widget { border: "+i+"px solid "+n+"; }"),t.addRule(".monaco-editor .parameter-hints-widget.multiple .body { border-left: 1px solid "+n.transparent(.5)+"; }"),t.addRule(".monaco-editor .parameter-hints-widget .signature.has-docs { border-bottom: 1px solid "+n.transparent(.5)+"; }")}var o=e.getColor(y.editorHoverBackground);o&&t.addRule(".monaco-editor .parameter-hints-widget { background-color: "+o+"; }");var r=e.getColor(y.textLinkForeground);r&&t.addRule(".monaco-editor .parameter-hints-widget a { color: "+r+"; }");var s=e.getColor(y.textCodeBlockBackground);s&&t.addRule(".monaco-editor .parameter-hints-widget code { background-color: "+s+"; }")})}),
define(t[527],n([0,1,325,2,15,19,18,10,526,177,14]),function(e,t,n,i,r,s,l,d,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(e,t){this.editor=e,this.widget=t.createInstance(c.ParameterHintsWidget,this.editor)}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.cancel=function(){this.widget.cancel()},e.prototype.previous=function(){this.widget.previous()},e.prototype.next=function(){this.widget.next()},e.prototype.trigger=function(e){this.widget.trigger(e)},e.prototype.dispose=function(){this.widget=i.dispose(this.widget)},e.ID="editor.controller.parameterHints",e=a([u(1,r.IInstantiationService)],e)}(),g=function(e){function t(){return e.call(this,{id:"editor.action.triggerParameterHints",label:n.localize(0,null),alias:"Trigger Parameter Hints",precondition:s.EditorContextKeys.hasSignatureHelpProvider,kbOpts:{kbExpr:s.EditorContextKeys.editorTextFocus,primary:3082,weight:100}})||this}return o(t,e),
t.prototype.run=function(e,t){var n=f.get(t);n&&n.trigger({triggerReason:p.SignatureHelpTriggerReason.Invoke})},t}(d.EditorAction);t.TriggerParameterHintsAction=g,d.registerEditorContribution(f),d.registerEditorAction(g);var m=d.EditorCommand.bindToContribution(f.get);d.registerEditorCommand(new m({id:"closeParameterHints",precondition:h.Context.Visible,handler:function(e){return e.cancel()},kbOpts:{weight:175,kbExpr:s.EditorContextKeys.editorTextFocus,primary:9,secondary:[1033]}})),d.registerEditorCommand(new m({id:"showPrevParameterHint",precondition:l.ContextKeyExpr.and(h.Context.Visible,h.Context.MultipleSignatures),handler:function(e){return e.previous()},kbOpts:{weight:175,kbExpr:s.EditorContextKeys.editorTextFocus,primary:16,secondary:[528],mac:{primary:16,secondary:[528,302]}}})),d.registerEditorCommand(new m({id:"showNextParameterHint",precondition:l.ContextKeyExpr.and(h.Context.Visible,h.Context.MultipleSignatures),handler:function(e){return e.next()},kbOpts:{weight:175,
kbExpr:s.EditorContextKeys.editorTextFocus,primary:18,secondary:[530],mac:{primary:18,secondary:[530,300]}}}))}),define(t[142],n([0,1,7,67,56,28,6,27,8,30,139,196,327,18,376]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e.inPeekEditor=new f.RawContextKey("inReferenceSearchEditor",!0),e.notInPeekEditor=e.inPeekEditor.toNegated()}(t.PeekContext||(t.PeekContext={})),t.getOuterEditor=function(e){var t=e.get(d.ICodeEditorService).getFocusedCodeEditor();return t instanceof c.EmbeddedCodeEditorWidget?t.getParentEditor():t};var g={headerBackgroundColor:s.Color.white,primaryHeadingColor:s.Color.fromHex("#333333"),secondaryHeadingColor:s.Color.fromHex("#6c6c6cb3")},m=function(e){function t(t,n){void 0===n&&(n={});var i=e.call(this,t,n)||this;return i._onDidClose=new a.Emitter,l.mixin(i.options,g,!1),i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._onDidClose.fire(this)},
Object.defineProperty(t.prototype,"onDidClose",{get:function(){return this._onDidClose.event},enumerable:!0,configurable:!0}),t.prototype.style=function(t){var n=this.options;t.headerBackgroundColor&&(n.headerBackgroundColor=t.headerBackgroundColor),t.primaryHeadingColor&&(n.primaryHeadingColor=t.primaryHeadingColor),t.secondaryHeadingColor&&(n.secondaryHeadingColor=t.secondaryHeadingColor),e.prototype.style.call(this,t)},t.prototype._applyStyles=function(){e.prototype._applyStyles.call(this);var t=this.options;this._headElement&&(this._headElement.style.backgroundColor=t.headerBackgroundColor.toString()),this._primaryHeading&&(this._primaryHeading.style.color=t.primaryHeadingColor.toString()),this._secondaryHeading&&(this._secondaryHeading.style.color=t.secondaryHeadingColor.toString()),this._bodyElement&&(this._bodyElement.style.borderColor=t.frameColor.toString())},t.prototype._fillContainer=function(e){this.setCssClass("peekview-widget"),this._headElement=n.$(".head"),this._bodyElement=n.$(".body"),
this._fillHead(this._headElement),this._fillBody(this._bodyElement),e.appendChild(this._headElement),e.appendChild(this._bodyElement)},t.prototype._fillHead=function(e){var t=this,o=n.$(".peekview-title");n.append(this._headElement,o),n.addStandardDisposableListener(o,"click",function(e){return t._onTitleClick(e)}),this._primaryHeading=n.$("span.filename"),this._secondaryHeading=n.$("span.dirname"),this._metaHeading=n.$("span.meta"),n.append(o,this._primaryHeading,this._secondaryHeading,this._metaHeading);var s=n.$(".peekview-actions");n.append(this._headElement,s);var a=this._getActionBarOptions();this._actionbarWidget=new i.ActionBar(s,a),this._disposables.push(this._actionbarWidget),this._actionbarWidget.push(new r.Action("peekview.close",p.localize(0,null),"close-peekview-action",!0,function(){return t.dispose(),null}),{label:!1,icon:!0})},t.prototype._getActionBarOptions=function(){return{}},t.prototype._onTitleClick=function(e){},t.prototype.setTitle=function(e,t){
this._primaryHeading.innerHTML=u.escape(e),this._primaryHeading.setAttribute("aria-label",e),t?this._secondaryHeading.innerHTML=u.escape(t):n.clearNode(this._secondaryHeading)},t.prototype.setMetaTitle=function(e){e?this._metaHeading.innerHTML=u.escape(e):n.clearNode(this._metaHeading)},t.prototype._doLayout=function(e,t){if(!this._isShowing&&e<0)this.dispose();else{var n=Math.ceil(1.2*this.editor.getConfiguration().lineHeight),i=e-(n+2);this._doLayoutHead(n,t),this._doLayoutBody(i,t)}},t.prototype._doLayoutHead=function(e,t){this._headElement.style.height=u.format("{0}px",e),this._headElement.style.lineHeight=this._headElement.style.height},t.prototype._doLayoutBody=function(e,t){this._bodyElement.style.height=u.format("{0}px",e)},t}(h.ZoneWidget);t.PeekViewWidget=m}),define(t[529],n([0,1,334,2,3,13,20,12,381]),function(e,t,n,i,o,r,s,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var d=function(){function e(e,t){var n=this;this.themeService=t,this._disposables=[],
this.allowEditorOverflow=!0,this._currentAcceptInput=null,this._currentCancelInput=null,this._editor=e,this._editor.addContentWidget(this),this._disposables.push(e.onDidChangeConfiguration(function(e){e.fontInfo&&n.updateFont()})),this._disposables.push(t.onThemeChange(function(e){return n.onThemeChange(e)}))}return e.prototype.onThemeChange=function(e){this.updateStyles(e)},e.prototype.dispose=function(){this._disposables=i.dispose(this._disposables),this._editor.removeContentWidget(this)},e.prototype.getId=function(){return"__renameInputWidget"},e.prototype.getDomNode=function(){return this._domNode||(this._inputField=document.createElement("input"),this._inputField.className="rename-input",this._inputField.type="text",this._inputField.setAttribute("aria-label",n.localize(0,null)),this._domNode=document.createElement("div"),this._domNode.style.height=this._editor.getConfiguration().lineHeight+"px",this._domNode.className="monaco-editor rename-box",this._domNode.appendChild(this._inputField),
this.updateFont(),this.updateStyles(this.themeService.getTheme())),this._domNode},e.prototype.updateStyles=function(e){if(this._inputField){var t=e.getColor(s.inputBackground),n=e.getColor(s.inputForeground),i=e.getColor(s.widgetShadow),o=e.getColor(s.inputBorder);this._inputField.style.backgroundColor=t?t.toString():null,this._inputField.style.color=n?n.toString():null,this._inputField.style.borderWidth=o?"1px":"0px",this._inputField.style.borderStyle=o?"solid":"none",this._inputField.style.borderColor=o?o.toString():"none",this._domNode.style.boxShadow=i?" 0 2px 8px "+i:null}},e.prototype.updateFont=function(){if(this._inputField){var e=this._editor.getConfiguration().fontInfo;this._inputField.style.fontFamily=e.fontFamily,this._inputField.style.fontWeight=e.fontWeight,this._inputField.style.fontSize=e.fontSize+"px"}},e.prototype.getPosition=function(){return this._visible?{position:this._position,preference:[2,1]}:null},e.prototype.acceptInput=function(){this._currentAcceptInput&&this._currentAcceptInput()
},e.prototype.cancelInput=function(e){this._currentCancelInput&&this._currentCancelInput(e)},e.prototype.getInput=function(e,t,n,r){var s=this;this._position=new l.Position(e.startLineNumber,e.startColumn),this._inputField.value=t,this._inputField.setAttribute("selectionStart",n.toString()),this._inputField.setAttribute("selectionEnd",r.toString()),this._inputField.size=Math.max(1.1*(e.endColumn-e.startColumn),20);var a,u=[];return a=function(){i.dispose(u),s._hide()},new Promise(function(n){s._currentCancelInput=function(e){return s._currentAcceptInput=null,s._currentCancelInput=null,n(e),!0},s._currentAcceptInput=function(){0!==s._inputField.value.trim().length&&s._inputField.value!==t?(s._currentAcceptInput=null,s._currentCancelInput=null,n(s._inputField.value)):s.cancelInput(!0)};u.push(s._editor.onDidChangeCursorSelection(function(){var t=s._editor.getPosition();t&&o.Range.containsPosition(e,t)||s.cancelInput(!0)})),u.push(s._editor.onDidBlurEditorWidget(function(){return s.cancelInput(!1)})),s._show()
}).then(function(e){return a(),e},function(e){return a(),Promise.reject(e)})},e.prototype._show=function(){var e=this;this._editor.revealLineInCenterIfOutsideViewport(this._position.lineNumber,0),this._visible=!0,this._editor.layoutContentWidget(this),setTimeout(function(){e._inputField.focus(),e._inputField.setSelectionRange(parseInt(e._inputField.getAttribute("selectionStart")),parseInt(e._inputField.getAttribute("selectionEnd")))},100)},e.prototype._hide=function(){this._visible=!1,this._editor.layoutContentWidget(this)},e=a([u(1,r.IThemeService)],e)}();t.default=d}),define(t[530],n([0,1,333,11,18,89,10,19,529,13,14,12,43,3,141,66,35,126,25,30,24]),function(e,t,n,i,r,s,l,h,p,f,g,m,v,_,y,C,b,S,w,E,L){"use strict";function x(e,t,n){return d(this,void 0,void 0,function(){return c(this,function(i){return[2,new I(e,t).provideRenameEdits(n,void 0,void 0,L.CancellationToken.None)]})})}Object.defineProperty(t,"__esModule",{value:!0});var I=function(){function e(e,t){this.model=e,this.position=t,
this._provider=g.RenameProviderRegistry.ordered(e)}return e.prototype.hasProvider=function(){return this._provider.length>0},e.prototype.resolveRenameLocation=function(e){return d(this,void 0,void 0,function(){var t,n,i;return c(this,function(o){switch(o.label){case 0:return(t=this._provider[0]).resolveRenameLocation?[4,t.resolveRenameLocation(this.model,this.position,e)]:[3,2];case 1:n=o.sent(),o.label=2;case 2:return n||(i=this.model.getWordAtPosition(this.position))&&(n={range:new _.Range(this.position.lineNumber,i.startColumn,this.position.lineNumber,i.endColumn),text:i.word}),[2,n]}})})},e.prototype.provideRenameEdits=function(e,t,i,o){return void 0===t&&(t=0),void 0===i&&(i=[]),d(this,void 0,void 0,function(){var r,s;return c(this,function(a){switch(a.label){case 0:return t>=this._provider.length?[2,{edits:void 0,rejectReason:i.join("\n")}]:(r=this._provider[t],[4,r.provideRenameEdits(this.model,this.position,e,o)]);case 1:
return(s=a.sent())?s.rejectReason?[2,this.provideRenameEdits(e,t+1,i.concat(s.rejectReason),o)]:[2,s]:[2,this.provideRenameEdits(e,t+1,i.concat(n.localize(0,null)),o)]}})})},e}();t.rename=x;var N=new r.RawContextKey("renameInputVisible",!1),D=function(){function e(e,t,n,i,o,r){this.editor=e,this._notificationService=t,this._bulkEditService=n,this._progressService=i,this._renameInputField=new p.default(e,r),this._renameInputVisible=N.bindTo(o)}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.dispose=function(){this._renameInputField.dispose()},e.prototype.getId=function(){return e.ID},e.prototype.run=function(e){return d(this,void 0,void 0,function(){var t,i,o,r,s,a,l,u=this;return c(this,function(d){switch(d.label){case 0:if(!this.editor.hasModel())return[2,void 0];if(t=this.editor.getPosition(),!(i=new I(this.editor.getModel(),t)).hasProvider())return[2,void 0];d.label=1;case 1:return d.trys.push([1,3,,4]),[4,i.resolveRenameLocation(e)];case 2:return o=d.sent(),[3,4];case 3:
return r=d.sent(),y.MessageController.get(this.editor).showMessage(r||n.localize(1,null),t),[2,void 0];case 4:return o?o.rejectReason?(y.MessageController.get(this.editor).showMessage(o.rejectReason,t),[2,void 0]):(s=this.editor.getSelection(),a=0,l=o.text.length,_.Range.isEmpty(s)||_.Range.spansMultipleLines(s)||!_.Range.containsRange(o.range,s)||(a=Math.max(0,s.startColumn-o.range.startColumn),l=Math.min(o.range.endColumn,s.endColumn)-o.range.startColumn),this._renameInputVisible.set(!0),[2,this._renameInputField.getInput(o.range,o.text,a,l).then(function(t){u._renameInputVisible.reset();if("boolean"!=typeof t){u.editor.focus();var r=new C.EditorState(u.editor,15),s=Promise.resolve(i.provideRenameEdits(t,0,[],e).then(function(e){if(u.editor.hasModel()){if(!e.rejectReason)return u._bulkEditService.apply(e,{editor:u.editor}).then(function(e){e.ariaSummary&&v.alert(n.localize(2,null,o.text,t,e.ariaSummary))})
;r.validate(u.editor)?y.MessageController.get(u.editor).showMessage(e.rejectReason,u.editor.getPosition()):u._notificationService.info(e.rejectReason)}},function(e){return u._notificationService.error(n.localize(3,null)),Promise.reject(e)}));return u._progressService.showWhile(s,250),s}t&&u.editor.focus()},function(e){return u._renameInputVisible.reset(),Promise.reject(e)})]):[2,void 0]}})})},e.prototype.acceptRenameInput=function(){this._renameInputField.acceptInput()},e.prototype.cancelRenameInput=function(){this._renameInputField.cancelInput(!0)},e.ID="editor.contrib.renameController",e=a([u(1,b.INotificationService),u(2,S.IBulkEditService),u(3,s.IProgressService),u(4,r.IContextKeyService),u(5,f.IThemeService)],e)}(),M=function(e){function t(){return e.call(this,{id:"editor.action.rename",label:n.localize(4,null),alias:"Rename Symbol",precondition:r.ContextKeyExpr.and(h.EditorContextKeys.writable,h.EditorContextKeys.hasRenameProvider),kbOpts:{kbExpr:h.EditorContextKeys.editorTextFocus,primary:60,weight:100
},menuOpts:{group:"1_modification",order:1.1}})||this}return o(t,e),t.prototype.runCommand=function(t,n){var o=this,r=t.get(E.ICodeEditorService),s=n||[void 0,void 0],a=s[0],l=s[1];return w.URI.isUri(a)&&m.Position.isIPosition(l)?r.openCodeEditor({resource:a},r.getActiveCodeEditor()).then(function(e){e&&(e.setPosition(l),e.invokeWithinContext(function(t){return o.reportTelemetry(t,e),o.run(t,e)}))},i.onUnexpectedError):e.prototype.runCommand.call(this,t,n)},t.prototype.run=function(e,t){var n=D.get(t);return n?Promise.resolve(n.run(L.CancellationToken.None)):Promise.resolve()},t}(l.EditorAction);t.RenameAction=M,l.registerEditorContribution(D),l.registerEditorAction(M);var k=l.EditorCommand.bindToContribution(D.get);l.registerEditorCommand(new k({id:"acceptRenameInput",precondition:N,handler:function(e){return e.acceptRenameInput()},kbOpts:{weight:199,kbExpr:h.EditorContextKeys.focus,primary:3}})),l.registerEditorCommand(new k({id:"cancelRenameInput",precondition:N,handler:function(e){
return e.cancelRenameInput()},kbOpts:{weight:199,kbExpr:h.EditorContextKeys.focus,primary:9,secondary:[1033]}})),l.registerDefaultLanguageCommand("_executeDocumentRenameProvider",function(e,t,n){var o=n.newName;if("string"!=typeof o)throw i.illegalArgument("newName");return x(e,t,o)})}),define(t[531],n([0,1,22,2,8,49,3,21,26,202,15,111,337,13,20,382]),function(e,t,n,i,o,r,s,a,l,u,d,c,h,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),p.registerThemingParticipant(function(e,t){function n(t){var n=e.getColor(t);return n?n.toString():"transparent"}t.addRule(".monaco-editor .snippet-placeholder { background-color: "+n(f.snippetTabstopHighlightBackground)+"; outline-color: "+n(f.snippetTabstopHighlightBorder)+"; }"),t.addRule(".monaco-editor .finish-snippet-placeholder { background-color: "+n(f.snippetFinalTabstopHighlightBackground)+"; outline-color: "+n(f.snippetFinalTabstopHighlightBorder)+"; }")});var g=function(){function e(e,t,i){this._nestingLevel=1,this._editor=e,this._snippet=t,
this._offset=i,this._placeholderGroups=n.groupBy(t.placeholders,c.Placeholder.compareByIndex),this._placeholderGroupsIdx=-1}return e.prototype.dispose=function(){if(this._placeholderDecorations){var e=[];this._placeholderDecorations.forEach(function(t){return e.push(t)}),this._editor.deltaDecorations(e,[])}this._placeholderGroups.length=0},e.prototype._initDecorations=function(){var t=this;if(!this._placeholderDecorations){this._placeholderDecorations=new Map;var n=this._editor.getModel();this._editor.changeDecorations(function(i){for(var o=0,r=t._snippet.placeholders;o<r.length;o++){var a=r[o],l=t._snippet.offset(a),u=t._snippet.fullLen(a),d=s.Range.fromPositions(n.getPositionAt(t._offset+l),n.getPositionAt(t._offset+l+u)),c=a.isFinalTabstop?e._decor.inactiveFinal:e._decor.inactive,h=i.addDecoration(d,c);t._placeholderDecorations.set(a,h)}})}},e.prototype.move=function(t){var n=this;if(this._initDecorations(),this._placeholderGroupsIdx>=0){
for(var i=[],o=0,s=this._placeholderGroups[this._placeholderGroupsIdx];o<s.length;o++){var l=s[o];if(l.transform){var u=this._placeholderDecorations.get(l),d=this._editor.getModel().getDecorationRange(u),c=this._editor.getModel().getValueInRange(d);i.push(r.EditOperation.replaceMove(d,l.transform.resolve(c)))}}i.length>0&&this._editor.executeEdits("snippet.placeholderTransform",i)}var h=!1;!0===t&&this._placeholderGroupsIdx<this._placeholderGroups.length-1?(this._placeholderGroupsIdx+=1,h=!0):!1===t&&this._placeholderGroupsIdx>0&&(this._placeholderGroupsIdx-=1,h=!0);var p=this._editor.getModel().changeDecorations(function(t){for(var i=new Set,o=[],r=0,s=n._placeholderGroups[n._placeholderGroupsIdx];r<s.length;r++){var l=s[r],u=n._placeholderDecorations.get(l),d=n._editor.getModel().getDecorationRange(u);o.push(new a.Selection(d.startLineNumber,d.startColumn,d.endLineNumber,d.endColumn)),h=h&&d.isEmpty()&&l.toString().length>0,t.changeDecorationOptions(u,l.isFinalTabstop?e._decor.activeFinal:e._decor.active),
i.add(l);for(var c=0,p=n._snippet.enclosingPlaceholders(l);c<p.length;c++){var f=p[c],g=n._placeholderDecorations.get(f);t.changeDecorationOptions(g,f.isFinalTabstop?e._decor.activeFinal:e._decor.active),i.add(f)}}return n._placeholderDecorations.forEach(function(n,o){i.has(o)||t.changeDecorationOptions(n,o.isFinalTabstop?e._decor.inactiveFinal:e._decor.inactive)}),o});return h?this.move(t):p},Object.defineProperty(e.prototype,"isAtFirstPlaceholder",{get:function(){return this._placeholderGroupsIdx<=0||0===this._placeholderGroups.length},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isAtLastPlaceholder",{get:function(){return this._placeholderGroupsIdx===this._placeholderGroups.length-1},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"hasPlaceholder",{get:function(){return this._snippet.placeholders.length>0},enumerable:!0,configurable:!0}),e.prototype.computePossibleSelections=function(){
for(var e=new Map,t=0,n=this._placeholderGroups;t<n.length;t++)for(var i=void 0,o=0,r=n[t];o<r.length;o++){var s=r[o];if(s.isFinalTabstop)break;i||(i=[],e.set(s.index,i));var a=this._placeholderDecorations.get(s),l=this._editor.getModel().getDecorationRange(a);if(!l){e.delete(s.index);break}i.push(l)}return e},Object.defineProperty(e.prototype,"choice",{get:function(){return this._placeholderGroups[this._placeholderGroupsIdx][0].choice},enumerable:!0,configurable:!0}),e.prototype.merge=function(t){var i=this,o=this._editor.getModel();this._nestingLevel*=10,this._editor.changeDecorations(function(r){for(var a=0,l=i._placeholderGroups[i._placeholderGroupsIdx];a<l.length;a++){var u=l[a],d=t.shift();console.assert(!d._placeholderDecorations);for(var h=d._snippet.placeholderInfo.last.index,p=0,f=d._snippet.placeholderInfo.all;p<f.length;p++){var g=f[p];g.isFinalTabstop?g.index=u.index+(h+1)/i._nestingLevel:g.index=u.index+g.index/i._nestingLevel}i._snippet.replace(u,d._snippet.children)
;var m=i._placeholderDecorations.get(u);r.removeDecoration(m),i._placeholderDecorations.delete(u);for(var v=0,_=d._snippet.placeholders;v<_.length;v++){var y=_[v],C=d._snippet.offset(y),b=d._snippet.fullLen(y),S=s.Range.fromPositions(o.getPositionAt(d._offset+C),o.getPositionAt(d._offset+C+b)),w=r.addDecoration(S,e._decor.inactive);i._placeholderDecorations.set(y,w)}}i._placeholderGroups=n.groupBy(i._snippet.placeholders,c.Placeholder.compareByIndex)})},e._decor={active:l.ModelDecorationOptions.register({stickiness:0,className:"snippet-placeholder"}),inactive:l.ModelDecorationOptions.register({stickiness:1,className:"snippet-placeholder"}),activeFinal:l.ModelDecorationOptions.register({stickiness:1,className:"finish-snippet-placeholder"}),inactiveFinal:l.ModelDecorationOptions.register({stickiness:1,className:"finish-snippet-placeholder"})},e}();t.OneSnippet=g;var m=function(){function e(e,t,n,i,o){void 0===n&&(n=0),void 0===i&&(i=0),void 0===o&&(o=!0),this._templateMerges=[],this._snippets=[],this._editor=e,
this._template=t,this._overwriteBefore=n,this._overwriteAfter=i,this._adjustWhitespace=o}return e.adjustWhitespace=function(e,t,n){var i=e.getLineContent(t.lineNumber),r=o.getLeadingWhitespace(i,0,t.column-1);n.walk(function(t){if(t instanceof c.Text&&!(t.parent instanceof c.Choice)){for(var n=t.value.split(/\r\n|\r|\n/),i=1;i<n.length;i++){var s=o.getLeadingWhitespace(n[i]);n[i]=e.normalizeIndentation(r+s)+n[i].substr(s.length)}var a=n.join(e.getEOL());a!==t.value&&t.parent.replace(t,[new c.Text(a)])}return!0})},e.adjustSelection=function(e,t,n,i){if(0!==n||0!==i){var o=t.positionLineNumber,r=t.positionColumn,s=r-n,l=r+i,u=e.validateRange({startLineNumber:o,startColumn:s,endLineNumber:o,endColumn:l});t=a.Selection.createWithDirection(u.startLineNumber,u.startColumn,u.endLineNumber,u.endColumn,t.getDirection())}return t},e.createEditsAndSnippets=function(t,n,i,o,a,l){for(var p=t.getModel(),f=[],m=[],v=new h.ModelBasedVariableResolver(p),_=t.invokeWithinContext(function(e){
return e.get(u.IClipboardService,d.optional)}),y=0,C=p.getValueInRange(e.adjustSelection(p,t.getSelection(),i,0)),b=p.getValueInRange(e.adjustSelection(p,t.getSelection(),0,o)),S=p.getLineFirstNonWhitespaceColumn(t.getSelection().positionLineNumber),w=t.getSelections().map(function(e,t){return{selection:e,idx:t}}).sort(function(e,t){return s.Range.compareRangesUsingStarts(e.selection,t.selection)}),E=0,L=w;E<L.length;E++){var x=L[E],I=x.selection,N=x.idx,D=e.adjustSelection(p,I,i,0),M=e.adjustSelection(p,I,0,o);C!==p.getValueInRange(D)&&(D=I),b!==p.getValueInRange(M)&&(M=I);var k=I.setStartPosition(D.startLineNumber,D.startColumn).setEndPosition(M.endLineNumber,M.endColumn),T=(new c.SnippetParser).parse(n,!0,a),R=k.getStartPosition();(l||N>0&&S!==p.getLineFirstNonWhitespaceColumn(I.positionLineNumber))&&e.adjustWhitespace(p,R,T),
T.resolveVariables(new h.CompositeSnippetVariableResolver([v,new h.ClipboardBasedVariableResolver(_,N,w.length),new h.SelectionBasedVariableResolver(p,I),new h.TimeBasedVariableResolver]));var O=p.getOffsetAt(R)+y;y+=T.toString().length-p.getValueLengthInRange(k),f[N]=r.EditOperation.replace(k,T.toString()),m[N]=new g(t,T,O)}return{edits:f,snippets:m}},e.prototype.dispose=function(){i.dispose(this._snippets)},e.prototype._logInfo=function(){return'template="'+this._template+'", merged_templates="'+this._templateMerges.join(" -> ")+'"'},e.prototype.insert=function(){var t=this,n=this._editor.getModel(),i=e.createEditsAndSnippets(this._editor,this._template,this._overwriteBefore,this._overwriteAfter,!1,this._adjustWhitespace),o=i.edits,r=i.snippets;this._snippets=r;var s=n.pushEditOperations(this._editor.getSelections(),o,function(e){return t._snippets[0].hasPlaceholder?t._move(!0):e.map(function(e){return a.Selection.fromPositions(e.range.getEndPosition())})});this._editor.setSelections(s),
this._editor.revealRange(s[0])},e.prototype.merge=function(t,n,i,o){var r=this;void 0===n&&(n=0),void 0===i&&(i=0),void 0===o&&(o=!0),this._templateMerges.push([this._snippets[0]._nestingLevel,this._snippets[0]._placeholderGroupsIdx,t]);var s=e.createEditsAndSnippets(this._editor,t,n,i,!0,o),l=s.edits,u=s.snippets;this._editor.setSelections(this._editor.getModel().pushEditOperations(this._editor.getSelections(),l,function(e){for(var t=0,n=r._snippets;t<n.length;t++){n[t].merge(u)}return console.assert(0===u.length),r._snippets[0].hasPlaceholder?r._move(void 0):e.map(function(e){return a.Selection.fromPositions(e.range.getEndPosition())})}))},e.prototype.next=function(){var e=this._move(!0);this._editor.setSelections(e),this._editor.revealPositionInCenterIfOutsideViewport(e[0].getPosition())},e.prototype.prev=function(){var e=this._move(!1);this._editor.setSelections(e),this._editor.revealPositionInCenterIfOutsideViewport(e[0].getPosition())},e.prototype._move=function(e){
for(var t=[],n=0,i=this._snippets;n<i.length;n++){var o=i[n].move(e);t.push.apply(t,o)}return t},Object.defineProperty(e.prototype,"isAtFirstPlaceholder",{get:function(){return this._snippets[0].isAtFirstPlaceholder},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isAtLastPlaceholder",{get:function(){return this._snippets[0].isAtLastPlaceholder},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"hasPlaceholder",{get:function(){return this._snippets[0].hasPlaceholder},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"choice",{get:function(){return this._snippets[0].choice},enumerable:!0,configurable:!0}),e.prototype.isSelectionWithinPlaceholders=function(){if(!this.hasPlaceholder)return!1;var e=this._editor.getSelections();if(e.length<this._snippets.length)return!1;for(var t,n=function(n){var i=n.computePossibleSelections();if(t||(t=new Map,i.forEach(function(n,i){n.sort(s.Range.compareRangesUsingStarts);for(var o=0,r=e;o<r.length;o++){var a=r[o]
;if(n[0].containsRange(a)){t.set(i,[]);break}}})),0===t.size)return{value:!1};t.forEach(function(e,t){e.push.apply(e,i.get(t))})},i=0,o=this._snippets;i<o.length;i++){var r=n(o[i]);if("object"==typeof r)return r.value}return e.sort(s.Range.compareRangesUsingStarts),t.forEach(function(n,i){if(n.length===e.length){n.sort(s.Range.compareRangesUsingStarts);for(var o=0;o<n.length;o++)if(!n[o].containsRange(e[o]))return void t.delete(i)}else t.delete(i)}),t.size>0},e}();t.SnippetSession=m}),define(t[143],n([0,1,2,8,10,3,21,19,85,18,116,531]),function(e,t,n,i,o,r,s,l,d,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(t,n,i){this._editor=t,this._logService=n,this._snippetListener=[],this._inSnippet=e.InSnippetMode.bindTo(i),this._hasNextTabstop=e.HasNextTabstop.bindTo(i),this._hasPrevTabstop=e.HasPrevTabstop.bindTo(i)}return e.get=function(e){return e.getContribution("snippetController2")},e.prototype.dispose=function(){this._inSnippet.reset(),
this._hasPrevTabstop.reset(),this._hasNextTabstop.reset(),n.dispose(this._session)},e.prototype.getId=function(){return"snippetController2"},e.prototype.insert=function(e,t,n,i,o,r){void 0===t&&(t=0),void 0===n&&(n=0),void 0===i&&(i=!0),void 0===o&&(o=!0),void 0===r&&(r=!0);try{this._doInsert(e,t,n,i,o,r)}catch(t){this.cancel(),this._logService.error(t),this._logService.error("snippet_error"),this._logService.error("insert_template=",e),this._logService.error("existing_template=",this._session?this._session._logInfo():"<no_session>")}},e.prototype._doInsert=function(e,t,i,o,r,s){var a=this;void 0===t&&(t=0),void 0===i&&(i=0),void 0===o&&(o=!0),void 0===r&&(r=!0),void 0===s&&(s=!0),this._snippetListener=n.dispose(this._snippetListener),o&&this._editor.getModel().pushStackElement(),this._session?this._session.merge(e,t,i,s):(this._modelVersionId=this._editor.getModel().getAlternativeVersionId(),this._session=new p.SnippetSession(this._editor,e,t,i,s),this._session.insert()),
r&&this._editor.getModel().pushStackElement(),this._updateState(),this._snippetListener=[this._editor.onDidChangeModelContent(function(e){return e.isFlush&&a.cancel()}),this._editor.onDidChangeModel(function(){return a.cancel()}),this._editor.onDidChangeCursorSelection(function(){return a._updateState()})]},e.prototype._updateState=function(){if(this._session){if(this._modelVersionId===this._editor.getModel().getAlternativeVersionId())return this.cancel();if(!this._session.hasPlaceholder)return this.cancel();if(this._session.isAtLastPlaceholder||!this._session.isSelectionWithinPlaceholders())return this.cancel();this._inSnippet.set(!0),this._hasPrevTabstop.set(!this._session.isAtFirstPlaceholder),this._hasNextTabstop.set(!this._session.isAtLastPlaceholder),this._handleChoice()}},e.prototype._handleChoice=function(){var e=this,t=this._session.choice;if(t){if(this._currentChoice!==t){this._currentChoice=t,this._editor.setSelections(this._editor.getSelections().map(function(e){
return s.Selection.fromPositions(e.getStartPosition())}));var n=t.options[0];d.showSimpleSuggestions(this._editor,t.options.map(function(t,o){return{kind:13,label:t.value,insertText:t.value,sortText:i.repeat("a",o),range:r.Range.fromPositions(e._editor.getPosition(),e._editor.getPosition().delta(0,n.value.length))}}))}}else this._currentChoice=void 0},e.prototype.finish=function(){for(;this._inSnippet.get();)this.next()},e.prototype.cancel=function(){this._inSnippet.reset(),this._hasPrevTabstop.reset(),this._hasNextTabstop.reset(),n.dispose(this._snippetListener),n.dispose(this._session),this._session=void 0,this._modelVersionId=-1},e.prototype.prev=function(){this._session.prev(),this._updateState()},e.prototype.next=function(){this._session.next(),this._updateState()},e.prototype.isInSnippet=function(){return this._inSnippet.get()},e.InSnippetMode=new c.RawContextKey("inSnippetMode",!1),e.HasNextTabstop=new c.RawContextKey("hasNextTabstop",!1),e.HasPrevTabstop=new c.RawContextKey("hasPrevTabstop",!1),
e=a([u(1,h.ILogService),u(2,c.IContextKeyService)],e)}();t.SnippetController2=f,o.registerEditorContribution(f);var g=o.EditorCommand.bindToContribution(f.get);o.registerEditorCommand(new g({id:"jumpToNextSnippetPlaceholder",precondition:c.ContextKeyExpr.and(f.InSnippetMode,f.HasNextTabstop),handler:function(e){return e.next()},kbOpts:{weight:130,kbExpr:l.EditorContextKeys.editorTextFocus,primary:2}})),o.registerEditorCommand(new g({id:"jumpToPrevSnippetPlaceholder",precondition:c.ContextKeyExpr.and(f.InSnippetMode,f.HasPrevTabstop),handler:function(e){return e.prev()},kbOpts:{weight:130,kbExpr:l.EditorContextKeys.editorTextFocus,primary:1026}})),o.registerEditorCommand(new g({id:"leaveSnippet",precondition:f.InSnippetMode,handler:function(e){return e.cancel()},kbOpts:{weight:130,kbExpr:l.EditorContextKeys.editorTextFocus,primary:9,secondary:[1033]}})),o.registerEditorCommand(new g({id:"acceptSnippet",precondition:f.InSnippetMode,handler:function(e){return e.finish()}}))}),
define(t[533],n([0,1,22,16,11,6,2,65,21,14,470,85,143,24,261]),function(e,t,n,i,o,r,s,a,l,u,d,c,h,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var g=function(){function e(e,t,n,i){this.leadingLineContent=e.getLineContent(t.lineNumber).substr(0,t.column-1),this.leadingWord=e.getWordUntilPosition(t),this.lineNumber=t.lineNumber,this.column=t.column,this.auto=n,this.shy=i}return e.shouldAutoTrigger=function(e){var t=e.getModel();if(!t)return!1;var n=e.getPosition();t.tokenizeIfCheap(n.lineNumber);var i=t.getWordAtPosition(n);return!!i&&(i.endColumn===n.column&&!!isNaN(Number(i.word)))},e}();t.LineContext=g;var m=function(){function e(e,t){var n=this;this._editor=e,this._editorWorker=t,this._toDispose=[],this._triggerQuickSuggest=new i.TimeoutTimer,this._triggerRefilter=new i.TimeoutTimer,this._state=0,this._onDidCancel=new r.Emitter,this._onDidTrigger=new r.Emitter,this._onDidSuggest=new r.Emitter,this.onDidCancel=this._onDidCancel.event,this.onDidTrigger=this._onDidTrigger.event,
this.onDidSuggest=this._onDidSuggest.event,this._completionModel=null,this._context=null,this._currentSelection=this._editor.getSelection()||new l.Selection(1,1,1,1),this._toDispose.push(this._editor.onDidChangeModel(function(){n._updateTriggerCharacters(),n.cancel()})),this._toDispose.push(this._editor.onDidChangeModelLanguage(function(){n._updateTriggerCharacters(),n.cancel()})),this._toDispose.push(this._editor.onDidChangeConfiguration(function(){n._updateTriggerCharacters(),n._updateQuickSuggest()})),this._toDispose.push(u.CompletionProviderRegistry.onDidChange(function(){n._updateTriggerCharacters(),n._updateActiveSuggestSession()})),this._toDispose.push(this._editor.onDidChangeCursorSelection(function(e){n._onCursorChange(e)}));var o=!1;this._toDispose.push(this._editor.onCompositionStart(function(){o=!0})),this._toDispose.push(this._editor.onCompositionEnd(function(){o=!1,n._refilterCompletionItems()})),this._toDispose.push(this._editor.onDidChangeModelContent(function(){o||n._refilterCompletionItems()
})),this._updateTriggerCharacters(),this._updateQuickSuggest()}return e.prototype.dispose=function(){s.dispose([this._onDidCancel,this._onDidSuggest,this._onDidTrigger,this._triggerCharacterListener,this._triggerQuickSuggest,this._triggerRefilter]),this._toDispose=s.dispose(this._toDispose),s.dispose(this._completionModel),this.cancel()},e.prototype._updateQuickSuggest=function(){this._quickSuggestDelay=this._editor.getConfiguration().contribInfo.quickSuggestionsDelay,(isNaN(this._quickSuggestDelay)||!this._quickSuggestDelay&&0!==this._quickSuggestDelay||this._quickSuggestDelay<0)&&(this._quickSuggestDelay=10)},e.prototype._updateTriggerCharacters=function(){var e=this;if(s.dispose(this._triggerCharacterListener),!this._editor.getConfiguration().readOnly&&this._editor.getModel()&&this._editor.getConfiguration().contribInfo.suggestOnTriggerCharacters){for(var t=Object.create(null),i=0,o=u.CompletionProviderRegistry.all(this._editor.getModel());i<o.length;i++){var r=o[i]
;if(!n.isFalsyOrEmpty(r.triggerCharacters))for(var l=0,d=r.triggerCharacters;l<d.length;l++){var h=d[l],p=t[h];p||(p=t[h]=new Set).add(c.getSnippetSuggestSupport()),p.add(r)}}this._triggerCharacterListener=this._editor.onDidType(function(n){var i=n.charAt(n.length-1),o=t[i];if(o){var r=e._completionModel?e._completionModel.adopt(o):void 0;e.trigger({auto:!0,triggerCharacter:i},Boolean(e._completionModel),a.values(o),r)}})}},Object.defineProperty(e.prototype,"state",{get:function(){return this._state},enumerable:!0,configurable:!0}),e.prototype.cancel=function(e){void 0===e&&(e=!1),this._triggerRefilter.cancel(),this._triggerQuickSuggest&&this._triggerQuickSuggest.cancel(),this._requestToken&&this._requestToken.cancel(),this._state=0,s.dispose(this._completionModel),this._completionModel=null,this._context=null,this._onDidCancel.fire({retrigger:e})},e.prototype._updateActiveSuggestSession=function(){0!==this._state&&(u.CompletionProviderRegistry.has(this._editor.getModel())?this.trigger({auto:2===this._state
},!0):this.cancel())},e.prototype._onCursorChange=function(e){var t=this,n=this._currentSelection;if(this._currentSelection=this._editor.getSelection(),!e.selection.isEmpty()||0!==e.reason||"keyboard"!==e.source&&"deleteLeft"!==e.source)0!==this._state&&this.cancel();else if(u.CompletionProviderRegistry.has(this._editor.getModel())){if(this._editor.getModel()&&0===this._state){if(!1===this._editor.getConfiguration().contribInfo.quickSuggestions)return;if(!n.containsRange(this._currentSelection)&&!n.getEndPosition().isBeforeOrEqual(this._currentSelection.getPosition()))return;if(this._editor.getConfiguration().contribInfo.suggest.snippetsPreventQuickSuggestions&&h.SnippetController2.get(this._editor).isInSnippet())return;this.cancel(),this._triggerQuickSuggest.cancelAndSet(function(){if(g.shouldAutoTrigger(t._editor)){var e=t._editor.getModel(),n=t._editor.getPosition();if(e){var i=t._editor.getConfiguration().contribInfo.quickSuggestions;if(!1!==i){if(!0===i);else{e.tokenizeIfCheap(n.lineNumber)
;var o=e.getLineTokens(n.lineNumber),r=o.getStandardTokenType(o.findTokenIndexAtOffset(Math.max(n.column-1-1,0)));if(!(i.other&&0===r||i.comments&&1===r||i.strings&&2===r))return}t.trigger({auto:!0})}}}},this._quickSuggestDelay)}}},e.prototype._refilterCompletionItems=function(){var e=this;if(0!==this._state){var t=this._editor.getModel();t&&this._triggerRefilter.cancelAndSet(function(){var n=e._editor.getPosition(),i=new g(t,n,2===e._state,!1);e._onNewContext(i)},25)}},e.prototype.trigger=function(e,t,i,r){var a=this;void 0===t&&(t=!1);var l=this._editor.getModel();if(l){var u=e.auto,h=new g(l,this._editor.getPosition(),u,e.shy);this.cancel(t),this._state=u?2:1,this._onDidTrigger.fire({auto:u,shy:e.shy}),this._context=h;var m;m=e.triggerCharacter?{triggerKind:1,triggerCharacter:e.triggerCharacter}:i&&i.length?{triggerKind:2}:{triggerKind:0},this._requestToken=new p.CancellationTokenSource
;var v=f.WordDistance.create(this._editorWorker,this._editor),_=c.provideSuggestionItems(l,this._editor.getPosition(),this._editor.getConfiguration().contribInfo.suggest.snippets,i,m,this._requestToken.token);Promise.all([_,v]).then(function(t){var i=t[0],o=t[1];if(a._requestToken.dispose(),0!==a._state){var l=a._editor.getModel();if(l){if(!n.isFalsyOrEmpty(r)){var h=c.getSuggestionComparator(a._editor.getConfiguration().contribInfo.suggest.snippets);i=i.concat(r).sort(h)}var p=new g(l,a._editor.getPosition(),u,e.shy);s.dispose(a._completionModel),a._completionModel=new d.CompletionModel(i,a._context.column,{leadingLineContent:p.leadingLineContent,characterCountDelta:a._context?p.column-a._context.column:0},o,a._editor.getConfiguration().contribInfo.suggest),a._onNewContext(p)}}}).catch(o.onUnexpectedError)}},e.prototype._onNewContext=function(e){if(this._context)if(e.lineNumber===this._context.lineNumber){
if(e.leadingWord.startColumn<this._context.leadingWord.startColumn)this.cancel();else if(e.column<this._context.column)e.leadingWord.word?this.trigger({auto:this._context.auto},!0):this.cancel();else if(this._completionModel)if(e.column>this._context.column&&this._completionModel.incomplete.size>0&&0!==e.leadingWord.word.length){var t=this._completionModel.incomplete,n=this._completionModel.adopt(t);this.trigger({auto:2===this._state},!0,a.values(t),n)}else{var i=this._completionModel.lineContext,o=!1;if(this._completionModel.lineContext={leadingLineContent:e.leadingLineContent,characterCountDelta:e.column-this._context.column},0===this._completionModel.items.length){if(g.shouldAutoTrigger(this._editor)&&this._context.leadingWord.endColumn<e.leadingWord.startColumn)return void this.trigger({auto:this._context.auto},!0);if(this._context.auto)return void this.cancel();if(this._completionModel.lineContext=i,(o=this._completionModel.items.length>0)&&0===e.leadingWord.word.length)return void this.cancel()}
this._onDidSuggest.fire({completionModel:this._completionModel,auto:this._context.auto,shy:this._context.shy,isFrozen:o})}}else this.cancel()},e}();t.SuggestModel=m}),define(t[534],n([0,1,339,100,8,6,11,2,7,277,55,47,18,85,43,70,86,13,20,71,120,63,62,16,24,14,118,428,42,25,15,162,383]),function(e,t,n,i,o,r,s,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,I,N,D,M,k,T,R,O){"use strict";function P(e){return e&&e.match(F)?e:null}function A(e){if(!e)return!1;var t=e.suggestion;return!!t.documentation||t.detail&&t.detail!==t.label}Object.defineProperty(t,"__esModule",{value:!0});t.editorSuggestWidgetBackground=b.registerColor("editorSuggestWidget.background",{dark:b.editorWidgetBackground,light:b.editorWidgetBackground,hc:b.editorWidgetBackground},n.localize(0,null)),t.editorSuggestWidgetBorder=b.registerColor("editorSuggestWidget.border",{dark:b.editorWidgetBorder,light:b.editorWidgetBorder,hc:b.editorWidgetBorder},n.localize(1,null)),t.editorSuggestWidgetForeground=b.registerColor("editorSuggestWidget.foreground",{
dark:b.editorForeground,light:b.editorForeground,hc:b.editorForeground},n.localize(2,null)),t.editorSuggestWidgetSelectedBackground=b.registerColor("editorSuggestWidget.selectedBackground",{dark:b.listFocusBackground,light:b.listFocusBackground,hc:b.listFocusBackground},n.localize(3,null)),t.editorSuggestWidgetHighlightForeground=b.registerColor("editorSuggestWidget.highlightForeground",{dark:b.listHighlightForeground,light:b.listHighlightForeground,hc:b.listHighlightForeground},n.localize(4,null));var F=/^(#([\da-f]{3}){1,2}|(rgb|hsl)a\(\s*(\d{1,3}%?\s*,\s*){3}(1|0?\.\d+)\)|(rgb|hsl)\(\s*\d{1,3}%?(\s*,\s*\d{1,3}%?){2}\s*\))$/i,W=function(){function e(e,t,n,i,o,r){this.widget=e,this.editor=t,this.triggerKeybindingLabel=n,this._modelService=i,this._modeService=o,this._themeService=r}return Object.defineProperty(e.prototype,"templateId",{get:function(){return"suggestion"},enumerable:!0,configurable:!0}),e.prototype.renderTemplate=function(e){var t=this,i=Object.create(null);i.disposables=[],i.root=e,
c.addClass(i.root,"show-file-icons"),i.icon=c.append(e,c.$(".icon")),i.colorspan=c.append(i.icon,c.$("span.colorspan"));var o=c.append(e,c.$(".contents")),s=c.append(o,c.$(".main"));i.iconLabel=new D.IconLabel(s,{supportHighlights:!0}),i.disposables.push(i.iconLabel),i.typeLabel=c.append(s,c.$("span.type-label")),i.readMore=c.append(s,c.$("span.readMore")),i.readMore.title=n.localize(5,null,this.triggerKeybindingLabel);var a=function(){var e=t.editor.getConfiguration(),n=e.fontInfo.fontFamily,o=e.contribInfo.suggestFontSize||e.fontInfo.fontSize,r=e.contribInfo.suggestLineHeight||e.fontInfo.lineHeight,a=e.fontInfo.fontWeight,l=o+"px",u=r+"px";i.root.style.fontSize=l,i.root.style.fontWeight=a,s.style.fontFamily=n,s.style.lineHeight=u,i.icon.style.height=u,i.icon.style.width=u,i.readMore.style.height=u,i.readMore.style.width=u};return a(),r.chain(this.editor.onDidChangeConfiguration.bind(this.editor)).filter(function(e){return e.fontInfo||e.contribInfo}).on(a,null,i.disposables),i},
e.prototype.renderElement=function(e,t,n){var o=this,r=n,s=e.suggestion;r.icon.className="icon "+N.completionKindToCssClass(s.kind),r.colorspan.style.backgroundColor="";var a,l={labelEscapeNewLines:!0,matches:i.createMatches(e.matches)};19===s.kind&&(a=P(s.label)||"string"==typeof s.documentation&&P(s.documentation))?(r.icon.className="icon customcolor",r.colorspan.style.backgroundColor=a):20===s.kind&&this._themeService.getIconTheme().hasFileIcons?(r.icon.className="icon hide",l.extraClasses=[].concat(M.getIconClasses(this._modelService,this._modeService,T.URI.from({scheme:"fake",path:s.label}),O.FileKind.FILE),M.getIconClasses(this._modelService,this._modeService,T.URI.from({scheme:"fake",path:s.detail}),O.FileKind.FILE))):23===s.kind&&this._themeService.getIconTheme().hasFolderIcons?(r.icon.className="icon hide",l.extraClasses=[].concat(M.getIconClasses(this._modelService,this._modeService,T.URI.from({scheme:"fake",path:s.label
}),O.FileKind.FOLDER),M.getIconClasses(this._modelService,this._modeService,T.URI.from({scheme:"fake",path:s.detail}),O.FileKind.FOLDER))):(r.icon.className="icon hide",l.extraClasses=["suggest-icon "+N.completionKindToCssClass(s.kind)]),r.iconLabel.setValue(s.label,void 0,l),r.typeLabel.textContent=(s.detail||"").replace(/\n.*$/m,""),A(e)?(c.show(r.readMore),r.readMore.onmousedown=function(e){e.stopPropagation(),e.preventDefault()},r.readMore.onclick=function(e){e.stopPropagation(),e.preventDefault(),o.widget.toggleDetails()}):(c.hide(r.readMore),r.readMore.onmousedown=null,r.readMore.onclick=null)},e.prototype.disposeElement=function(){},e.prototype.disposeTemplate=function(e){e.disposables=d.dispose(e.disposables)},e=a([u(3,k.IModelService),u(4,E.IModeService),u(5,C.IThemeService)],e)}(),V=function(){function e(e,t,i,o,s){var a=this;this.widget=t,this.editor=i,this.markdownRenderer=o,this.triggerKeybindingLabel=s,this.borderWidth=1,this.disposables=[],this.el=c.append(e,c.$(".details")),
this.disposables.push(d.toDisposable(function(){return e.removeChild(a.el)})),this.body=c.$(".body"),this.scrollbar=new p.DomScrollableElement(this.body,{}),c.append(this.el,this.scrollbar.getDomNode()),this.disposables.push(this.scrollbar),this.header=c.append(this.body,c.$(".header")),this.close=c.append(this.header,c.$("span.close")),this.close.title=n.localize(6,null,this.triggerKeybindingLabel),this.type=c.append(this.header,c.$("p.type")),this.docs=c.append(this.body,c.$("p.docs")),this.ariaLabel=null,this.configureFont(),r.chain(this.editor.onDidChangeConfiguration.bind(this.editor)).filter(function(e){return e.fontInfo}).on(this.configureFont,this,this.disposables),o.onDidRenderCodeBlock(function(){return a.scrollbar.scanDomNode()},this,this.disposables)}return Object.defineProperty(e.prototype,"element",{get:function(){return this.el},enumerable:!0,configurable:!0}),e.prototype.render=function(e){var t=this;if(this.renderDisposeable=d.dispose(this.renderDisposeable),
!e||!A(e))return this.type.textContent="",this.docs.textContent="",c.addClass(this.el,"no-docs"),void(this.ariaLabel=null);if(c.removeClass(this.el,"no-docs"),"string"==typeof e.suggestion.documentation)c.removeClass(this.docs,"markdown-docs"),this.docs.textContent=e.suggestion.documentation;else{c.addClass(this.docs,"markdown-docs"),this.docs.innerHTML="";var n=this.markdownRenderer.render(e.suggestion.documentation);this.renderDisposeable=n,this.docs.appendChild(n.element)}e.suggestion.detail?(this.type.innerText=e.suggestion.detail,c.show(this.type)):(this.type.innerText="",c.hide(this.type)),this.el.style.height=this.header.offsetHeight+this.docs.offsetHeight+2*this.borderWidth+"px",this.close.onmousedown=function(e){e.preventDefault(),e.stopPropagation()},this.close.onclick=function(e){e.preventDefault(),e.stopPropagation(),t.widget.toggleDetails()},this.body.scrollTop=0,this.scrollbar.scanDomNode(),
this.ariaLabel=o.format("{0}{1}",e.suggestion.detail||"",e.suggestion.documentation?"string"==typeof e.suggestion.documentation?e.suggestion.documentation:e.suggestion.documentation.value:"")},e.prototype.getAriaLabel=function(){return this.ariaLabel},e.prototype.scrollDown=function(e){void 0===e&&(e=8),this.body.scrollTop+=e},e.prototype.scrollUp=function(e){void 0===e&&(e=8),this.body.scrollTop-=e},e.prototype.scrollTop=function(){this.body.scrollTop=0},e.prototype.scrollBottom=function(){this.body.scrollTop=this.body.scrollHeight},e.prototype.pageDown=function(){this.scrollDown(80)},e.prototype.pageUp=function(){this.scrollUp(80)},e.prototype.setBorderWidth=function(e){this.borderWidth=e},e.prototype.configureFont=function(){var e=this.editor.getConfiguration(),t=e.fontInfo.fontFamily,n=e.contribInfo.suggestFontSize||e.fontInfo.fontSize,i=e.contribInfo.suggestLineHeight||e.fontInfo.lineHeight,o=e.fontInfo.fontWeight,r=n+"px",s=i+"px";this.el.style.fontSize=r,this.el.style.fontWeight=o,
this.type.style.fontFamily=t,this.close.style.height=s,this.close.style.width=s},e.prototype.dispose=function(){this.disposables=d.dispose(this.disposables),this.renderDisposeable=d.dispose(this.renderDisposeable)},e}(),H=function(){function e(e,n,i,o,s,a,l,u,d){var p=this;this.editor=e,this.telemetryService=n,this.allowEditorOverflow=!0,this.ignoreFocusEvents=!1,this.editorBlurTimeout=new x.TimeoutTimer,this.showTimeout=new x.TimeoutTimer,this.onDidSelectEmitter=new r.Emitter,this.onDidFocusEmitter=new r.Emitter,this.onDidHideEmitter=new r.Emitter,this.onDidShowEmitter=new r.Emitter,this.onDidSelect=this.onDidSelectEmitter.event,this.onDidFocus=this.onDidFocusEmitter.event,this.onDidHide=this.onDidHideEmitter.event,this.onDidShow=this.onDidShowEmitter.event,this.maxWidgetWidth=660,this.listWidth=330,this.storageServiceAvailable=!0,this.expandSuggestionDocs=!1,this.firstFocusInCurrentList=!1;var f=a.lookupKeybinding("editor.action.triggerSuggest"),g=f?" ("+f.getLabel()+")":"",v=new w.MarkdownRenderer(e,l,u)
;this.isAuto=!1,this.focusedItem=null,this.storageService=s,this.storageService.store("___suggest___",!0,0),this.storageService.get("___suggest___",0)||(this.storageServiceAvailable=!1),this.storageService.remove("___suggest___",0),this.element=c.$(".editor-widget.suggest-widget"),this.editor.getConfiguration().contribInfo.iconsInSuggestions||c.addClass(this.element,"no-icons"),this.messageElement=c.append(this.element,c.$(".message")),this.listElement=c.append(this.element,c.$(".tree")),this.details=new V(this.element,this,this.editor,v,g);var _=d.createInstance(W,this,this.editor,g);this.list=new h.List(this.listElement,this,[_],{useShadows:!1,selectOnMouseDown:!0,focusOnMouseDown:!1,openController:{shouldOpen:function(){return!1}}}),this.toDispose=[y.attachListStyler(this.list,o,{listInactiveFocusBackground:t.editorSuggestWidgetSelectedBackground,listInactiveFocusOutline:b.activeContrastBorder}),o.onThemeChange(function(e){return p.onThemeChange(e)}),e.onDidLayoutChange(function(){
return p.onEditorLayoutChange()}),this.list.onSelectionChange(function(e){return p.onListSelection(e)}),this.list.onFocusChange(function(e){return p.onListFocus(e)}),this.editor.onDidChangeCursorSelection(function(){return p.onCursorSelectionChanged()})],this.suggestWidgetVisible=m.Context.Visible.bindTo(i),this.suggestWidgetMultipleSuggestions=m.Context.MultipleSuggestions.bindTo(i),this.editor.addContentWidget(this),this.setState(0),this.onThemeChange(o.getTheme())}return e.prototype.onCursorSelectionChanged=function(){0!==this.state&&this.editor.layoutContentWidget(this)},e.prototype.onEditorLayoutChange=function(){3!==this.state&&5!==this.state||!this.expandDocsSettingFromStorage()||this.expandSideOrBelow()},e.prototype.onListSelection=function(e){var t=this;if(e.elements.length){var i=e.elements[0],o=e.indexes[0];i.resolve(I.CancellationToken.None).then(function(){t.onDidSelectEmitter.fire({item:i,index:o,model:t.completionModel}),v.alert(n.localize(9,null,i.suggestion.label)),t.editor.focus()})}},
e.prototype._getSuggestionAriaAlertLabel=function(e){var t=25===e.suggestion.kind;return A(e)?this.expandDocsSettingFromStorage()?t?n.localize(12,null,e.suggestion.label,this.details.getAriaLabel()):n.localize(13,null,e.suggestion.label,this.details.getAriaLabel()):t?n.localize(14,null,e.suggestion.label):n.localize(15,null,e.suggestion.label):t?n.localize(10,null,e.suggestion.label):n.localize(11,null,e.suggestion.label)},e.prototype._ariaAlert=function(e){this._lastAriaAlertLabel!==e&&(this._lastAriaAlertLabel=e,this._lastAriaAlertLabel&&v.alert(this._lastAriaAlertLabel))},e.prototype.onThemeChange=function(e){var n=e.getColor(t.editorSuggestWidgetBackground);n&&(this.listElement.style.backgroundColor=n.toString(),this.details.element.style.backgroundColor=n.toString(),this.messageElement.style.backgroundColor=n.toString());var i=e.getColor(t.editorSuggestWidgetBorder);i&&(this.listElement.style.borderColor=i.toString(),this.details.element.style.borderColor=i.toString(),
this.messageElement.style.borderColor=i.toString(),this.detailsBorderColor=i.toString());var o=e.getColor(b.focusBorder);o&&(this.detailsFocusBorderColor=o.toString()),this.details.setBorderWidth("hc"===e.type?2:1)},e.prototype.onListFocus=function(e){var t=this;if(!this.ignoreFocusEvents){if(!e.elements.length)return this.currentSuggestionDetails&&(this.currentSuggestionDetails.cancel(),this.currentSuggestionDetails=null,this.focusedItem=null),void this._ariaAlert(null);var n=e.elements[0],i=e.indexes[0];this.firstFocusInCurrentList=!this.focusedItem,n!==this.focusedItem&&(this.currentSuggestionDetails&&(this.currentSuggestionDetails.cancel(),this.currentSuggestionDetails=null),this.focusedItem=n,this.list.reveal(i),this.currentSuggestionDetails=x.createCancelablePromise(function(e){return n.resolve(e)}),this.currentSuggestionDetails.then(function(){t.list.length<i||(t.ignoreFocusEvents=!0,t.list.splice(i,1,[n]),t.list.setFocus([i]),t.ignoreFocusEvents=!1,
t.expandDocsSettingFromStorage()?t.showDetails():c.removeClass(t.element,"docs-side"),t._ariaAlert(t._getSuggestionAriaAlertLabel(n)))}).catch(s.onUnexpectedError).then(function(){t.focusedItem===n&&(t.currentSuggestionDetails=null)})),this.onDidFocusEmitter.fire({item:n,index:i,model:this.completionModel})}},e.prototype.setState=function(t){if(this.element){var n=this.state!==t;switch(this.state=t,c.toggleClass(this.element,"frozen",4===t),t){case 0:c.hide(this.messageElement,this.details.element,this.listElement),this.hide(),this.listHeight=0,n&&this.list.splice(0,this.list.length),this.focusedItem=null;break;case 1:this.messageElement.textContent=e.LOADING_MESSAGE,c.hide(this.listElement,this.details.element),c.show(this.messageElement),c.removeClass(this.element,"docs-side"),this.show(),this.focusedItem=null;break;case 2:this.messageElement.textContent=e.NO_SUGGESTIONS_MESSAGE,c.hide(this.listElement,this.details.element),c.show(this.messageElement),c.removeClass(this.element,"docs-side"),this.show(),
this.focusedItem=null;break;case 3:case 4:c.hide(this.messageElement),c.show(this.listElement),this.show();break;case 5:c.hide(this.messageElement),c.show(this.details.element,this.listElement),this.show(),this._ariaAlert(this.details.getAriaLabel())}}},e.prototype.showTriggered=function(e,t){var n=this;0===this.state&&(this.isAuto=!!e,this.isAuto||(this.loadingTimeout=setTimeout(function(){n.loadingTimeout=null,n.setState(1)},t)))},e.prototype.showSuggestions=function(e,t,n,i){if(this.loadingTimeout&&(clearTimeout(this.loadingTimeout),this.loadingTimeout=null),this.currentSuggestionDetails&&(this.currentSuggestionDetails.cancel(),this.currentSuggestionDetails=null),this.completionModel!==e&&(this.completionModel=e),n&&2!==this.state&&0!==this.state)this.setState(4);else{var o=this.completionModel.items.length,r=0===o;if(this.suggestWidgetMultipleSuggestions.set(o>1),r)i?this.setState(0):this.setState(2),this.completionModel=null;else{if(3!==this.state){var s=this.completionModel.stats
;s.wasAutomaticallyTriggered=!!i,this.telemetryService.publicLog("suggestWidget",l({},s,this.editor.getTelemetryData()))}this.focusedItem=null,this.list.splice(0,this.list.length,this.completionModel.items),n?this.setState(4):this.setState(3),this.list.reveal(t,t),this.list.setFocus([t]),this.detailsBorderColor&&(this.details.element.style.borderColor=this.detailsBorderColor)}}},e.prototype.selectNextPage=function(){switch(this.state){case 0:return!1;case 5:return this.details.pageDown(),!0;case 1:return!this.isAuto;default:return this.list.focusNextPage(),!0}},e.prototype.selectNext=function(){switch(this.state){case 0:return!1;case 1:return!this.isAuto;default:return this.list.focusNext(1,!0),!0}},e.prototype.selectLast=function(){switch(this.state){case 0:return!1;case 5:return this.details.scrollBottom(),!0;case 1:return!this.isAuto;default:return this.list.focusLast(),!0}},e.prototype.selectPreviousPage=function(){switch(this.state){case 0:return!1;case 5:return this.details.pageUp(),!0;case 1:
return!this.isAuto;default:return this.list.focusPreviousPage(),!0}},e.prototype.selectPrevious=function(){switch(this.state){case 0:return!1;case 1:return!this.isAuto;default:return this.list.focusPrevious(1,!0),!1}},e.prototype.selectFirst=function(){switch(this.state){case 0:return!1;case 5:return this.details.scrollTop(),!0;case 1:return!this.isAuto;default:return this.list.focusFirst(),!0}},e.prototype.getFocusedItem=function(){if(0!==this.state&&2!==this.state&&1!==this.state)return{item:this.list.getFocusedElements()[0],index:this.list.getFocus()[0],model:this.completionModel}},e.prototype.toggleDetailsFocus=function(){5===this.state?(this.setState(3),this.detailsBorderColor&&(this.details.element.style.borderColor=this.detailsBorderColor)):3===this.state&&this.expandDocsSettingFromStorage()&&(this.setState(5),this.detailsFocusBorderColor&&(this.details.element.style.borderColor=this.detailsFocusBorderColor)),
this.telemetryService.publicLog("suggestWidget:toggleDetailsFocus",this.editor.getTelemetryData())},e.prototype.toggleDetails=function(){if(A(this.list.getFocusedElements()[0]))if(this.expandDocsSettingFromStorage())this.updateExpandDocsSetting(!1),c.hide(this.details.element),c.removeClass(this.element,"docs-side"),c.removeClass(this.element,"docs-below"),this.editor.layoutContentWidget(this),this.telemetryService.publicLog("suggestWidget:collapseDetails",this.editor.getTelemetryData());else{if(3!==this.state&&5!==this.state&&4!==this.state)return;this.updateExpandDocsSetting(!0),this.showDetails(),this._ariaAlert(this.details.getAriaLabel()),this.telemetryService.publicLog("suggestWidget:expandDetails",this.editor.getTelemetryData())}},e.prototype.showDetails=function(){this.expandSideOrBelow(),c.show(this.details.element),this.details.render(this.list.getFocusedElements()[0]),this.details.element.style.maxHeight=this.maxWidgetHeight+"px",this.listElement.style.marginTop="0px",
this.editor.layoutContentWidget(this),this.adjustDocsPosition(),this.editor.focus()},e.prototype.show=function(){var e=this,t=this.updateListHeight();t!==this.listHeight&&(this.editor.layoutContentWidget(this),this.listHeight=t),this.suggestWidgetVisible.set(!0),this.showTimeout.cancelAndSet(function(){c.addClass(e.element,"visible"),e.onDidShowEmitter.fire(e)},100)},e.prototype.hide=function(){this.suggestWidgetVisible.reset(),this.suggestWidgetMultipleSuggestions.reset(),c.removeClass(this.element,"visible")},e.prototype.hideWidget=function(){clearTimeout(this.loadingTimeout),this.setState(0),this.onDidHideEmitter.fire(this)},e.prototype.getPosition=function(){return 0===this.state?null:{position:this.editor.getPosition(),preference:[2,1]}},e.prototype.getDomNode=function(){return this.element},e.prototype.getId=function(){return e.ID},e.prototype.updateListHeight=function(){var e=0;if(2===this.state||1===this.state)e=this.unfocusedHeight;else{var t=this.list.contentHeight/this.unfocusedHeight
;e=Math.min(t,12)*this.unfocusedHeight}return this.element.style.lineHeight=this.unfocusedHeight+"px",this.listElement.style.height=e+"px",this.list.layout(e),e},e.prototype.adjustDocsPosition=function(){var e=this.editor.getConfiguration().fontInfo.lineHeight,t=this.editor.getScrolledVisiblePosition(this.editor.getPosition()),n=c.getDomNodePagePosition(this.editor.getDomNode()),i=n.left+t.left,o=n.top+t.top+t.height,r=c.getDomNodePagePosition(this.element),s=r.left,a=r.top;s<i-this.listWidth?c.addClass(this.element,"list-right"):c.removeClass(this.element,"list-right"),c.hasClass(this.element,"docs-side")&&o-e>a&&this.details.element.offsetHeight>this.listElement.offsetHeight&&(this.listElement.style.marginTop=this.details.element.offsetHeight-this.listElement.offsetHeight+"px")},e.prototype.expandSideOrBelow=function(){if(!A(this.focusedItem)&&this.firstFocusInCurrentList)return c.removeClass(this.element,"docs-side"),void c.removeClass(this.element,"docs-below")
;var e=this.element.style.maxWidth.match(/(\d+)px/);!e||Number(e[1])<this.maxWidgetWidth?(c.addClass(this.element,"docs-below"),c.removeClass(this.element,"docs-side")):A(this.focusedItem)&&(c.addClass(this.element,"docs-side"),c.removeClass(this.element,"docs-below"))},Object.defineProperty(e.prototype,"maxWidgetHeight",{get:function(){return 12*this.unfocusedHeight},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"unfocusedHeight",{get:function(){var e=this.editor.getConfiguration();return e.contribInfo.suggestLineHeight||e.fontInfo.lineHeight},enumerable:!0,configurable:!0}),e.prototype.getHeight=function(e){return this.unfocusedHeight},e.prototype.getTemplateId=function(e){return"suggestion"},e.prototype.expandDocsSettingFromStorage=function(){return this.storageServiceAvailable?this.storageService.getBoolean("expandSuggestionDocs",0,!1):this.expandSuggestionDocs},e.prototype.updateExpandDocsSetting=function(e){
this.storageServiceAvailable?this.storageService.store("expandSuggestionDocs",e,0):this.expandSuggestionDocs=e},e.prototype.dispose=function(){this.state=null,this.currentSuggestionDetails=null,this.focusedItem=null,this.element=null,this.messageElement=null,this.listElement=null,this.details.dispose(),this.details=null,this.list.dispose(),this.list=null,this.toDispose=d.dispose(this.toDispose),this.loadingTimeout&&(clearTimeout(this.loadingTimeout),this.loadingTimeout=null),this.editorBlurTimeout.dispose(),this.showTimeout.dispose()},e.ID="editor.widget.suggestWidget",e.LOADING_MESSAGE=n.localize(7,null),e.NO_SUGGESTIONS_MESSAGE=n.localize(8,null),e=a([u(1,_.ITelemetryService),u(2,g.IContextKeyService),u(3,C.IThemeService),u(4,S.IStorageService),u(5,f.IKeybindingService),u(6,E.IModeService),u(7,L.IOpenerService),u(8,R.IInstantiationService)],e)}();t.SuggestWidget=H,C.registerThemingParticipant(function(e,n){var i=e.getColor(t.editorSuggestWidgetHighlightForeground)
;i&&n.addRule(".monaco-editor .suggest-widget .monaco-list .monaco-list-row .monaco-highlighted-label .highlight { color: "+i+"; }");var o=e.getColor(t.editorSuggestWidgetForeground);o&&n.addRule(".monaco-editor .suggest-widget { color: "+o+"; }");var r=e.getColor(b.textLinkForeground);r&&n.addRule(".monaco-editor .suggest-widget a { color: "+r+"; }");var s=e.getColor(b.textCodeBlockBackground);s&&n.addRule(".monaco-editor .suggest-widget code { background-color: "+s+"; }")})}),define(t[535],n([0,1,43,22,11,2,10,49,3,54,19,143,111,442,338,31,18,15,85,405,533,534,406,6,64,16]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,I,N){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var D=function(){function e(e,t,n){var i=this;this._disposables=[],this._activeAcceptCharacters=new Set,this._disposables.push(t.onDidShow(function(){return i._onItem(t.getFocusedItem())})),this._disposables.push(t.onDidFocus(this._onItem,this)),this._disposables.push(t.onDidHide(this.reset,this)),
this._disposables.push(e.onWillType(function(t){if(i._activeItem){var o=t[t.length-1];i._activeAcceptCharacters.has(o)&&e.getConfiguration().contribInfo.acceptSuggestionOnCommitCharacter&&n(i._activeItem)}}))}return e.prototype._onItem=function(e){if(e&&!i.isFalsyOrEmpty(e.item.suggestion.commitCharacters)){this._activeItem=e,this._activeAcceptCharacters.clear();for(var t=0,n=e.item.suggestion.commitCharacters;t<n.length;t++){var o=n[t];o.length>0&&this._activeAcceptCharacters.add(o[0])}}else this.reset()},e.prototype.reset=function(){this._activeItem=void 0},e.prototype.dispose=function(){s.dispose(this._disposables)},e}(),M=function(){function e(e,t,n,i,o){var r=this;this._editor=e,this._commandService=n,this._contextKeyService=i,this._instantiationService=o,this._toDispose=[],this._sticky=!1,this._model=new w.SuggestModel(this._editor,t),this._memory=new N.IdleValue(function(){var e=o.createInstance(m.SuggestMemories,r._editor);return r._toDispose.push(e),e}),this._alternatives=new N.IdleValue(function(){
var e=new S.SuggestAlternatives(r._editor,r._contextKeyService);return r._toDispose.push(e),e}),this._toDispose.push(o.createInstance(L.WordContextKey,e)),this._toDispose.push(this._model.onDidTrigger(function(e){r._widget||r._createSuggestWidget(),r._widget.showTriggered(e.auto,e.shy?250:50)})),this._toDispose.push(this._model.onDidSuggest(function(e){if(!e.shy){var t=r._memory.getValue().select(r._editor.getModel(),r._editor.getPosition(),e.completionModel.items);r._widget.showSuggestions(e.completionModel,t,e.isFrozen,e.auto)}})),this._toDispose.push(this._model.onDidCancel(function(e){r._widget&&!e.retrigger&&r._widget.hideWidget()})),this._toDispose.push(this._editor.onDidBlurEditorText(function(){r._sticky||r._model.cancel()}));var s=b.Context.AcceptSuggestionsOnEnter.bindTo(i),a=function(){var e=r._editor.getConfiguration().contribInfo.acceptSuggestionOnEnter;s.set("on"===e||"smart"===e)};this._toDispose.push(this._editor.onDidChangeConfiguration(function(e){return a()})),a()}return e.get=function(t){
return t.getContribution(e.ID)},e.prototype._createSuggestWidget=function(){var e=this;this._widget=this._instantiationService.createInstance(E.SuggestWidget,this._editor),this._toDispose.push(this._widget.onDidSelect(function(t){return e._onDidSelectItem(t,!1,!0)},this));var t=new D(this._editor,this._widget,function(t){return e._onDidSelectItem(t,!1,!0)});this._toDispose.push(t,this._model.onDidSuggest(function(e){0===e.completionModel.items.length&&t.reset()}));var n=b.Context.MakesTextEdit.bindTo(this._contextKeyService);this._toDispose.push(this._widget.onDidFocus(function(t){var i=t.item,o=e._editor.getPosition(),r=i.suggestion.range.startColumn,s=o.column,a=!0;if(!("smart"!==e._editor.getConfiguration().contribInfo.acceptSuggestionOnEnter||2!==e._model.state||i.suggestion.command||i.suggestion.additionalTextEdits||4&i.suggestion.insertTextRules||s-r!==i.suggestion.insertText.length)){a=e._editor.getModel().getValueInRange({startLineNumber:o.lineNumber,startColumn:r,endLineNumber:o.lineNumber,
endColumn:s})!==i.suggestion.insertText}n.set(a)})),this._toDispose.push({dispose:function(){n.reset()}})},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._toDispose=s.dispose(this._toDispose),this._widget&&(this._widget.dispose(),this._widget=null),this._model&&(this._model.dispose(),this._model=null)},e.prototype._onDidSelectItem=function(e,t,n){var i,o=this;if(!e||!e.item)return this._alternatives.getValue().reset(),void this._model.cancel();var s=this._editor.getModel(),a=s.getAlternativeVersionId(),l=e.item,u=l.suggestion,h=l.position,p=this._editor.getPosition().column-h.column;n&&this._editor.pushUndoStop(),Array.isArray(u.additionalTextEdits)&&this._editor.executeEdits("suggestController.additionalTextEdits",u.additionalTextEdits.map(function(e){return d.EditOperation.replace(c.Range.lift(e.range),e.text)})),this._memory.getValue().memorize(s,this._editor.getPosition(),e.item);var m=u.insertText;4&u.insertTextRules||(m=g.SnippetParser.escape(m))
;var v=h.column-u.range.startColumn,_=u.range.endColumn-h.column;f.SnippetController2.get(this._editor).insert(m,v+p,_,!1,!1,!(1&u.insertTextRules)),n&&this._editor.pushUndoStop(),u.command?u.command.id===k.id?this._model.trigger({auto:!0},!0):((i=this._commandService).executeCommand.apply(i,[u.command.id].concat(u.command.arguments)).then(void 0,r.onUnexpectedError),this._model.cancel()):this._model.cancel(),t&&this._alternatives.getValue().set(e,function(e){for(;s.canUndo();){a!==s.getAlternativeVersionId()&&s.undo(),o._onDidSelectItem(e,!1,!1);break}}),this._alertCompletionItem(e.item)},e.prototype._alertCompletionItem=function(e){var t=e.suggestion,i=v.localize(0,null,t.label,t.insertText);n.alert(i)},e.prototype.triggerSuggest=function(e){this._model.trigger({auto:!1},!1,e),this._editor.revealLine(this._editor.getPosition().lineNumber,0),this._editor.focus()},e.prototype.triggerSuggestAndAcceptBest=function(e){var t=this,n=this._editor.getPosition(),i=function(){
n.equals(t._editor.getPosition())&&t._editor.trigger("suggest",h.Handler.Type,{text:e})};x.once(this._model.onDidTrigger)(function(e){var n=[];x.anyEvent(t._model.onDidTrigger,t._model.onDidCancel)(function(){s.dispose(n),i()},void 0,n),t._model.onDidSuggest(function(e){var o=e.completionModel;if(s.dispose(n),0!==o.items.length){var r=t._memory.getValue().select(t._editor.getModel(),t._editor.getPosition(),o.items),a=o.items[r];!function(e){if(4&e.suggestion.insertTextRules||e.suggestion.additionalTextEdits)return!0;var n=t._editor.getPosition(),i=e.suggestion.range.startColumn,o=n.column;if(o-i!==e.suggestion.insertText.length)return!0;return t._editor.getModel().getValueInRange({startLineNumber:n.lineNumber,startColumn:i,endLineNumber:n.lineNumber,endColumn:o})!==e.suggestion.insertText}(a)?i():(t._editor.pushUndoStop(),t._onDidSelectItem({index:r,item:a,model:o},!0,!1))}else i()},void 0,n)}),this._model.trigger({auto:!1,shy:!0}),this._editor.revealLine(n.lineNumber,0),this._editor.focus()},
e.prototype.acceptSelectedSuggestion=function(e){if(this._widget){var t=this._widget.getFocusedItem();this._onDidSelectItem(t,e,!0)}},e.prototype.acceptNextSuggestion=function(){this._alternatives.getValue().next()},e.prototype.acceptPrevSuggestion=function(){this._alternatives.getValue().prev()},e.prototype.cancelSuggestWidget=function(){this._widget&&(this._model.cancel(),this._widget.hideWidget())},e.prototype.selectNextSuggestion=function(){this._widget&&this._widget.selectNext()},e.prototype.selectNextPageSuggestion=function(){this._widget&&this._widget.selectNextPage()},e.prototype.selectLastSuggestion=function(){this._widget&&this._widget.selectLast()},e.prototype.selectPrevSuggestion=function(){this._widget&&this._widget.selectPrevious()},e.prototype.selectPrevPageSuggestion=function(){this._widget&&this._widget.selectPreviousPage()},e.prototype.selectFirstSuggestion=function(){this._widget&&this._widget.selectFirst()},e.prototype.toggleSuggestionDetails=function(){
this._widget&&this._widget.toggleDetails()},e.prototype.toggleSuggestionFocus=function(){this._widget&&this._widget.toggleDetailsFocus()},e.ID="editor.contrib.suggestController",e=a([u(1,I.IEditorWorkerService),u(2,_.ICommandService),u(3,y.IContextKeyService),u(4,C.IInstantiationService)],e)}();t.SuggestController=M;var k=function(e){function t(){return e.call(this,{id:t.id,label:v.localize(1,null),alias:"Trigger Suggest",precondition:y.ContextKeyExpr.and(p.EditorContextKeys.writable,p.EditorContextKeys.hasCompletionItemProvider),kbOpts:{kbExpr:p.EditorContextKeys.textInputFocus,primary:2058,mac:{primary:266},weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=M.get(t);n&&n.triggerSuggest()},t.id="editor.action.triggerSuggest",t}(l.EditorAction);t.TriggerSuggestAction=k,l.registerEditorContribution(M),l.registerEditorAction(k);var T=l.EditorCommand.bindToContribution(M.get);l.registerEditorCommand(new T({id:"acceptSelectedSuggestion",precondition:b.Context.Visible,handler:function(e){
return e.acceptSelectedSuggestion(!0)},kbOpts:{weight:190,kbExpr:p.EditorContextKeys.textInputFocus,primary:2}})),l.registerEditorCommand(new T({id:"acceptSelectedSuggestionOnEnter",precondition:b.Context.Visible,handler:function(e){return e.acceptSelectedSuggestion(!1)},kbOpts:{weight:190,kbExpr:y.ContextKeyExpr.and(p.EditorContextKeys.textInputFocus,b.Context.AcceptSuggestionsOnEnter,b.Context.MakesTextEdit),primary:3}})),l.registerEditorCommand(new T({id:"hideSuggestWidget",precondition:b.Context.Visible,handler:function(e){return e.cancelSuggestWidget()},kbOpts:{weight:190,kbExpr:p.EditorContextKeys.textInputFocus,primary:9,secondary:[1033]}})),l.registerEditorCommand(new T({id:"selectNextSuggestion",precondition:y.ContextKeyExpr.and(b.Context.Visible,b.Context.MultipleSuggestions),handler:function(e){return e.selectNextSuggestion()},kbOpts:{weight:190,kbExpr:p.EditorContextKeys.textInputFocus,primary:18,secondary:[2066],mac:{primary:18,secondary:[2066,300]}}})),l.registerEditorCommand(new T({
id:"selectNextPageSuggestion",precondition:y.ContextKeyExpr.and(b.Context.Visible,b.Context.MultipleSuggestions),handler:function(e){return e.selectNextPageSuggestion()},kbOpts:{weight:190,kbExpr:p.EditorContextKeys.textInputFocus,primary:12,secondary:[2060]}})),l.registerEditorCommand(new T({id:"selectLastSuggestion",precondition:y.ContextKeyExpr.and(b.Context.Visible,b.Context.MultipleSuggestions),handler:function(e){return e.selectLastSuggestion()}})),l.registerEditorCommand(new T({id:"selectPrevSuggestion",precondition:y.ContextKeyExpr.and(b.Context.Visible,b.Context.MultipleSuggestions),handler:function(e){return e.selectPrevSuggestion()},kbOpts:{weight:190,kbExpr:p.EditorContextKeys.textInputFocus,primary:16,secondary:[2064],mac:{primary:16,secondary:[2064,302]}}})),l.registerEditorCommand(new T({id:"selectPrevPageSuggestion",precondition:y.ContextKeyExpr.and(b.Context.Visible,b.Context.MultipleSuggestions),handler:function(e){return e.selectPrevPageSuggestion()},kbOpts:{weight:190,
kbExpr:p.EditorContextKeys.textInputFocus,primary:11,secondary:[2059]}})),l.registerEditorCommand(new T({id:"selectFirstSuggestion",precondition:y.ContextKeyExpr.and(b.Context.Visible,b.Context.MultipleSuggestions),handler:function(e){return e.selectFirstSuggestion()}})),l.registerEditorCommand(new T({id:"toggleSuggestionDetails",precondition:b.Context.Visible,handler:function(e){return e.toggleSuggestionDetails()},kbOpts:{weight:190,kbExpr:p.EditorContextKeys.textInputFocus,primary:2058,mac:{primary:266}}})),l.registerEditorCommand(new T({id:"toggleSuggestionFocus",precondition:b.Context.Visible,handler:function(e){return e.toggleSuggestionFocus()},kbOpts:{weight:190,kbExpr:p.EditorContextKeys.textInputFocus,primary:2570,mac:{primary:778}}})),l.registerEditorCommand(new T({id:"insertBestCompletion",
precondition:y.ContextKeyExpr.and(y.ContextKeyExpr.equals("config.editor.tabCompletion","on"),L.WordContextKey.AtEnd,b.Context.Visible.toNegated(),S.SuggestAlternatives.OtherSuggestions.toNegated(),f.SnippetController2.InSnippetMode.toNegated()),handler:function(e){return e.triggerSuggestAndAcceptBest("\t")},kbOpts:{weight:190,primary:2}})),l.registerEditorCommand(new T({id:"insertNextSuggestion",precondition:y.ContextKeyExpr.and(y.ContextKeyExpr.equals("config.editor.tabCompletion","on"),S.SuggestAlternatives.OtherSuggestions,b.Context.Visible.toNegated(),f.SnippetController2.InSnippetMode.toNegated()),handler:function(e){return e.acceptNextSuggestion()},kbOpts:{weight:190,kbExpr:p.EditorContextKeys.textInputFocus,primary:2}})),l.registerEditorCommand(new T({id:"insertPrevSuggestion",precondition:y.ContextKeyExpr.and(y.ContextKeyExpr.equals("config.editor.tabCompletion","on"),S.SuggestAlternatives.OtherSuggestions,b.Context.Visible.toNegated(),f.SnippetController2.InSnippetMode.toNegated()),
handler:function(e){return e.acceptPrevSuggestion()},kbOpts:{weight:190,kbExpr:p.EditorContextKeys.textInputFocus,primary:1026}}))}),define(t[536],n([0,1,341,22,16,24,11,2,10,3,19,44,26,14,18,20,13]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y){"use strict";function C(e,t,n){var o=m.DocumentHighlightProviderRegistry.ordered(e);return r.first(o.map(function(i){return function(){return Promise.resolve(i.provideDocumentHighlights(e,t,n)).then(void 0,l.onUnexpectedExternalError)}}),function(e){return!i.isFalsyOrEmpty(e)})}Object.defineProperty(t,"__esModule",{value:!0}),t.editorWordHighlight=_.registerColor("editor.wordHighlightBackground",{dark:"#575757B8",light:"#57575740",hc:null},n.localize(0,null),!0),t.editorWordHighlightStrong=_.registerColor("editor.wordHighlightStrongBackground",{dark:"#004972B8",light:"#0e639c40",hc:null},n.localize(1,null),!0),t.editorWordHighlightBorder=_.registerColor("editor.wordHighlightBorder",{light:null,dark:null,hc:_.activeContrastBorder},n.localize(2,null)),
t.editorWordHighlightStrongBorder=_.registerColor("editor.wordHighlightStrongBorder",{light:null,dark:null,hc:_.activeContrastBorder},n.localize(3,null)),t.overviewRulerWordHighlightForeground=_.registerColor("editorOverviewRuler.wordHighlightForeground",{dark:"#A0A0A0CC",light:"#A0A0A0CC",hc:"#A0A0A0CC"},n.localize(4,null),!0),t.overviewRulerWordHighlightStrongForeground=_.registerColor("editorOverviewRuler.wordHighlightStrongForeground",{dark:"#C0A0C0CC",light:"#C0A0C0CC",hc:"#C0A0C0CC"},n.localize(5,null),!0),t.ctxHasWordHighlights=new v.RawContextKey("hasWordHighlights",!1),t.getOccurrencesAtPosition=C;var b=function(){function e(e,t,n){var i=this;this._wordRange=this._getCurrentWordRange(e,t),this.result=r.createCancelablePromise(function(o){return i._compute(e,t,n,o)})}return e.prototype._getCurrentWordRange=function(e,t){var n=e.getWordAtPosition(t.getPosition());return n?new h.Range(t.startLineNumber,n.startColumn,t.startLineNumber,n.endColumn):null},e.prototype.isValid=function(e,t,n){
for(var i=t.startLineNumber,o=t.startColumn,r=t.endColumn,s=this._getCurrentWordRange(e,t),a=Boolean(this._wordRange&&this._wordRange.equalsRange(s)),l=0,u=n.length;!a&&l<u;l++){var d=e.getDecorationRange(n[l]);d&&d.startLineNumber===i&&d.startColumn<=o&&d.endColumn>=r&&(a=!0)}return a},e.prototype.cancel=function(){this.result.cancel()},e}(),S=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._compute=function(e,t,n,i){return C(e,t.getPosition(),i)},t}(b),w=function(e){function t(t,n,i){var o=e.call(this,t,n,i)||this;return o._selectionIsEmpty=n.isEmpty(),o}return o(t,e),t.prototype._compute=function(e,t,n,i){return r.timeout(250,i).then(function(){if(!t.isEmpty())return[];var i=e.getWordAtPosition(t.getPosition());if(!i)return[];return e.findMatches(i.word,!0,!1,!0,n,!1).map(function(e){return{range:e.range,kind:m.DocumentHighlightKind.Text}})})},t.prototype.isValid=function(t,n,i){var o=n.isEmpty()
;return this._selectionIsEmpty===o&&e.prototype.isValid.call(this,t,n,i)},t}(b);c.registerDefaultLanguageCommand("_executeDocumentHighlights",function(e,t){return C(e,t,s.CancellationToken.None)});var E=function(){function e(e,n){var i=this;this.workerRequestTokenId=0,this.workerRequestCompleted=!1,this.workerRequestValue=[],this.lastCursorPositionChangeTime=0,this.renderDecorationsTimer=-1,this.editor=e,this._hasWordHighlights=t.ctxHasWordHighlights.bindTo(n),this._ignorePositionChangeEvent=!1,this.occurrencesHighlight=this.editor.getConfiguration().contribInfo.occurrencesHighlight,this.model=this.editor.getModel(),this.toUnhook=[],this.toUnhook.push(e.onDidChangeCursorPosition(function(e){i._ignorePositionChangeEvent||i.occurrencesHighlight&&i._onPositionChanged(e)})),this.toUnhook.push(e.onDidChangeModelContent(function(e){i._stopAll()})),this.toUnhook.push(e.onDidChangeConfiguration(function(e){var t=i.editor.getConfiguration().contribInfo.occurrencesHighlight
;i.occurrencesHighlight!==t&&(i.occurrencesHighlight=t,i._stopAll())})),this._decorationIds=[],this.workerRequestTokenId=0,this.workerRequest=null,this.workerRequestCompleted=!1,this.lastCursorPositionChangeTime=0,this.renderDecorationsTimer=-1}return e.prototype.hasDecorations=function(){return this._decorationIds.length>0},e.prototype.restore=function(){this.occurrencesHighlight&&this._run()},e.prototype._getSortedHighlights=function(){var e=this;return i.coalesce(this._decorationIds.map(function(t){return e.model.getDecorationRange(t)}).sort(h.Range.compareRangesUsingStarts))},e.prototype.moveNext=function(){var e=this,t=this._getSortedHighlights(),n=t[(i.firstIndex(t,function(t){return t.containsPosition(e.editor.getPosition())})+1)%t.length];try{this._ignorePositionChangeEvent=!0,this.editor.setPosition(n.getStartPosition()),this.editor.revealRangeInCenterIfOutsideViewport(n)}finally{this._ignorePositionChangeEvent=!1}},e.prototype.moveBack=function(){
var e=this,t=this._getSortedHighlights(),n=t[(i.firstIndex(t,function(t){return t.containsPosition(e.editor.getPosition())})-1+t.length)%t.length];try{this._ignorePositionChangeEvent=!0,this.editor.setPosition(n.getStartPosition()),this.editor.revealRangeInCenterIfOutsideViewport(n)}finally{this._ignorePositionChangeEvent=!1}},e.prototype._removeDecorations=function(){this._decorationIds.length>0&&(this._decorationIds=this.editor.deltaDecorations(this._decorationIds,[]),this._hasWordHighlights.set(!1))},e.prototype._stopAll=function(){this._removeDecorations(),-1!==this.renderDecorationsTimer&&(clearTimeout(this.renderDecorationsTimer),this.renderDecorationsTimer=-1),null!==this.workerRequest&&(this.workerRequest.cancel(),this.workerRequest=null),this.workerRequestCompleted||(this.workerRequestTokenId++,this.workerRequestCompleted=!0)},e.prototype._onPositionChanged=function(e){this.occurrencesHighlight&&3===e.reason?this._run():this._stopAll()},e.prototype._run=function(){
var e=this,t=this.editor.getSelection();if(t.startLineNumber===t.endLineNumber){var n=t.startLineNumber,i=t.startColumn,o=t.endColumn,r=this.model.getWordAtPosition({lineNumber:n,column:i});if(!r||r.startColumn>i||r.endColumn<o)this._stopAll();else{var s=this.workerRequest&&this.workerRequest.isValid(this.model,t,this._decorationIds);if(this.lastCursorPositionChangeTime=(new Date).getTime(),s)this.workerRequestCompleted&&-1!==this.renderDecorationsTimer&&(clearTimeout(this.renderDecorationsTimer),this.renderDecorationsTimer=-1,this._beginRenderDecorations());else{this._stopAll();var a=++this.workerRequestTokenId;this.workerRequestCompleted=!1,this.workerRequest=function(e,t,n){return m.DocumentHighlightProviderRegistry.has(e)?new S(e,t,n):new w(e,t,n)}(this.model,this.editor.getSelection(),this.editor.getConfiguration().wordSeparators),this.workerRequest.result.then(function(t){a===e.workerRequestTokenId&&(e.workerRequestCompleted=!0,e.workerRequestValue=t||[],e._beginRenderDecorations())
},l.onUnexpectedError)}}}else this._stopAll()},e.prototype._beginRenderDecorations=function(){var e=this,t=(new Date).getTime(),n=this.lastCursorPositionChangeTime+250;t>=n?(this.renderDecorationsTimer=-1,this.renderDecorations()):this.renderDecorationsTimer=setTimeout(function(){e.renderDecorations()},n-t)},e.prototype.renderDecorations=function(){this.renderDecorationsTimer=-1;for(var t=[],n=0,i=this.workerRequestValue.length;n<i;n++){var o=this.workerRequestValue[n];t.push({range:o.range,options:e._getDecorationOptions(o.kind)})}this._decorationIds=this.editor.deltaDecorations(this._decorationIds,t),this._hasWordHighlights.set(this.hasDecorations())},e._getDecorationOptions=function(e){return e===m.DocumentHighlightKind.Write?this._WRITE_OPTIONS:e===m.DocumentHighlightKind.Text?this._TEXT_OPTIONS:this._REGULAR_OPTIONS},e.prototype.dispose=function(){this._stopAll(),this.toUnhook=d.dispose(this.toUnhook)},e._WRITE_OPTIONS=g.ModelDecorationOptions.register({stickiness:1,className:"wordHighlightStrong",
overviewRuler:{color:y.themeColorFromId(t.overviewRulerWordHighlightStrongForeground),position:f.OverviewRulerLane.Center}}),e._TEXT_OPTIONS=g.ModelDecorationOptions.register({stickiness:1,className:"selectionHighlight",overviewRuler:{color:y.themeColorFromId(_.overviewRulerSelectionHighlightForeground),position:f.OverviewRulerLane.Center}}),e._REGULAR_OPTIONS=g.ModelDecorationOptions.register({stickiness:1,className:"wordHighlight",overviewRuler:{color:y.themeColorFromId(t.overviewRulerWordHighlightForeground),position:f.OverviewRulerLane.Center}}),e}(),L=function(e){function t(t,n){var i=e.call(this)||this,o=function(){t.hasModel()&&(i.wordHighligher=new E(t,n))};return i._register(t.onDidChangeModel(function(e){i.wordHighligher&&(i.wordHighligher.dispose(),i.wordHighligher=null),o()})),o(),i}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.getId=function(){return t.ID},t.prototype.saveViewState=function(){return!(!this.wordHighligher||!this.wordHighligher.hasDecorations())},
t.prototype.moveNext=function(){this.wordHighligher&&this.wordHighligher.moveNext()},t.prototype.moveBack=function(){this.wordHighligher&&this.wordHighligher.moveBack()},t.prototype.restoreViewState=function(e){this.wordHighligher&&e&&this.wordHighligher.restore()},t.prototype.dispose=function(){this.wordHighligher&&(this.wordHighligher.dispose(),this.wordHighligher=null),e.prototype.dispose.call(this)},t.ID="editor.contrib.wordHighlighter",t=a([u(1,v.IContextKeyService)],t)}(d.Disposable),x=function(e){function t(t,n){var i=e.call(this,n)||this;return i._isNext=t,i}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);n&&(this._isNext?n.moveNext():n.moveBack())},t}(c.EditorAction),I=function(e){function i(){return e.call(this,!0,{id:"editor.action.wordHighlight.next",label:n.localize(6,null),alias:"Go to Next Symbol Highlight",precondition:t.ctxHasWordHighlights,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:65,weight:100}})||this}return o(i,e),i}(x),N=function(e){function i(){
return e.call(this,!1,{id:"editor.action.wordHighlight.prev",label:n.localize(7,null),alias:"Go to Previous Symbol Highlight",precondition:t.ctxHasWordHighlights,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:1089,weight:100}})||this}return o(i,e),i}(x),D=function(e){function i(){return e.call(this,{id:"editor.action.wordHighlight.trigger",label:n.localize(8,null),alias:"Trigger Symbol Highlight",precondition:t.ctxHasWordHighlights.toNegated(),kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:0,weight:100}})||this}return o(i,e),i.prototype.run=function(e,t,n){var i=L.get(t);i&&i.restoreViewState(!0)},i}(c.EditorAction);c.registerEditorContribution(L),c.registerEditorAction(I),c.registerEditorAction(N),c.registerEditorAction(D),y.registerThemingParticipant(function(e,n){var i=e.getColor(_.editorSelectionHighlight);i&&(n.addRule(".monaco-editor .focused .selectionHighlight { background-color: "+i+"; }"),
n.addRule(".monaco-editor .selectionHighlight { background-color: "+i.transparent(.5)+"; }"));var o=e.getColor(t.editorWordHighlight);o&&n.addRule(".monaco-editor .wordHighlight { background-color: "+o+"; }");var r=e.getColor(t.editorWordHighlightStrong);r&&n.addRule(".monaco-editor .wordHighlightStrong { background-color: "+r+"; }");var s=e.getColor(_.editorSelectionHighlightBorder);s&&n.addRule(".monaco-editor .selectionHighlight { border: 1px "+("hc"===e.type?"dotted":"solid")+" "+s+"; box-sizing: border-box; }");var a=e.getColor(t.editorWordHighlightBorder);a&&n.addRule(".monaco-editor .wordHighlight { border: 1px "+("hc"===e.type?"dashed":"solid")+" "+a+"; box-sizing: border-box; }");var l=e.getColor(t.editorWordHighlightStrongBorder);l&&n.addRule(".monaco-editor .wordHighlightStrong { border: 1px "+("hc"===e.type?"dashed":"solid")+" "+l+"; box-sizing: border-box; }")})}),
define(t[537],n([0,1,342,29,7,23,133,43,46,2,17,8,25,10,19,179,18,15,47,62,20,13,386]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var L=new y.RawContextKey("accessibilityHelpWidgetVisible",!1),x=function(e){function t(t,n){var i=e.call(this)||this;return i._editor=t,i._widget=i._register(n.createInstance(T,i._editor)),i}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.getId=function(){return t.ID},t.prototype.show=function(){this._widget.show()},t.prototype.hide=function(){this._widget.hide()},t.ID="editor.contrib.accessibilityHelpController",t=a([u(1,C.IInstantiationService)],t)}(h.Disposable),I=n.localize(0,null),N=n.localize(1,null),D=n.localize(2,null),M=n.localize(3,null),k=n.localize(4,null),T=function(e){function t(t,i,o,a){var l=e.call(this)||this;return l._contextKeyService=i,l._keybindingService=o,l._openerService=a,l._editor=t,l._isVisibleKey=L.bindTo(l._contextKeyService),
l._domNode=s.createFastDomNode(document.createElement("div")),l._domNode.setClassName("accessibilityHelpWidget"),l._domNode.setDisplay("none"),l._domNode.setAttribute("role","dialog"),l._domNode.setAttribute("aria-hidden","true"),l._contentDomNode=s.createFastDomNode(document.createElement("div")),l._contentDomNode.setAttribute("role","document"),l._domNode.appendChild(l._contentDomNode),l._isVisible=!1,l._register(l._editor.onDidLayoutChange(function(){l._isVisible&&l._layout()})),l._register(r.addStandardDisposableListener(l._contentDomNode.domNode,"keydown",function(e){if(l._isVisible&&(e.equals(2083)&&(d.alert(n.localize(5,null)),l._editor.updateOptions({accessibilitySupport:"on"}),r.clearNode(l._contentDomNode.domNode),l._buildContent(),l._contentDomNode.domNode.focus(),e.preventDefault(),e.stopPropagation()),e.equals(2086))){d.alert(n.localize(6,null));var t=l._editor.getRawConfiguration().accessibilityHelpUrl;void 0===t&&(t="https://go.microsoft.com/fwlink/?linkid=852450"),
l._openerService.open(g.URI.parse(t)),e.preventDefault(),e.stopPropagation()}})),l.onblur(l._contentDomNode.domNode,function(){l.hide()}),l._editor.addOverlayWidget(l),l}return o(t,e),t.prototype.dispose=function(){this._editor.removeOverlayWidget(this),e.prototype.dispose.call(this)},t.prototype.getId=function(){return t.ID},t.prototype.getDomNode=function(){return this._domNode.domNode},t.prototype.getPosition=function(){return{preference:null}},t.prototype.show=function(){this._isVisible||(this._isVisible=!0,this._isVisibleKey.set(!0),this._layout(),this._domNode.setDisplay("block"),this._domNode.setAttribute("aria-hidden","false"),this._contentDomNode.domNode.tabIndex=0,this._buildContent(),this._contentDomNode.domNode.focus())},t.prototype._descriptionForCommand=function(e,t,n){var i=this._keybindingService.lookupKeybinding(e);return i?f.format(t,i.getAriaLabel()):f.format(n,e)},t.prototype._buildContent=function(){var e=this._editor.getConfiguration(),t=this._editor.getSelections(),i=0;if(t){
var o=this._editor.getModel();o&&t.forEach(function(e){i+=o.getValueLengthInRange(e)})}var r=function(e,t){return e&&0!==e.length?1===e.length?t?f.format(N,e[0].positionLineNumber,e[0].positionColumn,t):f.format(D,e[0].positionLineNumber,e[0].positionColumn):t?f.format(M,e.length,t):e.length>0?f.format(k,e.length):null:I}(t,i);e.wrappingInfo.inDiffEditor?e.readOnly?r+=n.localize(7,null):r+=n.localize(8,null):e.readOnly?r+=n.localize(9,null):r+=n.localize(10,null);var s=p.isMacintosh?n.localize(11,null):n.localize(12,null);switch(e.accessibilitySupport){case 0:r+="\n\n - "+s;break;case 2:r+="\n\n - "+n.localize(13,null);break;case 1:r+="\n\n - "+n.localize(14,null),r+=" "+s}var a=n.localize(15,null),u=n.localize(16,null),d=n.localize(17,null),c=n.localize(18,null);e.tabFocusMode?r+="\n\n - "+this._descriptionForCommand(_.ToggleTabFocusModeAction.ID,a,u):r+="\n\n - "+this._descriptionForCommand(_.ToggleTabFocusModeAction.ID,d,c);r+="\n\n - "+(p.isMacintosh?n.localize(19,null):n.localize(20,null)),
r+="\n\n"+n.localize(21,null),this._contentDomNode.domNode.appendChild(l.renderFormattedText(r)),this._contentDomNode.domNode.setAttribute("aria-label",r)},t.prototype.hide=function(){this._isVisible&&(this._isVisible=!1,this._isVisibleKey.reset(),this._domNode.setDisplay("none"),this._domNode.setAttribute("aria-hidden","true"),this._contentDomNode.domNode.tabIndex=-1,r.clearNode(this._contentDomNode.domNode),this._editor.focus())},t.prototype._layout=function(){var e=this._editor.getLayoutInfo(),n=Math.max(5,Math.min(t.WIDTH,e.width-40)),i=Math.max(5,Math.min(t.HEIGHT,e.height-40));this._domNode.setWidth(n),this._domNode.setHeight(i);var o=Math.round((e.height-i)/2);this._domNode.setTop(o);var r=Math.round((e.width-n)/2);this._domNode.setLeft(r)},t.ID="editor.contrib.accessibilityHelpWidget",t.WIDTH=500,t.HEIGHT=300,t=a([u(1,y.IContextKeyService),u(2,b.IKeybindingService),u(3,S.IOpenerService)],t)}(c.Widget),R=function(e){function t(){return e.call(this,{id:"editor.action.showAccessibilityHelp",
label:n.localize(22,null),alias:"Show Accessibility Help",precondition:null,kbOpts:{kbExpr:v.EditorContextKeys.focus,primary:i.isIE?2107:571,weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=x.get(t);n&&n.show()},t}(m.EditorAction);m.registerEditorContribution(x),m.registerEditorAction(R);var O=m.EditorCommand.bindToContribution(x.get);m.registerEditorCommand(new O({id:"closeAccessibilityHelp",precondition:L,handler:function(e){return e.hide()},kbOpts:{weight:200,kbExpr:v.EditorContextKeys.focus,primary:9,secondary:[1033]}})),E.registerThemingParticipant(function(e,t){var n=e.getColor(w.editorWidgetBackground);n&&t.addRule(".monaco-editor .accessibilityHelpWidget { background-color: "+n+"; }");var i=e.getColor(w.widgetShadow);i&&t.addRule(".monaco-editor .accessibilityHelpWidget { box-shadow: 0 2px 8px "+i+"; }");var o=e.getColor(w.contrastBorder);o&&t.addRule(".monaco-editor .accessibilityHelpWidget { border: 2px solid "+o+"; }")})}),
define(t[538],n([0,1,343,28,2,8,10,14,51,63,78,20,13,396]),function(e,t,n,i,r,s,l,d,c,h,p,f,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var m=function(e){function t(t,n,i){var o=e.call(this)||this;return o._editor=t,o._modeService=i,o._widget=null,o._register(o._editor.onDidChangeModel(function(e){return o.stop()})),o._register(o._editor.onDidChangeModelLanguage(function(e){return o.stop()})),o._register(d.TokenizationRegistry.onDidChange(function(e){return o.stop()})),o}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.getId=function(){return t.ID},t.prototype.dispose=function(){this.stop(),e.prototype.dispose.call(this)},t.prototype.launch=function(){this._widget||this._editor.hasModel()&&(this._widget=new _(this._editor,this._modeService))},t.prototype.stop=function(){this._widget&&(this._widget.dispose(),this._widget=null)},t.ID="editor.contrib.inspectTokens",t=a([u(1,p.IStandaloneThemeService),u(2,h.IModeService)],t)}(r.Disposable),v=function(e){
function t(){return e.call(this,{id:"editor.action.inspectTokens",label:n.localize(0,null),alias:"Developer: Inspect Tokens",precondition:null})||this}return o(t,e),t.prototype.run=function(e,t){var n=m.get(t);n&&n.launch()},t}(l.EditorAction),_=function(e){function t(t,n){var i=e.call(this)||this;return i.allowEditorOverflow=!0,i._editor=t,i._modeService=n,i._model=i._editor.getModel(),i._domNode=document.createElement("div"),i._domNode.className="tokens-inspect-widget",i._tokenizationSupport=function(e){var t=d.TokenizationRegistry.get(e.language);return t||{getInitialState:function(){return c.NULL_STATE},tokenize:function(t,n,i){return c.nullTokenize(e.language,t,n,i)},tokenize2:function(t,n,i){return c.nullTokenize2(e.id,t,n,i)}}}(i._model.getLanguageIdentifier()),i._compute(i._editor.getPosition()),i._register(i._editor.onDidChangeCursorPosition(function(e){return i._compute(i._editor.getPosition())})),i._editor.addContentWidget(i),i}return o(t,e),t.prototype.dispose=function(){
this._editor.removeContentWidget(this),e.prototype.dispose.call(this)},t.prototype.getId=function(){return t._ID},t.prototype._compute=function(e){for(var t=this._getTokensAtLine(e.lineNumber),n=0,o=t.tokens1.length-1;o>=0;o--){var r=t.tokens1[o];if(e.column-1>=r.offset){n=o;break}}for(var a=0,o=t.tokens2.length>>>1;o>=0;o--)if(e.column-1>=t.tokens2[o<<1]){a=o;break}var l="",u=this._model.getLineContent(e.lineNumber),d="";if(n<t.tokens1.length){var c=t.tokens1[n].offset,h=n+1<t.tokens1.length?t.tokens1[n+1].offset:u.length;d=u.substring(c,h)}l+='<h2 class="tm-token">'+function(e){for(var t="",n=0,i=e.length;n<i;n++){var o=e.charCodeAt(n);switch(o){case 9:t+="&rarr;";break;case 32:t+="&middot;";break;case 60:t+="&lt;";break;case 62:t+="&gt;";break;case 38:t+="&amp;";break;default:t+=String.fromCharCode(o)}}return t}(d)+'<span class="tm-token-length">('+d.length+" "+(1===d.length?"char":"chars")+")</span></h2>",l+='<hr class="tokens-inspect-separator" style="clear:both"/>'
;var p=this._decodeMetadata(t.tokens2[1+(a<<1)]);l+='<table class="tm-metadata-table"><tbody>',l+='<tr><td class="tm-metadata-key">language</td><td class="tm-metadata-value">'+s.escape(p.languageIdentifier.language)+"</td>",l+='<tr><td class="tm-metadata-key">token type</td><td class="tm-metadata-value">'+this._tokenTypeToString(p.tokenType)+"</td>",l+='<tr><td class="tm-metadata-key">font style</td><td class="tm-metadata-value">'+this._fontStyleToString(p.fontStyle)+"</td>",l+='<tr><td class="tm-metadata-key">foreground</td><td class="tm-metadata-value">'+i.Color.Format.CSS.formatHex(p.foreground)+"</td>",l+='<tr><td class="tm-metadata-key">background</td><td class="tm-metadata-value">'+i.Color.Format.CSS.formatHex(p.background)+"</td>",l+="</tbody></table>",l+='<hr class="tokens-inspect-separator"/>',n<t.tokens1.length&&(l+='<span class="tm-token-type">'+s.escape(t.tokens1[n].type)+"</span>"),this._domNode.innerHTML=l,this._editor.layoutContentWidget(this)},t.prototype._decodeMetadata=function(e){
var t=d.TokenizationRegistry.getColorMap(),n=d.TokenMetadata.getLanguageId(e),i=d.TokenMetadata.getTokenType(e),o=d.TokenMetadata.getFontStyle(e),r=d.TokenMetadata.getForeground(e),s=d.TokenMetadata.getBackground(e);return{languageIdentifier:this._modeService.getLanguageIdentifier(n),tokenType:i,fontStyle:o,foreground:t[r],background:t[s]}},t.prototype._tokenTypeToString=function(e){switch(e){case 0:return"Other";case 1:return"Comment";case 2:return"String";case 4:return"RegEx"}return"??"},t.prototype._fontStyleToString=function(e){var t="";return 1&e&&(t+="italic "),2&e&&(t+="bold "),4&e&&(t+="underline "),0===t.length&&(t="---"),t},t.prototype._getTokensAtLine=function(e){var t=this._getStateBeforeLine(e),n=this._tokenizationSupport.tokenize(this._model.getLineContent(e),t,0),i=this._tokenizationSupport.tokenize2(this._model.getLineContent(e),t,0);return{startState:t,tokens1:n.tokens,tokens2:i.tokens,endState:n.endState}},t.prototype._getStateBeforeLine=function(e){
for(var t=this._tokenizationSupport.getInitialState(),n=1;n<e;n++){t=this._tokenizationSupport.tokenize(this._model.getLineContent(n),t,0).endState}return t},t.prototype.getDomNode=function(){return this._domNode},t.prototype.getPosition=function(){return{position:this._editor.getPosition(),preference:[2,1]}},t._ID="editor.contrib.inspectTokensWidget",t}(r.Disposable);l.registerEditorContribution(m),l.registerEditorAction(v),g.registerThemingParticipant(function(e,t){var n=e.getColor(f.editorHoverBorder);if(n){var i=e.type===g.HIGH_CONTRAST?2:1;t.addRule(".monaco-editor .tokens-inspect-widget { border: "+i+"px solid "+n+"; }"),t.addRule(".monaco-editor .tokens-inspect-widget .tokens-inspect-separator { background-color: "+n+"; }")}var o=e.getColor(f.editorHoverBackground);o&&t.addRule(".monaco-editor .tokens-inspect-widget { background-color: "+o+"; }")})}),define(t[144],n([0,1,10,26,481,13,399]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){
function e(e,t){this.themeService=t,this.editor=e}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.widget&&(this.widget.destroy(),this.widget=null)},e.prototype.run=function(e){var t=this;this.widget&&(this.widget.destroy(),this.widget=null);var n=function(e){t.clearDecorations(),e&&t.lastKnownEditorSelection&&(t.editor.setSelection(t.lastKnownEditorSelection),t.editor.revealRangeInCenterIfOutsideViewport(t.lastKnownEditorSelection,0)),t.lastKnownEditorSelection=null,document.activeElement!==document.body&&e||t.editor.focus()};this.widget=new r.QuickOpenEditorWidget(this.editor,function(){return n(!1)},function(){return n(!0)},function(n){t.widget.setInput(e.getModel(n),e.getAutoFocus(n))},{inputAriaLabel:e.inputAriaLabel},this.themeService),this.lastKnownEditorSelection||(this.lastKnownEditorSelection=this.editor.getSelection()),this.widget.show("")},e.prototype.decorateLine=function(t,n){var i=[]
;this.rangeHighlightDecorationId&&(i.push(this.rangeHighlightDecorationId),this.rangeHighlightDecorationId=null);var o=[{range:t,options:e._RANGE_HIGHLIGHT_DECORATION}],r=n.deltaDecorations(i,o);this.rangeHighlightDecorationId=r[0]},e.prototype.clearDecorations=function(){this.rangeHighlightDecorationId&&(this.editor.deltaDecorations([this.rangeHighlightDecorationId],[]),this.rangeHighlightDecorationId=null)},e.ID="editor.controller.quickOpenController",e._RANGE_HIGHLIGHT_DECORATION=i.ModelDecorationOptions.register({className:"rangeHighlight",isWholeLine:!0}),e=a([u(1,s.IThemeService)],e)}();t.QuickOpenController=l;var d=function(e){function t(t,n){var i=e.call(this,n)||this;return i._inputAriaLabel=t,i}return o(t,e),t.prototype.getController=function(e){return l.get(e)},t.prototype._show=function(e,t){e.run({inputAriaLabel:this._inputAriaLabel,getModel:function(e){return t.getModel(e)},getAutoFocus:function(e){return t.getAutoFocus(e)}})},t}(n.EditorAction);t.BaseEditorQuickOpenAction=d,
n.registerEditorContribution(l)}),define(t[540],n([0,1,344,119,105,10,12,3,19,144,400]),function(e,t,n,i,r,s,a,l,u,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c=function(e){function t(t,n,i){var o=e.call(this)||this;return o.editor=n,o.decorator=i,o._parseResult=o._parseInput(t),o}return o(t,e),t.prototype._parseInput=function(e){var t,i=e.split(",").map(function(e){return parseInt(e,10)}).filter(function(e){return!isNaN(e)});t=0===i.length?new a.Position(-1,-1):1===i.length?new a.Position(i[0],1):new a.Position(i[0],i[1]);var o,s,l=(o=r.isCodeEditor(this.editor)?this.editor.getModel():this.editor.getModel().modified).validatePosition(t).equals(t);return s=l?t.column&&t.column>1?n.localize(0,null,t.lineNumber,t.column):n.localize(1,null,t.lineNumber,t.column):t.lineNumber<1||t.lineNumber>o.getLineCount()?n.localize(2,null,o.getLineCount()):n.localize(3,null,o.getLineMaxColumn(t.lineNumber)),{position:t,isValid:l,label:s}},t.prototype.getLabel=function(){return this._parseResult.label
},t.prototype.getAriaLabel=function(){return n.localize(4,null,this._parseResult.label)},t.prototype.run=function(e,t){return 1===e?this.runOpen():this.runPreview()},t.prototype.runOpen=function(){if(!this._parseResult.isValid)return!1;var e=this.toSelection();return this.editor.setSelection(e),this.editor.revealRangeInCenter(e,0),this.editor.focus(),!0},t.prototype.runPreview=function(){if(!this._parseResult.isValid)return this.decorator.clearDecorations(),!1;var e=this.toSelection();return this.editor.revealRangeInCenter(e,0),this.decorator.decorateLine(e,this.editor),!1},t.prototype.toSelection=function(){return new l.Range(this._parseResult.position.lineNumber,this._parseResult.position.column,this._parseResult.position.lineNumber,this._parseResult.position.column)},t}(i.QuickOpenEntry);t.GotoLineEntry=c;var h=function(e){function t(){return e.call(this,n.localize(5,null),{id:"editor.action.gotoLine",label:n.localize(6,null),alias:"Go to Line...",precondition:null,kbOpts:{kbExpr:u.EditorContextKeys.focus,
primary:2085,mac:{primary:293},weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=this;this._show(this.getController(t),{getModel:function(e){return new i.QuickOpenModel([new c(e,t,n.getController(t))])},getAutoFocus:function(e){return{autoFocusFirstEntry:e.length>0}}})},t}(d.BaseEditorQuickOpenAction);t.GotoLineAction=h,s.registerEditorAction(h)}),define(t[541],n([0,1,345,29,11,100,119,10,19,144,47]),function(e,t,n,i,r,s,a,l,u,d,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=function(e){function t(t,n,i,o){var r=e.call(this)||this;return r.key=t,r.setHighlights(n),r.action=i,r.editor=o,r}return o(t,e),t.prototype.getLabel=function(){return this.action.label},t.prototype.getAriaLabel=function(){return n.localize(0,null,this.getLabel())},t.prototype.getGroupLabel=function(){return this.key},t.prototype.run=function(e,t){var n=this;return 1===e&&(setTimeout(function(){n.editor.focus();try{(n.action.run()||Promise.resolve()).then(null,r.onUnexpectedError)}catch(e){
r.onUnexpectedError(e)}},50),!0)},t}(a.QuickOpenEntryGroup);t.EditorActionCommandEntry=h;var p=function(e){function t(){return e.call(this,n.localize(1,null),{id:"editor.action.quickCommand",label:n.localize(2,null),alias:"Command Palette",precondition:null,kbOpts:{kbExpr:u.EditorContextKeys.focus,primary:i.isIE?571:59,weight:100},menuOpts:{group:"z_commands",order:1}})||this}return o(t,e),t.prototype.run=function(e,t){var n=this,i=e.get(c.IKeybindingService);this._show(this.getController(t),{getModel:function(e){return new a.QuickOpenModel(n._editorActionsToEntries(i,t,e))},getAutoFocus:function(e){return{autoFocusFirstEntry:!0,autoFocusPrefixMatch:e}}})},t.prototype._sort=function(e,t){var n=e.getLabel().toLowerCase(),i=t.getLabel().toLowerCase();return n.localeCompare(i)},t.prototype._editorActionsToEntries=function(e,t,n){for(var i=t.getSupportedActions(),o=[],r=0;r<i.length;r++){var a=i[r],l=e.lookupKeybinding(a.id);if(a.label){var u=s.matchesFuzzy(n,a.label);u&&o.push(new h(l?l.getLabel():"",u,a,t))}}
return o=o.sort(this._sort)},t}(d.BaseEditorQuickOpenAction);t.QuickCommandAction=p,l.registerEditorAction(p)}),define(t[542],n([0,1,346,24,100,8,119,10,3,19,14,467,144,401]),function(e,t,n,i,r,s,a,l,u,d,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(e){function t(t,n,i,o,r,s,a){var l=e.call(this)||this;return l.name=t,l.type=n,l.description=i,l.range=o,l.setHighlights(r),l.editor=s,l.decorator=a,l}return o(t,e),t.prototype.getLabel=function(){return this.name},t.prototype.getAriaLabel=function(){return n.localize(0,null,this.name)},t.prototype.getIcon=function(){return this.type},t.prototype.getDescription=function(){return this.description},t.prototype.getType=function(){return this.type},t.prototype.getRange=function(){return this.range},t.prototype.run=function(e,t){return 1===e?this.runOpen(t):this.runPreview()},t.prototype.runOpen=function(e){var t=this.toSelection();return this.editor.setSelection(t),this.editor.revealRangeInCenter(t,0),this.editor.focus(),!0},
t.prototype.runPreview=function(){var e=this.toSelection();return this.editor.revealRangeInCenter(e,0),this.decorator.decorateLine(this.range,this.editor),!1},t.prototype.toSelection=function(){return new u.Range(this.range.startLineNumber,this.range.startColumn||1,this.range.startLineNumber,this.range.startColumn||1)},t}(a.QuickOpenEntryGroup);t.SymbolEntry=f;var g=function(e){function t(){return e.call(this,n.localize(1,null),{id:"editor.action.quickOutline",label:n.localize(2,null),alias:"Go to Symbol...",precondition:d.EditorContextKeys.hasDocumentSymbolProvider,kbOpts:{kbExpr:d.EditorContextKeys.focus,primary:3117,weight:100},menuOpts:{group:"navigation",order:3}})||this}return o(t,e),t.prototype.run=function(e,t){var n=this,o=t.getModel();return c.DocumentSymbolProviderRegistry.has(o)?h.getDocumentSymbols(o,!0,i.CancellationToken.None).then(function(e){0!==e.length&&n._run(t,e)}):null},t.prototype._run=function(e,t){var n=this;this._show(this.getController(e),{getModel:function(i){
return new a.QuickOpenModel(n.toQuickOpenEntries(e,t,i))},getAutoFocus:function(e){return 0===e.indexOf(":")&&(e=e.substr(":".length)),{autoFocusPrefixMatch:e,autoFocusFirstEntry:!!e}}})},t.prototype.symbolEntry=function(e,t,n,i,o,r,s){return new f(e,t,n,u.Range.lift(i),o,r,s)},t.prototype.toQuickOpenEntries=function(e,t,i){var o=this.getController(e),a=[],l=i;0===i.indexOf(":")&&(l=l.substr(":".length));for(v=0;v<t.length;v++){var u=t[v],d=s.trim(u.name),h=r.matchesFuzzy(l,d);if(h){var p=null;u.containerName&&(p=u.containerName),a.push(this.symbolEntry(d,c.symbolKindToCssClass(u.kind),p,u.range,h,e,o))}}if(i&&(a=0===i.indexOf(":")?a.sort(this.sortScoped.bind(this,i.toLowerCase())):a.sort(this.sortNormal.bind(this,i.toLowerCase()))),a.length>0&&0===i.indexOf(":")){for(var f=null,g=null,m=0,v=0;v<a.length;v++){var _=a[v];f!==_.getType()?(g&&g.setGroupLabel(this.typeToLabel(f,m)),f=_.getType(),g=_,m=1,_.setShowBorder(v>0)):m++}g&&g.setGroupLabel(this.typeToLabel(f,m))
}else a.length>0&&a[0].setGroupLabel(n.localize(3,null,a.length));return a},t.prototype.typeToLabel=function(e,t){switch(e){case"module":return n.localize(4,null,t);case"class":return n.localize(5,null,t);case"interface":return n.localize(6,null,t);case"method":return n.localize(7,null,t);case"function":return n.localize(8,null,t);case"property":return n.localize(9,null,t);case"variable":return n.localize(10,null,t);case"var":return n.localize(11,null,t);case"constructor":return n.localize(12,null,t);case"call":return n.localize(13,null,t)}return e},t.prototype.sortNormal=function(e,t,n){var i=t.getLabel().toLowerCase(),o=n.getLabel().toLowerCase(),r=i.localeCompare(o);if(0!==r)return r;var s=t.getRange(),a=n.getRange();return s.startLineNumber-a.startLineNumber},t.prototype.sortScoped=function(e,t,n){e=e.substr(":".length);var i=t.getType(),o=n.getType(),r=i.localeCompare(o);if(0!==r)return r;if(e){var s=t.getLabel().toLowerCase(),a=n.getLabel().toLowerCase(),l=s.localeCompare(a);if(0!==l)return l}
var u=t.getRange(),d=n.getRange();return u.startLineNumber-d.startLineNumber},t}(p.BaseEditorQuickOpenAction);t.QuickOutlineAction=g,l.registerEditorAction(g)}),define(t[543],n([0,1,7,50,484]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.getActiveCodeEditor=function(){return null},t.prototype.openCodeEditor=function(e,t,n){return t?Promise.resolve(this.doOpenEditor(t,e)):Promise.resolve(null)},t.prototype.doOpenEditor=function(e,t){if(!this.findModel(e,t.resource)){if(t.resource){var o=t.resource.scheme;if(o===i.Schemas.http||o===i.Schemas.https)return n.windowOpenNoOpener(t.resource.toString()),e}return null}var r=t.options?t.options.selection:null;if(r)if("number"==typeof r.endLineNumber&&"number"==typeof r.endColumn)e.setSelection(r),e.revealRangeInCenter(r,1);else{var s={lineNumber:r.startLineNumber,column:r.startColumn};e.setPosition(s),e.revealPositionInCenter(s,1)
}return e},t.prototype.findModel=function(e,t){var n=e.getModel();return n&&n.uri.toString()!==t.toString()?null:n},t}(r.CodeEditorServiceImpl);t.StandaloneCodeEditorServiceImpl=s}),define(t[544],n([0,1,34,20]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o,r,s;t.vs={base:"vs",inherit:!1,rules:[{token:"",foreground:"000000",background:"fffffe"},{token:"invalid",foreground:"cd3131"},{token:"emphasis",fontStyle:"italic"},{token:"strong",fontStyle:"bold"},{token:"variable",foreground:"001188"},{token:"variable.predefined",foreground:"4864AA"},{token:"constant",foreground:"dd0000"},{token:"comment",foreground:"008000"},{token:"number",foreground:"09885A"},{token:"number.hex",foreground:"3030c0"},{token:"regexp",foreground:"800000"},{token:"annotation",foreground:"808080"},{token:"type",foreground:"008080"},{token:"delimiter",foreground:"000000"},{token:"delimiter.html",foreground:"383838"},{token:"delimiter.xml",foreground:"0000FF"},{token:"tag",foreground:"800000"},{
token:"tag.id.pug",foreground:"4F76AC"},{token:"tag.class.pug",foreground:"4F76AC"},{token:"meta.scss",foreground:"800000"},{token:"metatag",foreground:"e00000"},{token:"metatag.content.html",foreground:"FF0000"},{token:"metatag.html",foreground:"808080"},{token:"metatag.xml",foreground:"808080"},{token:"metatag.php",fontStyle:"bold"},{token:"key",foreground:"863B00"},{token:"string.key.json",foreground:"A31515"},{token:"string.value.json",foreground:"0451A5"},{token:"attribute.name",foreground:"FF0000"},{token:"attribute.value",foreground:"0451A5"},{token:"attribute.value.number",foreground:"09885A"},{token:"attribute.value.unit",foreground:"09885A"},{token:"attribute.value.html",foreground:"0000FF"},{token:"attribute.value.xml",foreground:"0000FF"},{token:"string",foreground:"A31515"},{token:"string.html",foreground:"0000FF"},{token:"string.sql",foreground:"FF0000"},{token:"string.yaml",foreground:"0451A5"},{token:"keyword",foreground:"0000FF"},{token:"keyword.json",foreground:"0451A5"},{
token:"keyword.flow",foreground:"AF00DB"},{token:"keyword.flow.scss",foreground:"0000FF"},{token:"operator.scss",foreground:"666666"},{token:"operator.sql",foreground:"778899"},{token:"operator.swift",foreground:"666666"},{token:"predefined.sql",foreground:"FF00FF"}],colors:(o={},o[i.editorBackground]="#FFFFFE",o[i.editorForeground]="#000000",o[i.editorInactiveSelection]="#E5EBF1",o[n.editorIndentGuides]="#D3D3D3",o[n.editorActiveIndentGuides]="#939393",o[i.editorSelectionHighlight]="#ADD6FF4D",o)},t.vs_dark={base:"vs-dark",inherit:!1,rules:[{token:"",foreground:"D4D4D4",background:"1E1E1E"},{token:"invalid",foreground:"f44747"},{token:"emphasis",fontStyle:"italic"},{token:"strong",fontStyle:"bold"},{token:"variable",foreground:"74B0DF"},{token:"variable.predefined",foreground:"4864AA"},{token:"variable.parameter",foreground:"9CDCFE"},{token:"constant",foreground:"569CD6"},{token:"comment",foreground:"608B4E"},{token:"number",foreground:"B5CEA8"},{token:"number.hex",foreground:"5BB498"},{token:"regexp",
foreground:"B46695"},{token:"annotation",foreground:"cc6666"},{token:"type",foreground:"3DC9B0"},{token:"delimiter",foreground:"DCDCDC"},{token:"delimiter.html",foreground:"808080"},{token:"delimiter.xml",foreground:"808080"},{token:"tag",foreground:"569CD6"},{token:"tag.id.pug",foreground:"4F76AC"},{token:"tag.class.pug",foreground:"4F76AC"},{token:"meta.scss",foreground:"A79873"},{token:"meta.tag",foreground:"CE9178"},{token:"metatag",foreground:"DD6A6F"},{token:"metatag.content.html",foreground:"9CDCFE"},{token:"metatag.html",foreground:"569CD6"},{token:"metatag.xml",foreground:"569CD6"},{token:"metatag.php",fontStyle:"bold"},{token:"key",foreground:"9CDCFE"},{token:"string.key.json",foreground:"9CDCFE"},{token:"string.value.json",foreground:"CE9178"},{token:"attribute.name",foreground:"9CDCFE"},{token:"attribute.value",foreground:"CE9178"},{token:"attribute.value.number.css",foreground:"B5CEA8"},{token:"attribute.value.unit.css",foreground:"B5CEA8"},{token:"attribute.value.hex.css",foreground:"D4D4D4"},{
token:"string",foreground:"CE9178"},{token:"string.sql",foreground:"FF0000"},{token:"keyword",foreground:"569CD6"},{token:"keyword.flow",foreground:"C586C0"},{token:"keyword.json",foreground:"CE9178"},{token:"keyword.flow.scss",foreground:"569CD6"},{token:"operator.scss",foreground:"909090"},{token:"operator.sql",foreground:"778899"},{token:"operator.swift",foreground:"909090"},{token:"predefined.sql",foreground:"FF00FF"}],colors:(r={},r[i.editorBackground]="#1E1E1E",r[i.editorForeground]="#D4D4D4",r[i.editorInactiveSelection]="#3A3D41",r[n.editorIndentGuides]="#404040",r[n.editorActiveIndentGuides]="#707070",r[i.editorSelectionHighlight]="#ADD6FF26",r)},t.hc_black={base:"hc-black",inherit:!1,rules:[{token:"",foreground:"FFFFFF",background:"000000"},{token:"invalid",foreground:"f44747"},{token:"emphasis",fontStyle:"italic"},{token:"strong",fontStyle:"bold"},{token:"variable",foreground:"1AEBFF"},{token:"variable.parameter",foreground:"9CDCFE"},{token:"constant",foreground:"569CD6"},{token:"comment",
foreground:"608B4E"},{token:"number",foreground:"FFFFFF"},{token:"regexp",foreground:"C0C0C0"},{token:"annotation",foreground:"569CD6"},{token:"type",foreground:"3DC9B0"},{token:"delimiter",foreground:"FFFF00"},{token:"delimiter.html",foreground:"FFFF00"},{token:"tag",foreground:"569CD6"},{token:"tag.id.pug",foreground:"4F76AC"},{token:"tag.class.pug",foreground:"4F76AC"},{token:"meta",foreground:"D4D4D4"},{token:"meta.tag",foreground:"CE9178"},{token:"metatag",foreground:"569CD6"},{token:"metatag.content.html",foreground:"1AEBFF"},{token:"metatag.html",foreground:"569CD6"},{token:"metatag.xml",foreground:"569CD6"},{token:"metatag.php",fontStyle:"bold"},{token:"key",foreground:"9CDCFE"},{token:"string.key",foreground:"9CDCFE"},{token:"string.value",foreground:"CE9178"},{token:"attribute.name",foreground:"569CD6"},{token:"attribute.value",foreground:"3FF23F"},{token:"string",foreground:"CE9178"},{token:"string.sql",foreground:"FF0000"},{token:"keyword",foreground:"569CD6"},{token:"keyword.flow",
foreground:"C586C0"},{token:"operator.sql",foreground:"778899"},{token:"operator.swift",foreground:"909090"},{token:"predefined.sql",foreground:"FF00FF"}],colors:(s={},s[i.editorBackground]="#000000",s[i.editorForeground]="#FFFFFF",s[n.editorIndentGuides]="#FFFFFF",s[n.editorActiveIndentGuides]="#FFFFFF",s)}}),define(t[545],n([0,1,7,28,6,14,560,544,41,20,13]),function(e,t,n,i,o,r,s,a,l,u,d){"use strict";function c(e){return e===f||e===g||e===m}function h(e){switch(e){case f:return a.vs;case g:return a.vs_dark;case m:return a.hc_black}}function p(e){var t=h(e);return new y(e,t)}Object.defineProperty(t,"__esModule",{value:!0});var f="vs",g="vs-dark",m="hc-black",v=l.Registry.as(u.Extensions.ColorContribution),_=l.Registry.as(d.Extensions.ThemingContribution),y=function(){function e(e,t){this.themeData=t;var n=t.base;e.length>0?(this.id=n+" "+e,this.themeName=e):(this.id=n,this.themeName=n),this.colors=null,this.defaultColors=Object.create(null),this._tokenTheme=null}
return Object.defineProperty(e.prototype,"base",{get:function(){return this.themeData.base},enumerable:!0,configurable:!0}),e.prototype.notifyBaseUpdated=function(){this.themeData.inherit&&(this.colors=null,this._tokenTheme=null)},e.prototype.getColors=function(){if(!this.colors){var e=Object.create(null);for(var t in this.themeData.colors)e[t]=i.Color.fromHex(this.themeData.colors[t]);if(this.themeData.inherit){var n=h(this.themeData.base);for(var t in n.colors)e[t]||(e[t]=i.Color.fromHex(n.colors[t]))}this.colors=e}return this.colors},e.prototype.getColor=function(e,t){var n=this.getColors()[e];return n||(!1!==t?this.getDefault(e):null)},e.prototype.getDefault=function(e){var t=this.defaultColors[e];return t||(t=v.resolveDefaultColor(e,this),this.defaultColors[e]=t,t)},e.prototype.defines=function(e){return Object.prototype.hasOwnProperty.call(this.getColors(),e)},Object.defineProperty(e.prototype,"type",{get:function(){switch(this.base){case f:return"light";case m:return"hc";default:return"dark"}},
enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"tokenTheme",{get:function(){if(!this._tokenTheme){var e=[],t=[];if(this.themeData.inherit){var n=h(this.themeData.base);e=n.rules,n.encodedTokensColors&&(t=n.encodedTokensColors)}e=e.concat(this.themeData.rules),this.themeData.encodedTokensColors&&(t=this.themeData.encodedTokensColors),this._tokenTheme=s.TokenTheme.createFromRawTokenTheme(e,t)}return this._tokenTheme},enumerable:!0,configurable:!0}),e}(),C=function(){function e(){this.environment=Object.create(null),this._onThemeChange=new o.Emitter,this._onIconThemeChange=new o.Emitter,this._knownThemes=new Map,this._knownThemes.set(f,p(f)),this._knownThemes.set(g,p(g)),this._knownThemes.set(m,p(m)),this._styleElement=n.createStyleSheet(),this._styleElement.className="monaco-colors",this.setTheme(f)}return Object.defineProperty(e.prototype,"onThemeChange",{get:function(){return this._onThemeChange.event},enumerable:!0,configurable:!0}),e.prototype.defineTheme=function(e,t){
if(!/^[a-z0-9\-]+$/i.test(e))throw new Error("Illegal theme name!");if(!c(t.base)&&!c(e))throw new Error("Illegal theme base!");this._knownThemes.set(e,new y(e,t)),c(e)&&this._knownThemes.forEach(function(t){t.base===e&&t.notifyBaseUpdated()}),this._theme&&this._theme.themeName===e&&this.setTheme(e)},e.prototype.getTheme=function(){return this._theme},e.prototype.setTheme=function(e){var t,n=this;if(t=this._knownThemes.has(e)?this._knownThemes.get(e):this._knownThemes.get(f),this._theme===t)return t.id;this._theme=t;var i=[],o={},a={addRule:function(e){o[e]||(i.push(e),o[e]=!0)}};_.getThemingParticipants().forEach(function(e){return e(t,a,n.environment)});var l=t.tokenTheme.getColorMap();return a.addRule(s.generateTokensCSSForColorMap(l)),this._styleElement.innerHTML=i.join("\n"),r.TokenizationRegistry.setColorMap(l),this._onThemeChange.fire(t),t.id},e.prototype.getIconTheme=function(){return{hasFileIcons:!1,hasFolderIcons:!1,hidesExplorerArrows:!1}},e}();t.StandaloneThemeServiceImpl=C}),
define(t[546],n([0,1,482,60,70,6,35,13,47,2]),function(e,t,n,i,r,s,l,d,c,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=function(e){function t(t,i,o,r,a,l){var u=e.call(this)||this;return u._onDidContextMenu=u._register(new s.Emitter),u.contextMenuHandler=u._register(new n.ContextMenuHandler(t,r,i,o,a,l)),u}return o(t,e),t.prototype.dispose=function(){this.contextMenuHandler.dispose()},t.prototype.showContextMenu=function(e){this.contextMenuHandler.showContextMenu(e),this._onDidContextMenu.fire()},t=a([u(1,r.ITelemetryService),u(2,l.INotificationService),u(3,i.IContextViewService),u(4,c.IKeybindingService),u(5,d.IThemeService)],t)}(h.Disposable);t.ContextMenuService=p}),define(t[145],n([0,1,7,2,32,88,161,352,45,82,18,15,41,86,13]),function(e,t,n,i,r,s,d,c,h,p,f,g,m,v,_){"use strict";function y(e){return"alt"===e.getValue(t.multiSelectModifierSettingKey)}function C(e){return"doubleClick"!==e.getValue(t.openModeSettingKey)}function b(e,t){
return e.controller||(e.controller=t.createInstance(I,{})),e.styler||(e.styler=new s.DefaultTreestyler((L||(L=n.createStyleSheet()),L))),e}Object.defineProperty(t,"__esModule",{value:!0});var S;t.IListService=g.createDecorator("listService");var w=function(){function e(e){this.lists=[],this._lastFocusedWidget=void 0}return Object.defineProperty(e.prototype,"lastFocusedList",{get:function(){return this._lastFocusedWidget},enumerable:!0,configurable:!0}),e.prototype.register=function(e,t){var n=this;if(this.lists.some(function(t){return t.widget===e}))throw new Error("Cannot register the same widget multiple times");var o={widget:e,extraContextKeys:t};this.lists.push(o),e.getHTMLElement()===document.activeElement&&(this._lastFocusedWidget=e);return i.combinedDisposable([e.onDidFocus(function(){return n._lastFocusedWidget=e}),i.toDisposable(function(){return n.lists.splice(n.lists.indexOf(o),1)}),e.onDidDispose(function(){n.lists=n.lists.filter(function(e){return e!==o}),
n._lastFocusedWidget===e&&(n._lastFocusedWidget=void 0)})])},e=a([u(0,f.IContextKeyService)],e)}();t.ListService=w;var E=new f.RawContextKey("listFocus",!0);t.WorkbenchListSupportsMultiSelectContextKey=new f.RawContextKey("listSupportsMultiselect",!0),t.WorkbenchListHasSelectionOrFocus=new f.RawContextKey("listHasSelectionOrFocus",!1),t.WorkbenchListDoubleSelection=new f.RawContextKey("listDoubleSelection",!1),t.WorkbenchListMultiSelection=new f.RawContextKey("listMultiSelection",!1),t.multiSelectModifierSettingKey="workbench.list.multiSelectModifier",t.openModeSettingKey="workbench.list.openMode",t.horizontalScrollingKey="workbench.tree.horizontalScrolling";var L,x=function(e){function n(n,i,o,r,s,a,u,d){var c=this,h=b(i,u),p=d.getValue(t.horizontalScrollingKey)?1:2,f=l({horizontalScrollMode:p,keyboardSupport:!1},v.computeStyles(a.getTheme(),v.defaultListStyles),o);return c=e.call(this,n,h,f)||this,c.disposables=[],c.contextKeyService=function(e,t){var n=e.createScoped(t.getHTMLElement());return E.bindTo(n),
n}(r,c),t.WorkbenchListSupportsMultiSelectContextKey.bindTo(c.contextKeyService),c.listHasSelectionOrFocus=t.WorkbenchListHasSelectionOrFocus.bindTo(c.contextKeyService),c.listDoubleSelection=t.WorkbenchListDoubleSelection.bindTo(c.contextKeyService),c.listMultiSelection=t.WorkbenchListMultiSelection.bindTo(c.contextKeyService),c._openOnSingleClick=C(d),c._useAltAsMultipleSelectionModifier=y(d),c.disposables.push(c.contextKeyService,s.register(c),v.attachListStyler(c,a)),c.disposables.push(c.onDidChangeSelection(function(){var e=c.getSelection(),t=c.getFocus();c.listHasSelectionOrFocus.set(e&&e.length>0||!!t),c.listDoubleSelection.set(e&&2===e.length),c.listMultiSelection.set(e&&e.length>1)})),c.disposables.push(c.onDidChangeFocus(function(){var e=c.getSelection(),t=c.getFocus();c.listHasSelectionOrFocus.set(e&&e.length>0||!!t)})),c.disposables.push(d.onDidChangeConfiguration(function(e){e.affectsConfiguration(t.openModeSettingKey)&&(c._openOnSingleClick=C(d)),
e.affectsConfiguration(t.multiSelectModifierSettingKey)&&(c._useAltAsMultipleSelectionModifier=y(d))})),c}return o(n,e),n.prototype.dispose=function(){e.prototype.dispose.call(this),this.disposables=i.dispose(this.disposables)},n=a([u(3,f.IContextKeyService),u(4,t.IListService),u(5,_.IThemeService),u(6,g.IInstantiationService),u(7,h.IConfigurationService)],n)}(d.Tree);t.WorkbenchTree=x;var I=function(e){function n(t,n){var i=e.call(this,function(e){return"boolean"!=typeof e.keyboardSupport&&(e.keyboardSupport=!1),"number"!=typeof e.clickBehavior&&(e.clickBehavior=0),e}(t))||this;return i.configurationService=n,i.disposables=[],r.isUndefinedOrNull(t.openMode)&&(i.setOpenMode(i.getOpenModeSetting()),i.registerListeners()),i}return o(n,e),n.prototype.registerListeners=function(){var e=this;this.disposables.push(this.configurationService.onDidChangeConfiguration(function(n){n.affectsConfiguration(t.openModeSettingKey)&&e.setOpenMode(e.getOpenModeSetting())}))},n.prototype.getOpenModeSetting=function(){
return C(this.configurationService)?0:1},n.prototype.dispose=function(){this.disposables=i.dispose(this.disposables)},n=a([u(1,h.IConfigurationService)],n)}(s.DefaultController);t.WorkbenchTreeController=I;m.Registry.as(p.Extensions.Configuration).registerConfiguration({id:"workbench",order:7,title:c.localize(0,null),type:"object",properties:(S={},S[t.multiSelectModifierSettingKey]={type:"string",enum:["ctrlCmd","alt"],enumDescriptions:[c.localize(1,null),c.localize(2,null)],default:"ctrlCmd",description:c.localize(3,null)},S[t.openModeSettingKey]={type:"string",enum:["singleClick","doubleClick"],default:"singleClick",description:c.localize(4,null)},S[t.horizontalScrollingKey]={type:"boolean",default:!1,description:c.localize(5,null)},S)})}),define(t[197],n([0,1,7,549,118,102,28,11,6,158,2,50,84,8,139,3,26,92,332,18,15,156,145,20,86,13,142,123,377]),function(e,t,n,i,r,s,l,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,I,N,D,M,k,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var R=function(){function e(e,t){
var n=this;this._editor=e,this._model=t,this._decorations=new Map,this._decorationIgnoreSet=new Set,this._callOnDispose=[],this._callOnModelChange=[],this._callOnDispose.push(this._editor.onDidChangeModel(function(){return n._onModelChanged()})),this._onModelChanged()}return e.prototype.dispose=function(){this._callOnModelChange=g.dispose(this._callOnModelChange),this._callOnDispose=g.dispose(this._callOnDispose),this.removeDecorations()},e.prototype._onModelChanged=function(){this._callOnModelChange=g.dispose(this._callOnModelChange);var e=this._editor.getModel();if(e)for(var t=0,n=this._model.groups;t<n.length;t++){var i=n[t];if(i.uri.toString()===e.uri.toString())return void this._addDecorations(i)}},e.prototype._addDecorations=function(t){var n=this;this._callOnModelChange.push(this._editor.getModel().onDidChangeDecorations(function(e){return n._onDecorationChanged()}));for(var i=[],o=[],r=0,s=t.children.length;r<s;r++){var a=t.children[r];this._decorationIgnoreSet.has(a.id)||(i.push({range:a.range,
options:e.DecorationOptions}),o.push(r))}for(var l=this._editor.deltaDecorations([],i),r=0;r<l.length;r++)this._decorations.set(l[r],t.children[o[r]])},e.prototype._onDecorationChanged=function(){var e=this,t=[];this._decorations.forEach(function(n,i){var o=e._editor.getModel().getDecorationRange(i);if(o){var r=!1;if(!C.Range.equalsRange(o,n.range)){if(C.Range.spansMultipleLines(o))r=!0;else{n.range.endColumn-n.range.startColumn!==o.endColumn-o.startColumn&&(r=!0)}r?(e._decorationIgnoreSet.add(n.id),t.push(i)):n.range=o}}});for(var n=0,i=t.length;n<i;n++)this._decorations.delete(t[n]);this._editor.deltaDecorations(t,[])},e.prototype.removeDecorations=function(){var e=[];this._decorations.forEach(function(t,n){e.push(n)}),this._editor.deltaDecorations(e,[]),this._decorations.clear()},e.DecorationOptions=b.ModelDecorationOptions.register({stickiness:1,className:"reference-decoration"}),e}(),O=function(){function e(e){this._textModelResolverService=e}return e.prototype.getId=function(e,t){
return t instanceof T.ReferencesModel?"root":t instanceof T.FileReferences?t.id:t instanceof T.OneReference?t.id:void 0},e.prototype.hasChildren=function(e,t){return t instanceof T.ReferencesModel||t instanceof T.FileReferences&&!t.failure},e.prototype.getChildren=function(e,t){return t instanceof T.ReferencesModel?Promise.resolve(t.groups):t instanceof T.FileReferences?t.resolve(this._textModelResolverService).then(function(n){return t.failure?e.refresh(t).then(function(){return n.children}):n.children}):Promise.resolve([])},e.prototype.getParent=function(e,t){var n=null;return t instanceof T.FileReferences?n=t.parent:t instanceof T.OneReference&&(n=t.parent),Promise.resolve(n)},e=a([u(0,S.ITextModelService)],e)}(),P=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t._onDidFocus=new p.Emitter,t.onDidFocus=t._onDidFocus.event,t._onDidSelect=new p.Emitter,t.onDidSelect=t._onDidSelect.event,t._onDidOpenToSide=new p.Emitter,t.onDidOpenToSide=t._onDidOpenToSide.event,t}return o(t,e),
t.prototype.onTap=function(t,n,i){if(n instanceof T.FileReferences)return i.preventDefault(),i.stopPropagation(),this._expandCollapse(t,n);var o=e.prototype.onTap.call(this,t,n,i);return this._onDidFocus.fire(n),o},t.prototype.onMouseDown=function(t,n,i){var o=2===i.detail;if(i.leftButton){if(n instanceof T.FileReferences&&(this.openOnSingleClick||o||this.isClickOnTwistie(i)))return i.preventDefault(),i.stopPropagation(),this._expandCollapse(t,n);var r=e.prototype.onClick.call(this,t,n,i);return(i.ctrlKey||i.metaKey||i.altKey)&&(o||this.openOnSingleClick)?this._onDidOpenToSide.fire(n):o?this._onDidSelect.fire(n):this.openOnSingleClick&&this._onDidFocus.fire(n),r}return!1},t.prototype.onClick=function(t,n,i){return!i.leftButton&&e.prototype.onClick.call(this,t,n,i)},t.prototype._expandCollapse=function(e,t){return e.isExpanded(t)?e.collapse(t).then(null,h.onUnexpectedError):e.expand(t).then(null,h.onUnexpectedError),!0},t.prototype.onEscape=function(e,t){return!1},t.prototype.dispose=function(){
this._onDidFocus.dispose(),this._onDidSelect.dispose(),this._onDidOpenToSide.dispose()},t}(I.WorkbenchTreeController),A=function(){function e(e,t,o){var s=this;this._uriLabel=t;var a=document.createElement("div");n.addClass(a,"reference-file"),e.appendChild(a),this.file=new r.IconLabel(a),this.badge=new i.CountBadge(n.append(a,n.$(".count")));var l=D.attachBadgeStyler(this.badge,o);this.dispose=function(){s.file.dispose(),l.dispose()}}return e.prototype.set=function(e){var t=v.dirname(e.uri);this.file.setValue(f.getBaseLabel(e.uri),t?this._uriLabel.getUriLabel(t,{relative:!0}):void 0,{title:this._uriLabel.getUriLabel(e.uri)});var n=e.children.length;this.badge.setCount(n),e.failure?this.badge.setTitleFormat(w.localize(0,null)):n>1?this.badge.setTitleFormat(w.localize(1,null,n)):this.badge.setTitleFormat(w.localize(2,null,n))},e=a([u(1,x.ILabelService),u(2,M.IThemeService)],e)}(),F=function(){function e(e){var t=document.createElement("div");this.before=document.createElement("span"),
this.inside=document.createElement("span"),this.after=document.createElement("span"),n.addClass(this.inside,"referenceMatch"),n.addClass(t,"reference"),t.appendChild(this.before),t.appendChild(this.inside),t.appendChild(this.after),e.appendChild(t)}return e.prototype.set=function(e){var t=e.parent.preview.preview(e.range),n=t.before,i=t.inside,o=t.after;this.before.innerHTML=_.escape(n),this.inside.innerHTML=_.escape(i),this.after.innerHTML=_.escape(o)},e}(),W=function(){function e(e,t){this._themeService=e,this._uriLabel=t}return e.prototype.getHeight=function(e,t){return 23},e.prototype.getTemplateId=function(t,n){if(n instanceof T.FileReferences)return e._ids.FileReferences;if(n instanceof T.OneReference)return e._ids.OneReference;throw n},e.prototype.renderTemplate=function(t,n,i){if(n===e._ids.FileReferences)return new A(i,this._uriLabel,this._themeService);if(n===e._ids.OneReference)return new F(i);throw n},e.prototype.renderElement=function(e,t,n,i){if(t instanceof T.FileReferences)i.set(t);else{
if(!(t instanceof T.OneReference))throw n;i.set(t)}},e.prototype.disposeTemplate=function(e,t,n){n instanceof A&&n.dispose()},e._ids={FileReferences:"FileReferences",OneReference:"OneReference"},e=a([u(0,M.IThemeService),u(1,x.ILabelService)],e)}(),V=function(){function e(){}return e.prototype.getAriaLabel=function(e,t){return t instanceof T.FileReferences?t.getAriaMessage():t instanceof T.OneReference?t.getAriaMessage():void 0},e}(),H=function(){function e(e,t){var n=this;this._disposables=[],this._onDidChangePercentages=new p.Emitter,this._ratio=t,this._sash=new s.Sash(e,{getVerticalSashLeft:function(){return n._width*n._ratio},getVerticalSashHeight:function(){return n._height}});var i;this._disposables.push(this._sash.onDidStart(function(e){i=e.startX-n._width*n.ratio})),this._disposables.push(this._sash.onDidChange(function(e){var t=e.currentX-i;t>20&&t+20<n._width&&(n._ratio=t/n._width,n._sash.layout(),n._onDidChangePercentages.fire(n))}))}return e.prototype.dispose=function(){this._sash.dispose(),
this._onDidChangePercentages.dispose(),g.dispose(this._disposables)},Object.defineProperty(e.prototype,"onDidChangePercentages",{get:function(){return this._onDidChangePercentages.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"width",{set:function(e){this._width=e,this._sash.layout()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"height",{set:function(e){this._height=e,this._sash.layout()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"percentages",{get:function(){var e=100*this._ratio;return[e+"%",100-e+"%"]},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"ratio",{get:function(){return this._ratio},enumerable:!0,configurable:!0}),e}();t.ctxReferenceWidgetSearchTreeFocused=new E.RawContextKey("referenceSearchTreeFocused",!0);var B=function(e){function i(t,n,i,o,r,s,a){var l=e.call(this,t,{showFrame:!1,showArrow:!0,isResizeable:!0,isAccessible:!0})||this;return l._defaultTreeKeyboardSupport=n,l.layoutData=i,
l._textModelResolverService=r,l._instantiationService=s,l._uriLabel=a,l._disposeOnNewModel=[],l._callOnDispose=[],l._onDidSelectReference=new p.Emitter,l._applyTheme(o.getTheme()),l._callOnDispose.push(o.onThemeChange(l._applyTheme.bind(l))),l.create(),l}return o(i,e),i.prototype._applyTheme=function(e){var n=e.getColor(t.peekViewBorder)||l.Color.transparent;this.style({arrowColor:n,frameColor:n,headerBackgroundColor:e.getColor(t.peekViewTitleBackground)||l.Color.transparent,primaryHeadingColor:e.getColor(t.peekViewTitleForeground),secondaryHeadingColor:e.getColor(t.peekViewTitleInfoForeground)})},i.prototype.dispose=function(){this.setModel(null),this._callOnDispose=g.dispose(this._callOnDispose),g.dispose(this._preview,this._previewNotAvailableMessage,this._tree,this._sash,this._previewModelReference),e.prototype.dispose.call(this)},Object.defineProperty(i.prototype,"onDidSelectReference",{get:function(){return this._onDidSelectReference.event},enumerable:!0,configurable:!0}),i.prototype.show=function(t){
this.editor.revealRangeInCenterIfOutsideViewport(t,0),e.prototype.show.call(this,t,this.layoutData.heightInLines||18)},i.prototype.focus=function(){this._tree.domFocus()},i.prototype._onTitleClick=function(e){this._preview&&this._preview.getModel()&&this._onDidSelectReference.fire({element:this._getFocusedReference(),kind:e.ctrlKey||e.metaKey||e.altKey?"side":"open",source:"title"})},i.prototype._fillBody=function(e){var i=this;this.setCssClass("reference-zone-widget"),this._messageContainer=n.append(e,n.$("div.messages")),n.hide(this._messageContainer),this._previewContainer=n.append(e,n.$("div.preview.inline"));this._preview=this._instantiationService.createInstance(y.EmbeddedCodeEditorWidget,this._previewContainer,{scrollBeyondLastLine:!1,scrollbar:{verticalScrollbarSize:14,horizontal:"auto",useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1},overviewRulerLanes:2,fixedOverflowWidgets:!0,minimap:{enabled:!1}},this.editor),n.hide(this._previewContainer),
this._previewNotAvailableMessage=b.TextModel.createFromString(w.localize(3,null)),this._sash=new H(e,this.layoutData.ratio||.8),this._sash.onDidChangePercentages(function(){var e=i._sash.percentages,t=e[0],n=e[1];i._previewContainer.style.width=t,i._treeContainer.style.width=n,i._preview.layout(),i._tree.layout(),i.layoutData.ratio=i._sash.ratio}),this._treeContainer=n.append(e,n.$("div.ref-tree.inline"));var o=this._instantiationService.createInstance(P,{keyboardSupport:this._defaultTreeKeyboardSupport,clickBehavior:1});this._callOnDispose.push(o);var r={dataSource:this._instantiationService.createInstance(O),renderer:this._instantiationService.createInstance(W),controller:o,accessibilityProvider:new V},s={twistiePixels:20,ariaLabel:w.localize(4,null)};this._tree=this._instantiationService.createInstance(I.WorkbenchTree,this._treeContainer,r,s),t.ctxReferenceWidgetSearchTreeFocused.bindTo(this._tree.contextKeyService);var a=function(e,t){e instanceof T.OneReference&&("show"===t&&i._revealReference(e,!1),
i._onDidSelectReference.fire({element:e,kind:t,source:"tree"}))};this._disposables.push(this._tree.onDidChangeFocus(function(e){e&&e.payload&&"keyboard"===e.payload.origin&&a(e.focus,"show")})),this._disposables.push(this._tree.onDidChangeSelection(function(e){e&&e.payload&&"keyboard"===e.payload.origin&&a(e.selection[0],"goto")})),this._disposables.push(o.onDidFocus(function(e){return a(e,"show")})),this._disposables.push(o.onDidSelect(function(e){return a(e,"goto")})),this._disposables.push(o.onDidOpenToSide(function(e){return a(e,"side")})),n.hide(this._treeContainer)},i.prototype._doLayoutBody=function(t,n){e.prototype._doLayoutBody.call(this,t,n);var i=t+"px";this._sash.height=t,this._sash.width=n;var o=this._sash.percentages,r=o[0],s=o[1];this._previewContainer.style.height=i,this._previewContainer.style.width=r,this._treeContainer.style.height=i,this._treeContainer.style.width=s,this._tree.layout(t),this._preview.layout(),this.layoutData={heightInLines:this._viewZone.heightInLines,
ratio:this._sash.ratio}},i.prototype._onWidth=function(e){this._sash.width=e,this._preview.layout()},i.prototype.setSelection=function(e){var t=this;return this._revealReference(e,!0).then(function(){t._model&&(t._tree.setSelection([e]),t._tree.setFocus(e))})},i.prototype.setModel=function(e){if(this._disposeOnNewModel=g.dispose(this._disposeOnNewModel),this._model=e,this._model)return this._onNewModel()},i.prototype._onNewModel=function(){var e=this;if(this._model.empty)return this.setTitle(""),this._messageContainer.innerHTML=w.localize(5,null),n.show(this._messageContainer),Promise.resolve(void 0);n.hide(this._messageContainer),this._decorationsManager=new R(this._preview,this._model),this._disposeOnNewModel.push(this._decorationsManager),this._disposeOnNewModel.push(this._model.onDidChangeReferenceRange(function(t){return e._tree.refresh(t)})),this._disposeOnNewModel.push(this._preview.onMouseDown(function(t){var n=t.event,i=t.target;2===n.detail&&e._onDidSelectReference.fire({element:{
uri:e._getFocusedReference().uri,range:i.range},kind:n.ctrlKey||n.metaKey||n.altKey?"side":"open",source:"editor"})})),n.addClass(this.container,"results-loaded"),n.show(this._treeContainer),n.show(this._previewContainer),this._preview.layout(),this._tree.layout(),this.focus();var t=1===this._model.groups.length?this._model.groups[0]:this._model;return this._tree.setInput(t)},i.prototype._getFocusedReference=function(){var e=this._tree.getFocus();return e instanceof T.OneReference?e:e instanceof T.FileReferences&&e.children.length>0?e.children[0]:void 0},i.prototype._revealReference=function(e,t){return d(this,void 0,void 0,function(){var n,i=this;return c(this,function(o){switch(o.label){case 0:return e.uri.scheme!==m.Schemas.inMemory?this.setTitle(v.basenameOrAuthority(e.uri),this._uriLabel.getUriLabel(v.dirname(e.uri))):this.setTitle(w.localize(6,null)),n=this._textModelResolverService.createModelReference(e.uri),t?[4,this._tree.reveal(e.parent)]:[3,2];case 1:o.sent(),o.label=2;case 2:
return[2,Promise.all([n,this._tree.reveal(e)]).then(function(t){var n=t[0];if(i._model){g.dispose(i._previewModelReference);var o=n.object;if(o){i._previewModelReference=n;var r=i._preview.getModel()===o.textEditorModel;i._preview.setModel(o.textEditorModel);var s=C.Range.lift(e.range).collapseToStart();i._preview.setSelection(s),i._preview.revealRangeInCenter(s,r?0:1)}else i._preview.setModel(i._previewNotAvailableMessage),n.dispose()}else n.dispose()},h.onUnexpectedError)]}})})},i=a([u(3,M.IThemeService),u(4,S.ITextModelService),u(5,L.IInstantiationService),u(6,x.ILabelService)],i)}(k.PeekViewWidget);t.ReferenceWidget=B,t.peekViewTitleBackground=N.registerColor("peekViewTitle.background",{dark:"#1E1E1E",light:"#FFFFFF",hc:"#0C141F"},w.localize(7,null)),t.peekViewTitleForeground=N.registerColor("peekViewTitleLabel.foreground",{dark:"#FFFFFF",light:"#333333",hc:"#FFFFFF"},w.localize(8,null)),t.peekViewTitleInfoForeground=N.registerColor("peekViewTitleDescription.foreground",{dark:"#ccccccb3",
light:"#6c6c6cb3",hc:"#FFFFFF99"},w.localize(9,null)),t.peekViewBorder=N.registerColor("peekView.border",{dark:"#007acc",light:"#007acc",hc:N.contrastBorder},w.localize(10,null)),t.peekViewResultsBackground=N.registerColor("peekViewResult.background",{dark:"#252526",light:"#F3F3F3",hc:l.Color.black},w.localize(11,null)),t.peekViewResultsMatchForeground=N.registerColor("peekViewResult.lineForeground",{dark:"#bbbbbb",light:"#646465",hc:l.Color.white},w.localize(12,null)),t.peekViewResultsFileForeground=N.registerColor("peekViewResult.fileForeground",{dark:l.Color.white,light:"#1E1E1E",hc:l.Color.white},w.localize(13,null)),t.peekViewResultsSelectionBackground=N.registerColor("peekViewResult.selectionBackground",{dark:"#3399ff33",light:"#3399ff33",hc:null},w.localize(14,null)),t.peekViewResultsSelectionForeground=N.registerColor("peekViewResult.selectionForeground",{dark:l.Color.white,light:"#6C6C6C",hc:l.Color.white},w.localize(15,null)),t.peekViewEditorBackground=N.registerColor("peekViewEditor.background",{
dark:"#001F33",light:"#F2F8FC",hc:l.Color.black},w.localize(16,null)),t.peekViewEditorGutterBackground=N.registerColor("peekViewEditorGutter.background",{dark:t.peekViewEditorBackground,light:t.peekViewEditorBackground,hc:t.peekViewEditorBackground},w.localize(17,null)),t.peekViewResultsMatchHighlight=N.registerColor("peekViewResult.matchHighlightBackground",{dark:"#ea5c004d",light:"#ea5c004d",hc:null},w.localize(18,null)),t.peekViewEditorMatchHighlight=N.registerColor("peekViewEditor.matchHighlightBackground",{dark:"#ff8f0099",light:"#f5d802de",hc:null},w.localize(19,null)),t.peekViewEditorMatchHighlightBorder=N.registerColor("peekViewEditor.matchHighlightBorder",{dark:null,light:null,hc:N.activeContrastBorder},w.localize(20,null)),M.registerThemingParticipant(function(e,n){var i=e.getColor(t.peekViewResultsMatchHighlight);i&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree .referenceMatch { background-color: "+i+"; }");var o=e.getColor(t.peekViewEditorMatchHighlight)
;o&&n.addRule(".monaco-editor .reference-zone-widget .preview .reference-decoration { background-color: "+o+"; }");var r=e.getColor(t.peekViewEditorMatchHighlightBorder);r&&n.addRule(".monaco-editor .reference-zone-widget .preview .reference-decoration { border: 2px solid "+r+"; box-sizing: border-box; }");var s=e.getColor(N.activeContrastBorder);s&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree .referenceMatch { border: 1px dotted "+s+"; box-sizing: border-box; }");var a=e.getColor(t.peekViewResultsBackground);a&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree { background-color: "+a+"; }");var l=e.getColor(t.peekViewResultsMatchForeground);l&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree { color: "+l+"; }");var u=e.getColor(t.peekViewResultsFileForeground);u&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree .reference-file { color: "+u+"; }");var d=e.getColor(t.peekViewResultsSelectionBackground)
;d&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree .monaco-tree.focused .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { background-color: "+d+"; }");var c=e.getColor(t.peekViewResultsSelectionForeground);c&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree .monaco-tree.focused .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { color: "+c+" !important; }");var h=e.getColor(t.peekViewEditorBackground);h&&n.addRule(".monaco-editor .reference-zone-widget .preview .monaco-editor .monaco-editor-background,.monaco-editor .reference-zone-widget .preview .monaco-editor .inputarea.ime-input {\tbackground-color: "+h+";}");var p=e.getColor(t.peekViewEditorGutterBackground);p&&n.addRule(".monaco-editor .reference-zone-widget .preview .monaco-editor .margin {\tbackground-color: "+p+";}")})}),define(t[146],n([0,1,329,11,2,30,15,18,45,71,197,3,12,35]),function(e,t,n,i,o,r,s,l,h,p,f,g,m,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),
t.ctxReferenceSearchVisible=new l.RawContextKey("referenceSearchVisible",!1);var _=function(){function e(e,n,i,o,r,s,a,l){this._defaultTreeKeyboardSupport=e,this._editorService=o,this._notificationService=r,this._instantiationService=s,this._storageService=a,this._configurationService=l,this._requestIdPool=0,this._disposables=[],this._ignoreModelChangeEvent=!1,this._editor=n,this._referenceSearchVisible=t.ctxReferenceSearchVisible.bindTo(i)}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._referenceSearchVisible.reset(),o.dispose(this._disposables),o.dispose(this._widget),o.dispose(this._model),this._widget=null,this._model=null,this._editor=null},e.prototype.toggleWidget=function(e,t,i){var o,r=this;if(this._widget&&(o=this._widget.position),this.closeWidget(),o&&e.containsPosition(o))return null;this._referenceSearchVisible.set(!0),this._disposables.push(this._editor.onDidChangeModelLanguage(function(){r.closeWidget()})),
this._disposables.push(this._editor.onDidChangeModel(function(){r._ignoreModelChangeEvent||r.closeWidget()}));var s=JSON.parse(this._storageService.get("peekViewLayout",0,"{}"));this._widget=this._instantiationService.createInstance(f.ReferenceWidget,this._editor,this._defaultTreeKeyboardSupport,s),this._widget.setTitle(n.localize(0,null)),this._widget.show(e),this._disposables.push(this._widget.onDidClose(function(){t.cancel(),r._storageService.store("peekViewLayout",JSON.stringify(r._widget.layoutData),0),r._widget=null,r.closeWidget()})),this._disposables.push(this._widget.onDidSelectReference(function(e){var t=e.element,n=e.kind;switch(n){case"open":if("editor"===e.source&&r._configurationService.getValue("editor.stablePeek"))break;case"side":r.openReference(t,"side"===n);break;case"goto":i.onGoto?i.onGoto(t):r._gotoReference(t)}}));var a=++this._requestIdPool;t.then(function(t){if(a===r._requestIdPool&&r._widget)return r._model&&r._model.dispose(),r._model=t,r._widget.setModel(r._model).then(function(){
if(r._widget){r._widget.setMetaTitle(i.getMetaTitle(r._model));var t=r._editor.getModel().uri,n=new m.Position(e.startLineNumber,e.startColumn),o=r._model.nearestReference(t,n);if(o)return r._widget.setSelection(o)}})},function(e){r._notificationService.error(e)})},e.prototype.goToNextOrPreviousReference=function(e){return d(this,void 0,void 0,function(){var t,n,i;return c(this,function(o){switch(o.label){case 0:return this._model?(t=this._model.nearestReference(this._editor.getModel().uri,this._widget.position),n=this._model.nextOrPreviousReference(t,e),i=this._editor.hasTextFocus(),[4,this._widget.setSelection(n)]):[3,3];case 1:return o.sent(),[4,this._gotoReference(n)];case 2:o.sent(),i&&this._editor.focus(),o.label=3;case 3:return[2]}})})},e.prototype.closeWidget=function(){o.dispose(this._widget),this._widget=null,this._referenceSearchVisible.reset(),this._disposables=o.dispose(this._disposables),o.dispose(this._model),this._model=null,this._editor.focus(),this._requestIdPool+=1},
e.prototype._gotoReference=function(e){var t=this;this._widget.hide(),this._ignoreModelChangeEvent=!0;var n=g.Range.lift(e.range).collapseToStart();return this._editorService.openCodeEditor({resource:e.uri,options:{selection:n}},this._editor).then(function(e){t._ignoreModelChangeEvent=!1,e&&e===t._editor?(t._widget.show(n),t._widget.focus()):t.closeWidget()},function(e){t._ignoreModelChangeEvent=!1,i.onUnexpectedError(e)})},e.prototype.openReference=function(e,t){t||this.closeWidget();var n=e.uri,i=e.range;this._editorService.openCodeEditor({resource:n,options:{selection:i}},this._editor,t)},e.ID="editor.contrib.referencesController",e=a([u(2,l.IContextKeyService),u(3,r.ICodeEditorService),u(4,v.INotificationService),u(5,s.IInstantiationService),u(6,p.IStorageService),u(7,h.IConfigurationService)],e)}();t.ReferencesController=_}),define(t[199],n([0,1,43,16,24,36,17,10,30,3,19,141,142,146,123,314,37,18,35,89,176]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v,_,y,C,b){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var S=function(){return function(e,t,n,i){void 0===e&&(e=!1),void 0===t&&(t=!1),void 0===n&&(n=!0),void 0===i&&(i=!0),this.openToSide=e,this.openInPeek=t,this.filterCurrent=n,this.showMessage=i}}();t.DefinitionActionConfig=S;var w=function(e){function t(t,n){var i=e.call(this,n)||this;return i._configuration=t,i}return o(t,e),t.prototype.run=function(e,t){var n=this,i=e.get(y.INotificationService),o=e.get(u.ICodeEditorService),s=e.get(C.IProgressService),a=t.getModel(),l=t.getPosition(),c=this._getDeclarationsAtPosition(a,l,r.CancellationToken.None).then(function(e){if(!a.isDisposed()&&t.getModel()===a){for(var i=-1,r=[],s=0;s<e.length;s++){var u=e[s];if(u&&u.range){var c=u.uri,p=u.range,f=r.push({uri:c,range:p});n._configuration.filterCurrent&&c.toString()===a.uri.toString()&&d.Range.containsPosition(p,l)&&-1===i&&(i=f-1)}}if(0===r.length){if(n._configuration.showMessage){var m=a.getWordAtPosition(l)
;h.MessageController.get(t).showMessage(n._getNoResultFoundMessage(m),l)}}else if(1===r.length&&-1!==i){var v=r[0];n._openReference(t,o,v,!1)}else n._onResult(o,t,new g.ReferencesModel(r))}},function(e){i.error(e)});return s.showWhile(c,250),c},t.prototype._getDeclarationsAtPosition=function(e,t,n){return b.getDefinitionsAtPosition(e,t,n)},t.prototype._getNoResultFoundMessage=function(e){return e&&e.word?m.localize(0,null,e.word):m.localize(1,null)},t.prototype._getMetaTitle=function(e){return e.references.length>1&&m.localize(2,null,e.references.length)},t.prototype._onResult=function(e,t,i){var o=this,r=i.getAriaMessage();if(n.alert(r),this._configuration.openInPeek)this._openInPeek(e,t,i);else{var s=i.nearestReference(t.getModel().uri,t.getPosition());this._openReference(t,e,s,this._configuration.openToSide).then(function(t){t&&i.references.length>1?o._openInPeek(e,t,i):i.dispose()})}},t.prototype._openReference=function(e,t,n,i){return t.openCodeEditor({resource:n.uri,options:{
selection:d.Range.collapseToStart(n.range),revealIfOpened:!0,revealInCenterIfOutsideViewport:!0}},e,i)},t.prototype._openInPeek=function(e,t,n){var o=this,r=f.ReferencesController.get(t);r?r.toggleWidget(t.getSelection(),i.createCancelablePromise(function(e){return Promise.resolve(n)}),{getMetaTitle:function(e){return o._getMetaTitle(e)},onGoto:function(n){return r.closeWidget(),o._openReference(t,e,n,!1)}}):n.dispose()},t}(l.EditorAction);t.DefinitionAction=w;var E=a.isWeb?2118:70,L=function(e){function t(){return e.call(this,new S,{id:t.ID,label:m.localize(3,null),alias:"Go to Definition",precondition:_.ContextKeyExpr.and(c.EditorContextKeys.hasDefinitionProvider,c.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:c.EditorContextKeys.editorTextFocus,primary:E,weight:100},menuOpts:{group:"navigation",order:1.1}})||this}return o(t,e),t.ID="editor.action.goToDeclaration",t}(w);t.GoToDefinitionAction=L;var x=function(e){function t(){return e.call(this,new S(!0),{id:t.ID,label:m.localize(4,null),
alias:"Open Definition to the Side",precondition:_.ContextKeyExpr.and(c.EditorContextKeys.hasDefinitionProvider,c.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:c.EditorContextKeys.editorTextFocus,primary:s.KeyChord(2089,E),weight:100}})||this}return o(t,e),t.ID="editor.action.openDeclarationToTheSide",t}(w);t.OpenDefinitionToSideAction=x;var I=function(e){function t(){return e.call(this,new S(void 0,!0,!1),{id:"editor.action.previewDeclaration",label:m.localize(5,null),alias:"Peek Definition",precondition:_.ContextKeyExpr.and(c.EditorContextKeys.hasDefinitionProvider,p.PeekContext.notInPeekEditor,c.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:c.EditorContextKeys.editorTextFocus,primary:582,linux:{primary:3140},weight:100},menuOpts:{group:"navigation",order:1.2}})||this}return o(t,e),t}(w);t.PeekDefinitionAction=I;var N=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._getDeclarationsAtPosition=function(e,t,n){
return b.getImplementationsAtPosition(e,t,n)},t.prototype._getNoResultFoundMessage=function(e){return e&&e.word?m.localize(6,null,e.word):m.localize(7,null)},t.prototype._getMetaTitle=function(e){return e.references.length>1&&m.localize(8,null,e.references.length)},t}(w);t.ImplementationAction=N;var D=function(e){function t(){return e.call(this,new S,{id:t.ID,label:m.localize(9,null),alias:"Go to Implementation",precondition:_.ContextKeyExpr.and(c.EditorContextKeys.hasImplementationProvider,c.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:c.EditorContextKeys.editorTextFocus,primary:2118,weight:100}})||this}return o(t,e),t.ID="editor.action.goToImplementation",t}(N);t.GoToImplementationAction=D;var M=function(e){function t(){return e.call(this,new S(!1,!0,!1),{id:t.ID,label:m.localize(10,null),alias:"Peek Implementation",precondition:_.ContextKeyExpr.and(c.EditorContextKeys.hasImplementationProvider,c.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{
kbExpr:c.EditorContextKeys.editorTextFocus,primary:3142,weight:100}})||this}return o(t,e),t.ID="editor.action.peekImplementation",t}(N);t.PeekImplementationAction=M;var k=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._getDeclarationsAtPosition=function(e,t,n){return b.getTypeDefinitionsAtPosition(e,t,n)},t.prototype._getNoResultFoundMessage=function(e){return e&&e.word?m.localize(11,null,e.word):m.localize(12,null)},t.prototype._getMetaTitle=function(e){return e.references.length>1&&m.localize(13,null,e.references.length)},t}(w);t.TypeDefinitionAction=k;var T=function(e){function t(){return e.call(this,new S,{id:t.ID,label:m.localize(14,null),alias:"Go to Type Definition",precondition:_.ContextKeyExpr.and(c.EditorContextKeys.hasTypeDefinitionProvider,c.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:c.EditorContextKeys.editorTextFocus,primary:0,weight:100},menuOpts:{group:"navigation",order:1.4}})||this}return o(t,e),
t.ID="editor.action.goToTypeDefinition",t}(k);t.GoToTypeDefinitionAction=T;var R=function(e){function t(){return e.call(this,new S(!1,!0,!1),{id:t.ID,label:m.localize(15,null),alias:"Peek Type Definition",precondition:_.ContextKeyExpr.and(c.EditorContextKeys.hasTypeDefinitionProvider,c.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:c.EditorContextKeys.editorTextFocus,primary:0,weight:100}})||this}return o(t,e),t.ID="editor.action.peekTypeDefinition",t}(k);t.PeekTypeDefinitionAction=R,l.registerEditorAction(L),l.registerEditorAction(x),l.registerEditorAction(I),l.registerEditorAction(D),l.registerEditorAction(M),l.registerEditorAction(T),l.registerEditorAction(R),v.MenuRegistry.appendMenuItem(v.MenuId.MenubarGoMenu,{group:"z_go_to",command:{id:"editor.action.goToDeclaration",title:m.localize(16,null)},order:4}),v.MenuRegistry.appendMenuItem(v.MenuId.MenubarGoMenu,{group:"z_go_to",command:{id:"editor.action.goToTypeDefinition",title:m.localize(17,null)},order:5}),
v.MenuRegistry.appendMenuItem(v.MenuId.MenubarGoMenu,{group:"z_go_to",command:{id:"editor.action.goToImplementation",title:m.localize(18,null)},order:6})}),define(t[551],n([0,1,315,16,11,68,63,3,14,10,176,2,92,13,20,66,199,183,12,163]),function(e,t,n,i,o,r,s,l,d,c,h,p,f,g,m,v,_,y,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var b=function(){function e(e,t,n){var i=this;this.textModelResolverService=t,this.modeService=n,this.toUnhook=[],this.decorations=[],this.editor=e,this.previousPromise=null;var r=new y.ClickLinkGesture(e);this.toUnhook.push(r),this.toUnhook.push(r.onMouseMoveOrRelevantKeyDown(function(e){var t=e[0],n=e[1];i.startFindDefinition(t,n)})),this.toUnhook.push(r.onExecute(function(e){i.isEnabled(e)&&i.gotoDefinition(e.target,e.hasSideBySideModifier).then(function(){i.removeDecorations()},function(e){i.removeDecorations(),o.onUnexpectedError(e)})})),this.toUnhook.push(r.onCancel(function(){i.removeDecorations(),i.currentWordUnderMouse=null}))}
return e.prototype.startFindDefinition=function(e,t){var s=this;if(!this.isEnabled(e,t))return this.currentWordUnderMouse=null,void this.removeDecorations();var a=e.target.position,u=a?this.editor.getModel().getWordAtPosition(a):null;if(!u)return this.currentWordUnderMouse=null,void this.removeDecorations();if(!this.currentWordUnderMouse||this.currentWordUnderMouse.startColumn!==u.startColumn||this.currentWordUnderMouse.endColumn!==u.endColumn||this.currentWordUnderMouse.word!==u.word){this.currentWordUnderMouse=u;var d=new v.EditorState(this.editor,15);this.previousPromise&&(this.previousPromise.cancel(),this.previousPromise=null),this.previousPromise=i.createCancelablePromise(function(t){return s.findDefinition(e.target,t)}),this.previousPromise.then(function(e){if(e&&e.length&&d.validate(s.editor))if(e.length>1)s.addDecoration(new l.Range(a.lineNumber,u.startColumn,a.lineNumber,u.endColumn),(new r.MarkdownString).appendText(n.localize(0,null,e.length)));else{var t=e[0];if(!t.uri)return
;s.textModelResolverService.createModelReference(t.uri).then(function(e){if(e.object&&e.object.textEditorModel){var n=e.object.textEditorModel,i=t.range.startLineNumber;if(i<1||i>n.getLineCount())e.dispose();else{var o,d=s.getPreviewValue(n,i);o=t.origin?l.Range.lift(t.origin):new l.Range(a.lineNumber,u.startColumn,a.lineNumber,u.endColumn),s.addDecoration(o,(new r.MarkdownString).appendCodeblock(s.modeService.getModeIdByFilepathOrFirstLine(n.uri.fsPath),d)),e.dispose()}}else e.dispose()})}else s.removeDecorations()}).then(void 0,o.onUnexpectedError)}},e.prototype.getPreviewValue=function(t,n){var i=this.getPreviewRangeBasedOnBrackets(t,n);i.endLineNumber-i.startLineNumber>=e.MAX_SOURCE_PREVIEW_LINES&&(i=this.getPreviewRangeBasedOnIndentation(t,n));return this.stripIndentationFromPreviewRange(t,n,i)},e.prototype.stripIndentationFromPreviewRange=function(e,t,n){for(var i=e.getLineFirstNonWhitespaceColumn(t),o=t+1;o<n.endLineNumber;o++){var r=e.getLineFirstNonWhitespaceColumn(o);i=Math.min(i,r)}
return e.getValueInRange(n).replace(new RegExp("^\\s{"+(i-1)+"}","gm"),"").trim()},e.prototype.getPreviewRangeBasedOnIndentation=function(t,n){for(var i=t.getLineFirstNonWhitespaceColumn(n),o=Math.min(t.getLineCount(),n+e.MAX_SOURCE_PREVIEW_LINES),r=n+1;r<o;r++){if(i===t.getLineFirstNonWhitespaceColumn(r))break}return new l.Range(n,1,r+1,1)},e.prototype.getPreviewRangeBasedOnBrackets=function(t,n){for(var i=Math.min(t.getLineCount(),n+e.MAX_SOURCE_PREVIEW_LINES),o=[],r=!0,s=t.findNextBracket(new C.Position(n,1));null!==s;){if(0===o.length)o.push(s);else{var a=o[o.length-1];if(a.open===s.open&&a.isOpen&&!s.isOpen?o.pop():o.push(s),0===o.length){if(!r)return new l.Range(n,1,s.range.endLineNumber+1,1);r=!1}}var u=t.getLineMaxColumn(n),d=s.range.endLineNumber,c=s.range.endColumn;if(u===s.range.endColumn&&(d++,c=1),d>i)return new l.Range(n,1,i+1,1);s=t.findNextBracket(new C.Position(d,c))}return new l.Range(n,1,i+1,1)},e.prototype.addDecoration=function(e,t){var n={range:e,options:{
inlineClassName:"goto-definition-link",hoverMessage:t}};this.decorations=this.editor.deltaDecorations(this.decorations,[n])},e.prototype.removeDecorations=function(){this.decorations.length>0&&(this.decorations=this.editor.deltaDecorations(this.decorations,[]))},e.prototype.isEnabled=function(e,t){return this.editor.getModel()&&e.isNoneOrSingleMouseDown&&6===e.target.type&&(e.hasTriggerModifier||t&&t.keyCodeIsTriggerKey)&&d.DefinitionProviderRegistry.has(this.editor.getModel())},e.prototype.findDefinition=function(e,t){var n=this.editor.getModel();return n?h.getDefinitionsAtPosition(n,e.position,t):Promise.resolve(null)},e.prototype.gotoDefinition=function(e,t){var n=this;this.editor.setPosition(e.position);var i=new _.DefinitionAction(new _.DefinitionActionConfig(t,!1,!0,!1),{alias:void 0,label:void 0,id:void 0,precondition:void 0});return this.editor.invokeWithinContext(function(e){return i.run(e,n.editor)})},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){
this.toUnhook=p.dispose(this.toUnhook)},e.ID="editor.contrib.gotodefinitionwithmouse",e.MAX_SOURCE_PREVIEW_LINES=8,e=a([u(1,f.ITextModelService),u(2,s.IModeService)],e)}();c.registerEditorContribution(b),g.registerThemingParticipant(function(e,t){var n=e.getColor(m.editorActiveLinkForeground);n&&t.addRule(".monaco-editor .goto-definition-link { color: "+n+" !important; }")})}),define(t[552],n([0,1,328,18,95,12,10,14,3,142,146,123,16,11,19,139,105,145,197,31,25,30,24]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L){"use strict";function x(e,t){I(e,function(e){return e.closeWidget()})}function I(e,t){var n=h.getOuterEditor(e);if(n){var i=p.ReferencesController.get(n);i&&t(i)}}function N(e,t,n){var i=d.ReferenceProviderRegistry.ordered(e).map(function(i){return Promise.resolve(i.provideReferences(e,t,{includeDeclaration:!0},n)).then(function(e){if(Array.isArray(e))return e},function(e){m.onUnexpectedExternalError(e)})});return Promise.all(i).then(function(e){for(var t=[],n=0,i=e;n<i.length;n++){
var o=i[n];o&&t.push.apply(t,o)}return t})}Object.defineProperty(t,"__esModule",{value:!0}),t.defaultReferenceSearchOptions={getMetaTitle:function(e){return e.references.length>1&&n.localize(0,null,e.references.length)}};var D=function(){function e(e,t){e instanceof _.EmbeddedCodeEditorWidget&&h.PeekContext.inPeekEditor.bindTo(t)}return e.prototype.dispose=function(){},e.prototype.getId=function(){return e.ID},e.ID="editor.contrib.referenceController",e=a([u(1,i.IContextKeyService)],e)}();t.ReferenceController=D;var M=function(e){function r(){return e.call(this,{id:"editor.action.referenceSearch.trigger",label:n.localize(1,null),alias:"Find All References",precondition:i.ContextKeyExpr.and(v.EditorContextKeys.hasReferenceProvider,h.PeekContext.notInPeekEditor,v.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:v.EditorContextKeys.editorTextFocus,primary:1094,weight:100},menuOpts:{group:"navigation",order:1.5}})||this}return o(r,e),r.prototype.run=function(e,n){
var i=p.ReferencesController.get(n);if(i){var o=n.getSelection(),r=n.getModel(),s=g.createCancelablePromise(function(e){return N(r,o.getStartPosition(),e).then(function(e){return new f.ReferencesModel(e)})});i.toggleWidget(o,s,t.defaultReferenceSearchOptions)}},r}(l.EditorAction);t.ReferenceAction=M,l.registerEditorContribution(D),l.registerEditorAction(M);S.CommandsRegistry.registerCommand({id:"editor.action.findReferences",handler:function(e,n,i){if(!(n instanceof w.URI))throw new Error("illegal argument, uri");if(!i)throw new Error("illegal argument, position");var o=e.get(E.ICodeEditorService);return o.openCodeEditor({resource:n},o.getFocusedCodeEditor()).then(function(e){if(y.isCodeEditor(e)){var n=p.ReferencesController.get(e);if(n){var o=g.createCancelablePromise(function(t){return N(e.getModel(),s.Position.lift(i),t).then(function(e){return new f.ReferencesModel(e)})}),r=new c.Range(i.lineNumber,i.column,i.lineNumber,i.column);return Promise.resolve(n.toggleWidget(r,o,t.defaultReferenceSearchOptions))
}}})}}),S.CommandsRegistry.registerCommand({id:"editor.action.showReferences",handler:function(e,n,i,o){if(!(n instanceof w.URI))throw new Error("illegal argument, uri expected");if(!o)throw new Error("missing references");var r=e.get(E.ICodeEditorService);return r.openCodeEditor({resource:n},r.getFocusedCodeEditor()).then(function(e){if(y.isCodeEditor(e)){var n=p.ReferencesController.get(e);if(n)return Promise.resolve(n.toggleWidget(new c.Range(i.lineNumber,i.column,i.lineNumber,i.column),g.createCancelablePromise(function(e){return Promise.resolve(new f.ReferencesModel(o))}),t.defaultReferenceSearchOptions)).then(function(){return!0})}})},description:{description:"Show references at a position in a file",args:[{name:"uri",description:"The text document in which to show references",constraint:w.URI},{name:"position",description:"The position at which to show",constraint:s.Position.isIPosition},{name:"locations",description:"An array of locations.",constraint:Array}]}}),
r.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"goToNextReference",weight:250,primary:62,when:p.ctxReferenceSearchVisible,handler:function(e){I(e,function(e){e.goToNextOrPreviousReference(!0)})}}),r.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"goToNextReferenceFromEmbeddedEditor",weight:150,primary:62,when:h.PeekContext.inPeekEditor,handler:function(e){I(e,function(e){e.goToNextOrPreviousReference(!0)})}}),r.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"goToPreviousReference",weight:250,primary:1086,when:p.ctxReferenceSearchVisible,handler:function(e){I(e,function(e){e.goToNextOrPreviousReference(!1)})}}),r.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"goToPreviousReferenceFromEmbeddedEditor",weight:150,primary:1086,when:h.PeekContext.inPeekEditor,handler:function(e){I(e,function(e){e.goToNextOrPreviousReference(!1)})}}),r.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"closeReferenceSearch",weight:250,primary:9,secondary:[1033],
when:i.ContextKeyExpr.and(p.ctxReferenceSearchVisible,i.ContextKeyExpr.not("config.editor.stablePeek")),handler:x}),r.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"closeReferenceSearchEditor",weight:-1,primary:9,secondary:[1033],when:i.ContextKeyExpr.and(h.PeekContext.inPeekEditor,i.ContextKeyExpr.not("config.editor.stablePeek")),handler:x}),r.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"openReferenceToSide",weight:100,primary:2051,mac:{primary:259},when:i.ContextKeyExpr.and(p.ctxReferenceSearchVisible,b.ctxReferenceWidgetSearchTreeFocused),handler:function(e,t){var n=e.get(C.IListService),i=n.lastFocusedList&&n.lastFocusedList.getFocus();i instanceof f.OneReference&&I(e,function(e){return e.openReference(i,!0)})}}),t.provideReferences=N,l.registerDefaultLanguageCommand("_executeReferenceProvider",function(e,t){return N(e,t,L.CancellationToken.None)})}),define(t[553],n([0,1,10,30,146,45,18,15,35,71]),function(e,t,n,i,r,s,l,d,c,h){"use strict";Object.defineProperty(t,"__esModule",{
value:!0});var p=function(e){function t(t,n,i,o,r,s,a){return e.call(this,!0,t,n,i,o,r,s,a)||this}return o(t,e),t=a([u(1,l.IContextKeyService),u(2,i.ICodeEditorService),u(3,c.INotificationService),u(4,d.IInstantiationService),u(5,h.IStorageService),u(6,s.IConfigurationService)],t)}(r.ReferencesController);t.StandaloneReferencesController=p,n.registerEditorContribution(p)}),define(t[554],n([0,1,18]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.bindContextScopedWidget=function(e,t,i){new n.RawContextKey(i,t).bindTo(e)},t.createWidgetScopedContextKeyService=function(e,t){return e.createScoped(t.target)},t.getContextScopedWidget=function(e,t){return e.getContext(document.activeElement).getValue(t)}}),define(t[555],n([0,1,18,117,275,554,95]),function(e,t,n,i,r,s,l){"use strict";function d(e,i){var o=s.createWidgetScopedContextKeyService(e,i);s.bindContextScopedWidget(o,i,t.HistoryNavigationWidgetContext);return{scopedContextKeyService:o,
historyNavigationEnablement:new n.RawContextKey(t.HistoryNavigationEnablementContext,!0).bindTo(o)}}Object.defineProperty(t,"__esModule",{value:!0}),t.HistoryNavigationWidgetContext="historyNavigationWidget",t.HistoryNavigationEnablementContext="historyNavigationEnabled",t.createAndBindHistoryNavigationWidgetScopedContextKeyService=d;var c=function(e){function t(t,n,i,o){var r=e.call(this,t,n,i)||this;return r._register(d(o,{target:r.element,historyNavigator:r}).scopedContextKeyService),r}return o(t,e),t=a([u(3,n.IContextKeyService)],t)}(i.HistoryInputBox);t.ContextScopedHistoryInputBox=c;var h=function(e){function t(t,n,i,o,r){void 0===r&&(r=!1);var s=e.call(this,t,n,r,i)||this;return s._register(d(o,{target:s.inputBox.element,historyNavigator:s.inputBox}).scopedContextKeyService),s}return o(t,e),t=a([u(3,n.IContextKeyService)],t)}(r.FindInput);t.ContextScopedFindInput=h,l.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"history.showPrevious",weight:200,
when:n.ContextKeyExpr.and(new n.ContextKeyDefinedExpr(t.HistoryNavigationWidgetContext),new n.ContextKeyEqualsExpr(t.HistoryNavigationEnablementContext,!0)),primary:16,secondary:[528],handler:function(e,i){s.getContextScopedWidget(e.get(n.IContextKeyService),t.HistoryNavigationWidgetContext).historyNavigator.showPreviousValue()}}),l.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"history.showNext",weight:200,when:new n.ContextKeyAndExpr([new n.ContextKeyDefinedExpr(t.HistoryNavigationWidgetContext),new n.ContextKeyEqualsExpr(t.HistoryNavigationEnablementContext,!0)]),primary:18,secondary:[530],handler:function(e,i){s.getContextScopedWidget(e.get(n.IContextKeyService),t.HistoryNavigationWidgetContext).historyNavigator.showNextValue()}})}),define(t[556],n([0,1,310,7,102,46,16,11,2,17,8,3,140,20,13,555,366]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0})
;var v=n.localize(0,null),_=n.localize(1,null),y=n.localize(2,null),C=n.localize(3,null),b=n.localize(4,null),S=n.localize(5,null),w=n.localize(6,null),E=n.localize(7,null),L=n.localize(8,null),x=n.localize(9,null),I=n.localize(10,null),N=n.localize(11,null,p.MATCHES_LIMIT),D=n.localize(12,null),M=n.localize(13,null),k=69,T=17+(k+3+1)+92+2,R=34,O=function(){return function(e){this.afterLineNumber=e,this.heightInPx=R,this.suppressMouseDown=!1,this.domNode=document.createElement("div"),this.domNode.className="dock-find-viewzone"}}();t.FindWidgetViewZone=O;var P=function(e){function t(t,n,o,r,s,l,d){var c=e.call(this)||this;return c._codeEditor=t,c._controller=n,c._state=o,c._contextViewProvider=r,c._keybindingService=s,c._contextKeyService=l,c._isVisible=!1,c._isReplaceVisible=!1,c._ignoreChangeEvent=!1,c._updateHistoryDelayer=new a.Delayer(500),c._register(u.toDisposable(function(){return c._updateHistoryDelayer.cancel()})),c._register(c._state.onFindReplaceStateChange(function(e){return c._onStateChanged(e)
})),c._buildDomNode(),c._updateButtons(),c._tryUpdateWidgetWidth(),c._register(c._codeEditor.onDidChangeConfiguration(function(e){e.readOnly&&(c._codeEditor.getConfiguration().readOnly&&c._state.change({isReplaceRevealed:!1},!1),c._updateButtons()),e.layoutInfo&&c._tryUpdateWidgetWidth(),e.accessibilitySupport&&c.updateAccessibilitySupport()})),c.updateAccessibilitySupport(),c._register(c._codeEditor.onDidChangeCursorSelection(function(){c._isVisible&&c._updateToggleSelectionFindButton()})),c._register(c._codeEditor.onDidFocusEditorWidget(function(){if(c._isVisible){var e=c._controller.getGlobalBufferTerm();e&&e!==c._state.searchString&&(c._state.change({searchString:e},!0),c._findInput.select())}})),c._findInputFocused=p.CONTEXT_FIND_INPUT_FOCUSED.bindTo(l),c._findFocusTracker=c._register(i.trackFocus(c._findInput.inputBox.inputElement)),c._register(c._findFocusTracker.onDidFocus(function(){c._findInputFocused.set(!0),c._updateSearchScope()})),c._register(c._findFocusTracker.onDidBlur(function(){
c._findInputFocused.set(!1)})),c._replaceInputFocused=p.CONTEXT_REPLACE_INPUT_FOCUSED.bindTo(l),c._replaceFocusTracker=c._register(i.trackFocus(c._replaceInputBox.inputElement)),c._register(c._replaceFocusTracker.onDidFocus(function(){c._replaceInputFocused.set(!0),c._updateSearchScope()})),c._register(c._replaceFocusTracker.onDidBlur(function(){c._replaceInputFocused.set(!1)})),c._codeEditor.addOverlayWidget(c),c._viewZone=new O(0),c._applyTheme(d.getTheme()),c._register(d.onThemeChange(c._applyTheme.bind(c))),c._register(c._codeEditor.onDidChangeModel(function(){c._isVisible&&void 0!==c._viewZoneId&&c._codeEditor.changeViewZones(function(e){e.removeZone(c._viewZoneId),c._viewZoneId=void 0})})),c._register(c._codeEditor.onDidScrollChange(function(e){e.scrollTopChanged?c._layoutViewZone():setTimeout(function(){c._layoutViewZone()},0)})),c}return o(t,e),t.prototype.getId=function(){return t.ID},t.prototype.getDomNode=function(){return this._domNode},t.prototype.getPosition=function(){return this._isVisible?{
preference:0}:null},t.prototype._onStateChanged=function(e){if(e.searchString){try{this._ignoreChangeEvent=!0,this._findInput.setValue(this._state.searchString)}finally{this._ignoreChangeEvent=!1}this._updateButtons()}if(e.replaceString&&(this._replaceInputBox.value=this._state.replaceString),e.isRevealed&&(this._state.isRevealed?this._reveal():this._hide(!0)),e.isReplaceRevealed&&(this._state.isReplaceRevealed?this._codeEditor.getConfiguration().readOnly||this._isReplaceVisible||(this._isReplaceVisible=!0,this._replaceInputBox.width=this._findInput.inputBox.width,this._updateButtons()):this._isReplaceVisible&&(this._isReplaceVisible=!1,this._updateButtons())),e.isRegex&&this._findInput.setRegex(this._state.isRegex),e.wholeWord&&this._findInput.setWholeWords(this._state.wholeWord),e.matchCase&&this._findInput.setCaseSensitive(this._state.matchCase),e.searchScope&&(this._state.searchScope?this._toggleSelectionFind.checked=!0:this._toggleSelectionFind.checked=!1,this._updateToggleSelectionFindButton()),
e.searchString||e.matchesCount||e.matchesPosition){var t=this._state.searchString.length>0&&0===this._state.matchesCount;i.toggleClass(this._domNode,"no-results",t),this._updateMatchesCount(),this._updateButtons()}(e.searchString||e.currentMatch)&&this._layoutViewZone(),e.updateHistory&&this._delayedUpdateHistory()},t.prototype._delayedUpdateHistory=function(){this._updateHistoryDelayer.trigger(this._updateHistory.bind(this))},t.prototype._updateHistory=function(){this._state.searchString&&this._findInput.inputBox.addToHistory(),this._state.replaceString&&this._replaceInputBox.addToHistory()},t.prototype._updateMatchesCount=function(){this._matchesCount.style.minWidth=k+"px",this._state.matchesCount>=p.MATCHES_LIMIT?this._matchesCount.title=N:this._matchesCount.title="",this._matchesCount.firstChild&&this._matchesCount.removeChild(this._matchesCount.firstChild);var e;if(this._state.matchesCount>0){var t=String(this._state.matchesCount);this._state.matchesCount>=p.MATCHES_LIMIT&&(t+="+")
;var n=String(this._state.matchesPosition);"0"===n&&(n="?"),e=c.format(D,n,t)}else e=M;this._matchesCount.appendChild(document.createTextNode(e)),k=Math.max(k,this._matchesCount.clientWidth)},t.prototype._updateToggleSelectionFindButton=function(){var e=this._codeEditor.getSelection(),t=!!e&&(e.startLineNumber!==e.endLineNumber||e.startColumn!==e.endColumn),n=this._toggleSelectionFind.checked;this._toggleSelectionFind.setEnabled(this._isVisible&&(n||t))},t.prototype._updateButtons=function(){this._findInput.setEnabled(this._isVisible),this._replaceInputBox.setEnabled(this._isVisible&&this._isReplaceVisible),this._updateToggleSelectionFindButton(),this._closeBtn.setEnabled(this._isVisible);var e=this._state.searchString.length>0,t=!!this._state.matchesCount;this._prevBtn.setEnabled(this._isVisible&&e&&t),this._nextBtn.setEnabled(this._isVisible&&e&&t),this._replaceBtn.setEnabled(this._isVisible&&this._isReplaceVisible&&e),this._replaceAllBtn.setEnabled(this._isVisible&&this._isReplaceVisible&&e),
i.toggleClass(this._domNode,"replaceToggled",this._isReplaceVisible),this._toggleReplaceBtn.toggleClass("collapse",!this._isReplaceVisible),this._toggleReplaceBtn.toggleClass("expand",this._isReplaceVisible),this._toggleReplaceBtn.setExpanded(this._isReplaceVisible);var n=!this._codeEditor.getConfiguration().readOnly;this._toggleReplaceBtn.setEnabled(this._isVisible&&n)},t.prototype._reveal=function(){var e=this;if(!this._isVisible){this._isVisible=!0;var t=this._codeEditor.getSelection();!!t&&(t.startLineNumber!==t.endLineNumber||t.startColumn!==t.endColumn)&&this._codeEditor.getConfiguration().contribInfo.find.autoFindInSelection?this._toggleSelectionFind.checked=!0:this._toggleSelectionFind.checked=!1,this._tryUpdateWidgetWidth(),this._updateButtons(),setTimeout(function(){i.addClass(e._domNode,"visible"),e._domNode.setAttribute("aria-hidden","false")},0),setTimeout(function(){e._findInput.validate()},200),this._codeEditor.layoutOverlayWidget(this);var n=!0
;if(this._codeEditor.getConfiguration().contribInfo.find.seedSearchStringFromSelection&&t){var o=i.getDomNodePagePosition(this._codeEditor.getDomNode()),r=this._codeEditor.getScrolledVisiblePosition(t.getStartPosition()),s=o.left+r.left;if(r.top<this._viewZone.heightInPx){t.endLineNumber>t.startLineNumber&&(n=!1);var a=i.getTopLeftOffset(this._domNode).left;s>a&&(n=!1);var l=this._codeEditor.getScrolledVisiblePosition(t.getEndPosition());o.left+l.left>a&&(n=!1)}}this._showViewZone(n)}},t.prototype._hide=function(e){var t=this;this._isVisible&&(this._isVisible=!1,this._updateButtons(),i.removeClass(this._domNode,"visible"),this._domNode.setAttribute("aria-hidden","true"),this._findInput.clearMessage(),e&&this._codeEditor.focus(),this._codeEditor.layoutOverlayWidget(this),this._codeEditor.changeViewZones(function(e){void 0!==t._viewZoneId&&(e.removeZone(t._viewZoneId),t._viewZoneId=void 0,t._codeEditor.setScrollTop(t._codeEditor.getScrollTop()-t._viewZone.heightInPx))}))},t.prototype._layoutViewZone=function(){
var e=this;this._isVisible&&void 0===this._viewZoneId&&this._codeEditor.changeViewZones(function(t){e._state.isReplaceRevealed?e._viewZone.heightInPx=64:e._viewZone.heightInPx=R,e._viewZoneId=t.addZone(e._viewZone),e._codeEditor.setScrollTop(e._codeEditor.getScrollTop()+e._viewZone.heightInPx)})},t.prototype._showViewZone=function(e){var t=this;void 0===e&&(e=!0),this._isVisible&&this._codeEditor.changeViewZones(function(n){var i=R;void 0!==t._viewZoneId?(t._state.isReplaceRevealed?(t._viewZone.heightInPx=64,i=64-R):(t._viewZone.heightInPx=R,i=R-64),n.removeZone(t._viewZoneId)):t._viewZone.heightInPx=R,t._viewZoneId=n.addZone(t._viewZone),e&&t._codeEditor.setScrollTop(t._codeEditor.getScrollTop()+i)})},t.prototype._applyTheme=function(e){var t={inputActiveOptionBorder:e.getColor(f.inputActiveOptionBorder),inputBackground:e.getColor(f.inputBackground),inputForeground:e.getColor(f.inputForeground),inputBorder:e.getColor(f.inputBorder),inputValidationInfoBackground:e.getColor(f.inputValidationInfoBackground),
inputValidationInfoForeground:e.getColor(f.inputValidationInfoForeground),inputValidationInfoBorder:e.getColor(f.inputValidationInfoBorder),inputValidationWarningBackground:e.getColor(f.inputValidationWarningBackground),inputValidationWarningForeground:e.getColor(f.inputValidationWarningForeground),inputValidationWarningBorder:e.getColor(f.inputValidationWarningBorder),inputValidationErrorBackground:e.getColor(f.inputValidationErrorBackground),inputValidationErrorForeground:e.getColor(f.inputValidationErrorForeground),inputValidationErrorBorder:e.getColor(f.inputValidationErrorBorder)};this._findInput.style(t),this._replaceInputBox.style(t)},t.prototype._tryUpdateWidgetWidth=function(){if(this._isVisible){var e=this._codeEditor.getConfiguration().layoutInfo.width,t=this._codeEditor.getConfiguration().layoutInfo.minimapWidth,n=!1,o=!1,r=!1;if(this._resized){if(i.getTotalWidth(this._domNode)>411)return this._domNode.style.maxWidth=e-28-t-15+"px",
void(this._replaceInputBox.inputElement.style.width=i.getTotalWidth(this._findInput.inputBox.inputElement)+"px")}if(439+t>=e&&(o=!0),439+t-k>=e&&(r=!0),439+t-k>=e+50&&(n=!0),i.toggleClass(this._domNode,"collapsed-find-widget",n),i.toggleClass(this._domNode,"narrow-find-widget",r),i.toggleClass(this._domNode,"reduced-find-widget",o),r||n||(this._domNode.style.maxWidth=e-28-t-15+"px"),this._resized){var s=i.getTotalWidth(this._findInput.inputBox.inputElement);s>0&&(this._replaceInputBox.inputElement.style.width=s+"px")}}},t.prototype.focusFindInput=function(){this._findInput.select(),this._findInput.focus()},t.prototype.focusReplaceInput=function(){this._replaceInputBox.select(),this._replaceInputBox.focus()},t.prototype.highlightFindOptions=function(){this._findInput.highlightFindOptions()},t.prototype._updateSearchScope=function(){if(this._toggleSelectionFind.checked){var e=this._codeEditor.getSelection()
;1===e.endColumn&&e.endLineNumber>e.startLineNumber&&(e=e.setEndPosition(e.endLineNumber-1,this._codeEditor.getModel().getLineMaxColumn(e.endLineNumber-1)));var t=this._state.currentMatch;e.startLineNumber!==e.endLineNumber&&(h.Range.equalsRange(e,t)||this._state.change({searchScope:e},!0))}},t.prototype._onFindInputMouseDown=function(e){e.middleButton&&e.stopPropagation()},t.prototype._onFindInputKeyDown=function(e){return e.equals(3)?(this._codeEditor.getAction(p.FIND_IDS.NextMatchFindAction).run().then(null,l.onUnexpectedError),void e.preventDefault()):e.equals(1027)?(this._codeEditor.getAction(p.FIND_IDS.PreviousMatchFindAction).run().then(null,l.onUnexpectedError),void e.preventDefault()):e.equals(2)?(this._isReplaceVisible?this._replaceInputBox.focus():this._findInput.focusOnCaseSensitive(),void e.preventDefault()):e.equals(2066)?(this._codeEditor.focus(),void e.preventDefault()):void 0},t.prototype._onReplaceInputKeyDown=function(e){return e.equals(3)?(this._controller.replace(),
void e.preventDefault()):e.equals(2051)?(this._controller.replaceAll(),void e.preventDefault()):e.equals(2)?(this._findInput.focusOnCaseSensitive(),void e.preventDefault()):e.equals(1026)?(this._findInput.focus(),void e.preventDefault()):e.equals(2066)?(this._codeEditor.focus(),void e.preventDefault()):void 0},t.prototype.getHorizontalSashTop=function(e){return 0},t.prototype.getHorizontalSashLeft=function(e){return 0},t.prototype.getHorizontalSashWidth=function(e){return 500},t.prototype._keybindingLabelFor=function(e){var t=this._keybindingService.lookupKeybinding(e);return t?" ("+t.getLabel()+")":""},t.prototype._buildFindPart=function(){var e=this;this._findInput=this._register(new m.ContextScopedFindInput(null,this._contextViewProvider,{width:221,label:v,placeholder:_,appendCaseSensitiveLabel:this._keybindingLabelFor(p.FIND_IDS.ToggleCaseSensitiveCommand),appendWholeWordsLabel:this._keybindingLabelFor(p.FIND_IDS.ToggleWholeWordCommand),
appendRegexLabel:this._keybindingLabelFor(p.FIND_IDS.ToggleRegexCommand),validation:function(t){if(0===t.length)return null;if(!e._findInput.getRegex())return null;try{return new RegExp(t),null}catch(e){return{content:e.message}}}},this._contextKeyService,!0)),this._findInput.setRegex(!!this._state.isRegex),this._findInput.setCaseSensitive(!!this._state.matchCase),this._findInput.setWholeWords(!!this._state.wholeWord),this._register(this._findInput.onKeyDown(function(t){return e._onFindInputKeyDown(t)})),this._register(this._findInput.inputBox.onDidChange(function(){e._ignoreChangeEvent||e._state.change({searchString:e._findInput.getValue()},!0)})),this._register(this._findInput.onDidOptionChange(function(){e._state.change({isRegex:e._findInput.getRegex(),wholeWord:e._findInput.getWholeWords(),matchCase:e._findInput.getCaseSensitive()},!0)})),this._register(this._findInput.onCaseSensitiveKeyDown(function(t){t.equals(1026)&&e._isReplaceVisible&&(e._replaceInputBox.focus(),t.preventDefault())})),
d.isLinux&&this._register(this._findInput.onMouseDown(function(t){return e._onFindInputMouseDown(t)})),this._matchesCount=document.createElement("div"),this._matchesCount.className="matchesCount",this._updateMatchesCount(),this._prevBtn=this._register(new F({label:y+this._keybindingLabelFor(p.FIND_IDS.PreviousMatchFindAction),className:"previous",onTrigger:function(){e._codeEditor.getAction(p.FIND_IDS.PreviousMatchFindAction).run().then(null,l.onUnexpectedError)}})),this._nextBtn=this._register(new F({label:C+this._keybindingLabelFor(p.FIND_IDS.NextMatchFindAction),className:"next",onTrigger:function(){e._codeEditor.getAction(p.FIND_IDS.NextMatchFindAction).run().then(null,l.onUnexpectedError)}}));var t=document.createElement("div");return t.className="find-part",t.appendChild(this._findInput.domNode),t.appendChild(this._matchesCount),t.appendChild(this._prevBtn.domNode),t.appendChild(this._nextBtn.domNode),this._toggleSelectionFind=this._register(new A({parent:t,
title:b+this._keybindingLabelFor(p.FIND_IDS.ToggleSearchScopeCommand),onChange:function(){if(e._toggleSelectionFind.checked){var t=e._codeEditor.getSelection();1===t.endColumn&&t.endLineNumber>t.startLineNumber&&(t=t.setEndPosition(t.endLineNumber-1,e._codeEditor.getModel().getLineMaxColumn(t.endLineNumber-1))),t.isEmpty()||e._state.change({searchScope:t},!0)}else e._state.change({searchScope:null},!0)}})),this._closeBtn=this._register(new F({label:S+this._keybindingLabelFor(p.FIND_IDS.CloseFindWidgetCommand),className:"close-fw",onTrigger:function(){e._state.change({isRevealed:!1,searchScope:null},!1)},onKeyDown:function(t){t.equals(2)&&e._isReplaceVisible&&(e._replaceBtn.isEnabled()?e._replaceBtn.focus():e._codeEditor.focus(),t.preventDefault())}})),t.appendChild(this._closeBtn.domNode),t},t.prototype._buildReplacePart=function(){var e=this,t=document.createElement("div");t.className="replace-input",t.style.width="221px",this._replaceInputBox=this._register(new m.ContextScopedHistoryInputBox(t,null,{
ariaLabel:w,placeholder:E,history:[]},this._contextKeyService)),this._register(i.addStandardDisposableListener(this._replaceInputBox.inputElement,"keydown",function(t){return e._onReplaceInputKeyDown(t)})),this._register(this._replaceInputBox.onDidChange(function(){e._state.change({replaceString:e._replaceInputBox.value},!1)})),this._replaceBtn=this._register(new F({label:L+this._keybindingLabelFor(p.FIND_IDS.ReplaceOneAction),className:"replace",onTrigger:function(){e._controller.replace()},onKeyDown:function(t){t.equals(1026)&&(e._closeBtn.focus(),t.preventDefault())}})),this._replaceAllBtn=this._register(new F({label:x+this._keybindingLabelFor(p.FIND_IDS.ReplaceAllAction),className:"replace-all",onTrigger:function(){e._controller.replaceAll()}}));var n=document.createElement("div");return n.className="replace-part",n.appendChild(t),n.appendChild(this._replaceBtn.domNode),n.appendChild(this._replaceAllBtn.domNode),n},t.prototype._buildDomNode=function(){
var e=this,t=this._buildFindPart(),n=this._buildReplacePart();this._toggleReplaceBtn=this._register(new F({label:I,className:"toggle left",onTrigger:function(){e._state.change({isReplaceRevealed:!e._isReplaceVisible},!1),e._isReplaceVisible&&(e._replaceInputBox.width=e._findInput.inputBox.width),e._showViewZone()}})),this._toggleReplaceBtn.toggleClass("expand",this._isReplaceVisible),this._toggleReplaceBtn.toggleClass("collapse",!this._isReplaceVisible),this._toggleReplaceBtn.setExpanded(this._isReplaceVisible),this._domNode=document.createElement("div"),this._domNode.className="editor-widget find-widget",this._domNode.setAttribute("aria-hidden","true"),this._domNode.style.width="411px",this._domNode.appendChild(this._toggleReplaceBtn.domNode),this._domNode.appendChild(t),this._domNode.appendChild(n),this._buildSash()},t.prototype._buildSash=function(){var e=this;this._resizeSash=new r.Sash(this._domNode,this,{orientation:0}),this._resized=!1;var t=411;this._register(this._resizeSash.onDidStart(function(){
t=i.getTotalWidth(e._domNode)})),this._register(this._resizeSash.onDidChange(function(n){e._resized=!0;var o=t+n.startX-n.currentX;if(!(o<411)){var r=o-T;o>(parseFloat(i.getComputedStyle(e._domNode).maxWidth)||0)||(e._domNode.style.width=o+"px",e._isReplaceVisible&&(e._replaceInputBox.width=r))}}))},t.prototype.updateAccessibilitySupport=function(){var e=this._codeEditor.getConfiguration().accessibilitySupport;this._findInput.setFocusInputOnOptionClick(2!==e)},t.ID="editor.contrib.findWidget",t}(s.Widget);t.FindWidget=P;var A=function(e){function t(n){var i=e.call(this)||this;return i._opts=n,i._domNode=document.createElement("div"),i._domNode.className="monaco-checkbox",i._domNode.title=i._opts.title,i._domNode.tabIndex=0,i._checkbox=document.createElement("input"),i._checkbox.type="checkbox",i._checkbox.className="checkbox",i._checkbox.id="checkbox-"+t._COUNTER++,i._checkbox.tabIndex=-1,i._label=document.createElement("label"),i._label.className="label",i._label.htmlFor=i._checkbox.id,i._label.tabIndex=-1,
i._domNode.appendChild(i._checkbox),i._domNode.appendChild(i._label),i._opts.parent.appendChild(i._domNode),i.onchange(i._checkbox,function(){i._opts.onChange()}),i}return o(t,e),Object.defineProperty(t.prototype,"domNode",{get:function(){return this._domNode},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"checked",{get:function(){return this._checkbox.checked},set:function(e){this._checkbox.checked=e},enumerable:!0,configurable:!0}),t.prototype.enable=function(){this._checkbox.removeAttribute("disabled")},t.prototype.disable=function(){this._checkbox.disabled=!0},t.prototype.setEnabled=function(e){e?(this.enable(),this.domNode.tabIndex=0):(this.disable(),this.domNode.tabIndex=-1)},t._COUNTER=0,t}(s.Widget),F=function(e){function t(t){var n=e.call(this)||this;return n._opts=t,n._domNode=document.createElement("div"),n._domNode.title=n._opts.label,n._domNode.tabIndex=0,n._domNode.className="button "+n._opts.className,n._domNode.setAttribute("role","button"),
n._domNode.setAttribute("aria-label",n._opts.label),n.onclick(n._domNode,function(e){n._opts.onTrigger(),e.preventDefault()}),n.onkeydown(n._domNode,function(e){if(e.equals(10)||e.equals(3))return n._opts.onTrigger(),void e.preventDefault();n._opts.onKeyDown&&n._opts.onKeyDown(e)}),n}return o(t,e),Object.defineProperty(t.prototype,"domNode",{get:function(){return this._domNode},enumerable:!0,configurable:!0}),t.prototype.isEnabled=function(){return this._domNode.tabIndex>=0},t.prototype.focus=function(){this._domNode.focus()},t.prototype.setEnabled=function(e){i.toggleClass(this._domNode,"disabled",!e),this._domNode.setAttribute("aria-disabled",String(!e)),this._domNode.tabIndex=e?0:-1},t.prototype.setExpanded=function(e){this._domNode.setAttribute("aria-expanded",String(!!e))},t.prototype.toggleClass=function(e,t){i.toggleClass(this._domNode,e,t)},t}(s.Widget);t.SimpleButton=F,g.registerThemingParticipant(function(e,t){var n=function(e,n){n&&t.addRule(".monaco-editor "+e+" { background-color: "+n+"; }")}
;n(".findMatch",e.getColor(f.editorFindMatchHighlight)),n(".currentFindMatch",e.getColor(f.editorFindMatch)),n(".findScope",e.getColor(f.editorFindRangeHighlight));n(".find-widget",e.getColor(f.editorWidgetBackground));var i=e.getColor(f.widgetShadow);i&&t.addRule(".monaco-editor .find-widget { box-shadow: 0 2px 8px "+i+"; }");var o=e.getColor(f.editorFindMatchHighlightBorder);o&&t.addRule(".monaco-editor .findMatch { border: 1px "+("hc"===e.type?"dotted":"solid")+" "+o+"; box-sizing: border-box; }");var r=e.getColor(f.editorFindMatchBorder);r&&t.addRule(".monaco-editor .currentFindMatch { border: 2px solid "+r+"; padding: 1px; box-sizing: border-box; }");var s=e.getColor(f.editorFindRangeHighlightBorder);s&&t.addRule(".monaco-editor .findScope { border: 1px "+("hc"===e.type?"dashed":"solid")+" "+s+"; }");var a=e.getColor(f.contrastBorder);a&&t.addRule(".monaco-editor .find-widget { border: 2px solid "+a+"; }");var l=e.getColor(f.errorForeground)
;l&&t.addRule(".monaco-editor .find-widget.no-results .matchesCount { color: "+l+"; }");var u=e.getColor(f.editorWidgetResizeBorder);if(u)t.addRule(".monaco-editor .find-widget .monaco-sash { background-color: "+u+"; width: 3px !important; margin-left: -4px;}");else{var d=e.getColor(f.editorWidgetBorder);d&&t.addRule(".monaco-editor .find-widget .monaco-sash { background-color: "+d+"; width: 3px !important; margin-left: -4px;}")}var c=e.getColor(f.inputActiveOptionBorder);c&&t.addRule(".monaco-editor .find-widget .monaco-checkbox .checkbox:checked + .label { border: 1px solid "+c.toString()+"; }")})}),define(t[200],n([0,1,309,16,2,8,10,19,140,516,241,556,37,202,18,60,15,47,71,13]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y,C,b,S){"use strict";function w(e){var t=e.getSelection();if(t.startLineNumber===t.endLineNumber)if(t.isEmpty()){var n=e.getModel().getWordAtPosition(t.getStartPosition());if(n)return n.word}else if(e.getModel().getValueLengthInRange(t)<E)return e.getModel().getValueInRange(t);return null}
Object.defineProperty(t,"__esModule",{value:!0});var E=524288;t.getSelectionSearchString=w;var L=function(e){function t(t,n,o,r){var s=e.call(this)||this;return s._editor=t,s._findWidgetVisible=c.CONTEXT_FIND_WIDGET_VISIBLE.bindTo(n),s._contextKeyService=n,s._storageService=o,s._clipboardService=r,s._updateHistoryDelayer=new i.Delayer(500),s._state=s._register(new p.FindReplaceState),s.loadQueryState(),s._register(s._state.onFindReplaceStateChange(function(e){return s._onStateChanged(e)})),s._model=null,s._register(s._editor.onDidChangeModel(function(){var e=s._editor.getModel()&&s._state.isRevealed;s.disposeModel(),s._state.change({searchScope:null,matchCase:s._storageService.getBoolean("editor.matchCase",1,!1),wholeWord:s._storageService.getBoolean("editor.wholeWord",1,!1),isRegex:s._storageService.getBoolean("editor.isRegex",1,!1)},!1),e&&s._start({forceRevealReplace:!1,seedSearchStringFromSelection:!1,seedSearchStringFromGlobalClipboard:!1,shouldFocus:0,shouldAnimate:!1,updateSearchScope:!1})})),s}
return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.dispose=function(){this.disposeModel(),e.prototype.dispose.call(this)},t.prototype.disposeModel=function(){this._model&&(this._model.dispose(),this._model=null)},t.prototype.getId=function(){return t.ID},t.prototype._onStateChanged=function(e){this.saveQueryState(e),e.isRevealed&&(this._state.isRevealed?this._findWidgetVisible.set(!0):(this._findWidgetVisible.reset(),this.disposeModel())),e.searchString&&this.setGlobalBufferTerm(this._state.searchString)},t.prototype.saveQueryState=function(e){e.isRegex&&this._storageService.store("editor.isRegex",this._state.actualIsRegex,1),e.wholeWord&&this._storageService.store("editor.wholeWord",this._state.actualWholeWord,1),e.matchCase&&this._storageService.store("editor.matchCase",this._state.actualMatchCase,1)},t.prototype.loadQueryState=function(){this._state.change({matchCase:this._storageService.getBoolean("editor.matchCase",1,this._state.matchCase),
wholeWord:this._storageService.getBoolean("editor.wholeWord",1,this._state.wholeWord),isRegex:this._storageService.getBoolean("editor.isRegex",1,this._state.isRegex)},!1)},t.prototype.isFindInputFocused=function(){return c.CONTEXT_FIND_INPUT_FOCUSED.getValue(this._contextKeyService)},t.prototype.getState=function(){return this._state},t.prototype.closeFindWidget=function(){this._state.change({isRevealed:!1,searchScope:null},!1),this._editor.focus()},t.prototype.toggleCaseSensitive=function(){this._state.change({matchCase:!this._state.matchCase},!1),this._state.isRevealed||this.highlightFindOptions()},t.prototype.toggleWholeWords=function(){this._state.change({wholeWord:!this._state.wholeWord},!1),this._state.isRevealed||this.highlightFindOptions()},t.prototype.toggleRegex=function(){this._state.change({isRegex:!this._state.isRegex},!1),this._state.isRevealed||this.highlightFindOptions()},t.prototype.toggleSearchScope=function(){if(this._state.searchScope)this._state.change({searchScope:null},!0);else{
var e=this._editor.getSelection();1===e.endColumn&&e.endLineNumber>e.startLineNumber&&(e=e.setEndPosition(e.endLineNumber-1,this._editor.getModel().getLineMaxColumn(e.endLineNumber-1))),e.isEmpty()||this._state.change({searchScope:e},!0)}},t.prototype.setSearchString=function(e){this._state.isRegex&&(e=s.escapeRegExpCharacters(e)),this._state.change({searchString:e},!1)},t.prototype.highlightFindOptions=function(){},t.prototype._start=function(e){if(this.disposeModel(),this._editor.getModel()){var t={isRevealed:!0};if(e.seedSearchStringFromSelection){(n=w(this._editor))&&(this._state.isRegex?t.searchString=s.escapeRegExpCharacters(n):t.searchString=n)}if(!t.searchString&&e.seedSearchStringFromGlobalClipboard){var n=this.getGlobalBufferTerm();n&&(t.searchString=n)}if(e.forceRevealReplace?t.isReplaceRevealed=!0:this._findWidgetVisible.get()||(t.isReplaceRevealed=!1),e.updateSearchScope){var i=this._editor.getSelection();i.isEmpty()||(t.searchScope=i)}this._state.change(t,!1),
this._model||(this._model=new c.FindModelBoundToEditorModel(this._editor,this._state))}},t.prototype.start=function(e){this._start(e)},t.prototype.moveToNextMatch=function(){return!!this._model&&(this._model.moveToNextMatch(),!0)},t.prototype.moveToPrevMatch=function(){return!!this._model&&(this._model.moveToPrevMatch(),!0)},t.prototype.replace=function(){return!!this._model&&(this._model.replace(),!0)},t.prototype.replaceAll=function(){return!!this._model&&(this._model.replaceAll(),!0)},t.prototype.selectAllMatches=function(){return!!this._model&&(this._model.selectAllMatches(),this._editor.focus(),!0)},t.prototype.getGlobalBufferTerm=function(){return this._editor.getConfiguration().contribInfo.find.globalFindClipboard&&this._clipboardService&&!this._editor.getModel().isTooLargeForSyncing()?this._clipboardService.readFindText():""},t.prototype.setGlobalBufferTerm=function(e){
this._editor.getConfiguration().contribInfo.find.globalFindClipboard&&this._clipboardService&&!this._editor.getModel().isTooLargeForSyncing()&&this._clipboardService.writeFindText(e)},t.ID="editor.contrib.findController",t=a([u(1,v.IContextKeyService),u(2,b.IStorageService),u(3,m.IClipboardService)],t)}(r.Disposable);t.CommonFindController=L;var x=function(e){function t(t,n,i,o,r,s,a){var l=e.call(this,t,i,s,a)||this;return l._contextViewService=n,l._keybindingService=o,l._themeService=r,l}return o(t,e),t.prototype._start=function(t){this._widget||this._createFindWidget(),!this._widget.getPosition()&&this._editor.getConfiguration().contribInfo.find.autoFindInSelection&&(t.updateSearchScope=!0),e.prototype._start.call(this,t),2===t.shouldFocus?this._widget.focusReplaceInput():1===t.shouldFocus&&this._widget.focusFindInput()},t.prototype.highlightFindOptions=function(){this._widget||this._createFindWidget(),this._state.isRevealed?this._widget.highlightFindOptions():this._findOptionsWidget.highlightFindOptions()
},t.prototype._createFindWidget=function(){this._widget=this._register(new f.FindWidget(this._editor,this,this._state,this._contextViewService,this._keybindingService,this._contextKeyService,this._themeService)),this._findOptionsWidget=this._register(new h.FindOptionsWidget(this._editor,this._state,this._keybindingService,this._themeService))},t=a([u(1,_.IContextViewService),u(2,v.IContextKeyService),u(3,C.IKeybindingService),u(4,S.IThemeService),u(5,b.IStorageService),u(6,y.optional(m.IClipboardService))],t)}(L);t.FindController=x;var I=function(e){function t(){return e.call(this,{id:c.FIND_IDS.StartFindAction,label:n.localize(0,null),alias:"Find",precondition:null,kbOpts:{kbExpr:null,primary:2084,weight:100},menubarOpts:{menuId:g.MenuId.MenubarEditMenu,group:"3_find",title:n.localize(1,null),order:1}})||this}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);n&&n.start({forceRevealReplace:!1,seedSearchStringFromSelection:t.getConfiguration().contribInfo.find.seedSearchStringFromSelection,
seedSearchStringFromGlobalClipboard:t.getConfiguration().contribInfo.find.globalFindClipboard,shouldFocus:1,shouldAnimate:!0,updateSearchScope:!1})},t}(l.EditorAction);t.StartFindAction=I;var N=function(e){function t(){return e.call(this,{id:c.FIND_IDS.StartFindWithSelection,label:n.localize(2,null),alias:"Find With Selection",precondition:null,kbOpts:{kbExpr:null,primary:0,mac:{primary:2083},weight:100}})||this}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);n&&(n.start({forceRevealReplace:!1,seedSearchStringFromSelection:!0,seedSearchStringFromGlobalClipboard:!1,shouldFocus:1,shouldAnimate:!0,updateSearchScope:!1}),n.setGlobalBufferTerm(n.getState().searchString))},t}(l.EditorAction);t.StartFindWithSelectionAction=N;var D=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);n&&!this._run(n)&&(n.start({forceRevealReplace:!1,
seedSearchStringFromSelection:0===n.getState().searchString.length&&t.getConfiguration().contribInfo.find.seedSearchStringFromSelection,seedSearchStringFromGlobalClipboard:!0,shouldFocus:0,shouldAnimate:!0,updateSearchScope:!1}),this._run(n))},t}(l.EditorAction);t.MatchFindAction=D;var M=function(e){function t(){return e.call(this,{id:c.FIND_IDS.NextMatchFindAction,label:n.localize(3,null),alias:"Find Next",precondition:null,kbOpts:{kbExpr:d.EditorContextKeys.focus,primary:61,mac:{primary:2085,secondary:[61]},weight:100}})||this}return o(t,e),t.prototype._run=function(e){return e.moveToNextMatch()},t}(D);t.NextMatchFindAction=M;var k=function(e){function t(){return e.call(this,{id:c.FIND_IDS.PreviousMatchFindAction,label:n.localize(4,null),alias:"Find Previous",precondition:null,kbOpts:{kbExpr:d.EditorContextKeys.focus,primary:1085,mac:{primary:3109,secondary:[1085]},weight:100}})||this}return o(t,e),t.prototype._run=function(e){return e.moveToPrevMatch()},t}(D);t.PreviousMatchFindAction=k;var T=function(e){
function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);if(n){var i=w(t);i&&n.setSearchString(i),this._run(n)||(n.start({forceRevealReplace:!1,seedSearchStringFromSelection:t.getConfiguration().contribInfo.find.seedSearchStringFromSelection,seedSearchStringFromGlobalClipboard:!1,shouldFocus:0,shouldAnimate:!0,updateSearchScope:!1}),this._run(n))}},t}(l.EditorAction);t.SelectionMatchFindAction=T;var R=function(e){function t(){return e.call(this,{id:c.FIND_IDS.NextSelectionMatchFindAction,label:n.localize(5,null),alias:"Find Next Selection",precondition:null,kbOpts:{kbExpr:d.EditorContextKeys.focus,primary:2109,weight:100}})||this}return o(t,e),t.prototype._run=function(e){return e.moveToNextMatch()},t}(T);t.NextSelectionMatchFindAction=R;var O=function(e){function t(){return e.call(this,{id:c.FIND_IDS.PreviousSelectionMatchFindAction,label:n.localize(6,null),alias:"Find Previous Selection",precondition:null,kbOpts:{kbExpr:d.EditorContextKeys.focus,
primary:3133,weight:100}})||this}return o(t,e),t.prototype._run=function(e){return e.moveToPrevMatch()},t}(T);t.PreviousSelectionMatchFindAction=O;var P=function(e){function t(){return e.call(this,{id:c.FIND_IDS.StartFindReplaceAction,label:n.localize(7,null),alias:"Replace",precondition:null,kbOpts:{kbExpr:null,primary:2086,mac:{primary:2596},weight:100},menubarOpts:{menuId:g.MenuId.MenubarEditMenu,group:"3_find",title:n.localize(8,null),order:2}})||this}return o(t,e),t.prototype.run=function(e,t){if(!t.getConfiguration().readOnly){var n=L.get(t),i=t.getSelection(),o=n.isFindInputFocused(),r=!i.isEmpty()&&i.startLineNumber===i.endLineNumber&&t.getConfiguration().contribInfo.find.seedSearchStringFromSelection&&!o,s=o||r?2:1;n&&n.start({forceRevealReplace:!0,seedSearchStringFromSelection:r,seedSearchStringFromGlobalClipboard:t.getConfiguration().contribInfo.find.seedSearchStringFromSelection,shouldFocus:s,shouldAnimate:!0,updateSearchScope:!1})}},t}(l.EditorAction);t.StartFindReplaceAction=P,
l.registerEditorContribution(x),l.registerEditorAction(I),l.registerEditorAction(N),l.registerEditorAction(M),l.registerEditorAction(k),l.registerEditorAction(R),l.registerEditorAction(O),l.registerEditorAction(P);var A=l.EditorCommand.bindToContribution(L.get);l.registerEditorCommand(new A({id:c.FIND_IDS.CloseFindWidgetCommand,precondition:c.CONTEXT_FIND_WIDGET_VISIBLE,handler:function(e){return e.closeFindWidget()},kbOpts:{weight:105,kbExpr:d.EditorContextKeys.focus,primary:9,secondary:[1033]}})),l.registerEditorCommand(new A({id:c.FIND_IDS.ToggleCaseSensitiveCommand,precondition:null,handler:function(e){return e.toggleCaseSensitive()},kbOpts:{weight:105,kbExpr:d.EditorContextKeys.focus,primary:c.ToggleCaseSensitiveKeybinding.primary,mac:c.ToggleCaseSensitiveKeybinding.mac,win:c.ToggleCaseSensitiveKeybinding.win,linux:c.ToggleCaseSensitiveKeybinding.linux}})),l.registerEditorCommand(new A({id:c.FIND_IDS.ToggleWholeWordCommand,precondition:null,handler:function(e){return e.toggleWholeWords()},kbOpts:{
weight:105,kbExpr:d.EditorContextKeys.focus,primary:c.ToggleWholeWordKeybinding.primary,mac:c.ToggleWholeWordKeybinding.mac,win:c.ToggleWholeWordKeybinding.win,linux:c.ToggleWholeWordKeybinding.linux}})),l.registerEditorCommand(new A({id:c.FIND_IDS.ToggleRegexCommand,precondition:null,handler:function(e){return e.toggleRegex()},kbOpts:{weight:105,kbExpr:d.EditorContextKeys.focus,primary:c.ToggleRegexKeybinding.primary,mac:c.ToggleRegexKeybinding.mac,win:c.ToggleRegexKeybinding.win,linux:c.ToggleRegexKeybinding.linux}})),l.registerEditorCommand(new A({id:c.FIND_IDS.ToggleSearchScopeCommand,precondition:null,handler:function(e){return e.toggleSearchScope()},kbOpts:{weight:105,kbExpr:d.EditorContextKeys.focus,primary:c.ToggleSearchScopeKeybinding.primary,mac:c.ToggleSearchScopeKeybinding.mac,win:c.ToggleSearchScopeKeybinding.win,linux:c.ToggleSearchScopeKeybinding.linux}})),l.registerEditorCommand(new A({id:c.FIND_IDS.ReplaceOneAction,precondition:c.CONTEXT_FIND_WIDGET_VISIBLE,handler:function(e){
return e.replace()},kbOpts:{weight:105,kbExpr:d.EditorContextKeys.focus,primary:3094}})),l.registerEditorCommand(new A({id:c.FIND_IDS.ReplaceAllAction,precondition:c.CONTEXT_FIND_WIDGET_VISIBLE,handler:function(e){return e.replaceAll()},kbOpts:{weight:105,kbExpr:d.EditorContextKeys.focus,primary:2563}})),l.registerEditorCommand(new A({id:c.FIND_IDS.SelectAllMatchesAction,precondition:c.CONTEXT_FIND_WIDGET_VISIBLE,handler:function(e){return e.selectAllMatches()},kbOpts:{weight:105,kbExpr:d.EditorContextKeys.focus,primary:515}}))}),define(t[558],n([0,1,324,16,36,2,10,188,3,21,19,44,26,14,200,37,20,13]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v,_){"use strict";function y(e,t,n){for(var i=C(e,t[0],!n),o=1,r=t.length;o<r;o++){var s=t[o];if(s.isEmpty())return!1;if(i!==C(e,s,!n))return!1}return!0}function C(e,t,n){var i=e.getValueInRange(t);return n?i.toLowerCase():i}Object.defineProperty(t,"__esModule",{value:!0});var b=function(e){function t(){return e.call(this,{id:"editor.action.insertCursorAbove",
label:n.localize(0,null),alias:"Add Cursor Above",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.editorTextFocus,primary:2576,linux:{primary:1552,secondary:[3088]},weight:100},menubarOpts:{menuId:m.MenuId.MenubarSelectionMenu,group:"3_multi",title:n.localize(1,null),order:2}})||this}return o(t,e),t.prototype.run=function(e,t,n){var i=n&&!0===n.logicalLine,o=t._getCursors(),r=o.context;r.config.readOnly||(r.model.pushStackElement(),o.setStates(n.source,3,l.CursorMoveCommands.addCursorUp(r,o.getAll(),i)),o.reveal(!0,1,0))},t}(a.EditorAction);t.InsertCursorAbove=b;var S=function(e){function t(){return e.call(this,{id:"editor.action.insertCursorBelow",label:n.localize(2,null),alias:"Add Cursor Below",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.editorTextFocus,primary:2578,linux:{primary:1554,secondary:[3090]},weight:100},menubarOpts:{menuId:m.MenuId.MenubarSelectionMenu,group:"3_multi",title:n.localize(3,null),order:3}})||this}return o(t,e),t.prototype.run=function(e,t,n){
var i=n&&!0===n.logicalLine,o=t._getCursors(),r=o.context;r.config.readOnly||(r.model.pushStackElement(),o.setStates(n.source,3,l.CursorMoveCommands.addCursorDown(r,o.getAll(),i)),o.reveal(!0,2,0))},t}(a.EditorAction);t.InsertCursorBelow=S;var w=function(e){function t(){return e.call(this,{id:"editor.action.insertCursorAtEndOfEachLineSelected",label:n.localize(4,null),alias:"Add Cursors to Line Ends",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.editorTextFocus,primary:1575,weight:100},menubarOpts:{menuId:m.MenuId.MenubarSelectionMenu,group:"3_multi",title:n.localize(5,null),order:4}})||this}return o(t,e),t.prototype.getCursorsForSelection=function(e,t,n){if(!e.isEmpty()){for(var i=e.startLineNumber;i<e.endLineNumber;i++){var o=t.getLineMaxColumn(i);n.push(new d.Selection(i,o,i,o))}e.endColumn>1&&n.push(new d.Selection(e.endLineNumber,e.endColumn,e.endLineNumber,e.endColumn))}},t.prototype.run=function(e,t){var n=this,i=t.getModel(),o=[];t.getSelections().forEach(function(e){
return n.getCursorsForSelection(e,i,o)}),o.length>0&&t.setSelections(o)},t}(a.EditorAction),E=function(){return function(e,t,n){this.selections=e,this.revealRange=t,this.revealScrollType=n}}();t.MultiCursorSessionResult=E;var L=function(){function e(e,t,n,i,o,r,s){this._editor=e,this.findController=t,this.isDisconnectedFromFindController=n,this.searchText=i,this.wholeWord=o,this.matchCase=r,this.currentMatch=s}return e.create=function(t,n){var i=n.getState();if(!t.hasTextFocus()&&i.isRevealed&&i.searchString.length>0)return new e(t,n,!1,i.searchString,i.wholeWord,i.matchCase,null);var o,r,s=!1,a=t.getSelections();1===a.length&&a[0].isEmpty()?(s=!0,o=!0,r=!0):(o=i.wholeWord,r=i.matchCase);var l,u=t.getSelection(),c=null;if(u.isEmpty()){var h=t.getModel().getWordAtPosition(u.getStartPosition());if(!h)return null;l=h.word,c=new d.Selection(u.startLineNumber,h.startColumn,u.startLineNumber,h.endColumn)}else l=t.getModel().getValueInRange(u).replace(/\r\n/g,"\n");return new e(t,n,s,l,o,r,c)},
e.prototype.addSelectionToNextFindMatch=function(){var e=this._getNextMatch();if(!e)return null;var t=this._editor.getSelections();return new E(t.concat(e),e,0)},e.prototype.moveSelectionToNextFindMatch=function(){var e=this._getNextMatch();if(!e)return null;var t=this._editor.getSelections();return new E(t.slice(0,t.length-1).concat(e),e,0)},e.prototype._getNextMatch=function(){if(this.currentMatch){var e=this.currentMatch;return this.currentMatch=null,e}this.findController.highlightFindOptions();var t=this._editor.getSelections(),n=t[t.length-1],i=this._editor.getModel().findNextMatch(this.searchText,n.getEndPosition(),!1,this.matchCase,this.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1);return i?new d.Selection(i.range.startLineNumber,i.range.startColumn,i.range.endLineNumber,i.range.endColumn):null},e.prototype.addSelectionToPreviousFindMatch=function(){var e=this._getPreviousMatch();if(!e)return null;var t=this._editor.getSelections();return new E(t.concat(e),e,0)},
e.prototype.moveSelectionToPreviousFindMatch=function(){var e=this._getPreviousMatch();if(!e)return null;var t=this._editor.getSelections();return new E(t.slice(0,t.length-1).concat(e),e,0)},e.prototype._getPreviousMatch=function(){if(this.currentMatch){var e=this.currentMatch;return this.currentMatch=null,e}this.findController.highlightFindOptions();var t=this._editor.getSelections(),n=t[t.length-1],i=this._editor.getModel().findPreviousMatch(this.searchText,n.getStartPosition(),!1,this.matchCase,this.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1);return i?new d.Selection(i.range.startLineNumber,i.range.startColumn,i.range.endLineNumber,i.range.endColumn):null},e.prototype.selectAll=function(){return this.findController.highlightFindOptions(),this._editor.getModel().findMatches(this.searchText,!0,!1,this.matchCase,this.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1,1073741824)},e}();t.MultiCursorSession=L;var x=function(e){function t(t){var n=e.call(this)||this
;return n._editor=t,n._ignoreSelectionChange=!1,n._session=null,n._sessionDispose=[],n}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.dispose=function(){this._endSession(),e.prototype.dispose.call(this)},t.prototype.getId=function(){return t.ID},t.prototype._beginSessionIfNeeded=function(e){var t=this;if(!this._session){var n=L.create(this._editor,e);if(!n)return;this._session=n;var i={searchString:this._session.searchText};this._session.isDisconnectedFromFindController&&(i.wholeWordOverride=1,i.matchCaseOverride=1,i.isRegexOverride=2),e.getState().change(i,!1),this._sessionDispose=[this._editor.onDidChangeCursorSelection(function(e){t._ignoreSelectionChange||t._endSession()}),this._editor.onDidBlurEditorText(function(){t._endSession()}),e.getState().onFindReplaceStateChange(function(e){(e.matchCase||e.wholeWord)&&t._endSession()})]}},t.prototype._endSession=function(){if(this._sessionDispose=s.dispose(this._sessionDispose),
this._session&&this._session.isDisconnectedFromFindController){var e={wholeWordOverride:0,matchCaseOverride:0,isRegexOverride:0};this._session.findController.getState().change(e,!1)}this._session=null},t.prototype._setSelections=function(e){this._ignoreSelectionChange=!0,this._editor.setSelections(e),this._ignoreSelectionChange=!1},t.prototype._expandEmptyToWord=function(e,t){if(!t.isEmpty())return t;var n=e.getWordAtPosition(t.getStartPosition());return n?new d.Selection(t.startLineNumber,n.startColumn,t.startLineNumber,n.endColumn):t},t.prototype._applySessionResult=function(e){e&&(this._setSelections(e.selections),e.revealRange&&this._editor.revealRangeInCenterIfOutsideViewport(e.revealRange,e.revealScrollType))},t.prototype.getSession=function(e){return this._session},t.prototype.addSelectionToNextFindMatch=function(e){if(!this._session){var t=this._editor.getSelections();if(t.length>1){var n=e.getState().matchCase;if(!y(this._editor.getModel(),t,n)){
for(var i=this._editor.getModel(),o=[],r=0,s=t.length;r<s;r++)o[r]=this._expandEmptyToWord(i,t[r]);return void this._editor.setSelections(o)}}}this._beginSessionIfNeeded(e),this._session&&this._applySessionResult(this._session.addSelectionToNextFindMatch())},t.prototype.addSelectionToPreviousFindMatch=function(e){this._beginSessionIfNeeded(e),this._session&&this._applySessionResult(this._session.addSelectionToPreviousFindMatch())},t.prototype.moveSelectionToNextFindMatch=function(e){this._beginSessionIfNeeded(e),this._session&&this._applySessionResult(this._session.moveSelectionToNextFindMatch())},t.prototype.moveSelectionToPreviousFindMatch=function(e){this._beginSessionIfNeeded(e),this._session&&this._applySessionResult(this._session.moveSelectionToPreviousFindMatch())},t.prototype.selectAll=function(e){var t=null,n=e.getState()
;if(n.isRevealed&&n.searchString.length>0&&n.isRegex)t=this._editor.getModel().findMatches(n.searchString,!0,n.isRegex,n.matchCase,n.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1,1073741824);else{if(this._beginSessionIfNeeded(e),!this._session)return;t=this._session.selectAll()}if(t.length>0){for(var i=this._editor.getSelection(),o=0,r=t.length;o<r;o++){var s=t[o];if(s.range.intersectRanges(i)){t[o]=t[0],t[0]=s;break}}this._setSelections(t.map(function(e){return new d.Selection(e.range.startLineNumber,e.range.startColumn,e.range.endLineNumber,e.range.endColumn)}))}},t.ID="editor.contrib.multiCursorController",t}(s.Disposable);t.MultiCursorSelectionController=x;var I=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){var n=x.get(t);if(n){var i=g.CommonFindController.get(t);if(!i)return null;this._run(n,i)}},t}(a.EditorAction);t.MultiCursorSelectionControllerAction=I;var N=function(e){function t(){return e.call(this,{
id:"editor.action.addSelectionToNextFindMatch",label:n.localize(6,null),alias:"Add Selection To Next Find Match",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.focus,primary:2082,weight:100},menubarOpts:{menuId:m.MenuId.MenubarSelectionMenu,group:"3_multi",title:n.localize(7,null),order:5}})||this}return o(t,e),t.prototype._run=function(e,t){e.addSelectionToNextFindMatch(t)},t}(I);t.AddSelectionToNextFindMatchAction=N;var D=function(e){function t(){return e.call(this,{id:"editor.action.addSelectionToPreviousFindMatch",label:n.localize(8,null),alias:"Add Selection To Previous Find Match",precondition:null,menubarOpts:{menuId:m.MenuId.MenubarSelectionMenu,group:"3_multi",title:n.localize(9,null),order:6}})||this}return o(t,e),t.prototype._run=function(e,t){e.addSelectionToPreviousFindMatch(t)},t}(I);t.AddSelectionToPreviousFindMatchAction=D;var M=function(e){function t(){return e.call(this,{id:"editor.action.moveSelectionToNextFindMatch",label:n.localize(10,null),
alias:"Move Last Selection To Next Find Match",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.focus,primary:r.KeyChord(2089,2082),weight:100}})||this}return o(t,e),t.prototype._run=function(e,t){e.moveSelectionToNextFindMatch(t)},t}(I);t.MoveSelectionToNextFindMatchAction=M;var k=function(e){function t(){return e.call(this,{id:"editor.action.moveSelectionToPreviousFindMatch",label:n.localize(11,null),alias:"Move Last Selection To Previous Find Match",precondition:null})||this}return o(t,e),t.prototype._run=function(e,t){e.moveSelectionToPreviousFindMatch(t)},t}(I);t.MoveSelectionToPreviousFindMatchAction=k;var T=function(e){function t(){return e.call(this,{id:"editor.action.selectHighlights",label:n.localize(12,null),alias:"Select All Occurrences of Find Match",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.focus,primary:3114,weight:100},menubarOpts:{menuId:m.MenuId.MenubarSelectionMenu,group:"3_multi",title:n.localize(13,null),order:7}})||this}return o(t,e),t.prototype._run=function(e,t){
e.selectAll(t)},t}(I);t.SelectHighlightsAction=T;var R=function(e){function t(){return e.call(this,{id:"editor.action.changeAll",label:n.localize(14,null),alias:"Change All Occurrences",precondition:c.EditorContextKeys.writable,kbOpts:{kbExpr:c.EditorContextKeys.editorTextFocus,primary:2108,weight:100},menuOpts:{group:"1_modification",order:1.2}})||this}return o(t,e),t.prototype._run=function(e,t){e.selectAll(t)},t}(I);t.CompatChangeAll=R;var O=function(){function e(e,t,n){this.searchText=e,this.matchCase=t,this.wordSeparators=n}return e.softEquals=function(e,t){return!e&&!t||!(!e||!t)&&(e.searchText===t.searchText&&e.matchCase===t.matchCase&&e.wordSeparators===t.wordSeparators)},e}(),P=function(e){function t(t){var n=e.call(this)||this;return n.editor=t,n._isEnabled=t.getConfiguration().contribInfo.selectionHighlight,n.decorations=[],n.updateSoon=n._register(new i.RunOnceScheduler(function(){return n._update()},300)),n.state=null,n._register(t.onDidChangeConfiguration(function(e){
n._isEnabled=t.getConfiguration().contribInfo.selectionHighlight})),n._register(t.onDidChangeCursorSelection(function(e){n._isEnabled&&(e.selection.isEmpty()?3===e.reason?(n.state&&n._setState(null),n.updateSoon.schedule()):n._setState(null):n._update())})),n._register(t.onDidChangeModel(function(e){n._setState(null)})),n._register(g.CommonFindController.get(t).getState().onFindReplaceStateChange(function(e){n._update()})),n}return o(t,e),t.prototype.getId=function(){return t.ID},t.prototype._update=function(){this._setState(t._createState(this._isEnabled,this.editor))},t._createState=function(e,t){if(!e)return null;if(!t.getModel())return null;var n=t.getSelection();if(n.startLineNumber!==n.endLineNumber)return null;var i=x.get(t);if(!i)return null;var o=g.CommonFindController.get(t);if(!o)return null;var r=i.getSession(o);if(!r){var s=t.getSelections();if(s.length>1){var a=o.getState().matchCase;if(!y(t.getModel(),s,a))return null}r=L.create(t,o)}if(!r)return null;if(r.currentMatch)return null
;if(/^[ \t]+$/.test(r.searchText))return null;if(r.searchText.length>200)return null;var l=o.getState(),u=l.matchCase;if(l.isRevealed){var d=l.searchString;u||(d=d.toLowerCase());var c=r.searchText;if(u||(c=c.toLowerCase()),d===c&&r.matchCase===l.matchCase&&r.wholeWord===l.wholeWord&&!l.isRegex)return null}return new O(r.searchText,r.matchCase,r.wholeWord?t.getConfiguration().wordSeparators:null)},t.prototype._setState=function(e){if(O.softEquals(this.state,e))this.state=e;else if(this.state=e,this.state){var n=this.editor.getModel();if(!n.isTooLargeForTokenization()){var i=f.DocumentHighlightProviderRegistry.has(n),o=n.findMatches(this.state.searchText,!0,!1,this.state.matchCase,this.state.wordSeparators,!1).map(function(e){return e.range});o.sort(u.Range.compareRangesUsingStarts);var r=this.editor.getSelections();r.sort(u.Range.compareRangesUsingStarts);for(var s=[],a=0,l=0,d=o.length,c=r.length;a<d;){var h=o[a];if(l>=c)s.push(h),a++;else{var p=u.Range.compareRangesUsingStarts(h,r[l])
;p<0?(!r[l].isEmpty()&&u.Range.areIntersecting(h,r[l])||s.push(h),a++):p>0?l++:(a++,l++)}}var g=s.map(function(e){return{range:e,options:i?t._SELECTION_HIGHLIGHT:t._SELECTION_HIGHLIGHT_OVERVIEW}});this.decorations=this.editor.deltaDecorations(this.decorations,g)}}else this.decorations=this.editor.deltaDecorations(this.decorations,[])},t.prototype.dispose=function(){this._setState(null),e.prototype.dispose.call(this)},t.ID="editor.contrib.selectionHighlighter",t._SELECTION_HIGHLIGHT_OVERVIEW=p.ModelDecorationOptions.register({stickiness:1,className:"selectionHighlight",overviewRuler:{color:_.themeColorFromId(v.overviewRulerSelectionHighlightForeground),position:h.OverviewRulerLane.Center}}),t._SELECTION_HIGHLIGHT=p.ModelDecorationOptions.register({stickiness:1,className:"selectionHighlight"}),t}(s.Disposable);t.SelectionHighlighter=P,a.registerEditorContribution(x),a.registerEditorContribution(P),a.registerEditorAction(b),a.registerEditorAction(S),a.registerEditorAction(w),a.registerEditorAction(N),
a.registerEditorAction(D),a.registerEditorAction(M),a.registerEditorAction(k),a.registerEditorAction(T),a.registerEditorAction(R)}),define(t[559],n([0,1,132,99,189,194,510,447,448,449,525,512,175,455,456,457,458,200,459,460,462,199,551,518,520,521,465,522,558,527,552,530,468,143,535,179,536,180,473]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0})}),define(t[201],n([0,1,25,84,15,65]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IWorkspaceContextService=o.createDecorator("contextService");!function(e){e.isIWorkspace=function(e){return e&&"object"==typeof e&&"string"==typeof e.id&&Array.isArray(e.folders)}}(t.IWorkspace||(t.IWorkspace={}));!function(e){e.isIWorkspaceFolder=function(e){return e&&"object"==typeof e&&n.URI.isUri(e.uri)&&"string"==typeof e.name&&"function"==typeof e.toResource}}(t.IWorkspaceFolder||(t.IWorkspaceFolder={}));var s=function(){function e(e,t,n){void 0===t&&(t=[]),void 0===n&&(n=null),this._id=e,this._configuration=n,
this._foldersMap=r.TernarySearchTree.forPaths(),this.folders=t}return Object.defineProperty(e.prototype,"folders",{get:function(){return this._folders},set:function(e){this._folders=e,this.updateFoldersMap()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"id",{get:function(){return this._id},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"configuration",{get:function(){return this._configuration},set:function(e){this._configuration=e},enumerable:!0,configurable:!0}),e.prototype.getFolder=function(e){return e?this._foldersMap.findSubstr(e.toString()):null},e.prototype.updateFoldersMap=function(){this._foldersMap=r.TernarySearchTree.forPaths();for(var e=0,t=this.folders;e<t.length;e++){var n=t[e];this._foldersMap.set(n.uri.toString(),n)}},e.prototype.toJSON=function(){return{id:this.id,folders:this.folders,configuration:this.configuration}},e}();t.Workspace=s;var a=function(){function e(e,t){this.raw=t,this.uri=e.uri,this.index=e.index,this.name=e.name}
return e.prototype.toResource=function(e){return i.joinPath(this.uri,e)},e.prototype.toJSON=function(){return{uri:this.uri,name:this.name,index:this.index}},e}();t.WorkspaceFolder=a}),define(t[147],n([0,1,347,7,52,6,36,2,17,114,25,53,105,125,49,12,3,14,408,31,45,438,413,155,95,416,417,35,201]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,I,N,D,M,k){"use strict";function T(e){return e&&"object"==typeof e&&(!e.overrideIdentifier||"string"==typeof e.overrideIdentifier)&&(!e.resource||e.resource instanceof p.URI)}Object.defineProperty(t,"__esModule",{value:!0});var R=function(){function e(e){this.model=e,this._onDispose=new s.Emitter}return Object.defineProperty(e.prototype,"textEditorModel",{get:function(){return this.model},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this._onDispose.fire()},e}();t.SimpleModel=R;var O=function(){function e(){}return e.prototype.setEditor=function(e){this.editor=e},e.prototype.createModelReference=function(e){var t,n=this;return(t=function(e,t,n){
return g.isCodeEditor(e)?t(e):n(e)}(this.editor,function(t){return n.findModel(t,e)},function(t){return n.findModel(t.getOriginalEditor(),e)||n.findModel(t.getModifiedEditor(),e)}))?f.TPromise.as(new d.ImmortalReference(new R(t))):f.TPromise.as(new d.ImmortalReference(null))},e.prototype.findModel=function(e,t){var n=e.getModel();return n&&n.uri.toString()!==t.toString()?null:n},e}();t.SimpleEditorModelResolverService=O;var P=function(){function e(){}return e.prototype.showWhile=function(e,t){return null},e}();t.SimpleProgressService=P;var A=function(){return function(){}}();t.SimpleDialogService=A;var F=function(){function e(){}return e.prototype.info=function(e){return this.notify({severity:h.default.Info,message:e})},e.prototype.warn=function(e){return this.notify({severity:h.default.Warning,message:e})},e.prototype.error=function(e){return this.notify({severity:h.default.Error,message:e})},e.prototype.notify=function(t){switch(t.severity){case h.default.Error:console.error(t.message);break
;case h.default.Warning:console.warn(t.message);break;default:console.log(t.message)}return e.NO_OP},e.NO_OP=new M.NoOpNotification,e}();t.SimpleNotificationService=F;var W=function(){function e(e){this._onWillExecuteCommand=new s.Emitter,this._instantiationService=e,this._dynamicCommands=Object.create(null)}return e.prototype.addCommand=function(e){var t=this,n=e.id;return this._dynamicCommands[n]=e,d.toDisposable(function(){delete t._dynamicCommands[n]})},e.prototype.executeCommand=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var i=S.CommandsRegistry.getCommand(e)||this._dynamicCommands[e];if(!i)return Promise.reject(new Error("command '"+e+"' not found"));try{this._onWillExecuteCommand.fire({commandId:e});var o=this._instantiationService.invokeFunction.apply(this._instantiationService,[i.handler].concat(t));return Promise.resolve(o)}catch(e){return Promise.reject(e)}},e}();t.StandaloneCommandService=W;var V=function(e){function t(t,n,o,s,a){var l=e.call(this,t,n,o,s)||this
;return l._cachedResolver=null,l._dynamicKeybindings=[],l._register(i.addDisposableListener(a,i.EventType.KEY_DOWN,function(e){var t=new r.StandardKeyboardEvent(e);l._dispatch(t,t.target)&&t.preventDefault()})),l}return o(t,e),t.prototype.addDynamicKeybinding=function(e,t,n,i){var o=this,r=[];this._dynamicKeybindings.push({keybinding:l.createKeybinding(t,c.OS),command:e,when:i,weight1:1e3,weight2:0}),r.push(d.toDisposable(function(){for(var t=0;t<o._dynamicKeybindings.length;t++){if(o._dynamicKeybindings[t].command===e)return o._dynamicKeybindings.splice(t,1),void o.updateResolver({source:1})}}));var s=this._commandService;if(!(s instanceof W))throw new Error("Unknown command service!");return r.push(s.addCommand({id:e,handler:n})),this.updateResolver({source:1}),d.combinedDisposable(r)},t.prototype.updateResolver=function(e){this._cachedResolver=null,this._onDidUpdateKeybindings.fire(e)},t.prototype._getResolver=function(){if(!this._cachedResolver){
var e=this._toNormalizedKeybindingItems(I.KeybindingsRegistry.getDefaultKeybindings(),!0),t=this._toNormalizedKeybindingItems(this._dynamicKeybindings,!1);this._cachedResolver=new x.KeybindingResolver(e,t)}return this._cachedResolver},t.prototype._documentHasFocus=function(){return document.hasFocus()},t.prototype._toNormalizedKeybindingItems=function(e,t){for(var n=[],i=0,o=0,r=e.length;o<r;o++){var s=e[o],a=s.when?s.when.normalize():null,l=s.keybinding;if(l)for(var u=this.resolveKeybinding(l),d=0;d<u.length;d++)n[i++]=new N.ResolvedKeybindingItem(u[d],s.command,s.commandArgs,a,t);else n[i++]=new N.ResolvedKeybindingItem(null,s.command,s.commandArgs,a,t)}return n},t.prototype.resolveKeybinding=function(e){return[new D.USLayoutResolvedKeybinding(e,c.OS)]},t.prototype.resolveKeyboardEvent=function(e){var t=new l.SimpleKeybinding(e.ctrlKey,e.shiftKey,e.altKey,e.metaKey,e.keyCode);return new D.USLayoutResolvedKeybinding(t,c.OS)},t}(L.AbstractKeybindingService);t.StandaloneKeybindingService=V;var H=function(){
function e(){this._onDidChangeConfiguration=new s.Emitter,this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this._configuration=new E.Configuration(new E.DefaultConfigurationModel,new E.ConfigurationModel)}return e.prototype.configuration=function(){return this._configuration},e.prototype.getValue=function(e,t){var n="string"==typeof e?e:void 0,i=T(e)?e:T(t)?t:{};return this.configuration().getValue(n,i,null)},e.prototype.updateValue=function(e,t,n,i){return this.configuration().updateValue(e,t),Promise.resolve()},e}();t.SimpleConfigurationService=H;var B=function(){function e(e){var t=this;this.configurationService=e,this._onDidChangeConfigurationEmitter=new s.Emitter,this.configurationService.onDidChangeConfiguration(function(e){t._onDidChangeConfigurationEmitter.fire(e)})}return e.prototype.getValue=function(e,t,n){var i=(_.Position.isIPosition(t)?t:null)?"string"==typeof n?n:void 0:"string"==typeof t?t:void 0;return this.configurationService.getValue(i)},e}()
;t.SimpleResourceConfigurationService=B;var z=function(){function e(e){this.configurationService=e}return e.prototype.getEOL=function(e){var t=this.configurationService.getValue("files");return t&&t.eol&&"auto"!==t.eol?t.eol:c.isLinux||c.isMacintosh?"\n":"\r\n"},e=a([u(0,w.IConfigurationService)],e)}();t.SimpleResourcePropertiesService=z;var K=function(){function e(e){this._commandService=e}return e.prototype.createMenu=function(e,t){return new b.Menu(e,f.TPromise.as(!0),this._commandService,t)},e}();t.SimpleMenuService=K;var U=function(){function e(){}return e.prototype.publicLog=function(e,t){return f.TPromise.wrap(null)},e}();t.StandaloneTelemetryService=U;var j=function(){function e(){var t=p.URI.from({scheme:e.SCHEME,authority:"model",path:"/"});this.workspace={id:"4064f6ec-cb38-4ad0-af64-ee6467e63c82",folders:[new k.WorkspaceFolder({uri:t,name:"",index:0})]}}return e.prototype.getWorkspace=function(){return this.workspace},e.prototype.getWorkspaceFolder=function(t){
return t&&t.scheme===e.SCHEME?this.workspace.folders[0]:void 0},e.SCHEME="inmemory",e}();t.SimpleWorkspaceContextService=j,t.applyConfigurationValues=function(e,t,n){t&&e instanceof H&&Object.keys(t).forEach(function(i){m.isEditorConfigurationKey(i)&&e.updateValue("editor."+i,t[i]),n&&m.isDiffEditorConfigurationKey(i)&&e.updateValue("diffEditor."+i,t[i])})};var q=function(){function e(e){this._modelService=e}return e.prototype.apply=function(e,t){for(var i=new Map,o=0,r=e.edits;o<r.length;o++){var s=r[o];if(!C.isResourceTextEdit(s))return Promise.reject(new Error("bad edit - only text edits are supported"));var a=this._modelService.getModel(s.resource);if(!a)return Promise.reject(new Error("bad edit - model not found"));var l=i.get(a);l||(l=[]),i.set(a,l.concat(s.edits))}var u=0,d=0;return i.forEach(function(e,t){t.applyEdits(e.map(function(e){return v.EditOperation.replaceMove(y.Range.lift(e.range),e.text)})),d+=1,u+=e.length}),Promise.resolve({selection:void 0,ariaSummary:n.localize(0,null,u,d)})},e}()
;t.SimpleBulkEditService=q;var G=function(){function e(){}return e.prototype.getUriLabel=function(e,t){return"file"===e.scheme?e.fsPath:e.path},e}();t.SimpleUriLabelService=G}),define(t[562],n([0,1,348,29,43,2,30,99,189,165,64,147,78,37,31,45,18,60,15,47,35,13]),function(e,t,n,i,r,s,l,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var L=0,x=!1,I=function(e){function t(t,o,s,a,l,u,d,c,h){var p=this;return o=o||{},o.ariaLabel=o.ariaLabel||n.localize(0,null),o.ariaLabel=o.ariaLabel+";"+(i.isIE?n.localize(1,null):n.localize(2,null)),p=e.call(this,t,o,{},s,a,l,u,c,h)||this,d instanceof f.StandaloneKeybindingService&&(p._standaloneKeybindingService=d),x||(x=!0,r.setARIAContainer(document.body)),p}return o(t,e),t.prototype.addCommand=function(e,t,n){if(!this._standaloneKeybindingService)return console.warn("Cannot add command because the editor is configured with an unrecognized KeybindingService"),null;var i="DYNAMIC_"+ ++L,o=y.ContextKeyExpr.deserialize(n)
;return this._standaloneKeybindingService.addDynamicKeybinding(i,e,t,o),i},t.prototype.createContextKey=function(e,t){return this._contextKeyService.createKey(e,t)},t.prototype.addAction=function(e){var t=this;if("string"!=typeof e.id||"string"!=typeof e.label||"function"!=typeof e.run)throw new Error("Invalid action descriptor, `id`, `label` and `run` are required properties!");if(!this._standaloneKeybindingService)return console.warn("Cannot add keybinding because the editor is configured with an unrecognized KeybindingService"),s.Disposable.None;var n=e.id,i=e.label,o=y.ContextKeyExpr.and(y.ContextKeyExpr.equals("editorId",this.getId()),y.ContextKeyExpr.deserialize(e.precondition)),r=e.keybindings,a=y.ContextKeyExpr.and(o,y.ContextKeyExpr.deserialize(e.keybindingContext)),l=e.contextMenuGroupId||null,u=e.contextMenuOrder||0,d=function(){return Promise.resolve(e.run(t))},c=[],p=this.getId()+":"+n;if(c.push(v.CommandsRegistry.registerCommand(p,d)),l){var f={command:{id:p,title:i},when:o,group:l,order:u}
;c.push(m.MenuRegistry.appendMenuItem(m.MenuId.EditorContext,f))}Array.isArray(r)&&(c=c.concat(r.map(function(e){return t._standaloneKeybindingService.addDynamicKeybinding(p,e,d,a)})));var g=new h.InternalEditorAction(p,i,i,o,d,this._contextKeyService);return this._actions[n]=g,c.push(s.toDisposable(function(){delete t._actions[n]})),s.combinedDisposable(c)},t=a([u(2,b.IInstantiationService),u(3,l.ICodeEditorService),u(4,v.ICommandService),u(5,y.IContextKeyService),u(6,S.IKeybindingService),u(7,E.IThemeService),u(8,w.INotificationService)],t)}(d.CodeEditorWidget);t.StandaloneCodeEditor=I;var N=function(e){function t(t,n,i,o,r,s,a,l,u,d,c,h){var p=this;f.applyConfigurationValues(h,n,!1),"string"==typeof(n=n||{}).theme&&d.setTheme(n.theme);var g=n.model;delete n.model,(p=e.call(this,t,n,o,r,s,a,l,d,c)||this)._contextViewService=u,p._configurationService=h,p._register(i);var m;if(void 0===g?(m=self.monaco.editor.createModel(n.value||"",n.language||"text/plain"),p._ownsModel=!0):(m=g,p._ownsModel=!1),
p._attachModel(m),m){var v={oldModelUrl:null,newModelUrl:m.uri};p._onDidChangeModel.fire(v)}return p}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.updateOptions=function(t){f.applyConfigurationValues(this._configurationService,t,!1),e.prototype.updateOptions.call(this,t)},t.prototype._attachModel=function(t){e.prototype._attachModel.call(this,t),this._modelData&&this._contextViewService.setContainer(this._modelData.view.domNode.domNode)},t.prototype._postDetachModelCleanup=function(t){e.prototype._postDetachModelCleanup.call(this,t),t&&this._ownsModel&&(t.dispose(),this._ownsModel=!1)},t=a([u(3,b.IInstantiationService),u(4,l.ICodeEditorService),u(5,v.ICommandService),u(6,y.IContextKeyService),u(7,S.IKeybindingService),u(8,C.IContextViewService),u(9,g.IStandaloneThemeService),u(10,w.INotificationService),u(11,_.IConfigurationService)],t)}(I);t.StandaloneEditor=N;var D=function(e){function t(t,n,i,o,r,s,a,l,u,d,c,h){var p=this;return f.applyConfigurationValues(h,n,!0),
"string"==typeof(n=n||{}).theme&&(n.theme=d.setTheme(n.theme)),p=e.call(this,t,n,l,r,o,u,d,c)||this,p._contextViewService=a,p._configurationService=h,p._register(i),p._contextViewService.setContainer(p._containerDomElement),p}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.updateOptions=function(t){f.applyConfigurationValues(this._configurationService,t,!0),e.prototype.updateOptions.call(this,t)},t.prototype._createInnerEditor=function(e,t,n){return e.createInstance(I,t,n)},t.prototype.getOriginalEditor=function(){return e.prototype.getOriginalEditor.call(this)},t.prototype.getModifiedEditor=function(){return e.prototype.getModifiedEditor.call(this)},t.prototype.addCommand=function(e,t,n){return this.getModifiedEditor().addCommand(e,t,n)},t.prototype.createContextKey=function(e,t){return this.getModifiedEditor().createContextKey(e,t)},t.prototype.addAction=function(e){return this.getModifiedEditor().addAction(e)},
t=a([u(3,b.IInstantiationService),u(4,y.IContextKeyService),u(5,S.IKeybindingService),u(6,C.IContextViewService),u(7,p.IEditorWorkerService),u(8,l.ICodeEditorService),u(9,g.IStandaloneThemeService),u(10,w.INotificationService),u(11,_.IConfigurationService)],t)}(c.DiffEditorWidget);t.StandaloneDiffEditor=D}),define(t[151],n([0,1,2,126,30,64,193,63,436,42,509,106,147,543,545,78,37,31,45,439,18,546,60,476,410,15,412,98,47,156,145,116,421,76,35,89,71,70,13,201]),function(e,t,n,i,r,s,a,l,u,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,I,N,D,M,k,T,R,O,P,A,F,W,V,H){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var B;!function(e){function t(e,t){var n=new i(e,t);return o.push(n),n}var n=new N.ServiceCollection,i=function(){function e(e,t){this._serviceId=e,this._factory=t,this._value=null}return Object.defineProperty(e.prototype,"id",{get:function(){return this._serviceId},enumerable:!0,configurable:!0}),e.prototype.get=function(e){if(!this._value){if(e&&(this._value=e[this._serviceId.toString()]),
this._value||(this._value=this._factory(e)),!this._value)throw new Error("Service "+this._serviceId+" is missing!");n.set(this._serviceId,this._value)}return this._value},e}();e.LazyStaticService=i;var o=[];e.init=function(e){var t=new N.ServiceCollection;for(var n in e)e.hasOwnProperty(n)&&t.set(x.createDecorator(n),e[n]);o.forEach(function(n){return t.set(n.id,n.get(e))});var i=new I.InstantiationService(t,!0);return t.set(x.IInstantiationService,i),[t,i]},e.instantiationService=t(x.IInstantiationService,function(){return new I.InstantiationService(n,!0)});var v=new p.SimpleConfigurationService;e.configurationService=t(y.IConfigurationService,function(){return v}),e.resourceConfigurationService=t(h.ITextResourceConfigurationService,function(){return new p.SimpleResourceConfigurationService(v)}),e.resourcePropertiesService=t(h.ITextResourcePropertiesService,function(){return new p.SimpleResourcePropertiesService(v)}),e.contextService=t(H.IWorkspaceContextService,function(){
return new p.SimpleWorkspaceContextService}),e.labelService=t(M.ILabelService,function(){return new p.SimpleUriLabelService}),e.telemetryService=t(W.ITelemetryService,function(){return new p.StandaloneTelemetryService}),e.dialogService=t(L.IDialogService,function(){return new p.SimpleDialogService}),e.notificationService=t(P.INotificationService,function(){return new p.SimpleNotificationService}),e.markerService=t(O.IMarkerService,function(){return new R.MarkerService}),e.modeService=t(l.IModeService,function(e){return new u.ModeServiceImpl}),e.modelService=t(d.IModelService,function(t){return new c.ModelServiceImpl(e.markerService.get(t),e.configurationService.get(t),e.resourcePropertiesService.get(t))}),e.editorWorkerService=t(s.IEditorWorkerService,function(t){return new a.EditorWorkerServiceImpl(e.modelService.get(t),e.resourceConfigurationService.get(t))}),e.standaloneThemeService=t(m.IStandaloneThemeService,function(){return new g.StandaloneThemeServiceImpl}),
e.codeEditorService=t(r.ICodeEditorService,function(t){return new f.StandaloneCodeEditorServiceImpl(e.standaloneThemeService.get(t))}),e.progressService=t(A.IProgressService,function(){return new p.SimpleProgressService}),e.storageService=t(F.IStorageService,function(){return F.NullStorageService}),e.logService=t(T.ILogService,function(){return new T.NullLogService})}(B=t.StaticServices||(t.StaticServices={}));var z=function(e){function t(t,n){var o=e.call(this)||this,r=B.init(n),s=r[0],a=r[1];o._serviceCollection=s,o._instantiationService=a;var l=o.get(y.IConfigurationService),u=o.get(P.INotificationService),c=o.get(W.ITelemetryService),h=o.get(V.IThemeService),f=function(e,t){var i=null;return n&&(i=n[e.toString()]),i||(i=t()),o._serviceCollection.set(e,i),i},g=f(b.IContextKeyService,function(){return o._register(new C.ContextKeyService(l))});f(k.IListService,function(){return new k.ListService(g)});var m=f(_.ICommandService,function(){return new p.StandaloneCommandService(o._instantiationService)
}),L=f(D.IKeybindingService,function(){return o._register(new p.StandaloneKeybindingService(g,m,c,u,t))}),x=f(w.IContextViewService,function(){return o._register(new E.ContextViewService(t,c,new T.NullLogService))});return f(w.IContextMenuService,function(){return o._register(new S.ContextMenuService(t,c,u,x,L,h))}),f(v.IMenuService,function(){return new p.SimpleMenuService(m)}),f(i.IBulkEditService,function(){return new p.SimpleBulkEditService(B.modelService.get(d.IModelService))}),o}return o(t,e),t.prototype.get=function(e){var t=this._serviceCollection.get(e);if(!t)throw new Error("Missing service "+e);return t},t.prototype.set=function(e,t){this._serviceCollection.set(e,t)},t.prototype.has=function(e){return this._serviceCollection.has(e)},t}(n.Disposable);t.DynamicStandaloneServices=z}),define(t[564],n([0,1,30,478,194,48,122,54,44,14,51,64,92,385,124,397,147,562,151,78,31,45,18,60,15,47,35,62,403]),function(e,t,n,i,o,r,s,a,l,u,d,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,I){"use strict";function N(e,t,o){
var r=new _.DynamicStandaloneServices(e,t),s=null;r.has(h.ITextModelService)||(s=new m.SimpleEditorModelResolverService,r.set(h.ITextModelService,s)),r.has(I.IOpenerService)||r.set(I.IOpenerService,new i.OpenerService(r.get(n.ICodeEditorService),r.get(C.ICommandService)));var a=o(r);return s&&s.setEditor(a),a}function D(e,t,i){return N(e,i||{},function(i){return new v.StandaloneEditor(e,t,i,i.get(E.IInstantiationService),i.get(n.ICodeEditorService),i.get(C.ICommandService),i.get(S.IContextKeyService),i.get(L.IKeybindingService),i.get(w.IContextViewService),i.get(y.IStandaloneThemeService),i.get(x.INotificationService),i.get(b.IConfigurationService))})}function M(e){return _.StaticServices.codeEditorService.get().onCodeEditorAdd(function(t){e(t)})}function k(e,t,i){return N(e,i,function(i){
return new v.StandaloneDiffEditor(e,t,i,i.get(E.IInstantiationService),i.get(S.IContextKeyService),i.get(L.IKeybindingService),i.get(w.IContextViewService),i.get(c.IEditorWorkerService),i.get(n.ICodeEditorService),i.get(y.IStandaloneThemeService),i.get(x.INotificationService),i.get(b.IConfigurationService))})}function T(e,t){return new o.DiffNavigator(e,t)}function R(e,t,n){return _.StaticServices.modelService.get().createModel(e,t,n)}function O(e,t,n){if(e=e||"",!t){var i=n?n.path:null,o=e.indexOf("\n"),r=e;return-1!==o&&(r=e.substring(0,o)),R(e,_.StaticServices.modeService.get().createByFilepathOrFirstLine(i,r),n)}return R(e,_.StaticServices.modeService.get().create(t),n)}function P(e,t){_.StaticServices.modelService.get().setMode(e,_.StaticServices.modeService.get().create(t))}function A(e,t,n){e&&_.StaticServices.markerService.get().changeOne(t,e.uri,n)}function F(e){return _.StaticServices.markerService.get().read(e)}function W(e){return _.StaticServices.modelService.get().getModel(e)}function V(){
return _.StaticServices.modelService.get().getModels()}function H(e){return _.StaticServices.modelService.get().onModelAdded(e)}function B(e){return _.StaticServices.modelService.get().onModelRemoved(e)}function z(e){return _.StaticServices.modelService.get().onModelModeChanged(function(t){e({model:t.model,oldLanguage:t.oldModeId})})}function K(e){return p.createWebWorker(_.StaticServices.modelService.get(),e)}function U(e,t){return g.Colorizer.colorizeElement(_.StaticServices.standaloneThemeService.get(),_.StaticServices.modeService.get(),e,t)}function j(e,t,n){return g.Colorizer.colorize(_.StaticServices.modeService.get(),e,t,n)}function q(e,t,n){return void 0===n&&(n=4),g.Colorizer.colorizeModelLine(e,t,n)}function G(e,t){_.StaticServices.modeService.get().triggerMode(t);for(var n=function(e){var t=u.TokenizationRegistry.get(e);return t||{getInitialState:function(){return d.NULL_STATE},tokenize:function(t,n,i){return d.nullTokenize(e,t,n,i)},tokenize2:void 0}
}(t),i=e.split(/\r\n|\r|\n/),o=[],r=n.getInitialState(),s=0,a=i.length;s<a;s++){var l=i[s],c=n.tokenize(l,r,0);o[s]=c.tokens,r=c.endState}return o}function Z(e,t){_.StaticServices.standaloneThemeService.get().defineTheme(e,t)}function Y(e){_.StaticServices.standaloneThemeService.get().setTheme(e)}Object.defineProperty(t,"__esModule",{value:!0}),t.create=D,t.onDidCreateEditor=M,t.createDiffEditor=k,t.createDiffNavigator=T,t.createModel=O,t.setModelLanguage=P,t.setModelMarkers=A,t.getModelMarkers=F,t.getModel=W,t.getModels=V,t.onDidCreateModel=H,t.onWillDisposeModel=B,t.onDidChangeModelLanguage=z,t.createWebWorker=K,t.colorizeElement=U,t.colorize=j,t.colorizeModelLine=q,t.tokenize=G,t.defineTheme=Z,t.setTheme=Y,t.createMonacoEditorAPI=function(){return{create:D,onDidCreateEditor:M,createDiffEditor:k,createDiffNavigator:T,createModel:O,setModelLanguage:P,setModelMarkers:A,getModelMarkers:F,getModels:V,getModel:W,onDidCreateModel:H,onWillDisposeModel:B,onDidChangeModelLanguage:z,createWebWorker:K,
colorizeElement:U,colorize:j,colorizeModelLine:q,tokenize:G,defineTheme:Z,setTheme:Y,ScrollbarVisibility:f.ScrollbarVisibility,WrappingIndent:f.WrappingIndent,OverviewRulerLane:f.OverviewRulerLane,EndOfLinePreference:f.EndOfLinePreference,DefaultEndOfLine:f.DefaultEndOfLine,EndOfLineSequence:f.EndOfLineSequence,TrackedRangeStickiness:f.TrackedRangeStickiness,CursorChangeReason:f.CursorChangeReason,MouseTargetType:f.MouseTargetType,TextEditorCursorStyle:f.TextEditorCursorStyle,TextEditorCursorBlinkingStyle:f.TextEditorCursorBlinkingStyle,ContentWidgetPositionPreference:f.ContentWidgetPositionPreference,OverlayWidgetPositionPreference:f.OverlayWidgetPositionPreference,RenderMinimap:f.RenderMinimap,ScrollType:f.ScrollType,RenderLineNumbersType:f.RenderLineNumbersType,InternalEditorOptions:r.InternalEditorOptions,BareFontInfo:s.BareFontInfo,FontInfo:s.FontInfo,TextModelResolvedOptions:l.TextModelResolvedOptions,FindMatch:l.FindMatch,EditorType:a.EditorType}}}),
define(t[565],n([0,1,3,91,14,39,104,124,151,263,398]),function(e,t,n,i,o,r,s,a,l,u,d){"use strict";function c(e){s.ModesRegistry.registerLanguage(e)}function h(){var e=[];return e=e.concat(s.ModesRegistry.getLanguages())}function p(e){var t=l.StaticServices.modeService.get().getLanguageIdentifier(e);return t?t.id:0}function f(e,t){var n=l.StaticServices.modeService.get().onDidCreateMode(function(i){i.getId()===e&&(n.dispose(),t())});return n}function g(e,t){var n=l.StaticServices.modeService.get().getLanguageIdentifier(e);if(!n)throw new Error("Cannot set configuration for unknown language "+e);return r.LanguageConfigurationRegistry.register(n,t)}function m(e,t){var n=l.StaticServices.modeService.get().getLanguageIdentifier(e);if(!n)throw new Error("Cannot set tokens provider for unknown language "+e);var i;return i=function(e){return e.tokenizeEncoded}(t)?new A(t):new F(l.StaticServices.standaloneThemeService.get(),n,t),o.TokenizationRegistry.register(e,i)}function v(e,t){
var n=u.compile(e,t),i=d.createTokenizationSupport(l.StaticServices.modeService.get(),l.StaticServices.standaloneThemeService.get(),e,n);return o.TokenizationRegistry.register(e,i)}function _(e,t){return o.ReferenceProviderRegistry.register(e,t)}function y(e,t){return o.RenameProviderRegistry.register(e,t)}function C(e,t){return o.SignatureHelpProviderRegistry.register(e,t)}function b(e,t){return o.HoverProviderRegistry.register(e,{provideHover:function(e,i,o){var r=e.getWordAtPosition(i);return Promise.resolve(t.provideHover(e,i,o)).then(function(e){if(e)return!e.range&&r&&(e.range=new n.Range(i.lineNumber,r.startColumn,i.lineNumber,r.endColumn)),e.range||(e.range=new n.Range(i.lineNumber,i.column,i.lineNumber,i.column)),e})}})}function S(e,t){return o.DocumentSymbolProviderRegistry.register(e,t)}function w(e,t){return o.DocumentHighlightProviderRegistry.register(e,t)}function E(e,t){return o.DefinitionProviderRegistry.register(e,t)}function L(e,t){return o.ImplementationProviderRegistry.register(e,t)}
function x(e,t){return o.TypeDefinitionProviderRegistry.register(e,t)}function I(e,t){return o.CodeLensProviderRegistry.register(e,t)}function N(e,t){return o.CodeActionProviderRegistry.register(e,{provideCodeActions:function(e,i,o,r){var s=l.StaticServices.markerService.get().read({resource:e.uri}).filter(function(e){return n.Range.areIntersectingOrTouching(e,i)});return t.provideCodeActions(e,i,{markers:s,only:o.only},r)}})}function D(e,t){return o.DocumentFormattingEditProviderRegistry.register(e,t)}function M(e,t){return o.DocumentRangeFormattingEditProviderRegistry.register(e,t)}function k(e,t){return o.OnTypeFormattingEditProviderRegistry.register(e,t)}function T(e,t){return o.LinkProviderRegistry.register(e,t)}function R(e,t){return o.CompletionProviderRegistry.register(e,t)}function O(e,t){return o.ColorProviderRegistry.register(e,t)}function P(e,t){return o.FoldingRangeProviderRegistry.register(e,t)}Object.defineProperty(t,"__esModule",{value:!0}),t.register=c,t.getLanguages=h,
t.getEncodedLanguageId=p,t.onLanguage=f,t.setLanguageConfiguration=g;var A=function(){function e(e){this._actual=e}return e.prototype.getInitialState=function(){return this._actual.getInitialState()},e.prototype.tokenize=function(e,t,n){throw new Error("Not supported!")},e.prototype.tokenize2=function(e,t){var n=this._actual.tokenizeEncoded(e,t);return new i.TokenizationResult2(n.tokens,n.endState)},e}();t.EncodedTokenizationSupport2Adapter=A;var F=function(){function e(e,t,n){this._standaloneThemeService=e,this._languageIdentifier=t,this._actual=n}return e.prototype.getInitialState=function(){return this._actual.getInitialState()},e.prototype._toClassicTokens=function(e,t,n){for(var o=[],r=0,s=0,a=e.length;s<a;s++){var l=e[s],u=l.startIndex;0===s?u=0:u<r&&(u=r),o[s]=new i.Token(u+n,l.scopes,t),r=u}return o},e.prototype.tokenize=function(e,t,n){var o,r=this._actual.tokenize(e,t),s=this._toClassicTokens(r.tokens,this._languageIdentifier.language,n);return o=r.endState.equals(t)?t:r.endState,
new i.TokenizationResult(s,o)},e.prototype._toBinaryTokens=function(e,t){for(var n=this._languageIdentifier.id,i=this._standaloneThemeService.getTheme().tokenTheme,o=[],r=0,s=0,a=0,l=e.length;a<l;a++){var u=e[a],d=i.match(n,u.scopes);if(!(r>0&&o[r-1]===d)){var c=u.startIndex;0===a?c=0:c<s&&(c=s),o[r++]=c+t,o[r++]=d,s=c}}for(var h=new Uint32Array(r),a=0;a<r;a++)h[a]=o[a];return h},e.prototype.tokenize2=function(e,t,n){var o,r=this._actual.tokenize(e,t),s=this._toBinaryTokens(r.tokens,n);return o=r.endState.equals(t)?t:r.endState,new i.TokenizationResult2(s,o)},e}();t.TokenizationSupport2Adapter=F,t.setTokensProvider=m,t.setMonarchTokensProvider=v,t.registerReferenceProvider=_,t.registerRenameProvider=y,t.registerSignatureHelpProvider=C,t.registerHoverProvider=b,t.registerDocumentSymbolProvider=S,t.registerDocumentHighlightProvider=w,t.registerDefinitionProvider=E,t.registerImplementationProvider=L,t.registerTypeDefinitionProvider=x,t.registerCodeLensProvider=I,t.registerCodeActionProvider=N,
t.registerDocumentFormattingEditProvider=D,t.registerDocumentRangeFormattingEditProvider=M,t.registerOnTypeFormattingEditProvider=k,t.registerLinkProvider=T,t.registerCompletionItemProvider=R,t.registerColorProvider=O,t.registerFoldingRangeProvider=P,t.createMonacoLanguagesAPI=function(){return{register:c,getLanguages:h,onLanguage:f,getEncodedLanguageId:p,setLanguageConfiguration:g,setTokensProvider:m,setMonarchTokensProvider:v,registerReferenceProvider:_,registerRenameProvider:y,registerCompletionItemProvider:R,registerSignatureHelpProvider:C,registerHoverProvider:b,registerDocumentSymbolProvider:S,registerDocumentHighlightProvider:w,registerDefinitionProvider:E,registerImplementationProvider:L,registerTypeDefinitionProvider:x,registerCodeLensProvider:I,registerCodeActionProvider:N,registerDocumentFormattingEditProvider:D,registerDocumentRangeFormattingEditProvider:M,registerOnTypeFormattingEditProvider:k,registerLinkProvider:T,registerColorProvider:O,registerFoldingRangeProvider:P,
DocumentHighlightKind:a.DocumentHighlightKind,CompletionItemKind:a.CompletionItemKind,CompletionItemInsertTextRule:a.CompletionItemInsertTextRule,SymbolKind:a.SymbolKind,IndentAction:a.IndentAction,CompletionTriggerKind:a.CompletionTriggerKind,SignatureHelpTriggerReason:a.SignatureHelpTriggerReason,FoldingRangeKind:o.FoldingRangeKind}}}),define(t[221],n([0,1,170,48,153,564,565]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=self;void 0===a.Promise&&(a.Promise=n.PolyfillPromise),i.EDITOR_DEFAULTS.wrappingIndent=0,i.EDITOR_DEFAULTS.viewInfo.glyphMargin=!1,i.EDITOR_DEFAULTS.autoIndent=!1;var l=o.createMonacoBaseAPI();l.editor=r.createMonacoEditorAPI(),l.languages=s.createMonacoLanguagesAPI(),t.CancellationTokenSource=l.CancellationTokenSource,t.Emitter=l.Emitter,t.KeyCode=l.KeyCode,t.KeyMod=l.KeyMod,t.Position=l.Position,t.Range=l.Range,t.Selection=l.Selection,t.SelectionDirection=l.SelectionDirection,t.MarkerSeverity=l.MarkerSeverity,t.MarkerTag=l.MarkerTag,
t.Promise=l.Promise,t.Uri=l.Uri,t.Token=l.Token,t.editor=l.editor,t.languages=l.languages,a.monaco=l,void 0!==a.require&&"function"==typeof a.require.config&&a.require.config({ignoreDuplicateModules:["vscode-languageserver-types","vscode-languageserver-types/main","vscode-nls","vscode-nls/vscode-nls","jsonc-parser","jsonc-parser/main","vscode-uri","vscode-uri/index","vs/basic-languages/typescript/typescript"]})}),define(t[567],n([0,1,221,559,537,474,538,540,541,542,553,475]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){for(var n in e)t.hasOwnProperty(n)||(t[n]=e[n])}(n)})}).call(this);

/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-typescript version: 3.3.1(dbbf69725062a240258a04596d6bd8544365ac91)
 * Released under the MIT license
 * https://github.com/Microsoft/monaco-typescript/blob/master/LICENSE.md
 *-----------------------------------------------------------------------------*/
define("vs/language/typescript/monaco.contribution",["require","exports","vs/editor/editor.api"],function(n,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t,i,o,r,a,s,c,u,p,l,g=monaco.Emitter,d=function(){function e(e,t){this._onDidChange=new g,this._extraLibs=Object.create(null),this._workerMaxIdleTime=12e4,this.setCompilerOptions(e),this.setDiagnosticsOptions(t)}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),e.prototype.getExtraLibs=function(){var e=Object.create(null);for(var t in this._extraLibs)e[t]=this._extraLibs[t];return Object.freeze(e)},e.prototype.addExtraLib=function(e,t){var n=this;if(void 0===t&&(t="ts:extralib-"+Date.now()),this._extraLibs[t])throw new Error(t+" already a extra lib");return this._extraLibs[t]=e,this._onDidChange.fire(this),{dispose:function(){delete n._extraLibs[t]&&n._onDidChange.fire(n)}}},e.prototype.getCompilerOptions=function(){return this._compilerOptions},e.prototype.setCompilerOptions=function(e){this._compilerOptions=e||Object.create(null),this._onDidChange.fire(this)},e.prototype.getDiagnosticsOptions=function(){return this._diagnosticsOptions},e.prototype.setDiagnosticsOptions=function(e){this._diagnosticsOptions=e||Object.create(null),this._onDidChange.fire(this)},e.prototype.setMaximumWorkerIdleTime=function(e){this._workerMaxIdleTime=e},e.prototype.getWorkerMaxIdleTime=function(){return this._workerMaxIdleTime},e.prototype.setEagerModelSync=function(e){this._eagerModelSync=e},e.prototype.getEagerModelSync=function(){return this._eagerModelSync},e}();e.LanguageServiceDefaultsImpl=d,(i=t||(t={}))[i.None=0]="None",i[i.CommonJS=1]="CommonJS",i[i.AMD=2]="AMD",i[i.UMD=3]="UMD",i[i.System=4]="System",i[i.ES2015=5]="ES2015",i[i.ESNext=6]="ESNext",(r=o||(o={}))[r.None=0]="None",r[r.Preserve=1]="Preserve",r[r.React=2]="React",r[r.ReactNative=3]="ReactNative",(s=a||(a={}))[s.CarriageReturnLineFeed=0]="CarriageReturnLineFeed",s[s.LineFeed=1]="LineFeed",(u=c||(c={}))[u.ES3=0]="ES3",u[u.ES5=1]="ES5",u[u.ES2015=2]="ES2015",u[u.ES2016=3]="ES2016",u[u.ES2017=4]="ES2017",u[u.ES2018=5]="ES2018",u[u.ESNext=6]="ESNext",u[u.JSON=100]="JSON",u[u.Latest=6]="Latest",(l=p||(p={}))[l.Classic=1]="Classic",l[l.NodeJs=2]="NodeJs";var S=new d({allowNonTsExtensions:!0,target:c.Latest},{noSemanticValidation:!1,noSyntaxValidation:!1}),f=new d({allowNonTsExtensions:!0,allowJs:!0,target:c.Latest},{noSemanticValidation:!0,noSyntaxValidation:!1});function h(){return y().then(function(e){return e.getTypeScriptWorker()})}function m(){return y().then(function(e){return e.getJavaScriptWorker()})}function y(){return monaco.Promise.wrap(new Promise(function(e,t){n(["./tsMode"],e,t)}))}monaco.languages.typescript={ModuleKind:t,JsxEmit:o,NewLineKind:a,ScriptTarget:c,ModuleResolutionKind:p,typescriptDefaults:S,javascriptDefaults:f,getTypeScriptWorker:h,getJavaScriptWorker:m},monaco.languages.onLanguage("typescript",function(){return y().then(function(e){return e.setupTypeScript(S)})}),monaco.languages.onLanguage("javascript",function(){return y().then(function(e){return e.setupJavaScript(f)})})});
/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-css version: 2.3.0(a450f6054cbfb890c2ede882f6d2e47cc0e47f2f)
 * Released under the MIT license
 * https://github.com/Microsoft/monaco-css/blob/master/LICENSE.md
 *-----------------------------------------------------------------------------*/
define("vs/language/css/monaco.contribution",["require","exports","vs/editor/editor.api"],function(o,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=monaco.Emitter,n=function(){function e(e,n){this._onDidChange=new t,this._languageId=e,this.setDiagnosticsOptions(n)}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"languageId",{get:function(){return this._languageId},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"diagnosticsOptions",{get:function(){return this._diagnosticsOptions},enumerable:!0,configurable:!0}),e.prototype.setDiagnosticsOptions=function(e){this._diagnosticsOptions=e||Object.create(null),this._onDidChange.fire(this)},e}(),i={validate:!0,lint:{compatibleVendorPrefixes:"ignore",vendorPrefix:"warning",duplicateProperties:"warning",emptyRules:"warning",importStatement:"ignore",boxModel:"ignore",universalSelector:"ignore",zeroUnits:"ignore",fontFaceProperties:"warning",hexColorLength:"error",argumentsInColorFunction:"error",unknownProperties:"warning",ieHack:"ignore",unknownVendorSpecificProperties:"ignore",propertyIgnoredDueToDisplay:"warning",important:"ignore",float:"ignore",idSelector:"ignore"}},r=new(e.LanguageServiceDefaultsImpl=n)("css",i),s=new n("scss",i),a=new n("less",i);function u(){return monaco.Promise.wrap(new Promise(function(e,n){o(["./cssMode"],e,n)}))}monaco.languages.css={cssDefaults:r,lessDefaults:a,scssDefaults:s},monaco.languages.onLanguage("less",function(){u().then(function(e){return e.setupMode(a)})}),monaco.languages.onLanguage("scss",function(){u().then(function(e){return e.setupMode(s)})}),monaco.languages.onLanguage("css",function(){u().then(function(e){return e.setupMode(r)})})});
/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-json version: 2.3.0(f70f178c030b18006bc3240fd791bd4aa41da141)
 * Released under the MIT license
 * https://github.com/Microsoft/monaco-json/blob/master/LICENSE.md
 *-----------------------------------------------------------------------------*/
define("vs/language/json/monaco.contribution",["require","exports","vs/editor/editor.api"],function(t,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var o=monaco.Emitter,n=function(){function e(e,n){this._onDidChange=new o,this._languageId=e,this.setDiagnosticsOptions(n)}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"languageId",{get:function(){return this._languageId},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"diagnosticsOptions",{get:function(){return this._diagnosticsOptions},enumerable:!0,configurable:!0}),e.prototype.setDiagnosticsOptions=function(e){this._diagnosticsOptions=e||Object.create(null),this._onDidChange.fire(this)},e}(),i=new(e.LanguageServiceDefaultsImpl=n)("json",{validate:!0,allowComments:!0,schemas:[],enableSchemaRequest:!1});monaco.languages.json={jsonDefaults:i},monaco.languages.register({id:"json",extensions:[".json",".bowerrc",".jshintrc",".jscsrc",".eslintrc",".babelrc"],aliases:["JSON","json"],mimetypes:["application/json"]}),monaco.languages.onLanguage("json",function(){monaco.Promise.wrap(new Promise(function(e,n){t(["./jsonMode"],e,n)})).then(function(e){return e.setupMode(i)})})});
/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-html version: 2.3.0(f3174dba95daa2ea3c8b4eb686ed4a8a23fd9751)
 * Released under the MIT license
 * https://github.com/Microsoft/monaco-html/blob/master/LICENSE.md
 *-----------------------------------------------------------------------------*/
define("vs/language/html/monaco.contribution",["require","exports","vs/editor/editor.api"],function(t,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var o=monaco.Emitter,n=function(){function e(e,n){this._onDidChange=new o,this._languageId=e,this.setOptions(n)}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"languageId",{get:function(){return this._languageId},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"options",{get:function(){return this._options},enumerable:!0,configurable:!0}),e.prototype.setOptions=function(e){this._options=e||Object.create(null),this._onDidChange.fire(this)},e}(),a={tabSize:4,insertSpaces:!1,wrapLineLength:120,unformatted:'default": "a, abbr, acronym, b, bdo, big, br, button, cite, code, dfn, em, i, img, input, kbd, label, map, object, q, samp, select, small, span, strong, sub, sup, textarea, tt, var',contentUnformatted:"pre",indentInnerHtml:!1,preserveNewLines:!0,maxPreserveNewLines:null,indentHandlebars:!1,endWithNewline:!1,extraLiners:"head, body, /html",wrapAttributes:"auto"},r={format:a,suggest:{html5:!0}},i={format:a,suggest:{html5:!0,razor:!0}},u="html",s="handlebars",l="razor",g=new(e.LanguageServiceDefaultsImpl=n)(u,{format:a,suggest:{html5:!0,angular1:!0,ionic:!0}}),c=new n(s,r),m=new n(l,i);function f(){return monaco.Promise.wrap(new Promise(function(e,n){t(["./htmlMode"],e,n)}))}monaco.languages.html={htmlDefaults:g,razorDefaults:m,handlebarDefaults:c},monaco.languages.onLanguage(u,function(){f().then(function(e){return e.setupMode(g)})}),monaco.languages.onLanguage(s,function(){f().then(function(e){return e.setupMode(c)})}),monaco.languages.onLanguage(l,function(){f().then(function(e){return e.setupMode(m)})})});
/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-languages version: 1.6.0(858705e74270e53559a241fdee187e7a6ae53b23)
 * Released under the MIT license
 * https://github.com/Microsoft/monaco-languages/blob/master/LICENSE.md
 *-----------------------------------------------------------------------------*/
define("vs/basic-languages/_.contribution",["require","exports","vs/editor/editor.api"],function(e,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var o="undefined"==typeof monaco?self.monaco:monaco,i={};var t={};function r(e){var n;return t[e]||(t[e]=(0,i[n=e].loader)().then(function(e){o.languages.setMonarchTokensProvider(n,e.language),o.languages.setLanguageConfiguration(n,e.conf)})),t[e]}n.loadLanguage=r,n.registerLanguage=function(e){var n=e.id;i[n]=e,o.languages.register(e),o.languages.onLanguage(n,function(){r(n)})}}),define("vs/basic-languages/bat/bat.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"bat",extensions:[".bat",".cmd"],aliases:["Batch","bat"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./bat"],e,n)}))}})}),define("vs/basic-languages/coffee/coffee.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"coffeescript",extensions:[".coffee"],aliases:["CoffeeScript","coffeescript","coffee"],mimetypes:["text/x-coffeescript","text/coffeescript"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./coffee"],e,n)}))}})}),define("vs/basic-languages/cpp/cpp.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"c",extensions:[".c",".h"],aliases:["C","c"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./cpp"],e,n)}))}}),n.registerLanguage({id:"cpp",extensions:[".cpp",".cc",".cxx",".hpp",".hh",".hxx"],aliases:["C++","Cpp","cpp"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./cpp"],e,n)}))}})}),define("vs/basic-languages/csharp/csharp.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"csharp",extensions:[".cs",".csx",".cake"],aliases:["C#","csharp"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./csharp"],e,n)}))}})}),define("vs/basic-languages/csp/csp.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"csp",extensions:[],aliases:["CSP","csp"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./csp"],e,n)}))}})}),define("vs/basic-languages/css/css.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"css",extensions:[".css"],aliases:["CSS","css"],mimetypes:["text/css"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./css"],e,n)}))}})}),define("vs/basic-languages/dockerfile/dockerfile.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"dockerfile",extensions:[".dockerfile"],filenames:["Dockerfile"],aliases:["Dockerfile"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./dockerfile"],e,n)}))}})}),define("vs/basic-languages/fsharp/fsharp.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"fsharp",extensions:[".fs",".fsi",".ml",".mli",".fsx",".fsscript"],aliases:["F#","FSharp","fsharp"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./fsharp"],e,n)}))}})}),define("vs/basic-languages/go/go.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"go",extensions:[".go"],aliases:["Go"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./go"],e,n)}))}})}),define("vs/basic-languages/handlebars/handlebars.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"handlebars",extensions:[".handlebars",".hbs"],aliases:["Handlebars","handlebars"],mimetypes:["text/x-handlebars-template"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./handlebars"],e,n)}))}})}),define("vs/basic-languages/html/html.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"html",extensions:[".html",".htm",".shtml",".xhtml",".mdoc",".jsp",".asp",".aspx",".jshtm"],aliases:["HTML","htm","html","xhtml"],mimetypes:["text/html","text/x-jshtm","text/template","text/ng-template"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./html"],e,n)}))}})}),define("vs/basic-languages/ini/ini.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"ini",extensions:[".ini",".properties",".gitconfig"],filenames:["config",".gitattributes",".gitconfig",".editorconfig"],aliases:["Ini","ini"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./ini"],e,n)}))}})}),define("vs/basic-languages/java/java.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"java",extensions:[".java",".jav"],aliases:["Java","java"],mimetypes:["text/x-java-source","text/x-java"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./java"],e,n)}))}})}),define("vs/basic-languages/javascript/javascript.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"javascript",extensions:[".js",".es6",".jsx"],firstLine:"^#!.*\\bnode",filenames:["jakefile"],aliases:["JavaScript","javascript","js"],mimetypes:["text/javascript"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./javascript"],e,n)}))}})}),define("vs/basic-languages/less/less.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"less",extensions:[".less"],aliases:["Less","less"],mimetypes:["text/x-less","text/less"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./less"],e,n)}))}})}),define("vs/basic-languages/lua/lua.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"lua",extensions:[".lua"],aliases:["Lua","lua"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./lua"],e,n)}))}})}),define("vs/basic-languages/markdown/markdown.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"markdown",extensions:[".md",".markdown",".mdown",".mkdn",".mkd",".mdwn",".mdtxt",".mdtext"],aliases:["Markdown","markdown"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./markdown"],e,n)}))}})}),define("vs/basic-languages/msdax/msdax.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"msdax",extensions:[".dax",".msdax"],aliases:["DAX","MSDAX"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./msdax"],e,n)}))}})}),define("vs/basic-languages/mysql/mysql.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"mysql",extensions:[],aliases:["MySQL","mysql"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./mysql"],e,n)}))}})}),define("vs/basic-languages/objective-c/objective-c.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"objective-c",extensions:[".m"],aliases:["Objective-C"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./objective-c"],e,n)}))}})}),define("vs/basic-languages/pgsql/pgsql.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"pgsql",extensions:[],aliases:["PostgreSQL","postgres","pg","postgre"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./pgsql"],e,n)}))}})}),define("vs/basic-languages/php/php.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"php",extensions:[".php",".php4",".php5",".phtml",".ctp"],aliases:["PHP","php"],mimetypes:["application/x-php"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./php"],e,n)}))}})}),define("vs/basic-languages/postiats/postiats.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"postiats",extensions:[".dats",".sats",".hats"],aliases:["ATS","ATS/Postiats"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./postiats"],e,n)}))}})}),define("vs/basic-languages/powerquery/powerquery.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"powerquery",extensions:[".pq",".pqm"],aliases:["PQ","M","Power Query","Power Query M"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./powerquery"],e,n)}))}})}),define("vs/basic-languages/powershell/powershell.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"powershell",extensions:[".ps1",".psm1",".psd1"],aliases:["PowerShell","powershell","ps","ps1"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./powershell"],e,n)}))}})}),define("vs/basic-languages/pug/pug.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"pug",extensions:[".jade",".pug"],aliases:["Pug","Jade","jade"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./pug"],e,n)}))}})}),define("vs/basic-languages/python/python.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"python",extensions:[".py",".rpy",".pyw",".cpy",".gyp",".gypi"],aliases:["Python","py"],firstLine:"^#!/.*\\bpython[0-9.-]*\\b",loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./python"],e,n)}))}})}),define("vs/basic-languages/r/r.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"r",extensions:[".r",".rhistory",".rprofile",".rt"],aliases:["R","r"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./r"],e,n)}))}})}),define("vs/basic-languages/razor/razor.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"razor",extensions:[".cshtml"],aliases:["Razor","razor"],mimetypes:["text/x-cshtml"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./razor"],e,n)}))}})}),define("vs/basic-languages/redis/redis.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"redis",extensions:[".redis"],aliases:["redis"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./redis"],e,n)}))}})}),define("vs/basic-languages/redshift/redshift.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"redshift",extensions:[],aliases:["Redshift","redshift"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./redshift"],e,n)}))}})}),define("vs/basic-languages/ruby/ruby.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"ruby",extensions:[".rb",".rbx",".rjs",".gemspec",".pp"],filenames:["rakefile"],aliases:["Ruby","rb"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./ruby"],e,n)}))}})}),define("vs/basic-languages/rust/rust.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"rust",extensions:[".rs",".rlib"],aliases:["Rust","rust"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./rust"],e,n)}))}})}),define("vs/basic-languages/sb/sb.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"sb",extensions:[".sb"],aliases:["Small Basic","sb"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./sb"],e,n)}))}})}),define("vs/basic-languages/scss/scss.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"scss",extensions:[".scss"],aliases:["Sass","sass","scss"],mimetypes:["text/x-scss","text/scss"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./scss"],e,n)}))}})}),define("vs/basic-languages/solidity/solidity.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"sol",extensions:[".sol"],aliases:["sol","solidity","Solidity"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./solidity"],e,n)}))}})}),define("vs/basic-languages/sql/sql.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"sql",extensions:[".sql"],aliases:["SQL"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./sql"],e,n)}))}})}),define("vs/basic-languages/st/st.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"st",extensions:[".st",".iecst",".iecplc",".lc3lib"],aliases:["StructuredText","scl","stl"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./st"],e,n)}))}})}),define("vs/basic-languages/swift/swift.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"swift",aliases:["Swift","swift"],extensions:[".swift"],mimetypes:["text/swift"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./swift"],e,n)}))}})}),define("vs/basic-languages/typescript/typescript.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"typescript",extensions:[".ts",".tsx"],aliases:["TypeScript","ts","typescript"],mimetypes:["text/typescript"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./typescript"],e,n)}))}})}),define("vs/basic-languages/vb/vb.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"vb",extensions:[".vb"],aliases:["Visual Basic","vb"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./vb"],e,n)}))}})}),define("vs/basic-languages/xml/xml.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"xml",extensions:[".xml",".dtd",".ascx",".csproj",".config",".wxi",".wxl",".wxs",".xaml",".svg",".svgz"],firstLine:"(\\<\\?xml.*)|(\\<svg)|(\\<\\!doctype\\s+svg)",aliases:["XML","xml"],mimetypes:["text/xml","application/xml","application/xaml+xml","application/xml-dtd"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./xml"],e,n)}))}})}),define("vs/basic-languages/yaml/yaml.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"yaml",extensions:[".yaml",".yml"],aliases:["YAML","yaml","YML","yml"],mimetypes:["application/x-yaml"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./yaml"],e,n)}))}})}),define("vs/basic-languages/scheme/scheme.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"scheme",extensions:[".scm",".ss",".sch",".rkt"],aliases:["scheme","Scheme"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./scheme"],e,n)}))}})}),define("vs/basic-languages/clojure/clojure.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"clojure",extensions:[".clj",".clojure"],aliases:["clojure","Clojure"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./clojure"],e,n)}))}})}),define("vs/basic-languages/shell/shell.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"shell",extensions:[".sh",".bash"],aliases:["Shell","sh"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./shell"],e,n)}))}})}),define("vs/basic-languages/perl/perl.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"perl",extensions:[".pl"],aliases:["Perl","pl"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./perl"],e,n)}))}})}),define("vs/basic-languages/azcli/azcli.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"azcli",extensions:[".azcli"],aliases:["Azure CLI","azcli"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./azcli"],e,n)}))}})}),define("vs/basic-languages/apex/apex.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"apex",extensions:[".cls"],aliases:["Apex","apex"],mimetypes:["text/x-apex-source","text/x-apex"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./apex"],e,n)}))}})}),define("vs/basic-languages/monaco.contribution",["require","exports","./bat/bat.contribution","./coffee/coffee.contribution","./cpp/cpp.contribution","./csharp/csharp.contribution","./csp/csp.contribution","./css/css.contribution","./dockerfile/dockerfile.contribution","./fsharp/fsharp.contribution","./go/go.contribution","./handlebars/handlebars.contribution","./html/html.contribution","./ini/ini.contribution","./java/java.contribution","./javascript/javascript.contribution","./less/less.contribution","./lua/lua.contribution","./markdown/markdown.contribution","./msdax/msdax.contribution","./mysql/mysql.contribution","./objective-c/objective-c.contribution","./pgsql/pgsql.contribution","./php/php.contribution","./postiats/postiats.contribution","./powerquery/powerquery.contribution","./powershell/powershell.contribution","./pug/pug.contribution","./python/python.contribution","./r/r.contribution","./razor/razor.contribution","./redis/redis.contribution","./redshift/redshift.contribution","./ruby/ruby.contribution","./rust/rust.contribution","./sb/sb.contribution","./scss/scss.contribution","./solidity/solidity.contribution","./sql/sql.contribution","./st/st.contribution","./swift/swift.contribution","./typescript/typescript.contribution","./vb/vb.contribution","./xml/xml.contribution","./yaml/yaml.contribution","./scheme/scheme.contribution","./clojure/clojure.contribution","./shell/shell.contribution","./perl/perl.contribution","./azcli/azcli.contribution","./apex/apex.contribution","vs/editor/editor.api"],function(e,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0})});
define("vs/editor/editor.main", ["vs/editor/edcore.main","vs/language/typescript/monaco.contribution","vs/language/css/monaco.contribution","vs/language/json/monaco.contribution","vs/language/html/monaco.contribution","vs/basic-languages/monaco.contribution"], function(api) { return api; });
//# sourceMappingURL=../../../min-maps/vs/editor/editor.main.js.map